# @idux

`@idux` is a UI component library for middle and back-end products. It aims to provide an efficient and enjoyable experience for developers.

Based on Vue 3 and TypeScript, the library is open source and free for any enterprise, organization, or individual to use under the MIT License.

<div align="center">

[![Build Status](https://dev.azure.com/iduxfeteam/IduxFE/_apis/build/status/IduxFE.idux?branchName=main)](https://dev.azure.com/iduxfeteam/IduxFE/_build/latest?definitionId=2&branchName=main)
[![Codecov](https://codecov.io/gh/IDuxFE/idux/branch/main/graph/badge.svg?token=PGAUXP06V3)](https://codecov.io/gh/IDuxFE/idux)
[![Npm version](https://img.shields.io/npm/v/@idux/components)](https://www.npmjs.com/package/@idux/components)
[![Release Date](https://img.shields.io/github/release-date/IDuxFE/idux)](https://github.com/IDuxFE/idux/releases)

[![CodeFactor](https://www.codefactor.io/repository/github/iduxfe/idux/badge)](https://www.codefactor.io/repository/github/iduxfe/idux)
[![Code style: prettier](https://img.shields.io/badge/code_style-prettier-ff69b4)](https://github.com/prettier/prettier)
[![GitHub contributors](https://img.shields.io/github/contributors/IDuxFE/idux)](https://github.com/IDuxFE/idux/contributors)
[![GitHub license](https://img.shields.io/github/license/IDuxFE/idux)](https://github.com/IDuxFE/idux/blob/main/LICENSE)

</div>

English | [简体中文](README.zh.md)

## ✨ Features

- Composition API for source and sample codes
- Written in TypeScript with complete defined types
- Monorepo: `cdk`, `components`, `pro`
- A set of high-quality components out of the box
- Flexible global configuration
- Powerful theme customization in every detail
- Internationalization support for various languages

## 🖥 Environment Support

- Vue `^3.0.0` <a href="https://www.npmjs.com/package/vue/v/next"><img src="https://img.shields.io/npm/v/vue/next.svg" alt="npm@next_v3.2.36" align="center"/></a>

| <img src="https://cdn.jsdelivr.net/npm/@browser-logos/edge/edge_32x32.png" alt="Edge"/><br />Edge | <img src="https://cdn.jsdelivr.net/npm/@browser-logos/chrome/chrome_32x32.png" alt="Chrome"/><br />Chrome | <img src="https://cdn.jsdelivr.net/npm/@browser-logos/firefox/firefox_32x32.png" alt="Firefox"/><br />Firefox | <img src="https://cdn.jsdelivr.net/npm/@browser-logos/safari/safari_32x32.png" alt="Safari"/><br />Safari | <img src="https://cdn.jsdelivr.net/npm/@browser-logos/electron/electron_32x32.png" alt="Electron"/><br />Electron |
| --------- | --------- | --------- | --------- | --------- |
| 79 + | 79 + | 72 + | 13.1 + | 10 + |

## 📦 Installation

```bash
npm install --save @idux/cdk @idux/components @idux/pro
```

## 🔨 Usage

The following CodeSandbox or StackBlitz link demonstrates a basic use case, and it is recommended to fork this demo as a baseline while doing `Bug Report` and can also be downloaded as a template for project initialization.

- [CodeSandbox: idux-starter](https://codesandbox.io/s/idux-starter-7o9lv)
- [StackBlitz: idux-starter](https://stackblitz.com/edit/idux-starter)

See [Getting Started](https://idux.site/docs/getting-started/en) for more details.

## 🔗 Links

## ⌨️ Development

```bash
pnpm install

pnpm start
```

Open a browser: `http://localhost:3000`

## 🤝 Contributing

[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg)](https://github.com/IDuxFE/idux/pulls)

We welcome all contributions. Please read our [CONTRIBUTING.md](https://github.com/IDuxFE/idux/blob/main/packages/site/src/docs/Contributing.en.md) first. You can submit any ideas as [Pull Request](https://github.com/IDuxFE/idux/pulls) or as [GitHub issues](https://github.com/IDuxFE/idux/issues).

> If you're new to posting issues, we ask that you read [*How To Ask Questions The Smart Way*](http://www.catb.org/~esr/faqs/smart-questions.html) (**This guide does not provide actual support services for this project!**), [How to Ask a Question in Open Source Community](https://github.com/seajs/seajs/issues/545) and [How to Report Bugs Effectively](http://www.chiark.greenend.org.uk/~sgtatham/bugs.html) prior to posting. Well written bug reports help us help you!

## 💖 Thanks

Many of the features are inspired by the following awesome projects.

- [@angular](https://github.com/angular)
- [ant-design](https://github.com/ant-design)
- [NG-ZORRO](https://github.com/NG-ZORRO)

## ☀️ License

[MIT](https://github.com/IDuxFE/idux/blob/main/LICENSE) © 2020-present IDuxFE
