/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes, MaybeArray } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export declare const datePanelProps: {
    readonly cellTooltip: PropType<(cell: {
        value: Date;
        disabled: boolean;
    }) => string | void>;
    readonly disabledDate: PropType<(date: Date) => boolean>;
    readonly type: {
        readonly type: PropType<DatePanelType>;
        readonly default: "date";
    };
    readonly value: PropType<Date | (Date | undefined)[]>;
    readonly activeDate: DateConstructor;
    readonly visible: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly isSelecting: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly onCellClick: PropType<MaybeArray<(date: Date) => void>>;
    readonly onCellMouseenter: PropType<MaybeArray<(date: Date) => void>>;
    readonly 'onUpdate:activeDate': PropType<MaybeArray<(date: Date) => void>>;
};
export type DatePanelProps = ExtractInnerPropTypes<typeof datePanelProps>;
export type DatePanelPublicProps = ExtractPublicPropTypes<typeof datePanelProps>;
export type DatePanelComponent = DefineComponent<Omit<HTMLAttributes, keyof DatePanelPublicProps> & DatePanelPublicProps>;
export type DatePanelInstance = InstanceType<DefineComponent<DatePanelProps>>;
export type DatePanelType = 'date' | 'week' | 'month' | 'quarter' | 'year';
export declare const panelRowProps: {
    readonly rowIndex: {
        readonly type: NumberConstructor;
        readonly required: true;
    };
};
export declare const panelCellProps: {
    readonly rowIndex: {
        readonly type: NumberConstructor;
        readonly required: true;
    };
    readonly cellIndex: {
        readonly type: NumberConstructor;
        readonly required: true;
    };
};
