/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes, VKey } from '@idux/cdk/utils';
import type { ButtonProps } from '@idux/components/button';
import type { ButtonHTMLAttributes, DefineComponent, HTMLAttributes, PropType, VNode, VNodeChild } from 'vue';
export interface FooterButtonProps extends ButtonHTMLAttributes, ButtonProps {
    disabled?: boolean;
    key?: VKey;
    text?: string | VNode | (() => VNodeChild);
    onClick?: (evt: Event) => void;
}
export declare const footerProps: {
    readonly cancel: PropType<(evt?: Event | unknown) => Promise<void> | void>;
    readonly cancelButton: PropType<ButtonProps>;
    readonly cancelLoading: BooleanConstructor;
    readonly cancelText: StringConstructor;
    readonly cancelVisible: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly footer: PropType<boolean | VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | FooterButtonProps[] | (() => VNodeChild)>;
    readonly ok: PropType<(evt?: Event | unknown) => Promise<void> | void>;
    readonly okButton: PropType<ButtonProps>;
    readonly okLoading: BooleanConstructor;
    readonly okText: StringConstructor;
};
export type FooterProps = ExtractInnerPropTypes<typeof footerProps>;
export type FooterPublicProps = ExtractPublicPropTypes<typeof footerProps>;
export type FooterComponent = DefineComponent<Omit<HTMLAttributes, keyof FooterPublicProps> & FooterPublicProps>;
export type FooterInstance = InstanceType<DefineComponent<FooterProps>>;
