import { createVNode } from "vue";
import { isString } from "lodash-es";
import { getFirstValidNode, convertArray } from "@idux/cdk/utils";
import { IxHeader } from "@idux/components/header";
const Header = (props, {
  slots
}) => {
  if (slots.header) {
    return getFirstValidNode(slots.header(props));
  }
  if (!props.header && !props.closable) {
    return void 0;
  }
  const headerProps = convertProps(props);
  const headerSlots = {
    suffix: slots.closeIcon,
    default: slots.title
  };
  return createVNode(IxHeader, headerProps, headerSlots);
};
function convertProps(props) {
  var _a;
  const {
    closable,
    closeIcon,
    header,
    size,
    onClose
  } = props;
  const headerProps = isString(header) ? {
    title: header,
    size
  } : {
    size,
    ...header
  };
  if (closable) {
    headerProps.suffix = (_a = headerProps.suffix) != null ? _a : closeIcon;
    if (onClose) {
      const onSuffixClick = convertArray(headerProps.onSuffixClick);
      onSuffixClick.push(onClose);
      headerProps.onSuffixClick = onSuffixClick;
    }
  }
  return headerProps;
}
Header.displayName = "\u0275Header";
const \u0275Header = Header;
export { \u0275Header };
