/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes } from 'vue';
export declare const loadingProps: {
    readonly strokeWidth: {
        readonly type: NumberConstructor;
        readonly default: 4;
    };
    readonly radius: {
        readonly type: NumberConstructor;
        readonly default: 14;
    };
    readonly duration: {
        readonly type: NumberConstructor;
        readonly default: 2;
    };
};
export type LoadingProps = ExtractInnerPropTypes<typeof loadingProps>;
export type LoadingPublicProps = ExtractPublicPropTypes<typeof loadingProps>;
export type LoadingComponent = DefineComponent<Omit<HTMLAttributes, keyof LoadingPublicProps> & LoadingPublicProps>;
export type LoadingInstance = InstanceType<DefineComponent<LoadingProps>>;
