/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes } from 'vue';
export declare const maskProps: {
    readonly mask: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly transitionName: StringConstructor;
    readonly visible: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly zIndex: NumberConstructor;
};
export type MaskProps = ExtractInnerPropTypes<typeof maskProps>;
export type MaskPublicProps = ExtractPublicPropTypes<typeof maskProps>;
export type MaskComponent = DefineComponent<Omit<HTMLAttributes, keyof MaskPublicProps> & MaskPublicProps>;
export type MaskInstance = InstanceType<DefineComponent<MaskProps>>;
