/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { OverlayProps } from '../types';
import type { PopperPlacement, PopperTrigger } from '@idux/cdk/popper';
import { type ComputedRef, type Ref } from 'vue';
export declare function usePopperOptions(props: OverlayProps, arrowRef: Ref<HTMLElement | undefined>): {
    options: {
        allowEnter: ComputedRef<boolean | undefined>;
        autoAdjust: ComputedRef<boolean | undefined>;
        delay: ComputedRef<number | [number | null, number | null] | undefined>;
        disabled: ComputedRef<boolean | undefined>;
        offset: ComputedRef<[number, number] | undefined>;
        placement: ComputedRef<PopperPlacement | undefined>;
        trigger: ComputedRef<PopperTrigger>;
    };
    update: () => void;
};
