/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TimePanelCell, TimePanelColumnProps } from '../types';
import { type Ref } from 'vue';
export interface ColumnEventHandlers {
    handleWheel: (evt: WheelEvent) => void;
    handleClick: (evt: MouseEvent) => void;
    handleScroll: () => void;
}
export declare function useColumnEvents(props: TimePanelColumnProps, listRef: Ref<HTMLElement | undefined>, getTargetByScrollTop: () => TimePanelCell | undefined, frameRunning: Ref<boolean>): ColumnEventHandlers;
