/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TimePanelCell, TimePanelColumnProps } from '../types';
import { type ComputedRef, type Ref } from 'vue';
export interface PanelColumnScroll {
    adjustPanel: (selectedIndex: number, duration?: number) => void;
    scrollToActive: (duration?: number) => void;
    getTargetByScrollTop: () => TimePanelCell | undefined;
    frameRunning: Ref<boolean>;
}
export declare function usePanelScroll(props: TimePanelColumnProps, listRef: Ref<HTMLElement | undefined>, mergedPrefixCls: ComputedRef<string>): PanelColumnScroll;
