/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type TriggerComponent } from './src/types';
declare const ɵTrigger: TriggerComponent;
declare const ɵTriggerPropsDefs: {
    readonly value: {
        readonly type: null;
        readonly default: undefined;
    };
    readonly raw: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly clearIcon: {
        readonly type: import("vue").PropType<string>;
        readonly default: "close-circle";
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly focused: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly monitorFocus: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly paddingless: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly placeholder: StringConstructor;
    readonly readonly: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly size: {
        readonly type: import("vue").PropType<import("../..").FormSize>;
        readonly default: "md";
    };
    readonly status: import("vue").PropType<import("../../../cdk").ValidateStatus>;
    readonly suffix: import("vue").PropType<string>;
    readonly suffixRotate: {
        readonly type: import("vue").PropType<string | number | boolean>;
        readonly default: undefined;
    };
    readonly onClear: import("vue").PropType<import("../../../cdk").MaybeArray<(evt: MouseEvent) => void>>;
    readonly onFocus: import("vue").PropType<import("../../../cdk").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onBlur: import("vue").PropType<import("../../../cdk").MaybeArray<(evt: FocusEvent) => void>>;
};
export { ɵTrigger, ɵTriggerPropsDefs };
export type { TriggerInstance as ɵTriggerInstance, TriggerComponent as ɵTriggerComponent, TriggerPublicProps as ɵTriggerProps, TriggerSlots as ɵTriggerSlots, TriggerDefaultSlotParams as ɵTriggerDefaultSlotParams, } from './src/types';
