import { defineComponent, computed, ref, createVNode, nextTick } from "vue";
import { useGlobalConfig } from "@idux/components/config";
const waveProps = {};
var Wave = /* @__PURE__ */ defineComponent({
  name: "\u0275Wave",
  props: waveProps,
  setup(_, {
    expose
  }) {
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-wave`);
    const selfRef = ref();
    const play = () => {
      nextTick(() => {
        if (selfRef.value && selfRef.value.parentElement && selfRef.value.animate) {
          const borderColor = getComputedStyle(selfRef.value.parentElement).borderColor;
          selfRef.value.animate([{
            opacity: 0.6,
            boxShadow: `0 0 1px 0 ${borderColor}`,
            zIndex: 1,
            easing: "cubic-bezier(0, 0, 0.2, 1)"
          }, {
            opacity: 0,
            zIndex: 0,
            boxShadow: `0 0 1px 5px ${borderColor}`
          }], 600);
        }
      });
    };
    expose({
      play
    });
    return () => {
      return createVNode("div", {
        "ref": selfRef,
        "aria-hidden": true,
        "class": mergedPrefixCls.value
      }, null);
    };
  }
});
const \u0275Wave = Wave;
export { \u0275Wave };
