/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export type AffixDirection = 'top' | 'bottom' | 'left' | 'right';
export type AffixOffset = number | string | Partial<Record<AffixDirection, number | string>>;
export declare const affixProps: {
    readonly offset: {
        readonly type: PropType<AffixOffset>;
        readonly default: 0;
    };
    readonly target: PropType<string | HTMLElement | (() => string | HTMLElement)>;
    readonly onChange: PropType<(value: boolean) => void>;
};
export interface AffixBindings {
    update: () => void;
}
export type AffixProps = ExtractInnerPropTypes<typeof affixProps>;
export type AffixPublicProps = ExtractPublicPropTypes<typeof affixProps>;
export type AffixComponent = DefineComponent<Omit<HTMLAttributes, keyof AffixPublicProps> & AffixPublicProps, AffixBindings>;
export type AffixInstance = InstanceType<DefineComponent<AffixProps, AffixBindings>>;
