/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { AffixDirection, AffixOffset } from './types';
export type ContentStyle = {
    position?: 'fixed' | 'absolute';
    top?: string;
    bottom?: string;
    left?: string;
    right?: string;
    width?: string;
    height?: string;
};
type AffixDirectionNumber = Record<AffixDirection, number>;
export declare function normalizeOffset(offset: AffixOffset): Partial<AffixDirectionNumber>;
/**
 * get target position based on container
 */
export declare function getTargetRect(target: HTMLElement, container: HTMLElement | Window): AffixDirectionNumber | null;
export declare function getTargetSize(target: HTMLElement | Window): Record<'width' | 'height', number>;
export declare function observeTarget(target: HTMLElement | Window, cb: (...args: unknown[]) => unknown): void;
export declare function removeObserveTarget(target: HTMLElement | Window, cb: (...args: unknown[]) => unknown): void;
export declare function isDireSticky(dire: AffixDirection, affixRect: AffixDirectionNumber, offsetOption: Partial<AffixDirectionNumber>): boolean;
export declare function isSticky(target: HTMLElement, container: HTMLElement | Window, offsetOption: Partial<AffixDirectionNumber>): boolean;
export declare function calcStickyPosition(target: HTMLElement, container: HTMLElement | Window, offsetOption: Partial<AffixDirectionNumber>): ContentStyle;
export {};
