/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes, MaybeArray } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export declare const anchorProps: {
    readonly affix: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly bounds: NumberConstructor;
    readonly hideLinkBall: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly offsetTop: NumberConstructor;
    readonly target: PropType<string | HTMLElement | (() => string | HTMLElement)>;
    readonly targetOffset: NumberConstructor;
    readonly onChange: PropType<MaybeArray<(activeLink: string) => void>>;
    readonly onClick: PropType<MaybeArray<(evt: MouseEvent, link: AnchorLinkProps) => void>>;
};
export type AnchorProps = ExtractInnerPropTypes<typeof anchorProps>;
export type AnchorPublicProps = ExtractPublicPropTypes<typeof anchorProps>;
export type AnchorComponent = DefineComponent<Omit<HTMLAttributes, keyof AnchorPublicProps> & AnchorPublicProps>;
export type AnchorInstance = InstanceType<DefineComponent<AnchorProps>>;
export declare const linkProps: {
    readonly href: {
        readonly type: StringConstructor;
        readonly required: true;
    };
    readonly title: StringConstructor;
};
export type AnchorLinkProps = ExtractInnerPropTypes<typeof linkProps>;
export type AnchorLinkPublicProps = ExtractPublicPropTypes<typeof linkProps>;
export type AnchorLinkComponent = DefineComponent<Omit<HTMLAttributes, keyof AnchorLinkPublicProps> & AnchorLinkPublicProps>;
export type AnchorLinkInstance = InstanceType<DefineComponent<AnchorLinkProps>>;
