/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes, MaybeArray } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes, PropType, VNode } from 'vue';
export type AvatarShape = 'circle' | 'square';
export type AvatarSize = number | 'lg' | 'md' | 'sm';
export declare const avatarProps: {
    readonly alt: StringConstructor;
    readonly gap: NumberConstructor;
    readonly icon: PropType<string | VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>>;
    readonly shape: PropType<AvatarShape>;
    readonly size: PropType<AvatarSize | Record<"xs" | "sm" | "md" | "lg" | "xl", number>>;
    readonly src: StringConstructor;
    readonly srcset: StringConstructor;
    readonly text: StringConstructor;
    readonly onError: PropType<MaybeArray<(evt: Event) => boolean | void>>;
};
export type AvatarProps = ExtractInnerPropTypes<typeof avatarProps>;
export type AvatarPublicProps = ExtractPublicPropTypes<typeof avatarProps>;
export type AvatarComponent = DefineComponent<Omit<HTMLAttributes, keyof AvatarPublicProps> & AvatarPublicProps>;
export type AvatarInstance = InstanceType<DefineComponent<AvatarProps>>;
