/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export declare const badgeProps: {
    /**
     * @deprecated please use `--ix-badge-background-color` instead
     */
    readonly color: {
        readonly type: StringConstructor;
    };
    readonly count: {
        readonly type: PropType<string | number>;
        readonly default: 0;
    };
    readonly dot: {
        readonly type: PropType<boolean | "inline">;
        readonly default: undefined;
    };
    readonly overflowCount: {
        readonly type: PropType<string | number>;
    };
    readonly showZero: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly status: {
        readonly type: PropType<"info" | "error" | "success" | "warning">;
        readonly default: "error";
    };
    readonly processing: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly title: {
        readonly type: StringConstructor;
    };
};
export type BadgeProps = ExtractInnerPropTypes<typeof badgeProps>;
export type BadgePublicProps = ExtractPublicPropTypes<typeof badgeProps>;
export type BadgeComponent = DefineComponent<Omit<HTMLAttributes, keyof BadgePublicProps> & BadgePublicProps>;
export type BadgeInstance = InstanceType<DefineComponent<BadgeProps>>;
export declare const badgeSubProps: {
    readonly count: {
        readonly type: NumberConstructor;
        readonly required: true;
    };
    readonly dot: {
        readonly type: BooleanConstructor;
        readonly required: true;
    };
    readonly overflowCount: {
        readonly type: NumberConstructor;
        readonly required: true;
    };
    readonly prefixCls: {
        readonly type: StringConstructor;
        readonly required: true;
    };
    readonly showZero: {
        readonly type: BooleanConstructor;
        readonly required: true;
    };
    readonly status: {
        readonly type: PropType<"info" | "error" | "success" | "warning">;
        readonly required: true;
    };
    readonly text: {
        readonly type: StringConstructor;
    };
    readonly title: {
        readonly type: StringConstructor;
    };
};
