/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { CarouselProps } from '../types';
import { type ComputedRef, type Ref } from 'vue';
export interface StrategyContext {
    activeIndex: Ref<number>;
    runningIndex: Ref<number>;
    nextIndex: Ref<number>;
    unitHeight: ComputedRef<number>;
    unitWidth: ComputedRef<number>;
    goTo(slideIndex: number): void;
    next(): void;
    prev(): void;
}
export declare function useStrategy(props: CarouselProps, carouselRef: Ref<HTMLElement | undefined>, sliderTrackRef: Ref<HTMLElement | undefined>, sliderRefs: Ref<HTMLElement[]>, mergedVertical: ComputedRef<boolean>, mergedLength: ComputedRef<number>): StrategyContext;
