/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes, MaybeArray } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export declare const carouselProps: {
    readonly autoplayTime: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly dotPlacement: {
        readonly type: PropType<CarouselDotPlacement>;
        readonly default: undefined;
    };
    readonly showArrow: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly trigger: {
        readonly type: PropType<CarouselDotTrigger>;
        readonly default: undefined;
    };
    readonly onChange: PropType<MaybeArray<(prevIndex: number, nextIndex: number) => void>>;
};
export interface CarouselBindings {
    next: () => void;
    prev: () => void;
    goTo: (index: number) => void;
}
export type CarouselProps = ExtractInnerPropTypes<typeof carouselProps>;
export type CarouselPublicProps = ExtractPublicPropTypes<typeof carouselProps>;
export type CarouselComponent = DefineComponent<Omit<HTMLAttributes, keyof CarouselPublicProps> & CarouselPublicProps, CarouselBindings>;
export type CarouselInstance = InstanceType<DefineComponent<CarouselProps, CarouselBindings>>;
export type CarouselDotPlacement = 'top' | 'start' | 'bottom' | 'end' | 'none';
export type CarouselDotTrigger = 'click' | 'hover';
