/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
/// <reference types="vue/jsx" />
import { type VKey } from '@idux/cdk/utils';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly control: {
        readonly type: import("vue").PropType<string | number | (string | number)[] | import("@idux/cdk/forms").AbstractControl<any>>;
        readonly default: undefined;
    };
    readonly value: {
        readonly type: null;
        readonly default: undefined;
    };
    readonly expandedKeys: {
        readonly type: import("vue").PropType<VKey[]>;
        readonly default: undefined;
    };
    readonly loadedKeys: {
        readonly type: import("vue").PropType<VKey[]>;
        readonly default: undefined;
    };
    readonly open: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly autocomplete: {
        readonly type: StringConstructor;
        readonly default: "off";
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly childrenKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly clearIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly customAdditional: {
        readonly type: import("vue").PropType<import("./types").CascaderCustomAdditional>;
        readonly default: undefined;
    };
    readonly dataSource: {
        readonly type: import("vue").PropType<import("./types").CascaderData<VKey>[]>;
        readonly default: () => never[];
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly disableData: {
        readonly type: import("vue").PropType<(data: import("./types").CascaderData<any>) => boolean>;
    };
    readonly empty: {
        readonly type: import("vue").PropType<"default" | "simple" | import("../..").EmptyProps>;
        readonly default: "simple";
    };
    readonly expandIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly expandTrigger: {
        readonly type: import("vue").PropType<import("./types").CascaderExpandTrigger>;
        readonly default: "click";
    };
    readonly fullPath: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly getKey: {
        readonly type: import("vue").PropType<string | ((data: import("./types").CascaderData<any>) => any)>;
        readonly default: undefined;
    };
    readonly labelKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly loadChildren: {
        readonly type: import("vue").PropType<(data: import("./types").CascaderData<any>) => Promise<import("./types").CascaderData<any>[]>>;
        readonly default: undefined;
    };
    readonly maxLabel: {
        readonly type: import("vue").PropType<number | "responsive">;
        readonly default: number;
    };
    readonly multiple: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly multipleLimit: {
        readonly type: NumberConstructor;
        readonly default: number;
    };
    readonly overlayClassName: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly overlayContainer: {
        readonly type: import("vue").PropType<import("@idux/components/utils").OverlayContainerType>;
        readonly default: undefined;
    };
    readonly overlayTabindex: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly overlayMatchWidth: {
        readonly type: import("vue").PropType<boolean | "minWidth">;
        readonly default: undefined;
    };
    readonly overlayRender: {
        readonly type: import("vue").PropType<(children: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) => import("vue").VNodeChild>;
        readonly default: undefined;
    };
    readonly placeholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly readonly: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly searchable: {
        readonly type: import("vue").PropType<boolean | "overlay">;
        readonly default: false;
    };
    readonly searchFn: {
        readonly type: import("vue").PropType<boolean | import("./types").CascaderSearchFn>;
        readonly default: true;
    };
    readonly searchPlaceholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly separator: {
        readonly type: StringConstructor;
        readonly default: "/";
    };
    readonly size: {
        readonly type: import("vue").PropType<import("@idux/components/form").FormSize>;
        readonly default: undefined;
    };
    readonly status: import("vue").PropType<import("@idux/cdk/forms").ValidateStatus>;
    readonly strategy: {
        readonly type: import("vue").PropType<import("./types").CascaderStrategy>;
        readonly default: "all";
    };
    readonly suffix: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly virtual: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly virtualItemHeight: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly virtualScrollMode: {
        readonly type: import("vue").PropType<import("../../../cdk").VirtualScrollMode>;
        readonly default: undefined;
    };
    readonly 'onUpdate:value': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any) => void>>;
    readonly 'onUpdate:expandedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:loadedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:open': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(opened: boolean) => void>>;
    readonly onChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any, oldValue: any) => void>>;
    readonly onClear: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onFocus: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onBlur: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onExpand: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(expanded: boolean, data: import("./types").CascaderData<VKey>) => void>>;
    readonly onExpandedChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(expendedKeys: any[], data: import("./types").CascaderData<VKey>[]) => void>>;
    readonly onLoaded: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(loadedKeys: any[], data: import("./types").CascaderData<VKey>) => void>>;
    readonly onSearch: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: string) => void>>;
}>, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly control: {
        readonly type: import("vue").PropType<string | number | (string | number)[] | import("@idux/cdk/forms").AbstractControl<any>>;
        readonly default: undefined;
    };
    readonly value: {
        readonly type: null;
        readonly default: undefined;
    };
    readonly expandedKeys: {
        readonly type: import("vue").PropType<VKey[]>;
        readonly default: undefined;
    };
    readonly loadedKeys: {
        readonly type: import("vue").PropType<VKey[]>;
        readonly default: undefined;
    };
    readonly open: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly autocomplete: {
        readonly type: StringConstructor;
        readonly default: "off";
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly childrenKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly clearIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly customAdditional: {
        readonly type: import("vue").PropType<import("./types").CascaderCustomAdditional>;
        readonly default: undefined;
    };
    readonly dataSource: {
        readonly type: import("vue").PropType<import("./types").CascaderData<VKey>[]>;
        readonly default: () => never[];
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly disableData: {
        readonly type: import("vue").PropType<(data: import("./types").CascaderData<any>) => boolean>;
    };
    readonly empty: {
        readonly type: import("vue").PropType<"default" | "simple" | import("../..").EmptyProps>;
        readonly default: "simple";
    };
    readonly expandIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly expandTrigger: {
        readonly type: import("vue").PropType<import("./types").CascaderExpandTrigger>;
        readonly default: "click";
    };
    readonly fullPath: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly getKey: {
        readonly type: import("vue").PropType<string | ((data: import("./types").CascaderData<any>) => any)>;
        readonly default: undefined;
    };
    readonly labelKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly loadChildren: {
        readonly type: import("vue").PropType<(data: import("./types").CascaderData<any>) => Promise<import("./types").CascaderData<any>[]>>;
        readonly default: undefined;
    };
    readonly maxLabel: {
        readonly type: import("vue").PropType<number | "responsive">;
        readonly default: number;
    };
    readonly multiple: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly multipleLimit: {
        readonly type: NumberConstructor;
        readonly default: number;
    };
    readonly overlayClassName: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly overlayContainer: {
        readonly type: import("vue").PropType<import("@idux/components/utils").OverlayContainerType>;
        readonly default: undefined;
    };
    readonly overlayTabindex: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly overlayMatchWidth: {
        readonly type: import("vue").PropType<boolean | "minWidth">;
        readonly default: undefined;
    };
    readonly overlayRender: {
        readonly type: import("vue").PropType<(children: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) => import("vue").VNodeChild>;
        readonly default: undefined;
    };
    readonly placeholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly readonly: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly searchable: {
        readonly type: import("vue").PropType<boolean | "overlay">;
        readonly default: false;
    };
    readonly searchFn: {
        readonly type: import("vue").PropType<boolean | import("./types").CascaderSearchFn>;
        readonly default: true;
    };
    readonly searchPlaceholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly separator: {
        readonly type: StringConstructor;
        readonly default: "/";
    };
    readonly size: {
        readonly type: import("vue").PropType<import("@idux/components/form").FormSize>;
        readonly default: undefined;
    };
    readonly status: import("vue").PropType<import("@idux/cdk/forms").ValidateStatus>;
    readonly strategy: {
        readonly type: import("vue").PropType<import("./types").CascaderStrategy>;
        readonly default: "all";
    };
    readonly suffix: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly virtual: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly virtualItemHeight: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly virtualScrollMode: {
        readonly type: import("vue").PropType<import("../../../cdk").VirtualScrollMode>;
        readonly default: undefined;
    };
    readonly 'onUpdate:value': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any) => void>>;
    readonly 'onUpdate:expandedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:loadedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:open': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(opened: boolean) => void>>;
    readonly onChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any, oldValue: any) => void>>;
    readonly onClear: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onFocus: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onBlur: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onExpand: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(expanded: boolean, data: import("./types").CascaderData<VKey>) => void>>;
    readonly onExpandedChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(expendedKeys: any[], data: import("./types").CascaderData<VKey>[]) => void>>;
    readonly onLoaded: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(loadedKeys: any[], data: import("./types").CascaderData<VKey>) => void>>;
    readonly onSearch: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: string) => void>>;
}>> & Readonly<{}>, {
    readonly placeholder: string;
    readonly disabled: boolean;
    readonly overlayContainer: import("@idux/components/utils").OverlayContainerType;
    readonly control: string | number | (string | number)[] | import("@idux/cdk/forms").AbstractControl<any>;
    readonly size: import("@idux/components/form").FormSize;
    readonly expandedKeys: VKey[];
    readonly customAdditional: import("./types").CascaderCustomAdditional;
    readonly dataSource: import("./types").CascaderData<VKey>[];
    readonly getKey: string | ((data: import("./types").CascaderData<any>) => any);
    readonly multiple: boolean;
    readonly overlayClassName: string;
    readonly suffix: string;
    readonly searchable: boolean | "overlay";
    readonly borderless: boolean;
    readonly childrenKey: string;
    readonly empty: "default" | "simple" | import("../..").EmptyProps;
    readonly virtual: boolean;
    readonly virtualScrollMode: import("../../../cdk").VirtualScrollMode;
    readonly virtualItemHeight: number;
    readonly value: any;
    readonly open: boolean;
    readonly clearable: boolean;
    readonly clearIcon: string;
    readonly overlayTabindex: number;
    readonly overlayMatchWidth: boolean | "minWidth";
    readonly readonly: boolean;
    readonly loadedKeys: VKey[];
    readonly expandIcon: string;
    readonly labelKey: string;
    readonly loadChildren: (data: import("./types").CascaderData<any>) => Promise<import("./types").CascaderData<any>[]>;
    readonly searchFn: boolean | import("./types").CascaderSearchFn;
    readonly searchPlaceholder: string;
    readonly maxLabel: number | "responsive";
    readonly strategy: import("./types").CascaderStrategy;
    readonly separator: string;
    readonly autofocus: boolean;
    readonly autocomplete: string;
    readonly expandTrigger: import("./types").CascaderExpandTrigger;
    readonly fullPath: boolean;
    readonly multipleLimit: number;
    readonly overlayRender: (children: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[]) => import("vue").VNodeChild;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
