/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { type GetKeyFn } from '@idux/components/utils';
import { type CascaderData, type CascaderPanelProps, type CascaderProps } from '../types';
export interface MergedData {
    children?: MergedData[];
    key: VKey;
    isLeaf: boolean;
    label: string;
    parentKey?: VKey;
    rawData: CascaderData;
}
export interface DataSourceContext {
    mergedData: ComputedRef<MergedData[]>;
    mergedDataMap: ComputedRef<Map<VKey, MergedData>>;
}
export declare function useDataSource(props: CascaderProps | CascaderPanelProps, mergedGetKey: ComputedRef<GetKeyFn>, mergedChildrenKey: ComputedRef<string>, mergedLabelKey: ComputedRef<string>, mergedFullPath: ComputedRef<boolean>): DataSourceContext;
export declare function convertMergedData(props: CascaderProps | CascaderPanelProps, getKey: GetKeyFn, childrenKey: string, labelKey: string, fullPath: boolean, data: CascaderData[], parentKey?: VKey, parentLabel?: string): MergedData[];
export declare function convertMergedDataMap(map: Map<VKey, MergedData>, data: MergedData[]): void;
