/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { type GetDisabledFn, type GetKeyFn } from '@idux/components/utils';
import { type MergedData } from './useDataSource';
import { type CascaderPanelProps, type CascaderProps } from '../types';
export interface ExpandableContext {
    expandedKeys: ComputedRef<VKey[]>;
    setExpandedKeys: (value: VKey[]) => void;
    handleExpand: (key: VKey) => void;
    loadingKeys: Ref<VKey[]>;
}
export declare function useExpandable(props: CascaderProps | CascaderPanelProps, mergedGetKey: ComputedRef<GetKeyFn>, mergedGetDisabled: ComputedRef<GetDisabledFn>, mergedChildrenKey: ComputedRef<string>, mergedLabelKey: ComputedRef<string>, mergedFullPath: ComputedRef<boolean>, mergedDataMap: ComputedRef<Map<VKey, MergedData>>, selectedKeys: ComputedRef<VKey[]>): ExpandableContext;
