/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { type GetDisabledFn } from '@idux/components/utils';
import { type MergedData } from './useDataSource';
import { type CascaderPanelProps } from '../types';
export interface SearchableContext {
    searchedData: ComputedRef<MergedData[]>;
}
export declare function useSearchable(props: CascaderPanelProps, mergedData: ComputedRef<MergedData[]>, mergedDataMap: ComputedRef<Map<VKey, MergedData>>, mergedLabelKey: ComputedRef<string>, mergedGetDisabled: ComputedRef<GetDisabledFn>): SearchableContext;
