/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { type GetDisabledFn } from '@idux/components/utils';
import { type MergedData } from './useDataSource';
import { type CascaderStrategy } from '../types';
export interface SelectedStateContext {
    resolvedSelectedKeys: ComputedRef<VKey[]>;
    selectedWithStrategyKeys: ComputedRef<VKey[]>;
    strategyEnabled: ComputedRef<boolean>;
    handleSelect: (key: VKey) => void;
    setValue: (keys: VKey[]) => void;
}
export declare function useSelectedState(mergedDataMap: ComputedRef<Map<VKey, MergedData>>, mergedFullPath: ComputedRef<boolean>, mergedGetDisabled: ComputedRef<GetDisabledFn>, multiple: Ref<boolean>, strategy: Ref<CascaderStrategy>, selectedKeys: Ref<VKey | VKey[] | VKey[][]>, setSelectedKeys: (keys: VKey | VKey[] | VKey[][]) => void): SelectedStateContext;
