/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef } from 'vue';
import { type MaybeArray, type VKey } from '@idux/cdk/utils';
import { GetDisabledFn } from '@idux/components/utils';
import { type MergedData } from '../composables/useDataSource';
import { type CascaderData } from '../types';
export declare function callChange(mergedDataMap: ComputedRef<Map<VKey, MergedData>>, newKeys: VKey[], onChange?: MaybeArray<(keys: VKey[], datas: CascaderData[]) => void>): void;
export declare function getChildrenKeys(currData: MergedData | undefined, filterDisabled: boolean, getDisabledFn: GetDisabledFn): VKey[];
export declare function getParentKeys(dataMap: Map<VKey, MergedData>, currData: MergedData | undefined, filterDisabled: boolean, getDisabledFn: GetDisabledFn): VKey[];
