/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes, MaybeArray, VKey } from '@idux/cdk/utils';
import type { HeaderProps } from '@idux/components/header';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export type CollapseSize = 'sm' | 'md';
export declare const collapseProps: {
    readonly expandedKeys: PropType<VKey[]>;
    readonly accordion: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly expandIcon: StringConstructor;
    readonly ghost: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly size: {
        readonly type: PropType<CollapseSize>;
        readonly default: undefined;
    };
    readonly 'onUpdate:expandedKeys': PropType<MaybeArray<(expandedKeys: any[]) => void>>;
};
export type CollapseProps = ExtractInnerPropTypes<typeof collapseProps>;
export type CollapsePublicProps = ExtractPublicPropTypes<typeof collapseProps>;
export type CollapseComponent = DefineComponent<Omit<HTMLAttributes, keyof CollapsePublicProps> & CollapsePublicProps>;
export type CollapseInstance = InstanceType<DefineComponent<CollapseProps>>;
export declare const collapsePanelProps: {
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly header: PropType<string | HeaderProps>;
};
export type CollapsePanelProps = ExtractInnerPropTypes<typeof collapsePanelProps>;
export type CollapsePanelPublicProps = ExtractPublicPropTypes<typeof collapsePanelProps>;
export type CollapsePanelComponent = DefineComponent<Omit<HTMLAttributes, keyof CollapsePanelPublicProps> & CollapsePanelPublicProps>;
export type CollapsePanelInstance = InstanceType<DefineComponent<CollapsePanelProps>>;
