/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ColorPickerProps } from '../types';
import { type ComputedRef } from 'vue';
import { type FormAccessor, ValidateStatus } from '@idux/cdk/forms';
import { type FormSize } from '@idux/components/form';
export interface PickerStateContext {
    accessor: FormAccessor<string>;
    mergedSize: ComputedRef<FormSize>;
    mergedStatus: ComputedRef<ValidateStatus | undefined>;
    focused: ComputedRef<boolean>;
    handleChange: (value: string) => void;
    handleFocus: (evt: FocusEvent) => void;
    handleBlur: (evt: FocusEvent) => void;
}
export declare function usePickerState(props: ColorPickerProps, config: {
    size: FormSize;
}): PickerStateContext;
