/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ColorFormat, HsbColor, HsbaColor, RgbaColor } from '../types';
import { type ComputedRef, type Ref } from 'vue';
import { Color } from '../utils';
export interface SelectedColorContext {
    selectedColor: ComputedRef<Color>;
    hsbValue: ComputedRef<HsbaColor>;
    hexValue: ComputedRef<string>;
    rgbValue: ComputedRef<RgbaColor>;
    hue: ComputedRef<number>;
    saturation: ComputedRef<number>;
    brightness: ComputedRef<number>;
    alpha: ComputedRef<number>;
    setHsb: (v: Partial<HsbColor>) => void;
    setHex: (v: string, alpha?: number) => void;
    setRgb: (v: Partial<RgbaColor>) => void;
    setAlpha: (v: number) => void;
    updateColor: (color: Color) => void;
}
export declare function useSelectedColor(valueRef: Ref<string | undefined>, format: ComputedRef<ColorFormat>, handleChange: (value: string) => void): SelectedColorContext;
