/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ColorType } from './color';
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export declare const colorPickerIndicatorProps: {
    readonly color: PropType<ColorType>;
    readonly checked: BooleanConstructor;
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly focused: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly hoverable: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly showBoxShadow: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
};
export type ColorPickerIndicatorProps = ExtractInnerPropTypes<typeof colorPickerIndicatorProps>;
export type ColorPickerIndicatorPublicProps = ExtractPublicPropTypes<typeof colorPickerIndicatorProps>;
export type ColorPickerIndicatorComponent = DefineComponent<Omit<HTMLAttributes, keyof ColorPickerIndicatorPublicProps> & ColorPickerIndicatorPublicProps>;
export type ColorPickerIndicatorInstance = InstanceType<DefineComponent<ColorPickerIndicatorProps>>;
