/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ColorFormat, ColorType } from './color';
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { FormSize } from '@idux/components/form';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export declare const colorPickerTriggerProps: {
    readonly value: PropType<ColorType>;
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly format: {
        readonly type: PropType<ColorFormat>;
        readonly default: "hex";
    };
    readonly focused: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly size: {
        readonly type: PropType<FormSize>;
        readonly default: "md";
    };
    readonly showText: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
};
export type ColorPickerTriggerProps = ExtractInnerPropTypes<typeof colorPickerTriggerProps>;
export type ColorPickerTriggerPublicProps = ExtractPublicPropTypes<typeof colorPickerTriggerProps>;
export type ColorPickerTriggerComponent = DefineComponent<Omit<HTMLAttributes, keyof ColorPickerTriggerPublicProps> & ColorPickerTriggerPublicProps>;
export type ColorPickerTriggerInstance = InstanceType<DefineComponent<ColorPickerTriggerProps>>;
