/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ColorFormat, ColorType, HsbaColor, RgbaColor } from '../types';
import type { HSVA, Numberify } from '@ctrl/tinycolor';
import { TinyColor } from '@ctrl/tinycolor';
export declare const isHexString: (hex: string) => boolean;
export declare const isBrightColor: (value: ColorType | undefined, bgColorToken: string) => boolean;
export declare const toHexFormat: (value?: string, alpha?: boolean) => string;
export declare const getHex: (value?: string, alpha?: boolean) => string;
export declare const getTargetFormatColorStr: (color: Color, colorFormat: ColorFormat) => string;
export declare class Color {
    private metaColor;
    constructor(color: TinyColor | ColorType | string | number | undefined);
    isValid(): boolean;
    equals(color: ColorType): boolean;
    toHsb(): HsbaColor;
    toHsbString(): string;
    toHsv(): Numberify<HSVA>;
    toHex(alpha?: boolean): string;
    toHexString(): string;
    toRgb(): RgbaColor;
    toRgbString(): string;
    getAlpha(): number;
    setAlpha(alpha: number): void;
    setHue(hue: number): void;
    setSaturation(saturation: number): void;
    onBackground(bgColor: string): Color;
}
