/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { AvatarProps } from '@idux/components/avatar';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export type CommentAvatar = AvatarProps;
export declare const commentProps: {
    readonly author: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly avatar: {
        readonly type: PropType<string | AvatarProps>;
        readonly default: undefined;
    };
    readonly content: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly datetime: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
};
export type CommentProps = ExtractInnerPropTypes<typeof commentProps>;
export type CommentPublicProps = ExtractPublicPropTypes<typeof commentProps>;
export type CommentComponent = DefineComponent<Omit<HTMLAttributes, keyof CommentPublicProps> & CommentPublicProps>;
export type CommentInstance = InstanceType<DefineComponent<CommentProps>>;
