/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type Plugin } from 'vue';
import { type GlobalConfig, type GlobalConfigKey } from './types';
export type DeepPartialGlobalConfig = {
    [K in GlobalConfigKey]?: Partial<GlobalConfig[K]>;
};
/**
 * Create a global configuration plugin
 *
 * @param config overrides the default global configuration
 */
export declare const createGlobalConfig: (config: DeepPartialGlobalConfig) => Plugin;
export declare function useGlobalConfig<T extends GlobalConfigKey>(compName: T): Readonly<GlobalConfig[T]>;
export declare function useGlobalConfig<T extends GlobalConfigKey>(compName: T, config: Partial<GlobalConfig[T]>): [Readonly<GlobalConfig[T]>, (config: Partial<GlobalConfig[T]>) => void];
