/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ControlTriggerOverlayInstance } from '../types';
import { type CSSProperties, type ComputedRef, type Ref } from 'vue';
import { type ɵTriggerInstance } from '@idux/components/_private/trigger';
export interface OverlayStateContext {
    overlayRef: Ref<ControlTriggerOverlayInstance | undefined>;
    overlayStyle: ComputedRef<CSSProperties | undefined>;
    overlayMatchWidth: ComputedRef<boolean | 'minWidth'>;
    updateOverlay: (rect?: DOMRect) => void;
    overlayOpened: ComputedRef<boolean>;
    setOverlayOpened: (open: boolean) => void;
}
export declare function useOverlayState(props: {
    open?: boolean;
    autofocus?: boolean;
    overlayMatchWidth?: boolean | 'minWidth';
    disabled?: boolean;
}, config: {
    overlayMatchWidth: boolean;
}, triggerRef: Ref<ɵTriggerInstance | undefined>, focused: ComputedRef<boolean>, triggerFocused: ComputedRef<boolean>): OverlayStateContext;
