/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { DatePanelComponent, DatePickerComponent, DateRangePanelComponent, DateRangePickerComponent } from './src/types';
import { useRangeShortcuts } from './src/composables/useRangeShortcuts';
import IxDatePickerOverlayFooter from './src/content/PickerOverlayFooter';
import IxDatePickerOverlayInputs from './src/content/PickerOverlayInputs';
import IxDateRangePickerOverlayFooter from './src/content/RangePickerOverlayFooter';
import IxDateRangePickerOverlayInputs from './src/content/RangePickerOverlayInputs';
import RangeShortcuts from './src/content/RangeShortcuts';
declare const IxDatePicker: DatePickerComponent;
declare const IxDatePanel: DatePanelComponent;
declare const IxDateRangePicker: DateRangePickerComponent;
declare const IxDateRangePanel: DateRangePanelComponent;
export { IxDatePicker, IxDatePanel, IxDateRangePicker, IxDateRangePanel, IxDatePickerOverlayInputs, IxDatePickerOverlayFooter, IxDateRangePickerOverlayInputs, IxDateRangePickerOverlayFooter, useRangeShortcuts as ɵUseRangeShortcuts, RangeShortcuts as ɵRangeShortcuts, };
export type { DatePickerInstance, DatePickerComponent, DatePickerPublicProps as DatePickerProps, DatePanelInstance, DatePanelComponent, DatePanelPublicProps as DatePanelProps, DateRangePickerInstance, DateRangePickerComponent, DateRangePickerPublicProps as DateRangePickerProps, DateRangePanelInstance, DateRangePanelComponent, DateRangePanelPublicProps as DateRangePanelProps, DatePickerType, PresetRangeShortcut, RangeShortcut, RangeShortcutOptions, RangeShortcutProp, RangeShortcutPanelRenderContext, } from './src/types';
export { getPresetRangeShortcutValue, extractShortcutValue } from './src/utils';
export { getThemeTokens as getDatePickerThemeTokens } from './theme';
export type { DatePickerThemeTokens } from './theme';
