/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { DatePanelProps, DateRangePanelProps } from '../types';
import type { DateConfig } from '@idux/components/config';
import { type ComputedRef } from 'vue';
export interface ActiveValueContext {
    activeValue: ComputedRef<Date>;
    setActiveValue: (value: Date) => void;
}
export interface RangeActiveValueContext {
    fromActiveValue: ComputedRef<Date>;
    toActiveValue: ComputedRef<Date>;
    setFromActiveValue: (value: Date) => void;
    setToActiveValue: (value: Date) => void;
}
export declare function useActiveValue(dateConfig: DateConfig, mergedProps: ComputedRef<DatePanelProps>): ActiveValueContext;
export declare function useRangeActiveValue(dateConfig: DateConfig, mergedProps: ComputedRef<DateRangePanelProps>, panelValue: ComputedRef<(Date | undefined)[] | undefined>, isSelecting: ComputedRef<boolean>): RangeActiveValueContext;
