/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { DateConfig } from '@idux/components/config';
import { type ComputedRef, type Ref } from 'vue';
import { type FormatContext } from './useFormat';
import { type InputEnableStatus } from './useInputEnableStatus';
export interface PickerControlContext {
    inputValue: ComputedRef<string>;
    dateInputValue: ComputedRef<string>;
    timeInputValue: ComputedRef<string>;
    panelValue: ComputedRef<Date | undefined>;
    dateInputFocused: ComputedRef<boolean>;
    timeInputFocused: ComputedRef<boolean>;
    visiblePanel: ComputedRef<'datePanel' | 'timePanel'>;
    setVisiblePanel: (value: 'datePanel' | 'timePanel') => void;
    init: (force?: boolean) => void;
    handleInput: (evt: Event) => void;
    handleDateInput: (evt: Event) => void;
    handleTimeInput: (evt: Event) => void;
    handleDateInputClear: () => void;
    handleTimeInputClear: () => void;
    handlePanelChange: (value: Date | undefined) => void;
    handleDateInputFocus: () => void;
    handleTimeInputFocus: () => void;
    handleDateInputBlur: () => void;
    handleTimeInputBlur: () => void;
}
export declare function useControl(dateConfig: DateConfig, formatContext: FormatContext, inputEnableStatus: ComputedRef<InputEnableStatus>, valueRef: Ref<string | number | Date | undefined>, handleChange: (value: Date | undefined) => void): PickerControlContext;
