/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { DatePickerProps, DateRangePickerProps } from '../types';
import { type ComputedRef } from 'vue';
import { type DatePickerConfig } from '@idux/components/config';
interface TimePanelEnabledStatus {
    hourEnabled: ComputedRef<boolean>;
    hourUse12Hours: ComputedRef<boolean>;
    minuteEnabled: ComputedRef<boolean>;
    secondEnabled: ComputedRef<boolean>;
    use12Hours: ComputedRef<boolean>;
}
export interface DateInputEnabledStatus {
    yearEnabled: boolean;
    monthEnabled: boolean;
    dateEnabled: boolean;
}
export interface FormatContext extends Omit<TimePanelEnabledStatus, 'hourUse12Hours'> {
    formatRef: ComputedRef<string>;
    dateFormatRef: ComputedRef<string>;
    timeFormatRef: ComputedRef<string>;
}
export declare function useFormat(props: DatePickerProps | DateRangePickerProps, config: DatePickerConfig): FormatContext;
export declare function useDateInputEnabledStatus(formatRef: ComputedRef<string>): ComputedRef<DateInputEnabledStatus>;
export {};
