/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { DatePickerProps, DateRangePickerProps } from '../types';
import type { ComputedRef } from 'vue';
export interface OverlayStateContext {
    overlayOpened: ComputedRef<boolean>;
    overlayVisible: ComputedRef<boolean>;
    setOverlayOpened: (open: boolean) => void;
    onAfterLeave: () => void;
}
export declare function useOverlayState(props: DatePickerProps | DateRangePickerProps): OverlayStateContext;
