/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef } from 'vue';
import { type FormAccessor, ValidateStatus } from '@idux/cdk/forms';
import { type DateConfig } from '@idux/components/config';
import { FormSize } from '@idux/components/form';
import { type DatePickerProps, type DateRangePickerProps } from '../types';
type StateValueType<T extends DatePickerProps | DateRangePickerProps> = T extends DatePickerProps ? Date | undefined : (Date | undefined)[] | undefined;
export interface PickerStateContext<T extends DatePickerProps | DateRangePickerProps> {
    accessor: FormAccessor<T['value']>;
    convertedValue: ComputedRef<StateValueType<T>>;
    mergedSize: ComputedRef<FormSize>;
    mergedStatus: ComputedRef<ValidateStatus | undefined>;
    focused: ComputedRef<boolean>;
    handleChange: (value: StateValueType<T>) => void;
    handleClear: (evt: MouseEvent) => void;
    handleFocus: (evt: FocusEvent) => void;
    handleBlur: (evt: FocusEvent) => void;
}
export declare function usePickerState<T extends DatePickerProps | DateRangePickerProps>(props: T, config: {
    size: FormSize;
}, dateConfig: DateConfig, formatRef: ComputedRef<string>): PickerStateContext<T>;
export {};
