/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { DatePickerType } from '../types';
import type { DateConfig } from '@idux/components/config';
import { type ComputedRef, type Ref } from 'vue';
import { type PickerControlContext } from './useControl';
import { type FormatContext } from './useFormat';
import { type InputEnableStatus } from './useInputEnableStatus';
export interface PickerRangeControlContext {
    buffer: ComputedRef<(Date | undefined)[] | undefined>;
    bufferUpdated: ComputedRef<boolean>;
    visiblePanel: ComputedRef<'datePanel' | 'timePanel'>;
    setVisiblePanel: (value: 'datePanel' | 'timePanel') => void;
    fromControl: PickerControlContext;
    toControl: PickerControlContext;
    init: (force?: boolean) => void;
    handlePanelChange: (value: Date[] | undefined) => void;
}
export declare function useRangeControl(dateConfig: DateConfig, formatContext: FormatContext, inputEnableStatus: ComputedRef<InputEnableStatus>, valueRef: Ref<(string | number | Date)[] | undefined>, typeRef: Ref<DatePickerType>): PickerRangeControlContext;
