/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { DateRangePanelProps } from '../types';
import type { DateConfig } from '@idux/components/config';
import { type ComputedRef } from 'vue';
export interface RangePanelStateContext {
    panelValue: ComputedRef<(Date | undefined)[] | undefined>;
    isSelecting: ComputedRef<boolean>;
    handleChange: (value: Date[] | undefined) => void;
    handleDatePanelCellClick: (value: Date) => void;
    handleDatePanelCellMouseenter: (value: Date) => void;
}
export declare function useRangePanelState(mergedProps: ComputedRef<DateRangePanelProps>, dateConfig: DateConfig): RangePanelStateContext;
