/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { HeaderProps } from '@idux/components/header';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export declare const descProps: {
    readonly col: {
        readonly type: PropType<string | number | Record<"xs" | "sm" | "md" | "lg" | "xl", string | number>>;
        readonly default: undefined;
    };
    readonly colonless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly header: {
        readonly type: PropType<string | HeaderProps>;
    };
    readonly labelAlign: PropType<DescLabelAlign>;
    readonly labelWidth: {
        readonly type: PropType<string | number>;
        readonly default: undefined;
    };
    readonly layout: PropType<DescLayout>;
    readonly size: PropType<DescSize>;
};
export type DescProps = ExtractInnerPropTypes<typeof descProps>;
export type DescPublicProps = ExtractPublicPropTypes<typeof descProps>;
export type DescComponent = DefineComponent<Omit<HTMLAttributes, keyof DescPublicProps> & DescPublicProps>;
export type DescInstance = InstanceType<DefineComponent<DescProps>>;
export declare const descItemProps: {
    readonly col: {
        readonly type: PropType<string | number | Record<"xs" | "sm" | "md" | "lg" | "xl", string | number>>;
        readonly default: 1;
    };
    readonly colonless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly label: {
        readonly type: PropType<string | number>;
        readonly default: undefined;
    };
    readonly labelAlign: {
        readonly type: PropType<DescLabelAlign>;
        readonly default: undefined;
    };
    readonly labelWidth: {
        readonly type: PropType<string | number>;
        readonly default: undefined;
    };
};
export type DescItemProps = ExtractInnerPropTypes<typeof descItemProps>;
export type DescItemPublicProps = ExtractPublicPropTypes<typeof descItemProps>;
export type DescItemComponent = DefineComponent<Omit<HTMLAttributes, keyof DescItemPublicProps> & DescItemPublicProps>;
export type DescItemInstance = InstanceType<DefineComponent<DescItemProps>>;
export type DescLabelAlign = 'start' | 'end';
export type DescLayout = 'horizontal' | 'vertical';
export type DescSize = 'sm' | 'md' | 'lg';
