/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type DefineComponent, type HTMLAttributes, type PropType } from 'vue';
import { type ExtractInnerPropTypes, type ExtractPublicPropTypes } from '@idux/cdk/utils';
export declare const dividerProps: {
    readonly dashed: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly label: StringConstructor;
    readonly labelPlacement: PropType<"start" | "end" | "center">;
    readonly plain: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly size: PropType<"sm" | "md" | "lg">;
    readonly vertical: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
};
export type DividerProps = ExtractInnerPropTypes<typeof dividerProps>;
export type DividerPublicProps = ExtractPublicPropTypes<typeof dividerProps>;
export type DividerComponent = DefineComponent<Omit<HTMLAttributes, keyof DividerPublicProps> & DividerPublicProps>;
export type DividerInstance = InstanceType<DefineComponent<DividerProps>>;
