/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
/// <reference types="vue/jsx" />
import { type ScrollStrategy } from '@idux/cdk/scroll';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly visible: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly animatable: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly closable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly closeIcon: import("vue").PropType<string | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | (() => import("vue").VNodeChild)>;
    readonly closeOnDeactivated: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly closeOnEsc: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly container: {
        readonly type: import("vue").PropType<import("@idux/cdk/portal").PortalTargetType>;
        readonly default: undefined;
    };
    readonly destroyOnHide: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly footer: import("vue").PropType<import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | import("../../_private/footer").ɵFooterButtonProps[] | (() => import("vue").VNodeChild)>;
    readonly header: import("vue").PropType<string | import("../..").HeaderProps>;
    readonly height: import("vue").PropType<string | number>;
    readonly mask: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly maskClosable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly offset: {
        readonly type: import("vue").PropType<string | number>;
        readonly default: 0;
    };
    readonly placement: {
        readonly type: import("vue").PropType<import("./types").DrawerPlacement>;
        readonly default: "end";
    };
    readonly distance: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly scrollStrategy: import("vue").PropType<ScrollStrategy>;
    readonly width: import("vue").PropType<string | number>;
    readonly zIndex: NumberConstructor;
    readonly 'onUpdate:visible': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(visible: boolean) => void>>;
    readonly onAfterOpen: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
    readonly onAfterClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
    readonly onBeforeClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt?: unknown) => boolean | void | Promise<boolean>>>;
    readonly onClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt?: unknown) => void>>;
}>, () => JSX.Element | null, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly visible: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly animatable: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly closable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly closeIcon: import("vue").PropType<string | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | (() => import("vue").VNodeChild)>;
    readonly closeOnDeactivated: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly closeOnEsc: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly container: {
        readonly type: import("vue").PropType<import("@idux/cdk/portal").PortalTargetType>;
        readonly default: undefined;
    };
    readonly destroyOnHide: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly footer: import("vue").PropType<import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | import("../../_private/footer").ɵFooterButtonProps[] | (() => import("vue").VNodeChild)>;
    readonly header: import("vue").PropType<string | import("../..").HeaderProps>;
    readonly height: import("vue").PropType<string | number>;
    readonly mask: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly maskClosable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly offset: {
        readonly type: import("vue").PropType<string | number>;
        readonly default: 0;
    };
    readonly placement: {
        readonly type: import("vue").PropType<import("./types").DrawerPlacement>;
        readonly default: "end";
    };
    readonly distance: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly scrollStrategy: import("vue").PropType<ScrollStrategy>;
    readonly width: import("vue").PropType<string | number>;
    readonly zIndex: NumberConstructor;
    readonly 'onUpdate:visible': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(visible: boolean) => void>>;
    readonly onAfterOpen: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
    readonly onAfterClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
    readonly onBeforeClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt?: unknown) => boolean | void | Promise<boolean>>>;
    readonly onClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt?: unknown) => void>>;
}>> & Readonly<{}>, {
    readonly offset: string | number;
    readonly visible: boolean;
    readonly closeOnDeactivated: boolean;
    readonly destroyOnHide: boolean;
    readonly placement: import("./types").DrawerPlacement;
    readonly container: import("@idux/cdk/portal").PortalTargetType;
    readonly mask: boolean;
    readonly closable: boolean;
    readonly animatable: boolean;
    readonly closeOnEsc: boolean;
    readonly maskClosable: boolean;
    readonly distance: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
