/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes, MaybeArray } from '@idux/cdk/utils';
import type { OverlayContainerType } from '@idux/components/utils';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export declare const dropdownProps: {
    readonly visible: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly autoAdjust: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly destroyOnHide: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly hideOnClick: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly offset: PropType<[number, number]>;
    readonly overlayContainer: {
        readonly type: PropType<OverlayContainerType>;
        readonly default: undefined;
    };
    readonly placement: PropType<import("../../../cdk").PopperPlacement>;
    readonly showArrow: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly trigger: PropType<import("../../../cdk").PopperTrigger>;
    readonly 'onUpdate:visible': PropType<MaybeArray<(visible: boolean) => void>>;
};
export type DropdownProps = ExtractInnerPropTypes<typeof dropdownProps>;
export type DropdownPublicProps = ExtractPublicPropTypes<typeof dropdownProps>;
export type DropdownComponent = DefineComponent<Omit<HTMLAttributes, keyof DropdownPublicProps> & DropdownPublicProps>;
export type DropdownInstance = InstanceType<DefineComponent<DropdownProps>>;
