import { createVNode, defineComponent, computed, normalizeClass } from "vue";
import { isString } from "lodash-es";
import { useGlobalConfig } from "@idux/components/config";
import { IxIcon } from "@idux/components/icon";
import { useThemeToken } from "@idux/components/theme";
import { useKey } from "@idux/cdk/utils";
const EmptySimpleImage = () => createVNode("svg", {
  "width": "80",
  "height": "60",
  "viewBox": "0 0 80 60",
  "xmlns": "http://www.w3.org/2000/svg"
}, [createVNode("g", {
  "fill": "none",
  "fill-rule": "nonzero"
}, [createVNode("ellipse", {
  "cx": "40",
  "cy": "53.29",
  "fill": "#F7F9FC",
  "rx": "25",
  "ry": "3.29"
}, null), createVNode("path", {
  "fill": "#EDF1F7",
  "d": "M27.935 18h24.13c.025 0 .048.012.063.033L60 29H20l7.872-10.967a.078.078 0 0 1 .063-.033z"
}, null), createVNode("path", {
  "fill": "#E3E7EE",
  "d": "M52.868 8.08l1.484 1.245c.013.01.015.03.004.044l-3.817 4.548a.031.031 0 0 1-.044.004l-1.484-1.246a.031.031 0 0 1-.004-.044l3.817-4.548a.031.031 0 0 1 .044-.004zm-26.373 0a.031.031 0 0 1 .044.003l3.817 4.548a.031.031 0 0 1-.004.044l-1.484 1.246a.031.031 0 0 1-.044-.004l-3.817-4.548a.031.031 0 0 1 .004-.044l1.484-1.246zM40.65 4c.018 0 .032.014.032.031v7.938a.031.031 0 0 1-.032.031h-1.937a.031.031 0 0 1-.031-.031V4.03c0-.017.014-.031.03-.031h1.938z"
}, null), createVNode("path", {
  "fill": "#FAFCFE",
  "d": "M29.936 20h20.128c.026 0 .05.012.064.033L55 27H25l4.872-6.967a.078.078 0 0 1 .064-.033z"
}, null), createVNode("path", {
  "fill": "#E1E5EB",
  "d": "M20 29h40v23.922a.078.078 0 0 1-.078.078H20.078a.078.078 0 0 1-.078-.078V29z"
}, null), createVNode("rect", {
  "width": "14",
  "height": "3",
  "x": "33",
  "y": "43",
  "fill": "#FFF",
  "rx": ".4"
}, null)])]);
const EmptyDefaultImage = () => {
  const key = useKey().toString();
  return createVNode("svg", {
    "width": "240",
    "height": "150",
    "viewBox": "0 0 240 150",
    "xmlns": "http://www.w3.org/2000/svg"
  }, [createVNode("defs", null, [createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_a`,
    "x1": "98.732%",
    "x2": "1.144%",
    "y1": "35.249%",
    "y2": "64.751%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_b`,
    "x1": "98.732%",
    "x2": "-4.28%",
    "y1": "29.211%",
    "y2": "74.009%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_c`,
    "x1": "98.732%",
    "x2": "1.773%",
    "y1": "34.607%",
    "y2": "65.393%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_d`,
    "x1": "98.732%",
    "x2": "-4.054%",
    "y1": "31.668%",
    "y2": "69.567%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_e`,
    "x1": "109.243%",
    "x2": "2.442%",
    "y1": "57.269%",
    "y2": "42.07%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_f`,
    "x1": "109.243%",
    "x2": "16.437%",
    "y1": "56.689%",
    "y2": "45.02%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_g`,
    "x1": "106.552%",
    "x2": "-9.479%",
    "y1": "57.117%",
    "y2": "40.471%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_h`,
    "x1": "89.696%",
    "x2": "2.512%",
    "y1": "55.015%",
    "y2": "41.695%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_i`,
    "x1": "0%",
    "x2": "89.377%",
    "y1": "49.118%",
    "y2": "50%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#CDD2DA",
    "stop-opacity": ".531"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#BEC3CC",
    "stop-opacity": ".178"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_j`,
    "x1": "3.227%",
    "x2": "87.16%",
    "y1": "66.363%",
    "y2": "73.709%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#E1E5EB"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#BEC3CC"
  }, null)]), createVNode("path", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_k`,
    "d": "M86.24 47.88L77.495 61.93a.234.234 0 0 0 .301.335l8.446-4.118v-9.73l31.681-13.992L86.241 47.88z"
  }, null), createVNode("filter", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_l`,
    "width": "102.5%",
    "height": "103.6%",
    "x": "-1.2%",
    "y": "-1.8%",
    "filterUnits": "objectBoundingBox"
  }, [createVNode("feGaussianBlur", {
    "in": "SourceAlpha",
    "result": "shadowBlurInner1",
    "stdDeviation": ".5"
  }, null), createVNode("feOffset", {
    "in": "shadowBlurInner1",
    "result": "shadowOffsetInner1"
  }, null), createVNode("feComposite", {
    "in": "shadowOffsetInner1",
    "in2": "SourceAlpha",
    "k2": "-1",
    "k3": "1",
    "operator": "arithmetic",
    "result": "shadowInnerInner1"
  }, null), createVNode("feColorMatrix", {
    "in": "shadowInnerInner1",
    "values": "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.5 0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_m`,
    "x1": "31.515%",
    "x2": "73.396%",
    "y1": "0%",
    "y2": "100%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#F7F9FC"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#E1E5EB"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_n`,
    "x1": "35.265%",
    "x2": "64.735%",
    "y1": "20.531%",
    "y2": "71.964%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#E1E5EB"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#BEC3CC"
  }, null)]), createVNode("path", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_o`,
    "d": "M0 15.191L31.462 0v38.684a.376.376 0 0 1-.181.322L0 57.956V15.19z"
  }, null), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_p`,
    "x1": "0%",
    "y1": "45.743%",
    "y2": "53.173%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#E1E5EB"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#BEC3CC"
  }, null)]), createVNode("path", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_q`,
    "d": "M0 13.457l38.276 13.049L69.74 11.457 31.682 0z"
  }, null), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_r`,
    "x1": "13.714%",
    "x2": "13.714%",
    "y1": "13.836%",
    "y2": "113.032%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#F7F9FC"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#E1E5EB"
  }, null)]), createVNode("path", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_t`,
    "d": "M0 13.457l38.276 13.049L69.74 11.457 31.682 0z"
  }, null), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_u`,
    "x1": "50%",
    "x2": "54.931%",
    "y1": "42.206%",
    "y2": "57.223%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#E1E5EB"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#FFF"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_w`,
    "x1": "2.15%",
    "y1": "41.152%",
    "y2": "53.34%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#E1E5EB"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#BEC3CC"
  }, null)]), createVNode("path", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_y`,
    "d": "M124.517 60.93l-.05 1.737 7.545 14.903c.092.181.31.257.494.171l33.014-15.395a.376.376 0 0 0 .162-.536l-9.703-15.93-31.462 15.05z"
  }, null), createVNode("filter", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_x`,
    "width": "102.4%",
    "height": "103.1%",
    "x": "-1.2%",
    "y": "-1.6%",
    "filterUnits": "objectBoundingBox"
  }, [createVNode("feGaussianBlur", {
    "in": "SourceAlpha",
    "result": "shadowBlurInner1",
    "stdDeviation": ".5"
  }, null), createVNode("feOffset", {
    "in": "shadowBlurInner1",
    "result": "shadowOffsetInner1"
  }, null), createVNode("feComposite", {
    "in": "shadowOffsetInner1",
    "in2": "SourceAlpha",
    "k2": "-1",
    "k3": "1",
    "operator": "arithmetic",
    "result": "shadowInnerInner1"
  }, null), createVNode("feColorMatrix", {
    "in": "shadowInnerInner1",
    "values": "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.353775131 0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_z`,
    "x1": "0%",
    "y1": "38.098%",
    "y2": "58.871%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#E1E5EB"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#BEC3CC"
  }, null)])]), createVNode("g", {
    "fill": "none",
    "fill-rule": "evenodd"
  }, [createVNode("g", {
    "stroke-dasharray": "4,10",
    "stroke-width": ".8"
  }, [createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_a)`,
    "d": "M.325 103.602L191.027.344"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_b)`,
    "d": "M117.37 139.398l125.286-80.541"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_c)`,
    "d": "M6.195 132.145L225.446 10.67"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_d)`,
    "d": "M76.264 130.444l149.182-90.173"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_e)`,
    "d": "M23.405 37.861l191.371 72.969-191.37-72.969z"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_f)`,
    "d": "M32.354 14.456L237.493 89.49 32.354 14.456z"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_g)`,
    "d": "M13.768 85.36l151.444 57.136L13.768 85.36z"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_h)`,
    "d": "M15.144 58.513l207.204 79.164L15.144 58.513z"
  }, null)]), createVNode("path", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_i)`,
    "fill-rule": "nonzero",
    "d": "M124.157 103.884l31.966 11.166 40.333-25.333-40.477-14.692z",
    "opacity": ".424"
  }, null), createVNode("use", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_j)`,
    "xlink:href": `#IDUX_EMPTY_DEFAULT_${key}_k`
  }, null), createVNode("use", {
    "fill": "#000",
    "filter": `url(#IDUX_EMPTY_DEFAULT_${key}_l)`,
    "xlink:href": `#IDUX_EMPTY_DEFAULT_${key}_k`
  }, null), createVNode("path", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_m)`,
    "fill-rule": "nonzero",
    "d": "M86.24 47.88l38.277 13.05v42.907L86.481 89.143a.376.376 0 0 1-.24-.35V47.88z"
  }, null), createVNode("path", {
    "fill": "#BEC3CC",
    "fill-rule": "nonzero",
    "d": "M93.681 63.157l21.828 6.506c.608.181 1.025.74 1.025 1.375a.797.797 0 0 1-1.025.763L93.68 65.296a1.435 1.435 0 0 1-1.024-1.375.797.797 0 0 1 1.024-.764zM93.683 72.243l14.497 4.261a1.429 1.429 0 0 1 1.026 1.37.8.8 0 0 1-1.026.769L93.683 74.38a1.429 1.429 0 0 1-1.026-1.37.8.8 0 0 1 1.026-.768z",
    "opacity": ".65"
  }, null), createVNode("path", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_n)`,
    "fill-rule": "nonzero",
    "d": "M0 15.191L31.462 0v38.684a.376.376 0 0 1-.181.322L0 57.956V15.19z",
    "transform": "translate(124.517 45.88)"
  }, null), createVNode("path", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_p)`,
    "fill-rule": "nonzero",
    "d": "M86.24 47.88l38.277 13.05 31.462-15.05-38.057-11.456z"
  }, null), createVNode("g", {
    "transform": "translate(86.24 34.424)"
  }, [createVNode("mask", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_s`,
    "fill": "#fff"
  }, [createVNode("use", {
    "xlink:href": `#IDUX_EMPTY_DEFAULT_${key}_q`
  }, null)]), createVNode("path", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_r)`,
    "fill-rule": "nonzero",
    "d": "M31.684-8.02L82.34-4.687V57.87l-50.655-1.334z",
    "mask": `url(#IDUX_EMPTY_DEFAULT_${key}_s)`
  }, null)]), createVNode("g", {
    "transform": "translate(86.24 34.424)"
  }, [createVNode("mask", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_v`,
    "fill": "#fff"
  }, [createVNode("use", {
    "xlink:href": `#IDUX_EMPTY_DEFAULT_${key}_t`
  }, null)]), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_u)`,
    "d": "M31.689.124l37.726 11.358L38.269 26.38.328 13.445z",
    "mask": `url(#IDUX_EMPTY_DEFAULT_${key}_v)`
  }, null)]), createVNode("path", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_w)`,
    "fill-rule": "nonzero",
    "d": "M124.517 60.93l-.05 1.737 7.545 14.903c.092.181.31.257.494.171l33.014-15.395a.376.376 0 0 0 .162-.536l-9.703-15.93-31.462 15.05z"
  }, null), createVNode("g", {
    "fill": "#000"
  }, [createVNode("use", {
    "filter": `url(#IDUX_EMPTY_DEFAULT_${key}_x)`,
    "xlink:href": `#IDUX_EMPTY_DEFAULT_${key}_y`
  }, null)]), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_z)`,
    "stroke-dasharray": "2.406",
    "stroke-width": ".8",
    "d": "M118.145 48c19.263-2.343 28.895-8.87 28.895-19.582 0-16.066-27.203-1.937-13.381 5.75 13.822 7.69 29.746-6.203 32.892-16.93"
  }, null)])]);
};
const EmptySimpleImageDark = () => createVNode("svg", {
  "xmlns": "http://www.w3.org/2000/svg",
  "fill": "none",
  "version": "1.1",
  "width": "80",
  "height": "60",
  "viewBox": "0 0 80 60"
}, [createVNode("g", null, [createVNode("g", null, [createVNode("ellipse", {
  "cx": "40",
  "cy": "52.920849084854126",
  "rx": "25",
  "ry": "3.289989709854126",
  "fill": "#0A0C0F",
  "fill-opacity": "1"
}, null)]), createVNode("g", null, [createVNode("path", {
  "d": "M60,29C60,29,53.8337,20.40884,52.4,18.411402C52.2122,18.149694,51.9176,18.000000000000185,51.5955,18.000000000000185C48.437799999999996,18.000000000000185,31.5622,18.000000000000185,28.4045,18.000000000000185C28.08236,18.000000000000185,27.78784,18.149694,27.6,18.411402C26.166330000000002,20.40885,19.999999999999716,29,19.999999999999716,29C19.999999999999716,29,60,29,60,29Z",
  "fill-rule": "evenodd",
  "fill": "#171A1F",
  "fill-opacity": "1"
}, null)]), createVNode("g", null, [createVNode("path", {
  "d": "M39.5312,11.6L39.5312,4.4Q39.5312,4.360603,39.5389,4.321964Q39.5466,4.283324,39.5617,4.246927Q39.5768,4.210529,39.5987,4.177772Q39.6205,4.145015,39.6484,4.117157Q39.6763,4.0892997,39.709,4.0674121Q39.7418,4.0455246,39.7782,4.0304482Q39.8146,4.0153718,39.8532,4.00768589Q39.8919,4,39.931200000000004,4L41.131299999999996,4Q41.1706,4,41.2093,4.00768589Q41.2479,4.0153718,41.2843,4.0304482Q41.3207,4.0455246,41.3535,4.0674121Q41.3862,4.0892997,41.4141,4.117157Q41.441900000000004,4.145015,41.4638,4.177772Q41.4857,4.210529,41.5008,4.246927Q41.5159,4.283324,41.5236,4.321964Q41.5312,4.360603,41.5312,4.4L41.5312,11.6Q41.5312,11.6394,41.5236,11.67804Q41.5159,11.71667,41.5008,11.753070000000001Q41.4857,11.78947,41.4638,11.822230000000001Q41.441900000000004,11.854980000000001,41.4141,11.88284Q41.3862,11.9107,41.3535,11.932590000000001Q41.3207,11.95447,41.2843,11.96955Q41.2479,11.98463,41.2093,11.99231Q41.1706,12,41.131299999999996,12L39.931200000000004,12Q39.8919,12,39.8532,11.99231Q39.8146,11.98463,39.7782,11.96955Q39.7418,11.95447,39.709,11.932590000000001Q39.6763,11.9107,39.6484,11.88284Q39.6205,11.854980000000001,39.5987,11.822230000000001Q39.5768,11.78947,39.5617,11.753070000000001Q39.5466,11.71667,39.5389,11.67804Q39.5312,11.6394,39.5312,11.6ZM50.0938,12.34844L53.4362,8.36501Q53.461600000000004,8.33483,53.4923,8.31017Q53.522999999999996,8.28551,53.558,8.26732Q53.5929,8.249130000000001,53.630700000000004,8.238109999999999Q53.6686,8.22708,53.7078,8.22365Q53.747,8.22021,53.7862,8.224499999999999Q53.8254,8.22879,53.862899999999996,8.240639999999999Q53.9005,8.25249,53.9351,8.27144Q53.9696,8.290379999999999,53.9998,8.31571L54.919,9.08705Q54.949200000000005,9.11238,54.9739,9.1431Q54.9985,9.173829999999999,55.0167,9.208770000000001Q55.0349,9.24372,55.0459,9.28154Q55.057,9.31936,55.0604,9.358609999999999Q55.0638,9.39786,55.0595,9.43702Q55.0552,9.47618,55.0434,9.51375Q55.0316,9.55133,55.0126,9.58587Q54.993700000000004,9.62041,54.9683,9.650590000000001L51.6258,13.63402Q51.6005,13.6642,51.5698,13.68886Q51.539100000000005,13.71351,51.5041,13.73171Q51.4692,13.7499,51.4314,13.76092Q51.3935,13.77195,51.354299999999995,13.77538Q51.315,13.77881,51.2759,13.77452Q51.2367,13.77024,51.1991,13.75839Q51.1616,13.74654,51.126999999999995,13.72759Q51.0925,13.70864,51.0623,13.68332L50.143100000000004,12.91198Q50.112899999999996,12.88665,50.0882,12.85593Q50.0636,12.8252,50.0454,12.79026Q50.0272,12.75531,50.0161,12.71749Q50.0051,12.67966,50.0017,12.64042Q49.9983,12.60117,50.0025,12.56201Q50.0068,12.52285,50.018699999999995,12.48527Q50.0305,12.4477,50.049499999999995,12.41316Q50.0684,12.37862,50.0938,12.34844ZM30.96875,12.34844L27.62626,8.36501Q27.600929999999998,8.33483,27.57021,8.31017Q27.53948,8.28551,27.50454,8.26732Q27.46959,8.249130000000001,27.43177,8.238109999999999Q27.39395,8.22708,27.3547,8.22365Q27.31545,8.22021,27.27629,8.224499999999999Q27.23713,8.22879,27.199559999999998,8.240639999999999Q27.16198,8.25249,27.12744,8.27144Q27.0929,8.290379999999999,27.06272,8.31571L26.143469,9.08705Q26.11329,9.11238,26.0886307,9.1431Q26.0639715,9.173829999999999,26.0457802,9.208770000000001Q26.0275889,9.24372,26.0165646,9.28154Q26.00554029,9.31936,26.00210666,9.358609999999999Q25.99867302,9.39786,26.00296201,9.43702Q26.00725099,9.47618,26.0190978,9.51375Q26.0309445,9.55133,26.0498938,9.58587Q26.0688431,9.62041,26.0941668,9.650590000000001L29.43666,13.63402Q29.46199,13.6642,29.49271,13.68886Q29.52344,13.71351,29.55838,13.73171Q29.59333,13.7499,29.631149999999998,13.76092Q29.66897,13.77195,29.70822,13.77538Q29.74746,13.77881,29.78663,13.77452Q29.82579,13.77024,29.86336,13.75839Q29.90094,13.74654,29.93548,13.72759Q29.970019999999998,13.70864,30.0002,13.68332L30.91945,12.91198Q30.94963,12.88665,30.97429,12.85593Q30.99895,12.8252,31.01714,12.79026Q31.035330000000002,12.75531,31.04635,12.71749Q31.057380000000002,12.67966,31.06081,12.64042Q31.064239999999998,12.60117,31.05996,12.56201Q31.05567,12.52285,31.04382,12.48527Q31.03197,12.4477,31.01302,12.41316Q30.99407,12.37862,30.96875,12.34844Z",
  "fill": "#1F2329",
  "fill-opacity": "1"
}, null)]), createVNode("g", null, [createVNode("path", {
  "d": "M55,27C55,27,51.4632,21.9425,50.402100000000004,20.42525C50.215,20.157708,49.912099999999995,19.999999999999773,49.5857,19.999999999999773C46.758700000000005,19.999999999999773,33.24129,19.999999999999773,30.41433,19.999999999999773C30.08786,19.999999999999773,29.78499,20.157708,29.59789,20.42525C28.53684,21.9425,24.99999999999986,27,24.99999999999986,27C24.99999999999986,27,55,27,55,27Z",
  "fill-rule": "evenodd",
  "fill": "#0A0C0F",
  "fill-opacity": "1"
}, null)]), createVNode("g", null, [createVNode("path", {
  "d": "M60,51.9884C60,47.427499999999995,60,29.000000000000156,60,29.000000000000156C60,29.000000000000156,20,29.000000000000156,20,29.000000000000156C20,29.000000000000156,20,47.427499999999995,20,51.9884C20,52.5406,20.436485,53,20.98877,53C26.51123,53,53.4888,53,59.0112,53C59.5635,53,60,52.5406,60,51.9884",
  "fill-rule": "evenodd",
  "fill": "#1F2329",
  "fill-opacity": "1"
}, null)]), createVNode("g", null, [createVNode("rect", {
  "x": "33",
  "y": "43",
  "width": "14",
  "height": "3",
  "rx": "0.4000000059604645",
  "fill": "#0A0C0F",
  "fill-opacity": "1"
}, null)])])]);
const EmptyDefaultImageDark = () => {
  const key = useKey().toString();
  return createVNode("svg", {
    "xmlns": "http://www.w3.org/2000/svg",
    "fill": "none",
    "version": "1.1",
    "width": "240",
    "height": "152.9013671875",
    "viewBox": "0 0 240 152.9013671875"
  }, [createVNode("defs", null, [createVNode("linearGradient", {
    "x1": "0.9800755977630615",
    "y1": "0",
    "x2": "-0.11804303526878357",
    "y2": "1.0979918241500854",
    "id": `IDUX_EMPTY_DEFAULT_${key}_a`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "50.72108507156372%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "0.9800755977630615",
    "y1": "0",
    "x2": "-0.11804303526878357",
    "y2": "1.0979918241500854",
    "id": `IDUX_EMPTY_DEFAULT_${key}_b`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "50.72108507156372%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "0.9800755977630615",
    "y1": "0",
    "x2": "-0.11804303526878357",
    "y2": "1.0979918241500854",
    "id": `IDUX_EMPTY_DEFAULT_${key}_c`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "50.72108507156372%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "0.9800755977630615",
    "y1": "0",
    "x2": "-0.11804303526878357",
    "y2": "1.0979918241500854",
    "id": `IDUX_EMPTY_DEFAULT_${key}_d`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "50.72108507156372%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "1.0743297338485718",
    "y1": "1.178910493850708",
    "x2": "-0.2211248129606247",
    "y2": "-0.21586854755878448",
    "id": `IDUX_EMPTY_DEFAULT_${key}_e`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "47.94098436832428%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "99.99997019767761%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "1.0182400941848755",
    "y1": "1.0703948736190796",
    "x2": "-0.06334318220615387",
    "y2": "-0.09068535268306732",
    "id": `IDUX_EMPTY_DEFAULT_${key}_f`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "47.94096052646637%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "99.99995827674866%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "1",
    "y1": "1.049881100654602",
    "x2": "-0.04913259670138359",
    "y2": "-0.06606881320476532",
    "id": `IDUX_EMPTY_DEFAULT_${key}_g`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "47.940972447395325%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "99.9999463558197%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "1.0135031938552856",
    "y1": "1.0334700345993042",
    "x2": "-0.01123770885169506",
    "y2": "0",
    "id": `IDUX_EMPTY_DEFAULT_${key}_h`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "47.94098436832428%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "99.9999463558197%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("filter", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_i`,
    "filterUnits": "objectBoundingBox",
    "color-interpolation-filters": "sRGB",
    "x": "-13.080453872680664",
    "y": "-13.080453872680664",
    "width": "98.46046829223633",
    "height": "65.31534194946289"
  }, [createVNode("feFlood", {
    "flood-opacity": "0",
    "result": "BackgroundImageFix"
  }, null), createVNode("feBlend", {
    "mode": "normal",
    "in": "SourceGraphic",
    "in2": "BackgroundImageFix",
    "result": "shape"
  }, null), createVNode("feGaussianBlur", {
    "stdDeviation": "3.270113468170166",
    "result": "effect1_foregroundBlur"
  }, null)]), createVNode("linearGradient", {
    "x1": "-0.01439724676311016",
    "y1": "0.9180914163589478",
    "x2": "0.8793747425079346",
    "y2": "0.9468859434127808",
    "id": `IDUX_EMPTY_DEFAULT_${key}_j`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#525966",
    "stop-opacity": "0.5306117534637451"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#525966",
    "stop-opacity": "0.17753291130065918"
  }, null)]), createVNode("mask", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_k`
  }, [createVNode("g", null, [createVNode("path", {
    "d": "M156.1887625,87.1952859375C156.1887625,82.41448593749999,156.1887625,49.72558593750259,156.1887625,49.72558593750259C156.1887625,49.72558593750259,124.7265625,64.5866859375,124.7265625,64.5866859375C124.7265625,64.5866859375,124.7265625,106.42138593749999,124.7265625,106.42138593749999C124.7265625,106.42138593749999,151.7556625,90.40308593750001,155.7086625,88.0603859375C156.0124625,87.8803859375,156.1887625,87.5484859375,156.1887625,87.1952859375",
    "fill-rule": "evenodd",
    "fill": "#FFFFFF",
    "fill-opacity": "1"
  }, null)])]), createVNode("filter", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_l`,
    "filterUnits": "objectBoundingBox",
    "color-interpolation-filters": "sRGB",
    "x": "-39.241363525390625",
    "y": "-39.241363525390625",
    "width": "117.58168029785156",
    "height": "116.86801147460938"
  }, [createVNode("feFlood", {
    "flood-opacity": "0",
    "result": "BackgroundImageFix"
  }, null), createVNode("feBlend", {
    "mode": "normal",
    "in": "SourceGraphic",
    "in2": "BackgroundImageFix",
    "result": "shape"
  }, null), createVNode("feGaussianBlur", {
    "stdDeviation": "9.810340881347656",
    "result": "effect1_foregroundBlur"
  }, null)]), createVNode("mask", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_m`
  }, [createVNode("g", null, [createVNode("path", {
    "d": "M156.18977187500002,49.725678125C156.18977187500002,49.725678125,124.727571875,64.447178125,124.727571875,64.447178125C124.727571875,64.447178125,86.451171875,51.682178125,86.451171875,51.682178125C86.451171875,51.682178125,118.132871875,38.517578125007184,118.132871875,38.517578125007184C118.132871875,38.517578125007184,156.18977187500002,49.725678125,156.18977187500002,49.725678125Z",
    "fill-rule": "evenodd",
    "fill": "#FFFFFF",
    "fill-opacity": "1"
  }, null)])]), createVNode("filter", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_n`,
    "filterUnits": "objectBoundingBox",
    "color-interpolation-filters": "sRGB",
    "x": "0",
    "y": "0",
    "width": "41.31380844116211",
    "height": "30.795196533203125"
  }, [createVNode("feFlood", {
    "flood-opacity": "0",
    "result": "BackgroundImageFix"
  }, null), createVNode("feBlend", {
    "mode": "normal",
    "in": "SourceGraphic",
    "in2": "BackgroundImageFix",
    "result": "shape"
  }, null), createVNode("feColorMatrix", {
    "in": "SourceAlpha",
    "type": "matrix",
    "result": "hardAlpha",
    "values": "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
  }, null), createVNode("feOffset", {
    "dy": "0",
    "dx": "0"
  }, null), createVNode("feGaussianBlur", {
    "stdDeviation": "0.5"
  }, null), createVNode("feComposite", {
    "in2": "hardAlpha",
    "operator": "arithmetic",
    "k2": "-1",
    "k3": "1"
  }, null), createVNode("feColorMatrix", {
    "type": "matrix",
    "values": "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.35377514362335205 0"
  }, null), createVNode("feBlend", {
    "mode": "normal",
    "in2": "shape",
    "result": "effect1_innerShadow"
  }, null)])]), createVNode("g", null, [createVNode("g", null, [createVNode("g", null, [createVNode("path", {
    "d": "M236.564,67.373030625L238.267,66.291277625L237.731,65.447077625L236.028,66.528831625L236.564,67.373030625ZM224.511,75.025900625L227.945,72.845250625L227.409,72.001050625L223.975,74.181700625L224.511,75.025900625ZM212.45999999999998,82.677940625L215.90699999999998,80.488940625L215.37099999999998,79.644740625L211.924,81.833740625L212.45999999999998,82.677940625ZM200.4332,90.314240625L203.881,88.124940625L203.345,87.28074062499999L199.8972,89.470040625L200.4332,90.314240625ZM188.3789,97.968040625L191.8213,95.782340625L191.2853,94.938140625L187.8429,97.123840625L188.3789,97.968040625ZM176.3394,105.612640625L179.7858,103.424340625L179.2498,102.580140625L175.8034,104.768440625L176.3394,105.612640625ZM164.2496,113.289040625L167.696,111.100740625L167.1599,110.256540625L163.71359999999999,112.444840625L164.2496,113.289040625ZM152.2141,120.93104062500001L155.6565,118.745340625L155.1204,117.901140625L151.678,120.08684062500001L152.2141,120.93104062500001ZM140.1544,128.588340625L143.6022,126.399140625L143.0662,125.554940625L139.6183,127.744140625L140.1544,128.588340625ZM128.1282,136.224440625L131.57580000000002,134.035440625L131.0397,133.191240625L127.59219999999999,135.380240625L128.1282,136.224440625ZM116.09,143.868140625L119.5244,141.687440625L118.9883,140.84324062500002L115.554,143.023940625L116.09,143.868140625ZM105.768013,150.422140625L107.4717,149.340340625L106.93568,148.496140625L105.231987,149.577940625L105.768013,150.422140625Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_a)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M208.564,54.373030625L210.267,53.291277625L209.731,52.447077625L208.028,53.528831625L208.564,54.373030625ZM196.511,62.025900625L199.945,59.845250625L199.409,59.001050625L195.975,61.181700625L196.511,62.025900625ZM184.45999999999998,69.677940625L187.90699999999998,67.488940625L187.37099999999998,66.644740625L183.924,68.833740625L184.45999999999998,69.677940625ZM172.4332,77.314240625L175.881,75.124940625L175.345,74.28074062499999L171.8972,76.470040625L172.4332,77.314240625ZM160.3789,84.968040625L163.8213,82.782340625L163.2853,81.938140625L159.8429,84.123840625L160.3789,84.968040625ZM148.3394,92.612640625L151.7858,90.424340625L151.2498,89.580140625L147.8034,91.768440625L148.3394,92.612640625ZM136.2496,100.289040625L139.696,98.100740625L139.1599,97.256540625L135.71359999999999,99.444840625L136.2496,100.289040625ZM124.2141,107.93104062500001L127.6565,105.745340625L127.12039999999999,104.901140625L123.678,107.08684062500001L124.2141,107.93104062500001ZM112.15440000000001,115.588340625L115.60220000000001,113.399140625L115.06620000000001,112.554940625L111.6183,114.744140625L112.15440000000001,115.588340625ZM100.12819999999999,123.224440625L103.5758,121.035440625L103.0397,120.191240625L99.59219999999999,122.380240625L100.12819999999999,123.224440625ZM88.09,130.868140625L91.5244,128.687440625L90.9883,127.843240625L87.554,130.023940625L88.09,130.868140625ZM77.768013,137.422140625L79.4717,136.340340625L78.93568,135.496140625L77.231987,136.577940625L77.768013,137.422140625Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_b)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M171.564,40.373030625L173.267,39.291277625L172.731,38.447077625L171.028,39.528831625L171.564,40.373030625ZM159.511,48.025900625L162.945,45.845250625L162.409,45.001050625L158.975,47.181700625L159.511,48.025900625ZM147.45999999999998,55.677940625000005L150.90699999999998,53.488940625L150.37099999999998,52.644740625L146.924,54.833740625000004L147.45999999999998,55.677940625000005ZM135.4332,63.314240625L138.881,61.124940625L138.345,60.280740625L134.8972,62.470040624999996L135.4332,63.314240625ZM123.3789,70.968040625L126.8213,68.782340625L126.2853,67.938140625L122.8429,70.123840625L123.3789,70.968040625ZM111.3394,78.612640625L114.7858,76.424340625L114.2498,75.580140625L110.8034,77.768440625L111.3394,78.612640625ZM99.2496,86.289040625L102.696,84.100740625L102.1599,83.256540625L98.7136,85.444840625L99.2496,86.289040625ZM87.2141,93.93104062500001L90.6565,91.745340625L90.12039999999999,90.901140625L86.678,93.08684062500001L87.2141,93.93104062500001ZM75.15440000000001,101.588340625L78.60220000000001,99.399140625L78.06620000000001,98.554940625L74.6183,100.744140625L75.15440000000001,101.588340625ZM63.1282,109.224440625L66.5758,107.035440625L66.0397,106.191240625L62.5922,108.380240625L63.1282,109.224440625ZM51.09,116.868140625L54.5244,114.687440625L53.9883,113.843240625L50.554,116.023940625L51.09,116.868140625ZM40.768013,123.422140625L42.4717,122.340340625L41.93568,121.496140625L40.231987,122.577940625L40.768013,123.422140625Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_c)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M141.564,22.373030625L143.267,21.291277625L142.731,20.447077625L141.028,21.528831625L141.564,22.373030625ZM129.511,30.025900625L132.945,27.845250625L132.409,27.001050625L128.975,29.181700624999998L129.511,30.025900625ZM117.46,37.677940625000005L120.907,35.488940625L120.371,34.644740625L116.924,36.833740625000004L117.46,37.677940625000005ZM105.4332,45.314240625L108.881,43.124940625L108.345,42.280740625L104.8972,44.470040624999996L105.4332,45.314240625ZM93.3789,52.968040625L96.8213,50.782340625L96.2853,49.938140625L92.8429,52.123840625L93.3789,52.968040625ZM81.3394,60.612640625L84.7858,58.424340625L84.2498,57.580140625L80.8034,59.768440625L81.3394,60.612640625ZM69.2496,68.289040625L72.696,66.100740625L72.1599,65.256540625L68.7136,67.444840625L69.2496,68.289040625ZM57.2141,75.93104062500001L60.6565,73.745340625L60.1204,72.901140625L56.678,75.08684062500001L57.2141,75.93104062500001ZM45.1544,83.588340625L48.6022,81.399140625L48.0662,80.554940625L44.6183,82.744140625L45.1544,83.588340625ZM33.1282,91.224440625L36.5758,89.035440625L36.039699999999996,88.191240625L32.5922,90.380240625L33.1282,91.224440625ZM21.09,98.868140625L24.5244,96.687440625L23.988300000000002,95.843240625L20.554000000000002,98.023940625L21.09,98.868140625ZM10.768013,105.422140625L12.4717,104.340340625L11.93568,103.496140625L10.231987,104.577940625L10.768013,105.422140625Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_d)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M8.820414,91.966636L10.34159,92.55207L10.34159,92.55206L10.98603,92.80008L11.3452,91.866806L9.181983,91.034287L9.179587,91.033365L9.179586,91.033364L8.820413,91.966635L8.820414,91.966636ZM20.323900000000002,96.39377L23.4292,97.58885L24.061999999999998,97.83239L24.4212,96.89912L23.7884,96.65558L20.6831,95.4605L20.0411,95.21345L19.682000000000002,96.14673L20.323900000000002,96.39377ZM33.4058,101.42837L36.4934,102.6167L37.132000000000005,102.8624L37.4912,101.9291L36.852599999999995,101.6834L33.765,100.49510000000001L33.1088,100.24259L32.749700000000004,101.17586L33.4058,101.42837ZM46.4661,106.4546L49.554,107.643L50.1984,107.89099999999999L50.5576,106.9578L49.9131,106.7097L46.8253,105.5214L46.1836,105.2744L45.8244,106.2077L46.4661,106.4546ZM59.532,111.48310000000001L62.6015,112.6644L63.2499,112.9139L63.609,111.9806L62.9606,111.7311L59.8912,110.5498L59.2523,110.304L58.8932,111.2372L59.532,111.48310000000001ZM72.601,116.5127L75.6824,117.6986L76.3286,117.9473L76.6878,117.014L76.0416,116.7653L72.9602,115.57939999999999L72.3086,115.3287L71.9495,116.262L72.601,116.5127ZM87.9809,122.4317L88.7593,122.7313L89.407,122.9805L89.7662,122.0473L89.1185,121.798L88.3401,121.4984L88.3349,121.4964L85.3811,120.3597L85.022,121.2929L87.9757,122.4297L87.9809,122.4317ZM98.7486,126.5757L101.8293,127.7613L102.4728,128.00889999999998L102.8319,127.07560000000001L102.1885,126.828L99.1077,125.64240000000001L98.46,125.3931L98.1008,126.3264L98.7486,126.5757ZM111.823,131.6072L114.912,132.7961L115.554,133.0434L115.914,132.1101L115.271,131.8629L112.182,130.674L111.53,130.4229L111.17,131.3562L111.823,131.6072ZM124.877,136.63139999999999L127.963,137.81889999999999L128.613,138.06900000000002L128.97199999999998,137.13569999999999L128.322,136.88569999999999L125.237,135.6981L124.585,135.44740000000002L124.226,136.3807L124.877,136.63139999999999ZM137.948,141.6617L141.036,142.8499L141.679,143.0976L142.039,142.1644L141.395,141.91660000000002L138.307,140.7285L137.657,140.478L137.298,141.41129999999998L137.948,141.6617ZM151.017,146.6912L154.103,147.8788L154.734,148.12189999999998L155.094,147.1886L154.462,146.9456L151.376,145.758L150.717,145.5045L150.358,146.4378L151.017,146.6912ZM167.333,152.4346L167.512,151.96800000000002L164.446,150.7879L163.792,150.5361L163.433,151.4694L164.087,151.7212L167.153,152.9013L167.333,152.4346Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_e)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M30.820414,73.966636L32.34159,74.55207L32.34159,74.55206L32.98603,74.80008L33.3452,73.866806L31.181983,73.034287L31.179587,73.033365L31.179586,73.033364L30.820413,73.966635L30.820414,73.966636ZM42.3239,78.39377L45.4292,79.58885L46.062,79.83239L46.4212,78.89912L45.788399999999996,78.65558L42.683099999999996,77.4605L42.0411,77.21345L41.682,78.14673L42.3239,78.39377ZM55.4058,83.42837L58.4934,84.6167L59.132000000000005,84.8624L59.4912,83.9291L58.852599999999995,83.6834L55.765,82.49510000000001L55.1088,82.24259L54.749700000000004,83.17586L55.4058,83.42837ZM68.4661,88.4546L71.554,89.643L72.19839999999999,89.89099999999999L72.55760000000001,88.9578L71.9131,88.7097L68.8253,87.5214L68.1836,87.2744L67.8244,88.2077L68.4661,88.4546ZM81.532,93.48310000000001L84.6015,94.6644L85.2499,94.9139L85.60900000000001,93.9806L84.9606,93.7311L81.8912,92.5498L81.25229999999999,92.304L80.89320000000001,93.2372L81.532,93.48310000000001ZM94.601,98.5127L97.6824,99.6986L98.3286,99.9473L98.6878,99.014L98.0416,98.7653L94.9602,97.57939999999999L94.3086,97.3287L93.9495,98.262L94.601,98.5127ZM109.9809,104.4317L110.7593,104.7313L111.407,104.9805L111.7662,104.0473L111.1185,103.798L110.3401,103.4984L110.3349,103.4964L107.3811,102.3597L107.022,103.2929L109.9757,104.4297L109.9809,104.4317ZM120.7486,108.5757L123.8293,109.7613L124.4728,110.0089L124.8319,109.07560000000001L124.1885,108.828L121.1077,107.64240000000001L120.46,107.3931L120.1008,108.3264L120.7486,108.5757ZM133.82299999999998,113.6072L136.912,114.7961L137.554,115.04339999999999L137.914,114.1101L137.27100000000002,113.8629L134.18200000000002,112.674L133.53,112.4229L133.17000000000002,113.3562L133.82299999999998,113.6072ZM146.877,118.6314L149.963,119.8189L150.613,120.069L150.97199999999998,119.1357L150.322,118.8857L147.237,117.6981L146.58499999999998,117.4474L146.226,118.38069999999999L146.877,118.6314ZM159.948,123.6617L163.036,124.84989999999999L163.679,125.0976L164.039,124.1644L163.395,123.9166L160.307,122.7285L159.657,122.47800000000001L159.298,123.4113L159.948,123.6617ZM173.017,128.6912L176.103,129.8788L176.734,130.12189999999998L177.094,129.1886L176.462,128.9456L173.376,127.75800000000001L172.717,127.50450000000001L172.358,128.4378L173.017,128.6912ZM189.333,134.4346L189.512,133.96800000000002L186.446,132.7879L185.792,132.5361L185.433,133.4694L186.087,133.7212L189.153,134.9013L189.333,134.4346Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_f)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M54.820414,53.966636L56.34159,54.55207L56.34159,54.55206L56.98603,54.80008L57.3452,53.866806L55.181983,53.034287L55.179587,53.033365L55.179586,53.033364L54.820413,53.966635L54.820414,53.966636ZM66.3239,58.39377L69.4292,59.58885L70.062,59.832390000000004L70.4212,58.899119999999996L69.7884,58.65558L66.6831,57.4605L66.0411,57.21345L65.682,58.14673L66.3239,58.39377ZM79.4058,63.42837L82.49340000000001,64.6167L83.132,64.8624L83.49119999999999,63.9291L82.8526,63.6834L79.765,62.4951L79.1088,62.24259L78.7497,63.17586L79.4058,63.42837ZM92.4661,68.4546L95.554,69.643L96.19839999999999,69.89099999999999L96.55760000000001,68.9578L95.9131,68.7097L92.8253,67.5214L92.1836,67.2744L91.8244,68.2077L92.4661,68.4546ZM105.532,73.48310000000001L108.6015,74.6644L109.2499,74.9139L109.60900000000001,73.9806L108.9606,73.7311L105.8912,72.5498L105.25229999999999,72.304L104.89320000000001,73.2372L105.532,73.48310000000001ZM118.601,78.5127L121.6824,79.6986L122.3286,79.9473L122.6878,79.014L122.0416,78.7653L118.9602,77.57939999999999L118.3086,77.3287L117.9495,78.262L118.601,78.5127ZM133.98090000000002,84.4317L134.7593,84.7313L135.40699999999998,84.9805L135.7662,84.0473L135.11849999999998,83.798L134.3401,83.4984L134.3349,83.4964L131.3811,82.3597L131.022,83.2929L133.97570000000002,84.4297L133.98090000000002,84.4317ZM144.7486,88.5757L147.8293,89.7613L148.4728,90.0089L148.83190000000002,89.07560000000001L148.1885,88.828L145.1077,87.64240000000001L144.45999999999998,87.3931L144.1008,88.3264L144.7486,88.5757ZM157.82299999999998,93.6072L160.912,94.7961L161.554,95.04339999999999L161.914,94.1101L161.27100000000002,93.8629L158.18200000000002,92.674L157.53,92.4229L157.17000000000002,93.3562L157.82299999999998,93.6072ZM170.877,98.6314L173.963,99.8189L174.613,100.069L174.97199999999998,99.1357L174.322,98.8857L171.237,97.6981L170.58499999999998,97.4474L170.226,98.38069999999999L170.877,98.6314ZM183.948,103.6617L187.036,104.84989999999999L187.679,105.0976L188.039,104.1644L187.395,103.9166L184.307,102.7285L183.657,102.47800000000001L183.298,103.4113L183.948,103.6617ZM197.017,108.69120000000001L200.103,109.8788L200.734,110.1219L201.094,109.18860000000001L200.462,108.9456L197.376,107.75800000000001L196.717,107.50450000000001L196.358,108.43780000000001L197.017,108.69120000000001ZM213.333,114.4346L213.512,113.968L210.446,112.78790000000001L209.792,112.5361L209.433,113.46940000000001L210.087,113.72120000000001L213.153,114.90129999999999L213.333,114.4346Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_g)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M74.820414,35.966636L76.34159,36.55207L76.34159,36.55206L76.98603,36.80008L77.3452,35.866806L75.181983,35.034287L75.179587,35.033365L75.179586,35.033364L74.820413,35.966635L74.820414,35.966636ZM86.3239,40.39377L89.4292,41.58885L90.062,41.832390000000004L90.4212,40.899119999999996L89.7884,40.65558L86.6831,39.4605L86.0411,39.21345L85.682,40.14673L86.3239,40.39377ZM99.4058,45.42837L102.49340000000001,46.6167L103.132,46.8624L103.49119999999999,45.9291L102.8526,45.6834L99.765,44.4951L99.1088,44.24259L98.7497,45.17586L99.4058,45.42837ZM112.4661,50.4546L115.554,51.643L116.19839999999999,51.891L116.55760000000001,50.9578L115.9131,50.7097L112.8253,49.5214L112.1836,49.2744L111.8244,50.2077L112.4661,50.4546ZM125.532,55.4831L128.6015,56.6644L129.2499,56.9139L129.609,55.980599999999995L128.9606,55.7311L125.8912,54.549800000000005L125.25229999999999,54.304L124.89320000000001,55.2372L125.532,55.4831ZM138.601,60.512699999999995L141.6824,61.6986L142.3286,61.9473L142.68779999999998,61.013999999999996L142.04160000000002,60.765299999999996L138.9602,59.5794L138.3086,59.3287L137.9495,60.262L138.601,60.512699999999995ZM153.98090000000002,66.4317L154.7593,66.7313L155.40699999999998,66.9805L155.7662,66.0473L155.11849999999998,65.798L154.3401,65.4984L154.3349,65.4964L151.3811,64.3597L151.022,65.2929L153.97570000000002,66.4297L153.98090000000002,66.4317ZM164.7486,70.5757L167.8293,71.7613L168.4728,72.0089L168.83190000000002,71.07560000000001L168.1885,70.828L165.1077,69.64240000000001L164.45999999999998,69.3931L164.1008,70.3264L164.7486,70.5757ZM177.82299999999998,75.6072L180.912,76.7961L181.554,77.04339999999999L181.914,76.1101L181.27100000000002,75.8629L178.18200000000002,74.674L177.53,74.4229L177.17000000000002,75.3562L177.82299999999998,75.6072ZM190.877,80.6314L193.963,81.8189L194.613,82.069L194.97199999999998,81.1357L194.322,80.8857L191.237,79.6981L190.58499999999998,79.4474L190.226,80.38069999999999L190.877,80.6314ZM203.948,85.6617L207.036,86.84989999999999L207.679,87.0976L208.039,86.1644L207.395,85.9166L204.307,84.7285L203.657,84.47800000000001L203.298,85.4113L203.948,85.6617ZM217.017,90.69120000000001L220.103,91.8788L220.734,92.1219L221.094,91.18860000000001L220.462,90.9456L217.376,89.75800000000001L216.717,89.50450000000001L216.358,90.43780000000001L217.017,90.69120000000001ZM233.333,96.4346L233.512,95.968L230.446,94.78790000000001L229.792,94.5361L229.433,95.46940000000001L230.087,95.72120000000001L233.153,96.90129999999999L233.333,96.4346Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_h)`,
    "fill-opacity": "1"
  }, null)])]), createVNode("g", null, [createVNode("g", {
    "style": "opacity:0.4243277609348297;",
    "filter": `url(#IDUX_EMPTY_DEFAULT_${key}_i)`
  }, [createVNode("path", {
    "d": "M196.6667875,92.60861640625001C196.6667875,92.60861640625001,156.33338750000001,117.39121640625001,156.33338750000001,117.39121640625001C156.33338750000001,117.39121640625001,124.3671875,106.46781640625,124.3671875,106.46781640625C124.3671875,106.46781640625,156.1897875,78.23681640624999,156.1897875,78.23681640624999C156.1897875,78.23681640624999,196.6667875,92.60861640625001,196.6667875,92.60861640625001Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_j)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M86.4509175,52.205278125C86.4509175,52.205278125,86.4509175,61.724178125,86.4509175,61.724178125C86.4509175,61.724178125,83.0527575,63.344978125,80.3919875,64.61407812499999C79.4853275,65.046578125,78.6303075,63.969678125,79.1696775,63.122278125C81.8570775,58.899878125,86.4509175,51.682178125,86.4509175,51.682178125C86.4509175,51.682178125,118.1326375,38.51757812500126,118.1326375,38.51757812500126C118.1326375,38.51757812500126,86.4509175,52.205278125,86.4509175,52.205278125Z",
    "fill-rule": "evenodd",
    "fill": "#1F2329",
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M124.727571875,106.42142890625C124.727571875,106.42142890625,124.727571875,64.44702890625,124.727571875,64.44702890625C124.727571875,64.44702890625,86.451171875,51.682128906250256,86.451171875,51.682128906250256C86.451171875,51.682128906250256,86.451171875,86.00252890625,86.451171875,91.27932890625C86.451171875,91.69522890625001,86.705945875,92.05302890625,87.095006875,92.20002890625C92.109961875,94.09522890625,124.727571875,106.42142890625,124.727571875,106.42142890625Z",
    "fill-rule": "evenodd",
    "fill": "#171A1F",
    "fill-opacity": "1"
  }, null)]), createVNode("g", {
    "style": "opacity:0.6496638655662537;"
  }, [createVNode("path", {
    "d": "M116.7441875,74.05626579223633C116.7441875,74.05120579223633,116.7441875,74.04615579223633,116.7441875,74.04111579223633C116.7441875,73.59473579223632,116.4382875,73.20036579223633,116.0096875,73.07542579223633C112.6327875,72.09078579223633,98.5745775,67.99178579223633,94.1835575,66.71147579223633C93.5408435,66.52407679223633,92.8671875,66.98366279223633,92.8671875,67.65314579223633C92.8671875,67.65820579223633,92.8671875,67.66325579223633,92.8671875,67.66829579223632C92.8671875,68.11467579223633,93.1731065,68.50904579223632,93.6016375,68.63398579223633C96.9786175,69.61862579223633,111.0367875,73.71762579223633,115.4277875,74.99793579223633C116.0704875,75.18533579223633,116.7441875,74.72574579223632,116.7441875,74.05626579223633",
    "fill-rule": "evenodd",
    "fill": "#525966",
    "fill-opacity": "1"
  }, null)]), createVNode("g", {
    "style": "opacity:0.6496638655662537;"
  }, [createVNode("path", {
    "d": "M109.4162875,80.74479828125C109.4162875,80.73973828125,109.4162875,80.73468828125,109.4162875,80.72963828125C109.4162875,80.28140828125,109.1085875,79.88961828125,108.6777875,79.76573828125C106.1004875,79.02458828125,97.4818175,76.54621828125,94.1746175,75.59520228125C93.5320085,75.41041428125,92.8671875,75.87607828125,92.8671875,76.54472828125C92.8671875,76.54978828125,92.8671875,76.55483828125,92.8671875,76.55987828125C92.8671875,77.00811828125,93.1748875,77.39990828125,93.6056655,77.52377828125C96.1830475,78.26492828125,104.8016875,80.74330828125,108.1088875,81.69431828125C108.7514875,81.87910828125,109.4162875,81.41344828125,109.4162875,80.74479828125",
    "fill-rule": "evenodd",
    "fill": "#525966",
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("g", null, [createVNode("path", {
    "d": "M156.1887625,87.1952859375C156.1887625,82.41448593749999,156.1887625,49.72558593750259,156.1887625,49.72558593750259C156.1887625,49.72558593750259,124.7265625,64.5866859375,124.7265625,64.5866859375C124.7265625,64.5866859375,124.7265625,106.42138593749999,124.7265625,106.42138593749999C124.7265625,106.42138593749999,151.7556625,90.40308593750001,155.7086625,88.0603859375C156.0124625,87.8803859375,156.1887625,87.5484859375,156.1887625,87.1952859375",
    "fill-rule": "evenodd",
    "fill": "#1F2329",
    "fill-opacity": "1"
  }, null)]), createVNode("g", {
    "mask": `url(#IDUX_EMPTY_DEFAULT_${key}_k)`
  }, [createVNode("g", {
    "style": "opacity:0.40481922030448914;",
    "filter": `url(#IDUX_EMPTY_DEFAULT_${key}_l)`
  }, [createVNode("path", {
    "d": "M156.4923625,47.633300781248096C156.4923625,47.633300781248096,162.9505625,69.01460078125,162.9505625,69.01460078125C162.9505625,69.01460078125,131.2391525,86.01860078125,131.2391525,86.01860078125C131.2391525,86.01860078125,123.8515625,70.97120078125,123.8515625,70.97120078125C123.8515625,70.97120078125,124.7270085,59.05480078125,124.7270085,59.05480078125C124.7270085,59.05480078125,156.4923625,47.633300781248096,156.4923625,47.633300781248096Z",
    "fill-rule": "evenodd",
    "fill": "#808999",
    "fill-opacity": "1"
  }, null)])])]), createVNode("g", null, [createVNode("g", null, [createVNode("path", {
    "d": "M156.18977187500002,49.725678125C156.18977187500002,49.725678125,124.727571875,64.447178125,124.727571875,64.447178125C124.727571875,64.447178125,86.451171875,51.682178125,86.451171875,51.682178125C86.451171875,51.682178125,118.132871875,38.517578125007184,118.132871875,38.517578125007184C118.132871875,38.517578125007184,156.18977187500002,49.725678125,156.18977187500002,49.725678125Z",
    "fill-rule": "evenodd",
    "fill": "#1F2329",
    "fill-opacity": "1"
  }, null)]), createVNode("g", {
    "mask": `url(#IDUX_EMPTY_DEFAULT_${key}_m)`
  }, [createVNode("g", null, [createVNode("path", {
    "d": "M168.789765625,95.129175C168.789765625,95.129175,168.789765625,33.932745,168.789765625,33.932745C168.789765625,33.932745,118.134765625,30.6718749999996,118.134765625,30.6718749999996C118.134765625,30.6718749999996,118.134765625,93.82487499999999,118.134765625,93.82487499999999C118.134765625,93.82487499999999,168.789765625,95.129175,168.789765625,95.129175Z",
    "fill-rule": "evenodd",
    "fill": "#171A1F",
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M118.132871875,38.517578125L154.741671875,49.299178125L156.18977187500002,49.725678125L154.82247187500002,50.365478124999996L124.727571875,64.447178125L87.896921875,52.164378125L86.451171875,51.682178125L87.858531875,51.097478125L118.132871875,38.517578125ZM118.189871875,39.576818125L153.374371875,49.938978125L124.665271875,63.372278125L89.304281875,51.579578125L118.189871875,39.576818125Z",
    "fill-rule": "evenodd",
    "fill": "#1F2329",
    "fill-opacity": "1"
  }, null)])])]), createVNode("g", null, [createVNode("path", {
    "d": "M165.07248125,66.1327859375C160.00578124999998,68.4440859375,137.91488125,78.5216859375,133.25223125,80.6486859375C132.76730125,80.8698859375,132.18457125,80.6544859375,131.93957125,80.1811859375C130.29573125,77.0051859375,124.67578125,66.1471859375,124.67578125,66.1471859375C124.67578125,66.1471859375,124.72642695,64.4470859375,124.72642695,64.4470859375C124.72642695,64.4470859375,156.18858125,49.72558593750181,156.18858125,49.72558593750181C156.18858125,49.72558593750181,163.35668125,61.237885937499996,165.50708125,64.6915859375C165.82598124999998,65.2036859375,165.62138125,65.8823859375,165.07248125,66.1327859375",
    "fill-rule": "evenodd",
    "fill": "#1F2329",
    "fill-opacity": "1"
  }, null)]), createVNode("g", {
    "filter": `url(#IDUX_EMPTY_DEFAULT_${key}_n)`
  }, [createVNode("path", {
    "d": "",
    "fill": "#000000",
    "fill-opacity": "0.00009999999747378752"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M166.739040625,23.454578125Q166.956140625,22.879333125,167.12464062499998,22.317406125L166.166740625,22.030250125Q166.00824062499998,22.558856125,165.803440625,23.101404125L166.739040625,23.454578125ZM164.529140625,27.760318125Q165.20354062500002,26.716288125,165.745040625,25.670538125L164.857140625,25.210678125Q164.337540625,26.213958125,163.689140625,27.217738125L164.529140625,27.760318125ZM142.601840625,25.464938125Q141.431840625,25.262308125,140.109940625,25.387458125000002L140.204140625,26.383008125Q141.392940625,26.270458125,142.431140625,26.450268125L142.601840625,25.464938125ZM137.692040625,25.869948125Q136.520640625,26.222778124999998,135.412340625,26.779898125L135.861440625,27.673358125Q136.892140625,27.155248125,137.980440625,26.827468125L137.692040625,25.869948125ZM146.82074062499998,28.146598125Q146.103540625,27.029918125000002,144.987840625,26.342208125L144.463140625,27.193478125Q145.385140625,27.761788125,145.979340625,28.687008125L146.82074062499998,28.146598125ZM133.323640625,28.074918125Q132.270940625,28.873148125,131.527740625,29.784468125L132.302740625,30.416458125Q132.970340625,29.597768125,133.927840625,28.871748125L133.323640625,28.074918125ZM161.592540625,31.576388125Q162.407240625,30.673088125,163.136040625,29.728288125L162.344240625,29.117528125Q161.638940625,30.031868125,160.849940625,30.906598125000002L161.592540625,31.576388125ZM148.014140625,32.898328125Q148.014140625,31.587888125,147.766740625,30.483508125L146.790940625,30.702098125Q147.014140625,31.698528125,147.014140625,32.898328125L147.013940625,32.956228125L148.013940625,32.958628125000004L148.014140625,32.898328125ZM130.285240625,32.003768125Q129.863240625,33.339328125,130.204740625,34.616328125L131.170840625,34.358028125000004Q130.904640625,33.362628125,131.238840625,32.305128124999996L130.285240625,32.003768125ZM158.115040625,34.900428125Q159.042340625,34.136828125,159.915140625,33.302528125L159.224240625,32.579628125Q158.37804062499998,33.388428125000004,157.479340625,34.128428125L158.115040625,34.900428125ZM147.017840625,37.762128125000004Q147.511240625,36.619128125,147.760540625,35.413328125L146.781240625,35.210928125Q146.552640625,36.316628125,146.099740625,37.365728125000004L147.017840625,37.762128125000004ZM154.175040625,37.665128125Q155.202340625,37.060528125,156.199740625,36.359528125L155.62474062500002,35.541428124999996Q154.660340625,36.219128125,153.667840625,36.803328125L154.175040625,37.665128125ZM131.481440625,36.850428125Q132.248640625,37.688828125,133.41324062500001,38.420628125L133.945340625,37.573928125Q132.895140625,36.914028125,132.219040625,36.175328125L131.481440625,36.850428125ZM149.820540625,39.733128125Q150.937940625,39.326228125,152.046540625,38.797728125L151.616140625,37.895128125Q150.550840625,38.402928125,149.478340625,38.793528125L149.820540625,39.733128125ZM135.596940625,39.560528125000005Q136.722140625,40.052528124999995,137.888740625,40.382328125L138.160740625,39.420028125Q137.060040625,39.108828125,135.997640625,38.644328125L135.596940625,39.560528125000005ZM145.122440625,40.880328125Q144.739840625,41.358428125,144.307140625,41.822128125L143.576040625,41.139828125Q144.386040625,40.271928125,145.005740625,39.354228125L145.66754062500002,39.801028125Q146.463340625,39.670828125,147.26514062500002,39.471628124999995L147.506240625,40.442128124999996Q146.309440625,40.739428125,145.123740625,40.890528125L145.122440625,40.880328125ZM140.272540625,40.880028124999995Q141.471440625,41.044428124999996,142.699540625,41.045328125L142.700340625,40.045328125Q141.540040625,40.044528125,140.408440625,39.889328125L140.272540625,40.880028124999995ZM140.603740625,44.928528125Q141.641840625,44.229628125000005,142.537140625,43.485528125L141.897940625,42.716528124999996Q141.041540625,43.428228125000004,140.045240625,44.099028125000004L140.603740625,44.928528125ZM136.412640625,47.292128125000005Q137.531140625,46.759928125,138.546640625,46.190628125L138.057740625,45.318328125Q137.071340625,45.871228125,135.982940625,46.389128125L136.412640625,47.292128125000005ZM131.974540625,49.114228125Q133.13324062499998,48.703928125000004,134.217140625,48.260528125L133.838540625,47.335028125Q132.776740625,47.769228125,131.640740625,48.171628125L131.974540625,49.114228125ZM127.399390625,50.526228125Q128.573440625,50.212428125,129.699040625,49.866028125L129.404940625,48.910228125Q128.297160625,49.251228125,127.141210625,49.560128125L127.399390625,50.526228125ZM122.778790625,51.592928125Q123.942880625,51.365228125,125.103840625,51.097328125000004L124.878960625,50.122928125Q123.734380625,50.387028125,122.586830625,50.611528125L122.778790625,51.592928125ZM119.240738625,52.178828124999995Q119.673263625,52.127328125,120.425540625,52.009328124999996L120.270530625,51.021428125Q119.536525625,51.136528125,119.122542625,51.185828125L119.240738625,52.178828124999995Z",
    "fill-rule": "evenodd",
    "fill": "#1F2329",
    "fill-opacity": "1"
  }, null)])])])]);
};
const emptyProps = {
  description: String,
  icon: [String, Object],
  image: [String, Object],
  simple: Boolean
};
function getDefaultThemeTokens(tokens) {
  const { colorTextPlaceholder, colorTextInfo, fontSizeLg } = tokens;
  return {
    color: colorTextPlaceholder,
    descColor: colorTextInfo,
    descFontSize: fontSizeLg
  };
}
const getThemeTokens = (tokens, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens(tokens) : getDefaultThemeTokens(tokens);
};
var Empty = /* @__PURE__ */ defineComponent({
  name: "IxEmpty",
  props: emptyProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      presetTheme,
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("empty");
    registerToken(getThemeTokens);
    const locale = useGlobalConfig("locale");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-empty`);
    const config = useGlobalConfig("empty");
    const mergedDescription = computed(() => {
      var _a;
      return (_a = props.description) != null ? _a : locale.empty.description;
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-simple`]: props.simple
      });
    });
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const descriptionNode = slots.description ? slots.description() : mergedDescription.value;
      return createVNode("div", {
        "class": classes.value
      }, [createVNode("div", {
        "class": `${prefixCls}-image`
      }, [renderImage(props, slots, config, presetTheme.value)]), descriptionNode && createVNode("div", {
        "class": `${prefixCls}-description`
      }, [descriptionNode]), slots.default && createVNode("div", {
        "class": `${prefixCls}-content`
      }, [slots.default()])]);
    };
  }
});
function renderImage(props, slots, config, presetTheme) {
  var _a, _b;
  if (slots.image) {
    return slots.image(props);
  }
  const image = (_a = props.image) != null ? _a : config.image;
  if (image) {
    if (isString(image)) {
      return createVNode("img", {
        "src": image,
        "alt": "empty image"
      }, null);
    }
    return image;
  }
  const icon = (_b = props.icon) != null ? _b : config.icon;
  if (icon) {
    return isString(icon) ? createVNode(IxIcon, {
      "name": icon
    }, null) : icon;
  }
  const SimpleImg = presetTheme === "dark" ? EmptySimpleImageDark : EmptySimpleImage;
  const DefaultImg = presetTheme === "dark" ? EmptyDefaultImageDark : EmptyDefaultImage;
  return props.simple ? createVNode(SimpleImg, null, null) : createVNode(DefaultImg, null, null);
}
const IxEmpty = Empty;
export { IxEmpty, getThemeTokens as getEmptyThemeTokens };
