/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes, PropType, VNode } from 'vue';
export declare const emptyProps: {
    readonly description: StringConstructor;
    readonly icon: PropType<string | VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>>;
    readonly image: PropType<string | VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>>;
    readonly simple: BooleanConstructor;
};
export type EmptyProps = ExtractInnerPropTypes<typeof emptyProps>;
export type EmptyPublicProps = ExtractPublicPropTypes<typeof emptyProps>;
export type EmptyComponent = DefineComponent<Omit<HTMLAttributes, keyof EmptyPublicProps> & EmptyPublicProps>;
export type EmptyInstance = InstanceType<DefineComponent<EmptyProps>>;
