/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { FormComponent, FormItemComponent, FormWrapperComponent } from './src/types';
declare const IxForm: FormComponent;
declare const IxFormItem: FormItemComponent;
declare const IxFormWrapper: FormWrapperComponent;
export { IxForm, IxFormItem, IxFormWrapper };
export { FORM_TOKEN, FORM_ITEM_TOKEN } from './src/token';
export { useFormItemRegister, useFormElement, useFormFocusMonitor, useFormSize, useFormStatus, } from './src/composables/public';
export { getThemeTokens as getFormThemeTokens } from './theme';
export type { FormInstance, FormComponent, FormPublicProps as FormProps, FormItemInstance, FormItemComponent, FormItemPublicProps as FormItemProps, FormWrapperInstance, FormWrapperComponent, FormWrapperPublicProps as FormWrapperProps, FormColType, FormLabelAlign, FormLayout, FormSize, } from './src/types';
export type { FormThemeTokens } from './theme';
export type { FormContext } from './src/token';
export type { FormElementContext, FormFocusMonitor } from './src/composables/public';
