/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref, type ShallowRef } from 'vue';
import { type AbstractControl, ValidateStatus } from '@idux/cdk/forms';
import { type FormSize } from '../types';
export declare function useFormItemRegister(control: ShallowRef<AbstractControl | undefined>): void;
export interface FormElementContext<T> {
    elementRef: Ref<T | undefined>;
    focus: (options?: FocusOptions) => void;
    blur: () => void;
}
export declare function useFormElement<T extends HTMLElement = HTMLElement>(): FormElementContext<T>;
export interface FormFocusMonitor<T> {
    elementRef: Ref<T | undefined>;
    focus: (options?: FocusOptions) => void;
    blur: () => void;
}
export declare function useFormFocusMonitor<T extends HTMLElement = HTMLElement>(options: {
    checkChildren?: boolean;
    handleFocus: (evt: FocusEvent) => void;
    handleBlur: (evt: FocusEvent) => void;
}): FormFocusMonitor<T>;
export declare function useFormSize(props: {
    size?: FormSize;
}, config: {
    size: FormSize;
}): ComputedRef<FormSize>;
export declare function useFormStatus(props: {
    status?: ValidateStatus;
}, control: Ref<AbstractControl | undefined>): ComputedRef<ValidateStatus | undefined>;
