/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes, MaybeArray } from '@idux/cdk/utils';
import type { AvatarProps } from '@idux/components/avatar';
import type { DefineComponent, HTMLAttributes, PropType, VNodeChild } from 'vue';
export type HeaderSize = 'lg' | 'md' | 'sm';
export declare const headerProps: {
    readonly avatar: {
        readonly type: PropType<string | AvatarProps>;
        readonly default: undefined;
    };
    readonly description: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly prefix: {
        readonly type: PropType<VNodeChild | (() => VNodeChild)>;
        readonly default: undefined;
    };
    readonly size: {
        readonly type: PropType<HeaderSize>;
        readonly default: "md";
    };
    readonly showBar: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly subTitle: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly suffix: {
        readonly type: PropType<VNodeChild | (() => VNodeChild)>;
        readonly default: undefined;
    };
    readonly title: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly onPrefixClick: PropType<MaybeArray<(evt: MouseEvent) => void>>;
    readonly onSuffixClick: PropType<MaybeArray<(evt: MouseEvent) => void>>;
};
export type HeaderProps = ExtractInnerPropTypes<typeof headerProps>;
export type HeaderPublicProps = ExtractPublicPropTypes<typeof headerProps>;
export type HeaderComponent = DefineComponent<Omit<HTMLAttributes, keyof HeaderPublicProps> & HeaderPublicProps>;
export type HeaderInstance = InstanceType<DefineComponent<HeaderProps>>;
