/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export declare const iconProps: {
    readonly name: StringConstructor;
    readonly iconfont: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly rotate: {
        readonly type: PropType<string | number | boolean>;
        readonly default: undefined;
    };
    readonly color: StringConstructor;
    readonly size: PropType<string | number>;
};
export type IconProps = ExtractInnerPropTypes<typeof iconProps>;
export type IconPublicProps = ExtractPublicPropTypes<typeof iconProps>;
export type IconComponent = DefineComponent<Omit<HTMLAttributes, keyof IconPublicProps> & IconPublicProps>;
export type IconInstance = InstanceType<DefineComponent<IconProps>>;
export interface IconDefinition {
    name: string;
    svg: string;
}
