/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { GoType, ImageViewerProps, OprType, RotateType, ScaleType } from '../types';
import type { DebouncedFunc } from 'lodash-es';
import type { ComputedRef } from 'vue';
interface ImgStyleOprContext {
    transformStyle: ComputedRef<{
        transform: string;
    }>;
    scaleDisabled: ComputedRef<{
        in: boolean;
        out: boolean;
    }>;
    rotateHandle: DebouncedFunc<(direction?: RotateType, rotateStep?: number) => void>;
    scaleHandle: DebouncedFunc<(direction: ScaleType, scaleStep?: number) => void>;
    resetTransform: () => void;
}
interface ImgSwitchContext {
    activeIndex: ComputedRef<number>;
    switchDisabled: ComputedRef<{
        previous: boolean;
        next: boolean;
    }>;
    switchVisible: ComputedRef<boolean>;
    goHandle: DebouncedFunc<(direction?: GoType) => void>;
}
export declare function useOprList(goHandle: DebouncedFunc<(direction?: GoType) => void>, rotateHandle: DebouncedFunc<(direction?: RotateType, rotateStep?: number) => void>, scaleHandle: DebouncedFunc<(direction: ScaleType, scaleStep?: number) => void>, setVisible: (value: boolean) => void, scaleDisabled: ComputedRef<Record<ScaleType, boolean>>, switchDisabled: ComputedRef<Record<GoType, boolean>>, switchVisible: ComputedRef<boolean>): ComputedRef<OprType[]>;
export declare function useImgStyleOpr(zoom: ComputedRef<number[]>): ImgStyleOprContext;
export declare function useImgSwitch(props: ImageViewerProps, loop: ComputedRef<boolean>): ImgSwitchContext;
export {};
