/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref } from 'vue';
import { type ValidateStatus } from '@idux/cdk/forms';
import { type InputNumberConfig } from '@idux/components/config';
import { type FormSize } from '@idux/components/form';
import { type InputNumberProps } from './types';
export interface InputNumberBindings {
    mergedSize: ComputedRef<FormSize | undefined>;
    mergedStatus: ComputedRef<ValidateStatus | undefined>;
    displayValue: Ref<string>;
    isIllegal: Ref<boolean>;
    isDisabled: ComputedRef<boolean>;
    isFocused: Ref<boolean>;
    nowValue: ComputedRef<number | undefined>;
    isDisabledDec: ComputedRef<boolean>;
    isDisabledInc: ComputedRef<boolean>;
    handleKeyDown: (evt: KeyboardEvent) => void;
    handleDec: () => void;
    handleInc: () => void;
    handleInput: (evt: Event) => void;
    handleFocus: (evt: FocusEvent) => void;
    handleBlur: (evt: FocusEvent) => void;
}
export declare function useInputNumber(props: InputNumberProps, config: InputNumberConfig): InputNumberBindings;
export declare function getPrecision(value: number | undefined | null): number;
