/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref } from 'vue';
import { type FormAccessor, type ValidateStatus } from '@idux/cdk/forms';
import { type FormSize } from '@idux/components/form';
import { type InputCommonProps } from './types';
export interface InputContext<T extends HTMLInputElement | HTMLTextAreaElement> {
    elementRef: Ref<T | undefined>;
    accessor: FormAccessor;
    mergedSize: ComputedRef<FormSize | undefined>;
    mergedStatus: ComputedRef<ValidateStatus | undefined>;
    clearIcon: ComputedRef<string>;
    clearVisible: ComputedRef<boolean>;
    clearable: ComputedRef<boolean>;
    isFocused: Ref<boolean>;
    isComposing: Ref<boolean>;
    focus: (options?: FocusOptions) => void;
    blur: () => void;
    handleInput: (evt: Event) => void;
    handleCompositionStart: (evt: CompositionEvent) => void;
    handleCompositionEnd: (evt: CompositionEvent) => void;
    handleFocus: (evt: FocusEvent) => void;
    handleBlur: (evt: FocusEvent) => void;
    handleClear: (evt: MouseEvent) => void;
    syncValue: () => void;
}
export declare function useInput<T extends HTMLInputElement | HTMLTextAreaElement = HTMLInputElement | HTMLTextAreaElement>(props: InputCommonProps, config: {
    clearable: boolean;
    clearIcon: string;
    size: FormSize;
    trim: boolean;
}): InputContext<T>;
