/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { PortalTargetType } from '@idux/cdk/portal';
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { DefineComponent, PropType } from 'vue';
export declare const STATUS_TYPE: readonly ["loading", "finish", "error"];
export type StatusType = (typeof STATUS_TYPE)[number];
export interface LoadingBarOptions {
    mask?: boolean;
}
export declare const loadingBarProviderProps: {
    container: {
        type: PropType<PortalTargetType>;
        default: undefined;
    };
    mask: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export interface LoadingBarStatusTypeAnimation {
    duration: number;
    progress: number;
}
export type LoadingBarAnimation = Record<StatusType, LoadingBarStatusTypeAnimation>;
export interface LoadingBarProviderRef {
    start: (options?: LoadingBarOptions) => void;
    error: () => void;
    finish: () => void;
}
export type LoadingBarProviderProps = ExtractInnerPropTypes<typeof loadingBarProviderProps>;
export type LoadingBarProviderPublicProps = ExtractPublicPropTypes<typeof loadingBarProviderProps>;
export type LoadingBarProviderComponent = DefineComponent<LoadingBarProviderPublicProps, LoadingBarProviderRef>;
export type LoadingBarProviderInstance = InstanceType<DefineComponent<LoadingBarProviderProps, LoadingBarProviderRef>>;
