import { zhCN as zhCN$1, enUS as enUS$1 } from "date-fns/locale";
const zhCN = {
  type: "zh-CN",
  date: zhCN$1,
  colorPicker: {
    presetEmpty: "\u6682\u65E0"
  },
  datePicker: {
    today: "\u4ECA\u5929",
    ok: "\u786E\u5B9A",
    clear: "\u6E05\u9664",
    month: "\u6708",
    year: "\u5E74",
    monthSelect: "\u9009\u62E9\u6708\u4EFD",
    yearSelect: "\u9009\u62E9\u5E74\u4EFD",
    monthFormat: "MMM",
    yearFormat: "yyyy\u5E74",
    previousMonth: "\u4E0A\u4E2A\u6708",
    nextMonth: "\u4E0B\u4E2A\u6708",
    previousYear: "\u4E0A\u4E00\u5E74",
    nextYear: "\u4E0B\u4E00\u5E74",
    previousDecade: "\u4E0A\u4E00\u5E74\u4EE3",
    nextDecade: "\u4E0B\u4E00\u5E74\u4EE3",
    datePlaceholder: "\u8BF7\u9009\u62E9\u65E5\u671F",
    yearPlaceholder: "\u8BF7\u9009\u62E9\u5E74\u4EFD",
    quarterPlaceholder: "\u8BF7\u9009\u62E9\u5B63\u5EA6",
    monthPlaceholder: "\u8BF7\u9009\u62E9\u6708\u4EFD",
    weekPlaceholder: "\u8BF7\u9009\u62E9\u5468",
    datetimePlaceholder: "\u8BF7\u9009\u62E9\u65E5\u671F\u65F6\u95F4"
  },
  dateRangePicker: {
    datePlaceholder: ["\u5F00\u59CB\u65E5\u671F", "\u7ED3\u675F\u65E5\u671F"],
    weekPlaceholder: ["\u5F00\u59CB\u5468", "\u7ED3\u675F\u5468"],
    monthPlaceholder: ["\u5F00\u59CB\u6708\u4EFD", "\u7ED3\u675F\u6708\u4EFD"],
    quarterPlaceholder: ["\u5F00\u59CB\u5B63\u5EA6", "\u7ED3\u675F\u5B63\u5EA6"],
    yearPlaceholder: ["\u5F00\u59CB\u5E74\u4EFD", "\u7ED3\u675F\u5E74\u4EFD"],
    datetimePlaceholder: ["\u5F00\u59CB\u65F6\u95F4", "\u7ED3\u675F\u65F6\u95F4"],
    separator: "\u81F3",
    shortcuts: {
      today: "\u4ECA\u5929",
      yesterday: "\u6628\u5929",
      last24h: "\u8FD124\u5C0F\u65F6",
      last7d: "\u8FD17\u5929",
      last30d: "\u8FD130\u5929",
      last180d: "\u8FD1180\u5929",
      custom: "\u81EA\u5B9A\u4E49"
    },
    okText: "\u786E\u5B9A",
    cancelText: "\u53D6\u6D88"
  },
  empty: {
    description: "\u6682\u65E0\u6570\u636E"
  },
  modal: {
    cancelText: "\u53D6\u6D88",
    okText: "\u786E\u5B9A",
    justOkText: "\u6211\u77E5\u9053\u4E86"
  },
  popconfirm: {
    cancelText: "\u53D6\u6D88",
    okText: "\u786E\u5B9A"
  },
  pagination: {
    itemsPerPage: "\u6BCF\u9875",
    itemsSuffix: "\u9879",
    jumpTo: "\u524D\u5F80",
    page: "\u9875",
    prev: "\u4E0A\u4E00\u9875",
    next: "\u4E0B\u4E00\u9875",
    prev5: "\u5411\u524D 5 \u9875",
    next5: "\u5411\u540E 5 \u9875",
    totalPrefix: "\u5171",
    totalSuffix: "\u9879"
  },
  select: {
    limitMessage: "\u8BE5\u9009\u62E9\u5668\u7684\u503C\u4E0D\u80FD\u8D85\u8FC7 ${0} \u9879"
  },
  table: {
    expand: "\u5C55\u5F00\u884C",
    collapse: "\u6536\u8D77\u884C",
    filterTitle: "\u7B5B\u9009",
    filterConfirm: "\u786E\u5B9A",
    filterReset: "\u91CD\u7F6E",
    filterEmptyText: "\u65E0\u7B5B\u9009\u9879",
    selectAll: "\u5168\u9009\u6240\u6709",
    selectInvert: "\u53CD\u9009\u6240\u6709",
    selectNone: "\u6E05\u7A7A\u6240\u6709",
    selectPageAll: "\u5168\u9009\u5F53\u9875",
    selectPageInvert: "\u53CD\u9009\u5F53\u9875",
    sortDesc: "\u70B9\u51FB\u964D\u5E8F",
    sortAsc: "\u70B9\u51FB\u5347\u5E8F",
    sortCancel: "\u53D6\u6D88\u6392\u5E8F"
  },
  tabs: {
    allTabs: "\u6240\u6709\u9762\u677F"
  },
  text: {
    copyText: ["\u70B9\u51FB\u590D\u5236", "\u590D\u5236\u6210\u529F"]
  },
  timePicker: {
    okText: "\u786E\u5B9A",
    placeholder: "\u8BF7\u9009\u62E9\u65F6\u95F4"
  },
  timeRangePicker: {
    okText: "\u786E\u5B9A",
    separator: "\u81F3",
    placeholder: ["\u8D77\u59CB\u65F6\u95F4", "\u7ED3\u675F\u65F6\u95F4"]
  },
  tour: {
    nextText: "\u4E0B\u4E00\u6B65",
    prevText: "\u4E0A\u4E00\u6B65",
    finishText: "\u5F00\u59CB\u4F53\u9A8C"
  },
  transfer: {
    toSelect: "\u5F85\u9009",
    selected: "\u5DF2\u9009",
    searchPlaceholder: ["\u641C\u7D22\u5173\u952E\u5B57", "\u641C\u7D22\u5173\u952E\u5B57"]
  },
  treeSelect: {
    expandAll: "\u5C55\u5F00\u5168\u90E8",
    collapseAll: "\u6536\u8D77\u5168\u90E8"
  },
  upload: {
    uploading: "\u6B63\u5728\u4E0A\u4F20...",
    error: "\u4E0A\u4F20\u5931\u8D25",
    cancel: "\u53D6\u6D88\u4E0A\u4F20",
    preview: "\u9884\u89C8\u6587\u4EF6",
    remove: "\u5220\u9664\u6587\u4EF6",
    retry: "\u91CD\u65B0\u4E0A\u4F20",
    download: "\u4E0B\u8F7D\u6587\u4EF6"
  }
};
const enUS = {
  type: "en-US",
  date: enUS$1,
  colorPicker: {
    presetEmpty: "Empty"
  },
  datePicker: {
    today: "Today",
    ok: "OK",
    clear: "Clear",
    month: "Month",
    year: "Year",
    monthSelect: "Select month",
    yearSelect: "Select year",
    monthFormat: "MMM",
    yearFormat: "yyyy",
    previousMonth: "Previous month",
    nextMonth: "Next month",
    previousYear: "Previous year",
    nextYear: "Next year",
    previousDecade: "Previous decade",
    nextDecade: "Next decade",
    datePlaceholder: "Select date",
    weekPlaceholder: "Select week",
    monthPlaceholder: "Select month",
    quarterPlaceholder: "Select quarter",
    yearPlaceholder: "Select year",
    datetimePlaceholder: "Select time"
  },
  dateRangePicker: {
    datePlaceholder: ["Start date", "End date"],
    weekPlaceholder: ["Start week", "End week"],
    monthPlaceholder: ["Start month", "End month"],
    quarterPlaceholder: ["Start quarter", "End quarter"],
    yearPlaceholder: ["Start year", "End year"],
    datetimePlaceholder: ["Start time", "End time"],
    separator: "To",
    shortcuts: {
      today: "Today",
      yesterday: "Yesterday",
      last24h: "Last 24 hours",
      last7d: "Last 7 days",
      last30d: "Last 30 days",
      last180d: "Last 180 days",
      custom: "Custom"
    },
    okText: "OK",
    cancelText: "Cancel"
  },
  empty: {
    description: "No data available"
  },
  modal: {
    cancelText: "Cancel",
    okText: "OK",
    justOkText: "OK"
  },
  pagination: {
    itemsPerPage: "Entries per Page",
    itemsSuffix: "",
    jumpTo: "Page",
    page: "",
    prev: "Previous",
    next: "Next",
    prev5: "Previous 5 Pages",
    next5: "Next 5 Pages",
    totalPrefix: "",
    totalSuffix: "entries in total"
  },
  popconfirm: {
    cancelText: "Cancel",
    okText: "OK"
  },
  select: {
    limitMessage: "Select ${0} or fewer items"
  },
  table: {
    expand: "Expand",
    collapse: "Collapse",
    filterTitle: "Filter",
    filterConfirm: "OK",
    filterReset: "Reset",
    filterEmptyText: "No Filters",
    selectAll: "Select All",
    selectInvert: "Invert Selection",
    selectNone: "Clear All",
    selectPageAll: "Select Current Page",
    selectPageInvert: "Invert Current Selection",
    sortDesc: "Sort descending",
    sortAsc: "Sort ascending",
    sortCancel: "Cancel sort"
  },
  tabs: {
    allTabs: "All tabs"
  },
  text: {
    copyText: ["Copy", "Copy Success"]
  },
  timePicker: {
    okText: "OK",
    placeholder: "Select time"
  },
  timeRangePicker: {
    okText: "OK",
    separator: "To",
    placeholder: ["Start time", "End time"]
  },
  tour: {
    nextText: "Next",
    prevText: "Previous",
    finishText: "Done"
  },
  transfer: {
    toSelect: "Available",
    selected: "Selected",
    searchPlaceholder: ["Search", "Search"]
  },
  treeSelect: {
    expandAll: "Expand",
    collapseAll: "Collapse"
  },
  upload: {
    uploading: "Uploading...",
    error: "Upload failed",
    cancel: "Cancel",
    preview: "Preview",
    remove: "Delete",
    retry: "Reupload",
    download: "Download"
  }
};
export { enUS, zhCN };
