/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
/// <reference types="vue/jsx" />
import type { SpinProps } from '@idux/components/spin';
import { type ScrollStrategy } from '@idux/cdk/scroll';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly visible: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly cancelButton: import("vue").PropType<import("../..").ButtonProps>;
    readonly cancelText: StringConstructor;
    readonly centered: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly closable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly closeIcon: import("vue").PropType<string | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | (() => import("vue").VNodeChild)>;
    readonly closeOnDeactivated: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly closeOnEsc: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly container: {
        readonly type: import("vue").PropType<import("@idux/cdk/portal").PortalTargetType>;
        readonly default: undefined;
    };
    readonly destroyOnHide: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly draggable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly footer: {
        readonly type: import("vue").PropType<boolean | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("../../_private/footer").ɵFooterButtonProps[] | (() => import("vue").VNodeChild)>;
        readonly default: true;
    };
    readonly header: import("vue").PropType<string | import("../..").HeaderProps>;
    readonly icon: import("vue").PropType<string | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | (() => import("vue").VNodeChild)>;
    readonly mask: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly maskClosable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly animatable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly offset: {
        readonly type: import("vue").PropType<string | number>;
        readonly default: 128;
    };
    readonly okButton: import("vue").PropType<import("../..").ButtonProps>;
    readonly okText: StringConstructor;
    readonly scrollStrategy: import("vue").PropType<ScrollStrategy>;
    readonly spin: {
        readonly type: import("vue").PropType<boolean | SpinProps>;
        readonly default: undefined;
    };
    readonly spinWithFullModal: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly title: import("vue").PropType<string | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | (() => import("vue").VNodeChild)>;
    readonly type: {
        readonly type: import("vue").PropType<import("./types").ModalType>;
        readonly default: "default";
    };
    readonly width: import("vue").PropType<string | number>;
    readonly zIndex: NumberConstructor;
    readonly 'onUpdate:visible': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(visible: boolean) => void>>;
    readonly onAfterOpen: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
    readonly onAfterClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
    readonly onBeforeClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt?: unknown) => boolean | void | Promise<boolean>>>;
    readonly onClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt?: unknown) => void>>;
    readonly onCancel: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt?: unknown) => unknown>>;
    readonly onOk: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt?: unknown) => unknown>>;
    readonly __content_node: import("vue").PropType<import("vue").VNodeChild>;
}>, () => JSX.Element | null, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly visible: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly cancelButton: import("vue").PropType<import("../..").ButtonProps>;
    readonly cancelText: StringConstructor;
    readonly centered: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly closable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly closeIcon: import("vue").PropType<string | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | (() => import("vue").VNodeChild)>;
    readonly closeOnDeactivated: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly closeOnEsc: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly container: {
        readonly type: import("vue").PropType<import("@idux/cdk/portal").PortalTargetType>;
        readonly default: undefined;
    };
    readonly destroyOnHide: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly draggable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly footer: {
        readonly type: import("vue").PropType<boolean | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("../../_private/footer").ɵFooterButtonProps[] | (() => import("vue").VNodeChild)>;
        readonly default: true;
    };
    readonly header: import("vue").PropType<string | import("../..").HeaderProps>;
    readonly icon: import("vue").PropType<string | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | (() => import("vue").VNodeChild)>;
    readonly mask: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly maskClosable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly animatable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly offset: {
        readonly type: import("vue").PropType<string | number>;
        readonly default: 128;
    };
    readonly okButton: import("vue").PropType<import("../..").ButtonProps>;
    readonly okText: StringConstructor;
    readonly scrollStrategy: import("vue").PropType<ScrollStrategy>;
    readonly spin: {
        readonly type: import("vue").PropType<boolean | SpinProps>;
        readonly default: undefined;
    };
    readonly spinWithFullModal: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly title: import("vue").PropType<string | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | (() => import("vue").VNodeChild)>;
    readonly type: {
        readonly type: import("vue").PropType<import("./types").ModalType>;
        readonly default: "default";
    };
    readonly width: import("vue").PropType<string | number>;
    readonly zIndex: NumberConstructor;
    readonly 'onUpdate:visible': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(visible: boolean) => void>>;
    readonly onAfterOpen: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
    readonly onAfterClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
    readonly onBeforeClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt?: unknown) => boolean | void | Promise<boolean>>>;
    readonly onClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt?: unknown) => void>>;
    readonly onCancel: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt?: unknown) => unknown>>;
    readonly onOk: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt?: unknown) => unknown>>;
    readonly __content_node: import("vue").PropType<import("vue").VNodeChild>;
}>> & Readonly<{}>, {
    readonly draggable: boolean;
    readonly offset: string | number;
    readonly visible: boolean;
    readonly closeOnDeactivated: boolean;
    readonly destroyOnHide: boolean;
    readonly type: import("./types").ModalType;
    readonly spin: boolean | SpinProps;
    readonly footer: boolean | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | import("../../_private/footer").ɵFooterButtonProps[] | (() => import("vue").VNodeChild);
    readonly container: import("@idux/cdk/portal").PortalTargetType;
    readonly mask: boolean;
    readonly closable: boolean;
    readonly animatable: boolean;
    readonly closeOnEsc: boolean;
    readonly maskClosable: boolean;
    readonly centered: boolean;
    readonly spinWithFullModal: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
