/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef } from 'vue';
import { type PaginationConfig } from '@idux/components/config';
import { type PaginationProps } from '../types';
export interface PagesContext {
    activeIndex: ComputedRef<number>;
    activeSize: ComputedRef<number>;
    lastIndex: ComputedRef<number>;
    changePageIndex: (index: number) => void;
    changePageSize: (size: number) => void;
}
export declare function usePages(props: PaginationProps, config: PaginationConfig): PagesContext;
