/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { HeaderProps } from '@idux/components/header';
import type { DefineComponent, HTMLAttributes, PropType, VNode } from 'vue';
export declare const popoverProps: {
    readonly closable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly closeIcon: PropType<string | VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>>;
    readonly header: PropType<string | HeaderProps>;
    readonly content: StringConstructor;
    readonly showArrow: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly visible: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly autoAdjust: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly closeOnDeactivated: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly destroyOnHide: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly delay: PropType<number | [number | null, number | null]>;
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly offset: PropType<[number, number]>;
    readonly overlayContainer: {
        readonly type: PropType<import("../..").OverlayContainerType>;
        readonly default: undefined;
    };
    readonly placement: PropType<import("../../../cdk").PopperPlacement>;
    readonly title: StringConstructor;
    readonly trigger: PropType<import("../../../cdk").PopperTrigger>;
    readonly zIndex: NumberConstructor;
    readonly 'onUpdate:visible': PropType<import("@idux/cdk/utils").MaybeArray<(visible: boolean) => void>>;
};
export type PopoverProps = ExtractInnerPropTypes<typeof popoverProps>;
export type PopoverPublicProps = ExtractPublicPropTypes<typeof popoverProps>;
export interface PopoverBindings {
    updatePopper: () => void;
}
export type PopoverComponent = DefineComponent<Omit<HTMLAttributes, keyof PopoverPublicProps> & PopoverPublicProps, PopoverBindings>;
export type PopoverInstance = InstanceType<DefineComponent<PopoverProps, PopoverBindings>>;
