/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { ProgressGradient, StringGradients } from './types';
export declare const fullPercent = 100;
export declare function convertPercent(percent: number | undefined): number;
interface SortGradientResult {
    key: number;
    value: string;
}
/**
 * @example
 *   {
 *     "0%": "#afc163",
 *     "75%": "#009900",
 *     "50%": "green", // ====> [{key: 0, value: '#afc163'}, {key: 25， value: '#66FF00'} ...]
 *     "50%": "green",
 *     "25%": "#66FF00",
 *     "100%": "#ffffff"
 *   }
 */
export declare const sortGradient: (gradients: StringGradients) => SortGradientResult[];
/**
 * @example
 *   {
 *     "0%": "#afc163",
 *     "25%": "#66FF00",
 *     "50%": "#00CC00", // ====>  linear-gradient(to right, #afc163 0%, #66FF00 25%,
 *     "75%": "#009900", //        #00CC00 50%, #009900 75%, #ffffff 100%)
 *     "100%": "#ffffff"
 *   }
 */
export declare const handleGradient: (strokeColor: ProgressGradient, element: HTMLDivElement | undefined) => string;
export declare const handleCircleGradient: (strokeColor: StringGradients) => {
    offset: string;
    color: string;
}[];
export {};
