/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
/// <reference types="vue/jsx" />
import { type VKey } from '@idux/cdk/utils';
import { type SelectData } from './types';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly control: {
        readonly type: import("vue").PropType<string | number | (string | number)[] | import("@idux/cdk/forms").AbstractControl<any>>;
        readonly default: undefined;
    };
    readonly value: {
        readonly type: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<VKey>>;
        readonly default: undefined;
    };
    readonly open: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly allowInput: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly autocomplete: {
        readonly type: StringConstructor;
        readonly default: "off";
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly childrenKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly clearIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly customAdditional: {
        readonly type: import("vue").PropType<import("./types").SelectCustomAdditional>;
        readonly default: undefined;
    };
    readonly dataSource: {
        readonly type: import("vue").PropType<SelectData<VKey>[]>;
        readonly default: undefined;
    };
    readonly dndSortable: {
        readonly type: import("vue").PropType<boolean | import("./types").SelectDndSortable>;
        readonly default: false;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly empty: {
        readonly type: import("vue").PropType<"default" | "simple" | import("../..").EmptyProps>;
        readonly default: "simple";
    };
    readonly getKey: {
        readonly type: import("vue").PropType<string | ((data: SelectData<VKey>) => VKey)>;
        readonly default: undefined;
    };
    readonly labelKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly maxLabel: {
        readonly type: import("vue").PropType<number | "responsive">;
        readonly default: number;
    };
    readonly multiple: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly multipleLimit: {
        readonly type: NumberConstructor;
        readonly default: number;
    };
    readonly offset: import("vue").PropType<[number, number]>;
    readonly overlayClassName: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly overlayContainer: {
        readonly type: import("vue").PropType<import("@idux/components/utils").OverlayContainerType>;
        readonly default: undefined;
    };
    readonly overlayTabindex: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly overlayMatchWidth: {
        readonly type: import("vue").PropType<boolean | "minWidth">;
        readonly default: undefined;
    };
    readonly overlayRender: {
        readonly type: import("vue").PropType<(children: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) => import("vue").VNodeChild>;
        readonly default: undefined;
    };
    readonly placeholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly readonly: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly searchable: {
        readonly type: import("vue").PropType<boolean | "overlay">;
        readonly default: false;
    };
    readonly searchFn: {
        readonly type: import("vue").PropType<boolean | import("./types").SelectSearchFn>;
        readonly default: true;
    };
    readonly searchPlaceholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly size: {
        readonly type: import("vue").PropType<import("@idux/components/form").FormSize>;
        readonly default: undefined;
    };
    readonly status: import("vue").PropType<import("@idux/cdk/forms").ValidateStatus>;
    readonly suffix: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly spin: {
        readonly type: import("vue").PropType<boolean | import("@idux/components/spin").SpinProps>;
        readonly default: undefined;
    };
    readonly virtual: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly virtualScrollMode: {
        readonly type: import("vue").PropType<import("@idux/cdk/scroll").VirtualScrollMode>;
        readonly default: undefined;
    };
    readonly virtualItemHeight: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly 'onUpdate:value': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any) => void>>;
    readonly 'onUpdate:open': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(opened: boolean) => void>>;
    readonly onChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any, oldValue: any) => void>>;
    readonly onClear: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onFocus: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onBlur: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onSearch: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(searchText: string) => void>>;
    readonly onScroll: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onScrolledChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(startIndex: number, endIndex: number, visibleData: SelectData<any>[]) => void>>;
    readonly onScrolledBottom: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
    readonly onDndSortReorder: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(reorderInfo: import("../../../cdk").DndSortableReorderInfo) => void>>;
    readonly onDndSortChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(newDataSource: SelectData<VKey>[], oldDataSource: SelectData<VKey>[]) => void>>;
    readonly overlayHeight: {
        readonly type: NumberConstructor;
        readonly default: 256;
    };
}>, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly control: {
        readonly type: import("vue").PropType<string | number | (string | number)[] | import("@idux/cdk/forms").AbstractControl<any>>;
        readonly default: undefined;
    };
    readonly value: {
        readonly type: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<VKey>>;
        readonly default: undefined;
    };
    readonly open: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly allowInput: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly autocomplete: {
        readonly type: StringConstructor;
        readonly default: "off";
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly childrenKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly clearIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly customAdditional: {
        readonly type: import("vue").PropType<import("./types").SelectCustomAdditional>;
        readonly default: undefined;
    };
    readonly dataSource: {
        readonly type: import("vue").PropType<SelectData<VKey>[]>;
        readonly default: undefined;
    };
    readonly dndSortable: {
        readonly type: import("vue").PropType<boolean | import("./types").SelectDndSortable>;
        readonly default: false;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly empty: {
        readonly type: import("vue").PropType<"default" | "simple" | import("../..").EmptyProps>;
        readonly default: "simple";
    };
    readonly getKey: {
        readonly type: import("vue").PropType<string | ((data: SelectData<VKey>) => VKey)>;
        readonly default: undefined;
    };
    readonly labelKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly maxLabel: {
        readonly type: import("vue").PropType<number | "responsive">;
        readonly default: number;
    };
    readonly multiple: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly multipleLimit: {
        readonly type: NumberConstructor;
        readonly default: number;
    };
    readonly offset: import("vue").PropType<[number, number]>;
    readonly overlayClassName: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly overlayContainer: {
        readonly type: import("vue").PropType<import("@idux/components/utils").OverlayContainerType>;
        readonly default: undefined;
    };
    readonly overlayTabindex: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly overlayMatchWidth: {
        readonly type: import("vue").PropType<boolean | "minWidth">;
        readonly default: undefined;
    };
    readonly overlayRender: {
        readonly type: import("vue").PropType<(children: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) => import("vue").VNodeChild>;
        readonly default: undefined;
    };
    readonly placeholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly readonly: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly searchable: {
        readonly type: import("vue").PropType<boolean | "overlay">;
        readonly default: false;
    };
    readonly searchFn: {
        readonly type: import("vue").PropType<boolean | import("./types").SelectSearchFn>;
        readonly default: true;
    };
    readonly searchPlaceholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly size: {
        readonly type: import("vue").PropType<import("@idux/components/form").FormSize>;
        readonly default: undefined;
    };
    readonly status: import("vue").PropType<import("@idux/cdk/forms").ValidateStatus>;
    readonly suffix: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly spin: {
        readonly type: import("vue").PropType<boolean | import("@idux/components/spin").SpinProps>;
        readonly default: undefined;
    };
    readonly virtual: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly virtualScrollMode: {
        readonly type: import("vue").PropType<import("@idux/cdk/scroll").VirtualScrollMode>;
        readonly default: undefined;
    };
    readonly virtualItemHeight: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly 'onUpdate:value': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any) => void>>;
    readonly 'onUpdate:open': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(opened: boolean) => void>>;
    readonly onChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any, oldValue: any) => void>>;
    readonly onClear: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onFocus: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onBlur: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onSearch: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(searchText: string) => void>>;
    readonly onScroll: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onScrolledChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(startIndex: number, endIndex: number, visibleData: SelectData<any>[]) => void>>;
    readonly onScrolledBottom: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
    readonly onDndSortReorder: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(reorderInfo: import("../../../cdk").DndSortableReorderInfo) => void>>;
    readonly onDndSortChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(newDataSource: SelectData<VKey>[], oldDataSource: SelectData<VKey>[]) => void>>;
    readonly overlayHeight: {
        readonly type: NumberConstructor;
        readonly default: 256;
    };
}>> & Readonly<{}>, {
    readonly placeholder: string;
    readonly disabled: boolean;
    readonly overlayContainer: import("@idux/components/utils").OverlayContainerType;
    readonly control: string | number | (string | number)[] | import("@idux/cdk/forms").AbstractControl<any>;
    readonly size: import("@idux/components/form").FormSize;
    readonly customAdditional: import("./types").SelectCustomAdditional;
    readonly dataSource: SelectData<VKey>[];
    readonly getKey: string | ((data: SelectData<VKey>) => VKey);
    readonly multiple: boolean;
    readonly overlayClassName: string;
    readonly suffix: string;
    readonly searchable: boolean | "overlay";
    readonly dndSortable: boolean | import("./types").SelectDndSortable;
    readonly borderless: boolean;
    readonly childrenKey: string;
    readonly empty: "default" | "simple" | import("../..").EmptyProps;
    readonly spin: boolean | import("@idux/components/spin").SpinProps;
    readonly virtual: boolean;
    readonly virtualScrollMode: import("@idux/cdk/scroll").VirtualScrollMode;
    readonly virtualItemHeight: number;
    readonly value: import("@idux/cdk/utils").MaybeArray<VKey>;
    readonly open: boolean;
    readonly clearable: boolean;
    readonly clearIcon: string;
    readonly overlayTabindex: number;
    readonly overlayMatchWidth: boolean | "minWidth";
    readonly readonly: boolean;
    readonly labelKey: string;
    readonly searchFn: boolean | import("./types").SelectSearchFn;
    readonly searchPlaceholder: string;
    readonly maxLabel: number | "responsive";
    readonly autofocus: boolean;
    readonly autocomplete: string;
    readonly multipleLimit: number;
    readonly overlayRender: (children: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[]) => import("vue").VNodeChild;
    readonly overlayHeight: number;
    readonly allowInput: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
