/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { type SelectConfig } from '@idux/components/config';
import { type SelectData, type SelectPanelProps, type SelectProps } from '../types';
export type GetKeyFn = (data: SelectData) => VKey;
export declare function useGetOptionKey(props: SelectProps, config: SelectConfig): ComputedRef<GetKeyFn>;
export declare function usePanelGetOptionKey(props: SelectPanelProps, config: SelectConfig): ComputedRef<GetKeyFn>;
