/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { FlattenedOption, SelectData, SelectProps } from '../types';
import type { ComputedRef, Ref, Slots } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { GetKeyFn } from './useGetOptionKey';
export declare function useConvertedOptions(props: SelectProps, slots: Slots): ComputedRef<SelectData[]>;
export declare function useOptionKeyMap(options: ComputedRef<FlattenedOption[]>): ComputedRef<Map<VKey, FlattenedOption>>;
export declare function useFlattenedOptions(options: ComputedRef<SelectData[] | undefined>, mergedChildrenKey: ComputedRef<string>, getKey: ComputedRef<GetKeyFn>, mergedLabelKey: ComputedRef<string>): ComputedRef<FlattenedOption[]>;
export declare function useFilteredOptions(props: SelectProps, options: ComputedRef<FlattenedOption[]>, inputValue: Ref<string>, mergedLabelKey: ComputedRef<string>): ComputedRef<FlattenedOption[]>;
