/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type CSSProperties, type ComputedRef, type Ref } from 'vue';
import { type ɵOverlayInstance } from '@idux/components/_private/overlay';
import { type SelectorInstance } from '@idux/components/selector';
export interface OverlayStateContext {
    overlayRef: Ref<ɵOverlayInstance | undefined>;
    overlayStyle: ComputedRef<CSSProperties>;
    updateOverlay: (rect?: DOMRect) => void;
    overlayOpened: ComputedRef<boolean>;
    setOverlayOpened: (open: boolean) => void;
}
export declare function useOverlayState(props: {
    open?: boolean;
    autofocus?: boolean;
    overlayMatchWidth?: boolean;
}, config: {
    overlayMatchWidth: boolean;
}, triggerRef: Ref<SelectorInstance | undefined>): OverlayStateContext;
