/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { FlattenedOption } from '../composables/useOptions';
import type { SelectPanelProps } from '../types';
import type { VirtualScrollToFn } from '@idux/cdk/scroll';
import { type ComputedRef, type Ref } from 'vue';
import { type VKey } from '@idux/cdk/utils';
export interface PanelActiveStateContext {
    activeValue: ComputedRef<VKey | undefined>;
    activeIndex: Ref<number>;
    setActiveIndex: (index: number) => void;
    changeActiveIndex: (offset: 0 | 1 | -1) => void;
    scrollToActivated: () => void;
}
export declare function usePanelActiveState(props: SelectPanelProps, flattenedOptions: ComputedRef<FlattenedOption[]>, selectedKeys: ComputedRef<VKey[]>, scrollTo: VirtualScrollToFn): PanelActiveStateContext;
