/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef } from 'vue';
import { type FormAccessor } from '@idux/cdk/forms';
import { type VKey } from '@idux/cdk/utils';
import { type FlattenedOption } from './useOptions';
import { type SelectProps } from '../types';
export interface SelectedStateContext {
    selectedValue: ComputedRef<VKey[]>;
    selectedOptions: ComputedRef<FlattenedOption[]>;
    changeSelected: (key: VKey) => void;
    handleRemove: (key: VKey) => void;
    handleClear: (evt: MouseEvent) => void;
}
export declare function useSelectedState(props: SelectProps, accessor: FormAccessor, optionKeyMap: ComputedRef<Map<VKey, FlattenedOption>>): SelectedStateContext;
