/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
/// <reference types="vue/jsx" />
import { type SelectorData } from './types';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly input: StringConstructor;
    readonly allowInput: {
        readonly type: import("vue").PropType<boolean | "searchable">;
        readonly default: undefined;
    };
    readonly autocomplete: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly clearIcon: {
        readonly type: StringConstructor;
        readonly default: "close-circle";
    };
    readonly dataSource: import("vue").PropType<SelectorData<import("@idux/cdk/utils").VKey>[]>;
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly focused: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly getKey: {
        readonly type: import("vue").PropType<string | import("@idux/components/utils").GetKeyFn>;
        readonly default: "key";
    };
    readonly labelKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly maxLabel: {
        readonly type: import("vue").PropType<number | "responsive">;
        readonly default: undefined;
    };
    readonly multiple: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly monitorFocus: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly opened: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly placeholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly readonly: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly size: {
        readonly type: import("vue").PropType<import("../..").FormSize>;
        readonly default: "md";
    };
    readonly status: import("vue").PropType<import("../../../cdk").ValidateStatus>;
    readonly suffix: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly suffixRotate: {
        readonly type: import("vue").PropType<string | number | boolean>;
        readonly default: undefined;
    };
    readonly 'onUpdate:input': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(input: string | undefined) => void>>;
    readonly onBlur: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onFocus: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onClear: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: MouseEvent) => void>>;
    readonly onCompositionStart: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: CompositionEvent) => void>>;
    readonly onCompositionEnd: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: CompositionEvent) => void>>;
    readonly onInput: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onInputValueChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: string) => void>>;
    readonly onItemRemove: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any) => void>>;
}>, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly input: StringConstructor;
    readonly allowInput: {
        readonly type: import("vue").PropType<boolean | "searchable">;
        readonly default: undefined;
    };
    readonly autocomplete: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly clearIcon: {
        readonly type: StringConstructor;
        readonly default: "close-circle";
    };
    readonly dataSource: import("vue").PropType<SelectorData<import("@idux/cdk/utils").VKey>[]>;
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly focused: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly getKey: {
        readonly type: import("vue").PropType<string | import("@idux/components/utils").GetKeyFn>;
        readonly default: "key";
    };
    readonly labelKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly maxLabel: {
        readonly type: import("vue").PropType<number | "responsive">;
        readonly default: undefined;
    };
    readonly multiple: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly monitorFocus: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly opened: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly placeholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly readonly: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly size: {
        readonly type: import("vue").PropType<import("../..").FormSize>;
        readonly default: "md";
    };
    readonly status: import("vue").PropType<import("../../../cdk").ValidateStatus>;
    readonly suffix: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly suffixRotate: {
        readonly type: import("vue").PropType<string | number | boolean>;
        readonly default: undefined;
    };
    readonly 'onUpdate:input': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(input: string | undefined) => void>>;
    readonly onBlur: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onFocus: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onClear: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: MouseEvent) => void>>;
    readonly onCompositionStart: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: CompositionEvent) => void>>;
    readonly onCompositionEnd: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: CompositionEvent) => void>>;
    readonly onInput: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onInputValueChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: string) => void>>;
    readonly onItemRemove: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any) => void>>;
}>> & Readonly<{}>, {
    readonly placeholder: string;
    readonly disabled: boolean;
    readonly size: import("../..").FormSize;
    readonly getKey: string | import("@idux/components/utils").GetKeyFn;
    readonly multiple: boolean;
    readonly suffix: string;
    readonly borderless: boolean;
    readonly clearable: boolean;
    readonly clearIcon: string;
    readonly readonly: boolean;
    readonly labelKey: string;
    readonly maxLabel: number | "responsive";
    readonly autofocus: boolean;
    readonly autocomplete: string;
    readonly focused: boolean;
    readonly monitorFocus: boolean;
    readonly suffixRotate: string | number | boolean;
    readonly allowInput: boolean | "searchable";
    readonly opened: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
