/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref } from 'vue';
import { type SelectorProps } from '../types';
export interface InputStateContext {
    mirrorRef: Ref<HTMLSpanElement | undefined>;
    inputRef: Ref<HTMLInputElement | undefined>;
    inputValue: Ref<string>;
    isComposing: Ref<boolean>;
    mergedFocused: ComputedRef<boolean>;
    handleCompositionStart: (evt: CompositionEvent) => void;
    handleCompositionEnd: (evt: CompositionEvent) => void;
    handleInput: (evt: Event) => void;
    clearInput: () => void;
    handleEnterDown: (evt: KeyboardEvent) => void;
    handleFocus: (evt: FocusEvent) => void;
    handleBlur: (evt: FocusEvent) => void;
}
export declare function useInputState(props: SelectorProps, mergedSearchable: ComputedRef<boolean>): InputStateContext;
