/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
type SkeletonType = 'text' | 'rect' | 'round' | 'circle';
export declare const skeletonProps: {
    readonly animated: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly loading: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly type: {
        readonly type: PropType<SkeletonType>;
        readonly default: "text";
    };
    readonly width: PropType<string | number>;
    readonly height: PropType<string | number>;
    readonly repeat: {
        readonly type: NumberConstructor;
        readonly default: 1;
    };
};
export type SkeletonProps = ExtractInnerPropTypes<typeof skeletonProps>;
export type SkeletonPublicProps = ExtractPublicPropTypes<typeof skeletonProps>;
export type SkeletonComponent = DefineComponent<Omit<HTMLAttributes, keyof SkeletonPublicProps> & SkeletonPublicProps>;
export type SkeletonInstance = InstanceType<DefineComponent<SkeletonProps>>;
export {};
