/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref } from 'vue';
import { type SliderContext } from './token';
import { type SliderProps, type SliderThumbInstance } from './types';
export type Nullable<T> = T | null;
export interface SliderBindings {
    valuesRef: Ref<number[]>;
    thumbListRef: Ref<SliderThumbInstance[]>;
    railRef: Ref<Nullable<HTMLElement>>;
    direction: SliderContext['direction'];
    isDisabled: ComputedRef<boolean>;
    isDragging: Ref<boolean>;
    focus: (options?: FocusOptions | undefined) => void;
    blur: () => void;
    setThumbRefs: (index: number) => (el: unknown) => void;
    handleMouseDown: (evt: MouseEvent | TouchEvent) => void;
    handleMouseUp: () => void;
    handleKeyDown: (evt: KeyboardEvent) => void;
    handleMarkClick: (evt: MouseEvent | TouchEvent, newValue: number) => void;
}
export declare function useSlider(props: SliderProps): SliderBindings;
