/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export type SpaceAlign = 'start' | 'center' | 'end' | 'baseline' | 'stretch';
export type SpaceJustify = 'start' | 'center' | 'end' | 'space-around' | 'space-between';
export type SpaceDirection = 'vertical' | 'horizontal';
export type SpaceSize = 'sm' | 'md' | 'lg';
export declare const spaceProps: {
    align: PropType<SpaceAlign>;
    block: {
        type: BooleanConstructor;
        default: undefined;
    };
    justify: PropType<SpaceJustify>;
    size: PropType<string | number | (string | number)[]>;
    separator: StringConstructor;
    vertical: {
        type: BooleanConstructor;
        default: undefined;
    };
    wrap: {
        type: BooleanConstructor;
        default: undefined;
    };
};
export type SpaceProps = ExtractInnerPropTypes<typeof spaceProps>;
export type SpacePublicProps = ExtractPublicPropTypes<typeof spaceProps>;
export type SpaceComponent = DefineComponent<Omit<HTMLAttributes, keyof SpacePublicProps> & SpacePublicProps>;
export type SpaceInstance = InstanceType<DefineComponent<SpaceProps>>;
