/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
import { NumFormatter } from '@idux/components/config';
export declare const statisticProps: {
    readonly formatter: PropType<NumFormatter>;
    readonly precision: NumberConstructor;
    readonly prefix: StringConstructor;
    readonly suffix: StringConstructor;
    readonly title: StringConstructor;
    readonly value: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
};
export type StatisticProps = ExtractInnerPropTypes<typeof statisticProps>;
export type StatisticPublicProps = ExtractPublicPropTypes<typeof statisticProps>;
export type StatisticComponent = DefineComponent<Omit<HTMLAttributes, keyof StatisticPublicProps> & StatisticPublicProps>;
export type StatisticInstance = InstanceType<DefineComponent<StatisticProps>>;
