/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes, MaybeArray, VKey } from '@idux/cdk/utils';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export type StepperLabelPlacement = 'end' | 'bottom';
export type StepperSize = 'md' | 'sm';
export type StepperStatus = 'process' | 'finish' | 'wait' | 'error';
export declare const stepperProps: {
    readonly activeKey: PropType<VKey>;
    readonly clickable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly labelPlacement: PropType<StepperLabelPlacement>;
    readonly percent: {
        readonly type: NumberConstructor;
        readonly validator: (value: number) => boolean;
    };
    readonly size: PropType<StepperSize>;
    readonly status: {
        readonly type: PropType<StepperStatus>;
        readonly default: "process";
    };
    readonly vertical: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly dot: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly 'onUpdate:activeKey': PropType<MaybeArray<(key: any) => void>>;
};
export type StepperProps = ExtractInnerPropTypes<typeof stepperProps>;
export type StepperPublicProps = ExtractPublicPropTypes<typeof stepperProps>;
export type StepperComponent = DefineComponent<Omit<HTMLAttributes, keyof StepperPublicProps> & StepperPublicProps>;
export type StepperInstance = InstanceType<DefineComponent<StepperProps>>;
export declare const stepperItemProps: {
    readonly description: StringConstructor;
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly icon: StringConstructor;
    readonly title: StringConstructor;
    readonly status: PropType<StepperStatus>;
};
export type StepperItemProps = ExtractInnerPropTypes<typeof stepperItemProps>;
export type StepperItemPublicProps = ExtractPublicPropTypes<typeof stepperItemProps>;
export type StepperItemComponent = DefineComponent<Omit<HTMLAttributes, keyof StepperItemPublicProps> & StepperItemPublicProps>;
export type StepperItemInstance = InstanceType<DefineComponent<StepperItemProps>>;
