/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
/// <reference types="vue/jsx" />
import { type VKey } from '@idux/cdk/utils';
import { type SpinProps } from '@idux/components/spin';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly expandedRowKeys: {
        readonly type: import("vue").PropType<VKey[]>;
        readonly default: undefined;
    };
    readonly selectedRowKeys: {
        readonly type: import("vue").PropType<VKey[]>;
        readonly default: undefined;
    };
    readonly autoHeight: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly childrenKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly cascaderStrategy: {
        readonly type: import("vue").PropType<import("../..").CascaderStrategy>;
        readonly default: "all";
    };
    readonly columns: {
        readonly type: import("vue").PropType<import("./types").TableColumn<any, VKey>[]>;
        readonly default: () => never[];
    };
    readonly customAdditional: {
        readonly type: import("vue").PropType<import("./types").TableCustomAdditional<any, any>>;
        readonly default: undefined;
    };
    readonly customTag: {
        readonly type: import("vue").PropType<import("./types").TableCustomTag>;
        readonly default: undefined;
    };
    readonly dataSource: {
        readonly type: import("vue").PropType<any[]>;
        readonly default: () => never[];
    };
    readonly ellipsis: {
        readonly type: import("vue").PropType<boolean | {
            title?: boolean | undefined;
            head?: boolean | undefined;
        }>;
        readonly default: false;
    };
    readonly empty: {
        readonly type: import("vue").PropType<"default" | "simple" | import("../..").EmptyProps>;
        readonly default: "default";
    };
    readonly emptyCell: {
        readonly type: import("vue").PropType<string | ((options: import("./types").TableEmptyCellOptions<any, VKey>) => import("vue").VNodeChild)>;
        readonly default: undefined;
    };
    readonly getKey: {
        readonly type: import("vue").PropType<string | ((record: any) => any)>;
        readonly default: undefined;
    };
    readonly header: {
        readonly type: import("vue").PropType<string | import("../..").HeaderProps>;
        readonly default: undefined;
    };
    readonly headless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly insetShadow: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly pagination: {
        readonly type: import("vue").PropType<boolean | import("./types").TablePagination>;
        readonly default: true;
    };
    readonly scroll: {
        readonly type: import("vue").PropType<import("./types").TableScroll>;
        readonly default: undefined;
    };
    readonly size: {
        readonly type: import("vue").PropType<import("./types").TableSize>;
        readonly default: undefined;
    };
    readonly spin: {
        readonly type: import("vue").PropType<boolean | SpinProps>;
        readonly default: undefined;
    };
    readonly sticky: {
        readonly type: import("vue").PropType<boolean | import("./types").TableSticky>;
        readonly default: undefined;
    };
    readonly scrollToTopOnChange: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly tableLayout: {
        readonly type: import("vue").PropType<"fixed" | "auto">;
        readonly default: undefined;
    };
    readonly virtual: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly virtualScrollMode: {
        readonly type: import("vue").PropType<import("@idux/cdk/scroll").VirtualScrollMode>;
        readonly default: undefined;
    };
    readonly virtualHorizontal: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly virtualItemHeight: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly virtualColWidth: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly virtualBufferSize: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly virtualBufferOffset: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly 'onUpdate:expandedRowKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:selectedRowKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly onScroll: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onScrolledChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(startIndex: number, endIndex: number, visibleData: any[]) => void>>;
    readonly onScrolledBottom: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
}>, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly expandedRowKeys: {
        readonly type: import("vue").PropType<VKey[]>;
        readonly default: undefined;
    };
    readonly selectedRowKeys: {
        readonly type: import("vue").PropType<VKey[]>;
        readonly default: undefined;
    };
    readonly autoHeight: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly childrenKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly cascaderStrategy: {
        readonly type: import("vue").PropType<import("../..").CascaderStrategy>;
        readonly default: "all";
    };
    readonly columns: {
        readonly type: import("vue").PropType<import("./types").TableColumn<any, VKey>[]>;
        readonly default: () => never[];
    };
    readonly customAdditional: {
        readonly type: import("vue").PropType<import("./types").TableCustomAdditional<any, any>>;
        readonly default: undefined;
    };
    readonly customTag: {
        readonly type: import("vue").PropType<import("./types").TableCustomTag>;
        readonly default: undefined;
    };
    readonly dataSource: {
        readonly type: import("vue").PropType<any[]>;
        readonly default: () => never[];
    };
    readonly ellipsis: {
        readonly type: import("vue").PropType<boolean | {
            title?: boolean | undefined;
            head?: boolean | undefined;
        }>;
        readonly default: false;
    };
    readonly empty: {
        readonly type: import("vue").PropType<"default" | "simple" | import("../..").EmptyProps>;
        readonly default: "default";
    };
    readonly emptyCell: {
        readonly type: import("vue").PropType<string | ((options: import("./types").TableEmptyCellOptions<any, VKey>) => import("vue").VNodeChild)>;
        readonly default: undefined;
    };
    readonly getKey: {
        readonly type: import("vue").PropType<string | ((record: any) => any)>;
        readonly default: undefined;
    };
    readonly header: {
        readonly type: import("vue").PropType<string | import("../..").HeaderProps>;
        readonly default: undefined;
    };
    readonly headless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly insetShadow: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly pagination: {
        readonly type: import("vue").PropType<boolean | import("./types").TablePagination>;
        readonly default: true;
    };
    readonly scroll: {
        readonly type: import("vue").PropType<import("./types").TableScroll>;
        readonly default: undefined;
    };
    readonly size: {
        readonly type: import("vue").PropType<import("./types").TableSize>;
        readonly default: undefined;
    };
    readonly spin: {
        readonly type: import("vue").PropType<boolean | SpinProps>;
        readonly default: undefined;
    };
    readonly sticky: {
        readonly type: import("vue").PropType<boolean | import("./types").TableSticky>;
        readonly default: undefined;
    };
    readonly scrollToTopOnChange: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly tableLayout: {
        readonly type: import("vue").PropType<"fixed" | "auto">;
        readonly default: undefined;
    };
    readonly virtual: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly virtualScrollMode: {
        readonly type: import("vue").PropType<import("@idux/cdk/scroll").VirtualScrollMode>;
        readonly default: undefined;
    };
    readonly virtualHorizontal: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly virtualItemHeight: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly virtualColWidth: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly virtualBufferSize: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly virtualBufferOffset: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly 'onUpdate:expandedRowKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:selectedRowKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly onScroll: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onScrolledChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(startIndex: number, endIndex: number, visibleData: any[]) => void>>;
    readonly onScrolledBottom: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
}>> & Readonly<{}>, {
    readonly size: import("./types").TableSize;
    readonly customAdditional: import("./types").TableCustomAdditional<any, any>;
    readonly dataSource: any[];
    readonly getKey: string | ((record: any) => any);
    readonly header: string | import("../..").HeaderProps;
    readonly columns: import("./types").TableColumn<any, VKey>[];
    readonly expandedRowKeys: VKey[];
    readonly selectedRowKeys: VKey[];
    readonly autoHeight: boolean;
    readonly borderless: boolean;
    readonly childrenKey: string;
    readonly cascaderStrategy: import("../..").CascaderStrategy;
    readonly customTag: import("./types").TableCustomTag;
    readonly ellipsis: boolean | {
        title?: boolean | undefined;
        head?: boolean | undefined;
    };
    readonly empty: "default" | "simple" | import("../..").EmptyProps;
    readonly emptyCell: string | ((options: import("./types").TableEmptyCellOptions<any, VKey>) => import("vue").VNodeChild);
    readonly headless: boolean;
    readonly insetShadow: boolean;
    readonly pagination: boolean | import("./types").TablePagination;
    readonly scroll: import("./types").TableScroll;
    readonly spin: boolean | SpinProps;
    readonly sticky: boolean | import("./types").TableSticky;
    readonly scrollToTopOnChange: boolean;
    readonly tableLayout: "fixed" | "auto";
    readonly virtual: boolean;
    readonly virtualScrollMode: import("@idux/cdk/scroll").VirtualScrollMode;
    readonly virtualHorizontal: boolean;
    readonly virtualItemHeight: number;
    readonly virtualColWidth: number;
    readonly virtualBufferSize: number;
    readonly virtualBufferOffset: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
