/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { VKey } from '@idux/cdk/utils';
import { type ComputedRef, type Ref } from 'vue';
import { TableColumnMerged, TableColumnScrollBar } from './useColumns';
export interface ColumnOffsetsContext {
    columnOffsets: ComputedRef<{
        starts: Record<VKey, {
            index: number;
            offset: number;
        }>;
        ends: Record<VKey, {
            index: number;
            offset: number;
        }>;
    }>;
    columnOffsetsWithScrollBar: ComputedRef<{
        starts: Record<VKey, {
            index: number;
            offset: number;
        }>;
        ends: Record<VKey, {
            index: number;
            offset: number;
        }>;
    }>;
}
export declare function useColumnOffsets(fixedColumns: ComputedRef<{
    fixedStartColumns: (TableColumnMerged | TableColumnScrollBar)[];
    fixedEndColumns: (TableColumnMerged | TableColumnScrollBar)[];
    fixedColumnIndexMap: Record<VKey, number>;
}>, columnWidthsMap: Ref<Record<VKey, number>>, columnCount: Ref<number>): ColumnOffsetsContext;
