/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { type TableColumnMerged, type TableColumnMergedExpandable } from './useColumns';
import { type MergedData } from './useDataSource';
import { type TableProps } from '../types';
export declare function useExpandable(props: TableProps, flattedColumns: ComputedRef<TableColumnMerged[]>): ExpandableContext;
export interface ExpandableContext {
    expandable: ComputedRef<TableColumnMergedExpandable | undefined>;
    expandedRowKeys: ComputedRef<VKey[]>;
    setExpandedRowKeys: (value: VKey[]) => void;
    checkExpandDisabled: (data: MergedData) => boolean;
    handleExpandChange: (key: VKey, record: unknown) => void;
}
