/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { type TableColumnMerged } from './useColumns';
import { type TableColumnFilterable } from '../types';
export interface FilterableContext {
    activeFilters: Ref<ActiveFilter[]>;
    activeFilterByMap: Record<VKey, VKey[] | undefined>;
    handleFilter: (key: VKey, filterable: TableColumnFilterable, filterBy: VKey[]) => void;
}
export interface ActiveFilter {
    key: VKey;
    filter?: (currFilterBy: VKey[], record: unknown) => boolean;
    filterBy: VKey[];
}
export declare function useFilterable(flattedColumns: ComputedRef<TableColumnMerged[]>): FilterableContext;
