/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref } from 'vue';
import { type VirtualScrollInstance, type VirtualScrollToFn } from '@idux/cdk/scroll';
import { type StickyContext } from './useSticky';
import { type TableProps } from '../types';
export declare function useScroll(props: TableProps, { setStickyScrollLeft }: StickyContext): ScrollContext;
export interface ScrollContext {
    virtualScrollRef: Ref<VirtualScrollInstance | undefined>;
    headerVirtualScrollRef: Ref<VirtualScrollInstance | undefined>;
    scrollHeadRef: Ref<HTMLDivElement | undefined>;
    scrollBodyRef: Ref<HTMLDivElement | undefined>;
    scrollContentRef: Ref<HTMLDivElement | undefined>;
    scrollFootRef: Ref<HTMLDivElement | undefined>;
    handleScroll: (evt?: Event, scrollLeft?: number) => void;
    scrollTo: VirtualScrollToFn;
    pingedStart: Ref<boolean>;
    pingedEnd: Ref<boolean>;
    scrollWidth: ComputedRef<string>;
    scrollHeight: ComputedRef<string>;
    scrollBarSize: ComputedRef<number>;
    scrollBarSizeOnFixedHolder: ComputedRef<number>;
    scrollHorizontalOverflowed: Ref<boolean>;
    scrollVerticalOverflowed: Ref<boolean>;
}
export interface ScrollOptions {
    currentTarget?: HTMLDivElement;
    scrollLeft?: number;
}
