/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { type Locale } from '@idux/components/locales';
import { type MenuClickOptions, type MenuData } from '@idux/components/menu';
import { type TableColumnMerged, type TableColumnMergedSelectable } from './useColumns';
import { type DataSourceContext } from './useDataSource';
import { type TableProps } from '../types';
export interface SelectableContext {
    selectable: ComputedRef<TableColumnMergedSelectable | undefined>;
    selectedRowKeys: ComputedRef<VKey[]>;
    isChecked: (key: VKey) => boolean;
    isIndeterminate: (key: VKey) => boolean;
    isCheckDisabled: (key: VKey) => boolean;
    currentPageRowKeys: ComputedRef<{
        enabledRowKeys: VKey[];
        disabledRowKeys: VKey[];
    }>;
    currentPageAllSelected: ComputedRef<boolean>;
    currentPageSomeSelected: ComputedRef<boolean>;
    handleSelectChange: (key: VKey, record: unknown) => void;
    handleHeadSelectChange: () => void;
    mergedSelectableMenus: ComputedRef<MenuData[]>;
    handleSelectableMenuClick: (options: MenuClickOptions) => void;
}
export declare function useSelectable(props: TableProps, locale: Locale, flattedColumns: ComputedRef<TableColumnMerged[]>, { mergedData, mergedMap, paginatedMap, parentKeyMap, depthMap }: DataSourceContext): SelectableContext;
