/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { type TableColumnMerged } from './useColumns';
import { type TableColumnSortOrder, type TableColumnSortable } from '../types';
export interface SortableContext {
    activeSorters: Ref<ActiveSorter[]>;
    activeOrderByMap: Record<VKey, TableColumnSortOrder | undefined>;
    handleSort: (key: VKey, sortable: TableColumnSortable) => void;
}
export interface ActiveSorter {
    key: VKey;
    multiple: number;
    orderBy: TableColumnSortOrder | undefined;
    sorter?: (curr: unknown, next: unknown) => number;
}
export declare function useSortable(flattedColumns: ComputedRef<TableColumnMerged[]>): SortableContext;
