/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TableColumnMerged, TableColumnScrollBar } from '../composables/useColumns';
import { type VNodeChild } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { type FlattedData } from '../composables/useDataSource';
import { type TableColumn } from '../types';
export declare function getColTitle(ellipsis: boolean | {
    title?: boolean;
} | undefined, children: VNodeChild, title: string | undefined): string | undefined;
export declare function getColumnKey(column: TableColumn): VKey;
interface ModifiedData {
    data: TableColumnMerged | TableColumnScrollBar;
    index: number;
    poolKey: string;
}
export declare function modifyVirtualData(renderedRow: FlattedData, renderedCols: TableColumnMerged[], flattedColumns: TableColumnMerged[], flattedData: FlattedData[], fixedStartColumns: (TableColumnMerged | TableColumnScrollBar)[], fixedEndColumns: (TableColumnMerged | TableColumnScrollBar)[], includeScrollBar?: boolean): {
    start?: ModifiedData[];
    end?: ModifiedData[];
} | undefined;
export {};
