/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
/// <reference types="vue/jsx" />
import { type VKey } from '@idux/cdk/utils';
import { type TabsData } from './types';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly selectedKey: {
        readonly type: import("vue").PropType<VKey>;
        readonly default: undefined;
    };
    readonly allTabsPanelOpen: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly addable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly closable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly dataSource: {
        readonly type: import("vue").PropType<TabsData<VKey>[]>;
        readonly default: undefined;
    };
    readonly dndSortable: {
        readonly type: import("vue").PropType<boolean | import("./types").TabsDndSortable>;
        readonly default: false;
    };
    readonly forceRender: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly mode: {
        readonly type: import("vue").PropType<import("./types").TabsMode>;
        readonly default: "default";
    };
    readonly placement: {
        readonly type: import("vue").PropType<import("./types").TabsPlacement>;
        readonly default: "top";
    };
    readonly size: {
        readonly type: import("vue").PropType<import("./types").TabsSize>;
        readonly default: undefined;
    };
    readonly showAllTabsPanel: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly type: {
        readonly type: import("vue").PropType<import("./types").TabsType>;
        readonly default: "card";
    };
    readonly 'onUpdate:selectedKey': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(key: any) => void>>;
    readonly 'onUpdate:allTabsPanelOpen': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(opened: boolean) => void>>;
    readonly onAdd: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => boolean | void | Promise<boolean>>>;
    readonly onClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(key: any) => boolean | void | Promise<boolean>>>;
    readonly onTabClick: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(key: any, evt: Event) => void>>;
    readonly onBeforeLeave: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(key: any, oldKey?: any) => boolean | void | Promise<boolean>>>;
    readonly onDndSortReorder: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(reorderInfo: import("../../../cdk").DndSortableReorderInfo) => void>>;
    readonly onDndSortChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(newDataSource: TabsData<VKey>[], oldDataSource: TabsData<VKey>[]) => void>>;
}>, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly selectedKey: {
        readonly type: import("vue").PropType<VKey>;
        readonly default: undefined;
    };
    readonly allTabsPanelOpen: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly addable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly closable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly dataSource: {
        readonly type: import("vue").PropType<TabsData<VKey>[]>;
        readonly default: undefined;
    };
    readonly dndSortable: {
        readonly type: import("vue").PropType<boolean | import("./types").TabsDndSortable>;
        readonly default: false;
    };
    readonly forceRender: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly mode: {
        readonly type: import("vue").PropType<import("./types").TabsMode>;
        readonly default: "default";
    };
    readonly placement: {
        readonly type: import("vue").PropType<import("./types").TabsPlacement>;
        readonly default: "top";
    };
    readonly size: {
        readonly type: import("vue").PropType<import("./types").TabsSize>;
        readonly default: undefined;
    };
    readonly showAllTabsPanel: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly type: {
        readonly type: import("vue").PropType<import("./types").TabsType>;
        readonly default: "card";
    };
    readonly 'onUpdate:selectedKey': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(key: any) => void>>;
    readonly 'onUpdate:allTabsPanelOpen': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(opened: boolean) => void>>;
    readonly onAdd: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => boolean | void | Promise<boolean>>>;
    readonly onClose: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(key: any) => boolean | void | Promise<boolean>>>;
    readonly onTabClick: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(key: any, evt: Event) => void>>;
    readonly onBeforeLeave: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(key: any, oldKey?: any) => boolean | void | Promise<boolean>>>;
    readonly onDndSortReorder: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(reorderInfo: import("../../../cdk").DndSortableReorderInfo) => void>>;
    readonly onDndSortChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(newDataSource: TabsData<VKey>[], oldDataSource: TabsData<VKey>[]) => void>>;
}>> & Readonly<{}>, {
    readonly placement: import("./types").TabsPlacement;
    readonly size: import("./types").TabsSize;
    readonly type: import("./types").TabsType;
    readonly dataSource: TabsData<VKey>[];
    readonly mode: import("./types").TabsMode;
    readonly dndSortable: boolean | import("./types").TabsDndSortable;
    readonly closable: boolean;
    readonly selectedKey: VKey;
    readonly allTabsPanelOpen: boolean;
    readonly addable: boolean;
    readonly forceRender: boolean;
    readonly showAllTabsPanel: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
