/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref, type ShallowRef } from 'vue';
import { type VKey } from '@idux/cdk/utils';
interface NavListScrollContext {
    scrollOffset: ComputedRef<number>;
    hasScroll: ComputedRef<boolean>;
    scrolledStart: ComputedRef<boolean>;
    scrolledEnd: ComputedRef<boolean>;
    pre: () => void;
    next: () => void;
}
export declare function useNavListScroll(navListRef: ShallowRef<HTMLElement | undefined>, navListInnerRef: ShallowRef<HTMLElement | undefined>, isHorizontal: ComputedRef<boolean>, selectedNavSize: ComputedRef<number>, selectedNavOffset: ComputedRef<number>, navAttrs: Ref<Record<VKey, {
    offset: number;
    size: number;
} | undefined>>, closedKeys: ComputedRef<VKey[]>): NavListScrollContext;
export {};
