/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref, type ShallowRef } from 'vue';
import { VKey } from '@idux/cdk/utils';
import { TabsProps } from '../types';
export interface SelectedNavContext {
    selectedNavSize: ComputedRef<number>;
    selectedNavOffset: ComputedRef<number>;
}
export declare function useSelectedNav(props: TabsProps, selectedNavRef: ShallowRef<HTMLElement | undefined>, isHorizontal: ComputedRef<boolean>, closedKeys: ComputedRef<VKey[]>, navAttrs: Ref<Record<VKey, {
    offset: number;
    size: number;
} | undefined>>): SelectedNavContext;
