/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TextProps } from '../types';
import { type ComputedRef, type Ref, type VNode } from 'vue';
export type MeasureStatus = 'preparing' | 'measuring' | 'none';
export interface EllipsisContext {
    isEllipsis: ComputedRef<boolean>;
    isSimple: ComputedRef<boolean>;
    measureStatus: ComputedRef<MeasureStatus>;
    onRender: (nodes: VNode[] | undefined) => void;
    onMeasureRender: () => void;
    renderClampedContent: (nodes: VNode[] | undefined, measure?: boolean) => void;
}
export declare function useEllipsis(props: TextProps, expandable: ComputedRef<boolean>, contentRef: Ref<HTMLElement | undefined>, innerRef: Ref<HTMLElement | undefined>, measureRef: Ref<HTMLElement | undefined>, rowMeasureRef: Ref<HTMLElement | undefined>): EllipsisContext;
