/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TextExpandIconRenderer, TextProps } from '../types';
import type { TextConfig } from '@idux/components/config';
import { type ComputedRef } from 'vue';
export interface ExpandableContext {
    expandIconRenderer: ComputedRef<TextExpandIconRenderer | undefined>;
    expanded: ComputedRef<boolean>;
    expandable: ComputedRef<boolean>;
    setExpanded: (expanded: boolean) => void;
}
export declare function useExpandable(props: TextProps, config: TextConfig): ExpandableContext;
