/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TextareaAutoRows } from '../types';
import { type ComputedRef, type Ref } from 'vue';
import { type BoxSizingData } from '../utils/getBoxSizingData';
export interface AutoRowsContext {
    resizeToFitContent: (force?: boolean) => void;
    lineHeight: Ref<number>;
    boxSizingData: ComputedRef<BoxSizingData>;
}
/**
 * resize the height of `<textarea>` to fit it's content value
 *
 * @param textareaRef reference of a textarea element
 * @param autoRows autoRows options
 * @return AutoRowsContext
 */
export declare function useAutoRows(textareaRef: Ref<HTMLTextAreaElement | undefined>, autoRows: Ref<boolean | TextareaAutoRows>): AutoRowsContext;
