/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ThemeProviderContext } from '../token';
import type { ThemeConfig } from '@idux/components/config';
import { type ComputedRef } from 'vue';
import { type CertainThemeTokens, type PresetTheme, type ResetTokenKey, type ThemeKeys, type ThemeProviderProps, type ThemeTokenAlgorithms, type ThemeTokens } from '../types';
export interface TokenMergeContext {
    mergedAlgorithms: ComputedRef<ThemeTokenAlgorithms>;
    mergedTokens: ComputedRef<Omit<ThemeTokens, ResetTokenKey>>;
    getMergedTokens: <K extends ThemeKeys>(key: K, tokens: CertainThemeTokens<K>) => CertainThemeTokens<K>;
}
export declare function useTokenMerge(props: ThemeProviderProps | undefined, config: ThemeConfig, supperContext: ThemeProviderContext | null, mergedPresetTheme: ComputedRef<PresetTheme>): TokenMergeContext;
