/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
export interface ColorPalette {
    base: string;
    l10: string;
    l20: string;
    l30: string;
    l40: string;
    l50: string;
    d10: string;
    d20: string;
    d30: string;
    d40: string;
    d50: string;
}
export interface HsvObject {
    h: number;
    s: number;
    v: number;
}
export interface RgbObject {
    r: number;
    g: number;
    b: number;
}
export interface ColorPaletteOptions {
    hueStep?: number;
    brightnessStepLight?: number;
    brightnessStepDark?: number;
    saturationStepLight?: number;
    saturationStepDark?: number;
}
export declare function toHsv({ r, g, b }: RgbObject): HsvObject;
export declare function toHex({ r, g, b }: RgbObject): string;
export declare function getHue(hsv: HsvObject, i: number, hueStep: number, light?: boolean): number;
export declare function getSaturation(hsv: HsvObject, i: number, saturationStepLight: number, saturationStepDark: number, light?: boolean): number;
export declare function getValue(hsv: HsvObject, i: number, brightnessStep: number, light?: boolean): number;
export declare function getColorPalette(color: string, options?: ColorPaletteOptions): ColorPalette;
