/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
interface DerivedPrimaryColorTokens {
    /**
     * @desc 主题色阶边框颜色
     */
    colorPrimaryBorder: string;
    /**
     * @desc 主题色阶边框悬浮颜色
     */
    colorPrimaryBorderHover: string;
    /**
     * @desc 主题色阶边框激活颜色
     */
    colorPrimaryBorderActive: string;
    /**
     * @desc 主题色阶悬浮颜色，常用于背景色
     */
    colorPrimaryHover: string;
    /**
     * @desc 主题色阶激活颜色，常用于背景色
     */
    colorPrimaryActive: string;
    /**
     * @desc 主题色阶文字颜色
     */
    colorPrimaryText: string;
    /**
     * @desc 主题色阶文字悬浮颜色
     */
    colorPrimaryTextHover: string;
    /**
     * @desc 主题色阶文字激活颜色
     */
    colorPrimaryTextActive: string;
    /**
     * @desc 主题色阶图标颜色
     */
    colorPrimaryIcon: string;
}
interface DerivedSuccessColorTokens {
    /**
     * @desc 成功色阶边框颜色
     */
    colorSuccessBorder: string;
    /**
     * @desc 成功色阶边框悬浮颜色
     */
    colorSuccessBorderHover: string;
    /**
     * @desc 成功色阶边框激活颜色
     */
    colorSuccessBorderActive: string;
    /**
     * @desc 成功色阶背景颜色
     */
    colorSuccessBg: string;
    /**
     * @desc 成功色阶背景悬浮颜色
     */
    colorSuccessBgHover: string;
    /**
     * @desc 成功色阶背景激活颜色
     */
    colorSuccessBgActive: string;
    /**
     * @desc 成功色阶文字颜色
     */
    colorSuccessText: string;
    /**
     * @desc 成功色阶文字悬浮颜色
     */
    colorSuccessTextHover: string;
    /**
     * @desc 成功色阶文字激活颜色
     */
    colorSuccessTextActive: string;
    /**
     * @desc 成功色阶图标颜色
     */
    colorSuccessIcon: string;
}
interface DerivedWarningColorTokens {
    /**
     * @desc 警告色阶边框颜色
     */
    colorWarningBorder: string;
    /**
     * @desc 警告色阶边框悬浮颜色
     */
    colorWarningBorderHover: string;
    /**
     * @desc 警告色阶边框激活颜色
     */
    colorWarningBorderActive: string;
    /**
     * @desc 警告色阶背景颜色
     */
    colorWarningBg: string;
    /**
     * @desc 警告色阶背景悬浮颜色
     */
    colorWarningBgHover: string;
    /**
     * @desc 警告色阶背景激活颜色
     */
    colorWarningBgActive: string;
    /**
     * @desc 警告色阶文字颜色
     */
    colorWarningText: string;
    /**
     * @desc 警告色阶文字悬浮颜色
     */
    colorWarningTextHover: string;
    /**
     * @desc 警告色阶文字激活颜色
     */
    colorWarningTextActive: string;
    /**
     * @desc 警告色阶图标颜色
     */
    colorWarningIcon: string;
}
interface DerivedErrorColorTokens {
    /**
     * @desc 错误色阶边框颜色
     */
    colorErrorBorder: string;
    /**
     * @desc 错误色阶边框悬浮颜色
     */
    colorErrorBorderHover: string;
    /**
     * @desc 错误色阶边框激活颜色
     */
    colorErrorBorderActive: string;
    /**
     * @desc 错误色阶背景颜色
     */
    colorErrorBg: string;
    /**
     * @desc 错误色阶背景悬浮颜色
     */
    colorErrorBgHover: string;
    /**
     * @desc 错误色阶背景激活颜色
     */
    colorErrorBgActive: string;
    /**
     * @desc 错误色阶文字颜色
     */
    colorErrorText: string;
    /**
     * @desc 错误色阶文字悬浮颜色
     */
    colorErrorTextHover: string;
    /**
     * @desc 错误色阶文字激活颜色
     */
    colorErrorTextActive: string;
    /**
     * @desc 错误色阶图标颜色
     */
    colorErrorIcon: string;
}
interface DerivedRiskColorTokens {
    /**
     * @desc 风险色阶边框颜色
     */
    colorRiskBorder: string;
    /**
     * @desc 风险色阶边框悬浮颜色
     */
    colorRiskBorderHover: string;
    /**
     * @desc 风险色阶边框激活颜色
     */
    colorRiskBorderActive: string;
    /**
     * @desc 风险色阶背景颜色
     */
    colorRiskBg: string;
    /**
     * @desc 风险色阶背景悬浮颜色
     */
    colorRiskBgHover: string;
    /**
     * @desc 风险色阶背景激活颜色
     */
    colorRiskBgActive: string;
    /**
     * @desc 风险色阶文字颜色
     */
    colorRiskText: string;
    /**
     * @desc 风险色阶文字悬浮颜色
     */
    colorRiskTextHover: string;
    /**
     * @desc 风险色阶文字激活颜色
     */
    colorRiskTextActive: string;
    /**
     * @desc 风险色阶图标颜色
     */
    colorRiskIcon: string;
}
interface DerivedFatalColorTokens {
    /**
     * @desc 失陷色阶边框颜色
     */
    colorFatalBorder: string;
    /**
     * @desc 失陷色阶边框悬浮颜色
     */
    colorFatalBorderHover: string;
    /**
     * @desc 失陷色阶边框激活颜色
     */
    colorFatalBorderActive: string;
    /**
     * @desc 失陷色阶背景颜色
     */
    colorFatalBg: string;
    /**
     * @desc 失陷色阶背景悬浮颜色
     */
    colorFatalBgHover: string;
    /**
     * @desc 失陷色阶背景激活颜色
     */
    colorFatalBgActive: string;
    /**
     * @desc 失陷色阶文字颜色
     */
    colorFatalText: string;
    /**
     * @desc 失陷色阶文字悬浮颜色
     */
    colorFatalTextHover: string;
    /**
     * @desc 失陷色阶文字激活颜色
     */
    colorFatalTextActive: string;
    /**
     * @desc 失陷色阶图标颜色
     */
    colorFatalIcon: string;
}
interface DerivedInfoColorTokens {
    /**
     * @desc 信息色阶边框颜色
     */
    colorInfoBorder: string;
    /**
     * @desc 信息色阶边框悬浮颜色
     */
    colorInfoBorderHover: string;
    /**
     * @desc 信息色阶边框激活颜色
     */
    colorInfoBorderActive: string;
    /**
     * @desc 信息色阶背景颜色
     */
    colorInfoBg: string;
    /**
     * @desc 信息色阶背景悬浮颜色
     */
    colorInfoBgHover: string;
    /**
     * @desc 信息色阶背景激活颜色
     */
    colorInfoBgActive: string;
    /**
     * @desc 信息色阶文字颜色
     */
    colorInfoText: string;
    /**
     * @desc 信息色阶文字悬浮颜色
     */
    colorInfoTextHover: string;
    /**
     * @desc 信息色阶文字激活颜色
     */
    colorInfoTextActive: string;
    /**
     * @desc 信息色阶图标颜色
     */
    colorInfoIcon: string;
}
export interface DerivedColorTokens extends DerivedPrimaryColorTokens, DerivedSuccessColorTokens, DerivedWarningColorTokens, DerivedErrorColorTokens, DerivedRiskColorTokens, DerivedFatalColorTokens, DerivedInfoColorTokens {
    /**
     * @desc 离线颜色
     */
    colorOffline: string;
    /**
     * @desc 离线背景颜色
     */
    colorOfflineBg: string;
    /**
     * @desc 离线文字颜色
     */
    colorOfflineText: string;
}
export {};
