/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TimePickerProps } from '../types';
import type { DateConfig } from '@idux/components/config';
import type { ComputedRef, Ref } from 'vue';
export type OnPickerValueChange = (value: Date | undefined) => void;
type ValueType = TimePickerProps['value'];
export interface PickerControlContext {
    inputValue: ComputedRef<string | undefined>;
    panelValue: ComputedRef<Date | undefined>;
    inputFocused: ComputedRef<boolean>;
    setInputValue: (value: string | undefined) => void;
    setPanelValue: (value: Date | undefined) => void;
    init: (force?: boolean) => void;
    handleInput: (evt: Event) => void;
    handleInputClear: () => void;
    handleInputFocus: () => void;
    handleInputBlur: () => void;
    handlePanelChange: (value: Date) => void;
}
export declare function usePickerControl(dateConfig: DateConfig, formatRef: ComputedRef<string>, handleChange: OnPickerValueChange, valueProp: Ref<ValueType>): PickerControlContext;
export {};
