/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TimePickerProps, TimeRangePickerProps } from '../types';
import type { DateConfig } from '@idux/components/config';
import { type ComputedRef } from 'vue';
export interface ActiveValueContext {
    activeValue: ComputedRef<Date | undefined>;
    setActiveValue: (value: Date | undefined) => void;
}
export interface RangeActiveValueContext {
    fromActiveValue: ComputedRef<Date | undefined>;
    toActiveValue: ComputedRef<Date | undefined>;
    setFromActiveValue: (value: Date | undefined) => void;
    setToActiveValue: (value: Date | undefined) => void;
}
export declare function useActiveValue(props: TimePickerProps, dateConfig: DateConfig, formatRef: ComputedRef<string>, valueRef: ComputedRef<Date | undefined>): ActiveValueContext;
export declare function useRangeActiveValue(props: TimeRangePickerProps, dateConfig: DateConfig, formatRef: ComputedRef<string>, valuesRef: ComputedRef<(Date | undefined)[] | undefined>): RangeActiveValueContext;
