/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TimeRangePickerProps } from '../types';
import type { DateConfig } from '@idux/components/config';
import type { ComputedRef, Ref } from 'vue';
import { type PickerControlContext } from './useControl';
type RangeValueType = TimeRangePickerProps['value'];
export type OnRangePickerValueChange = (value: [Date | undefined, Date | undefined]) => void;
export interface PickerRangeControlContext {
    buffer: ComputedRef<(Date | undefined)[] | undefined>;
    bufferUpdated: ComputedRef<boolean>;
    fromControl: PickerControlContext;
    toControl: PickerControlContext;
    init: (force?: boolean) => void;
}
export declare function useRangePickerControl(dateConfig: DateConfig, formatRef: ComputedRef<string>, valueRef: Ref<RangeValueType>): PickerRangeControlContext;
export {};
