/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { AbstractControl, ValidateStatus } from '@idux/cdk/forms';
import type { ExtractInnerPropTypes, ExtractPublicPropTypes, MaybeArray } from '@idux/cdk/utils';
import type { ɵFooterButtonProps } from '@idux/components/_private/footer';
import type { FormSize } from '@idux/components/form';
import type { OverlayContainerType } from '@idux/components/utils';
import type { DefineComponent, HTMLAttributes, PropType, VNode, VNodeChild } from 'vue';
declare const timePickerCommonProps: {
    readonly open: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly control: {
        readonly type: PropType<string | number | (string | number)[] | AbstractControl<any>>;
        readonly default: undefined;
    };
    readonly allowInput: {
        readonly type: PropType<boolean | "overlay">;
        readonly default: undefined;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly clearIcon: StringConstructor;
    readonly clearText: StringConstructor;
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly format: StringConstructor;
    readonly overlayClassName: StringConstructor;
    readonly overlayContainer: {
        readonly type: PropType<OverlayContainerType>;
        readonly default: undefined;
    };
    readonly overlayTabindex: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly overlayRender: PropType<(children: VNode[]) => VNodeChild>;
    readonly readonly: {
        readonly type: PropType<boolean>;
        readonly default: false;
    };
    readonly size: PropType<FormSize>;
    readonly status: PropType<ValidateStatus>;
    readonly suffix: StringConstructor;
    readonly 'onUpdate:open': PropType<MaybeArray<(isOpen: boolean) => void>>;
    readonly onClear: PropType<MaybeArray<(evt: MouseEvent) => void>>;
    readonly onFocus: PropType<MaybeArray<(evt: FocusEvent) => void>>;
    readonly onBlur: PropType<MaybeArray<(evt: FocusEvent) => void>>;
    readonly disabledHours: {
        readonly type: PropType<(selectedAmPm: import("../../_private/time-panel/src/types").AmPm | undefined) => number[]>;
        readonly default: () => never[];
    };
    readonly disabledMinutes: {
        readonly type: PropType<(selectedHour: number | undefined, selectedAmPm: import("../../_private/time-panel/src/types").AmPm | undefined) => number[]>;
        readonly default: () => never[];
    };
    readonly disabledSeconds: {
        readonly type: PropType<(selectedHour: number | undefined, selectedMinute: number | undefined, selectedAmPm: import("../../_private/time-panel/src/types").AmPm | undefined) => number[]>;
        readonly default: () => never[];
    };
    readonly hideDisabledOptions: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly hourStep: {
        readonly type: NumberConstructor;
        readonly default: 1;
    };
    readonly minuteStep: {
        readonly type: NumberConstructor;
        readonly default: 1;
    };
    readonly secondStep: {
        readonly type: NumberConstructor;
        readonly default: 1;
    };
};
export type TimePickerCommonProps = ExtractInnerPropTypes<typeof timePickerCommonProps>;
export interface TimePickerCommonBindings {
    blur: () => void;
    focus: (options?: FocusOptions) => void;
}
export declare const timePickerProps: {
    readonly value: PropType<string | number | Date>;
    readonly defaultOpenValue: PropType<string | number | Date>;
    readonly footer: {
        readonly type: PropType<boolean | VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | ɵFooterButtonProps[]>;
        readonly default: false;
    };
    readonly placeholder: StringConstructor;
    readonly 'onUpdate:value': PropType<MaybeArray<(value: Date | undefined) => void>>;
    readonly onChange: PropType<MaybeArray<(value: Date | undefined, oldValue: Date | undefined) => void>>;
    readonly onInput: PropType<MaybeArray<(evt: Event) => void>>;
    readonly open: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly control: {
        readonly type: PropType<string | number | (string | number)[] | AbstractControl<any>>;
        readonly default: undefined;
    };
    readonly allowInput: {
        readonly type: PropType<boolean | "overlay">;
        readonly default: undefined;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly clearIcon: StringConstructor;
    readonly clearText: StringConstructor;
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly format: StringConstructor;
    readonly overlayClassName: StringConstructor;
    readonly overlayContainer: {
        readonly type: PropType<OverlayContainerType>;
        readonly default: undefined;
    };
    readonly overlayTabindex: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly overlayRender: PropType<(children: VNode[]) => VNodeChild>;
    readonly readonly: {
        readonly type: PropType<boolean>;
        readonly default: false;
    };
    readonly size: PropType<FormSize>;
    readonly status: PropType<ValidateStatus>;
    readonly suffix: StringConstructor;
    readonly 'onUpdate:open': PropType<MaybeArray<(isOpen: boolean) => void>>;
    readonly onClear: PropType<MaybeArray<(evt: MouseEvent) => void>>;
    readonly onFocus: PropType<MaybeArray<(evt: FocusEvent) => void>>;
    readonly onBlur: PropType<MaybeArray<(evt: FocusEvent) => void>>;
    readonly disabledHours: {
        readonly type: PropType<(selectedAmPm: import("../../_private/time-panel/src/types").AmPm | undefined) => number[]>;
        readonly default: () => never[];
    };
    readonly disabledMinutes: {
        readonly type: PropType<(selectedHour: number | undefined, selectedAmPm: import("../../_private/time-panel/src/types").AmPm | undefined) => number[]>;
        readonly default: () => never[];
    };
    readonly disabledSeconds: {
        readonly type: PropType<(selectedHour: number | undefined, selectedMinute: number | undefined, selectedAmPm: import("../../_private/time-panel/src/types").AmPm | undefined) => number[]>;
        readonly default: () => never[];
    };
    readonly hideDisabledOptions: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly hourStep: {
        readonly type: NumberConstructor;
        readonly default: 1;
    };
    readonly minuteStep: {
        readonly type: NumberConstructor;
        readonly default: 1;
    };
    readonly secondStep: {
        readonly type: NumberConstructor;
        readonly default: 1;
    };
};
export type TimePickerProps = ExtractInnerPropTypes<typeof timePickerProps>;
export type TimePickerPublicProps = ExtractPublicPropTypes<typeof timePickerProps>;
export type TimePickerComponent = DefineComponent<Omit<HTMLAttributes, keyof TimePickerPublicProps> & TimePickerPublicProps, TimePickerCommonBindings>;
export type TimePickerInstance = InstanceType<DefineComponent<TimePickerProps, TimePickerCommonBindings>>;
export declare const timeRangePickerProps: {
    readonly value: PropType<(string | number | Date | undefined)[]>;
    readonly defaultOpenValue: PropType<(string | number | Date)[]>;
    readonly footer: {
        readonly type: PropType<boolean | VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | ɵFooterButtonProps[]>;
        readonly default: true;
    };
    readonly placeholder: PropType<string[]>;
    readonly separator: PropType<string | VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>>;
    readonly 'onUpdate:value': PropType<MaybeArray<(value: Date[] | undefined) => void>>;
    readonly onChange: PropType<MaybeArray<(value: Date[] | undefined, oldValue: Date[] | undefined) => void>>;
    readonly onInput: PropType<MaybeArray<(isFrom: boolean, evt: Event) => void>>;
    readonly open: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly control: {
        readonly type: PropType<string | number | (string | number)[] | AbstractControl<any>>;
        readonly default: undefined;
    };
    readonly allowInput: {
        readonly type: PropType<boolean | "overlay">;
        readonly default: undefined;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly clearIcon: StringConstructor;
    readonly clearText: StringConstructor;
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly format: StringConstructor;
    readonly overlayClassName: StringConstructor;
    readonly overlayContainer: {
        readonly type: PropType<OverlayContainerType>;
        readonly default: undefined;
    };
    readonly overlayTabindex: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly overlayRender: PropType<(children: VNode[]) => VNodeChild>;
    readonly readonly: {
        readonly type: PropType<boolean>;
        readonly default: false;
    };
    readonly size: PropType<FormSize>;
    readonly status: PropType<ValidateStatus>;
    readonly suffix: StringConstructor;
    readonly 'onUpdate:open': PropType<MaybeArray<(isOpen: boolean) => void>>;
    readonly onClear: PropType<MaybeArray<(evt: MouseEvent) => void>>;
    readonly onFocus: PropType<MaybeArray<(evt: FocusEvent) => void>>;
    readonly onBlur: PropType<MaybeArray<(evt: FocusEvent) => void>>;
    readonly disabledHours: {
        readonly type: PropType<(selectedAmPm: import("../../_private/time-panel/src/types").AmPm | undefined) => number[]>;
        readonly default: () => never[];
    };
    readonly disabledMinutes: {
        readonly type: PropType<(selectedHour: number | undefined, selectedAmPm: import("../../_private/time-panel/src/types").AmPm | undefined) => number[]>;
        readonly default: () => never[];
    };
    readonly disabledSeconds: {
        readonly type: PropType<(selectedHour: number | undefined, selectedMinute: number | undefined, selectedAmPm: import("../../_private/time-panel/src/types").AmPm | undefined) => number[]>;
        readonly default: () => never[];
    };
    readonly hideDisabledOptions: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly hourStep: {
        readonly type: NumberConstructor;
        readonly default: 1;
    };
    readonly minuteStep: {
        readonly type: NumberConstructor;
        readonly default: 1;
    };
    readonly secondStep: {
        readonly type: NumberConstructor;
        readonly default: 1;
    };
};
export type TimeRangePickerProps = ExtractInnerPropTypes<typeof timeRangePickerProps>;
export type TimeRangePickerPublicProps = ExtractPublicPropTypes<typeof timeRangePickerProps>;
export type TimeRangePickerComponent = DefineComponent<Omit<HTMLAttributes, keyof TimeRangePickerPublicProps> & TimeRangePickerPublicProps>;
export type TimeRangePickerInstance = InstanceType<DefineComponent<TimeRangePickerProps>>;
export {};
