/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ExtractInnerPropTypes, ExtractPublicPropTypes, MaybeArray } from '@idux/cdk/utils';
import type { OverlayContainerType } from '@idux/components/utils';
import type { DefineComponent, HTMLAttributes, PropType } from 'vue';
export declare const tooltipProps: {
    readonly visible: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly autoAdjust: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly closeOnDeactivated: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly destroyOnHide: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly delay: PropType<number | [number | null, number | null]>;
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly offset: PropType<[number, number]>;
    readonly overlayContainer: {
        readonly type: PropType<OverlayContainerType>;
        readonly default: undefined;
    };
    readonly placement: PropType<import("../../../cdk").PopperPlacement>;
    readonly showArrow: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly title: StringConstructor;
    readonly trigger: PropType<import("../../../cdk").PopperTrigger>;
    readonly zIndex: NumberConstructor;
    readonly 'onUpdate:visible': PropType<MaybeArray<(visible: boolean) => void>>;
};
export type TooltipProps = ExtractInnerPropTypes<typeof tooltipProps>;
export type TooltipPublicProps = ExtractPublicPropTypes<typeof tooltipProps>;
export interface TooltipBindings {
    updatePopper: () => void;
}
export type TooltipComponent = DefineComponent<Omit<HTMLAttributes, keyof TooltipPublicProps> & TooltipPublicProps, TooltipBindings>;
export type TooltipInstance = InstanceType<DefineComponent<TooltipProps, TooltipBindings>>;
