/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref } from 'vue';
import { type ɵOverlayInstance, type ɵOverlayProps } from '@idux/components/_private/overlay';
import { type TooltipConfig } from '@idux/components/config';
import { type TooltipProps } from './types';
export interface TooltipOverlayContext {
    overlayRef: Ref<ɵOverlayInstance | undefined>;
    updatePopper: () => void | undefined;
    visible: ComputedRef<boolean>;
    setVisible: (value: boolean) => void;
    overlayProps: ComputedRef<ɵOverlayProps>;
}
export declare function useTooltipOverlay(props: TooltipProps, config: TooltipConfig, mergedPrefixCls: ComputedRef<string>): TooltipOverlayContext;
