/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { VisibleContext } from './useVisible';
import type { TourProps } from '../types';
import { type ComputedRef } from 'vue';
export interface ActiveStateContext {
    isCurrentMax: ComputedRef<boolean>;
    activeIndex: ComputedRef<number>;
    setActiveIndex: (index: number) => void;
    goTo: (step: number) => void;
    finish: () => void;
}
export declare function useActiveState(props: TourProps, visibleContext: VisibleContext): ActiveStateContext;
