/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { MergedTourProps } from './useMergedProps';
import type { ResolvedTourStep, TargetPositionInfo } from '../types';
import { type CSSProperties, type ComputedRef, type SVGAttributes } from 'vue';
export interface MaskContext {
    maskPath: ComputedRef<string>;
    maskOutlinePath: ComputedRef<string | undefined>;
    maskAttrs: ComputedRef<SVGAttributes>;
    maskClass: ComputedRef<string | undefined>;
    maskStyle: ComputedRef<CSSProperties>;
    maskOutlineStyle: ComputedRef<CSSProperties>;
    isAnimating: ComputedRef<boolean>;
    onAnimateEnd: (cb: () => void) => void;
}
export declare function useMask(mergedProps: ComputedRef<MergedTourProps>, activeStep: ComputedRef<ResolvedTourStep | undefined>, activeIndex: ComputedRef<number>, positionInfo: ComputedRef<TargetPositionInfo | null>, visible: ComputedRef<boolean>, currentZIndex: ComputedRef<number>): MaskContext;
