/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TargetGap, TourProps } from '../types';
import type { TourConfig } from '@idux/components/config';
import { type ComputedRef } from 'vue';
export type MergedTourProps = Omit<TourProps, Exclude<keyof TourConfig, 'overlayContainer'>> & Required<Pick<TourProps, Exclude<keyof TourConfig, 'overlayContainer' | 'gap'>> & {
    gap: TargetGap;
}>;
export declare function useMergedProps(props: TourProps, config: TourConfig): ComputedRef<MergedTourProps>;
