/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { MergedTourProps } from './useMergedProps';
import type { ResolvedTourStep } from '../types';
import { type ComputedRef } from 'vue';
export interface StepChangeContext {
    isStepChanging: ComputedRef<boolean>;
    onStepChange: (cb: () => void) => void;
}
export declare function useStepChange(mergedProps: ComputedRef<MergedTourProps>, activeIndex: ComputedRef<number>, activeStep: ComputedRef<ResolvedTourStep | undefined>, visible: ComputedRef<boolean>, onAnimateEnd: (cb: () => void) => void): StepChangeContext;
