/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TransferPaginationContext } from './usePagination';
import type { TransferDataContext } from './useTransferData';
import type { TransferOperationsContext } from './useTransferOperations';
import type { TransferSelectStateContext } from './useTransferSelectState';
import type { TransferBindings, TransferData, TransferProps } from '../types';
import type { ComputedRef } from 'vue';
export declare function useTransferBindings<T extends TransferData = TransferData>(props: TransferProps, transferDataContext: TransferDataContext<T>, transferOperationsContext: TransferOperationsContext, transferSelectStateContext: TransferSelectStateContext, transferPaginationContext: TransferPaginationContext, showSelectAll: ComputedRef<boolean>, sourceSearchable: ComputedRef<boolean>, sourceSearchPlaceholder: ComputedRef<string>, targetSearchable: ComputedRef<boolean>, targetSearchPlaceholder: ComputedRef<string>): {
    sourceBindings: TransferBindings<T>;
    targetBindings: TransferBindings<T>;
};
