/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TransferDataContext } from './useTransferData';
import type { TransferSelectStateContext } from './useTransferSelectState';
import type { TransferData, TransferProps } from '../types';
import { type ComputedRef } from 'vue';
import { type VKey } from '@idux/cdk/utils';
export interface TransferOperationsContext {
    appendDisabled: ComputedRef<boolean>;
    removeDisabled: ComputedRef<boolean>;
    appendAllDisabled: ComputedRef<boolean>;
    clearDisabled: ComputedRef<boolean>;
    triggerAppend: (keys?: VKey[]) => void;
    triggerRemove: (keys?: VKey[]) => void;
    triggerAppendAll: () => void;
    triggerClear: () => void;
}
export declare function useTransferOperations<T extends TransferData = TransferData>(props: TransferProps, transferDataContext: TransferDataContext<T>, transferSelectStateContext: TransferSelectStateContext): TransferOperationsContext;
