/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TransferDataContext } from './useTransferData';
import type { TransferDataStrategy, TransferProps } from '../types';
import { type ComputedRef } from 'vue';
import { type VKey } from '@idux/cdk/utils';
export interface TransferSelectStateContext {
    sourceSelectedKeys: ComputedRef<VKey[]>;
    targetSelectedKeys: ComputedRef<VKey[]>;
    sourceSelectedKeySet: ComputedRef<Set<VKey>>;
    targetSelectedKeySet: ComputedRef<Set<VKey>>;
    handleSourceSelectChange: (keys: VKey[] | Set<VKey>) => void;
    handleTargetSelectChange: (keys: VKey[] | Set<VKey>) => void;
    sourceSelectAllStatus: ComputedRef<{
        checked: boolean;
        indeterminate: boolean;
    }>;
    targetSelectAllStatus: ComputedRef<{
        checked: boolean;
        indeterminate: boolean;
    }>;
    handleSourceSelectAll: (selected?: boolean) => void;
    handleTargetSelectAll: (selected?: boolean) => void;
    sourceSelectAllDisabled: ComputedRef<boolean>;
    targetSelectAllDisabled: ComputedRef<boolean>;
    setSourceSelectedKeys: (keys: VKey[]) => void;
    setTargetSelectedKeys: (keys: VKey[]) => void;
}
export declare function useTransferSelectState(props: TransferProps, transferDataContext: TransferDataContext, transferDataStrategy: ComputedRef<TransferDataStrategy>): TransferSelectStateContext;
