/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
/// <reference types="vue/jsx" />
import { type VKey } from '@idux/cdk/utils';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly control: {
        readonly type: import("vue").PropType<string | number | (string | number)[] | import("@idux/cdk/forms").AbstractControl<any>>;
        readonly default: undefined;
    };
    readonly value: {
        readonly type: null;
        readonly default: undefined;
    };
    readonly open: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly expandedKeys: {
        readonly type: import("vue").PropType<VKey[]>;
        readonly default: undefined;
    };
    readonly loadedKeys: {
        readonly type: import("vue").PropType<VKey[]>;
        readonly default: undefined;
    };
    readonly autocomplete: {
        readonly type: StringConstructor;
        readonly default: "off";
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly childrenKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly cascaderStrategy: {
        readonly type: import("vue").PropType<import("../..").CascaderStrategy>;
        readonly default: "off";
    };
    readonly checkable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly clearIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly customAdditional: {
        readonly type: import("vue").PropType<import("@idux/components/tree").TreeCustomAdditional>;
        readonly default: undefined;
    };
    readonly dataSource: {
        readonly type: import("vue").PropType<import("./types").TreeSelectNode<VKey>[]>;
        readonly default: () => never[];
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly draggable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly draggableIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly droppable: {
        readonly type: import("vue").PropType<import("@idux/components/tree").TreeDroppable>;
        readonly default: undefined;
    };
    readonly empty: {
        readonly type: import("vue").PropType<"default" | "simple" | import("../..").EmptyProps>;
        readonly default: "simple";
    };
    readonly expandIcon: {
        readonly type: import("vue").PropType<string | import("@idux/components/tree").TreeExpandIconRenderer | [string, string]>;
        readonly default: undefined;
    };
    readonly getKey: {
        readonly type: import("vue").PropType<string | ((data: import("./types").TreeSelectNode<any>) => any)>;
        readonly default: undefined;
    };
    readonly labelKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly leafLineIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly loadChildren: {
        readonly type: import("vue").PropType<(node: import("./types").TreeSelectNode<any>) => Promise<import("./types").TreeSelectNode<any>[]>>;
        readonly default: undefined;
    };
    readonly maxLabel: {
        readonly type: import("vue").PropType<number | "responsive">;
        readonly default: number;
    };
    readonly multiple: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly offset: import("vue").PropType<[number, number]>;
    readonly overlayClassName: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly overlayContainer: {
        readonly type: import("vue").PropType<import("@idux/components/utils").OverlayContainerType>;
        readonly default: undefined;
    };
    readonly overlayTabindex: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly overlayMatchWidth: {
        readonly type: import("vue").PropType<boolean | "minWidth">;
        readonly default: undefined;
    };
    readonly overlayRender: {
        readonly type: import("vue").PropType<(children: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) => import("vue").VNodeChild>;
        readonly default: undefined;
    };
    readonly placeholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly readonly: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly searchable: {
        readonly type: import("vue").PropType<boolean | "overlay">;
        readonly default: false;
    };
    readonly searchFn: {
        readonly type: import("vue").PropType<boolean | ((node: import("./types").TreeSelectNode<VKey>, searchValue?: string | undefined) => boolean)>;
        readonly default: true;
    };
    readonly searchPlaceholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly size: {
        readonly type: import("vue").PropType<import("@idux/components/form").FormSize>;
        readonly default: undefined;
    };
    readonly spin: {
        readonly type: import("vue").PropType<boolean | import("@idux/components/spin").SpinProps>;
        readonly default: undefined;
    };
    readonly showLine: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly status: import("vue").PropType<import("@idux/cdk/forms").ValidateStatus>;
    readonly suffix: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly treeDisabled: {
        readonly type: import("vue").PropType<(node: import("./types").TreeSelectNode<any>) => boolean | import("./types").TreeSelectNodeDisabled>;
        readonly default: undefined;
    };
    readonly virtual: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly virtualItemHeight: {
        readonly type: NumberConstructor;
        readonly default: 32;
    };
    readonly 'onUpdate:value': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any) => void>>;
    readonly 'onUpdate:open': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(opened: boolean) => void>>;
    readonly 'onUpdate:expandedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:loadedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly onCheck: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(checked: boolean, node: import("./types").TreeSelectNode<any>) => void>>;
    readonly onChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any, oldValue: any) => void>>;
    readonly onClear: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onDragstart: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("@idux/components/tree").TreeDragDropOptions<any>) => void>>;
    readonly onDragend: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("@idux/components/tree").TreeDragDropOptions<any>) => void>>;
    readonly onDragenter: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("@idux/components/tree").TreeDragDropOptions<any>) => void>>;
    readonly onDragleave: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("@idux/components/tree").TreeDragDropOptions<any>) => void>>;
    readonly onDragover: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("@idux/components/tree").TreeDragDropOptions<any>) => void>>;
    readonly onDrop: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("@idux/components/tree").TreeDragDropOptions<any>) => void>>;
    readonly onFocus: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onBlur: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onExpand: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(expanded: boolean, node: import("./types").TreeSelectNode<any>) => void>>;
    readonly onExpandedChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(expendedKeys: any[], expendedNodes: import("./types").TreeSelectNode<any>[]) => void>>;
    readonly onLoaded: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(loadedKeys: any[], node: import("./types").TreeSelectNode<any>) => void>>;
    readonly onNodeClick: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event, node: import("./types").TreeSelectNode<any>) => void>>;
    readonly onNodeContextmenu: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event, node: import("./types").TreeSelectNode<any>) => void>>;
    readonly onSearch: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: string) => void>>;
    readonly onSelect: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(selected: boolean, node: import("./types").TreeSelectNode<any>) => void>>;
    readonly onScroll: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onScrolledChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(startIndex: number, endIndex: number, visibleData: import("./types").TreeSelectNode<any>[]) => void>>;
    readonly onScrolledBottom: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
    readonly overlayHeight: {
        readonly type: NumberConstructor;
        readonly default: 256;
    };
}>, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly control: {
        readonly type: import("vue").PropType<string | number | (string | number)[] | import("@idux/cdk/forms").AbstractControl<any>>;
        readonly default: undefined;
    };
    readonly value: {
        readonly type: null;
        readonly default: undefined;
    };
    readonly open: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly expandedKeys: {
        readonly type: import("vue").PropType<VKey[]>;
        readonly default: undefined;
    };
    readonly loadedKeys: {
        readonly type: import("vue").PropType<VKey[]>;
        readonly default: undefined;
    };
    readonly autocomplete: {
        readonly type: StringConstructor;
        readonly default: "off";
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly borderless: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly childrenKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly cascaderStrategy: {
        readonly type: import("vue").PropType<import("../..").CascaderStrategy>;
        readonly default: "off";
    };
    readonly checkable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly clearIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly customAdditional: {
        readonly type: import("vue").PropType<import("@idux/components/tree").TreeCustomAdditional>;
        readonly default: undefined;
    };
    readonly dataSource: {
        readonly type: import("vue").PropType<import("./types").TreeSelectNode<VKey>[]>;
        readonly default: () => never[];
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly draggable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly draggableIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly droppable: {
        readonly type: import("vue").PropType<import("@idux/components/tree").TreeDroppable>;
        readonly default: undefined;
    };
    readonly empty: {
        readonly type: import("vue").PropType<"default" | "simple" | import("../..").EmptyProps>;
        readonly default: "simple";
    };
    readonly expandIcon: {
        readonly type: import("vue").PropType<string | import("@idux/components/tree").TreeExpandIconRenderer | [string, string]>;
        readonly default: undefined;
    };
    readonly getKey: {
        readonly type: import("vue").PropType<string | ((data: import("./types").TreeSelectNode<any>) => any)>;
        readonly default: undefined;
    };
    readonly labelKey: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly leafLineIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly loadChildren: {
        readonly type: import("vue").PropType<(node: import("./types").TreeSelectNode<any>) => Promise<import("./types").TreeSelectNode<any>[]>>;
        readonly default: undefined;
    };
    readonly maxLabel: {
        readonly type: import("vue").PropType<number | "responsive">;
        readonly default: number;
    };
    readonly multiple: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly offset: import("vue").PropType<[number, number]>;
    readonly overlayClassName: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly overlayContainer: {
        readonly type: import("vue").PropType<import("@idux/components/utils").OverlayContainerType>;
        readonly default: undefined;
    };
    readonly overlayTabindex: {
        readonly type: NumberConstructor;
        readonly default: undefined;
    };
    readonly overlayMatchWidth: {
        readonly type: import("vue").PropType<boolean | "minWidth">;
        readonly default: undefined;
    };
    readonly overlayRender: {
        readonly type: import("vue").PropType<(children: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) => import("vue").VNodeChild>;
        readonly default: undefined;
    };
    readonly placeholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly readonly: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly searchable: {
        readonly type: import("vue").PropType<boolean | "overlay">;
        readonly default: false;
    };
    readonly searchFn: {
        readonly type: import("vue").PropType<boolean | ((node: import("./types").TreeSelectNode<VKey>, searchValue?: string | undefined) => boolean)>;
        readonly default: true;
    };
    readonly searchPlaceholder: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly size: {
        readonly type: import("vue").PropType<import("@idux/components/form").FormSize>;
        readonly default: undefined;
    };
    readonly spin: {
        readonly type: import("vue").PropType<boolean | import("@idux/components/spin").SpinProps>;
        readonly default: undefined;
    };
    readonly showLine: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly status: import("vue").PropType<import("@idux/cdk/forms").ValidateStatus>;
    readonly suffix: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly treeDisabled: {
        readonly type: import("vue").PropType<(node: import("./types").TreeSelectNode<any>) => boolean | import("./types").TreeSelectNodeDisabled>;
        readonly default: undefined;
    };
    readonly virtual: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly virtualItemHeight: {
        readonly type: NumberConstructor;
        readonly default: 32;
    };
    readonly 'onUpdate:value': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any) => void>>;
    readonly 'onUpdate:open': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(opened: boolean) => void>>;
    readonly 'onUpdate:expandedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:loadedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly onCheck: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(checked: boolean, node: import("./types").TreeSelectNode<any>) => void>>;
    readonly onChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: any, oldValue: any) => void>>;
    readonly onClear: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onDragstart: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("@idux/components/tree").TreeDragDropOptions<any>) => void>>;
    readonly onDragend: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("@idux/components/tree").TreeDragDropOptions<any>) => void>>;
    readonly onDragenter: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("@idux/components/tree").TreeDragDropOptions<any>) => void>>;
    readonly onDragleave: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("@idux/components/tree").TreeDragDropOptions<any>) => void>>;
    readonly onDragover: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("@idux/components/tree").TreeDragDropOptions<any>) => void>>;
    readonly onDrop: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("@idux/components/tree").TreeDragDropOptions<any>) => void>>;
    readonly onFocus: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onBlur: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onExpand: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(expanded: boolean, node: import("./types").TreeSelectNode<any>) => void>>;
    readonly onExpandedChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(expendedKeys: any[], expendedNodes: import("./types").TreeSelectNode<any>[]) => void>>;
    readonly onLoaded: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(loadedKeys: any[], node: import("./types").TreeSelectNode<any>) => void>>;
    readonly onNodeClick: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event, node: import("./types").TreeSelectNode<any>) => void>>;
    readonly onNodeContextmenu: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event, node: import("./types").TreeSelectNode<any>) => void>>;
    readonly onSearch: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(value: string) => void>>;
    readonly onSelect: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(selected: boolean, node: import("./types").TreeSelectNode<any>) => void>>;
    readonly onScroll: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onScrolledChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(startIndex: number, endIndex: number, visibleData: import("./types").TreeSelectNode<any>[]) => void>>;
    readonly onScrolledBottom: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
    readonly overlayHeight: {
        readonly type: NumberConstructor;
        readonly default: 256;
    };
}>> & Readonly<{}>, {
    readonly draggable: boolean;
    readonly placeholder: string;
    readonly disabled: boolean;
    readonly overlayContainer: import("@idux/components/utils").OverlayContainerType;
    readonly control: string | number | (string | number)[] | import("@idux/cdk/forms").AbstractControl<any>;
    readonly size: import("@idux/components/form").FormSize;
    readonly expandedKeys: VKey[];
    readonly customAdditional: import("@idux/components/tree").TreeCustomAdditional;
    readonly dataSource: import("./types").TreeSelectNode<VKey>[];
    readonly getKey: string | ((data: import("./types").TreeSelectNode<any>) => any);
    readonly multiple: boolean;
    readonly overlayClassName: string;
    readonly suffix: string;
    readonly searchable: boolean | "overlay";
    readonly borderless: boolean;
    readonly childrenKey: string;
    readonly cascaderStrategy: import("../..").CascaderStrategy;
    readonly empty: "default" | "simple" | import("../..").EmptyProps;
    readonly spin: boolean | import("@idux/components/spin").SpinProps;
    readonly virtual: boolean;
    readonly virtualItemHeight: number;
    readonly value: any;
    readonly open: boolean;
    readonly clearable: boolean;
    readonly clearIcon: string;
    readonly overlayTabindex: number;
    readonly overlayMatchWidth: boolean | "minWidth";
    readonly readonly: boolean;
    readonly loadedKeys: VKey[];
    readonly checkable: boolean;
    readonly draggableIcon: string;
    readonly droppable: import("@idux/components/tree").TreeDroppable;
    readonly expandIcon: string | import("@idux/components/tree").TreeExpandIconRenderer | [string, string];
    readonly labelKey: string;
    readonly leafLineIcon: string;
    readonly loadChildren: (node: import("./types").TreeSelectNode<any>) => Promise<import("./types").TreeSelectNode<any>[]>;
    readonly searchFn: boolean | ((node: import("./types").TreeSelectNode<VKey>, searchValue?: string | undefined) => boolean);
    readonly showLine: boolean;
    readonly searchPlaceholder: string;
    readonly maxLabel: number | "responsive";
    readonly autofocus: boolean;
    readonly autocomplete: string;
    readonly overlayRender: (children: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[]) => import("vue").VNodeChild;
    readonly overlayHeight: number;
    readonly treeDisabled: (node: import("./types").TreeSelectNode<any>) => boolean | import("./types").TreeSelectNodeDisabled;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
