/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { type GetKeyFn } from '@idux/components/utils';
import { type TreeSelectNode, type TreeSelectProps } from '../types';
export interface MergedNode {
    children?: MergedNode[];
    label: string;
    isLeaf: boolean;
    key: VKey;
    parentKey?: VKey;
    rawData: TreeSelectNode;
    checkDisabled?: boolean;
    dragDisabled?: boolean;
    dropDisabled?: boolean;
    selectDisabled?: boolean;
}
export declare function useMergeNodes(props: TreeSelectProps, mergedChildrenKey: ComputedRef<string>, mergedGetKey: ComputedRef<GetKeyFn>, mergedLabelKey: ComputedRef<string>): {
    mergedNodeMap: ComputedRef<Map<VKey, MergedNode>>;
};
export declare function convertMergeNodes(props: TreeSelectProps, nodes: TreeSelectNode[], childrenKey: string, getKey: GetKeyFn, labelKey: string, parentKey?: VKey): MergedNode[];
export declare function convertMergedNodeMap(MergedNodes: MergedNode[], map: Map<VKey, MergedNode>): void;
