/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { TreeInstance } from '@idux/components/tree';
import { type ComputedRef, type Ref } from 'vue';
import { type FormAccessor } from '@idux/cdk/forms';
import { type VKey } from '@idux/cdk/utils';
import { type MergedNode } from './useDataSource';
import { type TreeSelectNode, type TreeSelectProps } from '../types';
export interface SelectedStateContext {
    selectedValue: ComputedRef<VKey[]>;
    selectedNodes: ComputedRef<MergedNode[]>;
    changeSelected: (value: VKey[], nodes: TreeSelectNode[]) => void;
    handleRemove: (key: VKey) => void;
    handleClear: (evt: MouseEvent) => void;
}
export declare function useSelectedState(props: TreeSelectProps, accessor: FormAccessor, treeRef: Ref<TreeInstance | undefined>, mergedNodeMap: ComputedRef<Map<VKey, MergedNode>>): SelectedStateContext;
