/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
/// <reference types="vue/jsx" />
import { type VKey } from '@idux/cdk/utils';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly autoHeight: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly checkedKeys: import("vue").PropType<VKey[]>;
    readonly expandedKeys: import("vue").PropType<VKey[]>;
    readonly indeterminateKeys: import("vue").PropType<VKey[]>;
    readonly loadedKeys: import("vue").PropType<VKey[]>;
    readonly selectedKeys: import("vue").PropType<VKey[]>;
    readonly blocked: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly cascaderStrategy: {
        readonly type: import("vue").PropType<import("../..").CascaderStrategy>;
        readonly default: "off";
    };
    readonly checkable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly childrenKey: StringConstructor;
    readonly checkOnClick: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly customAdditional: {
        readonly type: import("vue").PropType<import("./types").TreeCustomAdditional>;
        readonly default: undefined;
    };
    readonly dataSource: {
        readonly type: import("vue").PropType<import("./types").TreeNode<VKey>[]>;
        readonly default: () => import("./types").TreeNode<VKey>[];
    };
    readonly disabled: import("vue").PropType<(node: import("./types").TreeNode<any>) => boolean | import("./types").TreeNodeDisabled>;
    readonly draggable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly draggableIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly droppable: import("vue").PropType<import("./types").TreeDroppable>;
    readonly empty: {
        readonly type: import("vue").PropType<"default" | "simple" | import("../..").EmptyProps>;
        readonly default: "simple";
    };
    readonly expandIcon: {
        readonly type: import("vue").PropType<string | import("./types").TreeExpandIconRenderer | [string, string]>;
        readonly default: undefined;
    };
    readonly getKey: {
        readonly type: import("vue").PropType<string | ((data: import("./types").TreeNode<any>) => any)>;
        readonly default: undefined;
    };
    readonly height: NumberConstructor;
    readonly labelKey: StringConstructor;
    readonly leafLineIcon: StringConstructor;
    readonly loadChildren: import("vue").PropType<(node: import("./types").TreeNode<any>) => Promise<import("./types").TreeNode<any>[]>>;
    readonly searchFn: import("vue").PropType<(node: import("./types").TreeNode<any>, searchValue?: string | undefined) => boolean>;
    readonly searchValue: StringConstructor;
    readonly selectable: {
        readonly type: import("vue").PropType<boolean | "multiple">;
        readonly default: true;
    };
    readonly showLine: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly virtual: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly virtualScrollMode: {
        readonly type: import("vue").PropType<import("@idux/cdk/scroll").VirtualScrollMode>;
        readonly default: undefined;
    };
    readonly virtualItemHeight: {
        readonly type: NumberConstructor;
        readonly default: 32;
    };
    readonly 'onUpdate:checkedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:expandedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:loadedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:selectedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly onCheck: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(checked: boolean, node: import("./types").TreeNode<any>) => void>>;
    readonly onCheckedChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(checkedKeys: any[], checkedNodes: import("./types").TreeNode<any>[]) => void>>;
    readonly onDragstart: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("./types").TreeDragDropOptions<any>) => void>>;
    readonly onDragend: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("./types").TreeDragDropOptions<any>) => void>>;
    readonly onDragenter: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("./types").TreeDragDropOptions<any>) => void>>;
    readonly onDragleave: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("./types").TreeDragDropOptions<any>) => void>>;
    readonly onDragover: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("./types").TreeDragDropOptions<any>) => void>>;
    readonly onDrop: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("./types").TreeDragDropOptions<any>) => void>>;
    readonly onExpand: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(expanded: boolean, node: import("./types").TreeNode<any>) => void>>;
    readonly onExpandedChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(expendedKeys: any[], expendedNodes: import("./types").TreeNode<any>[]) => void>>;
    readonly onLoaded: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(loadedKeys: any[], node: import("./types").TreeNode<any>) => void>>;
    readonly onSelect: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(selected: boolean, node: import("./types").TreeNode<any>) => void>>;
    readonly onSelectedChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(selectedKeys: any[], selectedNodes: import("./types").TreeNode<any>[]) => void>>;
    readonly onFocus: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onBlur: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onKeydown: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: KeyboardEvent) => void>>;
    readonly onKeyup: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: KeyboardEvent) => void>>;
    readonly onNodeClick: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event, node: import("./types").TreeNode<any>) => void>>;
    readonly onNodeContextmenu: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event, node: import("./types").TreeNode<any>) => void>>;
    readonly onScroll: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onScrolledChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(startIndex: number, endIndex: number, visibleNodes: import("./types").TreeNode<any>[]) => void>>;
    readonly onScrolledBottom: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
}>, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly autoHeight: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly checkedKeys: import("vue").PropType<VKey[]>;
    readonly expandedKeys: import("vue").PropType<VKey[]>;
    readonly indeterminateKeys: import("vue").PropType<VKey[]>;
    readonly loadedKeys: import("vue").PropType<VKey[]>;
    readonly selectedKeys: import("vue").PropType<VKey[]>;
    readonly blocked: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly cascaderStrategy: {
        readonly type: import("vue").PropType<import("../..").CascaderStrategy>;
        readonly default: "off";
    };
    readonly checkable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly childrenKey: StringConstructor;
    readonly checkOnClick: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly customAdditional: {
        readonly type: import("vue").PropType<import("./types").TreeCustomAdditional>;
        readonly default: undefined;
    };
    readonly dataSource: {
        readonly type: import("vue").PropType<import("./types").TreeNode<VKey>[]>;
        readonly default: () => import("./types").TreeNode<VKey>[];
    };
    readonly disabled: import("vue").PropType<(node: import("./types").TreeNode<any>) => boolean | import("./types").TreeNodeDisabled>;
    readonly draggable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly draggableIcon: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly droppable: import("vue").PropType<import("./types").TreeDroppable>;
    readonly empty: {
        readonly type: import("vue").PropType<"default" | "simple" | import("../..").EmptyProps>;
        readonly default: "simple";
    };
    readonly expandIcon: {
        readonly type: import("vue").PropType<string | import("./types").TreeExpandIconRenderer | [string, string]>;
        readonly default: undefined;
    };
    readonly getKey: {
        readonly type: import("vue").PropType<string | ((data: import("./types").TreeNode<any>) => any)>;
        readonly default: undefined;
    };
    readonly height: NumberConstructor;
    readonly labelKey: StringConstructor;
    readonly leafLineIcon: StringConstructor;
    readonly loadChildren: import("vue").PropType<(node: import("./types").TreeNode<any>) => Promise<import("./types").TreeNode<any>[]>>;
    readonly searchFn: import("vue").PropType<(node: import("./types").TreeNode<any>, searchValue?: string | undefined) => boolean>;
    readonly searchValue: StringConstructor;
    readonly selectable: {
        readonly type: import("vue").PropType<boolean | "multiple">;
        readonly default: true;
    };
    readonly showLine: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    readonly virtual: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly virtualScrollMode: {
        readonly type: import("vue").PropType<import("@idux/cdk/scroll").VirtualScrollMode>;
        readonly default: undefined;
    };
    readonly virtualItemHeight: {
        readonly type: NumberConstructor;
        readonly default: 32;
    };
    readonly 'onUpdate:checkedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:expandedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:loadedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly 'onUpdate:selectedKeys': import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(keys: any[]) => void>>;
    readonly onCheck: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(checked: boolean, node: import("./types").TreeNode<any>) => void>>;
    readonly onCheckedChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(checkedKeys: any[], checkedNodes: import("./types").TreeNode<any>[]) => void>>;
    readonly onDragstart: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("./types").TreeDragDropOptions<any>) => void>>;
    readonly onDragend: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("./types").TreeDragDropOptions<any>) => void>>;
    readonly onDragenter: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("./types").TreeDragDropOptions<any>) => void>>;
    readonly onDragleave: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("./types").TreeDragDropOptions<any>) => void>>;
    readonly onDragover: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("./types").TreeDragDropOptions<any>) => void>>;
    readonly onDrop: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(options: import("./types").TreeDragDropOptions<any>) => void>>;
    readonly onExpand: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(expanded: boolean, node: import("./types").TreeNode<any>) => void>>;
    readonly onExpandedChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(expendedKeys: any[], expendedNodes: import("./types").TreeNode<any>[]) => void>>;
    readonly onLoaded: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(loadedKeys: any[], node: import("./types").TreeNode<any>) => void>>;
    readonly onSelect: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(selected: boolean, node: import("./types").TreeNode<any>) => void>>;
    readonly onSelectedChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(selectedKeys: any[], selectedNodes: import("./types").TreeNode<any>[]) => void>>;
    readonly onFocus: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onBlur: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: FocusEvent) => void>>;
    readonly onKeydown: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: KeyboardEvent) => void>>;
    readonly onKeyup: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: KeyboardEvent) => void>>;
    readonly onNodeClick: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event, node: import("./types").TreeNode<any>) => void>>;
    readonly onNodeContextmenu: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event, node: import("./types").TreeNode<any>) => void>>;
    readonly onScroll: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(evt: Event) => void>>;
    readonly onScrolledChange: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<(startIndex: number, endIndex: number, visibleNodes: import("./types").TreeNode<any>[]) => void>>;
    readonly onScrolledBottom: import("vue").PropType<import("@idux/cdk/utils").MaybeArray<() => void>>;
}>> & Readonly<{}>, {
    readonly draggable: boolean;
    readonly customAdditional: import("./types").TreeCustomAdditional;
    readonly dataSource: import("./types").TreeNode<VKey>[];
    readonly getKey: string | ((data: import("./types").TreeNode<any>) => any);
    readonly selectable: boolean | "multiple";
    readonly autoHeight: boolean;
    readonly cascaderStrategy: import("../..").CascaderStrategy;
    readonly empty: "default" | "simple" | import("../..").EmptyProps;
    readonly virtual: boolean;
    readonly virtualScrollMode: import("@idux/cdk/scroll").VirtualScrollMode;
    readonly virtualItemHeight: number;
    readonly blocked: boolean;
    readonly checkable: boolean;
    readonly checkOnClick: boolean;
    readonly draggableIcon: string;
    readonly expandIcon: string | import("./types").TreeExpandIconRenderer | [string, string];
    readonly showLine: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
