/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type WritableComputedRef } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { type MergedNode } from './useDataSource';
import { type TreeProps } from '../types';
export interface CheckableContext {
    checkedKeys: WritableComputedRef<VKey[]>;
    isChecked: (key: VKey) => boolean;
    isIndeterminate: (key: VKey) => boolean;
    handleCheck: (node: MergedNode) => void;
}
export declare function useCheckable(props: TreeProps, mergedNodes: ComputedRef<MergedNode[]>, mergedNodeMap: ComputedRef<Map<VKey, MergedNode>>, parentKeyMap: ComputedRef<Map<VKey, VKey | undefined>>, depthMap: ComputedRef<Map<VKey, number>>): CheckableContext;
