/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { type ComputedRef, type Ref } from 'vue';
import { type VKey } from '@idux/cdk/utils';
import { TreeConfig } from '@idux/components/config';
import { type MergedNode } from './useDataSource';
import { type ExpandableContext } from './useExpandable';
import { type TreeDropType, type TreeProps } from '../types';
export interface DragDropContext {
    draggableIcon: ComputedRef<string>;
    dragKey: ComputedRef<VKey | undefined>;
    dropKey: ComputedRef<VKey | undefined>;
    dropParentKey: Ref<VKey | undefined>;
    dropType: Ref<TreeDropType | undefined>;
    handleDragstart: (evt: DragEvent, node: MergedNode) => void;
    handleDragend: (evt: DragEvent, node: MergedNode) => void;
    handleDragenter: (evt: DragEvent, node: MergedNode) => void;
    handleDragover: (evt: DragEvent, node: MergedNode) => void;
    handleDragleave: (evt: DragEvent, node: MergedNode) => void;
    handleDrop: (evt: DragEvent, node: MergedNode) => void;
}
export declare function useDragDrop(props: TreeProps, config: TreeConfig, { expandedKeys, setExpandedKeys }: ExpandableContext): DragDropContext;
