/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { MergedNode } from './useDataSource';
import type { ExpandableContext } from './useExpandable';
import type { SelectableContext } from './useSelectable';
import type { TreeProps } from '../types';
import type { VKey } from '@idux/cdk/utils';
import type { ComputedRef, Ref } from 'vue';
export interface EventsContext {
    focused: Ref<boolean>;
    handleFocus: (evt: FocusEvent) => void;
    handleBlur: (evt: FocusEvent) => void;
    handleKeydown: (evt: KeyboardEvent) => void;
    handleKeyup: (evt: KeyboardEvent) => void;
}
export declare function useEvents(props: TreeProps, mergedNodeMap: ComputedRef<Map<VKey, MergedNode>>, flattedNodes: ComputedRef<MergedNode[]>, { expandedKeys, handleExpand }: ExpandableContext, { activeKey, handleSelect }: SelectableContext): EventsContext;
