/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { MergedNode } from './useDataSource';
import type { TreeExpandIconRenderer, TreeNode, TreeProps } from '../types';
import { type ComputedRef, type Ref } from 'vue';
import { VKey } from '@idux/cdk/utils';
import { type TreeConfig } from '@idux/components/config';
export interface ExpandableContext {
    expandIconRenderer: TreeExpandIconRenderer;
    expandedKeys: ComputedRef<VKey[]>;
    setExpandedKeys: (value: VKey[]) => void;
    expandAll: () => void;
    collapseAll: () => void;
    handleExpand: (key: VKey, rawNode: TreeNode) => void;
    loadingKeys: Ref<VKey[]>;
}
export declare function useExpandable(props: TreeProps, config: TreeConfig, mergedChildrenKey: ComputedRef<string>, mergedNodeMap: ComputedRef<Map<VKey, MergedNode>>, searchedKeys: ComputedRef<VKey[]>, setLoadedNodes: (key: VKey, nodes: TreeNode[]) => void): ExpandableContext;
