/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { MergedNode } from './useDataSource';
import type { TreeProps } from '../types';
import type { VKey } from '@idux/cdk/utils';
import type { ComputedRef, Ref } from 'vue';
export interface SelectableContext {
    activeKey: Ref<VKey | undefined>;
    activeNode: ComputedRef<MergedNode | undefined>;
    selectedKeys: ComputedRef<VKey[]>;
    handleSelect: (key: VKey) => void;
}
export declare function useSelectable(props: TreeProps, mergedNodeMap: ComputedRef<Map<VKey, MergedNode>>): SelectableContext;
