/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { MergedNode } from '../composables/useDataSource';
import type { TreeNode } from '../types';
import type { VKey } from '@idux/cdk/utils';
import type { ComputedRef } from 'vue';
export declare function callChange(mergedNodeMap: ComputedRef<Map<VKey, MergedNode>>, newKeys: VKey[], onChange?: ((keys: VKey[], nodes: TreeNode[]) => void) | Array<(keys: VKey[], nodes: TreeNode[]) => void>): void;
export declare function getChildrenKeys(currNode: MergedNode | undefined, disabledKeys?: VKey[]): VKey[];
export declare function getParentKeys(nodeMap: Map<VKey, MergedNode>, currNode: MergedNode | undefined, disabledKeys?: VKey[]): VKey[];
export declare function getAllParentKeys(nodeMap: Map<VKey, MergedNode>): VKey[];
