/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { UploadFile, UploadFilesProps, UploadFilesType, UploadProps } from '../types';
import type { IconsMap } from '../utils/icon';
import type { ComputedRef, ShallowRef, VNode } from 'vue';
export declare function useCmpClasses(): ComputedRef<string>;
export declare function useListClasses(props: UploadProps, type: UploadFilesType): ComputedRef<string>;
export declare function useIcon(props: UploadFilesProps): ComputedRef<IconsMap>;
export declare function useSelectorVisible(props: UploadProps, listType: ComputedRef<UploadFilesType> | UploadFilesType): ComputedRef<boolean>[];
export interface UseThumb {
    revokeList: ShallowRef<(() => void)[]>;
    getThumbNode: (file: UploadFile) => VNode | null;
    revokeAll: () => void;
}
export declare function useThumb(): UseThumb;
