/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { UploadProps } from '../types';
import type { ComputedRef, Ref } from 'vue';
export interface UploadDrag {
    allowDrag: ComputedRef<boolean>;
    isDraggingOver: Ref<boolean>;
    onDrop: (e: DragEvent) => void;
    onDragOver: (e: DragEvent) => void;
    onDragLeave: (e: DragEvent) => void;
}
export declare function useDrag(props: UploadProps, selectFiles: (files: File[]) => Promise<void>): UploadDrag;
