/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { UploadContext } from '../token';
import type { UploadFile, UploadFilesProps } from '../types';
export interface FileOperation {
    abort: (file: UploadFile) => void;
    retry: (file: UploadFile) => void;
    download: (file: UploadFile) => void;
    preview: (file: UploadFile) => void;
    remove: (file: UploadFile) => void;
}
export declare function useOperation(listProps: UploadFilesProps, context: UploadContext): FileOperation;
