/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { FilesDataContext } from '../composables/useFilesData';
import type { UploadFile, UploadProps } from '../types';
import type { Ref } from 'vue';
export interface UploadRequest {
    fileUploading: Ref<UploadFile[]>;
    abort: (file: UploadFile) => void;
    startUpload: (file: UploadFile) => void;
    upload: (file: UploadFile) => void;
}
export declare function useRequest(props: UploadProps, filesDataContext: FilesDataContext): UploadRequest;
