/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { FileOperation } from '../composables/useOperation';
import type { UploadFile, UploadIconType } from '../types';
import type { Locale } from '@idux/components/locales';
import type { ComputedRef, VNode } from 'vue';
type IconNodeType = string | VNode;
type Opr = 'previewNode' | 'retryNode' | 'downloadNode' | 'removeNode';
export type IconsMap = Partial<Record<UploadIconType, IconNodeType>>;
export type OprIcons = Record<Opr, VNode | null>;
export declare function getIconNode(icon: Exclude<IconNodeType, true>): VNode | null;
export declare function renderIcon(icon: IconsMap[keyof IconsMap] | undefined, props?: Record<string, unknown>): VNode | null;
export declare function renderOprIcon(file: UploadFile, icons: ComputedRef<IconsMap>, cpmClasses: ComputedRef<string>, fileOperation: FileOperation, locale: Locale): OprIcons;
export {};
