/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
export type ElementOf<T> = T extends (infer E)[] ? E : T extends readonly (infer F)[] ? F : never;
export declare const presetColors: readonly ["red", "orange", "brown", "yellow", "canary", "bud", "green", "turquoise", "cyan", "glacier", "blue", "indigo", "purple", "magenta"];
export type PresetColor = ElementOf<typeof presetColors>;
export declare function isPresetColor(color: string | undefined): boolean;
export declare const statusColors: readonly ["primary", "info", "pending", "success", "warning", "error"];
export type StatusColor = ElementOf<typeof statusColors>;
export declare function isStatusColor(color: string | undefined): boolean;
