/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import type { ɵOverlayInstance } from '@idux/components/_private/overlay';
import { type ComputedRef, type Ref } from 'vue';
import { type FocusOrigin } from '@idux/cdk/a11y';
import { type MaybeElement, type MaybeElementRef } from '@idux/cdk/utils';
export declare function useOverlayFocusMonitor(onFocus: (evt: FocusEvent, origin: FocusOrigin) => void, onBlur: (evt: FocusEvent) => void): {
    focused: ComputedRef<boolean>;
    overlayFocused: ComputedRef<boolean>;
    triggerFocused: ComputedRef<boolean>;
    bindMonitor: (elRef: Ref<MaybeElement>) => void;
    bindOverlayMonitor: (overlayRef: Ref<ɵOverlayInstance | undefined>, overlayOpened: Ref<boolean>) => void;
    focusVia: (elRef: MaybeElementRef<MaybeElement>, origin?: FocusOrigin, options?: FocusOptions) => void;
    blurVia: (elRef: MaybeElementRef<MaybeElement>) => void;
    handleFocus: (evt: FocusEvent) => void;
    handleBlur: (evt: FocusEvent) => void;
};
