/**
 * @license
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/IDuxFE/idux/blob/main/LICENSE
 */
import { WatermarkProps } from './../types';
export type DensityData = {
    gapHorizontal: number;
    gapVertical: number;
    width: number;
    height: number;
    offsetLeft: number | undefined;
    offsetTop: number | undefined;
    gapContent: number;
};
/**
 * 根据传入密度对渲染所需参数进行计算
 *
 * @returns 经密度二次计算的渲染参数
 */
export declare function calcDensity(props: WatermarkProps): DensityData;
