import { cloneVNode, defineComponent, computed, ref, onMounted, onBeforeUnmount, watch, normalizeClass, createVNode, h, inject, reactive, provide, shallowRef, Fragment, effectScope, nextTick, toRef, Transition, mergeProps, withDirectives, vShow, onDeactivated, watchEffect, onUnmounted, withKeys, createTextVNode, normalizeStyle, toRaw, isVNode, onBeforeUpdate, onUpdated, TransitionGroup, toRefs, Text as Text$1, customRef, getCurrentInstance, unref, resolveDirective, isProxy } from "vue";
import { getFirstValidNode, Logger, convertCssPixel, isNumeric, convertArray, useState, useKey as useKey$1, traverseTree, getTreeKeys, mergeTree, filterTree, tryOnScopeDispose, createSharedComposable, convertNumber, useControlledProp, convertElement, callEmit, hasOwnProperty as hasOwnProperty$d, off, isHTMLElement, on, throttleRAF, isEmptyNode, isFocusable, useEventListener, throwError, getBoxSizingData as getBoxSizingData$1, hasSlot, addClass, removeClass, flattenNode, getOffset, getCssDimensions, NoopArray, cancelRAF, rAF, easeInOutCubic, NoopFunction, uniqueId, isPromise, getMouseClientXY, isVisibleElement } from "@idux/cdk/utils";
import { useResizeObserver, onResize, offResize } from "@idux/cdk/resize";
import { useSharedFocusMonitor } from "@idux/cdk/a11y";
import { useControl as useControl$2, FORMS_CONTROL_TOKEN, useAccessorAndControl } from "@idux/cdk/forms";
import { isBrowser, supportsFlexGap, isFirefox } from "@idux/cdk/platform";
import { BREAKPOINTS_KEYS, useSharedBreakpoints } from "@idux/cdk/breakpoint";
import { vClickOutside } from "@idux/cdk/click-outside";
import { usePopper } from "@idux/cdk/popper";
import { CdkPortal } from "@idux/cdk/portal";
import { CdkDndSortableItem, CdkDndSortableHandle, useDndAutoScroll, CdkDndSortable, CdkDndMovable, reorderList } from "@idux/cdk/dnd";
import { CdkVirtualScroll, scrollToTop, getScroll, BlockScrollStrategy, getScrollBarSize, useScroll as useScroll$2 } from "@idux/cdk/scroll";
import { useClipboard } from "@idux/cdk/clipboard";
var freeGlobal = typeof global == "object" && global && global.Object === Object && global;
var freeSelf = typeof self == "object" && self && self.Object === Object && self;
var root = freeGlobal || freeSelf || Function("return this")();
var Symbol$1 = root.Symbol;
var objectProto$f = Object.prototype;
var hasOwnProperty$c = objectProto$f.hasOwnProperty;
var nativeObjectToString$1 = objectProto$f.toString;
var symToStringTag$1 = Symbol$1 ? Symbol$1.toStringTag : void 0;
function getRawTag(value) {
  var isOwn = hasOwnProperty$c.call(value, symToStringTag$1), tag = value[symToStringTag$1];
  try {
    value[symToStringTag$1] = void 0;
    var unmasked = true;
  } catch (e2) {
  }
  var result = nativeObjectToString$1.call(value);
  if (unmasked) {
    if (isOwn) {
      value[symToStringTag$1] = tag;
    } else {
      delete value[symToStringTag$1];
    }
  }
  return result;
}
var objectProto$e = Object.prototype;
var nativeObjectToString = objectProto$e.toString;
function objectToString(value) {
  return nativeObjectToString.call(value);
}
var nullTag = "[object Null]", undefinedTag = "[object Undefined]";
var symToStringTag = Symbol$1 ? Symbol$1.toStringTag : void 0;
function baseGetTag(value) {
  if (value == null) {
    return value === void 0 ? undefinedTag : nullTag;
  }
  return symToStringTag && symToStringTag in Object(value) ? getRawTag(value) : objectToString(value);
}
function isObjectLike(value) {
  return value != null && typeof value == "object";
}
var symbolTag$3 = "[object Symbol]";
function isSymbol(value) {
  return typeof value == "symbol" || isObjectLike(value) && baseGetTag(value) == symbolTag$3;
}
function arrayMap(array, iteratee) {
  var index = -1, length = array == null ? 0 : array.length, result = Array(length);
  while (++index < length) {
    result[index] = iteratee(array[index], index, array);
  }
  return result;
}
var isArray = Array.isArray;
var INFINITY$2 = 1 / 0;
var symbolProto$2 = Symbol$1 ? Symbol$1.prototype : void 0, symbolToString = symbolProto$2 ? symbolProto$2.toString : void 0;
function baseToString(value) {
  if (typeof value == "string") {
    return value;
  }
  if (isArray(value)) {
    return arrayMap(value, baseToString) + "";
  }
  if (isSymbol(value)) {
    return symbolToString ? symbolToString.call(value) : "";
  }
  var result = value + "";
  return result == "0" && 1 / value == -INFINITY$2 ? "-0" : result;
}
var reWhitespace = /\s/;
function trimmedEndIndex(string) {
  var index = string.length;
  while (index-- && reWhitespace.test(string.charAt(index))) {
  }
  return index;
}
var reTrimStart = /^\s+/;
function baseTrim(string) {
  return string ? string.slice(0, trimmedEndIndex(string) + 1).replace(reTrimStart, "") : string;
}
function isObject(value) {
  var type = typeof value;
  return value != null && (type == "object" || type == "function");
}
var NAN = 0 / 0;
var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;
var reIsBinary = /^0b[01]+$/i;
var reIsOctal = /^0o[0-7]+$/i;
var freeParseInt = parseInt;
function toNumber(value) {
  if (typeof value == "number") {
    return value;
  }
  if (isSymbol(value)) {
    return NAN;
  }
  if (isObject(value)) {
    var other = typeof value.valueOf == "function" ? value.valueOf() : value;
    value = isObject(other) ? other + "" : other;
  }
  if (typeof value != "string") {
    return value === 0 ? value : +value;
  }
  value = baseTrim(value);
  var isBinary = reIsBinary.test(value);
  return isBinary || reIsOctal.test(value) ? freeParseInt(value.slice(2), isBinary ? 2 : 8) : reIsBadHex.test(value) ? NAN : +value;
}
var INFINITY$1 = 1 / 0, MAX_INTEGER = 17976931348623157e292;
function toFinite(value) {
  if (!value) {
    return value === 0 ? value : 0;
  }
  value = toNumber(value);
  if (value === INFINITY$1 || value === -INFINITY$1) {
    var sign = value < 0 ? -1 : 1;
    return sign * MAX_INTEGER;
  }
  return value === value ? value : 0;
}
function toInteger$1(value) {
  var result = toFinite(value), remainder = result % 1;
  return result === result ? remainder ? result - remainder : result : 0;
}
function identity(value) {
  return value;
}
var asyncTag = "[object AsyncFunction]", funcTag$2 = "[object Function]", genTag$1 = "[object GeneratorFunction]", proxyTag = "[object Proxy]";
function isFunction(value) {
  if (!isObject(value)) {
    return false;
  }
  var tag = baseGetTag(value);
  return tag == funcTag$2 || tag == genTag$1 || tag == asyncTag || tag == proxyTag;
}
var coreJsData = root["__core-js_shared__"];
var maskSrcKey = function() {
  var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || "");
  return uid ? "Symbol(src)_1." + uid : "";
}();
function isMasked(func) {
  return !!maskSrcKey && maskSrcKey in func;
}
var funcProto$2 = Function.prototype;
var funcToString$2 = funcProto$2.toString;
function toSource(func) {
  if (func != null) {
    try {
      return funcToString$2.call(func);
    } catch (e2) {
    }
    try {
      return func + "";
    } catch (e2) {
    }
  }
  return "";
}
var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
var reIsHostCtor = /^\[object .+?Constructor\]$/;
var funcProto$1 = Function.prototype, objectProto$d = Object.prototype;
var funcToString$1 = funcProto$1.toString;
var hasOwnProperty$b = objectProto$d.hasOwnProperty;
var reIsNative = RegExp(
  "^" + funcToString$1.call(hasOwnProperty$b).replace(reRegExpChar, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
);
function baseIsNative(value) {
  if (!isObject(value) || isMasked(value)) {
    return false;
  }
  var pattern = isFunction(value) ? reIsNative : reIsHostCtor;
  return pattern.test(toSource(value));
}
function getValue$1(object, key) {
  return object == null ? void 0 : object[key];
}
function getNative(object, key) {
  var value = getValue$1(object, key);
  return baseIsNative(value) ? value : void 0;
}
var WeakMap = getNative(root, "WeakMap");
var objectCreate = Object.create;
var baseCreate = function() {
  function object() {
  }
  return function(proto) {
    if (!isObject(proto)) {
      return {};
    }
    if (objectCreate) {
      return objectCreate(proto);
    }
    object.prototype = proto;
    var result = new object();
    object.prototype = void 0;
    return result;
  };
}();
function apply(func, thisArg, args) {
  switch (args.length) {
    case 0:
      return func.call(thisArg);
    case 1:
      return func.call(thisArg, args[0]);
    case 2:
      return func.call(thisArg, args[0], args[1]);
    case 3:
      return func.call(thisArg, args[0], args[1], args[2]);
  }
  return func.apply(thisArg, args);
}
function copyArray(source, array) {
  var index = -1, length = source.length;
  array || (array = Array(length));
  while (++index < length) {
    array[index] = source[index];
  }
  return array;
}
var HOT_COUNT = 800, HOT_SPAN = 16;
var nativeNow = Date.now;
function shortOut(func) {
  var count = 0, lastCalled = 0;
  return function() {
    var stamp = nativeNow(), remaining = HOT_SPAN - (stamp - lastCalled);
    lastCalled = stamp;
    if (remaining > 0) {
      if (++count >= HOT_COUNT) {
        return arguments[0];
      }
    } else {
      count = 0;
    }
    return func.apply(void 0, arguments);
  };
}
function constant(value) {
  return function() {
    return value;
  };
}
var defineProperty = function() {
  try {
    var func = getNative(Object, "defineProperty");
    func({}, "", {});
    return func;
  } catch (e2) {
  }
}();
var baseSetToString = !defineProperty ? identity : function(func, string) {
  return defineProperty(func, "toString", {
    "configurable": true,
    "enumerable": false,
    "value": constant(string),
    "writable": true
  });
};
var setToString = shortOut(baseSetToString);
function arrayEach(array, iteratee) {
  var index = -1, length = array == null ? 0 : array.length;
  while (++index < length) {
    if (iteratee(array[index], index, array) === false) {
      break;
    }
  }
  return array;
}
var MAX_SAFE_INTEGER$1 = 9007199254740991;
var reIsUint = /^(?:0|[1-9]\d*)$/;
function isIndex(value, length) {
  var type = typeof value;
  length = length == null ? MAX_SAFE_INTEGER$1 : length;
  return !!length && (type == "number" || type != "symbol" && reIsUint.test(value)) && (value > -1 && value % 1 == 0 && value < length);
}
function baseAssignValue(object, key, value) {
  if (key == "__proto__" && defineProperty) {
    defineProperty(object, key, {
      "configurable": true,
      "enumerable": true,
      "value": value,
      "writable": true
    });
  } else {
    object[key] = value;
  }
}
function eq(value, other) {
  return value === other || value !== value && other !== other;
}
var objectProto$c = Object.prototype;
var hasOwnProperty$a = objectProto$c.hasOwnProperty;
function assignValue(object, key, value) {
  var objValue = object[key];
  if (!(hasOwnProperty$a.call(object, key) && eq(objValue, value)) || value === void 0 && !(key in object)) {
    baseAssignValue(object, key, value);
  }
}
function copyObject(source, props, object, customizer) {
  var isNew = !object;
  object || (object = {});
  var index = -1, length = props.length;
  while (++index < length) {
    var key = props[index];
    var newValue = void 0;
    if (newValue === void 0) {
      newValue = source[key];
    }
    if (isNew) {
      baseAssignValue(object, key, newValue);
    } else {
      assignValue(object, key, newValue);
    }
  }
  return object;
}
var nativeMax$1 = Math.max;
function overRest(func, start, transform) {
  start = nativeMax$1(start === void 0 ? func.length - 1 : start, 0);
  return function() {
    var args = arguments, index = -1, length = nativeMax$1(args.length - start, 0), array = Array(length);
    while (++index < length) {
      array[index] = args[start + index];
    }
    index = -1;
    var otherArgs = Array(start + 1);
    while (++index < start) {
      otherArgs[index] = args[index];
    }
    otherArgs[start] = transform(array);
    return apply(func, this, otherArgs);
  };
}
function baseRest(func, start) {
  return setToString(overRest(func, start, identity), func + "");
}
var MAX_SAFE_INTEGER = 9007199254740991;
function isLength(value) {
  return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
}
function isArrayLike(value) {
  return value != null && isLength(value.length) && !isFunction(value);
}
function isIterateeCall(value, index, object) {
  if (!isObject(object)) {
    return false;
  }
  var type = typeof index;
  if (type == "number" ? isArrayLike(object) && isIndex(index, object.length) : type == "string" && index in object) {
    return eq(object[index], value);
  }
  return false;
}
function createAssigner(assigner) {
  return baseRest(function(object, sources) {
    var index = -1, length = sources.length, customizer = length > 1 ? sources[length - 1] : void 0, guard = length > 2 ? sources[2] : void 0;
    customizer = assigner.length > 3 && typeof customizer == "function" ? (length--, customizer) : void 0;
    if (guard && isIterateeCall(sources[0], sources[1], guard)) {
      customizer = length < 3 ? void 0 : customizer;
      length = 1;
    }
    object = Object(object);
    while (++index < length) {
      var source = sources[index];
      if (source) {
        assigner(object, source, index, customizer);
      }
    }
    return object;
  });
}
var objectProto$b = Object.prototype;
function isPrototype(value) {
  var Ctor = value && value.constructor, proto = typeof Ctor == "function" && Ctor.prototype || objectProto$b;
  return value === proto;
}
function baseTimes(n, iteratee) {
  var index = -1, result = Array(n);
  while (++index < n) {
    result[index] = iteratee(index);
  }
  return result;
}
var argsTag$3 = "[object Arguments]";
function baseIsArguments(value) {
  return isObjectLike(value) && baseGetTag(value) == argsTag$3;
}
var objectProto$a = Object.prototype;
var hasOwnProperty$9 = objectProto$a.hasOwnProperty;
var propertyIsEnumerable$1 = objectProto$a.propertyIsEnumerable;
var isArguments = baseIsArguments(function() {
  return arguments;
}()) ? baseIsArguments : function(value) {
  return isObjectLike(value) && hasOwnProperty$9.call(value, "callee") && !propertyIsEnumerable$1.call(value, "callee");
};
function stubFalse() {
  return false;
}
var freeExports$2 = typeof exports == "object" && exports && !exports.nodeType && exports;
var freeModule$2 = freeExports$2 && typeof module == "object" && module && !module.nodeType && module;
var moduleExports$2 = freeModule$2 && freeModule$2.exports === freeExports$2;
var Buffer$1 = moduleExports$2 ? root.Buffer : void 0;
var nativeIsBuffer = Buffer$1 ? Buffer$1.isBuffer : void 0;
var isBuffer = nativeIsBuffer || stubFalse;
var argsTag$2 = "[object Arguments]", arrayTag$2 = "[object Array]", boolTag$4 = "[object Boolean]", dateTag$3 = "[object Date]", errorTag$2 = "[object Error]", funcTag$1 = "[object Function]", mapTag$5 = "[object Map]", numberTag$4 = "[object Number]", objectTag$4 = "[object Object]", regexpTag$3 = "[object RegExp]", setTag$5 = "[object Set]", stringTag$4 = "[object String]", weakMapTag$2 = "[object WeakMap]";
var arrayBufferTag$3 = "[object ArrayBuffer]", dataViewTag$4 = "[object DataView]", float32Tag$2 = "[object Float32Array]", float64Tag$2 = "[object Float64Array]", int8Tag$2 = "[object Int8Array]", int16Tag$2 = "[object Int16Array]", int32Tag$2 = "[object Int32Array]", uint8Tag$2 = "[object Uint8Array]", uint8ClampedTag$2 = "[object Uint8ClampedArray]", uint16Tag$2 = "[object Uint16Array]", uint32Tag$2 = "[object Uint32Array]";
var typedArrayTags = {};
typedArrayTags[float32Tag$2] = typedArrayTags[float64Tag$2] = typedArrayTags[int8Tag$2] = typedArrayTags[int16Tag$2] = typedArrayTags[int32Tag$2] = typedArrayTags[uint8Tag$2] = typedArrayTags[uint8ClampedTag$2] = typedArrayTags[uint16Tag$2] = typedArrayTags[uint32Tag$2] = true;
typedArrayTags[argsTag$2] = typedArrayTags[arrayTag$2] = typedArrayTags[arrayBufferTag$3] = typedArrayTags[boolTag$4] = typedArrayTags[dataViewTag$4] = typedArrayTags[dateTag$3] = typedArrayTags[errorTag$2] = typedArrayTags[funcTag$1] = typedArrayTags[mapTag$5] = typedArrayTags[numberTag$4] = typedArrayTags[objectTag$4] = typedArrayTags[regexpTag$3] = typedArrayTags[setTag$5] = typedArrayTags[stringTag$4] = typedArrayTags[weakMapTag$2] = false;
function baseIsTypedArray(value) {
  return isObjectLike(value) && isLength(value.length) && !!typedArrayTags[baseGetTag(value)];
}
function baseUnary(func) {
  return function(value) {
    return func(value);
  };
}
var freeExports$1 = typeof exports == "object" && exports && !exports.nodeType && exports;
var freeModule$1 = freeExports$1 && typeof module == "object" && module && !module.nodeType && module;
var moduleExports$1 = freeModule$1 && freeModule$1.exports === freeExports$1;
var freeProcess = moduleExports$1 && freeGlobal.process;
var nodeUtil = function() {
  try {
    var types = freeModule$1 && freeModule$1.require && freeModule$1.require("util").types;
    if (types) {
      return types;
    }
    return freeProcess && freeProcess.binding && freeProcess.binding("util");
  } catch (e2) {
  }
}();
var nodeIsTypedArray = nodeUtil && nodeUtil.isTypedArray;
var isTypedArray = nodeIsTypedArray ? baseUnary(nodeIsTypedArray) : baseIsTypedArray;
var objectProto$9 = Object.prototype;
var hasOwnProperty$8 = objectProto$9.hasOwnProperty;
function arrayLikeKeys(value, inherited) {
  var isArr = isArray(value), isArg = !isArr && isArguments(value), isBuff = !isArr && !isArg && isBuffer(value), isType = !isArr && !isArg && !isBuff && isTypedArray(value), skipIndexes = isArr || isArg || isBuff || isType, result = skipIndexes ? baseTimes(value.length, String) : [], length = result.length;
  for (var key in value) {
    if ((inherited || hasOwnProperty$8.call(value, key)) && !(skipIndexes && (key == "length" || isBuff && (key == "offset" || key == "parent") || isType && (key == "buffer" || key == "byteLength" || key == "byteOffset") || isIndex(key, length)))) {
      result.push(key);
    }
  }
  return result;
}
function overArg(func, transform) {
  return function(arg) {
    return func(transform(arg));
  };
}
var nativeKeys = overArg(Object.keys, Object);
var objectProto$8 = Object.prototype;
var hasOwnProperty$7 = objectProto$8.hasOwnProperty;
function baseKeys(object) {
  if (!isPrototype(object)) {
    return nativeKeys(object);
  }
  var result = [];
  for (var key in Object(object)) {
    if (hasOwnProperty$7.call(object, key) && key != "constructor") {
      result.push(key);
    }
  }
  return result;
}
function keys(object) {
  return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
}
function nativeKeysIn(object) {
  var result = [];
  if (object != null) {
    for (var key in Object(object)) {
      result.push(key);
    }
  }
  return result;
}
var objectProto$7 = Object.prototype;
var hasOwnProperty$6 = objectProto$7.hasOwnProperty;
function baseKeysIn(object) {
  if (!isObject(object)) {
    return nativeKeysIn(object);
  }
  var isProto = isPrototype(object), result = [];
  for (var key in object) {
    if (!(key == "constructor" && (isProto || !hasOwnProperty$6.call(object, key)))) {
      result.push(key);
    }
  }
  return result;
}
function keysIn(object) {
  return isArrayLike(object) ? arrayLikeKeys(object, true) : baseKeysIn(object);
}
var reIsDeepProp = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/, reIsPlainProp = /^\w*$/;
function isKey(value, object) {
  if (isArray(value)) {
    return false;
  }
  var type = typeof value;
  if (type == "number" || type == "symbol" || type == "boolean" || value == null || isSymbol(value)) {
    return true;
  }
  return reIsPlainProp.test(value) || !reIsDeepProp.test(value) || object != null && value in Object(object);
}
var nativeCreate = getNative(Object, "create");
function hashClear() {
  this.__data__ = nativeCreate ? nativeCreate(null) : {};
  this.size = 0;
}
function hashDelete(key) {
  var result = this.has(key) && delete this.__data__[key];
  this.size -= result ? 1 : 0;
  return result;
}
var HASH_UNDEFINED$2 = "__lodash_hash_undefined__";
var objectProto$6 = Object.prototype;
var hasOwnProperty$5 = objectProto$6.hasOwnProperty;
function hashGet(key) {
  var data = this.__data__;
  if (nativeCreate) {
    var result = data[key];
    return result === HASH_UNDEFINED$2 ? void 0 : result;
  }
  return hasOwnProperty$5.call(data, key) ? data[key] : void 0;
}
var objectProto$5 = Object.prototype;
var hasOwnProperty$4 = objectProto$5.hasOwnProperty;
function hashHas(key) {
  var data = this.__data__;
  return nativeCreate ? data[key] !== void 0 : hasOwnProperty$4.call(data, key);
}
var HASH_UNDEFINED$1 = "__lodash_hash_undefined__";
function hashSet(key, value) {
  var data = this.__data__;
  this.size += this.has(key) ? 0 : 1;
  data[key] = nativeCreate && value === void 0 ? HASH_UNDEFINED$1 : value;
  return this;
}
function Hash(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
Hash.prototype.clear = hashClear;
Hash.prototype["delete"] = hashDelete;
Hash.prototype.get = hashGet;
Hash.prototype.has = hashHas;
Hash.prototype.set = hashSet;
function listCacheClear() {
  this.__data__ = [];
  this.size = 0;
}
function assocIndexOf(array, key) {
  var length = array.length;
  while (length--) {
    if (eq(array[length][0], key)) {
      return length;
    }
  }
  return -1;
}
var arrayProto = Array.prototype;
var splice = arrayProto.splice;
function listCacheDelete(key) {
  var data = this.__data__, index = assocIndexOf(data, key);
  if (index < 0) {
    return false;
  }
  var lastIndex = data.length - 1;
  if (index == lastIndex) {
    data.pop();
  } else {
    splice.call(data, index, 1);
  }
  --this.size;
  return true;
}
function listCacheGet(key) {
  var data = this.__data__, index = assocIndexOf(data, key);
  return index < 0 ? void 0 : data[index][1];
}
function listCacheHas(key) {
  return assocIndexOf(this.__data__, key) > -1;
}
function listCacheSet(key, value) {
  var data = this.__data__, index = assocIndexOf(data, key);
  if (index < 0) {
    ++this.size;
    data.push([key, value]);
  } else {
    data[index][1] = value;
  }
  return this;
}
function ListCache(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
ListCache.prototype.clear = listCacheClear;
ListCache.prototype["delete"] = listCacheDelete;
ListCache.prototype.get = listCacheGet;
ListCache.prototype.has = listCacheHas;
ListCache.prototype.set = listCacheSet;
var Map$1 = getNative(root, "Map");
function mapCacheClear() {
  this.size = 0;
  this.__data__ = {
    "hash": new Hash(),
    "map": new (Map$1 || ListCache)(),
    "string": new Hash()
  };
}
function isKeyable(value) {
  var type = typeof value;
  return type == "string" || type == "number" || type == "symbol" || type == "boolean" ? value !== "__proto__" : value === null;
}
function getMapData(map, key) {
  var data = map.__data__;
  return isKeyable(key) ? data[typeof key == "string" ? "string" : "hash"] : data.map;
}
function mapCacheDelete(key) {
  var result = getMapData(this, key)["delete"](key);
  this.size -= result ? 1 : 0;
  return result;
}
function mapCacheGet(key) {
  return getMapData(this, key).get(key);
}
function mapCacheHas(key) {
  return getMapData(this, key).has(key);
}
function mapCacheSet(key, value) {
  var data = getMapData(this, key), size = data.size;
  data.set(key, value);
  this.size += data.size == size ? 0 : 1;
  return this;
}
function MapCache(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
MapCache.prototype.clear = mapCacheClear;
MapCache.prototype["delete"] = mapCacheDelete;
MapCache.prototype.get = mapCacheGet;
MapCache.prototype.has = mapCacheHas;
MapCache.prototype.set = mapCacheSet;
var FUNC_ERROR_TEXT$2 = "Expected a function";
function memoize(func, resolver) {
  if (typeof func != "function" || resolver != null && typeof resolver != "function") {
    throw new TypeError(FUNC_ERROR_TEXT$2);
  }
  var memoized = function() {
    var args = arguments, key = resolver ? resolver.apply(this, args) : args[0], cache = memoized.cache;
    if (cache.has(key)) {
      return cache.get(key);
    }
    var result = func.apply(this, args);
    memoized.cache = cache.set(key, result) || cache;
    return result;
  };
  memoized.cache = new (memoize.Cache || MapCache)();
  return memoized;
}
memoize.Cache = MapCache;
var MAX_MEMOIZE_SIZE = 500;
function memoizeCapped(func) {
  var result = memoize(func, function(key) {
    if (cache.size === MAX_MEMOIZE_SIZE) {
      cache.clear();
    }
    return key;
  });
  var cache = result.cache;
  return result;
}
var rePropName = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g;
var reEscapeChar = /\\(\\)?/g;
var stringToPath = memoizeCapped(function(string) {
  var result = [];
  if (string.charCodeAt(0) === 46) {
    result.push("");
  }
  string.replace(rePropName, function(match2, number, quote, subString) {
    result.push(quote ? subString.replace(reEscapeChar, "$1") : number || match2);
  });
  return result;
});
function toString(value) {
  return value == null ? "" : baseToString(value);
}
function castPath(value, object) {
  if (isArray(value)) {
    return value;
  }
  return isKey(value, object) ? [value] : stringToPath(toString(value));
}
var INFINITY = 1 / 0;
function toKey(value) {
  if (typeof value == "string" || isSymbol(value)) {
    return value;
  }
  var result = value + "";
  return result == "0" && 1 / value == -INFINITY ? "-0" : result;
}
function baseGet(object, path) {
  path = castPath(path, object);
  var index = 0, length = path.length;
  while (object != null && index < length) {
    object = object[toKey(path[index++])];
  }
  return index && index == length ? object : void 0;
}
function get(object, path, defaultValue) {
  var result = object == null ? void 0 : baseGet(object, path);
  return result === void 0 ? defaultValue : result;
}
function arrayPush(array, values) {
  var index = -1, length = values.length, offset = array.length;
  while (++index < length) {
    array[offset + index] = values[index];
  }
  return array;
}
var spreadableSymbol = Symbol$1 ? Symbol$1.isConcatSpreadable : void 0;
function isFlattenable(value) {
  return isArray(value) || isArguments(value) || !!(spreadableSymbol && value && value[spreadableSymbol]);
}
function baseFlatten(array, depth, predicate, isStrict, result) {
  var index = -1, length = array.length;
  predicate || (predicate = isFlattenable);
  result || (result = []);
  while (++index < length) {
    var value = array[index];
    if (predicate(value)) {
      {
        arrayPush(result, value);
      }
    } else {
      result[result.length] = value;
    }
  }
  return result;
}
function flatten(array) {
  var length = array == null ? 0 : array.length;
  return length ? baseFlatten(array) : [];
}
function flatRest(func) {
  return setToString(overRest(func, void 0, flatten), func + "");
}
var getPrototype = overArg(Object.getPrototypeOf, Object);
var objectTag$3 = "[object Object]";
var funcProto = Function.prototype, objectProto$4 = Object.prototype;
var funcToString = funcProto.toString;
var hasOwnProperty$3 = objectProto$4.hasOwnProperty;
var objectCtorString = funcToString.call(Object);
function isPlainObject(value) {
  if (!isObjectLike(value) || baseGetTag(value) != objectTag$3) {
    return false;
  }
  var proto = getPrototype(value);
  if (proto === null) {
    return true;
  }
  var Ctor = hasOwnProperty$3.call(proto, "constructor") && proto.constructor;
  return typeof Ctor == "function" && Ctor instanceof Ctor && funcToString.call(Ctor) == objectCtorString;
}
function arrayReduce(array, iteratee, accumulator, initAccum) {
  var index = -1, length = array == null ? 0 : array.length;
  while (++index < length) {
    accumulator = iteratee(accumulator, array[index], index, array);
  }
  return accumulator;
}
function basePropertyOf(object) {
  return function(key) {
    return object == null ? void 0 : object[key];
  };
}
var deburredLetters = {
  "\xC0": "A",
  "\xC1": "A",
  "\xC2": "A",
  "\xC3": "A",
  "\xC4": "A",
  "\xC5": "A",
  "\xE0": "a",
  "\xE1": "a",
  "\xE2": "a",
  "\xE3": "a",
  "\xE4": "a",
  "\xE5": "a",
  "\xC7": "C",
  "\xE7": "c",
  "\xD0": "D",
  "\xF0": "d",
  "\xC8": "E",
  "\xC9": "E",
  "\xCA": "E",
  "\xCB": "E",
  "\xE8": "e",
  "\xE9": "e",
  "\xEA": "e",
  "\xEB": "e",
  "\xCC": "I",
  "\xCD": "I",
  "\xCE": "I",
  "\xCF": "I",
  "\xEC": "i",
  "\xED": "i",
  "\xEE": "i",
  "\xEF": "i",
  "\xD1": "N",
  "\xF1": "n",
  "\xD2": "O",
  "\xD3": "O",
  "\xD4": "O",
  "\xD5": "O",
  "\xD6": "O",
  "\xD8": "O",
  "\xF2": "o",
  "\xF3": "o",
  "\xF4": "o",
  "\xF5": "o",
  "\xF6": "o",
  "\xF8": "o",
  "\xD9": "U",
  "\xDA": "U",
  "\xDB": "U",
  "\xDC": "U",
  "\xF9": "u",
  "\xFA": "u",
  "\xFB": "u",
  "\xFC": "u",
  "\xDD": "Y",
  "\xFD": "y",
  "\xFF": "y",
  "\xC6": "Ae",
  "\xE6": "ae",
  "\xDE": "Th",
  "\xFE": "th",
  "\xDF": "ss",
  "\u0100": "A",
  "\u0102": "A",
  "\u0104": "A",
  "\u0101": "a",
  "\u0103": "a",
  "\u0105": "a",
  "\u0106": "C",
  "\u0108": "C",
  "\u010A": "C",
  "\u010C": "C",
  "\u0107": "c",
  "\u0109": "c",
  "\u010B": "c",
  "\u010D": "c",
  "\u010E": "D",
  "\u0110": "D",
  "\u010F": "d",
  "\u0111": "d",
  "\u0112": "E",
  "\u0114": "E",
  "\u0116": "E",
  "\u0118": "E",
  "\u011A": "E",
  "\u0113": "e",
  "\u0115": "e",
  "\u0117": "e",
  "\u0119": "e",
  "\u011B": "e",
  "\u011C": "G",
  "\u011E": "G",
  "\u0120": "G",
  "\u0122": "G",
  "\u011D": "g",
  "\u011F": "g",
  "\u0121": "g",
  "\u0123": "g",
  "\u0124": "H",
  "\u0126": "H",
  "\u0125": "h",
  "\u0127": "h",
  "\u0128": "I",
  "\u012A": "I",
  "\u012C": "I",
  "\u012E": "I",
  "\u0130": "I",
  "\u0129": "i",
  "\u012B": "i",
  "\u012D": "i",
  "\u012F": "i",
  "\u0131": "i",
  "\u0134": "J",
  "\u0135": "j",
  "\u0136": "K",
  "\u0137": "k",
  "\u0138": "k",
  "\u0139": "L",
  "\u013B": "L",
  "\u013D": "L",
  "\u013F": "L",
  "\u0141": "L",
  "\u013A": "l",
  "\u013C": "l",
  "\u013E": "l",
  "\u0140": "l",
  "\u0142": "l",
  "\u0143": "N",
  "\u0145": "N",
  "\u0147": "N",
  "\u014A": "N",
  "\u0144": "n",
  "\u0146": "n",
  "\u0148": "n",
  "\u014B": "n",
  "\u014C": "O",
  "\u014E": "O",
  "\u0150": "O",
  "\u014D": "o",
  "\u014F": "o",
  "\u0151": "o",
  "\u0154": "R",
  "\u0156": "R",
  "\u0158": "R",
  "\u0155": "r",
  "\u0157": "r",
  "\u0159": "r",
  "\u015A": "S",
  "\u015C": "S",
  "\u015E": "S",
  "\u0160": "S",
  "\u015B": "s",
  "\u015D": "s",
  "\u015F": "s",
  "\u0161": "s",
  "\u0162": "T",
  "\u0164": "T",
  "\u0166": "T",
  "\u0163": "t",
  "\u0165": "t",
  "\u0167": "t",
  "\u0168": "U",
  "\u016A": "U",
  "\u016C": "U",
  "\u016E": "U",
  "\u0170": "U",
  "\u0172": "U",
  "\u0169": "u",
  "\u016B": "u",
  "\u016D": "u",
  "\u016F": "u",
  "\u0171": "u",
  "\u0173": "u",
  "\u0174": "W",
  "\u0175": "w",
  "\u0176": "Y",
  "\u0177": "y",
  "\u0178": "Y",
  "\u0179": "Z",
  "\u017B": "Z",
  "\u017D": "Z",
  "\u017A": "z",
  "\u017C": "z",
  "\u017E": "z",
  "\u0132": "IJ",
  "\u0133": "ij",
  "\u0152": "Oe",
  "\u0153": "oe",
  "\u0149": "'n",
  "\u017F": "s"
};
var deburrLetter = basePropertyOf(deburredLetters);
var reLatin = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g;
var rsComboMarksRange$1 = "\\u0300-\\u036f", reComboHalfMarksRange$1 = "\\ufe20-\\ufe2f", rsComboSymbolsRange$1 = "\\u20d0-\\u20ff", rsComboRange$1 = rsComboMarksRange$1 + reComboHalfMarksRange$1 + rsComboSymbolsRange$1;
var rsCombo$1 = "[" + rsComboRange$1 + "]";
var reComboMark = RegExp(rsCombo$1, "g");
function deburr(string) {
  string = toString(string);
  return string && string.replace(reLatin, deburrLetter).replace(reComboMark, "");
}
var reAsciiWord = /[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g;
function asciiWords(string) {
  return string.match(reAsciiWord) || [];
}
var reHasUnicodeWord = /[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/;
function hasUnicodeWord(string) {
  return reHasUnicodeWord.test(string);
}
var rsAstralRange = "\\ud800-\\udfff", rsComboMarksRange = "\\u0300-\\u036f", reComboHalfMarksRange = "\\ufe20-\\ufe2f", rsComboSymbolsRange = "\\u20d0-\\u20ff", rsComboRange = rsComboMarksRange + reComboHalfMarksRange + rsComboSymbolsRange, rsDingbatRange = "\\u2700-\\u27bf", rsLowerRange = "a-z\\xdf-\\xf6\\xf8-\\xff", rsMathOpRange = "\\xac\\xb1\\xd7\\xf7", rsNonCharRange = "\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf", rsPunctuationRange = "\\u2000-\\u206f", rsSpaceRange = " \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000", rsUpperRange = "A-Z\\xc0-\\xd6\\xd8-\\xde", rsVarRange = "\\ufe0e\\ufe0f", rsBreakRange = rsMathOpRange + rsNonCharRange + rsPunctuationRange + rsSpaceRange;
var rsApos$1 = "['\u2019]", rsBreak = "[" + rsBreakRange + "]", rsCombo = "[" + rsComboRange + "]", rsDigits = "\\d+", rsDingbat = "[" + rsDingbatRange + "]", rsLower = "[" + rsLowerRange + "]", rsMisc = "[^" + rsAstralRange + rsBreakRange + rsDigits + rsDingbatRange + rsLowerRange + rsUpperRange + "]", rsFitz = "\\ud83c[\\udffb-\\udfff]", rsModifier = "(?:" + rsCombo + "|" + rsFitz + ")", rsNonAstral = "[^" + rsAstralRange + "]", rsRegional = "(?:\\ud83c[\\udde6-\\uddff]){2}", rsSurrPair = "[\\ud800-\\udbff][\\udc00-\\udfff]", rsUpper = "[" + rsUpperRange + "]", rsZWJ = "\\u200d";
var rsMiscLower = "(?:" + rsLower + "|" + rsMisc + ")", rsMiscUpper = "(?:" + rsUpper + "|" + rsMisc + ")", rsOptContrLower = "(?:" + rsApos$1 + "(?:d|ll|m|re|s|t|ve))?", rsOptContrUpper = "(?:" + rsApos$1 + "(?:D|LL|M|RE|S|T|VE))?", reOptMod = rsModifier + "?", rsOptVar = "[" + rsVarRange + "]?", rsOptJoin = "(?:" + rsZWJ + "(?:" + [rsNonAstral, rsRegional, rsSurrPair].join("|") + ")" + rsOptVar + reOptMod + ")*", rsOrdLower = "\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])", rsOrdUpper = "\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])", rsSeq = rsOptVar + reOptMod + rsOptJoin, rsEmoji = "(?:" + [rsDingbat, rsRegional, rsSurrPair].join("|") + ")" + rsSeq;
var reUnicodeWord = RegExp([
  rsUpper + "?" + rsLower + "+" + rsOptContrLower + "(?=" + [rsBreak, rsUpper, "$"].join("|") + ")",
  rsMiscUpper + "+" + rsOptContrUpper + "(?=" + [rsBreak, rsUpper + rsMiscLower, "$"].join("|") + ")",
  rsUpper + "?" + rsMiscLower + "+" + rsOptContrLower,
  rsUpper + "+" + rsOptContrUpper,
  rsOrdUpper,
  rsOrdLower,
  rsDigits,
  rsEmoji
].join("|"), "g");
function unicodeWords(string) {
  return string.match(reUnicodeWord) || [];
}
function words(string, pattern, guard) {
  string = toString(string);
  pattern = pattern;
  if (pattern === void 0) {
    return hasUnicodeWord(string) ? unicodeWords(string) : asciiWords(string);
  }
  return string.match(pattern) || [];
}
var rsApos = "['\u2019]";
var reApos = RegExp(rsApos, "g");
function createCompounder(callback) {
  return function(string) {
    return arrayReduce(words(deburr(string).replace(reApos, "")), callback, "");
  };
}
function stackClear() {
  this.__data__ = new ListCache();
  this.size = 0;
}
function stackDelete(key) {
  var data = this.__data__, result = data["delete"](key);
  this.size = data.size;
  return result;
}
function stackGet(key) {
  return this.__data__.get(key);
}
function stackHas(key) {
  return this.__data__.has(key);
}
var LARGE_ARRAY_SIZE = 200;
function stackSet(key, value) {
  var data = this.__data__;
  if (data instanceof ListCache) {
    var pairs = data.__data__;
    if (!Map$1 || pairs.length < LARGE_ARRAY_SIZE - 1) {
      pairs.push([key, value]);
      this.size = ++data.size;
      return this;
    }
    data = this.__data__ = new MapCache(pairs);
  }
  data.set(key, value);
  this.size = data.size;
  return this;
}
function Stack(entries) {
  var data = this.__data__ = new ListCache(entries);
  this.size = data.size;
}
Stack.prototype.clear = stackClear;
Stack.prototype["delete"] = stackDelete;
Stack.prototype.get = stackGet;
Stack.prototype.has = stackHas;
Stack.prototype.set = stackSet;
function baseAssign(object, source) {
  return object && copyObject(source, keys(source), object);
}
function baseAssignIn(object, source) {
  return object && copyObject(source, keysIn(source), object);
}
var freeExports = typeof exports == "object" && exports && !exports.nodeType && exports;
var freeModule = freeExports && typeof module == "object" && module && !module.nodeType && module;
var moduleExports = freeModule && freeModule.exports === freeExports;
var Buffer = moduleExports ? root.Buffer : void 0, allocUnsafe = Buffer ? Buffer.allocUnsafe : void 0;
function cloneBuffer(buffer, isDeep) {
  if (isDeep) {
    return buffer.slice();
  }
  var length = buffer.length, result = allocUnsafe ? allocUnsafe(length) : new buffer.constructor(length);
  buffer.copy(result);
  return result;
}
function arrayFilter(array, predicate) {
  var index = -1, length = array == null ? 0 : array.length, resIndex = 0, result = [];
  while (++index < length) {
    var value = array[index];
    if (predicate(value, index, array)) {
      result[resIndex++] = value;
    }
  }
  return result;
}
function stubArray() {
  return [];
}
var objectProto$3 = Object.prototype;
var propertyIsEnumerable = objectProto$3.propertyIsEnumerable;
var nativeGetSymbols$1 = Object.getOwnPropertySymbols;
var getSymbols = !nativeGetSymbols$1 ? stubArray : function(object) {
  if (object == null) {
    return [];
  }
  object = Object(object);
  return arrayFilter(nativeGetSymbols$1(object), function(symbol) {
    return propertyIsEnumerable.call(object, symbol);
  });
};
function copySymbols(source, object) {
  return copyObject(source, getSymbols(source), object);
}
var nativeGetSymbols = Object.getOwnPropertySymbols;
var getSymbolsIn = !nativeGetSymbols ? stubArray : function(object) {
  var result = [];
  while (object) {
    arrayPush(result, getSymbols(object));
    object = getPrototype(object);
  }
  return result;
};
function copySymbolsIn(source, object) {
  return copyObject(source, getSymbolsIn(source), object);
}
function baseGetAllKeys(object, keysFunc, symbolsFunc) {
  var result = keysFunc(object);
  return isArray(object) ? result : arrayPush(result, symbolsFunc(object));
}
function getAllKeys(object) {
  return baseGetAllKeys(object, keys, getSymbols);
}
function getAllKeysIn(object) {
  return baseGetAllKeys(object, keysIn, getSymbolsIn);
}
var DataView = getNative(root, "DataView");
var Promise$1 = getNative(root, "Promise");
var Set$1 = getNative(root, "Set");
var mapTag$4 = "[object Map]", objectTag$2 = "[object Object]", promiseTag = "[object Promise]", setTag$4 = "[object Set]", weakMapTag$1 = "[object WeakMap]";
var dataViewTag$3 = "[object DataView]";
var dataViewCtorString = toSource(DataView), mapCtorString = toSource(Map$1), promiseCtorString = toSource(Promise$1), setCtorString = toSource(Set$1), weakMapCtorString = toSource(WeakMap);
var getTag = baseGetTag;
if (DataView && getTag(new DataView(new ArrayBuffer(1))) != dataViewTag$3 || Map$1 && getTag(new Map$1()) != mapTag$4 || Promise$1 && getTag(Promise$1.resolve()) != promiseTag || Set$1 && getTag(new Set$1()) != setTag$4 || WeakMap && getTag(new WeakMap()) != weakMapTag$1) {
  getTag = function(value) {
    var result = baseGetTag(value), Ctor = result == objectTag$2 ? value.constructor : void 0, ctorString = Ctor ? toSource(Ctor) : "";
    if (ctorString) {
      switch (ctorString) {
        case dataViewCtorString:
          return dataViewTag$3;
        case mapCtorString:
          return mapTag$4;
        case promiseCtorString:
          return promiseTag;
        case setCtorString:
          return setTag$4;
        case weakMapCtorString:
          return weakMapTag$1;
      }
    }
    return result;
  };
}
var objectProto$2 = Object.prototype;
var hasOwnProperty$2 = objectProto$2.hasOwnProperty;
function initCloneArray(array) {
  var length = array.length, result = new array.constructor(length);
  if (length && typeof array[0] == "string" && hasOwnProperty$2.call(array, "index")) {
    result.index = array.index;
    result.input = array.input;
  }
  return result;
}
var Uint8Array = root.Uint8Array;
function cloneArrayBuffer(arrayBuffer) {
  var result = new arrayBuffer.constructor(arrayBuffer.byteLength);
  new Uint8Array(result).set(new Uint8Array(arrayBuffer));
  return result;
}
function cloneDataView(dataView, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer(dataView.buffer) : dataView.buffer;
  return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
}
var reFlags = /\w*$/;
function cloneRegExp(regexp) {
  var result = new regexp.constructor(regexp.source, reFlags.exec(regexp));
  result.lastIndex = regexp.lastIndex;
  return result;
}
var symbolProto$1 = Symbol$1 ? Symbol$1.prototype : void 0, symbolValueOf$1 = symbolProto$1 ? symbolProto$1.valueOf : void 0;
function cloneSymbol(symbol) {
  return symbolValueOf$1 ? Object(symbolValueOf$1.call(symbol)) : {};
}
function cloneTypedArray(typedArray, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
}
var boolTag$3 = "[object Boolean]", dateTag$2 = "[object Date]", mapTag$3 = "[object Map]", numberTag$3 = "[object Number]", regexpTag$2 = "[object RegExp]", setTag$3 = "[object Set]", stringTag$3 = "[object String]", symbolTag$2 = "[object Symbol]";
var arrayBufferTag$2 = "[object ArrayBuffer]", dataViewTag$2 = "[object DataView]", float32Tag$1 = "[object Float32Array]", float64Tag$1 = "[object Float64Array]", int8Tag$1 = "[object Int8Array]", int16Tag$1 = "[object Int16Array]", int32Tag$1 = "[object Int32Array]", uint8Tag$1 = "[object Uint8Array]", uint8ClampedTag$1 = "[object Uint8ClampedArray]", uint16Tag$1 = "[object Uint16Array]", uint32Tag$1 = "[object Uint32Array]";
function initCloneByTag(object, tag, isDeep) {
  var Ctor = object.constructor;
  switch (tag) {
    case arrayBufferTag$2:
      return cloneArrayBuffer(object);
    case boolTag$3:
    case dateTag$2:
      return new Ctor(+object);
    case dataViewTag$2:
      return cloneDataView(object, isDeep);
    case float32Tag$1:
    case float64Tag$1:
    case int8Tag$1:
    case int16Tag$1:
    case int32Tag$1:
    case uint8Tag$1:
    case uint8ClampedTag$1:
    case uint16Tag$1:
    case uint32Tag$1:
      return cloneTypedArray(object, isDeep);
    case mapTag$3:
      return new Ctor();
    case numberTag$3:
    case stringTag$3:
      return new Ctor(object);
    case regexpTag$2:
      return cloneRegExp(object);
    case setTag$3:
      return new Ctor();
    case symbolTag$2:
      return cloneSymbol(object);
  }
}
function initCloneObject(object) {
  return typeof object.constructor == "function" && !isPrototype(object) ? baseCreate(getPrototype(object)) : {};
}
var mapTag$2 = "[object Map]";
function baseIsMap(value) {
  return isObjectLike(value) && getTag(value) == mapTag$2;
}
var nodeIsMap = nodeUtil && nodeUtil.isMap;
var isMap = nodeIsMap ? baseUnary(nodeIsMap) : baseIsMap;
var setTag$2 = "[object Set]";
function baseIsSet(value) {
  return isObjectLike(value) && getTag(value) == setTag$2;
}
var nodeIsSet = nodeUtil && nodeUtil.isSet;
var isSet = nodeIsSet ? baseUnary(nodeIsSet) : baseIsSet;
var CLONE_DEEP_FLAG$1 = 1, CLONE_FLAT_FLAG = 2, CLONE_SYMBOLS_FLAG$1 = 4;
var argsTag$1 = "[object Arguments]", arrayTag$1 = "[object Array]", boolTag$2 = "[object Boolean]", dateTag$1 = "[object Date]", errorTag$1 = "[object Error]", funcTag = "[object Function]", genTag = "[object GeneratorFunction]", mapTag$1 = "[object Map]", numberTag$2 = "[object Number]", objectTag$1 = "[object Object]", regexpTag$1 = "[object RegExp]", setTag$1 = "[object Set]", stringTag$2 = "[object String]", symbolTag$1 = "[object Symbol]", weakMapTag = "[object WeakMap]";
var arrayBufferTag$1 = "[object ArrayBuffer]", dataViewTag$1 = "[object DataView]", float32Tag = "[object Float32Array]", float64Tag = "[object Float64Array]", int8Tag = "[object Int8Array]", int16Tag = "[object Int16Array]", int32Tag = "[object Int32Array]", uint8Tag = "[object Uint8Array]", uint8ClampedTag = "[object Uint8ClampedArray]", uint16Tag = "[object Uint16Array]", uint32Tag = "[object Uint32Array]";
var cloneableTags = {};
cloneableTags[argsTag$1] = cloneableTags[arrayTag$1] = cloneableTags[arrayBufferTag$1] = cloneableTags[dataViewTag$1] = cloneableTags[boolTag$2] = cloneableTags[dateTag$1] = cloneableTags[float32Tag] = cloneableTags[float64Tag] = cloneableTags[int8Tag] = cloneableTags[int16Tag] = cloneableTags[int32Tag] = cloneableTags[mapTag$1] = cloneableTags[numberTag$2] = cloneableTags[objectTag$1] = cloneableTags[regexpTag$1] = cloneableTags[setTag$1] = cloneableTags[stringTag$2] = cloneableTags[symbolTag$1] = cloneableTags[uint8Tag] = cloneableTags[uint8ClampedTag] = cloneableTags[uint16Tag] = cloneableTags[uint32Tag] = true;
cloneableTags[errorTag$1] = cloneableTags[funcTag] = cloneableTags[weakMapTag] = false;
function baseClone(value, bitmask, customizer, key, object, stack) {
  var result, isDeep = bitmask & CLONE_DEEP_FLAG$1, isFlat = bitmask & CLONE_FLAT_FLAG, isFull = bitmask & CLONE_SYMBOLS_FLAG$1;
  if (result !== void 0) {
    return result;
  }
  if (!isObject(value)) {
    return value;
  }
  var isArr = isArray(value);
  if (isArr) {
    result = initCloneArray(value);
    if (!isDeep) {
      return copyArray(value, result);
    }
  } else {
    var tag = getTag(value), isFunc = tag == funcTag || tag == genTag;
    if (isBuffer(value)) {
      return cloneBuffer(value, isDeep);
    }
    if (tag == objectTag$1 || tag == argsTag$1 || isFunc && !object) {
      result = isFlat || isFunc ? {} : initCloneObject(value);
      if (!isDeep) {
        return isFlat ? copySymbolsIn(value, baseAssignIn(result, value)) : copySymbols(value, baseAssign(result, value));
      }
    } else {
      if (!cloneableTags[tag]) {
        return object ? value : {};
      }
      result = initCloneByTag(value, tag, isDeep);
    }
  }
  stack || (stack = new Stack());
  var stacked = stack.get(value);
  if (stacked) {
    return stacked;
  }
  stack.set(value, result);
  if (isSet(value)) {
    value.forEach(function(subValue) {
      result.add(baseClone(subValue, bitmask, customizer, subValue, value, stack));
    });
  } else if (isMap(value)) {
    value.forEach(function(subValue, key2) {
      result.set(key2, baseClone(subValue, bitmask, customizer, key2, value, stack));
    });
  }
  var keysFunc = isFull ? isFlat ? getAllKeysIn : getAllKeys : isFlat ? keysIn : keys;
  var props = isArr ? void 0 : keysFunc(value);
  arrayEach(props || value, function(subValue, key2) {
    if (props) {
      key2 = subValue;
      subValue = value[key2];
    }
    assignValue(result, key2, baseClone(subValue, bitmask, customizer, key2, value, stack));
  });
  return result;
}
var CLONE_DEEP_FLAG = 1, CLONE_SYMBOLS_FLAG = 4;
function cloneDeep(value) {
  return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG);
}
var HASH_UNDEFINED = "__lodash_hash_undefined__";
function setCacheAdd(value) {
  this.__data__.set(value, HASH_UNDEFINED);
  return this;
}
function setCacheHas(value) {
  return this.__data__.has(value);
}
function SetCache(values) {
  var index = -1, length = values == null ? 0 : values.length;
  this.__data__ = new MapCache();
  while (++index < length) {
    this.add(values[index]);
  }
}
SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
SetCache.prototype.has = setCacheHas;
function arraySome(array, predicate) {
  var index = -1, length = array == null ? 0 : array.length;
  while (++index < length) {
    if (predicate(array[index], index, array)) {
      return true;
    }
  }
  return false;
}
function cacheHas(cache, key) {
  return cache.has(key);
}
var COMPARE_PARTIAL_FLAG$5 = 1, COMPARE_UNORDERED_FLAG$3 = 2;
function equalArrays(array, other, bitmask, customizer, equalFunc, stack) {
  var isPartial = bitmask & COMPARE_PARTIAL_FLAG$5, arrLength = array.length, othLength = other.length;
  if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
    return false;
  }
  var arrStacked = stack.get(array);
  var othStacked = stack.get(other);
  if (arrStacked && othStacked) {
    return arrStacked == other && othStacked == array;
  }
  var index = -1, result = true, seen = bitmask & COMPARE_UNORDERED_FLAG$3 ? new SetCache() : void 0;
  stack.set(array, other);
  stack.set(other, array);
  while (++index < arrLength) {
    var arrValue = array[index], othValue = other[index];
    if (customizer) {
      var compared = isPartial ? customizer(othValue, arrValue, index, other, array, stack) : customizer(arrValue, othValue, index, array, other, stack);
    }
    if (compared !== void 0) {
      if (compared) {
        continue;
      }
      result = false;
      break;
    }
    if (seen) {
      if (!arraySome(other, function(othValue2, othIndex) {
        if (!cacheHas(seen, othIndex) && (arrValue === othValue2 || equalFunc(arrValue, othValue2, bitmask, customizer, stack))) {
          return seen.push(othIndex);
        }
      })) {
        result = false;
        break;
      }
    } else if (!(arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
      result = false;
      break;
    }
  }
  stack["delete"](array);
  stack["delete"](other);
  return result;
}
function mapToArray(map) {
  var index = -1, result = Array(map.size);
  map.forEach(function(value, key) {
    result[++index] = [key, value];
  });
  return result;
}
function setToArray(set) {
  var index = -1, result = Array(set.size);
  set.forEach(function(value) {
    result[++index] = value;
  });
  return result;
}
var COMPARE_PARTIAL_FLAG$4 = 1, COMPARE_UNORDERED_FLAG$2 = 2;
var boolTag$1 = "[object Boolean]", dateTag = "[object Date]", errorTag = "[object Error]", mapTag = "[object Map]", numberTag$1 = "[object Number]", regexpTag = "[object RegExp]", setTag = "[object Set]", stringTag$1 = "[object String]", symbolTag = "[object Symbol]";
var arrayBufferTag = "[object ArrayBuffer]", dataViewTag = "[object DataView]";
var symbolProto = Symbol$1 ? Symbol$1.prototype : void 0, symbolValueOf = symbolProto ? symbolProto.valueOf : void 0;
function equalByTag(object, other, tag, bitmask, customizer, equalFunc, stack) {
  switch (tag) {
    case dataViewTag:
      if (object.byteLength != other.byteLength || object.byteOffset != other.byteOffset) {
        return false;
      }
      object = object.buffer;
      other = other.buffer;
    case arrayBufferTag:
      if (object.byteLength != other.byteLength || !equalFunc(new Uint8Array(object), new Uint8Array(other))) {
        return false;
      }
      return true;
    case boolTag$1:
    case dateTag:
    case numberTag$1:
      return eq(+object, +other);
    case errorTag:
      return object.name == other.name && object.message == other.message;
    case regexpTag:
    case stringTag$1:
      return object == other + "";
    case mapTag:
      var convert = mapToArray;
    case setTag:
      var isPartial = bitmask & COMPARE_PARTIAL_FLAG$4;
      convert || (convert = setToArray);
      if (object.size != other.size && !isPartial) {
        return false;
      }
      var stacked = stack.get(object);
      if (stacked) {
        return stacked == other;
      }
      bitmask |= COMPARE_UNORDERED_FLAG$2;
      stack.set(object, other);
      var result = equalArrays(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
      stack["delete"](object);
      return result;
    case symbolTag:
      if (symbolValueOf) {
        return symbolValueOf.call(object) == symbolValueOf.call(other);
      }
  }
  return false;
}
var COMPARE_PARTIAL_FLAG$3 = 1;
var objectProto$1 = Object.prototype;
var hasOwnProperty$1 = objectProto$1.hasOwnProperty;
function equalObjects(object, other, bitmask, customizer, equalFunc, stack) {
  var isPartial = bitmask & COMPARE_PARTIAL_FLAG$3, objProps = getAllKeys(object), objLength = objProps.length, othProps = getAllKeys(other), othLength = othProps.length;
  if (objLength != othLength && !isPartial) {
    return false;
  }
  var index = objLength;
  while (index--) {
    var key = objProps[index];
    if (!(isPartial ? key in other : hasOwnProperty$1.call(other, key))) {
      return false;
    }
  }
  var objStacked = stack.get(object);
  var othStacked = stack.get(other);
  if (objStacked && othStacked) {
    return objStacked == other && othStacked == object;
  }
  var result = true;
  stack.set(object, other);
  stack.set(other, object);
  var skipCtor = isPartial;
  while (++index < objLength) {
    key = objProps[index];
    var objValue = object[key], othValue = other[key];
    if (customizer) {
      var compared = isPartial ? customizer(othValue, objValue, key, other, object, stack) : customizer(objValue, othValue, key, object, other, stack);
    }
    if (!(compared === void 0 ? objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack) : compared)) {
      result = false;
      break;
    }
    skipCtor || (skipCtor = key == "constructor");
  }
  if (result && !skipCtor) {
    var objCtor = object.constructor, othCtor = other.constructor;
    if (objCtor != othCtor && ("constructor" in object && "constructor" in other) && !(typeof objCtor == "function" && objCtor instanceof objCtor && typeof othCtor == "function" && othCtor instanceof othCtor)) {
      result = false;
    }
  }
  stack["delete"](object);
  stack["delete"](other);
  return result;
}
var COMPARE_PARTIAL_FLAG$2 = 1;
var argsTag = "[object Arguments]", arrayTag = "[object Array]", objectTag = "[object Object]";
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function baseIsEqualDeep(object, other, bitmask, customizer, equalFunc, stack) {
  var objIsArr = isArray(object), othIsArr = isArray(other), objTag = objIsArr ? arrayTag : getTag(object), othTag = othIsArr ? arrayTag : getTag(other);
  objTag = objTag == argsTag ? objectTag : objTag;
  othTag = othTag == argsTag ? objectTag : othTag;
  var objIsObj = objTag == objectTag, othIsObj = othTag == objectTag, isSameTag = objTag == othTag;
  if (isSameTag && isBuffer(object)) {
    if (!isBuffer(other)) {
      return false;
    }
    objIsArr = true;
    objIsObj = false;
  }
  if (isSameTag && !objIsObj) {
    stack || (stack = new Stack());
    return objIsArr || isTypedArray(object) ? equalArrays(object, other, bitmask, customizer, equalFunc, stack) : equalByTag(object, other, objTag, bitmask, customizer, equalFunc, stack);
  }
  if (!(bitmask & COMPARE_PARTIAL_FLAG$2)) {
    var objIsWrapped = objIsObj && hasOwnProperty.call(object, "__wrapped__"), othIsWrapped = othIsObj && hasOwnProperty.call(other, "__wrapped__");
    if (objIsWrapped || othIsWrapped) {
      var objUnwrapped = objIsWrapped ? object.value() : object, othUnwrapped = othIsWrapped ? other.value() : other;
      stack || (stack = new Stack());
      return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
    }
  }
  if (!isSameTag) {
    return false;
  }
  stack || (stack = new Stack());
  return equalObjects(object, other, bitmask, customizer, equalFunc, stack);
}
function baseIsEqual(value, other, bitmask, customizer, stack) {
  if (value === other) {
    return true;
  }
  if (value == null || other == null || !isObjectLike(value) && !isObjectLike(other)) {
    return value !== value && other !== other;
  }
  return baseIsEqualDeep(value, other, bitmask, customizer, baseIsEqual, stack);
}
var COMPARE_PARTIAL_FLAG$1 = 1, COMPARE_UNORDERED_FLAG$1 = 2;
function baseIsMatch(object, source, matchData, customizer) {
  var index = matchData.length, length = index;
  if (object == null) {
    return !length;
  }
  object = Object(object);
  while (index--) {
    var data = matchData[index];
    if (data[2] ? data[1] !== object[data[0]] : !(data[0] in object)) {
      return false;
    }
  }
  while (++index < length) {
    data = matchData[index];
    var key = data[0], objValue = object[key], srcValue = data[1];
    if (data[2]) {
      if (objValue === void 0 && !(key in object)) {
        return false;
      }
    } else {
      var stack = new Stack();
      var result;
      if (!(result === void 0 ? baseIsEqual(srcValue, objValue, COMPARE_PARTIAL_FLAG$1 | COMPARE_UNORDERED_FLAG$1, customizer, stack) : result)) {
        return false;
      }
    }
  }
  return true;
}
function isStrictComparable(value) {
  return value === value && !isObject(value);
}
function getMatchData(object) {
  var result = keys(object), length = result.length;
  while (length--) {
    var key = result[length], value = object[key];
    result[length] = [key, value, isStrictComparable(value)];
  }
  return result;
}
function matchesStrictComparable(key, srcValue) {
  return function(object) {
    if (object == null) {
      return false;
    }
    return object[key] === srcValue && (srcValue !== void 0 || key in Object(object));
  };
}
function baseMatches(source) {
  var matchData = getMatchData(source);
  if (matchData.length == 1 && matchData[0][2]) {
    return matchesStrictComparable(matchData[0][0], matchData[0][1]);
  }
  return function(object) {
    return object === source || baseIsMatch(object, source, matchData);
  };
}
function baseHasIn(object, key) {
  return object != null && key in Object(object);
}
function hasPath(object, path, hasFunc) {
  path = castPath(path, object);
  var index = -1, length = path.length, result = false;
  while (++index < length) {
    var key = toKey(path[index]);
    if (!(result = object != null && hasFunc(object, key))) {
      break;
    }
    object = object[key];
  }
  if (result || ++index != length) {
    return result;
  }
  length = object == null ? 0 : object.length;
  return !!length && isLength(length) && isIndex(key, length) && (isArray(object) || isArguments(object));
}
function hasIn(object, path) {
  return object != null && hasPath(object, path, baseHasIn);
}
var COMPARE_PARTIAL_FLAG = 1, COMPARE_UNORDERED_FLAG = 2;
function baseMatchesProperty(path, srcValue) {
  if (isKey(path) && isStrictComparable(srcValue)) {
    return matchesStrictComparable(toKey(path), srcValue);
  }
  return function(object) {
    var objValue = get(object, path);
    return objValue === void 0 && objValue === srcValue ? hasIn(object, path) : baseIsEqual(srcValue, objValue, COMPARE_PARTIAL_FLAG | COMPARE_UNORDERED_FLAG);
  };
}
function baseProperty(key) {
  return function(object) {
    return object == null ? void 0 : object[key];
  };
}
function basePropertyDeep(path) {
  return function(object) {
    return baseGet(object, path);
  };
}
function property(path) {
  return isKey(path) ? baseProperty(toKey(path)) : basePropertyDeep(path);
}
function baseIteratee(value) {
  if (typeof value == "function") {
    return value;
  }
  if (value == null) {
    return identity;
  }
  if (typeof value == "object") {
    return isArray(value) ? baseMatchesProperty(value[0], value[1]) : baseMatches(value);
  }
  return property(value);
}
function createBaseFor(fromRight) {
  return function(object, iteratee, keysFunc) {
    var index = -1, iterable = Object(object), props = keysFunc(object), length = props.length;
    while (length--) {
      var key = props[++index];
      if (iteratee(iterable[key], key, iterable) === false) {
        break;
      }
    }
    return object;
  };
}
var baseFor = createBaseFor();
var now = function() {
  return root.Date.now();
};
var FUNC_ERROR_TEXT$1 = "Expected a function";
var nativeMax = Math.max, nativeMin = Math.min;
function debounce(func, wait, options) {
  var lastArgs, lastThis, maxWait, result, timerId, lastCallTime, lastInvokeTime = 0, leading = false, maxing = false, trailing = true;
  if (typeof func != "function") {
    throw new TypeError(FUNC_ERROR_TEXT$1);
  }
  wait = toNumber(wait) || 0;
  if (isObject(options)) {
    leading = !!options.leading;
    maxing = "maxWait" in options;
    maxWait = maxing ? nativeMax(toNumber(options.maxWait) || 0, wait) : maxWait;
    trailing = "trailing" in options ? !!options.trailing : trailing;
  }
  function invokeFunc(time) {
    var args = lastArgs, thisArg = lastThis;
    lastArgs = lastThis = void 0;
    lastInvokeTime = time;
    result = func.apply(thisArg, args);
    return result;
  }
  function leadingEdge(time) {
    lastInvokeTime = time;
    timerId = setTimeout(timerExpired, wait);
    return leading ? invokeFunc(time) : result;
  }
  function remainingWait(time) {
    var timeSinceLastCall = time - lastCallTime, timeSinceLastInvoke = time - lastInvokeTime, timeWaiting = wait - timeSinceLastCall;
    return maxing ? nativeMin(timeWaiting, maxWait - timeSinceLastInvoke) : timeWaiting;
  }
  function shouldInvoke(time) {
    var timeSinceLastCall = time - lastCallTime, timeSinceLastInvoke = time - lastInvokeTime;
    return lastCallTime === void 0 || timeSinceLastCall >= wait || timeSinceLastCall < 0 || maxing && timeSinceLastInvoke >= maxWait;
  }
  function timerExpired() {
    var time = now();
    if (shouldInvoke(time)) {
      return trailingEdge(time);
    }
    timerId = setTimeout(timerExpired, remainingWait(time));
  }
  function trailingEdge(time) {
    timerId = void 0;
    if (trailing && lastArgs) {
      return invokeFunc(time);
    }
    lastArgs = lastThis = void 0;
    return result;
  }
  function cancel() {
    if (timerId !== void 0) {
      clearTimeout(timerId);
    }
    lastInvokeTime = 0;
    lastArgs = lastCallTime = lastThis = timerId = void 0;
  }
  function flush() {
    return timerId === void 0 ? result : trailingEdge(now());
  }
  function debounced() {
    var time = now(), isInvoking = shouldInvoke(time);
    lastArgs = arguments;
    lastThis = this;
    lastCallTime = time;
    if (isInvoking) {
      if (timerId === void 0) {
        return leadingEdge(lastCallTime);
      }
      if (maxing) {
        clearTimeout(timerId);
        timerId = setTimeout(timerExpired, wait);
        return invokeFunc(lastCallTime);
      }
    }
    if (timerId === void 0) {
      timerId = setTimeout(timerExpired, wait);
    }
    return result;
  }
  debounced.cancel = cancel;
  debounced.flush = flush;
  return debounced;
}
function assignMergeValue(object, key, value) {
  if (value !== void 0 && !eq(object[key], value) || value === void 0 && !(key in object)) {
    baseAssignValue(object, key, value);
  }
}
function isArrayLikeObject(value) {
  return isObjectLike(value) && isArrayLike(value);
}
function safeGet(object, key) {
  if (key === "constructor" && typeof object[key] === "function") {
    return;
  }
  if (key == "__proto__") {
    return;
  }
  return object[key];
}
function toPlainObject(value) {
  return copyObject(value, keysIn(value));
}
function baseMergeDeep(object, source, key, srcIndex, mergeFunc, customizer, stack) {
  var objValue = safeGet(object, key), srcValue = safeGet(source, key), stacked = stack.get(srcValue);
  if (stacked) {
    assignMergeValue(object, key, stacked);
    return;
  }
  var newValue = customizer ? customizer(objValue, srcValue, key + "", object, source, stack) : void 0;
  var isCommon = newValue === void 0;
  if (isCommon) {
    var isArr = isArray(srcValue), isBuff = !isArr && isBuffer(srcValue), isTyped = !isArr && !isBuff && isTypedArray(srcValue);
    newValue = srcValue;
    if (isArr || isBuff || isTyped) {
      if (isArray(objValue)) {
        newValue = objValue;
      } else if (isArrayLikeObject(objValue)) {
        newValue = copyArray(objValue);
      } else if (isBuff) {
        isCommon = false;
        newValue = cloneBuffer(srcValue, true);
      } else if (isTyped) {
        isCommon = false;
        newValue = cloneTypedArray(srcValue, true);
      } else {
        newValue = [];
      }
    } else if (isPlainObject(srcValue) || isArguments(srcValue)) {
      newValue = objValue;
      if (isArguments(objValue)) {
        newValue = toPlainObject(objValue);
      } else if (!isObject(objValue) || isFunction(objValue)) {
        newValue = initCloneObject(srcValue);
      }
    } else {
      isCommon = false;
    }
  }
  if (isCommon) {
    stack.set(srcValue, newValue);
    mergeFunc(newValue, srcValue, srcIndex, customizer, stack);
    stack["delete"](srcValue);
  }
  assignMergeValue(object, key, newValue);
}
function baseMerge(object, source, srcIndex, customizer, stack) {
  if (object === source) {
    return;
  }
  baseFor(source, function(srcValue, key) {
    stack || (stack = new Stack());
    if (isObject(srcValue)) {
      baseMergeDeep(object, source, key, srcIndex, baseMerge, customizer, stack);
    } else {
      var newValue = customizer ? customizer(safeGet(object, key), srcValue, key + "", object, source, stack) : void 0;
      if (newValue === void 0) {
        newValue = srcValue;
      }
      assignMergeValue(object, key, newValue);
    }
  }, keysIn);
}
var stringTag = "[object String]";
function isString(value) {
  return typeof value == "string" || !isArray(value) && isObjectLike(value) && baseGetTag(value) == stringTag;
}
var boolTag = "[object Boolean]";
function isBoolean(value) {
  return value === true || value === false || isObjectLike(value) && baseGetTag(value) == boolTag;
}
var numberTag = "[object Number]";
function isNumber(value) {
  return typeof value == "number" || isObjectLike(value) && baseGetTag(value) == numberTag;
}
function isNaN$1(value) {
  return isNumber(value) && value != +value;
}
function isNil(value) {
  return value == null;
}
function isUndefined(value) {
  return value === void 0;
}
var kebabCase = createCompounder(function(result, word, index) {
  return result + (index ? "-" : "") + word.toLowerCase();
});
var merge = createAssigner(function(object, source, srcIndex) {
  baseMerge(object, source, srcIndex);
});
function baseSet(object, path, value, customizer) {
  if (!isObject(object)) {
    return object;
  }
  path = castPath(path, object);
  var index = -1, length = path.length, lastIndex = length - 1, nested = object;
  while (nested != null && ++index < length) {
    var key = toKey(path[index]), newValue = value;
    if (key === "__proto__" || key === "constructor" || key === "prototype") {
      return object;
    }
    if (index != lastIndex) {
      var objValue = nested[key];
      newValue = void 0;
      if (newValue === void 0) {
        newValue = isObject(objValue) ? objValue : isIndex(path[index + 1]) ? [] : {};
      }
    }
    assignValue(nested, key, newValue);
    nested = nested[key];
  }
  return object;
}
function basePickBy(object, paths, predicate) {
  var index = -1, length = paths.length, result = {};
  while (++index < length) {
    var path = paths[index], value = baseGet(object, path);
    if (predicate(value, path)) {
      baseSet(result, castPath(path, object), value);
    }
  }
  return result;
}
function pickBy(object, predicate) {
  if (object == null) {
    return {};
  }
  var props = arrayMap(getAllKeysIn(object), function(prop) {
    return [prop];
  });
  predicate = baseIteratee(predicate);
  return basePickBy(object, props, function(value, path) {
    return predicate(value, path[0]);
  });
}
function basePick(object, paths) {
  return basePickBy(object, paths, function(value, path) {
    return hasIn(object, path);
  });
}
var pick = flatRest(function(object, paths) {
  return object == null ? {} : basePick(object, paths);
});
var FUNC_ERROR_TEXT = "Expected a function";
function throttle(func, wait, options) {
  var leading = true, trailing = true;
  if (typeof func != "function") {
    throw new TypeError(FUNC_ERROR_TEXT);
  }
  if (isObject(options)) {
    leading = "leading" in options ? !!options.leading : leading;
    trailing = "trailing" in options ? !!options.trailing : trailing;
  }
  return debounce(func, wait, {
    "leading": leading,
    "maxWait": wait,
    "trailing": trailing
  });
}
function _typeof(o) {
  "@babel/helpers - typeof";
  return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function(o2) {
    return typeof o2;
  } : function(o2) {
    return o2 && "function" == typeof Symbol && o2.constructor === Symbol && o2 !== Symbol.prototype ? "symbol" : typeof o2;
  }, _typeof(o);
}
function toInteger(dirtyNumber) {
  if (dirtyNumber === null || dirtyNumber === true || dirtyNumber === false) {
    return NaN;
  }
  var number = Number(dirtyNumber);
  if (isNaN(number)) {
    return number;
  }
  return number < 0 ? Math.ceil(number) : Math.floor(number);
}
function requiredArgs(required, args) {
  if (args.length < required) {
    throw new TypeError(required + " argument" + (required > 1 ? "s" : "") + " required, but only " + args.length + " present");
  }
}
function toDate(argument) {
  requiredArgs(1, arguments);
  var argStr = Object.prototype.toString.call(argument);
  if (argument instanceof Date || _typeof(argument) === "object" && argStr === "[object Date]") {
    return new Date(argument.getTime());
  } else if (typeof argument === "number" || argStr === "[object Number]") {
    return new Date(argument);
  } else {
    if ((typeof argument === "string" || argStr === "[object String]") && typeof console !== "undefined") {
      console.warn("Starting with v2.0.0-beta.1 date-fns doesn't accept strings as date arguments. Please use `parseISO` to parse strings. See: https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#string-arguments");
      console.warn(new Error().stack);
    }
    return new Date(NaN);
  }
}
function addDays(dirtyDate, dirtyAmount) {
  requiredArgs(2, arguments);
  var date = toDate(dirtyDate);
  var amount = toInteger(dirtyAmount);
  if (isNaN(amount)) {
    return new Date(NaN);
  }
  if (!amount) {
    return date;
  }
  date.setDate(date.getDate() + amount);
  return date;
}
function addMonths(dirtyDate, dirtyAmount) {
  requiredArgs(2, arguments);
  var date = toDate(dirtyDate);
  var amount = toInteger(dirtyAmount);
  if (isNaN(amount)) {
    return new Date(NaN);
  }
  if (!amount) {
    return date;
  }
  var dayOfMonth = date.getDate();
  var endOfDesiredMonth = new Date(date.getTime());
  endOfDesiredMonth.setMonth(date.getMonth() + amount + 1, 0);
  var daysInMonth = endOfDesiredMonth.getDate();
  if (dayOfMonth >= daysInMonth) {
    return endOfDesiredMonth;
  } else {
    date.setFullYear(endOfDesiredMonth.getFullYear(), endOfDesiredMonth.getMonth(), dayOfMonth);
    return date;
  }
}
function addMilliseconds(dirtyDate, dirtyAmount) {
  requiredArgs(2, arguments);
  var timestamp = toDate(dirtyDate).getTime();
  var amount = toInteger(dirtyAmount);
  return new Date(timestamp + amount);
}
var defaultOptions = {};
function getDefaultOptions() {
  return defaultOptions;
}
function startOfWeek(dirtyDate, options) {
  var _ref, _ref2, _ref3, _options$weekStartsOn, _options$locale, _options$locale$optio, _defaultOptions$local, _defaultOptions$local2;
  requiredArgs(1, arguments);
  var defaultOptions2 = getDefaultOptions();
  var weekStartsOn = toInteger((_ref = (_ref2 = (_ref3 = (_options$weekStartsOn = options === null || options === void 0 ? void 0 : options.weekStartsOn) !== null && _options$weekStartsOn !== void 0 ? _options$weekStartsOn : options === null || options === void 0 ? void 0 : (_options$locale = options.locale) === null || _options$locale === void 0 ? void 0 : (_options$locale$optio = _options$locale.options) === null || _options$locale$optio === void 0 ? void 0 : _options$locale$optio.weekStartsOn) !== null && _ref3 !== void 0 ? _ref3 : defaultOptions2.weekStartsOn) !== null && _ref2 !== void 0 ? _ref2 : (_defaultOptions$local = defaultOptions2.locale) === null || _defaultOptions$local === void 0 ? void 0 : (_defaultOptions$local2 = _defaultOptions$local.options) === null || _defaultOptions$local2 === void 0 ? void 0 : _defaultOptions$local2.weekStartsOn) !== null && _ref !== void 0 ? _ref : 0);
  if (!(weekStartsOn >= 0 && weekStartsOn <= 6)) {
    throw new RangeError("weekStartsOn must be between 0 and 6 inclusively");
  }
  var date = toDate(dirtyDate);
  var day = date.getDay();
  var diff = (day < weekStartsOn ? 7 : 0) + day - weekStartsOn;
  date.setDate(date.getDate() - diff);
  date.setHours(0, 0, 0, 0);
  return date;
}
function getTimezoneOffsetInMilliseconds(date) {
  var utcDate = new Date(Date.UTC(date.getFullYear(), date.getMonth(), date.getDate(), date.getHours(), date.getMinutes(), date.getSeconds(), date.getMilliseconds()));
  utcDate.setUTCFullYear(date.getFullYear());
  return date.getTime() - utcDate.getTime();
}
function startOfDay(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  date.setHours(0, 0, 0, 0);
  return date;
}
function addQuarters(dirtyDate, dirtyAmount) {
  requiredArgs(2, arguments);
  var amount = toInteger(dirtyAmount);
  var months = amount * 3;
  return addMonths(dirtyDate, months);
}
function addWeeks(dirtyDate, dirtyAmount) {
  requiredArgs(2, arguments);
  var amount = toInteger(dirtyAmount);
  var days = amount * 7;
  return addDays(dirtyDate, days);
}
function addYears(dirtyDate, dirtyAmount) {
  requiredArgs(2, arguments);
  var amount = toInteger(dirtyAmount);
  return addMonths(dirtyDate, amount * 12);
}
var millisecondsInMinute = 6e4;
var millisecondsInHour = 36e5;
var millisecondsInSecond = 1e3;
function isSameDay(dirtyDateLeft, dirtyDateRight) {
  requiredArgs(2, arguments);
  var dateLeftStartOfDay = startOfDay(dirtyDateLeft);
  var dateRightStartOfDay = startOfDay(dirtyDateRight);
  return dateLeftStartOfDay.getTime() === dateRightStartOfDay.getTime();
}
function isDate(value) {
  requiredArgs(1, arguments);
  return value instanceof Date || _typeof(value) === "object" && Object.prototype.toString.call(value) === "[object Date]";
}
function isValid(dirtyDate) {
  requiredArgs(1, arguments);
  if (!isDate(dirtyDate) && typeof dirtyDate !== "number") {
    return false;
  }
  var date = toDate(dirtyDate);
  return !isNaN(Number(date));
}
function getQuarter(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var quarter = Math.floor(date.getMonth() / 3) + 1;
  return quarter;
}
function endOfDay(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  date.setHours(23, 59, 59, 999);
  return date;
}
function endOfMonth(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var month = date.getMonth();
  date.setFullYear(date.getFullYear(), month + 1, 0);
  date.setHours(23, 59, 59, 999);
  return date;
}
function startOfMinute(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  date.setSeconds(0, 0);
  return date;
}
function startOfQuarter(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var currentMonth = date.getMonth();
  var month = currentMonth - currentMonth % 3;
  date.setMonth(month, 1);
  date.setHours(0, 0, 0, 0);
  return date;
}
function startOfMonth(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  date.setDate(1);
  date.setHours(0, 0, 0, 0);
  return date;
}
function endOfYear(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var year = date.getFullYear();
  date.setFullYear(year + 1, 0, 0);
  date.setHours(23, 59, 59, 999);
  return date;
}
function startOfYear(dirtyDate) {
  requiredArgs(1, arguments);
  var cleanDate = toDate(dirtyDate);
  var date = new Date(0);
  date.setFullYear(cleanDate.getFullYear(), 0, 1);
  date.setHours(0, 0, 0, 0);
  return date;
}
function endOfHour(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  date.setMinutes(59, 59, 999);
  return date;
}
function endOfWeek(dirtyDate, options) {
  var _ref, _ref2, _ref3, _options$weekStartsOn, _options$locale, _options$locale$optio, _defaultOptions$local, _defaultOptions$local2;
  requiredArgs(1, arguments);
  var defaultOptions2 = getDefaultOptions();
  var weekStartsOn = toInteger((_ref = (_ref2 = (_ref3 = (_options$weekStartsOn = options === null || options === void 0 ? void 0 : options.weekStartsOn) !== null && _options$weekStartsOn !== void 0 ? _options$weekStartsOn : options === null || options === void 0 ? void 0 : (_options$locale = options.locale) === null || _options$locale === void 0 ? void 0 : (_options$locale$optio = _options$locale.options) === null || _options$locale$optio === void 0 ? void 0 : _options$locale$optio.weekStartsOn) !== null && _ref3 !== void 0 ? _ref3 : defaultOptions2.weekStartsOn) !== null && _ref2 !== void 0 ? _ref2 : (_defaultOptions$local = defaultOptions2.locale) === null || _defaultOptions$local === void 0 ? void 0 : (_defaultOptions$local2 = _defaultOptions$local.options) === null || _defaultOptions$local2 === void 0 ? void 0 : _defaultOptions$local2.weekStartsOn) !== null && _ref !== void 0 ? _ref : 0);
  if (!(weekStartsOn >= 0 && weekStartsOn <= 6)) {
    throw new RangeError("weekStartsOn must be between 0 and 6 inclusively");
  }
  var date = toDate(dirtyDate);
  var day = date.getDay();
  var diff = (day < weekStartsOn ? -7 : 0) + 6 - (day - weekStartsOn);
  date.setDate(date.getDate() + diff);
  date.setHours(23, 59, 59, 999);
  return date;
}
function endOfMinute(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  date.setSeconds(59, 999);
  return date;
}
function endOfQuarter(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var currentMonth = date.getMonth();
  var month = currentMonth - currentMonth % 3 + 3;
  date.setMonth(month, 0);
  date.setHours(23, 59, 59, 999);
  return date;
}
function endOfSecond(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  date.setMilliseconds(999);
  return date;
}
function subMilliseconds(dirtyDate, dirtyAmount) {
  requiredArgs(2, arguments);
  var amount = toInteger(dirtyAmount);
  return addMilliseconds(dirtyDate, -amount);
}
var MILLISECONDS_IN_DAY = 864e5;
function getUTCDayOfYear(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var timestamp = date.getTime();
  date.setUTCMonth(0, 1);
  date.setUTCHours(0, 0, 0, 0);
  var startOfYearTimestamp = date.getTime();
  var difference = timestamp - startOfYearTimestamp;
  return Math.floor(difference / MILLISECONDS_IN_DAY) + 1;
}
function startOfUTCISOWeek(dirtyDate) {
  requiredArgs(1, arguments);
  var weekStartsOn = 1;
  var date = toDate(dirtyDate);
  var day = date.getUTCDay();
  var diff = (day < weekStartsOn ? 7 : 0) + day - weekStartsOn;
  date.setUTCDate(date.getUTCDate() - diff);
  date.setUTCHours(0, 0, 0, 0);
  return date;
}
function getUTCISOWeekYear(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var year = date.getUTCFullYear();
  var fourthOfJanuaryOfNextYear = new Date(0);
  fourthOfJanuaryOfNextYear.setUTCFullYear(year + 1, 0, 4);
  fourthOfJanuaryOfNextYear.setUTCHours(0, 0, 0, 0);
  var startOfNextYear = startOfUTCISOWeek(fourthOfJanuaryOfNextYear);
  var fourthOfJanuaryOfThisYear = new Date(0);
  fourthOfJanuaryOfThisYear.setUTCFullYear(year, 0, 4);
  fourthOfJanuaryOfThisYear.setUTCHours(0, 0, 0, 0);
  var startOfThisYear = startOfUTCISOWeek(fourthOfJanuaryOfThisYear);
  if (date.getTime() >= startOfNextYear.getTime()) {
    return year + 1;
  } else if (date.getTime() >= startOfThisYear.getTime()) {
    return year;
  } else {
    return year - 1;
  }
}
function startOfUTCISOWeekYear(dirtyDate) {
  requiredArgs(1, arguments);
  var year = getUTCISOWeekYear(dirtyDate);
  var fourthOfJanuary = new Date(0);
  fourthOfJanuary.setUTCFullYear(year, 0, 4);
  fourthOfJanuary.setUTCHours(0, 0, 0, 0);
  var date = startOfUTCISOWeek(fourthOfJanuary);
  return date;
}
var MILLISECONDS_IN_WEEK$2 = 6048e5;
function getUTCISOWeek(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var diff = startOfUTCISOWeek(date).getTime() - startOfUTCISOWeekYear(date).getTime();
  return Math.round(diff / MILLISECONDS_IN_WEEK$2) + 1;
}
function startOfUTCWeek(dirtyDate, options) {
  var _ref, _ref2, _ref3, _options$weekStartsOn, _options$locale, _options$locale$optio, _defaultOptions$local, _defaultOptions$local2;
  requiredArgs(1, arguments);
  var defaultOptions2 = getDefaultOptions();
  var weekStartsOn = toInteger((_ref = (_ref2 = (_ref3 = (_options$weekStartsOn = options === null || options === void 0 ? void 0 : options.weekStartsOn) !== null && _options$weekStartsOn !== void 0 ? _options$weekStartsOn : options === null || options === void 0 ? void 0 : (_options$locale = options.locale) === null || _options$locale === void 0 ? void 0 : (_options$locale$optio = _options$locale.options) === null || _options$locale$optio === void 0 ? void 0 : _options$locale$optio.weekStartsOn) !== null && _ref3 !== void 0 ? _ref3 : defaultOptions2.weekStartsOn) !== null && _ref2 !== void 0 ? _ref2 : (_defaultOptions$local = defaultOptions2.locale) === null || _defaultOptions$local === void 0 ? void 0 : (_defaultOptions$local2 = _defaultOptions$local.options) === null || _defaultOptions$local2 === void 0 ? void 0 : _defaultOptions$local2.weekStartsOn) !== null && _ref !== void 0 ? _ref : 0);
  if (!(weekStartsOn >= 0 && weekStartsOn <= 6)) {
    throw new RangeError("weekStartsOn must be between 0 and 6 inclusively");
  }
  var date = toDate(dirtyDate);
  var day = date.getUTCDay();
  var diff = (day < weekStartsOn ? 7 : 0) + day - weekStartsOn;
  date.setUTCDate(date.getUTCDate() - diff);
  date.setUTCHours(0, 0, 0, 0);
  return date;
}
function getUTCWeekYear(dirtyDate, options) {
  var _ref, _ref2, _ref3, _options$firstWeekCon, _options$locale, _options$locale$optio, _defaultOptions$local, _defaultOptions$local2;
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var year = date.getUTCFullYear();
  var defaultOptions2 = getDefaultOptions();
  var firstWeekContainsDate = toInteger((_ref = (_ref2 = (_ref3 = (_options$firstWeekCon = options === null || options === void 0 ? void 0 : options.firstWeekContainsDate) !== null && _options$firstWeekCon !== void 0 ? _options$firstWeekCon : options === null || options === void 0 ? void 0 : (_options$locale = options.locale) === null || _options$locale === void 0 ? void 0 : (_options$locale$optio = _options$locale.options) === null || _options$locale$optio === void 0 ? void 0 : _options$locale$optio.firstWeekContainsDate) !== null && _ref3 !== void 0 ? _ref3 : defaultOptions2.firstWeekContainsDate) !== null && _ref2 !== void 0 ? _ref2 : (_defaultOptions$local = defaultOptions2.locale) === null || _defaultOptions$local === void 0 ? void 0 : (_defaultOptions$local2 = _defaultOptions$local.options) === null || _defaultOptions$local2 === void 0 ? void 0 : _defaultOptions$local2.firstWeekContainsDate) !== null && _ref !== void 0 ? _ref : 1);
  if (!(firstWeekContainsDate >= 1 && firstWeekContainsDate <= 7)) {
    throw new RangeError("firstWeekContainsDate must be between 1 and 7 inclusively");
  }
  var firstWeekOfNextYear = new Date(0);
  firstWeekOfNextYear.setUTCFullYear(year + 1, 0, firstWeekContainsDate);
  firstWeekOfNextYear.setUTCHours(0, 0, 0, 0);
  var startOfNextYear = startOfUTCWeek(firstWeekOfNextYear, options);
  var firstWeekOfThisYear = new Date(0);
  firstWeekOfThisYear.setUTCFullYear(year, 0, firstWeekContainsDate);
  firstWeekOfThisYear.setUTCHours(0, 0, 0, 0);
  var startOfThisYear = startOfUTCWeek(firstWeekOfThisYear, options);
  if (date.getTime() >= startOfNextYear.getTime()) {
    return year + 1;
  } else if (date.getTime() >= startOfThisYear.getTime()) {
    return year;
  } else {
    return year - 1;
  }
}
function startOfUTCWeekYear(dirtyDate, options) {
  var _ref, _ref2, _ref3, _options$firstWeekCon, _options$locale, _options$locale$optio, _defaultOptions$local, _defaultOptions$local2;
  requiredArgs(1, arguments);
  var defaultOptions2 = getDefaultOptions();
  var firstWeekContainsDate = toInteger((_ref = (_ref2 = (_ref3 = (_options$firstWeekCon = options === null || options === void 0 ? void 0 : options.firstWeekContainsDate) !== null && _options$firstWeekCon !== void 0 ? _options$firstWeekCon : options === null || options === void 0 ? void 0 : (_options$locale = options.locale) === null || _options$locale === void 0 ? void 0 : (_options$locale$optio = _options$locale.options) === null || _options$locale$optio === void 0 ? void 0 : _options$locale$optio.firstWeekContainsDate) !== null && _ref3 !== void 0 ? _ref3 : defaultOptions2.firstWeekContainsDate) !== null && _ref2 !== void 0 ? _ref2 : (_defaultOptions$local = defaultOptions2.locale) === null || _defaultOptions$local === void 0 ? void 0 : (_defaultOptions$local2 = _defaultOptions$local.options) === null || _defaultOptions$local2 === void 0 ? void 0 : _defaultOptions$local2.firstWeekContainsDate) !== null && _ref !== void 0 ? _ref : 1);
  var year = getUTCWeekYear(dirtyDate, options);
  var firstWeek = new Date(0);
  firstWeek.setUTCFullYear(year, 0, firstWeekContainsDate);
  firstWeek.setUTCHours(0, 0, 0, 0);
  var date = startOfUTCWeek(firstWeek, options);
  return date;
}
var MILLISECONDS_IN_WEEK$1 = 6048e5;
function getUTCWeek(dirtyDate, options) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var diff = startOfUTCWeek(date, options).getTime() - startOfUTCWeekYear(date, options).getTime();
  return Math.round(diff / MILLISECONDS_IN_WEEK$1) + 1;
}
function addLeadingZeros(number, targetLength) {
  var sign = number < 0 ? "-" : "";
  var output = Math.abs(number).toString();
  while (output.length < targetLength) {
    output = "0" + output;
  }
  return sign + output;
}
var formatters$1 = {
  y: function y(date, token) {
    var signedYear = date.getUTCFullYear();
    var year = signedYear > 0 ? signedYear : 1 - signedYear;
    return addLeadingZeros(token === "yy" ? year % 100 : year, token.length);
  },
  M: function M(date, token) {
    var month = date.getUTCMonth();
    return token === "M" ? String(month + 1) : addLeadingZeros(month + 1, 2);
  },
  d: function d(date, token) {
    return addLeadingZeros(date.getUTCDate(), token.length);
  },
  a: function a(date, token) {
    var dayPeriodEnumValue = date.getUTCHours() / 12 >= 1 ? "pm" : "am";
    switch (token) {
      case "a":
      case "aa":
        return dayPeriodEnumValue.toUpperCase();
      case "aaa":
        return dayPeriodEnumValue;
      case "aaaaa":
        return dayPeriodEnumValue[0];
      case "aaaa":
      default:
        return dayPeriodEnumValue === "am" ? "a.m." : "p.m.";
    }
  },
  h: function h2(date, token) {
    return addLeadingZeros(date.getUTCHours() % 12 || 12, token.length);
  },
  H: function H(date, token) {
    return addLeadingZeros(date.getUTCHours(), token.length);
  },
  m: function m(date, token) {
    return addLeadingZeros(date.getUTCMinutes(), token.length);
  },
  s: function s(date, token) {
    return addLeadingZeros(date.getUTCSeconds(), token.length);
  },
  S: function S(date, token) {
    var numberOfDigits = token.length;
    var milliseconds = date.getUTCMilliseconds();
    var fractionalSeconds = Math.floor(milliseconds * Math.pow(10, numberOfDigits - 3));
    return addLeadingZeros(fractionalSeconds, token.length);
  }
};
var dayPeriodEnum = {
  am: "am",
  pm: "pm",
  midnight: "midnight",
  noon: "noon",
  morning: "morning",
  afternoon: "afternoon",
  evening: "evening",
  night: "night"
};
var formatters = {
  G: function G(date, token, localize2) {
    var era = date.getUTCFullYear() > 0 ? 1 : 0;
    switch (token) {
      case "G":
      case "GG":
      case "GGG":
        return localize2.era(era, {
          width: "abbreviated"
        });
      case "GGGGG":
        return localize2.era(era, {
          width: "narrow"
        });
      case "GGGG":
      default:
        return localize2.era(era, {
          width: "wide"
        });
    }
  },
  y: function y2(date, token, localize2) {
    if (token === "yo") {
      var signedYear = date.getUTCFullYear();
      var year = signedYear > 0 ? signedYear : 1 - signedYear;
      return localize2.ordinalNumber(year, {
        unit: "year"
      });
    }
    return formatters$1.y(date, token);
  },
  Y: function Y(date, token, localize2, options) {
    var signedWeekYear = getUTCWeekYear(date, options);
    var weekYear = signedWeekYear > 0 ? signedWeekYear : 1 - signedWeekYear;
    if (token === "YY") {
      var twoDigitYear = weekYear % 100;
      return addLeadingZeros(twoDigitYear, 2);
    }
    if (token === "Yo") {
      return localize2.ordinalNumber(weekYear, {
        unit: "year"
      });
    }
    return addLeadingZeros(weekYear, token.length);
  },
  R: function R(date, token) {
    var isoWeekYear = getUTCISOWeekYear(date);
    return addLeadingZeros(isoWeekYear, token.length);
  },
  u: function u(date, token) {
    var year = date.getUTCFullYear();
    return addLeadingZeros(year, token.length);
  },
  Q: function Q(date, token, localize2) {
    var quarter = Math.ceil((date.getUTCMonth() + 1) / 3);
    switch (token) {
      case "Q":
        return String(quarter);
      case "QQ":
        return addLeadingZeros(quarter, 2);
      case "Qo":
        return localize2.ordinalNumber(quarter, {
          unit: "quarter"
        });
      case "QQQ":
        return localize2.quarter(quarter, {
          width: "abbreviated",
          context: "formatting"
        });
      case "QQQQQ":
        return localize2.quarter(quarter, {
          width: "narrow",
          context: "formatting"
        });
      case "QQQQ":
      default:
        return localize2.quarter(quarter, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  q: function q(date, token, localize2) {
    var quarter = Math.ceil((date.getUTCMonth() + 1) / 3);
    switch (token) {
      case "q":
        return String(quarter);
      case "qq":
        return addLeadingZeros(quarter, 2);
      case "qo":
        return localize2.ordinalNumber(quarter, {
          unit: "quarter"
        });
      case "qqq":
        return localize2.quarter(quarter, {
          width: "abbreviated",
          context: "standalone"
        });
      case "qqqqq":
        return localize2.quarter(quarter, {
          width: "narrow",
          context: "standalone"
        });
      case "qqqq":
      default:
        return localize2.quarter(quarter, {
          width: "wide",
          context: "standalone"
        });
    }
  },
  M: function M2(date, token, localize2) {
    var month = date.getUTCMonth();
    switch (token) {
      case "M":
      case "MM":
        return formatters$1.M(date, token);
      case "Mo":
        return localize2.ordinalNumber(month + 1, {
          unit: "month"
        });
      case "MMM":
        return localize2.month(month, {
          width: "abbreviated",
          context: "formatting"
        });
      case "MMMMM":
        return localize2.month(month, {
          width: "narrow",
          context: "formatting"
        });
      case "MMMM":
      default:
        return localize2.month(month, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  L: function L(date, token, localize2) {
    var month = date.getUTCMonth();
    switch (token) {
      case "L":
        return String(month + 1);
      case "LL":
        return addLeadingZeros(month + 1, 2);
      case "Lo":
        return localize2.ordinalNumber(month + 1, {
          unit: "month"
        });
      case "LLL":
        return localize2.month(month, {
          width: "abbreviated",
          context: "standalone"
        });
      case "LLLLL":
        return localize2.month(month, {
          width: "narrow",
          context: "standalone"
        });
      case "LLLL":
      default:
        return localize2.month(month, {
          width: "wide",
          context: "standalone"
        });
    }
  },
  w: function w(date, token, localize2, options) {
    var week = getUTCWeek(date, options);
    if (token === "wo") {
      return localize2.ordinalNumber(week, {
        unit: "week"
      });
    }
    return addLeadingZeros(week, token.length);
  },
  I: function I(date, token, localize2) {
    var isoWeek = getUTCISOWeek(date);
    if (token === "Io") {
      return localize2.ordinalNumber(isoWeek, {
        unit: "week"
      });
    }
    return addLeadingZeros(isoWeek, token.length);
  },
  d: function d2(date, token, localize2) {
    if (token === "do") {
      return localize2.ordinalNumber(date.getUTCDate(), {
        unit: "date"
      });
    }
    return formatters$1.d(date, token);
  },
  D: function D(date, token, localize2) {
    var dayOfYear = getUTCDayOfYear(date);
    if (token === "Do") {
      return localize2.ordinalNumber(dayOfYear, {
        unit: "dayOfYear"
      });
    }
    return addLeadingZeros(dayOfYear, token.length);
  },
  E: function E(date, token, localize2) {
    var dayOfWeek = date.getUTCDay();
    switch (token) {
      case "E":
      case "EE":
      case "EEE":
        return localize2.day(dayOfWeek, {
          width: "abbreviated",
          context: "formatting"
        });
      case "EEEEE":
        return localize2.day(dayOfWeek, {
          width: "narrow",
          context: "formatting"
        });
      case "EEEEEE":
        return localize2.day(dayOfWeek, {
          width: "short",
          context: "formatting"
        });
      case "EEEE":
      default:
        return localize2.day(dayOfWeek, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  e: function e(date, token, localize2, options) {
    var dayOfWeek = date.getUTCDay();
    var localDayOfWeek = (dayOfWeek - options.weekStartsOn + 8) % 7 || 7;
    switch (token) {
      case "e":
        return String(localDayOfWeek);
      case "ee":
        return addLeadingZeros(localDayOfWeek, 2);
      case "eo":
        return localize2.ordinalNumber(localDayOfWeek, {
          unit: "day"
        });
      case "eee":
        return localize2.day(dayOfWeek, {
          width: "abbreviated",
          context: "formatting"
        });
      case "eeeee":
        return localize2.day(dayOfWeek, {
          width: "narrow",
          context: "formatting"
        });
      case "eeeeee":
        return localize2.day(dayOfWeek, {
          width: "short",
          context: "formatting"
        });
      case "eeee":
      default:
        return localize2.day(dayOfWeek, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  c: function c(date, token, localize2, options) {
    var dayOfWeek = date.getUTCDay();
    var localDayOfWeek = (dayOfWeek - options.weekStartsOn + 8) % 7 || 7;
    switch (token) {
      case "c":
        return String(localDayOfWeek);
      case "cc":
        return addLeadingZeros(localDayOfWeek, token.length);
      case "co":
        return localize2.ordinalNumber(localDayOfWeek, {
          unit: "day"
        });
      case "ccc":
        return localize2.day(dayOfWeek, {
          width: "abbreviated",
          context: "standalone"
        });
      case "ccccc":
        return localize2.day(dayOfWeek, {
          width: "narrow",
          context: "standalone"
        });
      case "cccccc":
        return localize2.day(dayOfWeek, {
          width: "short",
          context: "standalone"
        });
      case "cccc":
      default:
        return localize2.day(dayOfWeek, {
          width: "wide",
          context: "standalone"
        });
    }
  },
  i: function i(date, token, localize2) {
    var dayOfWeek = date.getUTCDay();
    var isoDayOfWeek = dayOfWeek === 0 ? 7 : dayOfWeek;
    switch (token) {
      case "i":
        return String(isoDayOfWeek);
      case "ii":
        return addLeadingZeros(isoDayOfWeek, token.length);
      case "io":
        return localize2.ordinalNumber(isoDayOfWeek, {
          unit: "day"
        });
      case "iii":
        return localize2.day(dayOfWeek, {
          width: "abbreviated",
          context: "formatting"
        });
      case "iiiii":
        return localize2.day(dayOfWeek, {
          width: "narrow",
          context: "formatting"
        });
      case "iiiiii":
        return localize2.day(dayOfWeek, {
          width: "short",
          context: "formatting"
        });
      case "iiii":
      default:
        return localize2.day(dayOfWeek, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  a: function a2(date, token, localize2) {
    var hours = date.getUTCHours();
    var dayPeriodEnumValue = hours / 12 >= 1 ? "pm" : "am";
    switch (token) {
      case "a":
      case "aa":
        return localize2.dayPeriod(dayPeriodEnumValue, {
          width: "abbreviated",
          context: "formatting"
        });
      case "aaa":
        return localize2.dayPeriod(dayPeriodEnumValue, {
          width: "abbreviated",
          context: "formatting"
        }).toLowerCase();
      case "aaaaa":
        return localize2.dayPeriod(dayPeriodEnumValue, {
          width: "narrow",
          context: "formatting"
        });
      case "aaaa":
      default:
        return localize2.dayPeriod(dayPeriodEnumValue, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  b: function b(date, token, localize2) {
    var hours = date.getUTCHours();
    var dayPeriodEnumValue;
    if (hours === 12) {
      dayPeriodEnumValue = dayPeriodEnum.noon;
    } else if (hours === 0) {
      dayPeriodEnumValue = dayPeriodEnum.midnight;
    } else {
      dayPeriodEnumValue = hours / 12 >= 1 ? "pm" : "am";
    }
    switch (token) {
      case "b":
      case "bb":
        return localize2.dayPeriod(dayPeriodEnumValue, {
          width: "abbreviated",
          context: "formatting"
        });
      case "bbb":
        return localize2.dayPeriod(dayPeriodEnumValue, {
          width: "abbreviated",
          context: "formatting"
        }).toLowerCase();
      case "bbbbb":
        return localize2.dayPeriod(dayPeriodEnumValue, {
          width: "narrow",
          context: "formatting"
        });
      case "bbbb":
      default:
        return localize2.dayPeriod(dayPeriodEnumValue, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  B: function B(date, token, localize2) {
    var hours = date.getUTCHours();
    var dayPeriodEnumValue;
    if (hours >= 17) {
      dayPeriodEnumValue = dayPeriodEnum.evening;
    } else if (hours >= 12) {
      dayPeriodEnumValue = dayPeriodEnum.afternoon;
    } else if (hours >= 4) {
      dayPeriodEnumValue = dayPeriodEnum.morning;
    } else {
      dayPeriodEnumValue = dayPeriodEnum.night;
    }
    switch (token) {
      case "B":
      case "BB":
      case "BBB":
        return localize2.dayPeriod(dayPeriodEnumValue, {
          width: "abbreviated",
          context: "formatting"
        });
      case "BBBBB":
        return localize2.dayPeriod(dayPeriodEnumValue, {
          width: "narrow",
          context: "formatting"
        });
      case "BBBB":
      default:
        return localize2.dayPeriod(dayPeriodEnumValue, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  h: function h3(date, token, localize2) {
    if (token === "ho") {
      var hours = date.getUTCHours() % 12;
      if (hours === 0)
        hours = 12;
      return localize2.ordinalNumber(hours, {
        unit: "hour"
      });
    }
    return formatters$1.h(date, token);
  },
  H: function H2(date, token, localize2) {
    if (token === "Ho") {
      return localize2.ordinalNumber(date.getUTCHours(), {
        unit: "hour"
      });
    }
    return formatters$1.H(date, token);
  },
  K: function K(date, token, localize2) {
    var hours = date.getUTCHours() % 12;
    if (token === "Ko") {
      return localize2.ordinalNumber(hours, {
        unit: "hour"
      });
    }
    return addLeadingZeros(hours, token.length);
  },
  k: function k(date, token, localize2) {
    var hours = date.getUTCHours();
    if (hours === 0)
      hours = 24;
    if (token === "ko") {
      return localize2.ordinalNumber(hours, {
        unit: "hour"
      });
    }
    return addLeadingZeros(hours, token.length);
  },
  m: function m2(date, token, localize2) {
    if (token === "mo") {
      return localize2.ordinalNumber(date.getUTCMinutes(), {
        unit: "minute"
      });
    }
    return formatters$1.m(date, token);
  },
  s: function s2(date, token, localize2) {
    if (token === "so") {
      return localize2.ordinalNumber(date.getUTCSeconds(), {
        unit: "second"
      });
    }
    return formatters$1.s(date, token);
  },
  S: function S2(date, token) {
    return formatters$1.S(date, token);
  },
  X: function X(date, token, _localize, options) {
    var originalDate = options._originalDate || date;
    var timezoneOffset = originalDate.getTimezoneOffset();
    if (timezoneOffset === 0) {
      return "Z";
    }
    switch (token) {
      case "X":
        return formatTimezoneWithOptionalMinutes(timezoneOffset);
      case "XXXX":
      case "XX":
        return formatTimezone(timezoneOffset);
      case "XXXXX":
      case "XXX":
      default:
        return formatTimezone(timezoneOffset, ":");
    }
  },
  x: function x(date, token, _localize, options) {
    var originalDate = options._originalDate || date;
    var timezoneOffset = originalDate.getTimezoneOffset();
    switch (token) {
      case "x":
        return formatTimezoneWithOptionalMinutes(timezoneOffset);
      case "xxxx":
      case "xx":
        return formatTimezone(timezoneOffset);
      case "xxxxx":
      case "xxx":
      default:
        return formatTimezone(timezoneOffset, ":");
    }
  },
  O: function O(date, token, _localize, options) {
    var originalDate = options._originalDate || date;
    var timezoneOffset = originalDate.getTimezoneOffset();
    switch (token) {
      case "O":
      case "OO":
      case "OOO":
        return "GMT" + formatTimezoneShort(timezoneOffset, ":");
      case "OOOO":
      default:
        return "GMT" + formatTimezone(timezoneOffset, ":");
    }
  },
  z: function z(date, token, _localize, options) {
    var originalDate = options._originalDate || date;
    var timezoneOffset = originalDate.getTimezoneOffset();
    switch (token) {
      case "z":
      case "zz":
      case "zzz":
        return "GMT" + formatTimezoneShort(timezoneOffset, ":");
      case "zzzz":
      default:
        return "GMT" + formatTimezone(timezoneOffset, ":");
    }
  },
  t: function t(date, token, _localize, options) {
    var originalDate = options._originalDate || date;
    var timestamp = Math.floor(originalDate.getTime() / 1e3);
    return addLeadingZeros(timestamp, token.length);
  },
  T: function T(date, token, _localize, options) {
    var originalDate = options._originalDate || date;
    var timestamp = originalDate.getTime();
    return addLeadingZeros(timestamp, token.length);
  }
};
function formatTimezoneShort(offset, dirtyDelimiter) {
  var sign = offset > 0 ? "-" : "+";
  var absOffset = Math.abs(offset);
  var hours = Math.floor(absOffset / 60);
  var minutes = absOffset % 60;
  if (minutes === 0) {
    return sign + String(hours);
  }
  var delimiter = dirtyDelimiter;
  return sign + String(hours) + delimiter + addLeadingZeros(minutes, 2);
}
function formatTimezoneWithOptionalMinutes(offset, dirtyDelimiter) {
  if (offset % 60 === 0) {
    var sign = offset > 0 ? "-" : "+";
    return sign + addLeadingZeros(Math.abs(offset) / 60, 2);
  }
  return formatTimezone(offset, dirtyDelimiter);
}
function formatTimezone(offset, dirtyDelimiter) {
  var delimiter = dirtyDelimiter || "";
  var sign = offset > 0 ? "-" : "+";
  var absOffset = Math.abs(offset);
  var hours = addLeadingZeros(Math.floor(absOffset / 60), 2);
  var minutes = addLeadingZeros(absOffset % 60, 2);
  return sign + hours + delimiter + minutes;
}
var dateLongFormatter = function dateLongFormatter2(pattern, formatLong2) {
  switch (pattern) {
    case "P":
      return formatLong2.date({
        width: "short"
      });
    case "PP":
      return formatLong2.date({
        width: "medium"
      });
    case "PPP":
      return formatLong2.date({
        width: "long"
      });
    case "PPPP":
    default:
      return formatLong2.date({
        width: "full"
      });
  }
};
var timeLongFormatter = function timeLongFormatter2(pattern, formatLong2) {
  switch (pattern) {
    case "p":
      return formatLong2.time({
        width: "short"
      });
    case "pp":
      return formatLong2.time({
        width: "medium"
      });
    case "ppp":
      return formatLong2.time({
        width: "long"
      });
    case "pppp":
    default:
      return formatLong2.time({
        width: "full"
      });
  }
};
var dateTimeLongFormatter = function dateTimeLongFormatter2(pattern, formatLong2) {
  var matchResult = pattern.match(/(P+)(p+)?/) || [];
  var datePattern = matchResult[1];
  var timePattern = matchResult[2];
  if (!timePattern) {
    return dateLongFormatter(pattern, formatLong2);
  }
  var dateTimeFormat;
  switch (datePattern) {
    case "P":
      dateTimeFormat = formatLong2.dateTime({
        width: "short"
      });
      break;
    case "PP":
      dateTimeFormat = formatLong2.dateTime({
        width: "medium"
      });
      break;
    case "PPP":
      dateTimeFormat = formatLong2.dateTime({
        width: "long"
      });
      break;
    case "PPPP":
    default:
      dateTimeFormat = formatLong2.dateTime({
        width: "full"
      });
      break;
  }
  return dateTimeFormat.replace("{{date}}", dateLongFormatter(datePattern, formatLong2)).replace("{{time}}", timeLongFormatter(timePattern, formatLong2));
};
var longFormatters = {
  p: timeLongFormatter,
  P: dateTimeLongFormatter
};
var protectedDayOfYearTokens = ["D", "DD"];
var protectedWeekYearTokens = ["YY", "YYYY"];
function isProtectedDayOfYearToken(token) {
  return protectedDayOfYearTokens.indexOf(token) !== -1;
}
function isProtectedWeekYearToken(token) {
  return protectedWeekYearTokens.indexOf(token) !== -1;
}
function throwProtectedError(token, format2, input) {
  if (token === "YYYY") {
    throw new RangeError("Use `yyyy` instead of `YYYY` (in `".concat(format2, "`) for formatting years to the input `").concat(input, "`; see: https://github.com/date-fns/date-fns/blob/master/docs/unicodeTokens.md"));
  } else if (token === "YY") {
    throw new RangeError("Use `yy` instead of `YY` (in `".concat(format2, "`) for formatting years to the input `").concat(input, "`; see: https://github.com/date-fns/date-fns/blob/master/docs/unicodeTokens.md"));
  } else if (token === "D") {
    throw new RangeError("Use `d` instead of `D` (in `".concat(format2, "`) for formatting days of the month to the input `").concat(input, "`; see: https://github.com/date-fns/date-fns/blob/master/docs/unicodeTokens.md"));
  } else if (token === "DD") {
    throw new RangeError("Use `dd` instead of `DD` (in `".concat(format2, "`) for formatting days of the month to the input `").concat(input, "`; see: https://github.com/date-fns/date-fns/blob/master/docs/unicodeTokens.md"));
  }
}
var formatDistanceLocale$1 = {
  lessThanXSeconds: {
    one: "less than a second",
    other: "less than {{count}} seconds"
  },
  xSeconds: {
    one: "1 second",
    other: "{{count}} seconds"
  },
  halfAMinute: "half a minute",
  lessThanXMinutes: {
    one: "less than a minute",
    other: "less than {{count}} minutes"
  },
  xMinutes: {
    one: "1 minute",
    other: "{{count}} minutes"
  },
  aboutXHours: {
    one: "about 1 hour",
    other: "about {{count}} hours"
  },
  xHours: {
    one: "1 hour",
    other: "{{count}} hours"
  },
  xDays: {
    one: "1 day",
    other: "{{count}} days"
  },
  aboutXWeeks: {
    one: "about 1 week",
    other: "about {{count}} weeks"
  },
  xWeeks: {
    one: "1 week",
    other: "{{count}} weeks"
  },
  aboutXMonths: {
    one: "about 1 month",
    other: "about {{count}} months"
  },
  xMonths: {
    one: "1 month",
    other: "{{count}} months"
  },
  aboutXYears: {
    one: "about 1 year",
    other: "about {{count}} years"
  },
  xYears: {
    one: "1 year",
    other: "{{count}} years"
  },
  overXYears: {
    one: "over 1 year",
    other: "over {{count}} years"
  },
  almostXYears: {
    one: "almost 1 year",
    other: "almost {{count}} years"
  }
};
var formatDistance$1 = function formatDistance(token, count, options) {
  var result;
  var tokenValue = formatDistanceLocale$1[token];
  if (typeof tokenValue === "string") {
    result = tokenValue;
  } else if (count === 1) {
    result = tokenValue.one;
  } else {
    result = tokenValue.other.replace("{{count}}", count.toString());
  }
  if (options !== null && options !== void 0 && options.addSuffix) {
    if (options.comparison && options.comparison > 0) {
      return "in " + result;
    } else {
      return result + " ago";
    }
  }
  return result;
};
function buildFormatLongFn(args) {
  return function() {
    var options = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
    var width = options.width ? String(options.width) : args.defaultWidth;
    var format2 = args.formats[width] || args.formats[args.defaultWidth];
    return format2;
  };
}
var dateFormats$1 = {
  full: "EEEE, MMMM do, y",
  long: "MMMM do, y",
  medium: "MMM d, y",
  short: "MM/dd/yyyy"
};
var timeFormats$1 = {
  full: "h:mm:ss a zzzz",
  long: "h:mm:ss a z",
  medium: "h:mm:ss a",
  short: "h:mm a"
};
var dateTimeFormats$1 = {
  full: "{{date}} 'at' {{time}}",
  long: "{{date}} 'at' {{time}}",
  medium: "{{date}}, {{time}}",
  short: "{{date}}, {{time}}"
};
var formatLong$1 = {
  date: buildFormatLongFn({
    formats: dateFormats$1,
    defaultWidth: "full"
  }),
  time: buildFormatLongFn({
    formats: timeFormats$1,
    defaultWidth: "full"
  }),
  dateTime: buildFormatLongFn({
    formats: dateTimeFormats$1,
    defaultWidth: "full"
  })
};
var formatRelativeLocale$1 = {
  lastWeek: "'last' eeee 'at' p",
  yesterday: "'yesterday at' p",
  today: "'today at' p",
  tomorrow: "'tomorrow at' p",
  nextWeek: "eeee 'at' p",
  other: "P"
};
var formatRelative$1 = function formatRelative(token, _date, _baseDate, _options) {
  return formatRelativeLocale$1[token];
};
function buildLocalizeFn(args) {
  return function(dirtyIndex, options) {
    var context = options !== null && options !== void 0 && options.context ? String(options.context) : "standalone";
    var valuesArray;
    if (context === "formatting" && args.formattingValues) {
      var defaultWidth = args.defaultFormattingWidth || args.defaultWidth;
      var width = options !== null && options !== void 0 && options.width ? String(options.width) : defaultWidth;
      valuesArray = args.formattingValues[width] || args.formattingValues[defaultWidth];
    } else {
      var _defaultWidth = args.defaultWidth;
      var _width = options !== null && options !== void 0 && options.width ? String(options.width) : args.defaultWidth;
      valuesArray = args.values[_width] || args.values[_defaultWidth];
    }
    var index = args.argumentCallback ? args.argumentCallback(dirtyIndex) : dirtyIndex;
    return valuesArray[index];
  };
}
var eraValues$1 = {
  narrow: ["B", "A"],
  abbreviated: ["BC", "AD"],
  wide: ["Before Christ", "Anno Domini"]
};
var quarterValues$1 = {
  narrow: ["1", "2", "3", "4"],
  abbreviated: ["Q1", "Q2", "Q3", "Q4"],
  wide: ["1st quarter", "2nd quarter", "3rd quarter", "4th quarter"]
};
var monthValues$1 = {
  narrow: ["J", "F", "M", "A", "M", "J", "J", "A", "S", "O", "N", "D"],
  abbreviated: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
  wide: ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]
};
var dayValues$1 = {
  narrow: ["S", "M", "T", "W", "T", "F", "S"],
  short: ["Su", "Mo", "Tu", "We", "Th", "Fr", "Sa"],
  abbreviated: ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"],
  wide: ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]
};
var dayPeriodValues$1 = {
  narrow: {
    am: "a",
    pm: "p",
    midnight: "mi",
    noon: "n",
    morning: "morning",
    afternoon: "afternoon",
    evening: "evening",
    night: "night"
  },
  abbreviated: {
    am: "AM",
    pm: "PM",
    midnight: "midnight",
    noon: "noon",
    morning: "morning",
    afternoon: "afternoon",
    evening: "evening",
    night: "night"
  },
  wide: {
    am: "a.m.",
    pm: "p.m.",
    midnight: "midnight",
    noon: "noon",
    morning: "morning",
    afternoon: "afternoon",
    evening: "evening",
    night: "night"
  }
};
var formattingDayPeriodValues$1 = {
  narrow: {
    am: "a",
    pm: "p",
    midnight: "mi",
    noon: "n",
    morning: "in the morning",
    afternoon: "in the afternoon",
    evening: "in the evening",
    night: "at night"
  },
  abbreviated: {
    am: "AM",
    pm: "PM",
    midnight: "midnight",
    noon: "noon",
    morning: "in the morning",
    afternoon: "in the afternoon",
    evening: "in the evening",
    night: "at night"
  },
  wide: {
    am: "a.m.",
    pm: "p.m.",
    midnight: "midnight",
    noon: "noon",
    morning: "in the morning",
    afternoon: "in the afternoon",
    evening: "in the evening",
    night: "at night"
  }
};
var ordinalNumber$1 = function ordinalNumber(dirtyNumber, _options) {
  var number = Number(dirtyNumber);
  var rem100 = number % 100;
  if (rem100 > 20 || rem100 < 10) {
    switch (rem100 % 10) {
      case 1:
        return number + "st";
      case 2:
        return number + "nd";
      case 3:
        return number + "rd";
    }
  }
  return number + "th";
};
var localize$1 = {
  ordinalNumber: ordinalNumber$1,
  era: buildLocalizeFn({
    values: eraValues$1,
    defaultWidth: "wide"
  }),
  quarter: buildLocalizeFn({
    values: quarterValues$1,
    defaultWidth: "wide",
    argumentCallback: function argumentCallback(quarter) {
      return quarter - 1;
    }
  }),
  month: buildLocalizeFn({
    values: monthValues$1,
    defaultWidth: "wide"
  }),
  day: buildLocalizeFn({
    values: dayValues$1,
    defaultWidth: "wide"
  }),
  dayPeriod: buildLocalizeFn({
    values: dayPeriodValues$1,
    defaultWidth: "wide",
    formattingValues: formattingDayPeriodValues$1,
    defaultFormattingWidth: "wide"
  })
};
function buildMatchFn(args) {
  return function(string) {
    var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
    var width = options.width;
    var matchPattern = width && args.matchPatterns[width] || args.matchPatterns[args.defaultMatchWidth];
    var matchResult = string.match(matchPattern);
    if (!matchResult) {
      return null;
    }
    var matchedString = matchResult[0];
    var parsePatterns = width && args.parsePatterns[width] || args.parsePatterns[args.defaultParseWidth];
    var key = Array.isArray(parsePatterns) ? findIndex(parsePatterns, function(pattern) {
      return pattern.test(matchedString);
    }) : findKey(parsePatterns, function(pattern) {
      return pattern.test(matchedString);
    });
    var value;
    value = args.valueCallback ? args.valueCallback(key) : key;
    value = options.valueCallback ? options.valueCallback(value) : value;
    var rest = string.slice(matchedString.length);
    return {
      value,
      rest
    };
  };
}
function findKey(object, predicate) {
  for (var key in object) {
    if (object.hasOwnProperty(key) && predicate(object[key])) {
      return key;
    }
  }
  return void 0;
}
function findIndex(array, predicate) {
  for (var key = 0; key < array.length; key++) {
    if (predicate(array[key])) {
      return key;
    }
  }
  return void 0;
}
function buildMatchPatternFn(args) {
  return function(string) {
    var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
    var matchResult = string.match(args.matchPattern);
    if (!matchResult)
      return null;
    var matchedString = matchResult[0];
    var parseResult = string.match(args.parsePattern);
    if (!parseResult)
      return null;
    var value = args.valueCallback ? args.valueCallback(parseResult[0]) : parseResult[0];
    value = options.valueCallback ? options.valueCallback(value) : value;
    var rest = string.slice(matchedString.length);
    return {
      value,
      rest
    };
  };
}
var matchOrdinalNumberPattern$1 = /^(\d+)(th|st|nd|rd)?/i;
var parseOrdinalNumberPattern$1 = /\d+/i;
var matchEraPatterns$1 = {
  narrow: /^(b|a)/i,
  abbreviated: /^(b\.?\s?c\.?|b\.?\s?c\.?\s?e\.?|a\.?\s?d\.?|c\.?\s?e\.?)/i,
  wide: /^(before christ|before common era|anno domini|common era)/i
};
var parseEraPatterns$1 = {
  any: [/^b/i, /^(a|c)/i]
};
var matchQuarterPatterns$1 = {
  narrow: /^[1234]/i,
  abbreviated: /^q[1234]/i,
  wide: /^[1234](th|st|nd|rd)? quarter/i
};
var parseQuarterPatterns$1 = {
  any: [/1/i, /2/i, /3/i, /4/i]
};
var matchMonthPatterns$1 = {
  narrow: /^[jfmasond]/i,
  abbreviated: /^(jan|feb|mar|apr|may|jun|jul|aug|sep|oct|nov|dec)/i,
  wide: /^(january|february|march|april|may|june|july|august|september|october|november|december)/i
};
var parseMonthPatterns$1 = {
  narrow: [/^j/i, /^f/i, /^m/i, /^a/i, /^m/i, /^j/i, /^j/i, /^a/i, /^s/i, /^o/i, /^n/i, /^d/i],
  any: [/^ja/i, /^f/i, /^mar/i, /^ap/i, /^may/i, /^jun/i, /^jul/i, /^au/i, /^s/i, /^o/i, /^n/i, /^d/i]
};
var matchDayPatterns$1 = {
  narrow: /^[smtwf]/i,
  short: /^(su|mo|tu|we|th|fr|sa)/i,
  abbreviated: /^(sun|mon|tue|wed|thu|fri|sat)/i,
  wide: /^(sunday|monday|tuesday|wednesday|thursday|friday|saturday)/i
};
var parseDayPatterns$1 = {
  narrow: [/^s/i, /^m/i, /^t/i, /^w/i, /^t/i, /^f/i, /^s/i],
  any: [/^su/i, /^m/i, /^tu/i, /^w/i, /^th/i, /^f/i, /^sa/i]
};
var matchDayPeriodPatterns$1 = {
  narrow: /^(a|p|mi|n|(in the|at) (morning|afternoon|evening|night))/i,
  any: /^([ap]\.?\s?m\.?|midnight|noon|(in the|at) (morning|afternoon|evening|night))/i
};
var parseDayPeriodPatterns$1 = {
  any: {
    am: /^a/i,
    pm: /^p/i,
    midnight: /^mi/i,
    noon: /^no/i,
    morning: /morning/i,
    afternoon: /afternoon/i,
    evening: /evening/i,
    night: /night/i
  }
};
var match$1 = {
  ordinalNumber: buildMatchPatternFn({
    matchPattern: matchOrdinalNumberPattern$1,
    parsePattern: parseOrdinalNumberPattern$1,
    valueCallback: function valueCallback(value) {
      return parseInt(value, 10);
    }
  }),
  era: buildMatchFn({
    matchPatterns: matchEraPatterns$1,
    defaultMatchWidth: "wide",
    parsePatterns: parseEraPatterns$1,
    defaultParseWidth: "any"
  }),
  quarter: buildMatchFn({
    matchPatterns: matchQuarterPatterns$1,
    defaultMatchWidth: "wide",
    parsePatterns: parseQuarterPatterns$1,
    defaultParseWidth: "any",
    valueCallback: function valueCallback2(index) {
      return index + 1;
    }
  }),
  month: buildMatchFn({
    matchPatterns: matchMonthPatterns$1,
    defaultMatchWidth: "wide",
    parsePatterns: parseMonthPatterns$1,
    defaultParseWidth: "any"
  }),
  day: buildMatchFn({
    matchPatterns: matchDayPatterns$1,
    defaultMatchWidth: "wide",
    parsePatterns: parseDayPatterns$1,
    defaultParseWidth: "any"
  }),
  dayPeriod: buildMatchFn({
    matchPatterns: matchDayPeriodPatterns$1,
    defaultMatchWidth: "any",
    parsePatterns: parseDayPeriodPatterns$1,
    defaultParseWidth: "any"
  })
};
var locale$1 = {
  code: "en-US",
  formatDistance: formatDistance$1,
  formatLong: formatLong$1,
  formatRelative: formatRelative$1,
  localize: localize$1,
  match: match$1,
  options: {
    weekStartsOn: 0,
    firstWeekContainsDate: 1
  }
};
var formattingTokensRegExp$1 = /[yYQqMLwIdDecihHKkms]o|(\w)\1*|''|'(''|[^'])+('|$)|./g;
var longFormattingTokensRegExp$1 = /P+p+|P+|p+|''|'(''|[^'])+('|$)|./g;
var escapedStringRegExp$1 = /^'([^]*?)'?$/;
var doubleQuoteRegExp$1 = /''/g;
var unescapedLatinCharacterRegExp$1 = /[a-zA-Z]/;
function format(dirtyDate, dirtyFormatStr, options) {
  var _ref, _options$locale, _ref2, _ref3, _ref4, _options$firstWeekCon, _options$locale2, _options$locale2$opti, _defaultOptions$local, _defaultOptions$local2, _ref5, _ref6, _ref7, _options$weekStartsOn, _options$locale3, _options$locale3$opti, _defaultOptions$local3, _defaultOptions$local4;
  requiredArgs(2, arguments);
  var formatStr = String(dirtyFormatStr);
  var defaultOptions2 = getDefaultOptions();
  var locale2 = (_ref = (_options$locale = options === null || options === void 0 ? void 0 : options.locale) !== null && _options$locale !== void 0 ? _options$locale : defaultOptions2.locale) !== null && _ref !== void 0 ? _ref : locale$1;
  var firstWeekContainsDate = toInteger((_ref2 = (_ref3 = (_ref4 = (_options$firstWeekCon = options === null || options === void 0 ? void 0 : options.firstWeekContainsDate) !== null && _options$firstWeekCon !== void 0 ? _options$firstWeekCon : options === null || options === void 0 ? void 0 : (_options$locale2 = options.locale) === null || _options$locale2 === void 0 ? void 0 : (_options$locale2$opti = _options$locale2.options) === null || _options$locale2$opti === void 0 ? void 0 : _options$locale2$opti.firstWeekContainsDate) !== null && _ref4 !== void 0 ? _ref4 : defaultOptions2.firstWeekContainsDate) !== null && _ref3 !== void 0 ? _ref3 : (_defaultOptions$local = defaultOptions2.locale) === null || _defaultOptions$local === void 0 ? void 0 : (_defaultOptions$local2 = _defaultOptions$local.options) === null || _defaultOptions$local2 === void 0 ? void 0 : _defaultOptions$local2.firstWeekContainsDate) !== null && _ref2 !== void 0 ? _ref2 : 1);
  if (!(firstWeekContainsDate >= 1 && firstWeekContainsDate <= 7)) {
    throw new RangeError("firstWeekContainsDate must be between 1 and 7 inclusively");
  }
  var weekStartsOn = toInteger((_ref5 = (_ref6 = (_ref7 = (_options$weekStartsOn = options === null || options === void 0 ? void 0 : options.weekStartsOn) !== null && _options$weekStartsOn !== void 0 ? _options$weekStartsOn : options === null || options === void 0 ? void 0 : (_options$locale3 = options.locale) === null || _options$locale3 === void 0 ? void 0 : (_options$locale3$opti = _options$locale3.options) === null || _options$locale3$opti === void 0 ? void 0 : _options$locale3$opti.weekStartsOn) !== null && _ref7 !== void 0 ? _ref7 : defaultOptions2.weekStartsOn) !== null && _ref6 !== void 0 ? _ref6 : (_defaultOptions$local3 = defaultOptions2.locale) === null || _defaultOptions$local3 === void 0 ? void 0 : (_defaultOptions$local4 = _defaultOptions$local3.options) === null || _defaultOptions$local4 === void 0 ? void 0 : _defaultOptions$local4.weekStartsOn) !== null && _ref5 !== void 0 ? _ref5 : 0);
  if (!(weekStartsOn >= 0 && weekStartsOn <= 6)) {
    throw new RangeError("weekStartsOn must be between 0 and 6 inclusively");
  }
  if (!locale2.localize) {
    throw new RangeError("locale must contain localize property");
  }
  if (!locale2.formatLong) {
    throw new RangeError("locale must contain formatLong property");
  }
  var originalDate = toDate(dirtyDate);
  if (!isValid(originalDate)) {
    throw new RangeError("Invalid time value");
  }
  var timezoneOffset = getTimezoneOffsetInMilliseconds(originalDate);
  var utcDate = subMilliseconds(originalDate, timezoneOffset);
  var formatterOptions = {
    firstWeekContainsDate,
    weekStartsOn,
    locale: locale2,
    _originalDate: originalDate
  };
  var result = formatStr.match(longFormattingTokensRegExp$1).map(function(substring) {
    var firstCharacter = substring[0];
    if (firstCharacter === "p" || firstCharacter === "P") {
      var longFormatter = longFormatters[firstCharacter];
      return longFormatter(substring, locale2.formatLong);
    }
    return substring;
  }).join("").match(formattingTokensRegExp$1).map(function(substring) {
    if (substring === "''") {
      return "'";
    }
    var firstCharacter = substring[0];
    if (firstCharacter === "'") {
      return cleanEscapedString$1(substring);
    }
    var formatter = formatters[firstCharacter];
    if (formatter) {
      if (!(options !== null && options !== void 0 && options.useAdditionalWeekYearTokens) && isProtectedWeekYearToken(substring)) {
        throwProtectedError(substring, dirtyFormatStr, String(dirtyDate));
      }
      if (!(options !== null && options !== void 0 && options.useAdditionalDayOfYearTokens) && isProtectedDayOfYearToken(substring)) {
        throwProtectedError(substring, dirtyFormatStr, String(dirtyDate));
      }
      return formatter(utcDate, substring, locale2.localize, formatterOptions);
    }
    if (firstCharacter.match(unescapedLatinCharacterRegExp$1)) {
      throw new RangeError("Format string contains an unescaped latin alphabet character `" + firstCharacter + "`");
    }
    return substring;
  }).join("");
  return result;
}
function cleanEscapedString$1(input) {
  var matched = input.match(escapedStringRegExp$1);
  if (!matched) {
    return input;
  }
  return matched[1].replace(doubleQuoteRegExp$1, "'");
}
function assign(target, object) {
  if (target == null) {
    throw new TypeError("assign requires that input parameter not be null or undefined");
  }
  for (var property2 in object) {
    if (Object.prototype.hasOwnProperty.call(object, property2)) {
      target[property2] = object[property2];
    }
  }
  return target;
}
function getDate(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var dayOfMonth = date.getDate();
  return dayOfMonth;
}
function getDay(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var day = date.getDay();
  return day;
}
function getDaysInMonth(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var year = date.getFullYear();
  var monthIndex = date.getMonth();
  var lastDayOfMonth = new Date(0);
  lastDayOfMonth.setFullYear(year, monthIndex + 1, 0);
  lastDayOfMonth.setHours(0, 0, 0, 0);
  return lastDayOfMonth.getDate();
}
function getHours(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var hours = date.getHours();
  return hours;
}
function getMilliseconds(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var milliseconds = date.getMilliseconds();
  return milliseconds;
}
function getMinutes(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var minutes = date.getMinutes();
  return minutes;
}
function getMonth(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var month = date.getMonth();
  return month;
}
function getSeconds(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var seconds = date.getSeconds();
  return seconds;
}
function getWeekYear(dirtyDate, options) {
  var _ref, _ref2, _ref3, _options$firstWeekCon, _options$locale, _options$locale$optio, _defaultOptions$local, _defaultOptions$local2;
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var year = date.getFullYear();
  var defaultOptions2 = getDefaultOptions();
  var firstWeekContainsDate = toInteger((_ref = (_ref2 = (_ref3 = (_options$firstWeekCon = options === null || options === void 0 ? void 0 : options.firstWeekContainsDate) !== null && _options$firstWeekCon !== void 0 ? _options$firstWeekCon : options === null || options === void 0 ? void 0 : (_options$locale = options.locale) === null || _options$locale === void 0 ? void 0 : (_options$locale$optio = _options$locale.options) === null || _options$locale$optio === void 0 ? void 0 : _options$locale$optio.firstWeekContainsDate) !== null && _ref3 !== void 0 ? _ref3 : defaultOptions2.firstWeekContainsDate) !== null && _ref2 !== void 0 ? _ref2 : (_defaultOptions$local = defaultOptions2.locale) === null || _defaultOptions$local === void 0 ? void 0 : (_defaultOptions$local2 = _defaultOptions$local.options) === null || _defaultOptions$local2 === void 0 ? void 0 : _defaultOptions$local2.firstWeekContainsDate) !== null && _ref !== void 0 ? _ref : 1);
  if (!(firstWeekContainsDate >= 1 && firstWeekContainsDate <= 7)) {
    throw new RangeError("firstWeekContainsDate must be between 1 and 7 inclusively");
  }
  var firstWeekOfNextYear = new Date(0);
  firstWeekOfNextYear.setFullYear(year + 1, 0, firstWeekContainsDate);
  firstWeekOfNextYear.setHours(0, 0, 0, 0);
  var startOfNextYear = startOfWeek(firstWeekOfNextYear, options);
  var firstWeekOfThisYear = new Date(0);
  firstWeekOfThisYear.setFullYear(year, 0, firstWeekContainsDate);
  firstWeekOfThisYear.setHours(0, 0, 0, 0);
  var startOfThisYear = startOfWeek(firstWeekOfThisYear, options);
  if (date.getTime() >= startOfNextYear.getTime()) {
    return year + 1;
  } else if (date.getTime() >= startOfThisYear.getTime()) {
    return year;
  } else {
    return year - 1;
  }
}
function startOfWeekYear(dirtyDate, options) {
  var _ref, _ref2, _ref3, _options$firstWeekCon, _options$locale, _options$locale$optio, _defaultOptions$local, _defaultOptions$local2;
  requiredArgs(1, arguments);
  var defaultOptions2 = getDefaultOptions();
  var firstWeekContainsDate = toInteger((_ref = (_ref2 = (_ref3 = (_options$firstWeekCon = options === null || options === void 0 ? void 0 : options.firstWeekContainsDate) !== null && _options$firstWeekCon !== void 0 ? _options$firstWeekCon : options === null || options === void 0 ? void 0 : (_options$locale = options.locale) === null || _options$locale === void 0 ? void 0 : (_options$locale$optio = _options$locale.options) === null || _options$locale$optio === void 0 ? void 0 : _options$locale$optio.firstWeekContainsDate) !== null && _ref3 !== void 0 ? _ref3 : defaultOptions2.firstWeekContainsDate) !== null && _ref2 !== void 0 ? _ref2 : (_defaultOptions$local = defaultOptions2.locale) === null || _defaultOptions$local === void 0 ? void 0 : (_defaultOptions$local2 = _defaultOptions$local.options) === null || _defaultOptions$local2 === void 0 ? void 0 : _defaultOptions$local2.firstWeekContainsDate) !== null && _ref !== void 0 ? _ref : 1);
  var year = getWeekYear(dirtyDate, options);
  var firstWeek = new Date(0);
  firstWeek.setFullYear(year, 0, firstWeekContainsDate);
  firstWeek.setHours(0, 0, 0, 0);
  var date = startOfWeek(firstWeek, options);
  return date;
}
var MILLISECONDS_IN_WEEK = 6048e5;
function getWeek(dirtyDate, options) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  var diff = startOfWeek(date, options).getTime() - startOfWeekYear(date, options).getTime();
  return Math.round(diff / MILLISECONDS_IN_WEEK) + 1;
}
function getYear(dirtyDate) {
  requiredArgs(1, arguments);
  return toDate(dirtyDate).getFullYear();
}
function _arrayLikeToArray(r, a3) {
  (null == a3 || a3 > r.length) && (a3 = r.length);
  for (var e2 = 0, n = Array(a3); e2 < a3; e2++)
    n[e2] = r[e2];
  return n;
}
function _unsupportedIterableToArray(r, a3) {
  if (r) {
    if ("string" == typeof r)
      return _arrayLikeToArray(r, a3);
    var t2 = {}.toString.call(r).slice(8, -1);
    return "Object" === t2 && r.constructor && (t2 = r.constructor.name), "Map" === t2 || "Set" === t2 ? Array.from(r) : "Arguments" === t2 || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t2) ? _arrayLikeToArray(r, a3) : void 0;
  }
}
function _createForOfIteratorHelper(r, e2) {
  var t2 = "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"];
  if (!t2) {
    if (Array.isArray(r) || (t2 = _unsupportedIterableToArray(r)) || e2) {
      t2 && (r = t2);
      var _n = 0, F = function F2() {
      };
      return {
        s: F,
        n: function n() {
          return _n >= r.length ? {
            done: true
          } : {
            done: false,
            value: r[_n++]
          };
        },
        e: function e3(r2) {
          throw r2;
        },
        f: F
      };
    }
    throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }
  var o, a3 = true, u2 = false;
  return {
    s: function s3() {
      t2 = t2.call(r);
    },
    n: function n() {
      var r2 = t2.next();
      return a3 = r2.done, r2;
    },
    e: function e3(r2) {
      u2 = true, o = r2;
    },
    f: function f() {
      try {
        a3 || null == t2["return"] || t2["return"]();
      } finally {
        if (u2)
          throw o;
      }
    }
  };
}
function _assertThisInitialized(e2) {
  if (void 0 === e2)
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  return e2;
}
function _setPrototypeOf(t2, e2) {
  return _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function(t3, e3) {
    return t3.__proto__ = e3, t3;
  }, _setPrototypeOf(t2, e2);
}
function _inherits(t2, e2) {
  if ("function" != typeof e2 && null !== e2)
    throw new TypeError("Super expression must either be null or a function");
  t2.prototype = Object.create(e2 && e2.prototype, {
    constructor: {
      value: t2,
      writable: true,
      configurable: true
    }
  }), Object.defineProperty(t2, "prototype", {
    writable: false
  }), e2 && _setPrototypeOf(t2, e2);
}
function _getPrototypeOf(t2) {
  return _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function(t3) {
    return t3.__proto__ || Object.getPrototypeOf(t3);
  }, _getPrototypeOf(t2);
}
function _isNativeReflectConstruct() {
  try {
    var t2 = !Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {
    }));
  } catch (t3) {
  }
  return (_isNativeReflectConstruct = function _isNativeReflectConstruct2() {
    return !!t2;
  })();
}
function _possibleConstructorReturn(t2, e2) {
  if (e2 && ("object" == _typeof(e2) || "function" == typeof e2))
    return e2;
  if (void 0 !== e2)
    throw new TypeError("Derived constructors may only return object or undefined");
  return _assertThisInitialized(t2);
}
function _createSuper(t2) {
  var r = _isNativeReflectConstruct();
  return function() {
    var e2, o = _getPrototypeOf(t2);
    if (r) {
      var s3 = _getPrototypeOf(this).constructor;
      e2 = Reflect.construct(o, arguments, s3);
    } else
      e2 = o.apply(this, arguments);
    return _possibleConstructorReturn(this, e2);
  };
}
function _classCallCheck(a3, n) {
  if (!(a3 instanceof n))
    throw new TypeError("Cannot call a class as a function");
}
function toPrimitive(t2, r) {
  if ("object" != _typeof(t2) || !t2)
    return t2;
  var e2 = t2[Symbol.toPrimitive];
  if (void 0 !== e2) {
    var i2 = e2.call(t2, r || "default");
    if ("object" != _typeof(i2))
      return i2;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return ("string" === r ? String : Number)(t2);
}
function toPropertyKey(t2) {
  var i2 = toPrimitive(t2, "string");
  return "symbol" == _typeof(i2) ? i2 : i2 + "";
}
function _defineProperties(e2, r) {
  for (var t2 = 0; t2 < r.length; t2++) {
    var o = r[t2];
    o.enumerable = o.enumerable || false, o.configurable = true, "value" in o && (o.writable = true), Object.defineProperty(e2, toPropertyKey(o.key), o);
  }
}
function _createClass(e2, r, t2) {
  return r && _defineProperties(e2.prototype, r), Object.defineProperty(e2, "prototype", {
    writable: false
  }), e2;
}
function _defineProperty(e2, r, t2) {
  return (r = toPropertyKey(r)) in e2 ? Object.defineProperty(e2, r, {
    value: t2,
    enumerable: true,
    configurable: true,
    writable: true
  }) : e2[r] = t2, e2;
}
var TIMEZONE_UNIT_PRIORITY = 10;
var Setter = /* @__PURE__ */ function() {
  function Setter2() {
    _classCallCheck(this, Setter2);
    _defineProperty(this, "priority", void 0);
    _defineProperty(this, "subPriority", 0);
  }
  _createClass(Setter2, [{
    key: "validate",
    value: function validate(_utcDate, _options) {
      return true;
    }
  }]);
  return Setter2;
}();
var ValueSetter = /* @__PURE__ */ function(_Setter) {
  _inherits(ValueSetter2, _Setter);
  var _super = _createSuper(ValueSetter2);
  function ValueSetter2(value, validateValue, setValue, priority, subPriority) {
    var _this;
    _classCallCheck(this, ValueSetter2);
    _this = _super.call(this);
    _this.value = value;
    _this.validateValue = validateValue;
    _this.setValue = setValue;
    _this.priority = priority;
    if (subPriority) {
      _this.subPriority = subPriority;
    }
    return _this;
  }
  _createClass(ValueSetter2, [{
    key: "validate",
    value: function validate(utcDate, options) {
      return this.validateValue(utcDate, this.value, options);
    }
  }, {
    key: "set",
    value: function set(utcDate, flags, options) {
      return this.setValue(utcDate, flags, this.value, options);
    }
  }]);
  return ValueSetter2;
}(Setter);
var DateToSystemTimezoneSetter = /* @__PURE__ */ function(_Setter2) {
  _inherits(DateToSystemTimezoneSetter2, _Setter2);
  var _super2 = _createSuper(DateToSystemTimezoneSetter2);
  function DateToSystemTimezoneSetter2() {
    var _this2;
    _classCallCheck(this, DateToSystemTimezoneSetter2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this2 = _super2.call.apply(_super2, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this2), "priority", TIMEZONE_UNIT_PRIORITY);
    _defineProperty(_assertThisInitialized(_this2), "subPriority", -1);
    return _this2;
  }
  _createClass(DateToSystemTimezoneSetter2, [{
    key: "set",
    value: function set(date, flags) {
      if (flags.timestampIsSet) {
        return date;
      }
      var convertedDate = new Date(0);
      convertedDate.setFullYear(date.getUTCFullYear(), date.getUTCMonth(), date.getUTCDate());
      convertedDate.setHours(date.getUTCHours(), date.getUTCMinutes(), date.getUTCSeconds(), date.getUTCMilliseconds());
      return convertedDate;
    }
  }]);
  return DateToSystemTimezoneSetter2;
}(Setter);
var Parser = /* @__PURE__ */ function() {
  function Parser2() {
    _classCallCheck(this, Parser2);
    _defineProperty(this, "incompatibleTokens", void 0);
    _defineProperty(this, "priority", void 0);
    _defineProperty(this, "subPriority", void 0);
  }
  _createClass(Parser2, [{
    key: "run",
    value: function run(dateString, token, match2, options) {
      var result = this.parse(dateString, token, match2, options);
      if (!result) {
        return null;
      }
      return {
        setter: new ValueSetter(result.value, this.validate, this.set, this.priority, this.subPriority),
        rest: result.rest
      };
    }
  }, {
    key: "validate",
    value: function validate(_utcDate, _value, _options) {
      return true;
    }
  }]);
  return Parser2;
}();
var EraParser = /* @__PURE__ */ function(_Parser) {
  _inherits(EraParser2, _Parser);
  var _super = _createSuper(EraParser2);
  function EraParser2() {
    var _this;
    _classCallCheck(this, EraParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 140);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["R", "u", "t", "T"]);
    return _this;
  }
  _createClass(EraParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "G":
        case "GG":
        case "GGG":
          return match2.era(dateString, {
            width: "abbreviated"
          }) || match2.era(dateString, {
            width: "narrow"
          });
        case "GGGGG":
          return match2.era(dateString, {
            width: "narrow"
          });
        case "GGGG":
        default:
          return match2.era(dateString, {
            width: "wide"
          }) || match2.era(dateString, {
            width: "abbreviated"
          }) || match2.era(dateString, {
            width: "narrow"
          });
      }
    }
  }, {
    key: "set",
    value: function set(date, flags, value) {
      flags.era = value;
      date.setUTCFullYear(value, 0, 1);
      date.setUTCHours(0, 0, 0, 0);
      return date;
    }
  }]);
  return EraParser2;
}(Parser);
var numericPatterns = {
  month: /^(1[0-2]|0?\d)/,
  date: /^(3[0-1]|[0-2]?\d)/,
  dayOfYear: /^(36[0-6]|3[0-5]\d|[0-2]?\d?\d)/,
  week: /^(5[0-3]|[0-4]?\d)/,
  hour23h: /^(2[0-3]|[0-1]?\d)/,
  hour24h: /^(2[0-4]|[0-1]?\d)/,
  hour11h: /^(1[0-1]|0?\d)/,
  hour12h: /^(1[0-2]|0?\d)/,
  minute: /^[0-5]?\d/,
  second: /^[0-5]?\d/,
  singleDigit: /^\d/,
  twoDigits: /^\d{1,2}/,
  threeDigits: /^\d{1,3}/,
  fourDigits: /^\d{1,4}/,
  anyDigitsSigned: /^-?\d+/,
  singleDigitSigned: /^-?\d/,
  twoDigitsSigned: /^-?\d{1,2}/,
  threeDigitsSigned: /^-?\d{1,3}/,
  fourDigitsSigned: /^-?\d{1,4}/
};
var timezonePatterns = {
  basicOptionalMinutes: /^([+-])(\d{2})(\d{2})?|Z/,
  basic: /^([+-])(\d{2})(\d{2})|Z/,
  basicOptionalSeconds: /^([+-])(\d{2})(\d{2})((\d{2}))?|Z/,
  extended: /^([+-])(\d{2}):(\d{2})|Z/,
  extendedOptionalSeconds: /^([+-])(\d{2}):(\d{2})(:(\d{2}))?|Z/
};
function mapValue(parseFnResult, mapFn) {
  if (!parseFnResult) {
    return parseFnResult;
  }
  return {
    value: mapFn(parseFnResult.value),
    rest: parseFnResult.rest
  };
}
function parseNumericPattern(pattern, dateString) {
  var matchResult = dateString.match(pattern);
  if (!matchResult) {
    return null;
  }
  return {
    value: parseInt(matchResult[0], 10),
    rest: dateString.slice(matchResult[0].length)
  };
}
function parseTimezonePattern(pattern, dateString) {
  var matchResult = dateString.match(pattern);
  if (!matchResult) {
    return null;
  }
  if (matchResult[0] === "Z") {
    return {
      value: 0,
      rest: dateString.slice(1)
    };
  }
  var sign = matchResult[1] === "+" ? 1 : -1;
  var hours = matchResult[2] ? parseInt(matchResult[2], 10) : 0;
  var minutes = matchResult[3] ? parseInt(matchResult[3], 10) : 0;
  var seconds = matchResult[5] ? parseInt(matchResult[5], 10) : 0;
  return {
    value: sign * (hours * millisecondsInHour + minutes * millisecondsInMinute + seconds * millisecondsInSecond),
    rest: dateString.slice(matchResult[0].length)
  };
}
function parseAnyDigitsSigned(dateString) {
  return parseNumericPattern(numericPatterns.anyDigitsSigned, dateString);
}
function parseNDigits(n, dateString) {
  switch (n) {
    case 1:
      return parseNumericPattern(numericPatterns.singleDigit, dateString);
    case 2:
      return parseNumericPattern(numericPatterns.twoDigits, dateString);
    case 3:
      return parseNumericPattern(numericPatterns.threeDigits, dateString);
    case 4:
      return parseNumericPattern(numericPatterns.fourDigits, dateString);
    default:
      return parseNumericPattern(new RegExp("^\\d{1," + n + "}"), dateString);
  }
}
function parseNDigitsSigned(n, dateString) {
  switch (n) {
    case 1:
      return parseNumericPattern(numericPatterns.singleDigitSigned, dateString);
    case 2:
      return parseNumericPattern(numericPatterns.twoDigitsSigned, dateString);
    case 3:
      return parseNumericPattern(numericPatterns.threeDigitsSigned, dateString);
    case 4:
      return parseNumericPattern(numericPatterns.fourDigitsSigned, dateString);
    default:
      return parseNumericPattern(new RegExp("^-?\\d{1," + n + "}"), dateString);
  }
}
function dayPeriodEnumToHours(dayPeriod) {
  switch (dayPeriod) {
    case "morning":
      return 4;
    case "evening":
      return 17;
    case "pm":
    case "noon":
    case "afternoon":
      return 12;
    case "am":
    case "midnight":
    case "night":
    default:
      return 0;
  }
}
function normalizeTwoDigitYear(twoDigitYear, currentYear) {
  var isCommonEra = currentYear > 0;
  var absCurrentYear = isCommonEra ? currentYear : 1 - currentYear;
  var result;
  if (absCurrentYear <= 50) {
    result = twoDigitYear || 100;
  } else {
    var rangeEnd = absCurrentYear + 50;
    var rangeEndCentury = Math.floor(rangeEnd / 100) * 100;
    var isPreviousCentury = twoDigitYear >= rangeEnd % 100;
    result = twoDigitYear + rangeEndCentury - (isPreviousCentury ? 100 : 0);
  }
  return isCommonEra ? result : 1 - result;
}
function isLeapYearIndex(year) {
  return year % 400 === 0 || year % 4 === 0 && year % 100 !== 0;
}
var YearParser = /* @__PURE__ */ function(_Parser) {
  _inherits(YearParser2, _Parser);
  var _super = _createSuper(YearParser2);
  function YearParser2() {
    var _this;
    _classCallCheck(this, YearParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 130);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["Y", "R", "u", "w", "I", "i", "e", "c", "t", "T"]);
    return _this;
  }
  _createClass(YearParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      var valueCallback5 = function valueCallback6(year) {
        return {
          year,
          isTwoDigitYear: token === "yy"
        };
      };
      switch (token) {
        case "y":
          return mapValue(parseNDigits(4, dateString), valueCallback5);
        case "yo":
          return mapValue(match2.ordinalNumber(dateString, {
            unit: "year"
          }), valueCallback5);
        default:
          return mapValue(parseNDigits(token.length, dateString), valueCallback5);
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value.isTwoDigitYear || value.year > 0;
    }
  }, {
    key: "set",
    value: function set(date, flags, value) {
      var currentYear = date.getUTCFullYear();
      if (value.isTwoDigitYear) {
        var normalizedTwoDigitYear = normalizeTwoDigitYear(value.year, currentYear);
        date.setUTCFullYear(normalizedTwoDigitYear, 0, 1);
        date.setUTCHours(0, 0, 0, 0);
        return date;
      }
      var year = !("era" in flags) || flags.era === 1 ? value.year : 1 - value.year;
      date.setUTCFullYear(year, 0, 1);
      date.setUTCHours(0, 0, 0, 0);
      return date;
    }
  }]);
  return YearParser2;
}(Parser);
var LocalWeekYearParser = /* @__PURE__ */ function(_Parser) {
  _inherits(LocalWeekYearParser2, _Parser);
  var _super = _createSuper(LocalWeekYearParser2);
  function LocalWeekYearParser2() {
    var _this;
    _classCallCheck(this, LocalWeekYearParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 130);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["y", "R", "u", "Q", "q", "M", "L", "I", "d", "D", "i", "t", "T"]);
    return _this;
  }
  _createClass(LocalWeekYearParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      var valueCallback5 = function valueCallback6(year) {
        return {
          year,
          isTwoDigitYear: token === "YY"
        };
      };
      switch (token) {
        case "Y":
          return mapValue(parseNDigits(4, dateString), valueCallback5);
        case "Yo":
          return mapValue(match2.ordinalNumber(dateString, {
            unit: "year"
          }), valueCallback5);
        default:
          return mapValue(parseNDigits(token.length, dateString), valueCallback5);
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value.isTwoDigitYear || value.year > 0;
    }
  }, {
    key: "set",
    value: function set(date, flags, value, options) {
      var currentYear = getUTCWeekYear(date, options);
      if (value.isTwoDigitYear) {
        var normalizedTwoDigitYear = normalizeTwoDigitYear(value.year, currentYear);
        date.setUTCFullYear(normalizedTwoDigitYear, 0, options.firstWeekContainsDate);
        date.setUTCHours(0, 0, 0, 0);
        return startOfUTCWeek(date, options);
      }
      var year = !("era" in flags) || flags.era === 1 ? value.year : 1 - value.year;
      date.setUTCFullYear(year, 0, options.firstWeekContainsDate);
      date.setUTCHours(0, 0, 0, 0);
      return startOfUTCWeek(date, options);
    }
  }]);
  return LocalWeekYearParser2;
}(Parser);
var ISOWeekYearParser = /* @__PURE__ */ function(_Parser) {
  _inherits(ISOWeekYearParser2, _Parser);
  var _super = _createSuper(ISOWeekYearParser2);
  function ISOWeekYearParser2() {
    var _this;
    _classCallCheck(this, ISOWeekYearParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 130);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["G", "y", "Y", "u", "Q", "q", "M", "L", "w", "d", "D", "e", "c", "t", "T"]);
    return _this;
  }
  _createClass(ISOWeekYearParser2, [{
    key: "parse",
    value: function parse2(dateString, token) {
      if (token === "R") {
        return parseNDigitsSigned(4, dateString);
      }
      return parseNDigitsSigned(token.length, dateString);
    }
  }, {
    key: "set",
    value: function set(_date, _flags, value) {
      var firstWeekOfYear = new Date(0);
      firstWeekOfYear.setUTCFullYear(value, 0, 4);
      firstWeekOfYear.setUTCHours(0, 0, 0, 0);
      return startOfUTCISOWeek(firstWeekOfYear);
    }
  }]);
  return ISOWeekYearParser2;
}(Parser);
var ExtendedYearParser = /* @__PURE__ */ function(_Parser) {
  _inherits(ExtendedYearParser2, _Parser);
  var _super = _createSuper(ExtendedYearParser2);
  function ExtendedYearParser2() {
    var _this;
    _classCallCheck(this, ExtendedYearParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 130);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["G", "y", "Y", "R", "w", "I", "i", "e", "c", "t", "T"]);
    return _this;
  }
  _createClass(ExtendedYearParser2, [{
    key: "parse",
    value: function parse2(dateString, token) {
      if (token === "u") {
        return parseNDigitsSigned(4, dateString);
      }
      return parseNDigitsSigned(token.length, dateString);
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCFullYear(value, 0, 1);
      date.setUTCHours(0, 0, 0, 0);
      return date;
    }
  }]);
  return ExtendedYearParser2;
}(Parser);
var QuarterParser = /* @__PURE__ */ function(_Parser) {
  _inherits(QuarterParser2, _Parser);
  var _super = _createSuper(QuarterParser2);
  function QuarterParser2() {
    var _this;
    _classCallCheck(this, QuarterParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 120);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["Y", "R", "q", "M", "L", "w", "I", "d", "D", "i", "e", "c", "t", "T"]);
    return _this;
  }
  _createClass(QuarterParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "Q":
        case "QQ":
          return parseNDigits(token.length, dateString);
        case "Qo":
          return match2.ordinalNumber(dateString, {
            unit: "quarter"
          });
        case "QQQ":
          return match2.quarter(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.quarter(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "QQQQQ":
          return match2.quarter(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "QQQQ":
        default:
          return match2.quarter(dateString, {
            width: "wide",
            context: "formatting"
          }) || match2.quarter(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.quarter(dateString, {
            width: "narrow",
            context: "formatting"
          });
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 1 && value <= 4;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCMonth((value - 1) * 3, 1);
      date.setUTCHours(0, 0, 0, 0);
      return date;
    }
  }]);
  return QuarterParser2;
}(Parser);
var StandAloneQuarterParser = /* @__PURE__ */ function(_Parser) {
  _inherits(StandAloneQuarterParser2, _Parser);
  var _super = _createSuper(StandAloneQuarterParser2);
  function StandAloneQuarterParser2() {
    var _this;
    _classCallCheck(this, StandAloneQuarterParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 120);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["Y", "R", "Q", "M", "L", "w", "I", "d", "D", "i", "e", "c", "t", "T"]);
    return _this;
  }
  _createClass(StandAloneQuarterParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "q":
        case "qq":
          return parseNDigits(token.length, dateString);
        case "qo":
          return match2.ordinalNumber(dateString, {
            unit: "quarter"
          });
        case "qqq":
          return match2.quarter(dateString, {
            width: "abbreviated",
            context: "standalone"
          }) || match2.quarter(dateString, {
            width: "narrow",
            context: "standalone"
          });
        case "qqqqq":
          return match2.quarter(dateString, {
            width: "narrow",
            context: "standalone"
          });
        case "qqqq":
        default:
          return match2.quarter(dateString, {
            width: "wide",
            context: "standalone"
          }) || match2.quarter(dateString, {
            width: "abbreviated",
            context: "standalone"
          }) || match2.quarter(dateString, {
            width: "narrow",
            context: "standalone"
          });
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 1 && value <= 4;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCMonth((value - 1) * 3, 1);
      date.setUTCHours(0, 0, 0, 0);
      return date;
    }
  }]);
  return StandAloneQuarterParser2;
}(Parser);
var MonthParser = /* @__PURE__ */ function(_Parser) {
  _inherits(MonthParser2, _Parser);
  var _super = _createSuper(MonthParser2);
  function MonthParser2() {
    var _this;
    _classCallCheck(this, MonthParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["Y", "R", "q", "Q", "L", "w", "I", "D", "i", "e", "c", "t", "T"]);
    _defineProperty(_assertThisInitialized(_this), "priority", 110);
    return _this;
  }
  _createClass(MonthParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      var valueCallback5 = function valueCallback6(value) {
        return value - 1;
      };
      switch (token) {
        case "M":
          return mapValue(parseNumericPattern(numericPatterns.month, dateString), valueCallback5);
        case "MM":
          return mapValue(parseNDigits(2, dateString), valueCallback5);
        case "Mo":
          return mapValue(match2.ordinalNumber(dateString, {
            unit: "month"
          }), valueCallback5);
        case "MMM":
          return match2.month(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.month(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "MMMMM":
          return match2.month(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "MMMM":
        default:
          return match2.month(dateString, {
            width: "wide",
            context: "formatting"
          }) || match2.month(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.month(dateString, {
            width: "narrow",
            context: "formatting"
          });
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 0 && value <= 11;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCMonth(value, 1);
      date.setUTCHours(0, 0, 0, 0);
      return date;
    }
  }]);
  return MonthParser2;
}(Parser);
var StandAloneMonthParser = /* @__PURE__ */ function(_Parser) {
  _inherits(StandAloneMonthParser2, _Parser);
  var _super = _createSuper(StandAloneMonthParser2);
  function StandAloneMonthParser2() {
    var _this;
    _classCallCheck(this, StandAloneMonthParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 110);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["Y", "R", "q", "Q", "M", "w", "I", "D", "i", "e", "c", "t", "T"]);
    return _this;
  }
  _createClass(StandAloneMonthParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      var valueCallback5 = function valueCallback6(value) {
        return value - 1;
      };
      switch (token) {
        case "L":
          return mapValue(parseNumericPattern(numericPatterns.month, dateString), valueCallback5);
        case "LL":
          return mapValue(parseNDigits(2, dateString), valueCallback5);
        case "Lo":
          return mapValue(match2.ordinalNumber(dateString, {
            unit: "month"
          }), valueCallback5);
        case "LLL":
          return match2.month(dateString, {
            width: "abbreviated",
            context: "standalone"
          }) || match2.month(dateString, {
            width: "narrow",
            context: "standalone"
          });
        case "LLLLL":
          return match2.month(dateString, {
            width: "narrow",
            context: "standalone"
          });
        case "LLLL":
        default:
          return match2.month(dateString, {
            width: "wide",
            context: "standalone"
          }) || match2.month(dateString, {
            width: "abbreviated",
            context: "standalone"
          }) || match2.month(dateString, {
            width: "narrow",
            context: "standalone"
          });
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 0 && value <= 11;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCMonth(value, 1);
      date.setUTCHours(0, 0, 0, 0);
      return date;
    }
  }]);
  return StandAloneMonthParser2;
}(Parser);
function setUTCWeek(dirtyDate, dirtyWeek, options) {
  requiredArgs(2, arguments);
  var date = toDate(dirtyDate);
  var week = toInteger(dirtyWeek);
  var diff = getUTCWeek(date, options) - week;
  date.setUTCDate(date.getUTCDate() - diff * 7);
  return date;
}
var LocalWeekParser = /* @__PURE__ */ function(_Parser) {
  _inherits(LocalWeekParser2, _Parser);
  var _super = _createSuper(LocalWeekParser2);
  function LocalWeekParser2() {
    var _this;
    _classCallCheck(this, LocalWeekParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 100);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["y", "R", "u", "q", "Q", "M", "L", "I", "d", "D", "i", "t", "T"]);
    return _this;
  }
  _createClass(LocalWeekParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "w":
          return parseNumericPattern(numericPatterns.week, dateString);
        case "wo":
          return match2.ordinalNumber(dateString, {
            unit: "week"
          });
        default:
          return parseNDigits(token.length, dateString);
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 1 && value <= 53;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value, options) {
      return startOfUTCWeek(setUTCWeek(date, value, options), options);
    }
  }]);
  return LocalWeekParser2;
}(Parser);
function setUTCISOWeek(dirtyDate, dirtyISOWeek) {
  requiredArgs(2, arguments);
  var date = toDate(dirtyDate);
  var isoWeek = toInteger(dirtyISOWeek);
  var diff = getUTCISOWeek(date) - isoWeek;
  date.setUTCDate(date.getUTCDate() - diff * 7);
  return date;
}
var ISOWeekParser = /* @__PURE__ */ function(_Parser) {
  _inherits(ISOWeekParser2, _Parser);
  var _super = _createSuper(ISOWeekParser2);
  function ISOWeekParser2() {
    var _this;
    _classCallCheck(this, ISOWeekParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 100);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["y", "Y", "u", "q", "Q", "M", "L", "w", "d", "D", "e", "c", "t", "T"]);
    return _this;
  }
  _createClass(ISOWeekParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "I":
          return parseNumericPattern(numericPatterns.week, dateString);
        case "Io":
          return match2.ordinalNumber(dateString, {
            unit: "week"
          });
        default:
          return parseNDigits(token.length, dateString);
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 1 && value <= 53;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      return startOfUTCISOWeek(setUTCISOWeek(date, value));
    }
  }]);
  return ISOWeekParser2;
}(Parser);
var DAYS_IN_MONTH = [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
var DAYS_IN_MONTH_LEAP_YEAR = [31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
var DateParser = /* @__PURE__ */ function(_Parser) {
  _inherits(DateParser2, _Parser);
  var _super = _createSuper(DateParser2);
  function DateParser2() {
    var _this;
    _classCallCheck(this, DateParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 90);
    _defineProperty(_assertThisInitialized(_this), "subPriority", 1);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["Y", "R", "q", "Q", "w", "I", "D", "i", "e", "c", "t", "T"]);
    return _this;
  }
  _createClass(DateParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "d":
          return parseNumericPattern(numericPatterns.date, dateString);
        case "do":
          return match2.ordinalNumber(dateString, {
            unit: "date"
          });
        default:
          return parseNDigits(token.length, dateString);
      }
    }
  }, {
    key: "validate",
    value: function validate(date, value) {
      var year = date.getUTCFullYear();
      var isLeapYear = isLeapYearIndex(year);
      var month = date.getUTCMonth();
      if (isLeapYear) {
        return value >= 1 && value <= DAYS_IN_MONTH_LEAP_YEAR[month];
      } else {
        return value >= 1 && value <= DAYS_IN_MONTH[month];
      }
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCDate(value);
      date.setUTCHours(0, 0, 0, 0);
      return date;
    }
  }]);
  return DateParser2;
}(Parser);
var DayOfYearParser = /* @__PURE__ */ function(_Parser) {
  _inherits(DayOfYearParser2, _Parser);
  var _super = _createSuper(DayOfYearParser2);
  function DayOfYearParser2() {
    var _this;
    _classCallCheck(this, DayOfYearParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 90);
    _defineProperty(_assertThisInitialized(_this), "subpriority", 1);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["Y", "R", "q", "Q", "M", "L", "w", "I", "d", "E", "i", "e", "c", "t", "T"]);
    return _this;
  }
  _createClass(DayOfYearParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "D":
        case "DD":
          return parseNumericPattern(numericPatterns.dayOfYear, dateString);
        case "Do":
          return match2.ordinalNumber(dateString, {
            unit: "date"
          });
        default:
          return parseNDigits(token.length, dateString);
      }
    }
  }, {
    key: "validate",
    value: function validate(date, value) {
      var year = date.getUTCFullYear();
      var isLeapYear = isLeapYearIndex(year);
      if (isLeapYear) {
        return value >= 1 && value <= 366;
      } else {
        return value >= 1 && value <= 365;
      }
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCMonth(0, value);
      date.setUTCHours(0, 0, 0, 0);
      return date;
    }
  }]);
  return DayOfYearParser2;
}(Parser);
function setUTCDay(dirtyDate, dirtyDay, options) {
  var _ref, _ref2, _ref3, _options$weekStartsOn, _options$locale, _options$locale$optio, _defaultOptions$local, _defaultOptions$local2;
  requiredArgs(2, arguments);
  var defaultOptions2 = getDefaultOptions();
  var weekStartsOn = toInteger((_ref = (_ref2 = (_ref3 = (_options$weekStartsOn = options === null || options === void 0 ? void 0 : options.weekStartsOn) !== null && _options$weekStartsOn !== void 0 ? _options$weekStartsOn : options === null || options === void 0 ? void 0 : (_options$locale = options.locale) === null || _options$locale === void 0 ? void 0 : (_options$locale$optio = _options$locale.options) === null || _options$locale$optio === void 0 ? void 0 : _options$locale$optio.weekStartsOn) !== null && _ref3 !== void 0 ? _ref3 : defaultOptions2.weekStartsOn) !== null && _ref2 !== void 0 ? _ref2 : (_defaultOptions$local = defaultOptions2.locale) === null || _defaultOptions$local === void 0 ? void 0 : (_defaultOptions$local2 = _defaultOptions$local.options) === null || _defaultOptions$local2 === void 0 ? void 0 : _defaultOptions$local2.weekStartsOn) !== null && _ref !== void 0 ? _ref : 0);
  if (!(weekStartsOn >= 0 && weekStartsOn <= 6)) {
    throw new RangeError("weekStartsOn must be between 0 and 6 inclusively");
  }
  var date = toDate(dirtyDate);
  var day = toInteger(dirtyDay);
  var currentDay = date.getUTCDay();
  var remainder = day % 7;
  var dayIndex = (remainder + 7) % 7;
  var diff = (dayIndex < weekStartsOn ? 7 : 0) + day - currentDay;
  date.setUTCDate(date.getUTCDate() + diff);
  return date;
}
var DayParser = /* @__PURE__ */ function(_Parser) {
  _inherits(DayParser2, _Parser);
  var _super = _createSuper(DayParser2);
  function DayParser2() {
    var _this;
    _classCallCheck(this, DayParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 90);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["D", "i", "e", "c", "t", "T"]);
    return _this;
  }
  _createClass(DayParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "E":
        case "EE":
        case "EEE":
          return match2.day(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "short",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "EEEEE":
          return match2.day(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "EEEEEE":
          return match2.day(dateString, {
            width: "short",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "EEEE":
        default:
          return match2.day(dateString, {
            width: "wide",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "short",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "narrow",
            context: "formatting"
          });
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 0 && value <= 6;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value, options) {
      date = setUTCDay(date, value, options);
      date.setUTCHours(0, 0, 0, 0);
      return date;
    }
  }]);
  return DayParser2;
}(Parser);
var LocalDayParser = /* @__PURE__ */ function(_Parser) {
  _inherits(LocalDayParser2, _Parser);
  var _super = _createSuper(LocalDayParser2);
  function LocalDayParser2() {
    var _this;
    _classCallCheck(this, LocalDayParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 90);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["y", "R", "u", "q", "Q", "M", "L", "I", "d", "D", "E", "i", "c", "t", "T"]);
    return _this;
  }
  _createClass(LocalDayParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2, options) {
      var valueCallback5 = function valueCallback6(value) {
        var wholeWeekDays = Math.floor((value - 1) / 7) * 7;
        return (value + options.weekStartsOn + 6) % 7 + wholeWeekDays;
      };
      switch (token) {
        case "e":
        case "ee":
          return mapValue(parseNDigits(token.length, dateString), valueCallback5);
        case "eo":
          return mapValue(match2.ordinalNumber(dateString, {
            unit: "day"
          }), valueCallback5);
        case "eee":
          return match2.day(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "short",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "eeeee":
          return match2.day(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "eeeeee":
          return match2.day(dateString, {
            width: "short",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "eeee":
        default:
          return match2.day(dateString, {
            width: "wide",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "short",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "narrow",
            context: "formatting"
          });
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 0 && value <= 6;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value, options) {
      date = setUTCDay(date, value, options);
      date.setUTCHours(0, 0, 0, 0);
      return date;
    }
  }]);
  return LocalDayParser2;
}(Parser);
var StandAloneLocalDayParser = /* @__PURE__ */ function(_Parser) {
  _inherits(StandAloneLocalDayParser2, _Parser);
  var _super = _createSuper(StandAloneLocalDayParser2);
  function StandAloneLocalDayParser2() {
    var _this;
    _classCallCheck(this, StandAloneLocalDayParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 90);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["y", "R", "u", "q", "Q", "M", "L", "I", "d", "D", "E", "i", "e", "t", "T"]);
    return _this;
  }
  _createClass(StandAloneLocalDayParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2, options) {
      var valueCallback5 = function valueCallback6(value) {
        var wholeWeekDays = Math.floor((value - 1) / 7) * 7;
        return (value + options.weekStartsOn + 6) % 7 + wholeWeekDays;
      };
      switch (token) {
        case "c":
        case "cc":
          return mapValue(parseNDigits(token.length, dateString), valueCallback5);
        case "co":
          return mapValue(match2.ordinalNumber(dateString, {
            unit: "day"
          }), valueCallback5);
        case "ccc":
          return match2.day(dateString, {
            width: "abbreviated",
            context: "standalone"
          }) || match2.day(dateString, {
            width: "short",
            context: "standalone"
          }) || match2.day(dateString, {
            width: "narrow",
            context: "standalone"
          });
        case "ccccc":
          return match2.day(dateString, {
            width: "narrow",
            context: "standalone"
          });
        case "cccccc":
          return match2.day(dateString, {
            width: "short",
            context: "standalone"
          }) || match2.day(dateString, {
            width: "narrow",
            context: "standalone"
          });
        case "cccc":
        default:
          return match2.day(dateString, {
            width: "wide",
            context: "standalone"
          }) || match2.day(dateString, {
            width: "abbreviated",
            context: "standalone"
          }) || match2.day(dateString, {
            width: "short",
            context: "standalone"
          }) || match2.day(dateString, {
            width: "narrow",
            context: "standalone"
          });
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 0 && value <= 6;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value, options) {
      date = setUTCDay(date, value, options);
      date.setUTCHours(0, 0, 0, 0);
      return date;
    }
  }]);
  return StandAloneLocalDayParser2;
}(Parser);
function setUTCISODay(dirtyDate, dirtyDay) {
  requiredArgs(2, arguments);
  var day = toInteger(dirtyDay);
  if (day % 7 === 0) {
    day = day - 7;
  }
  var weekStartsOn = 1;
  var date = toDate(dirtyDate);
  var currentDay = date.getUTCDay();
  var remainder = day % 7;
  var dayIndex = (remainder + 7) % 7;
  var diff = (dayIndex < weekStartsOn ? 7 : 0) + day - currentDay;
  date.setUTCDate(date.getUTCDate() + diff);
  return date;
}
var ISODayParser = /* @__PURE__ */ function(_Parser) {
  _inherits(ISODayParser2, _Parser);
  var _super = _createSuper(ISODayParser2);
  function ISODayParser2() {
    var _this;
    _classCallCheck(this, ISODayParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 90);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["y", "Y", "u", "q", "Q", "M", "L", "w", "d", "D", "E", "e", "c", "t", "T"]);
    return _this;
  }
  _createClass(ISODayParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      var valueCallback5 = function valueCallback6(value) {
        if (value === 0) {
          return 7;
        }
        return value;
      };
      switch (token) {
        case "i":
        case "ii":
          return parseNDigits(token.length, dateString);
        case "io":
          return match2.ordinalNumber(dateString, {
            unit: "day"
          });
        case "iii":
          return mapValue(match2.day(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "short",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "narrow",
            context: "formatting"
          }), valueCallback5);
        case "iiiii":
          return mapValue(match2.day(dateString, {
            width: "narrow",
            context: "formatting"
          }), valueCallback5);
        case "iiiiii":
          return mapValue(match2.day(dateString, {
            width: "short",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "narrow",
            context: "formatting"
          }), valueCallback5);
        case "iiii":
        default:
          return mapValue(match2.day(dateString, {
            width: "wide",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "short",
            context: "formatting"
          }) || match2.day(dateString, {
            width: "narrow",
            context: "formatting"
          }), valueCallback5);
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 1 && value <= 7;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date = setUTCISODay(date, value);
      date.setUTCHours(0, 0, 0, 0);
      return date;
    }
  }]);
  return ISODayParser2;
}(Parser);
var AMPMParser = /* @__PURE__ */ function(_Parser) {
  _inherits(AMPMParser2, _Parser);
  var _super = _createSuper(AMPMParser2);
  function AMPMParser2() {
    var _this;
    _classCallCheck(this, AMPMParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 80);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["b", "B", "H", "k", "t", "T"]);
    return _this;
  }
  _createClass(AMPMParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "a":
        case "aa":
        case "aaa":
          return match2.dayPeriod(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.dayPeriod(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "aaaaa":
          return match2.dayPeriod(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "aaaa":
        default:
          return match2.dayPeriod(dateString, {
            width: "wide",
            context: "formatting"
          }) || match2.dayPeriod(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.dayPeriod(dateString, {
            width: "narrow",
            context: "formatting"
          });
      }
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCHours(dayPeriodEnumToHours(value), 0, 0, 0);
      return date;
    }
  }]);
  return AMPMParser2;
}(Parser);
var AMPMMidnightParser = /* @__PURE__ */ function(_Parser) {
  _inherits(AMPMMidnightParser2, _Parser);
  var _super = _createSuper(AMPMMidnightParser2);
  function AMPMMidnightParser2() {
    var _this;
    _classCallCheck(this, AMPMMidnightParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 80);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["a", "B", "H", "k", "t", "T"]);
    return _this;
  }
  _createClass(AMPMMidnightParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "b":
        case "bb":
        case "bbb":
          return match2.dayPeriod(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.dayPeriod(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "bbbbb":
          return match2.dayPeriod(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "bbbb":
        default:
          return match2.dayPeriod(dateString, {
            width: "wide",
            context: "formatting"
          }) || match2.dayPeriod(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.dayPeriod(dateString, {
            width: "narrow",
            context: "formatting"
          });
      }
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCHours(dayPeriodEnumToHours(value), 0, 0, 0);
      return date;
    }
  }]);
  return AMPMMidnightParser2;
}(Parser);
var DayPeriodParser = /* @__PURE__ */ function(_Parser) {
  _inherits(DayPeriodParser2, _Parser);
  var _super = _createSuper(DayPeriodParser2);
  function DayPeriodParser2() {
    var _this;
    _classCallCheck(this, DayPeriodParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 80);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["a", "b", "t", "T"]);
    return _this;
  }
  _createClass(DayPeriodParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "B":
        case "BB":
        case "BBB":
          return match2.dayPeriod(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.dayPeriod(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "BBBBB":
          return match2.dayPeriod(dateString, {
            width: "narrow",
            context: "formatting"
          });
        case "BBBB":
        default:
          return match2.dayPeriod(dateString, {
            width: "wide",
            context: "formatting"
          }) || match2.dayPeriod(dateString, {
            width: "abbreviated",
            context: "formatting"
          }) || match2.dayPeriod(dateString, {
            width: "narrow",
            context: "formatting"
          });
      }
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCHours(dayPeriodEnumToHours(value), 0, 0, 0);
      return date;
    }
  }]);
  return DayPeriodParser2;
}(Parser);
var Hour1to12Parser = /* @__PURE__ */ function(_Parser) {
  _inherits(Hour1to12Parser2, _Parser);
  var _super = _createSuper(Hour1to12Parser2);
  function Hour1to12Parser2() {
    var _this;
    _classCallCheck(this, Hour1to12Parser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 70);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["H", "K", "k", "t", "T"]);
    return _this;
  }
  _createClass(Hour1to12Parser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "h":
          return parseNumericPattern(numericPatterns.hour12h, dateString);
        case "ho":
          return match2.ordinalNumber(dateString, {
            unit: "hour"
          });
        default:
          return parseNDigits(token.length, dateString);
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 1 && value <= 12;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      var isPM = date.getUTCHours() >= 12;
      if (isPM && value < 12) {
        date.setUTCHours(value + 12, 0, 0, 0);
      } else if (!isPM && value === 12) {
        date.setUTCHours(0, 0, 0, 0);
      } else {
        date.setUTCHours(value, 0, 0, 0);
      }
      return date;
    }
  }]);
  return Hour1to12Parser2;
}(Parser);
var Hour0to23Parser = /* @__PURE__ */ function(_Parser) {
  _inherits(Hour0to23Parser2, _Parser);
  var _super = _createSuper(Hour0to23Parser2);
  function Hour0to23Parser2() {
    var _this;
    _classCallCheck(this, Hour0to23Parser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 70);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["a", "b", "h", "K", "k", "t", "T"]);
    return _this;
  }
  _createClass(Hour0to23Parser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "H":
          return parseNumericPattern(numericPatterns.hour23h, dateString);
        case "Ho":
          return match2.ordinalNumber(dateString, {
            unit: "hour"
          });
        default:
          return parseNDigits(token.length, dateString);
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 0 && value <= 23;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCHours(value, 0, 0, 0);
      return date;
    }
  }]);
  return Hour0to23Parser2;
}(Parser);
var Hour0To11Parser = /* @__PURE__ */ function(_Parser) {
  _inherits(Hour0To11Parser2, _Parser);
  var _super = _createSuper(Hour0To11Parser2);
  function Hour0To11Parser2() {
    var _this;
    _classCallCheck(this, Hour0To11Parser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 70);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["h", "H", "k", "t", "T"]);
    return _this;
  }
  _createClass(Hour0To11Parser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "K":
          return parseNumericPattern(numericPatterns.hour11h, dateString);
        case "Ko":
          return match2.ordinalNumber(dateString, {
            unit: "hour"
          });
        default:
          return parseNDigits(token.length, dateString);
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 0 && value <= 11;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      var isPM = date.getUTCHours() >= 12;
      if (isPM && value < 12) {
        date.setUTCHours(value + 12, 0, 0, 0);
      } else {
        date.setUTCHours(value, 0, 0, 0);
      }
      return date;
    }
  }]);
  return Hour0To11Parser2;
}(Parser);
var Hour1To24Parser = /* @__PURE__ */ function(_Parser) {
  _inherits(Hour1To24Parser2, _Parser);
  var _super = _createSuper(Hour1To24Parser2);
  function Hour1To24Parser2() {
    var _this;
    _classCallCheck(this, Hour1To24Parser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 70);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["a", "b", "h", "H", "K", "t", "T"]);
    return _this;
  }
  _createClass(Hour1To24Parser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "k":
          return parseNumericPattern(numericPatterns.hour24h, dateString);
        case "ko":
          return match2.ordinalNumber(dateString, {
            unit: "hour"
          });
        default:
          return parseNDigits(token.length, dateString);
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 1 && value <= 24;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      var hours = value <= 24 ? value % 24 : value;
      date.setUTCHours(hours, 0, 0, 0);
      return date;
    }
  }]);
  return Hour1To24Parser2;
}(Parser);
var MinuteParser = /* @__PURE__ */ function(_Parser) {
  _inherits(MinuteParser2, _Parser);
  var _super = _createSuper(MinuteParser2);
  function MinuteParser2() {
    var _this;
    _classCallCheck(this, MinuteParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 60);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["t", "T"]);
    return _this;
  }
  _createClass(MinuteParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "m":
          return parseNumericPattern(numericPatterns.minute, dateString);
        case "mo":
          return match2.ordinalNumber(dateString, {
            unit: "minute"
          });
        default:
          return parseNDigits(token.length, dateString);
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 0 && value <= 59;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCMinutes(value, 0, 0);
      return date;
    }
  }]);
  return MinuteParser2;
}(Parser);
var SecondParser = /* @__PURE__ */ function(_Parser) {
  _inherits(SecondParser2, _Parser);
  var _super = _createSuper(SecondParser2);
  function SecondParser2() {
    var _this;
    _classCallCheck(this, SecondParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 50);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["t", "T"]);
    return _this;
  }
  _createClass(SecondParser2, [{
    key: "parse",
    value: function parse2(dateString, token, match2) {
      switch (token) {
        case "s":
          return parseNumericPattern(numericPatterns.second, dateString);
        case "so":
          return match2.ordinalNumber(dateString, {
            unit: "second"
          });
        default:
          return parseNDigits(token.length, dateString);
      }
    }
  }, {
    key: "validate",
    value: function validate(_date, value) {
      return value >= 0 && value <= 59;
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCSeconds(value, 0);
      return date;
    }
  }]);
  return SecondParser2;
}(Parser);
var FractionOfSecondParser = /* @__PURE__ */ function(_Parser) {
  _inherits(FractionOfSecondParser2, _Parser);
  var _super = _createSuper(FractionOfSecondParser2);
  function FractionOfSecondParser2() {
    var _this;
    _classCallCheck(this, FractionOfSecondParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 30);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["t", "T"]);
    return _this;
  }
  _createClass(FractionOfSecondParser2, [{
    key: "parse",
    value: function parse2(dateString, token) {
      var valueCallback5 = function valueCallback6(value) {
        return Math.floor(value * Math.pow(10, -token.length + 3));
      };
      return mapValue(parseNDigits(token.length, dateString), valueCallback5);
    }
  }, {
    key: "set",
    value: function set(date, _flags, value) {
      date.setUTCMilliseconds(value);
      return date;
    }
  }]);
  return FractionOfSecondParser2;
}(Parser);
var ISOTimezoneWithZParser = /* @__PURE__ */ function(_Parser) {
  _inherits(ISOTimezoneWithZParser2, _Parser);
  var _super = _createSuper(ISOTimezoneWithZParser2);
  function ISOTimezoneWithZParser2() {
    var _this;
    _classCallCheck(this, ISOTimezoneWithZParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 10);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["t", "T", "x"]);
    return _this;
  }
  _createClass(ISOTimezoneWithZParser2, [{
    key: "parse",
    value: function parse2(dateString, token) {
      switch (token) {
        case "X":
          return parseTimezonePattern(timezonePatterns.basicOptionalMinutes, dateString);
        case "XX":
          return parseTimezonePattern(timezonePatterns.basic, dateString);
        case "XXXX":
          return parseTimezonePattern(timezonePatterns.basicOptionalSeconds, dateString);
        case "XXXXX":
          return parseTimezonePattern(timezonePatterns.extendedOptionalSeconds, dateString);
        case "XXX":
        default:
          return parseTimezonePattern(timezonePatterns.extended, dateString);
      }
    }
  }, {
    key: "set",
    value: function set(date, flags, value) {
      if (flags.timestampIsSet) {
        return date;
      }
      return new Date(date.getTime() - value);
    }
  }]);
  return ISOTimezoneWithZParser2;
}(Parser);
var ISOTimezoneParser = /* @__PURE__ */ function(_Parser) {
  _inherits(ISOTimezoneParser2, _Parser);
  var _super = _createSuper(ISOTimezoneParser2);
  function ISOTimezoneParser2() {
    var _this;
    _classCallCheck(this, ISOTimezoneParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 10);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", ["t", "T", "X"]);
    return _this;
  }
  _createClass(ISOTimezoneParser2, [{
    key: "parse",
    value: function parse2(dateString, token) {
      switch (token) {
        case "x":
          return parseTimezonePattern(timezonePatterns.basicOptionalMinutes, dateString);
        case "xx":
          return parseTimezonePattern(timezonePatterns.basic, dateString);
        case "xxxx":
          return parseTimezonePattern(timezonePatterns.basicOptionalSeconds, dateString);
        case "xxxxx":
          return parseTimezonePattern(timezonePatterns.extendedOptionalSeconds, dateString);
        case "xxx":
        default:
          return parseTimezonePattern(timezonePatterns.extended, dateString);
      }
    }
  }, {
    key: "set",
    value: function set(date, flags, value) {
      if (flags.timestampIsSet) {
        return date;
      }
      return new Date(date.getTime() - value);
    }
  }]);
  return ISOTimezoneParser2;
}(Parser);
var TimestampSecondsParser = /* @__PURE__ */ function(_Parser) {
  _inherits(TimestampSecondsParser2, _Parser);
  var _super = _createSuper(TimestampSecondsParser2);
  function TimestampSecondsParser2() {
    var _this;
    _classCallCheck(this, TimestampSecondsParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 40);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", "*");
    return _this;
  }
  _createClass(TimestampSecondsParser2, [{
    key: "parse",
    value: function parse2(dateString) {
      return parseAnyDigitsSigned(dateString);
    }
  }, {
    key: "set",
    value: function set(_date, _flags, value) {
      return [new Date(value * 1e3), {
        timestampIsSet: true
      }];
    }
  }]);
  return TimestampSecondsParser2;
}(Parser);
var TimestampMillisecondsParser = /* @__PURE__ */ function(_Parser) {
  _inherits(TimestampMillisecondsParser2, _Parser);
  var _super = _createSuper(TimestampMillisecondsParser2);
  function TimestampMillisecondsParser2() {
    var _this;
    _classCallCheck(this, TimestampMillisecondsParser2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "priority", 20);
    _defineProperty(_assertThisInitialized(_this), "incompatibleTokens", "*");
    return _this;
  }
  _createClass(TimestampMillisecondsParser2, [{
    key: "parse",
    value: function parse2(dateString) {
      return parseAnyDigitsSigned(dateString);
    }
  }, {
    key: "set",
    value: function set(_date, _flags, value) {
      return [new Date(value), {
        timestampIsSet: true
      }];
    }
  }]);
  return TimestampMillisecondsParser2;
}(Parser);
var parsers = {
  G: new EraParser(),
  y: new YearParser(),
  Y: new LocalWeekYearParser(),
  R: new ISOWeekYearParser(),
  u: new ExtendedYearParser(),
  Q: new QuarterParser(),
  q: new StandAloneQuarterParser(),
  M: new MonthParser(),
  L: new StandAloneMonthParser(),
  w: new LocalWeekParser(),
  I: new ISOWeekParser(),
  d: new DateParser(),
  D: new DayOfYearParser(),
  E: new DayParser(),
  e: new LocalDayParser(),
  c: new StandAloneLocalDayParser(),
  i: new ISODayParser(),
  a: new AMPMParser(),
  b: new AMPMMidnightParser(),
  B: new DayPeriodParser(),
  h: new Hour1to12Parser(),
  H: new Hour0to23Parser(),
  K: new Hour0To11Parser(),
  k: new Hour1To24Parser(),
  m: new MinuteParser(),
  s: new SecondParser(),
  S: new FractionOfSecondParser(),
  X: new ISOTimezoneWithZParser(),
  x: new ISOTimezoneParser(),
  t: new TimestampSecondsParser(),
  T: new TimestampMillisecondsParser()
};
var formattingTokensRegExp = /[yYQqMLwIdDecihHKkms]o|(\w)\1*|''|'(''|[^'])+('|$)|./g;
var longFormattingTokensRegExp = /P+p+|P+|p+|''|'(''|[^'])+('|$)|./g;
var escapedStringRegExp = /^'([^]*?)'?$/;
var doubleQuoteRegExp = /''/g;
var notWhitespaceRegExp = /\S/;
var unescapedLatinCharacterRegExp = /[a-zA-Z]/;
function parse(dirtyDateString, dirtyFormatString, dirtyReferenceDate, options) {
  var _ref, _options$locale, _ref2, _ref3, _ref4, _options$firstWeekCon, _options$locale2, _options$locale2$opti, _defaultOptions$local, _defaultOptions$local2, _ref5, _ref6, _ref7, _options$weekStartsOn, _options$locale3, _options$locale3$opti, _defaultOptions$local3, _defaultOptions$local4;
  requiredArgs(3, arguments);
  var dateString = String(dirtyDateString);
  var formatString = String(dirtyFormatString);
  var defaultOptions2 = getDefaultOptions();
  var locale2 = (_ref = (_options$locale = options === null || options === void 0 ? void 0 : options.locale) !== null && _options$locale !== void 0 ? _options$locale : defaultOptions2.locale) !== null && _ref !== void 0 ? _ref : locale$1;
  if (!locale2.match) {
    throw new RangeError("locale must contain match property");
  }
  var firstWeekContainsDate = toInteger((_ref2 = (_ref3 = (_ref4 = (_options$firstWeekCon = options === null || options === void 0 ? void 0 : options.firstWeekContainsDate) !== null && _options$firstWeekCon !== void 0 ? _options$firstWeekCon : options === null || options === void 0 ? void 0 : (_options$locale2 = options.locale) === null || _options$locale2 === void 0 ? void 0 : (_options$locale2$opti = _options$locale2.options) === null || _options$locale2$opti === void 0 ? void 0 : _options$locale2$opti.firstWeekContainsDate) !== null && _ref4 !== void 0 ? _ref4 : defaultOptions2.firstWeekContainsDate) !== null && _ref3 !== void 0 ? _ref3 : (_defaultOptions$local = defaultOptions2.locale) === null || _defaultOptions$local === void 0 ? void 0 : (_defaultOptions$local2 = _defaultOptions$local.options) === null || _defaultOptions$local2 === void 0 ? void 0 : _defaultOptions$local2.firstWeekContainsDate) !== null && _ref2 !== void 0 ? _ref2 : 1);
  if (!(firstWeekContainsDate >= 1 && firstWeekContainsDate <= 7)) {
    throw new RangeError("firstWeekContainsDate must be between 1 and 7 inclusively");
  }
  var weekStartsOn = toInteger((_ref5 = (_ref6 = (_ref7 = (_options$weekStartsOn = options === null || options === void 0 ? void 0 : options.weekStartsOn) !== null && _options$weekStartsOn !== void 0 ? _options$weekStartsOn : options === null || options === void 0 ? void 0 : (_options$locale3 = options.locale) === null || _options$locale3 === void 0 ? void 0 : (_options$locale3$opti = _options$locale3.options) === null || _options$locale3$opti === void 0 ? void 0 : _options$locale3$opti.weekStartsOn) !== null && _ref7 !== void 0 ? _ref7 : defaultOptions2.weekStartsOn) !== null && _ref6 !== void 0 ? _ref6 : (_defaultOptions$local3 = defaultOptions2.locale) === null || _defaultOptions$local3 === void 0 ? void 0 : (_defaultOptions$local4 = _defaultOptions$local3.options) === null || _defaultOptions$local4 === void 0 ? void 0 : _defaultOptions$local4.weekStartsOn) !== null && _ref5 !== void 0 ? _ref5 : 0);
  if (!(weekStartsOn >= 0 && weekStartsOn <= 6)) {
    throw new RangeError("weekStartsOn must be between 0 and 6 inclusively");
  }
  if (formatString === "") {
    if (dateString === "") {
      return toDate(dirtyReferenceDate);
    } else {
      return new Date(NaN);
    }
  }
  var subFnOptions = {
    firstWeekContainsDate,
    weekStartsOn,
    locale: locale2
  };
  var setters = [new DateToSystemTimezoneSetter()];
  var tokens2 = formatString.match(longFormattingTokensRegExp).map(function(substring) {
    var firstCharacter = substring[0];
    if (firstCharacter in longFormatters) {
      var longFormatter = longFormatters[firstCharacter];
      return longFormatter(substring, locale2.formatLong);
    }
    return substring;
  }).join("").match(formattingTokensRegExp);
  var usedTokens = [];
  var _iterator = _createForOfIteratorHelper(tokens2), _step;
  try {
    var _loop = function _loop2() {
      var token = _step.value;
      if (!(options !== null && options !== void 0 && options.useAdditionalWeekYearTokens) && isProtectedWeekYearToken(token)) {
        throwProtectedError(token, formatString, dirtyDateString);
      }
      if (!(options !== null && options !== void 0 && options.useAdditionalDayOfYearTokens) && isProtectedDayOfYearToken(token)) {
        throwProtectedError(token, formatString, dirtyDateString);
      }
      var firstCharacter = token[0];
      var parser = parsers[firstCharacter];
      if (parser) {
        var incompatibleTokens = parser.incompatibleTokens;
        if (Array.isArray(incompatibleTokens)) {
          var incompatibleToken = usedTokens.find(function(usedToken) {
            return incompatibleTokens.includes(usedToken.token) || usedToken.token === firstCharacter;
          });
          if (incompatibleToken) {
            throw new RangeError("The format string mustn't contain `".concat(incompatibleToken.fullToken, "` and `").concat(token, "` at the same time"));
          }
        } else if (parser.incompatibleTokens === "*" && usedTokens.length > 0) {
          throw new RangeError("The format string mustn't contain `".concat(token, "` and any other token at the same time"));
        }
        usedTokens.push({
          token: firstCharacter,
          fullToken: token
        });
        var parseResult = parser.run(dateString, token, locale2.match, subFnOptions);
        if (!parseResult) {
          return {
            v: new Date(NaN)
          };
        }
        setters.push(parseResult.setter);
        dateString = parseResult.rest;
      } else {
        if (firstCharacter.match(unescapedLatinCharacterRegExp)) {
          throw new RangeError("Format string contains an unescaped latin alphabet character `" + firstCharacter + "`");
        }
        if (token === "''") {
          token = "'";
        } else if (firstCharacter === "'") {
          token = cleanEscapedString(token);
        }
        if (dateString.indexOf(token) === 0) {
          dateString = dateString.slice(token.length);
        } else {
          return {
            v: new Date(NaN)
          };
        }
      }
    };
    for (_iterator.s(); !(_step = _iterator.n()).done; ) {
      var _ret = _loop();
      if (_typeof(_ret) === "object")
        return _ret.v;
    }
  } catch (err) {
    _iterator.e(err);
  } finally {
    _iterator.f();
  }
  if (dateString.length > 0 && notWhitespaceRegExp.test(dateString)) {
    return new Date(NaN);
  }
  var uniquePrioritySetters = setters.map(function(setter2) {
    return setter2.priority;
  }).sort(function(a3, b2) {
    return b2 - a3;
  }).filter(function(priority, index, array) {
    return array.indexOf(priority) === index;
  }).map(function(priority) {
    return setters.filter(function(setter2) {
      return setter2.priority === priority;
    }).sort(function(a3, b2) {
      return b2.subPriority - a3.subPriority;
    });
  }).map(function(setterArray) {
    return setterArray[0];
  });
  var date = toDate(dirtyReferenceDate);
  if (isNaN(date.getTime())) {
    return new Date(NaN);
  }
  var utcDate = subMilliseconds(date, getTimezoneOffsetInMilliseconds(date));
  var flags = {};
  var _iterator2 = _createForOfIteratorHelper(uniquePrioritySetters), _step2;
  try {
    for (_iterator2.s(); !(_step2 = _iterator2.n()).done; ) {
      var setter = _step2.value;
      if (!setter.validate(utcDate, subFnOptions)) {
        return new Date(NaN);
      }
      var result = setter.set(utcDate, flags, subFnOptions);
      if (Array.isArray(result)) {
        utcDate = result[0];
        assign(flags, result[1]);
      } else {
        utcDate = result;
      }
    }
  } catch (err) {
    _iterator2.e(err);
  } finally {
    _iterator2.f();
  }
  return utcDate;
}
function cleanEscapedString(input) {
  return input.match(escapedStringRegExp)[1].replace(doubleQuoteRegExp, "'");
}
function startOfHour(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  date.setMinutes(0, 0, 0);
  return date;
}
function isSameHour(dirtyDateLeft, dirtyDateRight) {
  requiredArgs(2, arguments);
  var dateLeftStartOfHour = startOfHour(dirtyDateLeft);
  var dateRightStartOfHour = startOfHour(dirtyDateRight);
  return dateLeftStartOfHour.getTime() === dateRightStartOfHour.getTime();
}
function isSameWeek(dirtyDateLeft, dirtyDateRight, options) {
  requiredArgs(2, arguments);
  var dateLeftStartOfWeek = startOfWeek(dirtyDateLeft, options);
  var dateRightStartOfWeek = startOfWeek(dirtyDateRight, options);
  return dateLeftStartOfWeek.getTime() === dateRightStartOfWeek.getTime();
}
function isSameMinute(dirtyDateLeft, dirtyDateRight) {
  requiredArgs(2, arguments);
  var dateLeftStartOfMinute = startOfMinute(dirtyDateLeft);
  var dateRightStartOfMinute = startOfMinute(dirtyDateRight);
  return dateLeftStartOfMinute.getTime() === dateRightStartOfMinute.getTime();
}
function isSameMonth(dirtyDateLeft, dirtyDateRight) {
  requiredArgs(2, arguments);
  var dateLeft = toDate(dirtyDateLeft);
  var dateRight = toDate(dirtyDateRight);
  return dateLeft.getFullYear() === dateRight.getFullYear() && dateLeft.getMonth() === dateRight.getMonth();
}
function isSameQuarter(dirtyDateLeft, dirtyDateRight) {
  requiredArgs(2, arguments);
  var dateLeftStartOfQuarter = startOfQuarter(dirtyDateLeft);
  var dateRightStartOfQuarter = startOfQuarter(dirtyDateRight);
  return dateLeftStartOfQuarter.getTime() === dateRightStartOfQuarter.getTime();
}
function startOfSecond(dirtyDate) {
  requiredArgs(1, arguments);
  var date = toDate(dirtyDate);
  date.setMilliseconds(0);
  return date;
}
function isSameSecond(dirtyDateLeft, dirtyDateRight) {
  requiredArgs(2, arguments);
  var dateLeftStartOfSecond = startOfSecond(dirtyDateLeft);
  var dateRightStartOfSecond = startOfSecond(dirtyDateRight);
  return dateLeftStartOfSecond.getTime() === dateRightStartOfSecond.getTime();
}
function isSameYear(dirtyDateLeft, dirtyDateRight) {
  requiredArgs(2, arguments);
  var dateLeft = toDate(dirtyDateLeft);
  var dateRight = toDate(dirtyDateRight);
  return dateLeft.getFullYear() === dateRight.getFullYear();
}
function setMonth(dirtyDate, dirtyMonth) {
  requiredArgs(2, arguments);
  var date = toDate(dirtyDate);
  var month = toInteger(dirtyMonth);
  var year = date.getFullYear();
  var day = date.getDate();
  var dateWithDesiredMonth = new Date(0);
  dateWithDesiredMonth.setFullYear(year, month, 15);
  dateWithDesiredMonth.setHours(0, 0, 0, 0);
  var daysInMonth = getDaysInMonth(dateWithDesiredMonth);
  date.setMonth(month, Math.min(day, daysInMonth));
  return date;
}
function setDate(dirtyDate, dirtyDayOfMonth) {
  requiredArgs(2, arguments);
  var date = toDate(dirtyDate);
  var dayOfMonth = toInteger(dirtyDayOfMonth);
  date.setDate(dayOfMonth);
  return date;
}
function setDay(dirtyDate, dirtyDay, options) {
  var _ref, _ref2, _ref3, _options$weekStartsOn, _options$locale, _options$locale$optio, _defaultOptions$local, _defaultOptions$local2;
  requiredArgs(2, arguments);
  var defaultOptions2 = getDefaultOptions();
  var weekStartsOn = toInteger((_ref = (_ref2 = (_ref3 = (_options$weekStartsOn = options === null || options === void 0 ? void 0 : options.weekStartsOn) !== null && _options$weekStartsOn !== void 0 ? _options$weekStartsOn : options === null || options === void 0 ? void 0 : (_options$locale = options.locale) === null || _options$locale === void 0 ? void 0 : (_options$locale$optio = _options$locale.options) === null || _options$locale$optio === void 0 ? void 0 : _options$locale$optio.weekStartsOn) !== null && _ref3 !== void 0 ? _ref3 : defaultOptions2.weekStartsOn) !== null && _ref2 !== void 0 ? _ref2 : (_defaultOptions$local = defaultOptions2.locale) === null || _defaultOptions$local === void 0 ? void 0 : (_defaultOptions$local2 = _defaultOptions$local.options) === null || _defaultOptions$local2 === void 0 ? void 0 : _defaultOptions$local2.weekStartsOn) !== null && _ref !== void 0 ? _ref : 0);
  if (!(weekStartsOn >= 0 && weekStartsOn <= 6)) {
    throw new RangeError("weekStartsOn must be between 0 and 6 inclusively");
  }
  var date = toDate(dirtyDate);
  var day = toInteger(dirtyDay);
  var currentDay = date.getDay();
  var remainder = day % 7;
  var dayIndex = (remainder + 7) % 7;
  var delta = 7 - weekStartsOn;
  var diff = day < 0 || day > 6 ? day - (currentDay + delta) % 7 : (dayIndex + delta) % 7 - (currentDay + delta) % 7;
  return addDays(date, diff);
}
function setHours(dirtyDate, dirtyHours) {
  requiredArgs(2, arguments);
  var date = toDate(dirtyDate);
  var hours = toInteger(dirtyHours);
  date.setHours(hours);
  return date;
}
function setMilliseconds(dirtyDate, dirtyMilliseconds) {
  requiredArgs(2, arguments);
  var date = toDate(dirtyDate);
  var milliseconds = toInteger(dirtyMilliseconds);
  date.setMilliseconds(milliseconds);
  return date;
}
function setMinutes(dirtyDate, dirtyMinutes) {
  requiredArgs(2, arguments);
  var date = toDate(dirtyDate);
  var minutes = toInteger(dirtyMinutes);
  date.setMinutes(minutes);
  return date;
}
function setQuarter(dirtyDate, dirtyQuarter) {
  requiredArgs(2, arguments);
  var date = toDate(dirtyDate);
  var quarter = toInteger(dirtyQuarter);
  var oldQuarter = Math.floor(date.getMonth() / 3) + 1;
  var diff = quarter - oldQuarter;
  return setMonth(date, date.getMonth() + diff * 3);
}
function setSeconds(dirtyDate, dirtySeconds) {
  requiredArgs(2, arguments);
  var date = toDate(dirtyDate);
  var seconds = toInteger(dirtySeconds);
  date.setSeconds(seconds);
  return date;
}
function setWeek(dirtyDate, dirtyWeek, options) {
  requiredArgs(2, arguments);
  var date = toDate(dirtyDate);
  var week = toInteger(dirtyWeek);
  var diff = getWeek(date, options) - week;
  date.setDate(date.getDate() - diff * 7);
  return date;
}
function setYear(dirtyDate, dirtyYear) {
  requiredArgs(2, arguments);
  var date = toDate(dirtyDate);
  var year = toInteger(dirtyYear);
  if (isNaN(date.getTime())) {
    return new Date(NaN);
  }
  date.setFullYear(year);
  return date;
}
const iconProps = {
  name: String,
  iconfont: {
    type: Boolean,
    default: false
  },
  rotate: {
    type: [Boolean, Number, String],
    default: void 0
  },
  color: String,
  size: [String, Number]
};
const iconDefinitions = /* @__PURE__ */ new Map();
const iconCache = /* @__PURE__ */ new Map();
const scriptCache = /* @__PURE__ */ new Set();
function clearSVGElement(el) {
  var _a;
  const children = el.childNodes;
  const length = children.length;
  for (let i2 = length - 1; i2 >= 0; i2--) {
    const child = children[i2];
    if (((_a = child.tagName) == null ? void 0 : _a.toLowerCase()) === "svg") {
      child.remove();
    }
  }
}
async function loadSVGElement(iconName, loadIconDynamically) {
  const cached = iconCache.get(iconName);
  if (cached) {
    const svg2 = await cached;
    if (svg2) {
      return svg2.cloneNode(true);
    } else {
      iconCache.delete(iconName);
      return null;
    }
  }
  const svg = createSVGElement(iconName, loadIconDynamically);
  iconCache.set(iconName, svg);
  return svg;
}
async function loadSvgElementFormScript(iconName) {
  let svg = null;
  const cachedName = `IDUX_CACHED_ICON_FONT_` + iconName;
  const cached = iconCache.get(cachedName);
  if (cached) {
    svg = await cached;
  }
  if (!svg) {
    svg = convertSVGElement(`<svg><use xlink:href="#${iconName}"></svg>`);
    setSVGAttribute(svg, iconName);
    iconCache.set(cachedName, svg);
  }
  return svg.cloneNode(true);
}
async function createSVGElement(iconName, loadIconDynamically) {
  let svg = null;
  const icon = await loadIconDefinition(iconName, loadIconDynamically);
  if (icon) {
    svg = convertSVGElement(icon.svg);
    if (svg) {
      setSVGAttribute(svg, iconName);
      iconCache.set(iconName, svg);
    }
  }
  return svg;
}
async function loadIconDefinition(iconName, loadIconDynamically) {
  let icon = iconDefinitions.get(iconName);
  if (!icon) {
    if (loadIconDynamically) {
      const svg = await loadIconDynamically(iconName);
      if (validSVGString(svg)) {
        icon = { name: iconName, svg };
        iconDefinitions.set(iconName, icon);
      } else {
        return;
      }
    }
  }
  return icon;
}
function validSVGString(svg) {
  return !!svg && svg.includes("<svg");
}
function convertSVGElement(svg) {
  const div = document.createElement("div");
  div.innerHTML = svg;
  return div.querySelector("svg");
}
const defaultSVGAttributes = {
  viewBox: "0 0 1024 1024",
  focusable: "false",
  "aria-hidden": "true"
};
function setSVGAttribute(svg, iconName) {
  Object.entries(defaultSVGAttributes).forEach(([key, value]) => {
    if (!svg.hasAttribute(key)) {
      svg.setAttribute(key, value);
    }
  });
  svg.setAttribute("data-icon", iconName);
}
function convertSVGNode(child) {
  const node = getFirstValidNode(child);
  if (!node || node.type !== "svg") {
    Logger.warn("components/icon", "The children must is svg element");
    return;
  }
  return cloneVNode(node, { ...defaultSVGAttributes, ...node.props });
}
function createScriptElements(urls, index = 0) {
  const currentUrl = urls[index];
  if (!scriptCache.has(currentUrl)) {
    const scriptElement = document.createElement("script");
    scriptElement.setAttribute("src", currentUrl);
    if (urls.length > index + 1) {
      scriptElement.onload = () => createScriptElements(urls, index + 1);
      scriptElement.onerror = () => {
        Logger.error("components/icon", `The url ${currentUrl} failed to load`);
        createScriptElements(urls, index + 1);
      };
    }
    scriptCache.add(currentUrl);
    document.body.appendChild(scriptElement);
  }
}
var Icon = /* @__PURE__ */ defineComponent({
  name: "IxIcon",
  props: iconProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-icon`);
    const config = useGlobalConfig("icon");
    const root2 = ref();
    onMounted(() => appendChild(props, config, root2.value));
    onBeforeUnmount(() => {
      if (root2.value) {
        clearSVGElement(root2.value);
        root2.value = void 0;
      }
    });
    watch([() => props.name, () => props.iconfont], () => {
      const rootElement = root2.value;
      if (!rootElement) {
        return;
      }
      clearSVGElement(rootElement);
      appendChild(props, config, rootElement);
    });
    const classes = computed(() => {
      const {
        name,
        rotate
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-${name}`]: !!name,
        [`${prefixCls}-spinning`]: rotate === true
      });
    });
    const style = computed(() => {
      const {
        rotate,
        color,
        size
      } = props;
      return {
        color,
        fontSize: convertCssPixel(size),
        transform: isNumeric(rotate) ? `rotate(${rotate}deg)` : void 0
      };
    });
    return () => {
      var _a;
      const {
        name
      } = props;
      if (name) {
        return createVNode("i", {
          "ref": root2,
          "class": classes.value,
          "style": style.value,
          "role": "img",
          "aria-label": name
        }, null);
      } else {
        return createVNode("i", {
          "ref": root2,
          "class": classes.value,
          "style": style.value,
          "role": "img"
        }, [convertSVGNode((_a = slots.default) == null ? void 0 : _a.call(slots))]);
      }
    };
  }
});
async function appendChild(props, config, rootElement) {
  const {
    name,
    iconfont
  } = props;
  if (name) {
    const svgElement = iconfont ? await loadSvgElementFormScript(name) : await loadSVGElement(name, config.loadIconDynamically);
    if (svgElement && name === props.name) {
      rootElement.appendChild(svgElement);
    }
  }
}
const addIconDefinitions = (icons) => {
  icons.forEach((icon) => iconDefinitions.set(icon.name, icon));
};
const fetchIconFormScript = (url) => {
  createScriptElements(convertArray(url));
};
const Alert$1 = {
  name: "alert",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M512 256c174.964 0 317.131 140.418 319.957 314.708L832 576v320h51.2c6.97 0 12.634 5.563 12.8 12.493V947.2c0 6.97-5.563 12.634-12.493 12.8H140.8c-6.967 0-12.634-5.563-12.8-12.493V908.8c0-6.97 5.566-12.634 12.493-12.796l.307-.004H192V576c0-176.73 143.27-320 320-320Zm0 64c-137.1 0-249.03 107.774-255.686 243.223L256 576v320h512V576c0-137.1-107.774-249.03-243.223-255.686L512 320Z"/><path d="m504.12 384.161.308-.01c4.101-.154 7.441 3.063 7.568 7.135l.004.24v48.887c0 4.173-3.213 7.429-7.343 7.79l-.33.023c-63.261 3.74-114.162 53.424-119.807 116.154l-.157 1.905-.018.323-.049 1.332c-.161 4.39-3.626 7.924-7.985 8.056l-.253.004h-47.953c-4.505 0-8.113-3.633-7.932-8.134l.046-1.112c4.687-98.854 84.133-178.135 183.056-182.56l.845-.033ZM178.355 197.103l72.544 72.544c4.999 4.999 5.05 12.916.05 17.915l-27.39 27.39c-4.998 5-12.916 4.949-17.915-.05L133.1 242.358c-4.999-5-5.05-12.917-.05-17.915l27.39-27.39c4.998-5 12.916-4.949 17.915.05ZM863.558 197.05l27.392 27.39c4.999 4.999 4.948 12.916-.05 17.915l-72.545 72.544c-4.998 4.999-12.915 5.05-17.913.05l-27.392-27.39c-4.999-4.998-4.948-12.916.05-17.915l72.545-72.544c4.998-4.999 12.915-5.05 17.913-.05ZM531.368 64C538.438 64 544 69.634 544 76.703v102.594c0 7.07-5.563 12.703-12.632 12.703h-38.736c-7.07 0-12.632-5.634-12.632-12.703V76.703C480 69.634 485.563 64 492.632 64h38.736Z"/></g></svg>'
};
const Apartment = {
  name: "apartment",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M819.2 512c7.04 0 12.8 5.76 12.8 12.8V640h115.2c7.04 0 12.8 5.76 12.8 12.8v294.4a12.8 12.8 0 0 1-12.8 12.8H652.8a12.8 12.8 0 0 1-12.8-12.8V652.8c0-7.04 5.76-12.8 12.8-12.8H768v-64H256v64h115.2c7.04 0 12.8 5.76 12.8 12.8v294.4a12.8 12.8 0 0 1-12.8 12.8H76.8A12.8 12.8 0 0 1 64 947.2V652.8c0-7.04 5.76-12.8 12.8-12.8H192V524.8c0-7.04 5.76-12.8 12.8-12.8H480V384H364.8a12.8 12.8 0 0 1-12.8-12.8V76.8c0-7.04 5.76-12.8 12.8-12.8h294.4c7.04 0 12.8 5.76 12.8 12.8v294.4a12.8 12.8 0 0 1-12.8 12.8H544v128h275.2zM320 704H128v192h192V704zm576 0H704v192h192V704zM608 128H416v192h192V128z"/></svg>'
};
const ApplyAll = {
  name: "apply-all",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M771.208 564.021c4-3.998 9.987-4.798 14.78-2.398l3.322 2.4 162.876 162.91c3.997 3.998 4.797 9.983 2.398 14.777l-2.398 3.322-162.875 162.92c-3.998 4-9.985 4.8-14.78 2.402l-3.322-2.4-27.157-27.148c-4-4-4.8-9.986-2.401-14.78l2.399-3.323 94.673-94.7H588.8c-5.891 0-10.853-3.979-12.343-9.397l-.457-3.402v-38.4c0-5.891 3.98-10.853 9.397-12.343l3.403-.457h249.962l-94.711-94.73c-3.999-4-4.798-9.987-2.398-14.78l2.4-3.323 27.155-27.15ZM883.2 256c5.893 0 10.853 3.978 12.343 9.394l.457 3.403V499.2c0 5.891-3.978 10.853-9.396 12.343L883.2 512h-38.4c-5.893 0-10.853-3.98-12.343-9.397L832 499.2V320H256v448h243.2c5.891 0 10.853 3.98 12.343 9.397L512 780.8v38.4c0 5.891-3.98 10.853-9.397 12.343L499.2 832H204.797c-5.891 0-10.85-3.977-12.34-9.394l-.457-3.403V268.8c0-5.891 3.98-10.853 9.397-12.343L204.8 256h678.4Zm-128-128c5.893 0 10.853 3.98 12.343 9.397L768 140.8v38.4c0 5.891-3.978 10.853-9.396 12.343L755.2 192H128v499.2c0 5.891-3.98 10.853-9.397 12.343L115.2 704H76.8c-5.891 0-10.853-3.98-12.343-9.397L64 691.2V140.8c0-5.891 3.98-10.853 9.397-12.343L76.8 128h678.4Zm0 256c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H332.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8h422.4Z"/></svg>'
};
const AppstoreAdd = {
  name: "appstore-add",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M873.51 258.33a44.796 44.796 0 0 1 23.117 39.203v78.988c0 10.868-12.653 17.095-21.497 10.78a351.95 351.95 0 0 0-35.661-22.37c-4.199-2.294-6.9-6.674-6.9-11.456v-44.693L510.65 130.734 191.991 308.718v410.303l147.687 82.925c2.553 1.433 4.545 3.737 5.665 6.444a351.982 351.982 0 0 0 20.027 40.736c7.367 12.82-11.326 34.279-24.22 27.04L150.87 769.344A44.8 44.8 0 0 1 128 730.278V297.497a44.799 44.799 0 0 1 22.953-39.112L488.769 69.688a44.8 44.8 0 0 1 43.531-.09L873.51 258.33Z"/><path d="m271.105 316.459 149.372 86.24c7.544 4.355 8.57 14.874 2.382 21.004a351.995 351.995 0 0 0-24.64 27.09c-4.07 4.972-11.205 6.487-16.77 3.274l-142.344-82.183a12.797 12.797 0 0 1-4.685-17.485l19.2-33.255a12.803 12.803 0 0 1 17.485-4.685ZM670.586 385.773c159.059 0 288 128.943 288 288 0 159.059-128.941 288-288 288-159.058 0-288-128.941-288-288 0-159.057 128.942-288 288-288Zm0 64c-123.712 0-224 100.288-224 224s100.288 224 224 224 224-100.288 224-224-100.288-224-224-224Z"/><path d="M702.586 705.485v115.488c0 7.072-5.731 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.728-12.8-12.8V705.485h-115.2c-7.07 0-12.8-5.731-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8h115.2V526.572c0-7.069 5.73-12.8 12.8-12.8h38.4c7.069 0 12.8 5.731 12.8 12.8v114.911H819.77c7.072 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.728 12.8-12.8 12.8H702.586Z"/></g></svg>'
};
const Appstore = {
  name: "appstore",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M490.24 67.904 152.32 256.64a44.8 44.8 0 0 0-22.912 39.04v432.832a44.8 44.8 0 0 0 22.848 39.04l337.856 189.632a44.8 44.8 0 0 0 43.712.128l341.184-189.696a44.8 44.8 0 0 0 23.04-39.168v-432.64a44.8 44.8 0 0 0-23.104-39.232l-341.248-188.8a44.8 44.8 0 0 0-43.52.128zM512 128.96l321.92 178.048v410.176L512 896.128l-318.592-178.88V306.944L512.064 128.96z"/><path d="m768.96 319.36 19.2 33.28a12.8 12.8 0 0 1-4.672 17.472l-239.552 138.24L544 819.2a12.8 12.8 0 0 1-12.8 12.8h-38.4a12.8 12.8 0 0 1-12.8-12.8V508.288L240.448 370.112a12.8 12.8 0 0 1-4.672-17.472l19.2-33.28a12.8 12.8 0 0 1 17.472-4.672l230.848 133.248h17.28l230.848-133.248a12.8 12.8 0 0 1 17.472 4.672z"/></svg>'
};
const ArrowDown = {
  name: "arrow-down",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M521.024 940.247c-5 5.005-13.107 5.004-18.106-.001l-389.17-389.667c-4.998-5.003-4.997-13.114.001-18.117l49.93-49.971c4.999-5.003 13.104-5.003 18.103 0l282.283 282.52v-688.2c0-7.078 5.732-12.811 12.801-12.811h70.407c7.07 0 12.801 5.733 12.801 12.812v688.746l282.427-282.665c4.999-5.003 13.108-5.003 18.107 0l49.643 49.684c4.999 5.003 4.999 13.115 0 18.119L521.024 940.247Z"/></svg>'
};
const ArrowLeft = {
  name: "arrow-left",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M83.753 521.024c-5.005-5-5.004-13.107.001-18.106l389.667-389.17c5.003-4.998 13.114-4.997 18.117.001l49.971 49.93c5.003 4.999 5.003 13.104 0 18.103l-282.52 282.283h688.2c7.078 0 12.811 5.732 12.811 12.801v70.407c0 7.07-5.733 12.801-12.812 12.801H258.442l282.665 282.427c5.003 4.999 5.003 13.108 0 18.107l-49.684 49.643c-5.003 4.999-13.115 4.999-18.119 0L83.753 521.024Z"/></svg>'
};
const ArrowRight = {
  name: "arrow-right",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M940.247 521.024c5.005-5 5.004-13.107-.001-18.106l-389.667-389.17c-5.003-4.998-13.114-4.997-18.117.001l-49.971 49.93c-5.003 4.999-5.003 13.104 0 18.103l282.52 282.283h-688.2c-7.078 0-12.811 5.732-12.811 12.801v70.407c0 7.07 5.733 12.801 12.812 12.801h688.746L482.893 842.501c-5.003 4.999-5.003 13.108 0 18.107l49.684 49.643c5.003 4.999 13.115 4.999 18.119 0l389.551-389.227Z"/></svg>'
};
const ArrowUp = {
  name: "arrow-up",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M521.024 83.753c-5-5.005-13.107-5.004-18.106.001l-389.17 389.667c-4.998 5.003-4.997 13.114.001 18.117l49.93 49.971c4.999 5.003 13.104 5.003 18.103 0l282.283-282.52v688.2c0 7.078 5.732 12.811 12.801 12.811h70.407c7.07 0 12.801-5.733 12.801-12.812V258.442l282.427 282.665c4.999 5.003 13.108 5.003 18.107 0l49.643-49.684c4.999-5.003 4.999-13.115 0-18.119L521.024 83.753Z"/></svg>'
};
const Audit = {
  name: "audit",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M896 499.253c0 7.07-5.728 12.8-12.8 12.8h-38.4c-7.072 0-12.8-5.73-12.8-12.8v-179.26H652.8c-7.07 0-12.8-5.73-12.8-12.8V127.74l-448-.003v768.32h179.2c7.07 0 12.8 5.734 12.8 12.8v38.4c0 7.071-5.73 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.729-12.8-12.8V76.8c0-7.07 5.732-12.8 12.801-12.8l557.412.056a12.8 12.8 0 0 1 9.047 3.746l184.99 184.876c2.4 2.4 3.75 5.657 3.75 9.053v237.522Zm-90.746-243.03L703.744 154.77 704 255.993l101.254.23ZM256 499.252v-38.4c0-7.069 5.73-12.8 12.8-12.8h294.4c7.07 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H268.8c-7.07 0-12.8-5.73-12.8-12.8Zm384 199.31c-38.356-13.56-64-49.826-64-90.51 0-53.019 42.98-96 96-96s96 42.981 96 96c0 40.684-25.644 76.95-64 90.51v69.493h179.2c7.072 0 12.8 5.728 12.8 12.8v166.4c0 7.066-5.728 12.8-12.8 12.8H460.8c-7.07 0-12.8-5.734-12.8-12.8v-166.4c0-7.072 5.73-12.8 12.8-12.8H640v-69.493Zm32-58.51c17.673 0 32-14.326 32-32 0-17.673-14.327-32-32-32-17.673 0-32 14.327-32 32 0 17.674 14.327 32 32 32Zm32 192.003H512v64h320v-64H704ZM256 627.253v-38.4c0-7.069 5.73-12.8 12.8-12.8h230.4c7.07 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H268.8c-7.07 0-12.8-5.73-12.8-12.8Zm0 128.003v-38.4c0-7.072 5.73-12.8 12.8-12.8h102.4c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.066-5.73 12.8-12.8 12.8H268.8c-7.07 0-12.8-5.734-12.8-12.8Z"/></svg>'
};
const BarChart = {
  name: "bar-chart",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M115.2 128c7.04 0 12.8 5.76 12.8 12.8V832h819.2c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H76.8A12.8 12.8 0 0 1 64 883.2V140.8c0-7.04 5.76-12.8 12.8-12.8h38.4z"/><path d="M268.8 320h38.4q12.8 0 12.8 12.8v422.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V332.8q0-12.8 12.8-12.8Zm192-128h38.4q12.8 0 12.8 12.8v550.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V204.8q0-12.8 12.8-12.8Zm192 128h38.4q12.8 0 12.8 12.8v422.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V332.8q0-12.8 12.8-12.8Zm192 0h38.4q12.8 0 12.8 12.8v422.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V332.8q0-12.8 12.8-12.8Z"/></svg>'
};
const Bars = {
  name: "bars",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M320 140.8v166.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V140.8c0-7.04 5.76-12.8 12.8-12.8h166.4c7.04 0 12.8 5.76 12.8 12.8zM243.2 192h-38.4a12.8 12.8 0 0 0-12.8 12.8v38.4c0 7.04 5.76 12.8 12.8 12.8h38.4a12.8 12.8 0 0 0 12.8-12.8v-38.4a12.8 12.8 0 0 0-12.8-12.8zM320 716.8v166.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V716.8c0-7.04 5.76-12.8 12.8-12.8h166.4c7.04 0 12.8 5.76 12.8 12.8zM243.2 768h-38.4a12.8 12.8 0 0 0-12.8 12.8v38.4c0 7.04 5.76 12.8 12.8 12.8h38.4a12.8 12.8 0 0 0 12.8-12.8v-38.4a12.8 12.8 0 0 0-12.8-12.8zM320 428.8v166.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V428.8c0-7.04 5.76-12.8 12.8-12.8h166.4c7.04 0 12.8 5.76 12.8 12.8zM243.2 480h-38.4a12.8 12.8 0 0 0-12.8 12.8v38.4c0 7.04 5.76 12.8 12.8 12.8h38.4a12.8 12.8 0 0 0 12.8-12.8v-38.4a12.8 12.8 0 0 0-12.8-12.8zm153.6-352h486.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H396.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 576h486.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H396.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0-288h486.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H396.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 128h486.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H396.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0-288h486.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H396.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 576h486.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H396.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Z"/></svg>'
};
const Blacklist = {
  name: "blacklist",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M384 243.27V76.8c0-7.07 5.73-12.8 12.8-12.8h232.868c7.07 0 12.8 5.73 12.8 12.8v166.47c0 7.07-5.73 12.8-12.8 12.8H396.8c-7.07 0-12.8-5.73-12.8-12.8ZM140.8 64.07h166.4c7.07 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H192v768h640v-768H716.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.069 5.73-12.8 12.8-12.8h166.4c7.072 0 12.8 5.731 12.8 12.8v870.4c0 7.072-5.728 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.728-12.8-12.8V76.87c0-7.069 5.73-12.8 12.8-12.8ZM448 192.01h130.432v-64.065H448v64.065Zm-73.334 557.212L521.376 597.3l153.228 147.974c5.086 4.908 13.189 4.768 18.1-.32l26.675-27.623c4.91-5.081 4.769-13.19-.317-18.098l-153.228-147.97 146.087-151.278c4.91-5.085 4.769-13.188-.317-18.099l-27.622-26.674c-5.085-4.911-13.188-4.77-18.1.315L519.797 506.804 369.274 361.446c-5.085-4.91-13.188-4.769-18.099.316L324.5 389.385c-4.91 5.085-4.77 13.188.316 18.1l150.522 145.357-146.71 151.92c-4.91 5.088-4.769 13.19.317 18.099l27.622 26.675c5.085 4.915 13.189 4.774 18.1-.314Z"/></svg>'
};
const BookMark = {
  name: "book-mark",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M819.2 64c7.04 0 12.8 5.76 12.8 12.8v852.16a12.8 12.8 0 0 1-21.888 9.024L521.088 647.36a12.8 12.8 0 0 0-14.784-2.432l-3.392 2.432-289.024 290.624a12.8 12.8 0 0 1-21.888-8.96V76.8c0-7.04 5.76-12.8 12.8-12.8h614.4zM768 128H256v676.8l201.664-202.688a76.864 76.864 0 0 1 102.592-5.504l6.208 5.632L768 804.864V128z"/></svg>'
};
const Bookmark = {
  name: "bookmark",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M819.2 64c7.04 0 12.8 5.76 12.8 12.8v852.16a12.8 12.8 0 0 1-21.888 9.024L521.088 647.36a12.8 12.8 0 0 0-14.784-2.432l-3.392 2.432-289.024 290.624a12.8 12.8 0 0 1-21.888-8.96V76.8c0-7.04 5.76-12.8 12.8-12.8h614.4zM768 128H256v676.8l201.664-202.688a76.864 76.864 0 0 1 102.592-5.504l6.208 5.632L768 804.864V128z"/></svg>'
};
const Branch = {
  name: "branch",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="m145.842 71.449 422.4 181.028A12.8 12.8 0 0 1 576 264.242v247.56h307.2c7.072 0 12.8 5.73 12.8 12.8v422.4c0 7.071-5.728 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.729-12.8-12.8V83.213c0-9.19 9.396-15.385 17.842-11.765Zm46.162 98.889-.004.228v718.835a6.408 6.408 0 0 0 6.17 6.4H505.6a6.401 6.401 0 0 0 6.396-6.17l.004-.23V302.224a6.4 6.4 0 0 0-3.646-5.778l-.233-.105-307.2-131.657c-4.152-1.78-8.765 1.186-8.917 5.654ZM825.6 575.802H576v320h249.6a6.403 6.403 0 0 0 6.396-6.171l.004-.23V582.202a6.401 6.401 0 0 0-6.17-6.396l-.23-.004Z"/><path d="M441.6 639.802a6.4 6.4 0 0 1 6.396 6.17l.004.23v51.2a6.4 6.4 0 0 1-6.17 6.396l-.23.004H262.4a6.4 6.4 0 0 1-6.396-6.17l-.004-.23v-51.2a6.4 6.4 0 0 1 6.17-6.396l.23-.004h179.2ZM441.6 511.802a6.4 6.4 0 0 1 6.396 6.17l.004.23v51.2a6.4 6.4 0 0 1-6.17 6.396l-.23.004H262.4a6.4 6.4 0 0 1-6.396-6.17l-.004-.23v-51.2a6.4 6.4 0 0 1 6.17-6.396l.23-.004h179.2ZM441.6 383.802a6.4 6.4 0 0 1 6.396 6.17l.004.23v51.2a6.4 6.4 0 0 1-6.17 6.396l-.23.004H262.4a6.4 6.4 0 0 1-6.396-6.17l-.004-.23v-51.2a6.4 6.4 0 0 1 6.17-6.396l.23-.004h179.2Z"/></g></svg>'
};
const BugFilled = {
  name: "bug-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M304 280h416c4.4 0 8-3.6 8-8 0-40-8.8-76.7-25.9-108.1-17.2-31.5-42.5-56.8-74-74C596.7 72.8 560 64 520 64h-16c-40 0-76.7 8.8-108.1 25.9-31.5 17.2-56.8 42.5-74 74C304.8 195.3 296 232 296 272c0 4.4 3.6 8 8 8z"/><path d="M940 512H792V412c76.8 0 139-62.2 139-139 0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8 0 34.8-28.2 63-63 63H232c-34.8 0-63-28.2-63-63 0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8 0 76.8 62.2 139 139 139v100H84c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h148v96c0 6.5.2 13 .7 19.3C164.1 728.6 116 796.7 116 876c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8 0-44.2 23.9-82.9 59.6-103.7 6 17.2 13.6 33.6 22.7 49 24.3 41.5 59 76.2 100.5 100.5 28.9 16.9 61 28.8 95.3 34.5 4.4 0 8-3.6 8-8V484c0-4.4 3.6-8 8-8h60c4.4 0 8 3.6 8 8v464.2c0 4.4 3.6 8 8 8 34.3-5.7 66.4-17.6 95.3-34.5 41.5-24.3 76.2-59 100.5-100.5 9.1-15.5 16.7-31.9 22.7-49C812.1 793.1 836 831.8 836 876c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8 0-79.3-48.1-147.4-116.7-176.7.4-6.4.7-12.8.7-19.3v-96h148c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"/></svg>'
};
const Bug = {
  name: "bug",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M755.222 320H269.086c-7.18 0-12.99-5.883-12.679-13.056.17-3.928.368-7.175.594-9.74C268.535 166.496 378.298 64 512.001 64c137.1 0 249.026 107.774 255.692 243.223.163 7.005-5.47 12.777-12.471 12.777Zm-62.167-64-3.706-9.737c-27.577-66.262-91.205-113.579-166.043-117.935L511.999 128c-79.15 0-147.114 47.894-176.493 116.282L330.88 256h362.176ZM192 436.876c-70.85-25.302-122.47-91.078-127.014-169.484-.178-6.173 4.777-11.275 10.954-11.275h41.21c6.398 0 11.454 5.05 12.013 11.423l.007.076c5.534 62.103 55.463 111.433 117.83 116.034l9.524.35h511.83c67.22-.225 122.222-52.311 127.092-118.339.198-5.326 4.57-9.544 9.9-9.544h43.022c6.284 0 11.462 5.077 11.097 11.353v.076c-4.614 78.507-56.422 144.328-127.462 169.492v138.333h115.2c7.065 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.735 12.8-12.8 12.8h-115.2V640c0 46.81-10.055 91.277-28.115 131.347 85.235 16.128 150.534 88.621 155.667 177.261.179 6.176-4.775 11.277-10.95 11.277h-42.49c-5.683 0-10.189-4.493-10.63-10.157l-.007-.07c-4.96-62.701-55.142-112.672-117.933-117.306l-9.523-.352C709.642 909.722 616.692 960 512 960c-104.693 0-197.643-50.278-256.024-128h-.224c-67.418 0-122.651 52.166-127.533 118.336a9.909 9.909 0 0 1-9.901 9.549H74.57c-5.886 0-10.73-4.749-10.412-10.63l.004-.071c4.89-88.98 70.4-161.805 155.932-177.875C202.044 731.245 192 686.794 192 640v-.63H76.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.068 5.73-12.8 12.8-12.8H192V436.877ZM256 448v192c0 130.547 97.718 238.272 224 254.022V588.8c0-7.07 5.73-12.8 12.8-12.8h38.4c7.069 0 12.8 5.73 12.8 12.8v305.222c122.138-15.232 217.558-116.505 223.69-241.245l.313-12.777V448H256Z"/></svg>'
};
const Bulb = {
  name: "bulb",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M512 64c176.73 0 320 143.27 320 320 0 104.658-50.243 197.58-127.923 255.965L704 819.2c0 7.072-5.73 12.8-12.8 12.8H332.8c-7.07 0-12.8-5.728-12.8-12.8l-.012-179.186C242.27 581.633 192 488.687 192 384c0-176.73 143.27-320 320-320Zm128 640H384v64h256v-64ZM512 128c-141.385 0-256 114.615-256 256 0 75.744 33.052 145.892 89.018 194.057l1.703 1.453 11.706 9.334 20.432 15.348a12.8 12.8 0 0 1 5.107 9.886l.005.366-.035 25.556h256.128l.049-25.653a12.8 12.8 0 0 1 4.821-9.985l.288-.223 20.402-15.334C729.652 540.682 768 465.588 768 384c0-141.385-114.615-256-256-256Z"/><path d="M319.933 329.158c20.31-51.984 59.387-94.492 108.977-119.192l13.176-6.018c6.738-2.605 14.296.88 16.691 7.696l13.315 37.898c1.955 5.565-.892 11.538-6.315 13.856-38.505 16.5-69.19 47.616-85.12 86.274-2.204 5.948-8.722 9.083-14.745 7.093L327.21 343.98c-6.202-2.05-9.65-8.736-7.278-14.821ZM384 908.8v38.4c0 7.072 5.73 12.8 12.8 12.8h230.4c7.07 0 12.8-5.728 12.8-12.8v-38.4c0-7.072-5.73-12.8-12.8-12.8H396.8c-7.07 0-12.8 5.728-12.8 12.8Z"/></g></svg>'
};
const Calendar = {
  name: "calendar",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M128 256h768v64H128zm128 192h128v64H256z"/><path d="M332.8 64h38.4c7.04 0 12.8 5.76 12.8 12.8V320h-64V76.8c0-7.04 5.76-12.8 12.8-12.8zm320 0h38.4c7.04 0 12.8 5.76 12.8 12.8V320h-64V76.8c0-7.04 5.76-12.8 12.8-12.8zM256 640h128v64H256zm192-192h128v64H448zm0 192h128v64H448zm192-192h128v64H640zm0 192h128v64H640z"/><path d="M960 140.8v742.4a12.8 12.8 0 0 1-12.8 12.8H76.8A12.8 12.8 0 0 1 64 883.2V140.8c0-7.04 5.76-12.8 12.8-12.8h870.4c7.04 0 12.8 5.76 12.8 12.8zM896 192H128v640h768V192z"/></svg>'
};
const Camera = {
  name: "camera",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M696.089 128c4.849 0 9.28 2.74 11.45 7.076L768 256h179.2c7.072 0 12.8 5.73 12.8 12.8v614.4c0 7.072-5.728 12.8-12.8 12.8H76.8c-7.07 0-12.8-5.728-12.8-12.8V268.8c0-7.07 5.73-12.8 12.8-12.8H128v-51.2c0-7.07 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.73 12.8 12.8V256h63.936l60.526-120.924A12.8 12.8 0 0 1 327.911 128h368.178Zm-31.705 64H359.488l-64.017 128H128v512h768V320H728.448l-64.064-128Z"/><path d="M512 352c123.712 0 224 100.288 224 224S635.712 800 512 800 288 699.712 288 576s100.288-224 224-224Zm0 64c-88.365 0-160 71.635-160 160s71.635 160 160 160 160-71.635 160-160-71.635-160-160-160Z"/><path d="M499.101 480.859c-42.7 5.734-76.508 39.542-82.242 82.242-.94 7.007 4.872 12.899 11.941 12.899h38.4c7.07 0 12.608-6.196 15.412-12.685a32.119 32.119 0 0 1 16.703-16.703C505.805 543.808 512 538.27 512 531.2v-38.4c0-7.07-5.892-12.882-12.899-11.941Z"/></g></svg>'
};
const Card$1 = {
  name: "card",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M480 140.8v326.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V140.8c0-7.04 5.76-12.8 12.8-12.8h326.4c7.04 0 12.8 5.76 12.8 12.8zM416 192H192v224h224V192zm64 364.8v326.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V556.8c0-7.04 5.76-12.8 12.8-12.8h326.4c7.04 0 12.8 5.76 12.8 12.8zM416 608H192v224h224V608zm480-467.2v326.4a12.8 12.8 0 0 1-12.8 12.8H556.8a12.8 12.8 0 0 1-12.8-12.8V140.8c0-7.04 5.76-12.8 12.8-12.8h326.4c7.04 0 12.8 5.76 12.8 12.8zM832 192H608v224h224V192zm64 364.8v326.4a12.8 12.8 0 0 1-12.8 12.8H556.8a12.8 12.8 0 0 1-12.8-12.8V556.8c0-7.04 5.76-12.8 12.8-12.8h326.4c7.04 0 12.8 5.76 12.8 12.8zM832 608H608v224h224V608z"/></svg>'
};
const CaretDownFilled = {
  name: "caret-down-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M840.4 300H183.6c-19.7 0-30.7 20.8-18.5 35l328.4 380.8c9.4 10.9 27.5 10.9 37 0L858.9 335c12.2-14.2 1.2-35-18.5-35z"/></svg>'
};
const CaretDown = {
  name: "caret-down",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M900.48 288c7.104 0 12.8 5.76 12.8 12.8v39.424a12.8 12.8 0 0 1-.192 1.408l.256-2.432a12.8 12.8 0 0 1-4.288 9.6L520.96 736.64a12.8 12.8 0 0 1-18.048 0L114.88 348.672a12.8 12.8 0 0 1-4.16-9.472v-38.4c0-7.04 5.76-12.8 12.8-12.8h777.088zm-85.376 64H208.768l294.208 294.144a12.8 12.8 0 0 0 14.72 2.432l3.328-2.432L815.104 352z"/></svg>'
};
const CaretLeftFilled = {
  name: "caret-left-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M689 165.1 308.2 493.5c-10.9 9.4-10.9 27.5 0 37L689 858.9c14.2 12.2 35 1.2 35-18.5V183.6c0-19.7-20.8-30.7-35-18.5z"/></svg>'
};
const CaretRightFilled = {
  name: "caret-right-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M715.8 493.5 335 165.1c-14.2-12.2-35-1.2-35 18.5v656.8c0 19.7 20.8 30.7 35 18.5l380.8-328.4c10.9-9.4 10.9-27.6 0-37z"/></svg>'
};
const CaretUpFilled = {
  name: "caret-up-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M858.9 689 530.5 308.2c-9.4-10.9-27.5-10.9-37 0L165.1 689c-12.2 14.2-1.2 35 18.5 35h656.8c19.7 0 30.7-20.8 18.5-35z"/></svg>'
};
const CaretUp = {
  name: "caret-up",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M900.48 740.416a12.8 12.8 0 0 0 12.8-12.8v-39.424a12.8 12.8 0 0 0-.192-1.408l.256 2.432a12.8 12.8 0 0 0-4.288-9.6L520.96 291.84a12.8 12.8 0 0 0-18.048 0L114.88 679.68a12.8 12.8 0 0 0-4.224 9.536v38.4c0 7.04 5.76 12.8 12.8 12.8h777.088zm-85.376-64H208.768L503.04 382.272a12.8 12.8 0 0 1 14.72-2.432l3.328 2.432 294.08 294.144z"/></svg>'
};
const CheckCircleFilled = {
  name: "check-circle-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 0c282.752 0 512 229.248 512 512s-229.248 512-512 512S0 794.752 0 512 229.248 0 512 0zm238.336 366.933a17.067 17.067 0 0 0-24.15 0L466.689 626.432l-138.71-138.795a17.067 17.067 0 0 0-24.149 0l-36.224 36.224a17.067 17.067 0 0 0 0 24.15l187.051 187.05a17.067 17.067 0 0 0 24.15 0L786.56 427.307a17.067 17.067 0 0 0 0-24.15z"/></svg>'
};
const CheckCircle = {
  name: "check-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M512 64c247.424 0 448 200.577 448 448 0 247.424-200.576 448-448 448-247.423 0-448-200.576-448-448C64 264.577 264.577 64 512 64Zm0 64c-212.077 0-384 171.923-384 384s171.923 384 384 384 384-171.923 384-384-171.923-384-384-384Z"/><path d="M797.382 396.82 453.734 740.473c-4.999 4.998-12.935 4.934-17.934-.064L227.404 532.013c-4.999-4.999-5.064-12.93-.066-17.93l27.391-27.39c4.999-4.999 12.944-4.92 17.942.08l172.084 172.114 307.239-307.19c4.998-4.997 13.004-5.135 18.003-.137l27.392 27.39c4.998 5 4.998 12.87-.007 17.87Z"/></g></svg>'
};
const CheckFilled = {
  name: "check-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M264.384 443.52a25.6 25.6 0 0 1 36.224 0L463.552 606.4 762.24 307.712a25.6 25.6 0 0 1 36.16 0l54.336 54.272a25.6 25.6 0 0 1 0 36.224L481.6 769.28a25.6 25.6 0 0 1-36.16 0L210.112 534.016a25.6 25.6 0 0 1 0-36.224l54.272-54.336z"/></svg>'
};
const Check = {
  name: "check",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M977.15 287.8 452.51 812.44c-4.998 4.998-13.277 4.986-18.276-.013L67.857 446.05c-4.999-5-5.211-13.078-.212-18.077l27.39-27.39c4.999-4.999 12.65-5.214 17.649-.215l330.66 330.697 488.5-488.468c4.998-4.999 13.114-5.25 18.112-.251l27.392 27.39c4.998 4.999 4.8 13.066-.198 18.064Z"/></svg>'
};
const CheckingFilled = {
  name: "checking-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 0c282.752 0 512 229.248 512 512s-229.248 512-512 512S0 794.752 0 512 229.248 0 512 0zm25.6 213.333h-51.2a17.067 17.067 0 0 0-17.067 17.067v292.267a15.787 15.787 0 0 0 .512 4.053c.598 3.285 2.134 6.485 4.694 9.045l187.093 187.051a17.067 17.067 0 0 0 24.15 0l36.18-36.181a17.067 17.067 0 0 0 0-24.15L554.668 495.147V230.4a17.067 17.067 0 0 0-17.067-17.067z"/></svg>'
};
const Clear = {
  name: "clear",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M627.2 64c6.967 0 12.634 5.566 12.796 12.493l.004.307V320h307.2c6.97 0 12.634 5.566 12.8 12.493V499.2c0 6.967-5.563 12.634-12.493 12.796l-.307.004H848l108.026 432.096c1.993 7.985-3.952 15.726-12.14 15.904H144.394c-8.233 0-14.298-7.65-12.484-15.629l.066-.275L240 512h-99.2c-6.967 0-12.634-5.566-12.8-12.493V332.8c0-6.967 5.566-12.634 12.493-12.796l.307-.004H448V76.8c0-6.967 5.566-12.634 12.493-12.8H627.2Zm154.746 448H305.98l-96 384h117.726l58.477-219.857c1.817-6.832 8.828-10.896 15.66-9.08l37.11 9.87c6.831 1.818 10.897 8.83 9.08 15.66L393.93 896h484.015l-96-384ZM896 384H192v64h704v-64ZM576 128h-64v192h64V128Z"/></svg>'
};
const ClockCircle = {
  name: "clock-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64a448 448 0 1 1 0 896 448 448 0 0 1 0-896zm0 64a384 384 0 1 0 0 768 384 384 0 0 0 0-768z"/><path d="M512 268.8v291.456c0 7.04 5.76 12.8 12.8 12.8h166.4c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H460.8a12.8 12.8 0 0 1-12.8-12.8V268.8c0-7.04 5.76-12.8 12.8-12.8h38.4c7.04 0 12.8 5.76 12.8 12.8z"/></svg>'
};
const CloseCircleFilled = {
  name: "close-circle-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 0c282.752 0 512 229.248 512 512s-229.248 512-512 512S0 794.752 0 512 229.248 0 512 0zm192 288.128a14.635 14.635 0 0 0-20.65 0l-170.923 170.88-168.278-168.277a14.635 14.635 0 0 0-20.693 0l-31.061 31.018a14.635 14.635 0 0 0 0 20.694l168.32 168.277-170.752 170.752a14.635 14.635 0 0 0 0 20.693l31.018 31.062a14.635 14.635 0 0 0 20.694 0l170.752-170.795 170.752 170.795a14.635 14.635 0 0 0 20.693 0l31.061-31.019a14.635 14.635 0 0 0 0-20.693L564.181 510.72l170.88-170.88a14.635 14.635 0 0 0 0-20.693l-31.018-31.019z"/></svg>'
};
const CloseCircle = {
  name: "close-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64a448 448 0 1 1 0 896 448 448 0 0 1 0-896zm0 64a384 384 0 1 0 0 768 384 384 0 0 0 0-768zm195.2 215.232a12.8 12.8 0 0 1 0 18.112L557.632 510.848l149.44 149.44a12.8 12.8 0 0 1 0 18.112l-27.2 27.136a12.8 12.8 0 0 1-18.048 0L512.384 556.16 362.944 705.6a12.8 12.8 0 0 1-18.048 0l-27.2-27.136a12.8 12.8 0 0 1 0-18.112L467.2 510.848l-147.264-147.2a12.8 12.8 0 0 1 0-18.112l27.136-27.136a12.8 12.8 0 0 1 18.112 0l147.264 147.2 149.568-149.504a12.8 12.8 0 0 1 18.048 0l27.2 27.136z"/></svg>'
};
const CloseFilled = {
  name: "close-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M916.741 210.766c4.999-4.999 4.999-13.103 0-18.102l-45.255-45.255c-4.999-4.999-13.103-4.999-18.102 0L532.073 468.721 210.766 147.414c-4.999-5-13.103-5-18.102 0l-45.255 45.254c-4.999 5-4.999 13.104 0 18.102l321.307 321.307-321.307 321.307c-5 5.001-4.999 13.103 0 18.102l45.255 45.255c4.999 4.999 13.101 5 18.102 0l321.307-321.307 321.311 321.312c5.001 5 13.103 4.999 18.102 0l45.255-45.255c4.999-4.999 5-13.101 0-18.102L595.43 532.077l321.31-321.311Z"/></svg>'
};
const Close = {
  name: "close",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M282.24 236.928 512 466.688l229.76-229.76a12.8 12.8 0 0 1 18.176 0l27.136 27.136a12.8 12.8 0 0 1 0 18.112L557.248 512l229.76 229.888a12.8 12.8 0 0 1 0 18.112l-27.072 27.136a12.8 12.8 0 0 1-18.112 0L512 557.248l-229.76 229.76a12.8 12.8 0 0 1-18.176 0l-27.136-27.072a12.8 12.8 0 0 1 0-18.112L466.688 512l-229.76-229.76a12.8 12.8 0 0 1 0-18.176l27.136-27.136a12.8 12.8 0 0 1 18.112 0z"/></svg>'
};
const CloudDownload = {
  name: "cloud-download",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M64 640c0-94.779 51.506-177.528 128.056-221.784L192 416c0-159.058 128.942-288 288-288 150.921 0 274.726 116.087 287.002 263.84C877.9 419.851 960 520.337 960 640c0 137.1-107.776 249.03-243.226 255.686L704 896h-51.2c-7.07 0-12.8-5.728-12.8-12.8v-38.38c0-7.073 5.731-12.8 12.8-12.8h49.631l11.201-.257C815.514 826.758 896 742.461 896 640c0-84.559-55.149-158.125-133.805-183.02l-10.867-3.09-35.456-8.956a12.803 12.803 0 0 1-9.626-11.351l-3.026-36.446C693.627 281.637 596.704 192 480 192c-119.588 0-217.288 93.714-223.687 210.26l-.333 12.136.818 32.608a12.8 12.8 0 0 1-6.39 11.402l-26.32 15.217C165.066 507.745 128 570.609 128 640c0 102.252 79.93 185.837 180.719 191.674L320 832h51.2c7.07 0 12.8 5.734 12.8 12.8v38.4c0 7.072-5.73 12.8-12.8 12.8H320C178.615 896 64 781.382 64 640Zm325.368 84.005L501.916 889.39c5.08 7.462 16.083 7.462 21.164 0l112.547-165.384c5.783-8.497-.303-20.001-10.583-20.001H544V524.8c0-7.07-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.73-12.8 12.8v179.204h-80.05c-10.278 0-16.364 11.504-10.582 20.001Z"/></svg>'
};
const CloudServer = {
  name: "cloud-server",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M192.056 418.216C115.506 462.472 64 545.221 64 640c0 86.761 43.16 163.443 109.182 209.74 8.071 5.665 18.818-.32 18.818-10.182v-50.726c0-3.642-1.61-7.13-4.25-9.638C150.945 744.21 128 694.784 128 640c0-69.39 37.066-132.255 96.088-166.377l26.32-15.217a12.8 12.8 0 0 0 6.39-11.402l-.818-32.608.333-12.136C262.712 285.714 360.413 192 480 192c116.704 0 213.627 89.637 223.22 205.137l3.026 36.446a12.803 12.803 0 0 0 9.626 11.35l35.456 8.957 10.867 3.09C840.851 481.875 896 555.44 896 640c0 54.66-22.906 104.152-59.744 139.194-2.637 2.508-4.256 6.003-4.256 9.644v50.72c0 9.863 10.746 15.847 18.816 10.183C916.838 803.443 960 726.76 960 640c0-119.662-82.1-220.148-192.998-248.16C754.726 244.086 630.92 128 480 128c-159.058 0-288 128.942-288 288l.056 2.216ZM256 883.2V588.8c0-7.07 5.73-12.8 12.8-12.8h486.4c7.072 0 12.8 5.73 12.8 12.8v294.4c0 7.072-5.728 12.8-12.8 12.8H268.8c-7.07 0-12.8-5.728-12.8-12.8ZM320 640v192h384V640H320Zm192 76.8v38.4c0 7.07 5.73 12.8 12.8 12.8h102.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8H524.8c-7.07 0-12.8 5.73-12.8 12.8Z"/></svg>'
};
const CloudSync = {
  name: "cloud-sync",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M64 640c0-94.779 51.506-177.528 128.056-221.784L192 416c0-159.058 128.942-288 288-288 150.921 0 274.726 116.087 287.002 263.84C877.9 419.851 960 520.337 960 640c0 113.47-73.824 209.696-176.064 243.27-7.949 2.612-15.936-3.481-15.936-11.846v-41.28c0-5.42 3.494-10.24 8.518-12.294C846.746 789.197 896 720.156 896 640c0-84.559-55.149-158.125-133.805-183.02l-10.867-3.09-35.456-8.956a12.803 12.803 0 0 1-9.626-11.351l-3.026-36.446C693.627 281.637 596.704 192 480 192c-119.588 0-217.288 93.714-223.687 210.26l-.333 12.136.818 32.608a12.8 12.8 0 0 1-6.39 11.402l-26.32 15.217C165.066 507.745 128 570.609 128 640c0 80.385 49.4 149.229 119.496 177.837 5.023 2.054 8.504 6.867 8.504 12.288v41.299c0 8.365-7.99 14.458-15.937 11.846C137.825 849.696 64 753.47 64 640Zm603.969 175.974A192.018 192.018 0 0 0 704 704c0-106.038-85.962-192-192-192-35.204 0-69.63 9.677-99.57 27.836-6.751 4.095-7.33 13.271-1.746 18.855l28.453 28.453c4.151 4.152 10.475 4.935 15.729 2.315A128 128 0 0 1 512 576c70.692 0 128 57.308 128 128 0 8.24-.796 16.46-2.376 24.547h-28.33c-11.496 0-17.164 13.978-8.914 21.985l66.635 64.668c.047.051.127.032.151-.032l.803.806ZM430.378 670.46l-29.264-30.399.157-.271-11.211-11.212-33.734-35.042a.648.648 0 0 0-1.077.232l-.265-.266a192.002 192.002 0 0 0-34.587 98.156l-.17.48h.14a191.574 191.574 0 0 0-.367 11.863c0 106.042 85.962 192 192 192 34.515 0 68.294-9.3 97.834-26.797 6.837-4.045 7.525-13.331 1.906-18.95l-28.567-28.563c-4.103-4.11-10.452-4.858-15.681-2.343A128.054 128.054 0 0 1 512 832c-70.692 0-128-57.306-128-128 0-3.961.184-7.92.551-11.864h36.605c11.287 0 17.05-13.546 9.222-21.677Z"/></svg>'
};
const CloudUpload = {
  name: "cloud-upload",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M64 640c0-94.779 51.506-177.528 128.056-221.784L192 416c0-159.058 128.942-288 288-288 150.921 0 274.726 116.087 287.002 263.84C877.9 419.851 960 520.337 960 640c0 137.1-107.776 249.03-243.226 255.686L704 896h-51.2c-7.07 0-12.8-5.728-12.8-12.8v-38.38c0-7.073 5.731-12.8 12.8-12.8h49.631l11.201-.257C815.514 826.758 896 742.461 896 640c0-84.559-55.149-158.125-133.805-183.02l-10.867-3.09-35.456-8.956a12.803 12.803 0 0 1-9.626-11.351l-3.026-36.446C693.627 281.637 596.704 192 480 192c-119.588 0-217.288 93.714-223.687 210.26l-.333 12.136.818 32.608a12.8 12.8 0 0 1-6.39 11.402l-26.32 15.217C165.066 507.745 128 570.609 128 640c0 102.252 79.93 185.837 180.719 191.674L320 832h51.2c7.07 0 12.8 5.734 12.8 12.8v38.4c0 7.072-5.73 12.8-12.8 12.8H320C178.615 896 64 781.382 64 640Zm571.628 44.424L523.08 519.042c-5.08-7.465-16.084-7.465-21.164 0L389.37 684.424c-5.783 8.498.303 20.002 10.581 20.002h81.045v179.203c0 7.072 5.731 12.8 12.8 12.8h38.4c7.07 0 12.8-5.728 12.8-12.8V704.426h80.05c10.278 0 16.365-11.504 10.582-20.002Z"/></svg>'
};
const Cloud = {
  name: "cloud",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M64 640c0-94.779 51.506-177.528 128.056-221.784L192 416c0-159.058 128.942-288 288-288 150.921 0 274.726 116.087 287.002 263.84C877.9 419.851 960 520.337 960 640c0 137.1-107.776 249.03-243.226 255.686L704 896H320C178.615 896 64 781.382 64 640Zm687.328-186.11-35.456-8.956a12.803 12.803 0 0 1-9.626-11.351l-3.026-36.446C693.627 281.637 596.704 192 480 192c-119.588 0-217.288 93.714-223.687 210.26l-.333 12.136.818 32.608a12.8 12.8 0 0 1-6.39 11.402l-26.32 15.217C165.066 507.745 128 570.609 128 640c0 102.252 79.93 185.837 180.719 191.674L320 832l382.431.02 11.201-.257C815.514 826.758 896 742.461 896 640c0-84.559-55.149-158.125-133.805-183.02l-10.867-3.09Z"/></svg>'
};
const Cluster = {
  name: "cluster",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M755.2 64c7.04 0 12.8 5.76 12.8 12.8v294.4a12.8 12.8 0 0 1-12.8 12.8H268.8a12.8 12.8 0 0 1-12.8-12.8V76.8c0-7.04 5.76-12.8 12.8-12.8h486.4zM704 128H320v192h384V128z"/><path d="M524.8 192h102.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H524.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8ZM307.2 704c7.04 0 12.8 5.76 12.8 12.8v230.4a12.8 12.8 0 0 1-12.8 12.8H76.8A12.8 12.8 0 0 1 64 947.2V716.8c0-7.04 5.76-12.8 12.8-12.8h230.4zM256 768H128v128h128V768zm371.2-64c7.04 0 12.8 5.76 12.8 12.8v230.4a12.8 12.8 0 0 1-12.8 12.8H396.8a12.8 12.8 0 0 1-12.8-12.8V716.8c0-7.04 5.76-12.8 12.8-12.8h230.4zM576 768H448v128h128V768zm371.2-64c7.04 0 12.8 5.76 12.8 12.8v230.4a12.8 12.8 0 0 1-12.8 12.8H716.8a12.8 12.8 0 0 1-12.8-12.8V716.8c0-7.04 5.76-12.8 12.8-12.8h230.4zM896 768H768v128h128V768z"/><path d="M480 384h64v384h-64zM140.8 512h38.4q12.8 0 12.8 12.8v230.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V524.8q0-12.8 12.8-12.8Zm704 0h38.4q12.8 0 12.8 12.8v230.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V524.8q0-12.8 12.8-12.8Z"/><path d="M140.8 512h742.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H140.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Z"/></svg>'
};
const Code = {
  name: "code",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M140.8 896h742.4c7.072 0 12.8-5.728 12.8-12.8V140.8c0-7.07-5.728-12.8-12.8-12.8H140.8c-7.07 0-12.8 5.73-12.8 12.8v742.4c0 7.072 5.73 12.8 12.8 12.8Zm51.2-64V192h640v640H192Zm220.739-320.046-152.99 152.968a12.8 12.8 0 0 0-3.749 9.052v54.36c0 11.404 13.786 17.115 21.85 9.053L494.24 521.05c5-4.998 5-13.104.001-18.103l-216.39-216.393c-8.063-8.063-21.851-2.352-21.851 9.051v54.293a12.8 12.8 0 0 0 3.748 9.05l152.99 153.006ZM448 755.2v-38.4c0-7.07 5.73-12.8 12.8-12.8h230.4c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H460.8c-7.07 0-12.8-5.73-12.8-12.8Z"/></svg>'
};
const CollapseAll = {
  name: "collapse-all",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M192 256v-51.2c0-7.07-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.73-12.8 12.8v614.4c0 7.07 5.73 12.8 12.8 12.8h166.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8H192V576h115.2c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8H192V320h115.2c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8H192Zm704 51.2v-38.4c0-7.07-5.728-12.8-12.8-12.8H396.8c-7.07 0-12.8 5.73-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8h486.4c7.072 0 12.8-5.73 12.8-12.8Zm0 256v-38.4c0-7.07-5.728-12.8-12.8-12.8H396.8c-7.07 0-12.8 5.73-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8h486.4c7.072 0 12.8-5.73 12.8-12.8Zm0 256v-38.4c0-7.07-5.728-12.8-12.8-12.8H396.8c-7.07 0-12.8 5.73-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8h486.4c7.072 0 12.8-5.73 12.8-12.8Z"/></svg>'
};
const Collapse$1 = {
  name: "collapse",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M819.2 128c7.04 0 12.8 5.76 12.8 12.8v742.4a12.8 12.8 0 0 1-12.8 12.8h-38.4a12.8 12.8 0 0 1-12.8-12.8V140.8c0-7.04 5.76-12.8 12.8-12.8h38.4zm-266.176 76.224 27.2 27.2a12.8 12.8 0 0 1 0 18.112l-262.528 262.4 262.528 262.528a12.8 12.8 0 0 1 0 18.112l-27.2 27.136a12.8 12.8 0 0 1-18.048 0L236.288 521.024a12.8 12.8 0 0 1 0-18.112l298.688-298.688a12.8 12.8 0 0 1 18.048 0z"/></svg>'
};
const Collect = {
  name: "collect",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M883.2 192c7.04 0 12.8 5.76 12.8 12.8V448h-64V256H128v512l256-.064V832H76.8A12.8 12.8 0 0 1 64 819.2V192h819.2z"/><path d="m621.248 256-192-192H128a64 64 0 0 0-64 64v128h557.248zM402.752 128l64 64H128v-64h274.752zM651.52 343.232l79.552 161.28a12.8 12.8 0 0 0 9.6 7.04l177.984 25.856a12.8 12.8 0 0 1 7.104 21.76L796.992 684.8a12.8 12.8 0 0 0-3.712 11.328l30.4 177.28a12.8 12.8 0 0 1-18.56 13.44L645.952 803.2a12.8 12.8 0 0 0-11.904 0L474.88 886.848a12.8 12.8 0 0 1-18.56-13.504l30.4-177.28a12.8 12.8 0 0 0-3.712-11.328L354.24 559.232a12.8 12.8 0 0 1 7.04-21.824l177.984-25.856a12.8 12.8 0 0 0 9.664-7.04l79.616-161.28a12.8 12.8 0 0 1 22.912 0zm40 225.792L640 464.64l-51.52 104.448-115.264 16.768 83.392 81.28-19.776 114.752L640 727.68l103.104 54.144-19.712-114.752 83.328-81.28-115.2-16.768z"/></svg>'
};
const Comment$1 = {
  name: "comment",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M512 896c-59.066 0-116.58-9.798-170.06-28.595l-231.968 67.117c-8.64 2.502-17.096-4.455-16.308-13.415l20.448-232.595-3.58-5.775c-27.356-47.229-43.162-99.031-46.05-152.76L64 512c0-213.372 201.65-384 448-384 246.349 0 448 170.628 448 384S758.349 896 512 896ZM173.796 663.518l5.983 9.238-15.811 179.468 180.48-52.128 9.948 3.744C403.486 822.31 456.893 832 512 832c213.152 0 384-144.564 384-320S725.152 192 512 192c-213.151 0-384 144.564-384 320 0 53.576 15.837 105.258 45.796 151.518ZM320.844 480c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48Zm192 0c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48Zm192 0c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48Z"/></svg>'
};
const Control = {
  name: "control",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M896 140.8v742.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V140.8c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zM832 192H192v640h640V192z"/><path d="M332.8 256h38.4q12.8 0 12.8 12.8v486.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V268.8q0-12.8 12.8-12.8Zm320 0h38.4q12.8 0 12.8 12.8v486.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V268.8q0-12.8 12.8-12.8Z"/><path d="M352 512a96 96 0 1 1 0 192 96 96 0 0 1 0-192zm320-192a96 96 0 1 1 0 192 96 96 0 0 1 0-192z"/><path d="M352 512a96 96 0 1 1 0 192 96 96 0 0 1 0-192zm0 64a32 32 0 1 0 0 64 32 32 0 0 0 0-64zm320-256a96 96 0 1 1 0 192 96 96 0 0 1 0-192zm0 64a32 32 0 1 0 0 64 32 32 0 0 0 0-64z"/></svg>'
};
const Controlz = {
  name: "controlz",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M896 140.8v742.4c0 7.07-5.73 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.73-12.8-12.8V140.8c0-7.07 5.73-12.8 12.8-12.8h742.4c7.07 0 12.8 5.73 12.8 12.8ZM832 192H192v640h640V192Zm-448.19 76.8.192 248.69 4.735 1.818a95.912 95.912 0 0 1 16.597 8.87l7.568 5.613 3.568 3.078 3.412 3.249a95.933 95.933 0 0 1 6.327 6.98l5.612 7.567a95.974 95.974 0 0 1 15.717 43.925l.346 4.7L448 608a95.99 95.99 0 0 1-16.18 53.334l-5.61 7.568-3.078 3.568-3.25 3.412a95.987 95.987 0 0 1-6.98 6.327l-7.567 5.612a96.097 96.097 0 0 1-8.08 4.843l-4.21 2.119-9.043 3.726L384 755.04c0 7.054-5.706 12.778-12.76 12.8l-38.24.12c-5.891.021-10.865-3.943-12.372-9.355l-.465-3.405-.163-56.69-4.738-1.818a95.911 95.911 0 0 1-16.597-8.871l-7.567-5.612-3.568-3.077-3.412-3.25a96.003 96.003 0 0 1-6.327-6.98l-5.612-7.567a96.05 96.05 0 0 1-12.045-25.467 95.962 95.962 0 0 1-3.672-37.278 95.964 95.964 0 0 1 10.874-35.844 95.927 95.927 0 0 1 4.843-8.08l5.612-7.568 3.078-3.568 3.249-3.412a95.95 95.95 0 0 1 6.98-6.327l7.567-5.612a95.927 95.927 0 0 1 8.08-4.843l4.21-2.119L320 517.49V268.96c0-7.054 5.706-12.778 12.76-12.8l38.21-.12c7.069-.022 12.818 5.69 12.84 12.76Zm320.03-.003.16 56.694 4.737 1.817a95.912 95.912 0 0 1 16.597 8.87l7.568 5.613 3.568 3.078 3.412 3.249a95.933 95.933 0 0 1 6.327 6.98l5.612 7.567a95.974 95.974 0 0 1 15.717 43.925 95.99 95.99 0 0 1-6.846 46.147 95.878 95.878 0 0 1-8.871 16.597l-5.612 7.568-3.077 3.568-3.25 3.412a95.987 95.987 0 0 1-6.98 6.327l-7.567 5.612a96.097 96.097 0 0 1-8.08 4.843l-4.21 2.119-9.044 3.726L704 755.04c0 7.054-5.706 12.778-12.76 12.8l-38.21.12c-5.89.018-10.865-3.946-12.372-9.359l-.468-3.431-.19-248.66-4.738-1.818a95.911 95.911 0 0 1-16.597-8.871l-7.567-5.612-3.568-3.077-3.412-3.25a96.003 96.003 0 0 1-6.327-6.98l-5.612-7.567a96.05 96.05 0 0 1-12.045-25.467 95.962 95.962 0 0 1-3.672-18.458l-.346-4.7L576 416a95.951 95.951 0 0 1 4.134-27.868 95.948 95.948 0 0 1 12.045-25.467l5.612-7.567 3.078-3.568 3.249-3.412a95.95 95.95 0 0 1 6.98-6.327l7.567-5.612a95.927 95.927 0 0 1 8.08-4.843l4.21-2.119 4.307-1.91A96.002 96.002 0 0 1 640 325.49v-56.53c0-7.054 5.706-12.778 12.76-12.8l38.24-.12c7.07-.025 12.818 5.688 12.84 12.757ZM352 576a31.92 31.92 0 0 0-6.243.615 31.941 31.941 0 0 0-16.384 8.758 31.941 31.941 0 0 0-8.758 16.384A31.917 31.917 0 0 0 320 608c0 2.101.205 4.182.615 6.243a31.92 31.92 0 0 0 4.778 11.535 31.867 31.867 0 0 0 3.98 4.85 31.941 31.941 0 0 0 16.384 8.758 31.989 31.989 0 0 0 12.486-.001 31.92 31.92 0 0 0 11.535-4.778 31.867 31.867 0 0 0 4.85-3.98 31.867 31.867 0 0 0 3.979-4.85 31.92 31.92 0 0 0 2.957-5.531 31.893 31.893 0 0 0 1.821-6.003c.41-2.06.615-4.142.615-6.243s-.205-4.182-.615-6.243a31.941 31.941 0 0 0-8.758-16.384 31.867 31.867 0 0 0-4.85-3.98 31.92 31.92 0 0 0-5.531-2.957 31.893 31.893 0 0 0-6.003-1.821A31.917 31.917 0 0 0 352 576Zm320-192a31.92 31.92 0 0 0-6.243.615 31.941 31.941 0 0 0-16.384 8.758 31.941 31.941 0 0 0-8.758 16.384A31.917 31.917 0 0 0 640 416c0 2.101.205 4.182.615 6.243a31.92 31.92 0 0 0 4.778 11.535 31.867 31.867 0 0 0 3.98 4.85 31.941 31.941 0 0 0 16.384 8.758 31.989 31.989 0 0 0 12.486-.001 31.92 31.92 0 0 0 11.535-4.778 31.867 31.867 0 0 0 4.85-3.98 31.867 31.867 0 0 0 3.979-4.85 31.92 31.92 0 0 0 2.957-5.531 31.893 31.893 0 0 0 1.821-6.003c.41-2.06.615-4.142.615-6.243s-.205-4.182-.615-6.243a31.941 31.941 0 0 0-8.758-16.384 31.867 31.867 0 0 0-4.85-3.98 31.92 31.92 0 0 0-5.531-2.957 31.893 31.893 0 0 0-6.003-1.821A31.917 31.917 0 0 0 672 384Z"/></svg>'
};
const Copy = {
  name: "copy",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M332.8 192h38.4c7.07 0 12.8-5.73 12.8-12.8V128h448v640h-51.2c-7.072 0-12.8 5.728-12.8 12.8v38.4c0 7.072 5.728 12.8 12.8 12.8h102.4c7.072 0 12.8-5.728 12.8-12.8V76.8c0-7.07-5.728-12.8-12.8-12.8H332.8c-7.07 0-12.8 5.73-12.8 12.8v102.4c0 7.07 5.73 12.8 12.8 12.8ZM128 947.2V268.8c0-7.07 5.73-12.8 12.8-12.8h550.4c7.07 0 12.8 5.73 12.8 12.8v678.4c0 7.072-5.73 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.728-12.8-12.8ZM192 320v576h448V320H192Zm64 140.8v38.4c0 7.07 5.73 12.8 12.8 12.8h294.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8H268.8c-7.07 0-12.8 5.73-12.8 12.8Zm0 192v38.4c0 7.07 5.73 12.8 12.8 12.8h294.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8H268.8c-7.07 0-12.8 5.73-12.8 12.8Z"/></svg>'
};
const Copyright = {
  name: "copyright",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M512 64c247.424 0 448 200.577 448 448 0 247.424-200.576 448-448 448-247.423 0-448-200.576-448-448C64 264.577 264.577 64 512 64Zm0 64c-212.077 0-384 171.923-384 384s171.923 384 384 384 384-171.923 384-384-171.923-384-384-384Z"/><path d="M300.8 466.61c0-111.439 87.225-202.506 197.127-208.654l11.86-.331h18.606c101.388 0 184.266 79.256 190.058 179.222.173 6.125-4.467 11.157-10.592 11.157h-40.455c-7.07 0-12.572-5.918-13.288-12.95-6.17-60.625-55.19-108.575-116.291-113.082l-9.432-.347h-18.607c-76.736 0-139.55 59.615-144.65 135.06l-.335 9.926v92.736c0 76.737 59.616 139.55 135.059 144.652l9.926.334h16.657c67.652 0 123.078-52.35 127.977-118.777a9.894 9.894 0 0 1 9.906-9.552h41.812c7.072 0 12.678 5.805 12.21 12.859-6.367 96.493-83.903 173.543-180.605 179.143l-11.3.327h-16.657c-111.44 0-202.507-87.225-208.654-197.127l-.331-11.859v-92.736Z"/></g></svg>'
};
const CreditCard = {
  name: "credit-card",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M947.2 192c6.97 0 12.634 5.566 12.796 12.493l.004.307v614.4c0 6.967-5.563 12.634-12.493 12.796l-.307.004H76.8c-6.967 0-12.634-5.566-12.796-12.493L64 819.2V204.8c0-6.967 5.566-12.634 12.493-12.796L76.8 192h870.4ZM896 384H128v384h768V384Zm0-128H128v64h768v-64Z"/><path d="M819.2 640H652.8c-7.07 0-12.8 5.73-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8h166.4c7.072 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.728-12.8-12.8-12.8Z"/></g></svg>'
};
const CustomerService = {
  name: "customer-service",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M512 128c247.424 0 448 200.577 448 448v371.2c0 7.072-5.728 12.8-12.8 12.8H716.8c-7.072 0-12.8-5.728-12.8-12.8V588.8c0-7.07 5.728-12.8 12.8-12.8H896c0-207.258-164.198-376.164-369.604-383.735L512 192c-207.258 0-376.164 164.196-383.735 369.604L128 576h179.2c7.07 0 12.8 5.73 12.8 12.8v358.4c0 7.072-5.73 12.8-12.8 12.8H76.8c-7.07 0-12.8-5.728-12.8-12.8V576c0-247.423 200.577-448 448-448ZM128 896h128V640H128v256Zm768-256H768v256h128V640Z"/></svg>'
};
const Customization = {
  name: "customization",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M499.2 640c7.07 0 12.8 5.73 12.8 12.8v166.4c0 7.07-5.73 12.8-12.8 12.8H332.8c-7.07 0-12.8-5.73-12.8-12.8V768H76.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8H320v-51.2c0-7.07 5.73-12.8 12.8-12.8h166.4Zm448 64c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H588.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8h358.4ZM448 704h-64v64h64v-64Zm371.2-320c7.07 0 12.8 5.73 12.8 12.8V448h115.2c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H832v51.2c0 7.07-5.73 12.8-12.8 12.8H652.8c-7.07 0-12.8-5.73-12.8-12.8V396.8c0-7.07 5.73-12.8 12.8-12.8h166.4Zm-256 64c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H76.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8h486.4Zm204.8 0h-64v64h64v-64ZM371.2 128c7.07 0 12.8 5.73 12.8 12.8v166.4c0 7.07-5.73 12.8-12.8 12.8H204.8c-7.07 0-12.8-5.73-12.8-12.8V256H76.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8H192v-51.2c0-7.07 5.73-12.8 12.8-12.8h166.4Zm576 64c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H460.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8h486.4ZM320 192h-64v64h64v-64Z"/></svg>'
};
const Dashboard = {
  name: "dashboard",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M960 576c0 123.557-50.016 235.43-130.912 316.48-2.368 2.368-5.536 3.622-8.883 3.622H203.793c-3.348 0-6.516-1.254-8.881-3.622C114.019 811.43 64 699.557 64 576c0-247.423 200.577-448 448-448 247.424 0 448 200.577 448 448ZM805.216 823.98c54.202-63.97 86.31-144.073 90.349-229.579L896 576c0-212.077-171.923-384-384-384S128 363.923 128 576c0 92.38 32.71 179.44 90.784 247.98l7.2 8.084h571.968l7.264-8.083ZM480 307.2v-38.4c0-7.07 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8Zm-130.11 52.015-19.2-33.255c-3.535-6.122-1.438-13.95 4.684-17.485l33.256-19.2a12.8 12.8 0 0 1 17.485 4.685l19.2 33.255c3.534 6.123 1.437 13.951-4.685 17.486l-33.256 19.2a12.8 12.8 0 0 1-17.485-4.686Zm268.8-32 19.2-33.255c3.534-6.122 11.362-8.22 17.484-4.685l33.256 19.2c6.122 3.535 8.22 11.363 4.685 17.485l-19.2 33.255c-3.535 6.123-11.363 8.22-17.485 4.686l-33.256-19.2a12.802 12.802 0 0 1-4.685-17.486ZM229.955 450.111l33.256 19.2a12.797 12.797 0 0 0 17.485-4.685l19.2-33.256a12.802 12.802 0 0 0-4.685-17.485l-33.256-19.2c-6.122-3.534-13.95-1.437-17.485 4.685l-19.2 33.256a12.8 12.8 0 0 0 4.685 17.485Zm498.831-36.222 33.255-19.2c6.124-3.534 13.952-1.437 17.484 4.685l19.2 33.256a12.785 12.785 0 0 1 1.28 9.712 12.78 12.78 0 0 1-5.964 7.773l-33.255 19.2a12.79 12.79 0 0 1-9.709 1.278 12.794 12.794 0 0 1-7.776-5.963l-19.2-33.256a12.815 12.815 0 0 1-1.28-9.713 12.825 12.825 0 0 1 5.965-7.772ZM560.675 651.972l139.314-139.315c4.997-4.998 4.997-13.103 0-18.101l-27.153-27.154c-4.999-4.998-13.103-4.998-18.102 0L514.12 608.017l-1.276-.017c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48c0-1.345-.057-2.689-.17-4.028ZM204.8 608h38.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.73-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8Zm576-64h38.4c7.072 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.728 12.8-12.8 12.8h-38.4c-7.072 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.728-12.8 12.8-12.8ZM261.956 757.31l33.256-19.2c6.122-3.534 8.219-11.362 4.685-17.484l-19.2-33.256a12.804 12.804 0 0 0-17.485-4.685l-33.256 19.2c-6.122 3.535-8.22 11.363-4.685 17.485l19.2 33.256a12.802 12.802 0 0 0 17.485 4.685Zm498.831-74.62 33.255 19.2c6.124 3.533 8.224 11.362 4.684 17.484l-19.2 33.256c-3.532 6.122-11.36 8.22-17.484 4.685l-33.255-19.2a12.825 12.825 0 0 1-5.965-7.773 12.814 12.814 0 0 1 1.28-9.712l19.2-33.256a12.794 12.794 0 0 1 7.776-5.963 12.79 12.79 0 0 1 9.71 1.278Z"/></svg>'
};
const DataCenterStar = {
  name: "data-center-star",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M64 883.2V76.8C64 69.73 69.73 64 76.8 64h870.4c7.072 0 12.8 5.73 12.8 12.8v358.577c0 7.07-5.562 12.623-12.634 12.623h-38.732c-7.072 0-12.634-5.649-12.634-12.718V128H704.275v307.282c0 7.07-5.562 12.718-12.631 12.718h-38.736c-7.07 0-12.632-5.649-12.632-12.718V128H383.912v704h51.438c7.07 0 12.65 5.562 12.65 12.634v38.732c0 7.072-5.554 12.634-12.623 12.634H76.8c-7.07 0-12.8-5.728-12.8-12.8ZM128 128v704h192.052V128H128Zm64 76.8v102.4c0 7.07 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.73 12.8-12.8V204.8c0-7.07-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.73-12.8 12.8Zm288 0v102.4c0 7.07 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.73 12.8-12.8V204.8c0-7.07-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.73-12.8 12.8Zm288 0v102.4c0 7.07 5.728 12.8 12.8 12.8h38.4c7.072 0 12.8-5.73 12.8-12.8V204.8c0-7.07-5.728-12.8-12.8-12.8h-38.4c-7.072 0-12.8 5.73-12.8 12.8ZM478.103 658.705c-12.399 0-17.554 15.867-7.523 23.155l137.407 99.842-52.48 161.536c-3.831 11.796 9.665 21.6 19.697 14.31l137.417-99.826 137.414 99.827c10.029 7.29 23.527-2.515 19.693-14.31l-52.48-161.537 137.408-99.842c10.029-7.288 4.877-23.155-7.52-23.155l-169.85-.006-52.492-161.535c-3.834-11.792-20.519-11.792-24.35 0L647.954 658.7l-169.85.006Z"/></svg>'
};
const DataCenter = {
  name: "data-center",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M947.2 64c7.07 0 12.8 5.73 12.8 12.8v806.4c0 7.07-5.73 12.8-12.8 12.8H76.8c-7.07 0-12.8-5.73-12.8-12.8V76.8C64 69.73 69.73 64 76.8 64h870.4ZM320 128H128v704h192V128Zm320 0H384v704h256V128Zm256 0H704v704h192V128Zm-76.8 64c7.07 0 12.8 5.73 12.8 12.8v102.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8V204.8c0-7.07 5.73-12.8 12.8-12.8h38.4Zm-288 0c7.07 0 12.8 5.73 12.8 12.8v102.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8V204.8c0-7.07 5.73-12.8 12.8-12.8h38.4Zm-288 0c7.07 0 12.8 5.73 12.8 12.8v102.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8V204.8c0-7.07 5.73-12.8 12.8-12.8h38.4Z"/></svg>'
};
const Database = {
  name: "database",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="m127.848 768 .378 10.246C137.019 896.243 298.255 961.363 512 961.363c219.812 0 384.001-68.89 384.001-193.363V256l-.377-10.24C886.914 127.84 727.142 64 512 64c-221.33 0-384.152 67.546-384.152 192v512ZM512 385.364c-187.914 0-320.152-55.451-320.152-129.364 0-73.71 130.866-128 320.152-128 189.25 0 320.001 54.273 320.001 128 0 73.93-132.121 129.364-320 129.364ZM831.617 518.88c-7.93 70.464-137.61 122.489-319.617 122.489-187.915 0-320.153-55.452-320.153-129.365l-.034-139.83c67.512 50.384 183.04 77.195 320.187 77.195 137.12 0 252.596-26.808 320.072-77.196l-.032 139.831-.423 6.876Zm.385 249.127-.385 6.874c-7.93 70.464-137.61 122.49-319.617 122.49-187.915 0-320.153-55.456-320.153-129.364l-.034-139.834C259.325 678.557 374.853 705.37 512 705.37c137.12 0 252.596-26.81 320.072-77.198l-.07 139.834Z"/></svg>'
};
const Delete = {
  name: "delete",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M435.456 448c7.04 0 12.8 5.76 12.8 12.8v294.4a12.8 12.8 0 0 1-12.8 12.8h-38.4a12.8 12.8 0 0 1-12.8-12.8V460.8c0-7.04 5.76-12.8 12.8-12.8h38.4zm204.8 12.8v294.4a12.8 12.8 0 0 1-12.8 12.8h-38.4a12.8 12.8 0 0 1-12.8-12.8V460.8c0-7.04 5.76-12.8 12.8-12.8h38.4c7.04 0 12.8 5.76 12.8 12.8z"/><path d="M256 332.8V896h512V332.8c0-7.04 5.76-12.8 12.8-12.8h38.4c7.04 0 12.8 5.76 12.8 12.8v614.08a12.8 12.8 0 0 1-12.8 12.8H204.8a12.8 12.8 0 0 1-12.8-12.8V332.8c0-7.04 5.76-12.8 12.8-12.8h38.4c7.04 0 12.8 5.76 12.8 12.8zM64 192h896v64H64z"/><path d="M755.2 64c7.04 0 12.8 5.76 12.8 12.8V256h-63.552V128h-383.68v128H256V76.8c0-7.04 5.76-12.8 12.8-12.8h486.4z"/></svg>'
};
const DeliveredProcedure = {
  name: "delivered-procedure",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M703.488 64v192l192.512.384V371.2a12.8 12.8 0 0 1-12.8 12.8h-38.4a12.8 12.8 0 0 1-12.8-12.8v-51.264H653.504a12.8 12.8 0 0 1-12.8-12.8V123.52L192 127.616v768.32h177.6c7.04.064 12.8 5.76 12.8 12.864v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V76.8c0-7.04 5.76-12.8 12.8-12.8h562.688z"/><path d="M703.488 64 896 256.384l-45.248 45.248L658.24 109.248zM268.8 448h102.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H268.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 128h38.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 128h38.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8ZM672 384a288 288 0 1 1 0 576 288 288 0 0 1 0-576zm0 64a224 224 0 1 0 0 448 224 224 0 0 0 0-448z"/><path d="M769.28 652.8v38.4a12.8 12.8 0 0 1-12.8 12.8h-230.4a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.696-12.8 12.8-12.8h230.4c7.04 0 12.8 5.76 12.8 12.8z"/><path d="m637.44 776.064 94.976-95.04a12.8 12.8 0 0 0 0-18.048l-94.976-95.04a12.8 12.8 0 0 1 0-18.112l27.2-27.136a12.8 12.8 0 0 1 18.112 0L823.04 662.976a12.8 12.8 0 0 1 0 18.048L682.752 821.312a12.8 12.8 0 0 1-18.112 0l-27.2-27.136a12.8 12.8 0 0 1 0-18.112z"/></svg>'
};
const DesktopStar = {
  name: "desktop-star",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M896 128v371.2c0 7.07 5.728 12.8 12.8 12.8h38.4c7.072 0 12.8-5.73 12.8-12.8V76.8c0-7.07-5.728-12.8-12.8-12.8H76.8C69.73 64 64 69.73 64 76.8v614.4c0 7.072 5.73 12.8 12.8 12.8H384v128h-51.2c-7.07 0-12.8 5.728-12.8 12.8v38.4c0 7.072 5.73 12.8 12.8 12.8h102.4c7.07 0 12.8-5.728 12.8-12.8V652.8c0-7.07-5.73-12.8-12.8-12.8H128v-64h307.2c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8H128V128h768ZM478.103 658.705c-12.399 0-17.554 15.867-7.523 23.155l137.407 99.842-52.48 161.536c-3.831 11.796 9.665 21.6 19.697 14.31l137.417-99.826 137.414 99.827c10.029 7.29 23.527-2.515 19.693-14.31l-52.48-161.537 137.408-99.842c10.029-7.288 4.877-23.155-7.52-23.155l-169.85-.006-52.492-161.535c-3.834-11.792-20.519-11.792-24.35 0L647.954 658.7l-169.85.006Z"/></svg>'
};
const Desktop = {
  name: "desktop",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M947.2 64c6.97 0 12.634 5.566 12.796 12.493l.004.307v614.4c0 6.967-5.563 12.634-12.493 12.796l-.307.004H640v128h51.2c6.967 0 12.634 5.563 12.796 12.493l.004.307v38.4c0 6.97-5.566 12.634-12.493 12.796l-.307.004H332.8c-6.967 0-12.634-5.563-12.796-12.493L320 883.2v-38.4c0-6.97 5.566-12.634 12.493-12.796l.307-.004H384V704H76.8c-6.967 0-12.634-5.566-12.796-12.493L64 691.2V76.8c0-6.967 5.566-12.634 12.493-12.796L76.8 64h870.4ZM576 704H448v128h128V704Zm320-128H128v64h768v-64Zm0-448H128v384h768V128Z"/></svg>'
};
const DialogClose = {
  name: "dialog-close",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M916.741 210.766c4.999-4.999 4.999-13.103 0-18.102l-45.255-45.255c-4.999-4.999-13.103-4.999-18.102 0L532.073 468.721 210.766 147.414c-4.999-5-13.103-5-18.102 0l-45.255 45.254c-4.999 5-4.999 13.104 0 18.102l321.307 321.307-321.307 321.307c-5 5.001-4.999 13.103 0 18.102l45.255 45.255c4.999 4.999 13.101 5 18.102 0l321.307-321.307 321.311 321.312c5.001 5 13.103 4.999 18.102 0l45.255-45.255c4.999-4.999 5-13.101 0-18.102L595.43 532.077l321.31-321.311Z"/></svg>'
};
const Disconnect = {
  name: "disconnect",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="m435.382 213.123-38.396.003c-7.07 0-12.802-5.74-12.802-12.808V97.92c0-7.07 5.73-12.8 12.799-12.8l38.402.003c7.07 0 12.794 5.725 12.794 12.794v102.398c0 7.07-5.727 12.808-12.797 12.808Zm-5.223 128.33 27.152 27.154c5 4.999 13.104 4.999 18.103 0L647.382 196.64c24.993-24.994 55.164-37.491 90.511-37.491 35.345 0 65.515 12.497 90.509 37.49 24.994 24.994 37.491 55.164 37.491 90.51 0 35.346-12.497 65.516-37.491 90.51l-171.97 171.968c-4.998 5-4.998 13.103 0 18.102l27.154 27.153c4.998 4.998 13.103 4.998 18.102 0l171.968-171.969c74.983-74.98 74.983-196.547 0-271.529-74.982-74.98-196.548-74.98-271.529 0L430.16 323.353c-5 4.998-5 13.102 0 18.1Zm-131.692 2.263L180.804 226.053c-4.999-4.998-4.999-13.103 0-18.102l27.153-27.152c4.999-5 13.103-5 18.102 0L343.721 298.46c5 4.999 5 13.103 0 18.102l-27.152 27.153c-5 4.998-13.104 4.999-18.102 0Zm-85.341 53.16-.007 38.39c0 7.068-5.727 12.805-12.796 12.805H97.927c-7.07 0-12.806-5.736-12.806-12.806l-.001-38.404c0-7.069 5.733-12.79 12.802-12.79H200.32c7.07 0 12.806 5.735 12.806 12.804Zm108.42 35.087L149.58 603.932c-74.981 74.98-74.981 196.545 0 271.528 74.98 74.982 196.548 74.982 271.529 0l171.968-171.968c4.999-4.998 4.999-13.102 0-18.101l-27.153-27.153c-4.999-5-13.103-5-18.102 0L375.853 830.205c-24.994 24.994-55.164 37.491-90.51 37.491-35.346 0-65.516-12.497-90.51-37.49-24.993-24.995-37.49-55.164-37.49-90.51 0-35.346 12.497-65.516 37.49-90.509l171.969-171.969c4.999-4.998 4.999-13.103 0-18.101l-27.153-27.154c-4.999-4.998-13.103-4.998-18.102 0Zm487.662 156.898v38.396c0 7.07 5.735 12.798 12.8 12.798h10.17l64 .006 28.23-.006c7.066 0 12.8-5.73 12.8-12.8V588.86c0-7.07-5.728-12.8-12.8-12.8l-102.406-.002c-7.066 0-12.794 5.734-12.794 12.804ZM678.606 723.859 796.267 841.52c4.999 4.999 13.108 4.999 18.106 0l27.149-27.148c4.998-5.005 4.998-13.108 0-18.106L723.86 678.604c-5-4.998-13.103-4.998-18.102 0l-27.153 27.153c-4.998 4.999-4.998 13.103 0 18.102Zm-51.235 85.335h-38.395c-7.069 0-12.803 5.722-12.803 12.794v102.4c0 7.065 5.734 12.806 12.803 12.806l38.395-.006c7.07 0 12.804-5.735 12.804-12.8v-102.4c0-7.066-5.734-12.794-12.804-12.794Z"/></svg>'
};
const DislikeFilled = {
  name: "dislike-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M256 608V128H140.8a12.8 12.8 0 0 0-12.8 12.8v454.4c0 7.04 5.76 12.8 12.8 12.8H256zm352 288a64 64 0 0 0 64-64V652.8c0-7.04 5.76-12.8 12.8-12.8h168.64a96 96 0 0 0 89.92-129.728l-120-320A96 96 0 0 0 733.44 128H320v480.512a128 128 0 0 1 100.608 65.28l92.288 166.272C532.096 874.624 568.512 896 608 896z"/></svg>'
};
const Dislike = {
  name: "dislike",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M140.8 128a12.8 12.8 0 0 0-12.8 12.8v454.4c0 7.04 5.76 12.8 12.8 12.8h150.912a128 128 0 0 1 121.472 87.552l36.48 109.376A133.184 133.184 0 0 0 576 896a96 96 0 0 0 96-96V652.8c0-7.04 5.76-12.8 12.8-12.8H832a110.912 110.912 0 0 0 103.808-149.76l-104.64-279.168A128 128 0 0 0 711.296 128H140.8zM256 544h-64V192h64v352zm320 288c-27.072 0-51.392-15.744-62.72-39.872l-2.944-7.424-36.48-109.44a192 192 0 0 0-153.792-129.152L320 192h391.296A64 64 0 0 1 768 226.304l3.2 7.232L875.904 512.64a46.912 46.912 0 0 1-37.568 62.912L832 576H684.8a76.8 76.8 0 0 0-76.416 68.928L608 652.8V800a32 32 0 0 1-32 32z"/></svg>'
};
const Dns = {
  name: "dns",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M64 179.32V76.8C64 69.73 69.73 64 76.8 64h870.4c7.072 0 12.8 5.73 12.8 12.8v102.52c0 7.07-5.562 12.68-12.634 12.68h-38.732c-7.072 0-12.634-5.563-12.634-12.632V128H128v51.368c0 7.07-5.563 12.632-12.632 12.632H76.632C69.562 192 64 186.39 64 179.32Zm371.39 524.565h-38.4c-7.068 0-12.799-5.73-12.8-12.798l-.06-422.285c0-7.07 5.73-12.802 12.8-12.802h45.437a12.8 12.8 0 0 1 11.77 7.77l121.288 283.814.033-278.504c.001-7.068 5.732-12.798 12.8-12.798h38.4c7.07 0 12.8 5.73 12.8 12.8l-.032 422.12c0 7.068-5.731 12.798-12.8 12.798h-45.503a12.8 12.8 0 0 1-11.77-7.77L448.128 412.544l.06 278.538c.002 7.07-5.73 12.803-12.8 12.803Zm-114.404-159.04V416.007c0-88.366-71.634-160-160-160H76.8c-7.07 0-12.8 5.73-12.8 12.8v423.236c0 7.07 5.73 12.8 12.8 12.8h84.186c88.366 0 160-71.634 160-160ZM704 384.425c0-67.79 52.3-123.172 118.643-128.066l9.568-.352H915.2c7.072 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.728 12.8-12.8 12.8h-82.989c-32.928 0-60.07 24.787-63.776 56.721l-.435 7.488c0 33.016 24.704 60.08 56.538 63.779l7.462.43c67.482 0 122.765 52.217 127.648 118.448l.352 9.552c0 67.789-52.3 123.172-118.643 128.067l-9.568.352H748.8c-7.072 0-12.8-5.731-12.8-12.8v-38.4c0-7.07 5.728-12.8 12.8-12.8h82.989c32.928 0 60.07-24.788 63.776-56.721l.435-7.488c0-35.556-28.653-64.21-64-64.21-67.482 0-122.765-52.216-127.648-118.447l-.352-9.553ZM256.988 416.01v128.836c0 53.02-42.981 96-96 96l-33.05-.013V320l33.05.009c53.019 0 96 42.98 96 96ZM128 832h768v-51.2c0-7.072 5.728-12.8 12.8-12.8h38.4c7.072 0 12.8 5.728 12.8 12.8v102.4c0 7.072-5.728 12.8-12.8 12.8H76.8c-7.07 0-12.8-5.728-12.8-12.8V780.8c0-7.072 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.728 12.8 12.8V832Z"/></svg>'
};
const DotChart = {
  name: "dot-chart",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M115.2 128c7.04 0 12.8 5.76 12.8 12.8V832h819.2c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H76.8A12.8 12.8 0 0 1 64 883.2V140.8c0-7.04 5.76-12.8 12.8-12.8h38.4z"/><path d="M192 704a64 64 0 1 0 128 0 64 64 0 1 0-128 0Zm192-128a64 64 0 1 0 128 0 64 64 0 1 0-128 0Zm256 32a96 96 0 1 0 192 0 96 96 0 1 0-192 0Zm320-288a64 64 0 1 0-128 0 64 64 0 1 0 128 0Z"/></svg>'
};
const DoubleLeft = {
  name: "double-left",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M502.936 774.465 249.51 521.038c-4.999-4.999-4.999-13.103 0-18.102L502.936 249.51c4.999-4.999 13.103-4.999 18.102 0l27.153 27.153c4.999 4.999 4.999 13.103 0 18.102L330.968 511.987 548.19 729.21c4.999 5 4.999 13.104 0 18.102l-27.153 27.153c-4.999 4.999-13.103 4.999-18.102 0Zm256 0L505.51 521.038c-4.999-4.999-4.999-13.103 0-18.102L758.936 249.51c4.999-4.999 13.103-4.999 18.102 0l27.153 27.153c4.999 4.999 4.999 13.103 0 18.102L586.968 511.987 804.19 729.21c4.999 5 4.999 13.104 0 18.102l-27.153 27.153c-4.999 4.999-13.103 4.999-18.102 0Z"/></svg>'
};
const DoubleRight = {
  name: "double-right",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M521.324 774.465 774.75 521.038c4.999-4.999 4.999-13.103 0-18.102L521.324 249.51c-4.999-4.999-13.103-4.999-18.102 0l-27.153 27.153c-4.999 4.999-4.999 13.103 0 18.102l217.223 217.223L476.07 729.21c-4.999 5-4.999 13.104 0 18.102l27.153 27.153c4.999 4.999 13.103 4.999 18.102 0Zm-256 0L518.75 521.038c4.999-4.999 4.999-13.103 0-18.102L265.324 249.51c-4.999-4.999-13.103-4.999-18.102 0l-27.153 27.153c-4.999 4.999-4.999 13.103 0 18.102l217.223 217.223L220.07 729.21c-4.999 5-4.999 13.104 0 18.102l27.153 27.153c4.999 4.999 13.103 4.999 18.102 0Z"/></svg>'
};
const DownCircle = {
  name: "down-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M512 64a447.92 447.92 0 0 1 108.855 13.426 447.914 447.914 0 0 1 82.69 29.587 449.718 449.718 0 0 1 19.642 9.886 449.323 449.323 0 0 1 19.13 10.839l18.579 11.763a446.428 446.428 0 0 1 17.978 12.662 450.49 450.49 0 0 1 17.337 13.529 447.983 447.983 0 0 1 32.57 29.524 446.991 446.991 0 0 1 29.53 32.576 449.987 449.987 0 0 1 13.529 17.334 452.297 452.297 0 0 1 12.66 17.979 444.67 444.67 0 0 1 11.762 18.577 449.584 449.584 0 0 1 10.836 19.132 440.259 440.259 0 0 1 9.888 19.641 448.72 448.72 0 0 1 8.915 20.103 451.431 451.431 0 0 1 7.91 20.515 448.495 448.495 0 0 1 6.9 20.88 444.284 444.284 0 0 1 5.862 21.192 444.297 444.297 0 0 1 4.819 21.455 448.469 448.469 0 0 1 3.757 21.665 451.722 451.722 0 0 1 2.694 21.823 453.892 453.892 0 0 1 1.62 21.93 449.611 449.611 0 0 1 0 43.964 453.892 453.892 0 0 1-1.62 21.93 451.722 451.722 0 0 1-2.694 21.823 448.469 448.469 0 0 1-3.757 21.665 444.297 444.297 0 0 1-4.82 21.455 444.284 444.284 0 0 1-5.862 21.192 448.495 448.495 0 0 1-6.899 20.88 451.431 451.431 0 0 1-7.91 20.515 448.48 448.48 0 0 1-8.915 20.102 441.948 441.948 0 0 1-9.888 19.643 451.08 451.08 0 0 1-10.836 19.13 445.017 445.017 0 0 1-11.763 18.579 450.722 450.722 0 0 1-12.659 17.978 447.565 447.565 0 0 1-27.891 33.984 445.11 445.11 0 0 1-15.168 15.923 445.11 445.11 0 0 1-15.923 15.168 447.565 447.565 0 0 1-33.984 27.891 450.722 450.722 0 0 1-17.978 12.66 445.017 445.017 0 0 1-18.58 11.762 451.08 451.08 0 0 1-19.129 10.836 441.948 441.948 0 0 1-19.643 9.888 448.48 448.48 0 0 1-20.102 8.915 451.431 451.431 0 0 1-20.515 7.91 448.495 448.495 0 0 1-20.88 6.9 444.284 444.284 0 0 1-21.192 5.862 444.297 444.297 0 0 1-21.455 4.819 448.469 448.469 0 0 1-21.665 3.757 451.722 451.722 0 0 1-21.823 2.694 453.892 453.892 0 0 1-21.93 1.62 449.611 449.611 0 0 1-43.964 0 453.892 453.892 0 0 1-21.93-1.62 451.722 451.722 0 0 1-21.823-2.694 448.469 448.469 0 0 1-21.665-3.757 444.297 444.297 0 0 1-21.455-4.82 444.284 444.284 0 0 1-21.192-5.862 448.495 448.495 0 0 1-20.88-6.899 451.431 451.431 0 0 1-20.515-7.91 448.72 448.72 0 0 1-20.103-8.915 440.259 440.259 0 0 1-19.64-9.888 449.584 449.584 0 0 1-19.133-10.836 444.67 444.67 0 0 1-18.577-11.763 452.297 452.297 0 0 1-17.979-12.659 449.987 449.987 0 0 1-17.334-13.53 446.991 446.991 0 0 1-32.576-29.53 448.39 448.39 0 0 1-29.524-32.569 450.49 450.49 0 0 1-13.529-17.337 446.428 446.428 0 0 1-12.662-17.978l-11.763-18.58a449.369 449.369 0 0 1-10.839-19.129 447.922 447.922 0 0 1-48.05-145.452 447.94 447.94 0 0 1 0-131.47 447.993 447.993 0 0 1 58.889-164.583l11.763-18.577A447.973 447.973 0 0 1 263.105 139.5l18.577-11.763a447.884 447.884 0 0 1 100.27-44.447 447.914 447.914 0 0 1 108.067-18.75c7.323-.36 14.65-.54 21.982-.54Zm9.424 64.116L512 128a383.817 383.817 0 0 0-37.638 1.849l-18.706 2.307a383.544 383.544 0 0 0-36.96 7.352 383.802 383.802 0 0 0-36.062 10.94l-17.584 6.782-8.663 3.713-8.568 3.925a384.311 384.311 0 0 0-49.158 27.848 384.064 384.064 0 0 0-30.268 22.448l-7.211 6.068-13.966 12.657-13.327 13.327-6.414 6.906a383.817 383.817 0 0 0-34.76 44.54 384.048 384.048 0 0 0-19.373 32.322l-4.34 8.365-4.134 8.47a384.382 384.382 0 0 0-7.638 17.23l-6.783 17.585a383.126 383.126 0 0 0-10.94 36.062 383.666 383.666 0 0 0-7.35 36.96l-2.308 18.706a383.393 383.393 0 0 0-1.386 18.796l-.347 9.418L128 512a383.817 383.817 0 0 0 1.849 37.638l2.307 18.706a383.544 383.544 0 0 0 7.352 36.96 383.802 383.802 0 0 0 10.94 36.062l6.782 17.584 3.713 8.663 3.925 8.568a384.311 384.311 0 0 0 17.764 33.233 380.11 380.11 0 0 0 10.084 15.924 382.888 382.888 0 0 0 10.852 15.41 385.989 385.989 0 0 0 11.596 14.862l6.068 7.21 12.657 13.964 13.327 13.326 6.906 6.415a386.736 386.736 0 0 0 14.271 12.313 384.027 384.027 0 0 0 14.858 11.59 380.24 380.24 0 0 0 15.41 10.855 389.12 389.12 0 0 0 15.923 10.087 383.517 383.517 0 0 0 16.4 9.286l8.365 4.342 8.47 4.132a384.445 384.445 0 0 0 17.23 7.641l17.585 6.784a382.06 382.06 0 0 0 17.897 5.907 382.31 382.31 0 0 0 36.554 9.159 390.475 390.475 0 0 0 18.57 3.225l18.707 2.304c6.254.615 12.52 1.078 18.796 1.39a385.413 385.413 0 0 0 37.684 0 389.845 389.845 0 0 0 18.796-1.39l18.706-2.304a390.475 390.475 0 0 0 18.57-3.225 381.596 381.596 0 0 0 36.555-9.159 382.06 382.06 0 0 0 17.897-5.907l17.584-6.784 8.663-3.715 8.568-3.926a377.303 377.303 0 0 0 16.835-8.474 382.95 382.95 0 0 0 16.398-9.286 385.076 385.076 0 0 0 31.335-20.941 385.42 385.42 0 0 0 14.86-11.59l7.21-6.071 13.965-12.658 13.326-13.326 6.415-6.902c4.22-4.66 8.324-9.417 12.313-14.272a385.42 385.42 0 0 0 11.59-14.861 385.076 385.076 0 0 0 20.94-31.334 382.95 382.95 0 0 0 9.288-16.399l4.342-8.365 4.132-8.47a384.445 384.445 0 0 0 7.641-17.23l6.784-17.585a382.06 382.06 0 0 0 5.907-17.897 382.31 382.31 0 0 0 9.159-36.554 390.475 390.475 0 0 0 3.225-18.57l2.304-18.707a389.845 389.845 0 0 0 1.39-18.796 385.413 385.413 0 0 0 0-37.684 389.845 389.845 0 0 0-1.39-18.796l-2.304-18.706a390.475 390.475 0 0 0-3.225-18.57 381.596 381.596 0 0 0-9.159-36.555 382.06 382.06 0 0 0-5.907-17.897l-6.784-17.584-3.715-8.663-3.926-8.568a377.303 377.303 0 0 0-8.474-16.835 383.517 383.517 0 0 0-9.286-16.4 389.12 389.12 0 0 0-10.087-15.923 380.24 380.24 0 0 0-10.854-15.41 385.53 385.53 0 0 0-11.59-14.858l-6.071-7.211-12.658-13.966-13.326-13.327-6.902-6.414a388.396 388.396 0 0 0-14.272-12.31 385.989 385.989 0 0 0-14.861-11.597 382.888 382.888 0 0 0-15.411-10.852 383.949 383.949 0 0 0-32.321-19.373l-8.366-4.341-8.47-4.134a384.382 384.382 0 0 0-17.23-7.638l-17.585-6.783a383.126 383.126 0 0 0-36.062-10.94 383.666 383.666 0 0 0-36.96-7.35l-18.706-2.308a383.393 383.393 0 0 0-18.796-1.386l-9.418-.347Zm-255.61 261.736c3.998-3.998 9.972-4.66 14.761-2.207l3.32 2.42L512 618.085 736.356 393.66c3.999-4 9.876-4.844 14.627-2.462l3.304 2.392 27.39 27.39c5 5 4.76 13.105-.238 18.104L521.09 699.432c-4 4-10.023 4.916-14.832 2.563l-3.328-2.38-264.45-264.452c-5-4.999-5.055-12.922-.057-17.92l27.39-27.39Z"/></svg>'
};
const Down = {
  name: "down",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M503.234 694.123 249.575 440.464c-4.998-4.998-5.001-12.869-.003-17.867l27.39-27.39c5-5 12.927-4.939 17.926.06l217.281 217.281 217.281-217.28c4.999-5 12.927-5.06 17.925-.062l27.39 27.39c5 5 4.996 12.87-.002 17.868L521.104 694.123c-4.998 4.998-12.872 4.998-17.87 0Z"/></svg>'
};
const Download = {
  name: "download",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M128 780.8v102.4c0 7.04 5.76 12.8 12.8 12.8h742.4a12.8 12.8 0 0 0 12.8-12.8V780.8c0-7.04 5.76-12.8 12.8-12.8h38.4c7.04 0 12.8 5.76 12.8 12.8v166.4a12.8 12.8 0 0 1-12.8 12.8H76.8A12.8 12.8 0 0 1 64 947.2V780.8c0-7.04 5.76-12.8 12.8-12.8h38.4c7.04 0 12.8 5.76 12.8 12.8z"/><path d="M627.2 128c7.04 0 12.8 5.76 12.8 12.8V512h161.088a12.8 12.8 0 0 1 9.088 21.824L520.96 823.04a12.8 12.8 0 0 1-18.048 0L213.76 533.76a12.8 12.8 0 0 1 9.152-21.76L384 511.936V140.8c0-7.04 5.76-12.8 12.8-12.8h230.4zm-51.264 63.936h-128v384l-101.568-.064L512 741.504l165.504-165.568L576 576l-.064-384.064z"/></svg>'
};
const Edit = {
  name: "edit",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M910.208 276.672a12.8 12.8 0 0 1 2.112 15.36l-2.176 2.752-512.32 508.992-245.632 83.968a12.8 12.8 0 0 1-16.256-16.064l80.832-248.96 512.448-508.992a12.8 12.8 0 0 1 18.048 0l162.944 162.944zm-81.6 8.832-90.496-90.496-465.28 462.208-44.352 136.768 134.72-46.08 465.408-462.4zM960 908.8v38.4a12.8 12.8 0 0 1-12.8 12.8H76.8A12.8 12.8 0 0 1 64 947.2v-38.4c0-7.04 5.76-12.8 12.8-12.8h870.4c7.04 0 12.8 5.76 12.8 12.8z"/></svg>'
};
const EllipsisVertical = {
  name: "ellipsis-vertical",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M576 768c0 4.202-.41 8.364-1.23 12.486a63.86 63.86 0 0 1-3.642 12.006 63.829 63.829 0 0 1-5.914 11.064 63.878 63.878 0 0 1-7.959 9.699 63.878 63.878 0 0 1-9.699 7.96 63.829 63.829 0 0 1-11.064 5.913 63.827 63.827 0 0 1-12.006 3.642A63.83 63.83 0 0 1 512 832a63.83 63.83 0 0 1-12.486-1.23 63.835 63.835 0 0 1-12.006-3.642 63.839 63.839 0 0 1-11.064-5.914 63.857 63.857 0 0 1-9.699-7.959 63.866 63.866 0 0 1-7.96-9.699 63.833 63.833 0 0 1-5.913-11.064 63.839 63.839 0 0 1-3.642-12.006A63.847 63.847 0 0 1 448 768c0-4.202.41-8.364 1.23-12.486a63.839 63.839 0 0 1 3.642-12.006 63.833 63.833 0 0 1 5.914-11.064 63.866 63.866 0 0 1 7.96-9.699 63.857 63.857 0 0 1 9.698-7.96 63.839 63.839 0 0 1 11.064-5.913 63.868 63.868 0 0 1 12.006-3.643A63.861 63.861 0 0 1 512 704c4.202 0 8.364.41 12.486 1.23a63.86 63.86 0 0 1 12.006 3.642 63.829 63.829 0 0 1 11.064 5.914 63.878 63.878 0 0 1 9.699 7.959 63.878 63.878 0 0 1 7.96 9.699 63.829 63.829 0 0 1 5.913 11.064 63.86 63.86 0 0 1 3.643 12.006A63.862 63.862 0 0 1 576 768Zm0-512c0 4.202-.41 8.364-1.23 12.486a63.86 63.86 0 0 1-3.642 12.006 63.829 63.829 0 0 1-5.914 11.064 63.878 63.878 0 0 1-7.959 9.699 63.878 63.878 0 0 1-9.699 7.96 63.829 63.829 0 0 1-11.064 5.913 63.86 63.86 0 0 1-12.006 3.643A63.862 63.862 0 0 1 512 320c-4.202 0-8.364-.41-12.486-1.23a63.868 63.868 0 0 1-12.006-3.642 63.839 63.839 0 0 1-11.064-5.914 63.857 63.857 0 0 1-9.699-7.959 63.866 63.866 0 0 1-7.96-9.699 63.833 63.833 0 0 1-5.913-11.064 63.839 63.839 0 0 1-3.642-12.006A63.847 63.847 0 0 1 448 256c0-4.202.41-8.364 1.23-12.486a63.847 63.847 0 0 1 3.642-12.006 63.843 63.843 0 0 1 5.914-11.064 63.846 63.846 0 0 1 7.96-9.699 63.846 63.846 0 0 1 9.698-7.96 63.843 63.843 0 0 1 11.064-5.913 63.847 63.847 0 0 1 12.006-3.642A63.846 63.846 0 0 1 512 192c4.202 0 8.364.41 12.486 1.23a63.839 63.839 0 0 1 12.006 3.642 63.833 63.833 0 0 1 11.064 5.914 63.866 63.866 0 0 1 9.699 7.96 63.857 63.857 0 0 1 7.96 9.698 63.839 63.839 0 0 1 5.913 11.064 63.868 63.868 0 0 1 3.643 12.006A63.861 63.861 0 0 1 576 256Zm0 256c0 4.202-.41 8.364-1.23 12.486a63.86 63.86 0 0 1-3.642 12.006 63.829 63.829 0 0 1-5.914 11.064 63.878 63.878 0 0 1-7.959 9.699 63.878 63.878 0 0 1-9.699 7.96 63.829 63.829 0 0 1-11.064 5.913 63.827 63.827 0 0 1-12.006 3.642A63.83 63.83 0 0 1 512 576a63.83 63.83 0 0 1-12.486-1.23 63.835 63.835 0 0 1-12.006-3.642 63.839 63.839 0 0 1-11.064-5.914 63.857 63.857 0 0 1-9.699-7.959 63.866 63.866 0 0 1-7.96-9.699 63.833 63.833 0 0 1-5.913-11.064 63.839 63.839 0 0 1-3.642-12.006A63.847 63.847 0 0 1 448 512c0-4.202.41-8.364 1.23-12.486a63.839 63.839 0 0 1 3.642-12.006 63.833 63.833 0 0 1 5.914-11.064 63.866 63.866 0 0 1 7.96-9.699 63.857 63.857 0 0 1 9.698-7.96 63.839 63.839 0 0 1 11.064-5.913 63.868 63.868 0 0 1 12.006-3.643A63.861 63.861 0 0 1 512 448c4.202 0 8.364.41 12.486 1.23a63.86 63.86 0 0 1 12.006 3.642 63.829 63.829 0 0 1 11.064 5.914 63.878 63.878 0 0 1 9.699 7.959 63.878 63.878 0 0 1 7.96 9.699 63.829 63.829 0 0 1 5.913 11.064 63.86 63.86 0 0 1 3.643 12.006A63.862 63.862 0 0 1 576 512Z"/></svg>'
};
const Ellipsis = {
  name: "ellipsis",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><defs><style/></defs><path d="M768 448a64 64 0 1 0 0 128 64 64 0 1 0 0-128Zm-256 0a64 64 0 1 0 0 128 64 64 0 1 0 0-128Zm-256 0a64 64 0 1 0 0 128 64 64 0 1 0 0-128Z"/></svg>'
};
const Empty$2 = {
  name: "empty",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M256 192V76.8c0-7.07 5.73-12.8 12.8-12.8h486.4c7.072 0 12.8 5.73 12.8 12.8V192h179.2c7.072 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.728 12.8-12.8 12.8H76.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8H256Zm64.749 0h383.673v-64H320.75v64ZM204.8 959.693h614.4c7.072 0 12.8-5.69 12.8-12.755V332.893c0-7.068-5.562-12.893-12.634-12.893h-38.732c-7.072 0-12.634 5.562-12.634 12.631V896H256V332.631c0-7.069-5.563-12.631-12.632-12.631h-38.736c-7.07 0-12.632 5.825-12.632 12.893v614.045c0 7.065 5.73 12.755 12.8 12.755Z"/></svg>'
};
const Environment = {
  name: "environment",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64a384 384 0 0 1 286.208 640l-277.76 248.512a12.8 12.8 0 0 1-16.896 0L225.792 704A384 384 0 0 1 512 64zm0 64a320 320 0 0 0-249.344 520.576l10.816 12.736 12.736 14.272L511.872 874.56l200.576-177.088c4.992-4.032 9.792-8.192 15.104-12.992l8.384-7.808 4.032-3.648 10.56-11.712a318.336 318.336 0 0 0 81.024-196.288L832 448a320 320 0 0 0-320-320z"/><path d="M512 256a128 128 0 1 1 0 256 128 128 0 0 1 0-256zm0 64a64 64 0 1 0 0 128 64 64 0 0 0 0-128z"/></svg>'
};
const Exception = {
  name: "exception",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M703.488 64v192l192.512.384V371.2a12.8 12.8 0 0 1-12.8 12.8h-38.4a12.8 12.8 0 0 1-12.8-12.8v-51.264H653.504a12.8 12.8 0 0 1-12.8-12.8V123.52L192 127.616v768.32h177.6c7.04.064 12.8 5.76 12.8 12.864v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V76.8c0-7.04 5.76-12.8 12.8-12.8h562.688z"/><path d="M703.488 64 896 256.384l-45.248 45.248L658.24 109.248zM268.8 448h102.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H268.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 128h38.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 128h38.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8ZM672 384a288 288 0 1 1 0 576 288 288 0 0 1 0-576zm0 64a224 224 0 1 0 0 448 224 224 0 0 0 0-448z"/><path d="M652.8 512h38.4c7.04 0 12.8 5.76 12.8 12.8v198.4a12.8 12.8 0 0 1-12.8 12.8h-38.4a12.8 12.8 0 0 1-12.8-12.8V524.8c0-7.04 5.76-12.8 12.8-12.8zM672 768q48 0 48 48t-48 48q-48 0-48-48t48-48Z"/></svg>'
};
const ExclamationCircleFilled = {
  name: "exclamation-circle-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 1024c282.752 0 512-229.248 512-512S794.752 0 512 0 0 229.248 0 512s229.248 512 512 512zm25.6-405.333h-51.2a17.067 17.067 0 0 1-17.067-17.067V251.733c0-9.386 7.68-17.066 17.067-17.066h51.2c9.387 0 17.067 7.68 17.067 17.066V601.6a17.067 17.067 0 0 1-17.067 17.067zm0 170.666h-51.2a17.067 17.067 0 0 1-17.067-17.066v-51.2c0-9.387 7.68-17.067 17.067-17.067h51.2c9.387 0 17.067 7.68 17.067 17.067v51.2a17.067 17.067 0 0 1-17.067 17.066z"/></svg>'
};
const ExclamationCircle = {
  name: "exclamation-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64c247.424 0 448 200.576 448 448S759.424 960 512 960 64 759.424 64 512 264.576 64 512 64Zm0 64c-212.077 0-384 171.923-384 384s171.923 384 384 384 384-171.923 384-384-171.923-384-384-384Zm19.2 576c6.967 0 12.634 5.566 12.796 12.493L544 755.2c0 6.967-5.566 12.634-12.493 12.796L492.8 768c-6.967 0-12.634-5.566-12.796-12.493L480 716.8c0-6.967 5.566-12.634 12.493-12.796L531.2 704Zm0-448c6.967 0 12.634 5.566 12.796 12.493L544 627.2c0 6.967-5.566 12.634-12.493 12.8H492.8c-6.967 0-12.634-5.566-12.796-12.493L480 268.8c0-6.967 5.566-12.634 12.493-12.8H531.2Z"/></svg>'
};
const Exclamation = {
  name: "exclamation",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M550.4 768c14.08 0 25.6 11.52 25.6 25.6v76.8a25.6 25.6 0 0 1-25.6 25.6h-76.8a25.6 25.6 0 0 1-25.6-25.6v-76.8c0-14.08 11.52-25.6 25.6-25.6h76.8zm0-576c14.08 0 25.6 11.52 25.6 25.6v460.8a25.6 25.6 0 0 1-25.6 25.6h-76.8a25.6 25.6 0 0 1-25.6-25.6V217.6c0-14.08 11.52-25.6 25.6-25.6h76.8z"/></svg>'
};
const Exit = {
  name: "exit",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M128 880V208c0-8.837 7.163-16 16-16h352c8.836 0 16 7.163 16 16v32c0 8.837-7.164 16-16 16H192v576h304c8.836 0 16 7.162 16 16v32c0 8.838-7.164 16-16 16H144c-8.837 0-16-7.162-16-16Zm520.935-73.877 253.657-253.659c4.998-4.998 4.998-12.872 0-17.87L648.935 280.935c-4.998-4.998-12.868-5.002-17.867-.003l-27.39 27.39c-5 5-4.939 12.927.06 17.926L789.491 512H332.8c-7.07 0-12.8 5.73-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8h455.75L603.738 760.81c-4.998 4.999-5.06 12.927-.06 17.925l27.39 27.39c4.999 5 12.869 4.996 17.867-.002Z"/></svg>'
};
const ExpandAll = {
  name: "expand-all",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M192 256v-51.2c0-7.07-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.73-12.8 12.8v358.4c0 7.07 5.73 12.8 12.8 12.8H256v243.2c0 7.07 5.73 12.8 12.8 12.8h166.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8H320V576h51.2c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8H192V320h51.2c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8H192Zm576 51.2v-38.4c0-7.07-5.73-12.8-12.8-12.8H332.8c-7.07 0-12.8 5.73-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8h422.4c7.07 0 12.8-5.73 12.8-12.8Zm64 256v-38.4c0-7.07-5.728-12.8-12.8-12.8H460.8c-7.07 0-12.8 5.73-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8h358.4c7.072 0 12.8-5.73 12.8-12.8Zm64 256v-38.4c0-7.07-5.728-12.8-12.8-12.8H524.8c-7.07 0-12.8 5.73-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8h358.4c7.072 0 12.8-5.73 12.8-12.8Z"/></svg>'
};
const Expand$1 = {
  name: "expand",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M204.8 128a12.8 12.8 0 0 0-12.8 12.8v742.4c0 7.04 5.76 12.8 12.8 12.8h38.4a12.8 12.8 0 0 0 12.8-12.8V140.8a12.8 12.8 0 0 0-12.8-12.8h-38.4zm266.176 76.224-27.2 27.2a12.8 12.8 0 0 0 0 18.112l262.528 262.4-262.528 262.528a12.8 12.8 0 0 0 0 18.112l27.2 27.136a12.8 12.8 0 0 0 18.048 0l298.688-298.688a12.8 12.8 0 0 0 0-18.112L489.024 204.224a12.8 12.8 0 0 0-18.048 0z"/></svg>'
};
const Export = {
  name: "export",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="m840.768 135.936 45.248 45.248-566.4 568.32a12.8 12.8 0 0 1-18.048 0l-27.136-27.072a12.8 12.8 0 0 1 0-18.112L840.768 136z"/><path d="M896.192 140.8v358.4a12.8 12.8 0 0 1-12.8 12.8h-38.4a12.8 12.8 0 0 1-12.8-12.8l-.064-307.2H524.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h358.592c7.04 0 12.8 5.76 12.8 12.8zm-520 0v37.888a12.8 12.8 0 0 1-12.8 12.8L140.288 192a12.8 12.8 0 0 0-12.8 12.8v680.32c0 7.04 5.76 12.8 12.8 12.8h691.648L832 652.8c0-7.04 5.76-12.8 12.8-12.8h38.4c7.04 0 12.8 5.76 12.8 12.8v264.384a44.8 44.8 0 0 1-38.72 44.416l-6.08.384-774.912-.384a12.8 12.8 0 0 1-12.8-12.8v-808c0-7.04 5.76-12.8 12.8-12.8h287.104c7.04 0 12.8 5.76 12.8 12.8z"/></svg>'
};
const EyeInvisible = {
  name: "eye-invisible",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M65.405 506.17a12.8 12.8 0 0 0 0 11.66l5.258 10.276.786 1.53a1153.52 1153.52 0 0 0 10.72 20.308l1.216 2.244 1.219 2.235 1.649 3.005c1.6 2.906 3.207 5.792 4.82 8.658l1.198 2.121a967.365 967.365 0 0 0 4.188 7.33l1.483 2.564 1.358 2.334 2.091 3.562a988.013 988.013 0 0 0 6.02 10.074l2.328 3.821a923.688 923.688 0 0 0 12.395 19.693l2.307 3.546c1.112 1.7 2.227 3.391 3.344 5.074l1.937 2.905a855.68 855.68 0 0 0 3.344 4.953l1.93 2.825 1.402 2.039 1.138 1.643 1.68 2.412c.627.897 1.255 1.791 1.884 2.683l.773 1.093c.82 1.16 1.643 2.314 2.466 3.465l1.183 1.647 1.796 2.486 1.168 1.605 1.336 1.825 2.255 3.058 1.898 2.547 2.232 2.97a757.394 757.394 0 0 0 6.051 7.894l1.824 2.338a765.88 765.88 0 0 0 2.713 3.44l1.686 2.116a690.26 690.26 0 0 0 3.384 4.196l1.287 1.58c1.613 1.973 3.23 3.93 4.853 5.87l1.131 1.348 2.014 2.385 1.27 1.492 1.798 2.096c4.283 4.974 8.6 9.836 12.949 14.585 4.85 5.295 13.105 5.363 18.183.285l27.24-27.24c4.866-4.866 5.014-12.706.338-17.752l-1.525-1.646a566.42 566.42 0 0 1-8.538-9.68 614.785 614.785 0 0 1-16.837-20.413c-11.119-14.077-22.026-29.09-32.722-45.046l-.885-1.324a809.053 809.053 0 0 1-5.678-8.627l-1.413-2.183c-.94-1.46-1.88-2.926-2.818-4.4l-.743-1.172-1.838-2.913a826.268 826.268 0 0 1-3.036-4.87l-1.757-2.85-1.517-2.481-1.523-2.51-1.692-2.809-1.146-1.916-.926-1.555-1.63-2.755-1.501-2.556-.796-1.364-1.186-2.04-1.74-3.014c-1-1.74-1.998-3.488-2.994-5.246l-.64-1.131-1.985-3.53-1.853-3.328-1.862-3.37-1.89-3.454-1.816-3.345-1.094-2.03L134.52 512l-.039-.066c.649-1.223 1.299-2.443 1.949-3.658l1.578-2.936a980.228 980.228 0 0 1 4.752-8.716l2.992-5.388c.117-.209.234-.417.35-.627l2.948-5.223.125-.22 1.624-2.847a973.896 973.896 0 0 1 4.896-8.444l2.982-5.05.34-.57 2.829-4.716.396-.656.747-1.229 2.292-3.754.224-.365 3.059-4.94.141-.226 1.66-2.647a854.987 854.987 0 0 1 4.997-7.846l2.838-4.37C271.989 294.05 382.197 224 509.495 224l15.09.332 1.495.069c46.174 2.242 90.377 13.905 132.635 35.144 5.183 2.605 11.365 1.525 15.332-2.709l27.443-29.292c5.601-5.98 4.245-15.61-2.964-19.511C639.532 176.105 576.506 160 509.494 160c-124.557 0-233.712 55.631-327.075 164.981l-.412.483-2.616 3.09a677.688 677.688 0 0 0-5.873 7.074l-2.082 2.555a717.91 717.91 0 0 0-13.63 17.348l-2.057 2.716-1.9 2.53-1.917 2.575a785.516 785.516 0 0 0-9.517 13.125l-2.069 2.93a826.07 826.07 0 0 0-5.548 7.993l-2.029 2.972-1.777 2.628-1.927 2.873-1.79 2.69-1.975 2.995-1.748 2.672-1.914 2.951-1.73 2.69-2.092 3.28a938.626 938.626 0 0 0-8.914 14.326l-1.708 2.812c-12.805 21.158-25.244 43.539-37.316 67.137l-4.473 8.744Zm748.63-324.768c-5.017-4.76-12.947-4.68-17.862.238L180.71 797.105l-.238.245c-4.76 5.012-4.68 12.941.238 17.856l27.153 27.15.245.242c5.014 4.756 12.939 4.679 17.857-.243l615.469-615.46.237-.245c4.761-5.015 4.678-12.94-.237-17.857l-27.155-27.153-.244-.238Zm60.525 181.815c-15.865-20.561-32.14-39.581-48.819-57.051-4.89-5.125-12.934-5.036-17.946-.026l-27.097 27.1c-4.986 4.988-4.954 13.098-.096 18.213 27.443 28.884 53.907 62.733 79.398 101.606a964.942 964.942 0 0 1 10.439 16.28l1.478 2.37 1.651 2.657a1001.366 1001.366 0 0 1 9.319 15.379l2.406 4.067c1.26 2.14 2.515 4.292 3.77 6.457l1.772 3.078.916 1.595 1.305 2.288 2.592 4.709.051.096a966.67 966.67 0 0 1-15.187 26.206l-1.721 2.855c-1.722 2.847-3.45 5.67-5.178 8.47-.46.738-.915 1.475-1.37 2.21l-.128.205-1.484 2.375-.058.095-.064.1-.224.357-1.74 2.765a869.983 869.983 0 0 1-5.242 8.2l-3.053 4.695C759.277 724.696 643.08 800 511.073 800l-15.052-.328c-46.76-2.062-91.17-13.8-133.26-35.385-5.064-2.597-11.332-1.78-15.356 2.244l-28.587 28.586c-5.862 5.862-4.59 15.731 2.652 19.77C380.068 847.526 443.29 864 511.072 864 642.934 864 759.367 801.645 860 679.082a708.249 708.249 0 0 0 6.611-8.168l1.888-2.369 1.876-2.382 2.003-2.562 1.85-2.38 2.092-2.722 1.818-2.383 2.06-2.72 1.818-2.42 2.298-3.088a861.623 861.623 0 0 0 12.934-17.942l2.119-3.028 1.779-2.567 2.016-2.927c1.85-2.705 3.699-5.433 5.542-8.183l1.895-2.84 1.747-2.638 2.22-3.386a983.907 983.907 0 0 0 12.737-19.994l1.824-2.95 1.715-2.788 1.952-3.204 1.734-2.86 1.92-3.206 1.722-2.887 1.9-3.205 1.652-2.818 2.157-3.695c1.715-2.956 3.426-5.934 5.132-8.933l16.352-29.703a12.811 12.811 0 0 0 .032-12.281l-4.953-9.125a1202.232 1202.232 0 0 0-3.655-6.676l-.364-.664-1.946-3.513a1023.498 1023.498 0 0 0-3.174-5.661l-2.016-3.566c-11.924-20.992-24.128-40.958-36.602-59.89l-1.338-2.027-1.856-2.787a670.634 670.634 0 0 0-3.718-5.526l-2.131-3.131a875.902 875.902 0 0 0-11.827-16.885l-2.72-3.768c-1.07-1.47-2.138-2.93-3.207-4.385l-1.568-2.124-1.165-1.573-1.612-2.153-2.19-2.914a928.998 928.998 0 0 0-2.649-3.477l-2.144-2.791Zm-296.985-31.384c-20.722-7.651-43.125-11.83-66.505-11.83-106.038 0-192 85.961-192 192 0 23.38 4.179 45.783 11.83 66.505 3.057 8.276 13.528 9.98 19.767 3.742l31.578-31.577c3.24-3.24 4.462-7.905 3.526-12.39a128.539 128.539 0 0 1-2.7-26.28c0-70.693 57.307-128 128-128 9.007 0 17.798.93 26.28 2.7 4.485.936 9.15-.287 12.39-3.527l31.576-31.577c6.239-6.238 4.534-16.71-3.742-19.766Zm-131.5 360.893c-8.269-2.974-10.17-13.41-4.05-19.717l30.95-31.886c3.223-3.321 7.963-4.597 12.5-3.676a128.609 128.609 0 0 0 25.594 2.56c70.692 0 128-57.308 128-128a128.6 128.6 0 0 0-2.412-24.856c-.856-4.353.308-8.877 3.387-12.071l31.62-32.805c6.25-6.25 16.799-4.386 19.829 3.916 7.49 20.528 11.576 42.695 11.576 65.815 0 106.039-85.961 192-192 192a192.668 192.668 0 0 1-42.42-4.702 190.65 190.65 0 0 1-22.573-6.578Z"/></svg>'
};
const Eye = {
  name: "eye",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M509.494 160c178.3 0 328.39 114.017 449.37 336.726l4.954 9.124a12.812 12.812 0 0 1-.032 12.28l-16.352 29.705C828.477 756.998 682.223 864 509.494 864c-178.58 0-325.497-114.353-439.616-337.426l-4.473-8.744a12.8 12.8 0 0 1 0-11.66l4.473-8.744C183.997 274.353 330.914 160 509.494 160ZM134.52 512l2.829 5.437C235.99 700.954 354.715 793.505 494.443 799.67l15.052.33c147.745 0 275.686-94.333 384.64-287.926l-.013-.042-.052-.096-2.592-4.708C786.832 323.372 664.78 230.516 524.586 224.332L509.495 224c-147.645 0-272.3 94.235-375.016 287.936l.04.064Zm374.973-192c106.04 0 192 85.962 192 192s-85.96 192-192 192c-106.038 0-192-85.962-192-192s85.962-192 192-192Zm0 64c-70.692 0-128 57.308-128 128 0 70.692 57.308 128 128 128 70.693 0 128-57.308 128-128 0-70.692-57.307-128-128-128Z"/></svg>'
};
const Favourite = {
  name: "favourite",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M423.953 64a12.8 12.8 0 0 1 9.051 3.749L557.255 192h326.047c7.072 0 12.698 5.83 12.698 12.9v102.3c0 7.07-5.728 12.8-12.8 12.8h-38.4c-7.072 0-12.8-5.73-12.8-12.8V256H128v512h179.2c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.072-5.73 12.8-12.8 12.8H76.696C69.626 832 64 826.17 64 819.098V76.8C64 69.73 69.73 64 76.8 64h347.153Zm-21.201 64H128v64h338.752l-64-64Z"/><path d="M628.59 343.123c4.696-9.514 18.129-9.514 22.824 0l82.634 167.434 184.774 26.85c10.503 1.525 14.65 14.3 7.053 21.706l-133.702 130.33 31.565 184.029c1.792 10.458-9.076 18.349-18.47 13.414L640.001 800l-165.268 86.886c-9.39 4.935-20.258-2.956-18.465-13.414l31.564-184.03-133.704-130.329c-7.598-7.405-3.447-20.18 7.052-21.706l184.775-26.85Zm11.413 121.455-51.546 104.478-115.238 16.738L556.6 667.1l-19.765 114.723 103.168-54.125 103.101 54.125-19.7-114.723 83.316-81.307-115.172-16.738-51.545-104.478Z"/></g></svg>'
};
const FileAdd = {
  name: "file-add",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="m140.801 64 557.413.056a12.8 12.8 0 0 1 8.787 3.494l.26.252L892.25 252.678a12.837 12.837 0 0 1 3.75 8.69v109.885c0 6.967-5.563 12.634-12.493 12.797l-.307.003h-38.4c-6.97 0-12.634-5.566-12.796-12.493l-.004-.307v-51.26H652.8c-6.967 0-12.634-5.566-12.796-12.494l-.004-.306v-179.14l-448-.316v768.32h179.2c6.967 0 12.634 5.569 12.796 12.493l.004.306v38.4c0 6.97-5.566 12.634-12.493 12.8H140.8c-6.967 0-12.634-5.563-12.8-12.493V76.8c0-6.967 5.567-12.634 12.495-12.8h.306Zm562.942 90.77L704 255.993l101.254.23-101.51-101.453Z"/><path d="M672 384.053c159.06 0 288 128.942 288 288 0 159.056-128.94 288.003-288 288.003-159.058 0-288-128.947-288-288.003 0-159.058 128.942-288 288-288Zm0 64c-123.712 0-224 100.289-224 224 0 123.715 100.288 224.003 224 224.003s224-100.288 224-224.003c0-123.711-100.288-224-224-224ZM256 499.253v-38.4c0-7.069 5.73-12.8 12.8-12.8h102.4c7.07 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H268.8c-7.07 0-12.8-5.73-12.8-12.8Z"/><path d="M640 524.853c0-7.069 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.731 12.8 12.8v115.2h115.2c7.072 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.728 12.803-12.8 12.803H704v115.2c0 7.066-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.734-12.8-12.8v-115.2H524.8c-7.07 0-12.8-5.733-12.8-12.803v-38.4c0-7.069 5.73-12.8 12.8-12.8H640v-115.2ZM256 627.253v-38.4c0-7.069 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8ZM256 755.256v-38.4c0-7.072 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.066-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.734-12.8-12.8Z"/></g></svg>'
};
const FileAlert = {
  name: "file-alert",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M698.214 64c3.394 0 6.648 1.352 9.048 3.75L892.25 252.62c2.4 2.401 3.75 5.658 3.75 9.055V371.2c0 7.07-5.728 12.8-12.8 12.8h-38.4c-7.072 0-12.8-5.73-12.8-12.8v-51.264H653.524c-7.069 0-12.8-5.73-12.8-12.8L640 128l-448-.384v768.32l177.585.058c7.067.006 12.795 5.734 12.795 12.8V947.2c0 7.072-5.73 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.728-12.8-12.8V76.8c0-7.07 5.73-12.8 12.8-12.8h557.414Zm5.3 90.487V256l101.772.196-101.772-101.709Z"/><path d="M672 384c159.06 0 288 128.942 288 288 0 159.06-128.94 288-288 288-159.058 0-288-128.94-288-288 0-159.058 128.942-288 288-288Zm0 64c-123.712 0-224 100.288-224 224s100.288 224 224 224 224-100.288 224-224-100.288-224-224-224Z"/><path d="M691.2 768c6.967 0 12.634 5.563 12.796 12.493l.004.307v38.4c0 6.97-5.566 12.634-12.493 12.796l-.307.004h-38.4c-6.967 0-12.634-5.563-12.796-12.493L640 819.2v-38.4c0-6.97 5.566-12.634 12.493-12.796l.307-.004h38.4ZM691.2 512c7.07 0 12.8 5.73 12.8 12.8v166.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8V524.8c0-7.07 5.73-12.8 12.8-12.8h38.4ZM307.2 704c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.072-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.728-12.8-12.8v-38.4c0-7.072 5.73-12.8 12.8-12.8h38.4ZM307.2 576c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8h38.4ZM371.2 448c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H268.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8h102.4Z"/></g></svg>'
};
const FileDisabled = {
  name: "file-disabled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M698.214 64c3.272 0 6.415 1.257 8.788 3.498l.26.253L892.25 252.62a12.837 12.837 0 0 1 3.75 8.69V371.2c0 6.967-5.563 12.634-12.493 12.796l-.307.004h-38.4c-6.97 0-12.634-5.566-12.796-12.494L832 371.2v-51.264H653.524c-6.967 0-12.633-5.566-12.796-12.494l-.004-.306V123.52L192 127.616v768.32l177.585.058c6.965.006 12.629 5.57 12.792 12.493l.003.307V947.2c0 6.97-5.565 12.634-12.493 12.8H140.8c-6.967 0-12.634-5.563-12.8-12.493V76.8c0-6.967 5.566-12.634 12.494-12.8h557.72Zm5.3 90.487V256l101.772.196-101.772-101.71Z"/><path d="M672 384c159.06 0 288 128.942 288 288 0 159.06-128.94 288-288 288-159.058 0-288-128.94-288-288 0-159.058 128.942-288 288-288ZM493.103 537.197A224 224 0 0 0 448 672c0 123.712 100.288 224 224 224a224 224 0 0 0 132.521-43.404l1.162-.859-312.58-314.54ZM672 448a224.001 224.001 0 0 0-132.315 43.255l-1.16.856 312.528 314.487.87-1.167A224.021 224.021 0 0 0 896 672c0-123.712-100.288-224-224-224ZM307.2 704c6.967 0 12.634 5.563 12.796 12.493l.004.307v38.4c0 6.97-5.566 12.634-12.493 12.796l-.307.004h-38.4c-6.967 0-12.634-5.563-12.796-12.493L256 755.2v-38.4c0-6.97 5.566-12.634 12.493-12.797l.307-.003h38.4ZM307.2 576c6.967 0 12.634 5.566 12.796 12.493l.004.307v38.4c0 6.967-5.566 12.634-12.493 12.796l-.307.004h-38.4c-6.967 0-12.634-5.566-12.796-12.494L256 627.2v-38.4c0-6.967 5.566-12.634 12.493-12.797l.307-.003h38.4ZM371.2 448c6.967 0 12.634 5.566 12.796 12.493l.004.307v38.4c0 6.967-5.566 12.634-12.493 12.796l-.307.004H268.8c-6.967 0-12.634-5.566-12.796-12.494L256 499.2v-38.4c0-6.967 5.566-12.634 12.493-12.797l.307-.003h102.4Z"/></g></svg>'
};
const FileDone = {
  name: "file-done",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M698.214 64c3.272 0 6.415 1.257 8.788 3.498l.26.253L892.25 252.62a12.837 12.837 0 0 1 3.75 8.69V371.2c0 6.967-5.563 12.634-12.493 12.796l-.307.004h-38.4c-6.97 0-12.634-5.566-12.796-12.494L832 371.2v-51.264H653.476c-6.946 0-12.604-5.535-12.795-12.441l-.005-.31L640 128l-448-.384v768.32l177.585.058c6.965.006 12.629 5.57 12.792 12.493l.003.307V947.2c0 6.97-5.565 12.634-12.493 12.8H140.8c-6.967 0-12.634-5.563-12.8-12.493V76.8c0-6.967 5.566-12.634 12.494-12.8h557.72Zm5.3 90.487V256l101.772.196-101.772-101.71Z"/><path d="M672 384c159.06 0 288 128.942 288 288 0 159.06-128.94 288-288 288-159.058 0-288-128.94-288-288 0-159.058 128.942-288 288-288Zm0 64c-123.712 0-224 100.288-224 224s100.288 224 224 224 224-100.288 224-224-100.288-224-224-224ZM256 460.8v38.4c0 7.07 5.73 12.8 12.8 12.8h102.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8H268.8c-7.07 0-12.8 5.73-12.8 12.8Z"/><path d="m636.085 822.95 209.573-209.577c4.998-5 4.998-13.104 0-18.102l-27.15-27.153c-4.998-4.999-13.106-4.999-18.105 0L627.034 741.49l-81.459-81.46c-4.998-5-13.103-5-18.102 0l-27.152 27.152c-5 5-5 13.104 0 18.103L617.983 822.95c4.999 4.999 13.103 4.999 18.102 0ZM256 588.8v38.4c0 7.07 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.73-12.8 12.8ZM256 755.2v-38.4c0-7.072 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.072-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.728-12.8-12.8Z"/></g></svg>'
};
const FileExport = {
  name: "file-export",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M698.214 64c3.272 0 6.415 1.257 8.788 3.498l.26.253L892.25 252.62a12.837 12.837 0 0 1 3.75 8.69V371.2c0 6.967-5.563 12.634-12.493 12.796l-.307.004h-38.4c-6.97 0-12.634-5.566-12.796-12.494L832 371.2v-51.264H653.524c-6.967 0-12.633-5.566-12.796-12.494l-.004-.306L640 128l-448-.384v768.32l177.585.058c6.965.006 12.629 5.57 12.792 12.493l.003.307V947.2c0 6.97-5.565 12.634-12.493 12.8H140.8c-6.967 0-12.634-5.563-12.8-12.493V76.8c0-6.967 5.566-12.634 12.494-12.8h557.72Zm5.3 90.487V256l101.772.196-101.772-101.71Z"/><path d="M672 384c159.06 0 288 128.942 288 288 0 159.06-128.94 288-288 288-159.058 0-288-128.94-288-288 0-159.058 128.942-288 288-288Zm0 64c-123.712 0-224 100.288-224 224s100.288 224 224 224 224-100.288 224-224-100.288-224-224-224ZM256 460.8v38.4c0 7.07 5.73 12.8 12.8 12.8h102.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8H268.8c-7.07 0-12.8 5.73-12.8 12.8Z"/><path d="m822.95 662.948-140.29-140.29c-4.999-5-13.103-5-18.101 0l-27.154 27.152c-4.998 5-4.998 13.104 0 18.102L709.493 640H526.046c-7.07 0-12.8 5.73-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8h183.445l-72.086 72.083c-4.998 4.999-4.998 13.107 0 18.106l27.154 27.149c4.998 4.998 13.102 4.998 18.101 0L822.95 681.05c4.999-4.999 4.999-13.104 0-18.102ZM256 588.8v38.4c0 7.07 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.73-12.8 12.8ZM256 755.2v-38.4c0-7.072 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.072-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.728-12.8-12.8Z"/></g></svg>'
};
const FileGif = {
  name: "file-gif",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M325.76 288a124.8 124.8 0 0 1 124.48 115.456l.32 9.344h-64a60.8 60.8 0 0 0-53.632-60.416L325.76 352H224a96 96 0 0 0-95.552 86.784L128 448v128a96 96 0 0 0 86.784 95.552L224 672h130.56a32 32 0 0 0 31.488-26.24l.512-5.76v-90.112H269.632v-64H450.56V640a96 96 0 0 1-86.72 95.552l-9.28.448H224A160 160 0 0 1 64.32 586.496L64 576V448a160 160 0 0 1 149.504-159.68L224 288h101.76zm183.872 0h64v448h-64zm448 0v64h-256v128h256v64h-256v192h-64V288h320zM896 832v115.2a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V832h64v64h640v-64h64zM883.2 64c7.04 0 12.8 5.76 12.8 12.8V192h-64v-64H192v64h-64V76.8c0-7.04 5.76-12.8 12.8-12.8h742.4z"/></svg>'
};
const FileImage = {
  name: "file-image",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M896 261.731v685.525c0 7.072-5.728 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.728-12.8-12.8V76.8c0-7.07 5.732-12.8 12.801-12.8l557.412.056a12.8 12.8 0 0 1 9.047 3.746l184.99 184.876c2.4 2.4 3.75 5.657 3.75 9.053ZM192 896.056h640V319.993H652.8c-7.07 0-12.8-5.73-12.8-12.8V123.577l-448 4.16v768.32Zm613.254-639.834L703.744 154.77 704 255.993l101.254.23ZM384 400.053c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48Zm203.03 66.331 169.684 281.98c5.134 8.53-1.01 19.404-10.967 19.404H385.809l.089-.153h-105.95c-10.23 0-16.327-11.405-10.644-19.91L373.357 591.98c5.069-7.585 16.217-7.585 21.286 0l50.646 75.797L565.062 466.44c4.947-8.317 16.978-8.348 21.968-.056Z"/></svg>'
};
const FileProtect = {
  name: "file-protect",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M140.8 960h294.4c7.07 0 12.8-5.728 12.8-12.8v-38.4c0-7.072-5.729-12.8-12.797-12.8L192 895.936v-768.32L640 128l.676 179.185c.027 7.05 5.75 12.75 12.8 12.75H832v50.916c0 7.07 5.728 12.8 12.8 12.8h38.4c7.072 0 12.8-5.73 12.8-12.8V261.675c0-3.397-1.35-6.654-3.75-9.054L707.262 67.75a12.803 12.803 0 0 0-9.048-3.75H140.8c-7.07 0-12.8 5.73-12.8 12.8v870.4c0 7.072 5.73 12.8 12.8 12.8Zm562.714-805.513 101.772 101.709L703.514 256V154.487ZM256 460.8v38.4c0 7.07 5.73 12.8 12.8 12.8h102.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8H268.8c-7.07 0-12.8 5.73-12.8 12.8Zm192 139.966.347 16.564c5.766 137.57 83.076 262.996 205.151 332.263l13.086 7.072a12.791 12.791 0 0 0 12.288-.057l13.296-7.36 14.353-8.615C824.294 866.676 896 739.182 896 601.726v-103.78a12.802 12.802 0 0 0-10.586-12.607l-210.464-36.95a12.801 12.801 0 0 0-4.412-.003L458.602 485.33A12.8 12.8 0 0 0 448 497.941v102.825Zm384 .96-.34 14.934c-4.934 109.145-63.79 209.452-158.226 269.177l-.922.563-13.357-8.71C567.35 814.42 512 711.352 512 600.766v-59.774l160.832-28.032L832 540.929v60.796ZM256 588.8v38.4c0 7.07 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.73-12.8 12.8Zm0 128v38.4c0 7.072 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.728 12.8-12.8v-38.4c0-7.072-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.728-12.8 12.8Z"/></svg>'
};
const FileSearch = {
  name: "file-search",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="m140.801 64 557.413.056a12.8 12.8 0 0 1 8.787 3.494l.26.252L892.25 252.678a12.837 12.837 0 0 1 3.75 8.69v237.885c0 6.967-5.563 12.634-12.493 12.797l-.307.003h-38.4c-6.97 0-12.634-5.566-12.796-12.493l-.004-.307v-179.26H652.8c-6.967 0-12.634-5.566-12.796-12.494l-.004-.306v-179.14l-448-.316v768.32h243.2c6.967 0 12.634 5.569 12.796 12.493l.004.306v38.4c0 6.97-5.566 12.634-12.493 12.8H140.8c-6.967 0-12.634-5.563-12.8-12.493V76.8c0-6.967 5.567-12.634 12.495-12.8h.306Zm562.942 90.77L704 255.993l101.254.23-101.51-101.453Z"/><path d="M256 499.253v-38.4c0-7.069 5.73-12.8 12.8-12.8h102.4c7.07 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H268.8c-7.07 0-12.8-5.73-12.8-12.8ZM608 448.053c123.712 0 224 100.289 224 224a223.991 223.991 0 0 1-44.602 134.135l94.061 94.067c4.999 4.998 4.999 13.1 0 18.099l-27.149 27.155c-4.998 4.999-13.107 4.999-18.105 0l-94.062-94.06A224.033 224.033 0 0 1 608 896.055c-123.712 0-224-100.288-224-224.003 0-123.711 100.288-224 224-224Zm0 64c-88.365 0-160 71.635-160 160 0 88.368 71.635 160.003 160 160.003s160-71.635 160-160.003c0-88.365-71.635-160-160-160ZM256 627.253v-38.4c0-7.069 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8ZM256 755.256v-38.4c0-7.072 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.066-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.734-12.8-12.8Z"/></g></svg>'
};
const FileSync = {
  name: "file-sync",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M698.189 64a12.8 12.8 0 0 1 8.787 3.493l.26.253L892.25 252.634a12.838 12.838 0 0 1 3.75 8.691V371.2c0 6.967-5.563 12.634-12.493 12.796l-.307.004h-38.4c-6.97 0-12.634-5.566-12.796-12.493L832 371.2v-51.264H653.504c-6.967 0-12.634-5.566-12.796-12.493l-.004-.307V123.52L192 127.616v768.32h177.6c6.936.063 12.63 5.594 12.796 12.552l.004.312v38.4c0 6.97-5.566 12.634-12.493 12.8H140.8c-6.967 0-12.634-5.563-12.8-12.493V76.8c0-6.938 5.594-12.633 12.495-12.8h557.694Zm5.299 90.466V256l101.805.203-101.805-101.737Z"/><path d="M931.558 547.152C883.578 447.411 782.682 383.99 672 384a286.788 286.788 0 0 0-168.69 54.527c-6.178 4.475-6.365 13.163-.967 18.554l27.672 27.633c4.501 4.495 11.554 5 16.827 1.443 77.882-52.54 180.858-51.015 257.35 4.868 79.469 58.06 111.738 161.192 79.52 254.191H820.8a12.807 12.807 0 0 0-11.795 7.949 12.813 12.813 0 0 0 2.835 13.939L877.248 832v-.064l9.658 9.69c5.395 5.408 14.278 4.985 18.745-1.21 61.504-85.286 71.815-197.824 25.907-293.264ZM371.2 448H268.8c-8.533 0-12.8 4.267-12.8 12.8v38.4c0 8.533 4.267 12.8 12.8 12.8h102.4c8.533 0 12.8-4.267 12.8-12.8v-38.4c0-8.533-4.267-12.8-12.8-12.8ZM488.115 533.363l-31.026-31.026c-5.395-5.395-14.345-4.859-18.81 1.327-82.265 113.928-70.409 271.747 29.95 372.106 100.36 100.358 258.18 112.217 372.11 29.952 6.183-4.468 6.72-13.415 1.325-18.81l-27.603-27.603c-4.506-4.506-11.725-4.903-16.999-1.338-88.404 59.693-207.482 48.839-283.646-27.321-61.813-61.818-80.606-151.896-53.584-230.903h64.328a12.8 12.8 0 0 0 8.96-21.888l-45.005-44.496ZM307.2 576h-38.4c-8.533 0-12.8 4.267-12.8 12.8v38.4c0 8.533 4.267 12.8 12.8 12.8h38.4c8.533 0 12.8-4.267 12.8-12.8v-38.4c0-8.533-4.267-12.8-12.8-12.8ZM307.2 704h-38.4c-8.533 0-12.8 4.267-12.8 12.8v38.4c0 8.533 4.267 12.8 12.8 12.8h38.4c8.533 0 12.8-4.267 12.8-12.8v-38.4c0-8.533-4.267-12.8-12.8-12.8Z"/></g></svg>'
};
const FileText = {
  name: "file-text",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M896 947.256V261.731c0-3.396-1.35-6.653-3.75-9.053L707.26 67.802a12.8 12.8 0 0 0-9.047-3.746L140.801 64C133.731 64 128 69.73 128 76.8v870.456c0 7.072 5.73 12.8 12.8 12.8h742.4c7.072 0 12.8-5.728 12.8-12.8m-64-51.2H192v-768.32l448-4.16v183.617c0 7.07 5.73 12.8 12.8 12.8H832v576.063ZM703.743 154.77l101.511 101.452L704 255.993l-.257-101.223ZM256 460.853v38.4c0 7.07 5.73 12.8 12.8 12.8h486.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.069-5.73-12.8-12.8-12.8H268.8c-7.07 0-12.8 5.731-12.8 12.8Zm0 192v38.4c0 7.07 5.73 12.803 12.8 12.803h294.4c7.07 0 12.8-5.733 12.8-12.803v-38.4c0-7.069-5.73-12.8-12.8-12.8H268.8c-7.07 0-12.8 5.731-12.8 12.8Z"/></svg>'
};
const FileZip = {
  name: "file-zip",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="m140.801 64 557.412.056A12.8 12.8 0 0 1 707 67.55l.26.252 184.99 184.876a12.837 12.837 0 0 1 3.75 8.69v685.888c0 6.97-5.563 12.634-12.493 12.8H140.8c-6.967 0-12.634-5.563-12.8-12.493V76.8c0-7.07 5.732-12.8 12.801-12.8ZM192 127.737v768.32h640V319.992H652.8c-7.07 0-12.8-5.73-12.8-12.8v-179.14H320v51.2c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8v-51.2l-64-.316Zm511.743 27.033L704 255.993l101.254.23-101.51-101.453Z"/><path d="M320 243.253v-38.4c0-7.069 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8ZM256 307.253v-38.4c0-7.069 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8ZM320 332.853v38.4c0 7.07 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.069-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.731-12.8 12.8ZM256 435.253v-38.4c0-7.069 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8ZM320 460.853v38.4c0 7.07 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.069-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.731-12.8 12.8ZM268.8 512.053h38.4c7.07 0 12.8 5.731 12.8 12.8v51.2h115.2c7.07 0 12.8 5.731 12.8 12.8v166.403c0 7.066-5.73 12.8-12.8 12.8H268.8c-7.07 0-12.8-5.734-12.8-12.8V524.853c0-7.069 5.73-12.8 12.8-12.8Z"/><path d="M320 704.05631 320 640.05311 384 640.05311 384 704.05631z"/></g></svg>'
};
const File = {
  name: "file",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M896 261.731v685.525c0 7.072-5.728 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.728-12.8-12.8V76.8c0-7.07 5.732-12.8 12.801-12.8l557.412.056a12.8 12.8 0 0 1 9.047 3.746l184.99 184.876c2.4 2.4 3.75 5.657 3.75 9.053m-90.746-5.509L703.744 154.77 704 255.993l101.254.23ZM192 896.056h640V319.993H652.8c-7.07 0-12.8-5.73-12.8-12.8V123.577l-448 4.16v768.32Z"/></svg>'
};
const FilterFilled = {
  name: "filter-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M259.776 323.776a12.8 12.8 0 0 1-3.776-9.088V268.8c0-7.04 5.76-12.8 12.8-12.8h486.4c7.04 0 12.8 5.76 12.8 12.8v45.888a12.8 12.8 0 0 1-3.776 9.088L576 512v248.064a12.8 12.8 0 0 1-7.04 11.52l-102.4 51.2a12.8 12.8 0 0 1-18.56-11.52V512L259.776 323.776z"/></svg>'
};
const Filter = {
  name: "filter",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M883.2 128c7.04 0 12.8 5.76 12.8 12.8v140.16a12.8 12.8 0 0 1-6.016 10.816L640 448v376.064a12.8 12.8 0 0 1-7.04 11.52l-230.4 115.2a12.8 12.8 0 0 1-18.56-11.52V448L134.016 291.776a12.8 12.8 0 0 1-6.016-10.88V140.8c0-7.04 5.76-12.8 12.8-12.8h742.4zM832 191.936H192v60.608l256 160v443.84l128-64v-379.84L832 252.48v-60.544z"/></svg>'
};
const FitToView = {
  name: "fit-to-view",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M320 140.8v38.4c0 7.07-5.73 12.8-12.8 12.8H192v115.2c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8V140.8c0-7.07 5.73-12.8 12.8-12.8h166.4c7.07 0 12.8 5.73 12.8 12.8M883.2 320h-38.4c-7.072 0-12.8-5.73-12.8-12.8V192H716.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8h166.4c7.072 0 12.8 5.73 12.8 12.8v166.4c0 7.07-5.728 12.8-12.8 12.8m-256 256H396.8c-7.07 0-12.8-5.73-12.8-12.8V460.8c0-7.07 5.73-12.8 12.8-12.8h230.4c7.07 0 12.8 5.73 12.8 12.8v102.4c0 7.07-5.73 12.8-12.8 12.8M140.8 704h38.4c7.07 0 12.8 5.73 12.8 12.8V832h115.2c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.072-5.73 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.728-12.8-12.8V716.8c0-7.07 5.73-12.8 12.8-12.8M704 883.2v-38.4c0-7.072 5.73-12.8 12.8-12.8H832V716.8c0-7.07 5.728-12.8 12.8-12.8h38.4c7.072 0 12.8 5.73 12.8 12.8v166.4c0 7.072-5.728 12.8-12.8 12.8H716.8c-7.07 0-12.8-5.728-12.8-12.8"/></svg>'
};
const FolderAdd = {
  name: "folder-add",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M423.953 64a12.8 12.8 0 0 1 9.051 3.749L557.255 192h326.047c7.072 0 12.698 5.83 12.698 12.9v102.3c0 7.07-5.728 12.8-12.8 12.8h-38.4c-7.072 0-12.8-5.73-12.8-12.8V256H128v512h179.2c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.072-5.73 12.8-12.8 12.8H76.696C69.626 832 64 826.17 64 819.098V76.8C64 69.73 69.73 64 76.8 64h347.153Zm-21.201 64H128v64h338.752l-64-64Z"/><path d="M672 384c159.06 0 288 128.942 288 288 0 159.06-128.94 288-288 288-159.058 0-288-128.94-288-288 0-159.058 128.942-288 288-288Zm0 64c-123.712 0-224 100.288-224 224s100.288 224 224 224 224-100.288 224-224-100.288-224-224-224Z"/><path d="M652.8 512c-7.07 0-12.8 5.73-12.8 12.8V640H524.8c-7.07 0-12.8 5.73-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8H640v115.2c0 7.072 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.728 12.8-12.8V704h115.2c7.072 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.728-12.8-12.8-12.8H704V524.8c0-7.07-5.73-12.8-12.8-12.8h-38.4Z"/></g></svg>'
};
const FolderOpen = {
  name: "folder-open",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M76.8 896A12.8 12.8 0 0 1 64 883.2V192a64 64 0 0 1 56.512-63.552L128 128h301.248l128 128H883.2c7.04 0 12.8 5.76 12.8 12.8V448h111.04a12.8 12.8 0 0 1 12.288 16.32l-120.704 422.4a12.8 12.8 0 0 1-12.288 9.28H76.8zm862.336-384h-698.88L148.8 832h698.88l91.456-320zM402.752 192H128v64h338.752l-64-64zM832 320H128v351.808l61.376-214.528A12.8 12.8 0 0 1 201.6 448H832V320z"/></svg>'
};
const Folder = {
  name: "folder",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="m429.255 64 128 128H947.2c6.97 0 12.634 5.566 12.8 12.493V883.2c0 6.97-5.563 12.634-12.493 12.8H76.8c-6.967 0-12.634-5.563-12.8-12.493V76.8c0-6.967 5.566-12.634 12.493-12.8h352.762ZM896 256H128v576h768V256ZM402.752 128H128v64h338.752l-64-64Z"/></svg>'
};
const ForScreen = {
  name: "for-screen",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M947.2 128c7.04 0 12.8 5.184 12.8 11.648v616.704c0 6.4-5.76 11.648-12.8 11.648H704v-64h192V192H128v512h192v64H76.8c-7.04 0-12.8-5.184-12.8-11.648V139.648c0-6.4 5.76-11.648 12.8-11.648h870.4z"/><path d="M517.76 593.152a12.8 12.8 0 0 1 5.696 5.76L694.72 941.504A12.8 12.8 0 0 1 683.264 960H340.736a12.8 12.8 0 0 1-11.52-18.56l171.328-342.528a12.8 12.8 0 0 1 17.152-5.76zM512 719.04 423.488 896h176.96L512 719.04z"/></svg>'
};
const Forward = {
  name: "forward",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="m903.437 500.652-352.445-352.44c-4.998-4.999-4.999-12.866 0-17.865l27.39-27.39c4.998-5 12.85-5.014 17.849-.016l388.793 388.794c4.998 4.998 4.998 12.835 0 17.834L596.231 898.362c-4.999 4.998-12.85 4.985-17.85-.013l-27.39-27.392c-4.998-4.999-4.997-12.864.001-17.863l352.445-352.442ZM76.8 703.966l307.136.03.064 191.23c0 3.577 1.493 6.982 4.118 9.408 5.195 4.793 13.293 4.473 18.087-.724l353.782-383.262c4.525-4.903 4.525-12.46 0-17.364L406.205 120.022a12.8 12.8 0 0 0-9.405-4.118c-7.07 0-12.8 5.73-12.8 12.8l-.064 191.292-307.136-.03c-7.07 0-12.8 5.73-12.8 12.8v358.4c0 7.07 5.73 12.8 12.8 12.8Zm371.132-444.292 232.96 252.288-232.96 252.352-.015-124.31-319.92.022v-256l319.92-.022.015-124.33Z"/></svg>'
};
const FullscreenExit = {
  name: "fullscreen-exit",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M64 204.8v38.4c0 7.07 5.73 12.8 12.8 12.8h166.4c7.07 0 12.8-5.73 12.8-12.8V76.8c0-7.07-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.73-12.8 12.8V192H76.8c-7.07 0-12.8 5.73-12.8 12.8ZM819.2 64h-38.4c-7.072 0-12.8 5.73-12.8 12.8v166.4c0 7.07 5.728 12.8 12.8 12.8h166.4c7.072 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.728-12.8-12.8-12.8H832V76.8c0-7.07-5.728-12.8-12.8-12.8ZM268.8 768h486.4c7.066 0 12.8-5.728 12.8-12.8V268.797c0-7.07-5.734-12.797-12.8-12.797H268.8c-7.068 0-12.8 5.727-12.8 12.797V755.2c0 7.072 5.732 12.8 12.8 12.8ZM320 320h384v384H320V320ZM76.8 768h166.4c7.07 0 12.8 5.728 12.8 12.8v166.4c0 7.072-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.728-12.8-12.8V832H76.8c-7.07 0-12.8-5.728-12.8-12.8v-38.4c0-7.072 5.73-12.8 12.8-12.8ZM960 819.2v-38.4c0-7.072-5.728-12.8-12.8-12.8H780.8c-7.072 0-12.8 5.728-12.8 12.8v166.4c0 7.072 5.728 12.8 12.8 12.8h38.4c7.072 0 12.8-5.728 12.8-12.8V832h115.2c7.072 0 12.8-5.728 12.8-12.8Z"/></svg>'
};
const Fullscreen = {
  name: "fullscreen",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M256 115.2V76.8c0-7.07-5.73-12.8-12.8-12.8H76.8C69.73 64 64 69.73 64 76.8v166.4c0 7.07 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.73 12.8-12.8V128h115.2c7.07 0 12.8-5.73 12.8-12.8ZM947.2 256h-38.4c-7.072 0-12.8-5.73-12.8-12.8V128H780.8c-7.072 0-12.8-5.73-12.8-12.8V76.8c0-7.07 5.728-12.8 12.8-12.8h166.4c7.072 0 12.8 5.73 12.8 12.8v166.4c0 7.07-5.728 12.8-12.8 12.8Zm-128 576H204.8c-7.07 0-12.8-5.728-12.8-12.8V204.8c0-7.07 5.73-12.8 12.8-12.8h614.4c7.072 0 12.8 5.73 12.8 12.8v614.4c0 7.072-5.728 12.8-12.8 12.8ZM768 256H256v512h512V256ZM115.2 768H76.8c-7.07 0-12.8 5.728-12.8 12.8v166.4c0 7.072 5.73 12.8 12.8 12.8h166.4c7.07 0 12.8-5.728 12.8-12.8v-38.4c0-7.072-5.73-12.8-12.8-12.8H128V780.8c0-7.072-5.73-12.8-12.8-12.8ZM768 947.2v-38.4c0-7.072 5.728-12.8 12.8-12.8H896V780.8c0-7.072 5.728-12.8 12.8-12.8h38.4c7.072 0 12.8 5.728 12.8 12.8v166.4c0 7.072-5.728 12.8-12.8 12.8H780.8c-7.072 0-12.8-5.728-12.8-12.8Z"/></svg>'
};
const Gif = {
  name: "gif",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M128 179.2V76.8c0-7.07 5.73-12.8 12.8-12.8h742.4c7.072 0 12.8 5.73 12.8 12.8v102.4c0 7.07-5.728 12.8-12.8 12.8h-38.4c-7.072 0-12.8-5.73-12.8-12.8V128H192v51.2c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8ZM64 448c0-84.83 66.019-154.243 149.48-159.66L224 288h101.808c65.784 0 119.678 50.904 124.442 115.471.186 5.087-3.887 9.313-8.977 9.313h-41.881c-7.07 0-12.65-5.697-14.11-12.614-5.332-25.26-26.35-44.737-52.385-47.761l-7.089-.409H224c-49.9 0-90.909 38.073-95.56 86.755L128 448v128c0 49.9 38.073 90.909 86.755 95.56L224 672h130.592c15.71 0 28.775-11.32 31.484-26.248l.516-5.752-.055-90.112-104.124.029c-7.07.002-12.804-5.73-12.804-12.8V498.72c0-7.069 5.731-12.8 12.8-12.8h155.383c7.069 0 12.8 5.731 12.8 12.8V640c0 49.9-38.073 90.906-86.755 95.558l-9.245.442H224c-84.83 0-154.242-66.019-159.66-149.48L64 576V448Zm496.81-160h-38.4c-7.07 0-12.8 5.73-12.8 12.8v422.4c0 7.072 5.73 12.8 12.8 12.8h38.4c7.068 0 12.8-5.728 12.8-12.8V300.8c0-7.07-5.732-12.8-12.8-12.8Zm89.6 0h294.396c7.072 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.728 12.8-12.8 12.8H701.61v128h243.196c7.072 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.728 12.8-12.8 12.8H701.61v179.2c0 7.072-5.732 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.728-12.8-12.8V300.8c0-7.07 5.73-12.8 12.8-12.8ZM140.8 960h742.4c7.072 0 12.8-5.728 12.8-12.8V844.8c0-7.072-5.728-12.8-12.8-12.8h-38.4c-7.072 0-12.8 5.728-12.8 12.8V896H192v-51.2c0-7.072-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.728-12.8 12.8v102.4c0 7.072 5.73 12.8 12.8 12.8Z"/></svg>'
};
const Github = {
  name: "github",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M511.6 76.3C264.3 76.2 64 276.4 64 523.5 64 718.9 189.3 885 363.8 946c23.5 5.9 19.9-10.8 19.9-22.2v-77.5c-135.7 15.9-141.2-73.9-150.3-88.9C215 726 171.5 718 184.5 703c30.9-15.9 62.4 4 98.9 57.9 26.4 39.1 77.9 32.5 104 26 5.7-23.5 17.9-44.5 34.7-60.8-140.6-25.2-199.2-111-199.2-213 0-49.5 16.3-95 48.3-131.7-20.4-60.5 1.9-112.3 4.9-120 58.1-5.2 118.5 41.6 123.2 45.3 33-8.9 70.7-13.6 112.9-13.6 42.4 0 80.2 4.9 113.5 13.9 11.3-8.6 67.3-48.8 121.3-43.9 2.9 7.7 24.7 58.3 5.5 118 32.4 36.8 48.9 82.7 48.9 132.3 0 102.2-59 188.1-200 212.9a127.5 127.5 0 0 1 38.1 91v112.5c.8 9 0 17.9 15 17.9 177.1-59.7 304.6-227 304.6-424.1 0-247.2-200.4-447.3-447.5-447.3z"/></svg>'
};
const Gitlab = {
  name: "gitlab",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M913.9 552.2 805 181.4v-.1c-7.6-22.9-25.7-36.5-48.3-36.5-23.4 0-42.5 13.5-49.7 35.2l-71.4 213H388.8l-71.4-213c-7.2-21.7-26.3-35.2-49.7-35.2-23.1 0-42.5 14.8-48.4 36.6L110.5 552.2c-4.4 14.7 1.2 31.4 13.5 40.7l368.5 276.4c2.6 3.6 6.2 6.3 10.4 7.8l8.6 6.4 8.5-6.4c4.9-1.7 9-4.7 11.9-8.9l368.4-275.4c12.4-9.2 18-25.9 13.6-40.6zM751.7 193.4c1-1.8 2.9-1.9 3.5-1.9 1.1 0 2.5.3 3.4 3L818 394.3H684.5l67.2-200.9zm-487.4 1c.9-2.6 2.3-2.9 3.4-2.9 2.7 0 2.9.1 3.4 1.7l67.3 201.2H206.5l57.8-200zM158.8 558.7l28.2-97.3 202.4 270.2-230.6-172.9zm73.9-116.4h122.1l90.8 284.3-212.9-284.3zM512.9 776 405.7 442.3H620L512.9 776zm157.9-333.7h119.5L580 723.1l90.8-280.8zm-40.7 293.9 207.3-276.7 29.5 99.2-236.8 177.5z"/></svg>'
};
const Global = {
  name: "global",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64c136.96 0 259.584 61.44 341.76 158.336l1.472-.896 7.168 11.392A445.888 445.888 0 0 1 958.848 480H960v64h-1.152a446.016 446.016 0 0 1-103.04 255.296l-.576.704A448 448 0 0 1 65.088 544H64v-64h1.152A448 448 0 0 1 512 64zm-32 639.872c-54.08 2.944-107.84 12.608-160 29.184v111.552a381.44 381.44 0 0 0 160 50.048V703.872zm64-.256v191.04a381.632 381.632 0 0 0 160.128-50.112v-113.28A645.376 645.376 0 0 0 544 703.616zm224 51.008v43.584c8.64-7.68 16.96-15.872 24.832-24.32l5.12-5.568a624.565 624.565 0 0 0-29.888-13.696zM227.84 770.24c8.96 9.792 18.304 19.136 28.16 27.904V757.12c-9.472 4.096-18.816 8.512-28.16 13.12zM256 544H129.28c5.312 64 26.24 123.456 59.008 174.656A705.305 705.305 0 0 1 256 687.872V544zm638.72 0H768v141.632a705.985 705.985 0 0 1 69.12 30.72c31.936-50.56 52.352-109.312 57.6-172.288zM480 544H320v122.24a709.248 709.248 0 0 1 160-26.432V544zm224 0H544v95.552c53.952 2.176 107.648 10.56 160 25.024V544zM189.44 303.488l-6.72 10.88A381.632 381.632 0 0 0 129.344 480H256V333.632c-22.528-8.832-44.736-18.88-66.56-30.08zm354.56 78.4V480h160l.064-123.2a712.87 712.87 0 0 1-160 25.088zM320 355.2V480h160v-98.368A709.312 709.312 0 0 1 320 355.2zm515.84-49.6c-22.144 11.328-44.8 21.312-67.84 30.08V480h126.72a381.696 381.696 0 0 0-58.88-174.4zM544 129.344v188.48a645.312 645.312 0 0 0 160-27.648l.064-110.72a381.632 381.632 0 0 0-160-50.112zm-64 0a381.632 381.632 0 0 0-160 50.048v108.992a646.519 646.519 0 0 0 160 29.184V129.28zm288.064 96.512v40.96c9.472-4.096 18.88-8.384 28.224-12.928-8.96-9.792-18.304-19.2-28.224-28.032zM229.44 251.968c8.832 4.288 17.664 8.448 26.56 12.352v-38.528a394.187 394.187 0 0 0-26.56 26.176z"/></svg>'
};
const GridCompact = {
  name: "grid-compact",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M907.84 713.024a12.8 12.8 0 0 0 0-18.048l-27.136-27.2a12.8 12.8 0 0 0-18.112 0l-126.72 126.72-126.72-126.72a12.8 12.8 0 0 0-18.048 0l-27.2 27.2a12.8 12.8 0 0 0 0 18.048l162.944 162.944a12.8 12.8 0 0 0 18.112 0l162.88-162.944zm0-402.048a12.8 12.8 0 0 1 0 18.048l-27.136 27.2a12.8 12.8 0 0 1-18.112 0l-126.72-126.72-126.72 126.72a12.8 12.8 0 0 1-18.048 0L563.84 328.96a12.8 12.8 0 0 1 0-18.048l162.944-162.944a12.8 12.8 0 0 1 18.112 0l162.88 162.944zM140.8 192h294.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H140.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 192h294.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H140.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 192h294.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H140.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 192h294.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H140.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Z"/></svg>'
};
const GridLoose = {
  name: "grid-loose",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M907.84 713.024a12.8 12.8 0 0 0 0-18.048l-27.136-27.2a12.8 12.8 0 0 0-18.112 0l-126.72 126.72-126.72-126.72a12.8 12.8 0 0 0-18.048 0l-27.2 27.2a12.8 12.8 0 0 0 0 18.048l162.944 162.944a12.8 12.8 0 0 0 18.112 0l162.88-162.944zm0-402.048a12.8 12.8 0 0 1 0 18.048l-27.136 27.2a12.8 12.8 0 0 1-18.112 0l-126.72-126.72-126.72 126.72a12.8 12.8 0 0 1-18.048 0L563.84 328.96a12.8 12.8 0 0 1 0-18.048l162.944-162.944a12.8 12.8 0 0 1 18.112 0l162.88 162.944zM140.8 192h294.4q12.8 0 12.8 12.8v230.4q0 12.8-12.8 12.8H140.8q-12.8 0-12.8-12.8V204.8q0-12.8 12.8-12.8Zm0 384h294.4q12.8 0 12.8 12.8v230.4q0 12.8-12.8 12.8H140.8q-12.8 0-12.8-12.8V588.8q0-12.8 12.8-12.8Z"/></svg>'
};
const GridMedium = {
  name: "grid-medium",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M907.84 713.024a12.8 12.8 0 0 0 0-18.048l-27.136-27.2a12.8 12.8 0 0 0-18.112 0l-126.72 126.72-126.72-126.72a12.8 12.8 0 0 0-18.048 0l-27.2 27.2a12.8 12.8 0 0 0 0 18.048l162.944 162.944a12.8 12.8 0 0 0 18.112 0l162.88-162.944zm0-402.048a12.8 12.8 0 0 1 0 18.048l-27.136 27.2a12.8 12.8 0 0 1-18.112 0l-126.72-126.72-126.72 126.72a12.8 12.8 0 0 1-18.048 0L563.84 328.96a12.8 12.8 0 0 1 0-18.048l162.944-162.944a12.8 12.8 0 0 1 18.112 0l162.88 162.944zM140.8 192h294.4q12.8 0 12.8 12.8v102.4q0 12.8-12.8 12.8H140.8q-12.8 0-12.8-12.8V204.8q0-12.8 12.8-12.8Zm0 256h294.4q12.8 0 12.8 12.8v102.4q0 12.8-12.8 12.8H140.8q-12.8 0-12.8-12.8V460.8q0-12.8 12.8-12.8Zm0 256h294.4q12.8 0 12.8 12.8v102.4q0 12.8-12.8 12.8H140.8q-12.8 0-12.8-12.8V716.8q0-12.8 12.8-12.8Z"/></svg>'
};
const Heart = {
  name: "heart",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M354.368 63.424A288.512 288.512 0 0 0 66.624 334.08l-1.152 17.344a596.288 596.288 0 0 0 399.36 592.384L512 960.256l47.552-16.64 17.088-6.208A604.16 604.16 0 0 0 964.8 361.344l.192-7.872a288.128 288.128 0 0 0-288-288.64l-16.64.448a286.336 286.336 0 0 0-137.6 44.288l-6.144 4.096-6.4-4.416a286.848 286.848 0 0 0-155.776-45.824zm0 64c52.48 0 102.144 18.048 141.888 50.624l20.096 16.512 20.288-16.32a224 224 0 0 1 364.352 174.528l-.192 8.512a540.48 540.48 0 0 1-346.56 516.16l-16.192 5.888L512 892.352l-26.112-9.024a532.16 532.16 0 0 1-356.48-528.384l1.088-16.896a224.512 224.512 0 0 1 223.872-210.56z"/><path d="M320 192a32 32 0 0 1 0 64 64 64 0 0 0-64 64 32 32 0 0 1-64 0 128 128 0 0 1 128-128z"/></svg>'
};
const Heat = {
  name: "heat",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><defs><style/></defs><path d="M735.232 513.408C768.256 204.736 462.848 0 462.848 0 560.768 174.144 128 393.152 128 707.2c0 196.864 218.816 316.8 388.288 316.8 559.744 0 346.88-665.344 306.304-701.44-12.672 73.6-60.416 178.56-87.36 190.848zm-224.192-9.344s131.392 76.16 120.512 267.136c0 0 19.2 2.752 73.28-64.896 7.744 52.672-8.32 232.96-167.488 232.96s-308.672-146.88-26.304-435.2z"/></svg>'
};
const History = {
  name: "history",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64a448 448 0 0 1 377.344 689.6L731.2 595.392l-.64-.896A12.8 12.8 0 0 1 742.08 576h148.608A384 384 0 1 0 760 805.12l45.376 45.44A448 448 0 1 1 512 64z"/><path d="m544 270.08-.064 265.792L657.6 674.24a12.8 12.8 0 0 1-1.728 18.048l-29.696 24.32a12.8 12.8 0 0 1-17.984-1.728L480 558.912V270.08c0-7.04 5.76-12.8 12.8-12.8h38.4c7.04 0 12.8 5.76 12.8 12.8z"/></svg>'
};
const Holder = {
  name: "holder",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M320 256a64 64 0 1 0 128 0 64 64 0 1 0-128 0Zm256 0a64 64 0 1 0 128 0 64 64 0 1 0-128 0ZM320 512a64 64 0 1 0 128 0 64 64 0 1 0-128 0Zm256 0a64 64 0 1 0 128 0 64 64 0 1 0-128 0ZM320 768a64 64 0 1 0 128 0 64 64 0 1 0-128 0Zm256 0a64 64 0 1 0 128 0 64 64 0 1 0-128 0Z"/></svg>'
};
const Home = {
  name: "home",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="m520.055 70.705.26.217 413.4 354.34c8.928 7.657 3.66 22.224-7.978 22.515l-.355.004h-93.401v435.201c0 6.964-5.563 12.634-12.494 12.8H204.784c-6.967 0-12.634-5.569-12.796-12.493l-.004-.307v-435.2H98.586c-11.765 0-17.243-14.491-8.597-22.285l.266-.234L503.654 70.922a12.8 12.8 0 0 1 16.401-.217Zm-8.07 77.365L236.915 383.782h19.072v448h127.998V588.586c0-7.07 5.73-12.8 12.8-12.8h230.4c7.07 0 12.8 5.73 12.8 12.8v243.196h128.003v-448h19.008L511.985 148.07Zm63.999 491.716h-128v191.996h128V639.786Z"/></svg>'
};
const Import = {
  name: "import",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M690.368 128c7.04 0 12.8 5.76 12.8 12.8v37.888a12.8 12.8 0 0 1-12.8 12.8l-550.08.512a12.8 12.8 0 0 0-12.8 12.8v680.384c0 7.04 5.76 12.8 12.8 12.8h691.648l.064-563.52c0-7.04 5.76-12.8 12.8-12.8h38.4c7.04 0 12.8 5.76 12.8 12.8v582.72a44.8 44.8 0 0 1-38.72 44.416l-6.08.384-774.912-.384a12.8 12.8 0 0 1-12.8-12.8v-808c0-7.04 5.76-12.8 12.8-12.8h614.08zm160.96 16.832 27.136 27.2a12.8 12.8 0 0 1 0 18.112l-513.28 513.792L627.2 704c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H268.8a12.8 12.8 0 0 1-12.8-12.8V396.8c0-7.04 5.76-12.8 12.8-12.8h38.4c7.04 0 12.8 5.76 12.8 12.8v261.888l513.216-513.856a12.8 12.8 0 0 1 18.112 0z"/></svg>'
};
const InfoCircleFilled = {
  name: "info-circle-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 0c282.752 0 512 229.248 512 512s-229.248 512-512 512S0 794.752 0 512 229.248 0 512 0zm25.6 405.333h-51.2a17.067 17.067 0 0 0-17.067 17.067v349.867c0 9.386 7.68 17.066 17.067 17.066h51.2a17.067 17.067 0 0 0 17.067-17.066V422.4a17.067 17.067 0 0 0-17.067-17.067zm0-170.666h-51.2a17.067 17.067 0 0 0-17.067 17.066v51.2c0 9.387 7.68 17.067 17.067 17.067h51.2a17.067 17.067 0 0 0 17.067-17.067v-51.2a17.067 17.067 0 0 0-17.067-17.066z"/></svg>'
};
const InfoCircle = {
  name: "info-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 960c247.424 0 448-200.576 448-448S759.424 64 512 64 64 264.576 64 512s200.576 448 448 448Zm0-64c-212.077 0-384-171.923-384-384s171.923-384 384-384 384 171.923 384 384-171.923 384-384 384Zm19.2-576c6.967 0 12.634-5.566 12.796-12.493L544 268.8c0-6.967-5.566-12.634-12.493-12.796L492.8 256c-6.967 0-12.634 5.566-12.796 12.493L480 307.2c0 6.967 5.566 12.634 12.493 12.796L531.2 320Zm0 448c6.967 0 12.634-5.566 12.796-12.493L544 396.8c0-6.967-5.566-12.634-12.493-12.8H492.8c-6.967 0-12.634 5.566-12.796 12.493L480 755.2c0 6.967 5.566 12.634 12.493 12.8H531.2Z"/></svg>'
};
const Info = {
  name: "info",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M448 224a64 64 0 1 0 128 0 64 64 0 1 0-128 0zm96 168h-64c-4.4 0-8 3.6-8 8v464c0 4.4 3.6 8 8 8h64c4.4 0 8-3.6 8-8V400c0-4.4-3.6-8-8-8z"/></svg>'
};
const Insurance = {
  name: "insurance",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M518.656 66.304H507.2L138.24 133.12a12.8 12.8 0 0 0-10.496 12.608V334.4c0 259.456 141.888 498.048 369.792 622.016l15.616 8.512 33.28-18.88a707.2 707.2 0 0 0 349.504-609.92V145.664a12.8 12.8 0 0 0-10.496-12.544L518.72 66.24zm-5.824 63.936 319.04 58.176v147.648l-.32 20.736a643.008 643.008 0 0 1-299.52 523.008L512.64 891.52l-2.176-1.28A644.032 644.032 0 0 1 191.68 334.4l-.064-145.92 321.216-58.24z"/><path d="m261.76 420.224 28.096-27.008a12.8 12.8 0 0 1 17.92.128l164.8 164.864a12.8 12.8 0 0 0 18.112 0l251.648-251.52a12.8 12.8 0 0 1 18.112 0l27.136 27.136a12.8 12.8 0 0 1 0 18.112L490.368 649.152a12.8 12.8 0 0 1-18.112 0L261.632 438.528a12.8 12.8 0 0 1 .128-18.304z"/></svg>'
};
const Ip = {
  name: "ip",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M64 76.8v806.4c0 7.072 5.73 12.8 12.8 12.8h870.4c7.072 0 12.8-5.728 12.8-12.8V76.8c0-7.07-5.728-12.8-12.8-12.8H76.8C69.73 64 64 69.73 64 76.8ZM128 832V128h768v704H128Zm192-512h-51.2c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8h166.4c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H384v320h51.2c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.072-5.73 12.8-12.8 12.8H268.8c-7.07 0-12.8-5.728-12.8-12.8v-38.4c0-7.072 5.73-12.8 12.8-12.8H320V320Zm204.8-64c-7.07 0-12.8 5.73-12.8 12.8v422.4c0 7.072 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.728 12.8-12.8V512h64c70.694 0 128-57.308 128-128 0-70.692-57.306-128-128-128H524.8ZM640 320c35.347 0 64 28.654 64 64 0 35.346-28.653 64-64 64h-64V320h64Z"/></svg>'
};
const Jumpz = {
  name: "jumpz",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="m896.006 140.792.48 806.402c0 7.072-5.728 12.806-12.8 12.806H532.61c-7.07 0-12.8-5.728-12.8-12.8v-37.907c0-7.06 5.717-12.787 12.779-12.8L832.512 896V190.016H128.044l-.042 309.186C128 506.27 122.27 512 115.202 512H76.8c-7.07 0-12.8-5.73-12.8-12.8V140.8c0-7.07 5.73-12.8 12.8-12.8h806.406c7.066 0 12.8 5.726 12.8 12.792M269.292 448h260.079L146.874 832.32c-4.978 4.998-4.97 13.088.02 18.074l27.15 27.161c5.008 5.011 13.13 5.005 18.126-.019L576.625 491.25l.037 263.952c.001 7.068 5.732 12.798 12.8 12.798h38.402c7.07 0 12.8-5.73 12.8-12.8V396.8c0-7.07-5.73-12.8-12.8-12.8H269.292c-7.07 0-12.8 5.73-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8"/></svg>'
};
const Key = {
  name: "key",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 512a227.556 227.556 0 1 1-321.82 321.82A227.556 227.556 0 0 1 512 512zm-40.22 40.22A170.667 170.667 0 1 0 230.4 793.6a170.667 170.667 0 0 0 241.38-241.38z"/><path d="M431.56 592.44a113.778 113.778 0 1 1-160.94 160.94 113.778 113.778 0 0 1 160.94-160.94zm-40.221 40.221a56.889 56.889 0 1 0-80.498 80.498 56.889 56.889 0 0 0 80.555-80.555zm422.343-462.563 40.22 40.22-362.04 362.041-40.221-40.22z"/><path d="m813.682 250.539-40.22 40.22L612.58 129.82 652.8 89.6zm-80.384 80.44L693.02 371.2 532.14 210.318l40.22-40.22zM652.8 411.42l-40.22 40.22-120.72-120.66 40.278-40.22z"/></svg>'
};
const LayoutCompact = {
  name: "layout-compact",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M896 140.8v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zm0 128v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zm0 128v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zm0 128v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zm0 128v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zm0 128v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8z"/></svg>'
};
const LayoutLarge = {
  name: "layout-large",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M907.84 713.024a12.8 12.8 0 0 0 0-18.048l-27.136-27.2a12.8 12.8 0 0 0-18.112 0l-126.72 126.72-126.72-126.72a12.8 12.8 0 0 0-18.048 0l-27.2 27.2a12.8 12.8 0 0 0 0 18.048l162.944 162.944a12.8 12.8 0 0 0 18.112 0l162.88-162.944zm0-402.048a12.8 12.8 0 0 1 0 18.048l-27.136 27.2a12.8 12.8 0 0 1-18.112 0l-126.72-126.72-126.72 126.72a12.8 12.8 0 0 1-18.048 0L563.84 328.96a12.8 12.8 0 0 1 0-18.048l162.944-162.944a12.8 12.8 0 0 1 18.112 0l162.88 162.944zM140.8 192h294.4q12.8 0 12.8 12.8v230.4q0 12.8-12.8 12.8H140.8q-12.8 0-12.8-12.8V204.8q0-12.8 12.8-12.8Zm0 384h294.4q12.8 0 12.8 12.8v230.4q0 12.8-12.8 12.8H140.8q-12.8 0-12.8-12.8V588.8q0-12.8 12.8-12.8Z"/></svg>'
};
const LayoutLoose = {
  name: "layout-loose",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M883.2 512H140.8c-7.07 0-12.8-5.73-12.8-12.8V204.8c0-7.07 5.73-12.8 12.8-12.8h742.4c7.072 0 12.8 5.73 12.8 12.8v294.4c0 7.07-5.728 12.8-12.8 12.8ZM192 256v192h640V256H192Zm691.2 640H140.8c-7.07 0-12.8-5.728-12.8-12.8V588.8c0-7.07 5.73-12.8 12.8-12.8h742.4c7.072 0 12.8 5.73 12.8 12.8v294.4c0 7.072-5.728 12.8-12.8 12.8ZM192 640v192h640V640H192Z"/></svg>'
};
const LayoutMedium = {
  name: "layout-medium",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M883.2 384H140.8c-7.07 0-12.8-5.73-12.8-12.8V204.8c0-7.07 5.73-12.8 12.8-12.8h742.4c7.072 0 12.8 5.73 12.8 12.8v166.4c0 7.07-5.728 12.8-12.8 12.8ZM192 256v64h640v-64H192Zm691.2 384H140.8c-7.07 0-12.8-5.73-12.8-12.8V460.8c0-7.07 5.73-12.8 12.8-12.8h742.4c7.072 0 12.8 5.73 12.8 12.8v166.4c0 7.07-5.728 12.8-12.8 12.8ZM192 512v64h640v-64H192Zm691.2 384H140.8c-7.07 0-12.8-5.728-12.8-12.8V716.8c0-7.07 5.73-12.8 12.8-12.8h742.4c7.072 0 12.8 5.73 12.8 12.8v166.4c0 7.072-5.728 12.8-12.8 12.8ZM192 768v64h640v-64H192Z"/></svg>'
};
const Layout$1 = {
  name: "layout",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M883.2 128c6.97 0 12.634 5.566 12.796 12.493l.004.307v742.4c0 6.97-5.563 12.634-12.493 12.796l-.307.004H140.8c-6.967 0-12.634-5.563-12.796-12.493L128 883.2V140.8c0-6.967 5.566-12.634 12.493-12.796l.307-.004h742.4ZM832 384H384v448h448V384ZM320 192H192v640h128V192Zm512 0H384v128h448V192Z"/></svg>'
};
const LeftCircle = {
  name: "left-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M512 64c247.424 0 448 200.577 448 448 0 247.424-200.576 448-448 448-247.423 0-448-200.576-448-448C64 264.577 264.577 64 512 64Zm0 64c-212.077 0-384 171.923-384 384s171.923 384 384 384 384-171.923 384-384-171.923-384-384-384Z"/><path d="M410.919 513.867 635.343 738.22c5 4.998 5.069 12.934.07 17.933l-27.39 27.392c-5 4.998-13.105 4.761-18.104-.237L329.57 522.957c-4.999-4.999-5.182-13.16-.183-18.159L593.84 240.346c4.998-4.999 12.922-5.055 17.92-.056l27.39 27.39c5 4.998 4.784 13.083-.213 18.082L410.919 513.867Z"/></g></svg>'
};
const LeftDouble = {
  name: "left-double",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M533.504 265.344a32 32 0 0 1 0 45.312L342.336 501.76a12.8 12.8 0 0 0 0 18.112l192.512 192.512a32 32 0 0 1-45.248 45.248L265.344 533.504a32 32 0 0 1 0-45.248L488.32 265.344a32 32 0 0 1 45.248 0zm224 0a32 32 0 0 1 0 45.312L566.336 501.76a12.8 12.8 0 0 0 0 18.112l192.512 192.512a32 32 0 1 1-45.248 45.248L489.344 533.504a32 32 0 0 1 0-45.248l222.912-222.912a32 32 0 0 1 45.248 0z"/></svg>'
};
const LeftFilled = {
  name: "left-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 0c282.784 0 512 229.216 512 512s-229.216 512-512 512S0 794.784 0 512 229.216 0 512 0zm54.944 294.784-208.16 208.16a12.8 12.8 0 0 0-1.632 16.096l1.6 2.016 208.192 208.16a12.8 12.8 0 0 0 18.112 0l27.136-27.136a12.8 12.8 0 0 0 0-18.112L440.224 512l171.968-171.968a12.8 12.8 0 0 0 0-18.112l-27.136-27.136a12.8 12.8 0 0 0-18.112 0z"/></svg>'
};
const Left = {
  name: "left",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="m313.575 521.104 253.659 253.659c4.998 4.998 12.869 5.001 17.867.003l27.39-27.39c5-5 4.939-12.927-.06-17.926L395.15 512.17l217.28-217.281c5-4.999 5.06-12.927.062-17.925l-27.39-27.39c-5-5-12.87-4.996-17.868.002L313.575 503.234c-4.998 4.998-4.998 12.872 0 17.87Z"/></svg>'
};
const LikeFilled = {
  name: "like-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M256 416v480H140.8a12.8 12.8 0 0 1-12.8-12.8V428.8c0-7.04 5.76-12.8 12.8-12.8H256zm352-288a64 64 0 0 1 64 64v179.2c0 7.04 5.76 12.8 12.8 12.8h168.64a96 96 0 0 1 89.92 129.728l-120 320A96 96 0 0 1 733.44 896H320V415.488a128 128 0 0 0 100.608-65.28l92.288-166.272A108.8 108.8 0 0 1 608 128z"/></svg>'
};
const Like = {
  name: "like",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M140.8 896a12.8 12.8 0 0 1-12.8-12.8V428.8c0-7.04 5.76-12.8 12.8-12.8h150.912a128 128 0 0 0 121.472-87.552l36.48-109.376A133.184 133.184 0 0 1 576 128a96 96 0 0 1 96 96v147.2c0 7.04 5.76 12.8 12.8 12.8H832a110.912 110.912 0 0 1 103.808 149.76l-104.64 279.168A128 128 0 0 1 711.296 896H140.8zM256 480h-64v352h64V480zm320-288c-27.072 0-51.392 15.744-62.72 39.872l-2.944 7.424-36.48 109.44a192 192 0 0 1-153.792 129.152L320 832h391.296A64 64 0 0 0 768 797.696l3.2-7.232L875.904 511.36a46.912 46.912 0 0 0-37.568-62.912L832 448H684.8a76.8 76.8 0 0 1-76.416-68.928L608 371.2V224a32 32 0 0 0-32-32z"/></svg>'
};
const LineChart = {
  name: "line-chart",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M64 883.2V140.8c0-7.07 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.73 12.8 12.8V832h819.2c7.072 0 12.8 5.728 12.8 12.8v38.4c0 7.072-5.728 12.8-12.8 12.8H76.8c-7.07 0-12.8-5.728-12.8-12.8Zm511.615-412.287L457.64 347.817c-4.98-5.195-13.46-5.402-18.529-.294L209.249 579.232c-4.978 5.019-5.046 12.986-.027 17.964l27.5 27.28c5.019 4.98 12.498 5.337 17.476.317l193.353-194.968 118.26 123.317c4.962 5.174 12.98 5.105 18.054.04l368.788-368.099c5.043-5.03 4.851-13.461-.23-18.449l-27.233-26.716c-5.01-4.914-13.132-4.742-18.099.214l-331.476 330.78ZM947.2 768H204.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8H896V396.8c0-7.07 5.728-12.8 12.8-12.8h38.4c7.072 0 12.8 5.73 12.8 12.8v358.4c0 7.07-5.728 12.8-12.8 12.8Z"/></svg>'
};
const Link = {
  name: "link",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M412.746 592.975c-66.156-75.417-63.255-190.282 8.703-262.24l181.06-181.06c74.98-74.98 196.55-74.98 271.526 0 74.983 74.981 74.983 196.549 0 271.53L747.328 547.911c-4.998 5-13.1 5-18.1 0l-27.154-27.152c-4.998-5-4.998-13.104 0-18.103L828.781 375.95c49.99-49.987 49.99-131.032 0-181.018-49.984-49.988-131.03-49.988-181.018 0l-181.012 181.01c-46.941 46.942-49.802 121.27-8.582 171.55 4.482 5.467 4.53 13.522-.47 18.52l-27.2 27.2c-4.998 5-13.091 5.077-17.753-.237Zm-263.07 280.497c-74.981-74.982-74.981-196.548 0-271.529l126.681-126.682c5-4.999 13.103-4.999 18.102 0l27.153 27.153c4.999 4.998 4.999 13.103 0 18.102l-126.68 126.68c-49.987 49.987-49.987 131.031 0 181.022 49.987 49.984 131.032 49.984 181.019 0L556.93 647.236c46.94-46.939 49.802-121.264 8.586-171.543-4.481-5.466-4.53-13.522.468-18.521l27.196-27.202c4.998-5 13.09-5.08 17.753.235 66.156 75.418 63.256 190.283-8.703 262.24L421.204 873.472c-74.98 74.982-196.548 74.982-271.529 0Z"/></svg>'
};
const List$1 = {
  name: "list",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M332.636 256h358.728c7.069 0 12.636-5.151 12.636-12.22V76.22c0-7.069-5.567-12.22-12.636-12.22H332.636C325.567 64 320 69.151 320 76.22v167.56c0 7.069 5.567 12.22 12.636 12.22Zm447.998-64H832v704H192V192h51.368c7.07 0 12.632-5.563 12.632-12.632v-38.736c0-7.07-5.634-12.632-12.703-12.632H140.703c-7.069 0-12.703 5.627-12.703 12.696v806.606c0 7.072 5.849 12.698 12.918 12.698h742.167c7.065 0 12.915-5.626 12.915-12.698V140.696c0-7.07-5.632-12.696-12.704-12.696H780.704c-7.072 0-12.704 5.563-12.704 12.632v38.736c0 7.07 5.562 12.632 12.634 12.632ZM384 192v-64h256v64H384ZM256 435.2v-38.4c0-7.07 5.73-12.8 12.8-12.8h486.4c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H268.8c-7.07 0-12.8-5.73-12.8-12.8Zm0 128v-38.4c0-7.07 5.73-12.8 12.8-12.8h486.4c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H268.8c-7.07 0-12.8-5.73-12.8-12.8Zm0 128v-38.4c0-7.07 5.73-12.8 12.8-12.8h294.4c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H268.8c-7.07 0-12.8-5.73-12.8-12.8Z"/></svg>'
};
const Loading3Quarters = {
  name: "loading-3-quarters",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M499.226 128C293.062 134.745 128 303.995 128 511.798c0 212.078 171.923 384 384 384 207.803 0 377.056-165.062 383.796-371.226.23-7.065-5.524-12.774-12.596-12.774h-38.4c-7.072 0-12.774 5.799-13.056 12.862C824.998 695.428 684.423 831.798 512 831.798c-176.73 0-320-143.269-320-320 0-172.423 136.37-312.996 307.138-319.746 7.064-.28 12.862-5.984 12.862-13.054v-38.4c0-7.069-5.709-12.822-12.774-12.598"/></svg>'
};
const LoadingSplit = {
  name: "loading-split",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M492.8 64h38.4Q544 64 544 76.8v166.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V76.8Q480 64 492.8 64Zm226.572 50.43 33.256 19.2q11.085 6.4 4.685 17.485l-83.2 144.106q-6.4 11.085-17.485 4.685l-33.256-19.2q-11.085-6.4-4.685-17.485l83.2-144.106q6.4-11.085 17.485-4.685ZM890.37 271.372l19.2 33.256q6.4 11.085-4.685 17.485l-144.106 83.2q-11.085 6.4-17.485-4.685l-19.2-33.256q-6.4-11.085 4.685-17.485l144.106-83.2q11.085-6.4 17.485 4.685ZM960 492.8v38.4q0 12.8-12.8 12.8H780.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8h166.4q12.8 0 12.8 12.8Zm-50.43 226.572-19.2 33.256q-6.4 11.085-17.485 4.685l-144.106-83.2q-11.085-6.4-4.685-17.485l19.2-33.256q6.4-11.085 17.485-4.685l144.106 83.2q11.085 6.4 4.685 17.485ZM752.628 890.37l-33.256 19.2q-11.085 6.4-17.485-4.685l-83.2-144.106q-6.4-11.085 4.685-17.485l33.256-19.2q11.085-6.4 17.485 4.685l83.2 144.106q6.4 11.085-4.685 17.485ZM531.2 960h-38.4q-12.8 0-12.8-12.8V780.8q0-12.8 12.8-12.8h38.4q12.8 0 12.8 12.8v166.4q0 12.8-12.8 12.8Zm-226.572-50.43-33.256-19.2q-11.085-6.4-4.685-17.485l83.2-144.106q6.4-11.085 17.485-4.685l33.256 19.2q11.085 6.4 4.685 17.485l-83.2 144.106q-6.4 11.085-17.485 4.685ZM133.63 752.628l-19.2-33.256q-6.4-11.085 4.685-17.485l144.106-83.2q11.085-6.4 17.485 4.685l19.2 33.256q6.4 11.085-4.685 17.485l-144.106 83.2q-11.085 6.4-17.485-4.685ZM64 531.2v-38.4Q64 480 76.8 480h166.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H76.8Q64 544 64 531.2Zm50.43-226.572 19.2-33.256q6.4-11.085 17.485-4.685l144.106 83.2q11.085 6.4 4.685 17.485l-19.2 33.256q-6.4 11.085-17.485 4.685l-144.106-83.2q-11.085-6.4-4.685-17.485ZM271.372 133.63l33.256-19.2q11.085-6.4 17.485 4.685l83.2 144.106q6.4 11.085-4.685 17.485l-33.256 19.2q-11.085 6.4-17.485-4.685l-83.2-144.106q-6.4-11.085 4.685-17.485Z"/></svg>'
};
const Loading$1 = {
  name: "loading",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="m527.424 64.32 3.712.064a448 448 0 0 1 430.912 432.32v2.368a12.8 12.8 0 0 1-12.8 13.056h-38.336a12.8 12.8 0 0 1-12.8-13.632A384 384 0 0 0 528.64 128.384h-1.792a12.8 12.8 0 0 1-12.608-12.8V77.12a12.8 12.8 0 0 1 13.12-12.8z"/></svg>'
};
const Location = {
  name: "location",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64a384 384 0 0 1 286.208 640l-277.76 248.512a12.8 12.8 0 0 1-16.896 0L225.792 704A384 384 0 0 1 512 64zm0 64a320 320 0 0 0-249.344 520.576l10.816 12.736 12.736 14.272L511.872 874.56l200.576-177.088c4.992-4.032 9.792-8.192 15.104-12.992l8.384-7.808 4.032-3.648 10.56-11.712a318.336 318.336 0 0 0 81.024-196.288L832 448a320 320 0 0 0-320-320z"/><path d="M512 256a128 128 0 1 1 0 256 128 128 0 0 1 0-256zm0 64a64 64 0 1 0 0 128 64 64 0 0 0 0-128z"/></svg>'
};
const Lock = {
  name: "lock",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M512 64c141.385 0 256 98.241 256 219.428V384h115.2c7.072 0 12.8 5.73 12.8 12.8v550.4c0 7.072-5.728 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.728-12.8-12.8V396.8c0-7.07 5.73-12.8 12.8-12.8H256V283.428C256 162.241 370.615 64 512 64Zm320 384H192v448h640V448ZM512 128c-101.229 0-184.16 62.672-191.476 142.16l-.198 2.415L320 281.6V384h384V281.6c0-80.983-78.34-147.329-177.701-153.18l-3.018-.16L512 128Z"/><path d="M640 582.4v51.2c0 3.535-5.73 6.4-12.8 6.4H396.8c-7.07 0-12.8-2.865-12.8-6.4v-51.2c0-3.535 5.73-6.4 12.8-6.4h230.4c7.07 0 12.8 2.865 12.8 6.4Z"/></g></svg>'
};
const Login = {
  name: "login",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M512 960c247.424 0 448-200.576 448-448 0-247.423-200.576-448-448-448-166.228 0-318.179 91.962-395.628 237.798C111.964 310.1 118.067 320 127.467 320h44.59c4.572 0 8.749-2.39 11.11-6.305C252.56 198.606 377.254 128 512 128c212.077 0 384 171.923 384 384S724.077 896 512 896c-134.746 0-259.44-70.605-328.833-185.696-2.361-3.917-6.538-6.304-11.11-6.304h-44.59c-9.4 0-15.503 9.9-11.095 18.202C193.822 868.038 345.772 960 512 960Zm-44.419-298.74 220.733-137.213c8.056-5.008 8.056-16.305 0-21.313L467.58 365.522c-8.526-5.3-19.514 1.09-19.514 11.13V480H76.8c-7.07 0-12.8 5.73-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8h371.267v106.13c0 10.039 10.988 16.43 19.514 11.13Z"/></svg>'
};
const Logout = {
  name: "logout",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M511.922 960c247.425 0 448.001-200.576 448.001-448 0-247.423-200.576-448-448.001-448-166.228 0-318.179 91.962-395.628 237.798C111.886 310.1 117.99 320 127.39 320h44.59c4.572 0 8.749-2.39 11.11-6.305C252.483 198.606 377.176 128 511.922 128 724 128 895.923 299.923 895.923 512S724 896 511.922 896c-134.746 0-259.44-70.605-328.833-185.696-2.361-3.917-6.538-6.304-11.11-6.304h-44.59c-9.4 0-15.503 9.9-11.095 18.202C193.744 868.038 345.694 960 511.922 960ZM290.388 365.548 70.042 502.52c-8.056 5.008-8.056 16.733 0 21.742l220.346 136.971c8.526 5.3 19.558-.831 19.558-10.87V544h381.176c7.069 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.731-12.8-12.8-12.8H309.946V376.42c0-10.04-11.032-16.172-19.558-10.872Z"/></svg>'
};
const Loose = {
  name: "loose",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M896 140.8v294.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V140.8c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zM819.2 192H204.8a12.8 12.8 0 0 0-12.8 12.8v166.4c0 7.04 5.76 12.8 12.8 12.8h614.4a12.8 12.8 0 0 0 12.8-12.8V204.8a12.8 12.8 0 0 0-12.8-12.8zM896 524.8v294.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V524.8c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zM819.2 576H204.8a12.8 12.8 0 0 0-12.8 12.8v166.4c0 7.04 5.76 12.8 12.8 12.8h614.4a12.8 12.8 0 0 0 12.8-12.8V588.8a12.8 12.8 0 0 0-12.8-12.8z"/></svg>'
};
const Mail = {
  name: "mail",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M76.8 832h870.4c7.072 0 12.8-5.73 12.8-12.8V204.8c0-7.07-5.728-12.8-12.8-12.8H76.8c-7.07 0-12.8 5.73-12.8 12.8v614.4c0 7.07 5.73 12.8 12.8 12.8Zm144.743-576h581.855l-291.4 152.898L221.544 256ZM128 279.085l363.14 191.163 6.71 2.862a44.804 44.804 0 0 0 34.975-2.835L896 279.69V768H128V279.085Z"/></svg>'
};
const MenuFold = {
  name: "menu-fold",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M888.32 768c4.224 0 7.68 3.2 7.68 7.104v49.792c.064 3.84-3.328 7.04-7.68 7.104H135.68c-4.352-.064-7.744-3.264-7.68-7.104v-49.792c0-3.904 3.456-7.104 7.68-7.104h752.64zM736 392.576c0-7.168 7.872-11.136 13.248-6.72l143.68 119.488a8.832 8.832 0 0 1 0 13.44l-143.68 119.424c-5.376 4.48-13.248.384-13.248-6.784zM631.68 576c4.608 0 8.32 3.2 8.32 7.104v49.792c.064 3.84-3.584 7.04-8.32 7.104H136.32c-4.736-.064-8.384-3.264-8.32-7.104V583.04c0-3.84 3.712-7.104 8.32-7.104h495.36zm0-192c4.608 0 8.32 3.2 8.32 7.104v49.792c.064 3.84-3.584 7.04-8.32 7.104H136.32c-4.736-.064-8.384-3.264-8.32-7.104V391.04c0-3.84 3.712-7.104 8.32-7.104h495.36zm256.64-192c4.224 0 7.68 3.2 7.68 7.104v49.792c.064 3.84-3.328 7.04-7.68 7.104H135.68c-4.352-.064-7.744-3.264-7.68-7.104V199.04c0-3.84 3.456-7.04 7.68-7.04h752.64z"/></svg>'
};
const MenuUnfold = {
  name: "menu-unfold",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M888.32 768c4.224 0 7.68 3.2 7.68 7.104v49.792c.064 3.84-3.328 7.04-7.68 7.104H135.68c-4.352-.064-7.744-3.264-7.68-7.104v-49.792c0-3.904 3.456-7.104 7.68-7.104h752.64zM896 392.576v238.848c0 7.168-7.872 11.264-13.248 6.784l-143.68-119.36a8.832 8.832 0 0 1 0-13.44l143.68-119.552c5.376-4.48 13.248-.448 13.248 6.72zM631.68 576c4.608 0 8.32 3.2 8.32 7.104v49.792c.064 3.84-3.584 7.04-8.32 7.104H136.32c-4.736-.064-8.384-3.264-8.32-7.104V583.04c0-3.84 3.712-7.104 8.32-7.104h495.36zm0-192c4.608 0 8.32 3.2 8.32 7.104v49.792c.064 3.84-3.584 7.04-8.32 7.104H136.32c-4.736-.064-8.384-3.264-8.32-7.104V391.04c0-3.84 3.712-7.104 8.32-7.104h495.36zm256.64-192c4.224 0 7.68 3.2 7.68 7.104v49.792c.064 3.84-3.328 7.04-7.68 7.104H135.68c-4.352-.064-7.744-3.264-7.68-7.104V199.04c0-3.84 3.456-7.04 7.68-7.04h752.64z"/></svg>'
};
const Menu$1 = {
  name: "menu",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M896 140.8v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zm0 128v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zm0 128v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zm0 128v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zm0 128v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zm0 128v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8z"/></svg>'
};
const MinusCircle = {
  name: "minus-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M512 64c247.424 0 448 200.577 448 448 0 247.424-200.576 448-448 448-247.423 0-448-200.576-448-448C64 264.577 264.577 64 512 64Zm0 64c-212.077 0-384 171.923-384 384s171.923 384 384 384 384-171.923 384-384-171.923-384-384-384Z"/><path d="M753.926 545.414H267.238c-7.069 0-12.656-5.563-12.656-12.632v-38.736c0-7.07 5.587-12.632 12.656-12.632h486.688c7.066 0 12.653 5.563 12.653 12.632v38.736c0 7.069-5.587 12.632-12.653 12.632Z"/></g></svg>'
};
const MinusSquare = {
  name: "minus-square",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M896 140.8v742.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V140.8c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zM832 192H192v640h640V192z"/><path d="M768.128 492.8v38.4a12.8 12.8 0 0 1-12.8 12.8H271.744a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h483.584c7.04 0 12.8 5.76 12.8 12.8z"/></svg>'
};
const Minus = {
  name: "minus",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M140.915 512h742.167c7.069 0 12.918-5.563 12.918-12.632v-38.736c0-7.07-5.849-12.632-12.918-12.632H140.915C133.85 448 128 453.563 128 460.632v38.736c0 7.07 5.85 12.632 12.915 12.632Z"/></svg>'
};
const Mirror = {
  name: "mirror",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M499.2 960h-38.4c-7.07 0-12.8-5.728-12.8-12.8V76.8c0-7.07 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.73 12.8 12.8v870.4c0 7.072-5.73 12.8-12.8 12.8ZM374.305 827.411l-294.4 73.6C71.824 903.027 64 896.921 64 888.59V135.41c0-8.327 7.826-14.437 15.904-12.417l294.4 73.6A12.8 12.8 0 0 1 384 209.009v605.98a12.806 12.806 0 0 1-9.695 12.422Zm211.39 0 294.401 73.6c8.077 2.016 15.904-4.09 15.904-12.422v-753.18c0-8.327-7.827-14.437-15.904-12.417l-294.4 73.6A12.8 12.8 0 0 0 576 209.009v605.98a12.806 12.806 0 0 0 9.695 12.422Zm-265.758-52.435V248.961l-192-48v622.015l192-48Zm320.126 0V248.961l192.001-48v622.015l-192.001-48Z"/></svg>'
};
const Mobile = {
  name: "mobile",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M192 947.2c0 7.072 5.73 12.8 12.8 12.8h614.4c7.07 0 12.8-5.728 12.8-12.8V76.8c0-7.07-5.73-12.8-12.8-12.8H204.8c-7.07 0-12.8 5.73-12.8 12.8v870.4Zm64-51.2V128h512v768H256Zm256-64c35.346 0 64-28.653 64-64s-28.654-64-64-64c-35.346 0-64 28.653-64 64s28.654 64 64 64Z"/></svg>'
};
const Monitor = {
  name: "monitor",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M448 96c212.077 0 384 171.923 384 384 0 82.976-26.88 163.72-76.608 230.142l154.182 154.184c4.999 4.999 4.999 13.101 0 18.1L882.42 909.58c-4.998 4.998-13.1 4.998-18.099 0L712.82 758.08A384.012 384.012 0 0 1 448 864C235.923 864 64 692.077 64 480S235.923 96 448 96Zm0 64c-176.73 0-320 143.27-320 320s143.27 320 320 320 320-143.27 320-320-143.27-320-320-320Z"/><path d="M470.628 547.885 343.914 421.172c-4.998-4.999-4.998-13.104 0-18.102l162.918-162.918c4.998-4.998 13.103-4.998 18.102 0l27.152 27.154c5 4.998 5 13.103 0 18.101L425.373 412.121l126.713 126.714c5 4.998 5 13.103 0 18.101L389.17 719.853c-4.999 5-13.103 5-18.101 0l-27.154-27.152c-4.998-4.999-4.998-13.104 0-18.102l126.714-126.714Z"/></g></svg>'
};
const More = {
  name: "more",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M890.24 768c3.168 0 5.761 3.186 5.761 7.111v49.778c.05 3.843-2.523 7.018-5.761 7.111H325.76c-3.241-.093-5.813-3.268-5.761-7.111v-49.778c0-3.925 2.594-7.111 5.762-7.111H890.24Zm-640 0c3.168 0 5.76 3.186 5.76 7.111v49.778c.051 3.843-2.522 7.018-5.76 7.111H133.76c-3.241-.093-5.813-3.268-5.761-7.111v-49.778c0-3.925 2.594-7.111 5.762-7.111H250.24Zm640-256c3.168 0 5.761 3.186 5.761 7.111v49.778c.05 3.843-2.523 7.018-5.761 7.111H325.76c-3.241-.093-5.813-3.268-5.761-7.111v-49.778c0-3.925 2.594-7.111 5.762-7.111H890.24Zm-640 0c3.168 0 5.76 3.186 5.76 7.111v49.778c.051 3.843-2.522 7.018-5.76 7.111H133.76c-3.241-.093-5.813-3.268-5.761-7.111v-49.778c0-3.925 2.594-7.111 5.762-7.111H250.24Zm640-256c3.168 0 5.761 3.186 5.761 7.111v49.778c.05 3.843-2.523 7.018-5.761 7.111H325.76c-3.241-.093-5.813-3.268-5.761-7.111V263.11c0-3.925 2.594-7.111 5.762-7.111H890.24Zm-640 0c3.168 0 5.76 3.186 5.76 7.111v49.778c.051 3.843-2.522 7.018-5.76 7.111H133.76c-3.241-.093-5.813-3.268-5.761-7.111V263.11c0-3.925 2.594-7.111 5.762-7.111H250.24Z"/></svg>'
};
const MoveFile = {
  name: "move-file",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M384 672a288 288 0 1 1 576 0 288 288 0 0 1-576 0zm64 0a224 224 0 1 0 448 0 224 224 0 0 0-448 0z"/><path d="M576 704v-64h243.2c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H576z"/><path d="M650.176 785.92 545.28 680.96a12.8 12.8 0 0 1 0-18.048L650.24 558.08a12.8 12.8 0 0 1 21.824 9.088v209.664a12.8 12.8 0 0 1-21.824 9.088zM268.8 448h102.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H268.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 128h38.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 128h38.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Z"/><path d="M703.488 64 896 256.384v127.552h-64V320H652.8a12.8 12.8 0 0 1-12.352-9.408L640 307.2V123.52l-448 4.16V896h192v64H140.8a12.8 12.8 0 0 1-12.352-9.408L128 947.2V76.8l.448-3.456a12.8 12.8 0 0 1 8.96-8.96L140.8 64h562.688zm.256 90.688L704 256l101.184.192-101.44-101.44z"/></svg>'
};
const MoveFilez = {
  name: "move-filez",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="m140.8 64.001 557.415.056A12.8 12.8 0 0 1 707 67.551l.26.253 184.987 184.875a12.829 12.829 0 0 1 3.752 8.69v109.885c0 6.967-5.566 12.634-12.493 12.797l-.307.003h-38.4c-6.967 0-12.634-5.565-12.796-12.493l-.004-.307v-51.26H652.801c-6.967 0-12.633-5.566-12.796-12.493l-.004-.307V123.578l-448 4.16v768.32H371.2c6.967 0 12.634 5.565 12.796 12.493l.004.307v38.4c0 6.966-5.566 12.633-12.493 12.8H140.8c-6.967 0-12.634-5.566-12.8-12.494V76.8l.456-3.404c1.464-5.319 6.274-9.25 12.024-9.395h.32Zm562.943 90.77L704 255.994l101.254.23-101.51-101.453Z"/><path d="M672 384.054c159.06 0 288 128.942 288 288 0 159.056-128.94 288.004-288 288.004-159.058 0-288-128.948-288-288.004 0-159.058 128.942-288 288-288Zm0 64c-123.712 0-224 100.289-224 224 0 123.716 100.288 224.004 224 224.004S896 795.77 896 672.054c0-123.711-100.288-224-224-224ZM256 499.254v-38.4c0-7.068 5.73-12.8 12.8-12.8h102.4c7.07 0 12.8 5.732 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H268.8c-7.07 0-12.8-5.73-12.8-12.8Z"/><path d="m521.051 658.175 140.29-140.29c4-4 9.986-4.8 14.78-2.4l3.322 2.4 27.153 27.152c4.998 5 4.998 13.104 0 18.102l-76.915 76.915H819.2c7.07 0 12.8 5.731 12.8 12.8v38.404c0 7.069-5.73 12.8-12.8 12.8H639.34l67.256 67.256c4.998 4.999 4.998 13.103 0 18.102l-27.153 27.152c-3.999 4-9.985 4.799-14.78 2.4l-3.322-2.4-140.29-140.291c-4.999-5-4.999-13.104 0-18.102ZM256 627.254v-38.4c0-7.068 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.732 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8ZM256 755.258v-38.4c0-7.072 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.065-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.735-12.8-12.8Z"/></g></svg>'
};
const MoveGroup = {
  name: "move-group",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M672 384c159.06 0 288 128.942 288 288 0 159.06-128.94 288-288 288-159.058 0-288-128.94-288-288 0-159.058 128.942-288 288-288Zm0 64c-123.712 0-224 100.288-224 224s100.288 224 224 224 224-100.288 224-224-100.288-224-224-224Z"/><path d="M423.953 64a12.8 12.8 0 0 1 8.79 3.496l.261.253L557.255 192h326.047c6.97 0 12.535 5.663 12.698 12.593V307.2c0 6.967-5.563 12.634-12.493 12.796l-.307.004h-38.4c-6.97 0-12.634-5.566-12.796-12.493L832 307.2V256H128v512h179.2c6.967 0 12.634 5.563 12.796 12.493l.004.307v38.4c0 6.97-5.566 12.634-12.493 12.8H76.697c-6.968 0-12.534-5.663-12.697-12.596V76.8c0-6.967 5.566-12.634 12.493-12.8h347.46Zm-21.201 64H128v64h338.752l-64-64Z"/><path d="M659.183 522.538c4.92-4.918 12.85-4.763 17.866.008l.24.234 140.049 140.046c4.917 4.919 4.997 13.078.238 18.101l-.238.245-140.05 140.044c-4.919 4.92-12.85 5.233-17.865.477l-.24-.234-27.394-27.392c-4.918-4.924-4.993-12.623-.232-17.63l.238-.245 72.2-72.192H524.736c-6.965 0-12.57-5.4-12.733-12.321l-.004-.311v-38.736c0-6.965 5.502-12.468 12.426-12.628l.311-.004H704l-72.204-72.205c-4.92-4.918-5.004-12.618-.244-17.626l.238-.244 27.394-27.387Z"/></g></svg>'
};
const MoveList = {
  name: "move-list",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M629.668 64c7.07 0 12.8 5.73 12.8 12.8v166.47c0 7.07-5.73 12.8-12.8 12.8H396.8c-7.07 0-12.8-5.73-12.8-12.8V76.8c0-7.07 5.73-12.8 12.8-12.8h232.868Zm-51.236 63.945H448v64.065h130.432v-64.065ZM140.8 64.07h166.4c7.07 0 12.8 5.731 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H192v768h179.2c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.072-5.73 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.728-12.8-12.8V76.87c0-7.069 5.73-12.8 12.8-12.8ZM883.2 320.07h-38.4c-7.072 0-12.8-5.73-12.8-12.8v-179.2H716.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.069 5.73-12.8 12.8-12.8h166.4c7.072 0 12.8 5.731 12.8 12.8v230.4c0 7.07-5.728 12.8-12.8 12.8ZM672 384.07c159.06 0 288 128.942 288 288 0 159.06-128.94 288-288 288-159.058 0-288-128.94-288-288 0-159.058 128.942-288 288-288Zm0 64c-123.712 0-224 100.288-224 224s100.288 224 224 224 224-100.288 224-224-100.288-224-224-224Z"/><path d="m520.362 681.123 140.29 140.291c4.999 4.999 13.104 4.999 18.102 0l27.153-27.155c4.999-4.998 4.999-13.1 0-18.099l-72.087-72.09H819.2c7.072 0 12.8-5.73 12.8-12.8v-38.4c0-7.069-5.728-12.8-12.8-12.8H633.822l72.085-72.085c4.999-4.998 4.999-13.102 0-18.101l-27.153-27.153c-4.998-5-13.103-5-18.102 0l-140.29 140.29c-4.999 4.998-4.999 13.103 0 18.102Z"/></g></svg>'
};
const Move = {
  name: "move",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="m309.325 255.809 27.15 27.15c5 5 13.107 4.998 18.105-.003l94.112-94.17-.237 261.9-261.782 1.859 96.923-96.868c5.001-4.999 5.002-13.105.003-18.105l-27.15-27.15c-5-4.999-13.104-4.999-18.103 0L75.43 473.34c-4.999 4.998-4.999 13.102 0 18.101l162.917 162.917c5 5 13.104 5 18.103 0l27.155-27.155c4.998-4.998 4.999-13.1.002-18.099l-92.534-92.59 257.325-1.829-.233 257.718-93.584-93.52c-4.999-4.996-13.101-4.994-18.099.003l-27.156 27.156c-4.998 4.998-4.998 13.1 0 18.105L472.243 887.06c4.999 4.999 13.103 4.999 18.102 0l162.917-162.912c5-5.005 5-13.107 0-18.105l-27.156-27.156c-4.997-4.997-13.1-4.998-18.098-.002l-96.482 96.418.235-261.066 262.972-1.868-96.705 95.623c-5.026 4.97-5.072 13.074-.103 18.101l26.998 27.309c4.97 5.027 13.074 5.074 18.104.104l163.93-162.06c5.043-4.99 5.069-13.135.051-18.154L723.104 309.387c-4.998-5-13.105-5-18.103 0l-27.15 27.15c-5 5-4.999 13.107.003 18.104l93.813 93.749-259.847 1.846.237-263.282 95.95 96.002c4.998 5.001 13.105 5.002 18.105.003l27.15-27.15c5-5 5-13.104 0-18.103L490.345 74.79c-5-4.999-13.103-4.999-18.102 0L309.325 237.706c-4.998 5-4.998 13.104 0 18.103Z"/></svg>'
};
const Network = {
  name: "network",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M512.192 64.098a447.92 447.92 0 0 1 108.855 13.426 447.914 447.914 0 0 1 82.69 29.587l9.88 4.822 9.76 5.064A447.84 447.84 0 0 1 796.4 165.79a447.409 447.409 0 0 1 32.576 29.525 447.733 447.733 0 0 1 43.052 49.91 447.973 447.973 0 0 1 12.662 17.978l11.764 18.578a447.884 447.884 0 0 1 44.447 100.27 447.914 447.914 0 0 1 18.751 108.066 447.919 447.919 0 0 1-8.069 109.382 447.88 447.88 0 0 1-25.493 84.042 447.922 447.922 0 0 1-29.636 58.875l-11.764 18.579a446.428 446.428 0 0 1-12.662 17.977A450.49 450.49 0 0 1 858.5 796.31a447.982 447.982 0 0 1-29.524 32.57 446.99 446.99 0 0 1-32.576 29.53 449.986 449.986 0 0 1-17.335 13.529 452.296 452.296 0 0 1-17.978 12.659 444.67 444.67 0 0 1-18.577 11.763l-9.5 5.535-9.632 5.3a440.259 440.259 0 0 1-19.641 9.888A448.719 448.719 0 0 1 683.634 926a451.431 451.431 0 0 1-20.516 7.91 448.494 448.494 0 0 1-20.879 6.9 444.284 444.284 0 0 1-21.192 5.862 444.297 444.297 0 0 1-21.455 4.819 448.468 448.468 0 0 1-21.665 3.757 451.721 451.721 0 0 1-21.824 2.694 453.89 453.89 0 0 1-21.93 1.62 449.611 449.611 0 0 1-43.963 0 453.89 453.89 0 0 1-21.93-1.62 451.721 451.721 0 0 1-21.823-2.694 448.468 448.468 0 0 1-21.666-3.757 444.297 444.297 0 0 1-21.454-4.82 444.284 444.284 0 0 1-21.193-5.862 448.494 448.494 0 0 1-20.879-6.899A451.431 451.431 0 0 1 340.75 926a448.479 448.479 0 0 1-20.103-8.916l-9.88-4.82-9.763-5.068a451.08 451.08 0 0 1-19.13-10.835 445.016 445.016 0 0 1-18.578-11.763 450.72 450.72 0 0 1-17.978-12.66 447.563 447.563 0 0 1-33.984-27.891 445.11 445.11 0 0 1-15.923-15.167 445.11 445.11 0 0 1-15.168-15.924 447.563 447.563 0 0 1-27.891-33.984 450.722 450.722 0 0 1-12.66-17.977 445.016 445.016 0 0 1-11.763-18.58 451.08 451.08 0 0 1-10.835-19.129 441.948 441.948 0 0 1-9.888-19.643 448.48 448.48 0 0 1-8.915-20.102 451.431 451.431 0 0 1-7.91-20.515 448.495 448.495 0 0 1-6.9-20.88 444.284 444.284 0 0 1-5.862-21.192 444.297 444.297 0 0 1-4.82-21.455 448.469 448.469 0 0 1-3.756-21.665 451.722 451.722 0 0 1-2.695-21.824 453.891 453.891 0 0 1-1.619-21.93 449.611 449.611 0 0 1 0-43.963c.363-7.324.903-14.633 1.62-21.93.72-7.296 1.619-14.57 2.694-21.823a448.469 448.469 0 0 1 3.757-21.666 444.297 444.297 0 0 1 4.819-21.454 444.285 444.285 0 0 1 5.862-21.193 448.495 448.495 0 0 1 6.9-20.879 451.431 451.431 0 0 1 7.91-20.515 448.72 448.72 0 0 1 8.915-20.103 440.26 440.26 0 0 1 9.888-19.641 449.584 449.584 0 0 1 10.835-19.132 444.671 444.671 0 0 1 11.763-18.578 452.297 452.297 0 0 1 12.66-17.978 449.988 449.988 0 0 1 13.53-17.334 446.991 446.991 0 0 1 29.529-32.576 448.391 448.391 0 0 1 32.57-29.525 450.49 450.49 0 0 1 17.337-13.528 446.429 446.429 0 0 1 36.557-24.426l9.5-5.536 9.63-5.302a447.922 447.922 0 0 1 145.452-48.05 447.94 447.94 0 0 1 65.735-4.85Zm-71.518 762.058a587.133 587.133 0 0 1-72.69 23.585l-26.91 6.122 6.937 3.364a384.445 384.445 0 0 0 17.23 7.642 391.306 391.306 0 0 0 17.585 6.784 382.06 382.06 0 0 0 17.896 5.907 382.308 382.308 0 0 0 36.555 9.159 390.473 390.473 0 0 0 18.57 3.225 382.65 382.65 0 0 0 18.706 2.304c6.254.615 12.52 1.078 18.796 1.389a385.413 385.413 0 0 0 37.685 0 389.844 389.844 0 0 0 18.796-1.389 382.52 382.52 0 0 0 18.706-2.304 390.473 390.473 0 0 0 18.57-3.225 381.596 381.596 0 0 0 36.555-9.159l8.985-2.843 11.77-4.171-2.063-.803a589.254 589.254 0 0 1-74.409-35.904c-27.458 20.912-65.294 26.242-98.738 10.647-11.004-5.132-20.579-12.084-28.532-20.33Zm342.308-307.599a95.314 95.314 0 0 1-30.295 13.25c-35.62 75.77-87.331 143.51-151.659 197.987a95.26 95.26 0 0 1 2.055 52.35 506.242 506.242 0 0 0 30.715 16.016l24.097 10.72 63.255 25.384 4.38-2.883a380.238 380.238 0 0 0 15.41-10.854c5.048-3.742 10-7.606 14.859-11.59a386.735 386.735 0 0 0 14.271-12.314 381.378 381.378 0 0 0 13.65-12.999l6.583-6.742 6.414-6.903a387.188 387.188 0 0 0 12.31-14.272 385.989 385.989 0 0 0 11.597-14.86l5.52-7.639 5.332-7.773a383.949 383.949 0 0 0 19.373-32.321l4.34-8.365 4.135-8.47a384.382 384.382 0 0 0 7.638-17.23l6.782-17.585 2.352-6.934-44.403-61.265a522.277 522.277 0 0 0-48.711-54.708ZM237.695 403.983c-36.473 13.64-71.969 31.642-105.739 54.098l-1.915 16.378a389.845 389.845 0 0 0-1.389 18.797 385.413 385.413 0 0 0 0 37.684 389.72 389.72 0 0 0 1.39 18.796l2.303 18.706a390.475 390.475 0 0 0 3.226 18.57 381.596 381.596 0 0 0 9.158 36.555 382.06 382.06 0 0 0 5.907 17.897l6.784 17.584 3.716 8.662 3.926 8.569a377.303 377.303 0 0 0 8.474 16.835 382.95 382.95 0 0 0 9.286 16.398l4.947 8.026 5.14 7.897a379.086 379.086 0 0 0 10.854 15.412 385.42 385.42 0 0 0 11.59 14.86l6.07 7.21 6.244 7.062a380.849 380.849 0 0 0 12.998 13.645 380.85 380.85 0 0 0 13.645 12.999l11.064 9.648 68.778-14.361 12.813-2.888a522.437 522.437 0 0 0 67.276-21.255c-1.233-12.99.246-26.34 4.663-39.261l4.144-10.185c-69.72-78.103-117.08-173.594-137.423-275.676l-7.348-2.964c-17.316-8.075-31.092-20.657-40.582-35.698Zm175.256-32.839c-1.358 7.517-3.744 14.912-7.097 22.103-11.273 24.173-31.33 41.447-54.597 49.792 19.016 84.858 59.252 164.191 117.085 229.954 25.05-12.058 54.964-13.129 82.007-.518a96.855 96.855 0 0 1 11.558 6.378c50.9-43.419 92.798-96.373 123.536-155.425-36.175-18.914-55.54-58.084-50.653-96.897l1.421-8.304-8.258-3.79c-67.826-29.494-141.238-44.221-215.002-43.293Zm394.99-104.053a580.406 580.406 0 0 1-6.782 106.97c22.435 24.656 30.873 60.02 20.59 92.947a587.59 587.59 0 0 1 59.037 65.13l13.5 18.176a389.196 389.196 0 0 0 1.443-19.374l.347-9.418.116-9.424a383.817 383.817 0 0 0-1.85-37.639l-2.306-18.706a383.544 383.544 0 0 0-7.352-36.96 383.802 383.802 0 0 0-10.94-36.061l-6.782-17.585-3.714-8.662-3.924-8.568a384.312 384.312 0 0 0-17.765-33.235l-4.943-8.023-5.14-7.9a384.066 384.066 0 0 0-10.852-15.41l-5.707-7.5-6.977-8.758Zm-518.993-67.533-5.505 4.108a385.989 385.989 0 0 0-14.86 11.596 388.397 388.397 0 0 0-14.273 12.31l-13.645 12.997-6.584 6.745-6.414 6.905a386.738 386.738 0 0 0-12.314 14.272 384.028 384.028 0 0 0-11.59 14.858l-5.523 7.638-5.332 7.772a389.12 389.12 0 0 0-10.086 15.923 383.517 383.517 0 0 0-9.286 16.4l-4.343 8.365-8.057 17.038-5.953 13.989a581.37 581.37 0 0 1 68.416-29.513c1.138-9.74 3.867-19.471 8.243-28.857 9.848-21.118 26.4-36.97 45.94-46.204a581.502 581.502 0 0 1 11.166-66.342Zm223.244-71.46a383.817 383.817 0 0 0-56.345 4.156 383.544 383.544 0 0 0-36.96 7.352 383.803 383.803 0 0 0-18.165 5.027l-8.984 2.846-8.912 3.066a384.21 384.21 0 0 0-14.656 5.584.572.572 0 0 0-.147.076l-.616 1.757c-11.727 33.652-19.789 67.754-24.385 101.853l7.832 2.346 8.565 3.509c19.56 9.12 34.601 23.992 44.052 41.662 91.85-2.524 183.46 16.613 266.827 56.037 19.655-15.65 45.05-23.125 70.394-20.3 5.409-46.17 4.574-93.85-3.144-141.907l-12.017-8.349a384.048 384.048 0 0 0-15.924-10.083l-16.399-9.29-16.835-8.474a384.382 384.382 0 0 0-34.816-14.42 383.128 383.128 0 0 0-36.061-10.94 383.667 383.667 0 0 0-36.96-7.352 384.113 384.113 0 0 0-56.344-4.156Z"/></svg>'
};
const Normal = {
  name: "normal",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M896 140.8v166.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V140.8c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zM819.2 192H204.8a12.8 12.8 0 0 0-12.8 12.8v38.4c0 7.04 5.76 12.8 12.8 12.8h614.4a12.8 12.8 0 0 0 12.8-12.8v-38.4a12.8 12.8 0 0 0-12.8-12.8zM896 396.8v166.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V396.8c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zM819.2 448H204.8a12.8 12.8 0 0 0-12.8 12.8v38.4c0 7.04 5.76 12.8 12.8 12.8h614.4a12.8 12.8 0 0 0 12.8-12.8v-38.4a12.8 12.8 0 0 0-12.8-12.8zM896 652.8v166.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V652.8c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zM819.2 704H204.8a12.8 12.8 0 0 0-12.8 12.8v38.4c0 7.04 5.76 12.8 12.8 12.8h614.4a12.8 12.8 0 0 0 12.8-12.8v-38.4a12.8 12.8 0 0 0-12.8-12.8z"/></svg>'
};
const Notification$1 = {
  name: "notification",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M593.536 64c7.04 0 12.8 5.76 12.8 12.8v131.072A288.128 288.128 0 0 1 799.872 480v178.752l151.424 151.424A12.8 12.8 0 0 1 942.272 832H668.8a159.808 159.808 0 0 1-313.216 0H80.32a12.8 12.8 0 0 1-8.896-22.016l152.448-147.136V480c0-124.8 79.36-231.04 190.4-271.04V76.8c0-7.04 5.76-12.8 12.8-12.8h166.4zm9.472 768H421.952a96 96 0 0 0 181.056 0zm-91.136-576a224 224 0 0 0-224 224v210.112L207.104 768h611.52l-82.752-82.752V480a224 224 0 0 0-224-224zm32.384-128h-64.128v65.728c6.016-.64 12.096-1.152 18.176-1.408l13.568-.32c10.624 0 21.12.576 31.424 1.664l.96-65.664z"/></svg>'
};
const PaperClip = {
  name: "paper-clip",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M812.373 178.802a228.693 228.693 0 0 1 7.851 315.164l-7.85 8.25-361.018 361.016a170.78 170.78 0 0 1-248.433-234.268l6.826-7.282 361.586-361.53a113.323 113.323 0 0 1 165.945 154l-5.746 6.143-313.23 313.23a11.378 11.378 0 0 1-16.043 0l-24.177-24.177a11.378 11.378 0 0 1 0-16.043l313.23-313.23a56.434 56.434 0 0 0-74.923-84.196l-4.892 4.437-361.53 361.53a113.892 113.892 0 0 0 154.852 166.911l6.258-5.802 361.017-361.017a171.804 171.804 0 0 0-235.634-249.856l-7.338 6.94-312.662 312.662a11.378 11.378 0 0 1-16.1 0l-24.12-24.121a11.378 11.378 0 0 1 0-16.1l312.661-312.661a228.693 228.693 0 0 1 323.413 0z"/></svg>'
};
const Paste = {
  name: "paste",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M319.95 755.2V76.8c0-7.07 5.73-12.8 12.8-12.8h550.399c7.072 0 12.8 5.73 12.8 12.8v678.4c0 7.072-5.728 12.8-12.8 12.8h-550.4c-7.069 0-12.8-5.728-12.8-12.8Zm64-627.2v576h447.999V128h-448ZM192 256v115.25c0 7.068-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.732-12.8-12.8V204.8c0-7.07 5.73-12.8 12.8-12.8h102.35c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H192Zm255.95 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8h294.4c7.068 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.732-12.8-12.8-12.8h-294.4c-7.07 0-12.8 5.73-12.8 12.8Zm0 192v38.4c0 7.07 5.73 12.8 12.8 12.8h294.4c7.068 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.732-12.8-12.8-12.8h-294.4c-7.07 0-12.8 5.73-12.8 12.8Zm-255.95.047v166.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8v-166.4c0-7.07 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.73 12.8 12.8ZM243.25 896H192V780.845c0-7.066-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.734-12.8 12.8V947.2c0 7.066 5.73 12.8 12.8 12.8h102.45c7.068 0 12.8-5.734 12.8-12.8v-38.4c0-7.072-5.732-12.8-12.8-12.8Zm396.748 32c-.027 0-.049-.02 0 0l-.049-51.2c0-7.072 5.731-12.8 12.8-12.8h38.4c7.07 0 12.8 5.728 12.8 12.8v70.4c0 7.072-5.73 12.8-12.8 12.8h-38.302c-7.07 0-12.8-5.728-12.8-12.8l-.049-19.2c.05.02.028 0 0 0Zm-63.947-19.2v38.4c0 7.072-5.731 12.8-12.8 12.8h-230.4c-7.07 0-12.8-5.728-12.8-12.8v-38.4c0-7.072 5.73-12.8 12.8-12.8h230.4c7.069 0 12.8 5.728 12.8 12.8Z"/></svg>'
};
const PauseCircle = {
  name: "pause-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64a448 448 0 1 1 0 896 448 448 0 0 1 0-896zm0 64a384 384 0 1 0 0 768 384 384 0 0 0 0-768z"/><path d="M396.8 256h38.4q12.8 0 12.8 12.8v486.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V268.8q0-12.8 12.8-12.8Zm192 0h38.4q12.8 0 12.8 12.8v486.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V268.8q0-12.8 12.8-12.8Z"/></svg>'
};
const Pause = {
  name: "pause",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M332.8 128h38.4q12.8 0 12.8 12.8v742.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V140.8q0-12.8 12.8-12.8Zm320 0h38.4q12.8 0 12.8 12.8v742.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V140.8q0-12.8 12.8-12.8Z"/></svg>'
};
const Phone = {
  name: "phone",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="m660.174 387.125-139.822-139.82c-4.999-5-4.999-13.104 0-18.102L681.805 67.749c4.996-4.996 13.095-5 18.095-.007l274.32 273.894a12.804 12.804 0 0 1 2.074 15.408l-6.982 12.22A1612.601 1612.601 0 0 1 377.42 964.698l-20.125 11.385a12.81 12.81 0 0 1-15.354-2.093L67.75 699.798c-4.999-4.998-4.999-13.103 0-18.101L230.665 518.78c5-4.999 13.105-4.998 18.103.001L388.852 658.9a1447.895 1447.895 0 0 0 271.322-271.774ZM359.43 900.91l14.106-8.333a1548.56 1548.56 0 0 0 523.635-526.759l4.02-6.795-85.185-85.184-125.12-124.672-89.024 89.024 143.136 143.247-33.932 44.497a1512.034 1512.034 0 0 1-251.678 258.898l-31.64 24.89-44.52 34.073-143.478-143.62-90.496 90.56L359.43 900.908Z"/></svg>'
};
const PieChart = {
  name: "pie-chart",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="m892.32 344.051-287.044 95.683c-10.007 3.336-19.864-6.006-16.527-16.012l97.86-293.498 10.846-32.527c2.312-6.933 9.495-10.596 16.241-7.787 11.405 4.602 28.211 11.6 38.157 16.731 77.005 39.738 138.835 104.76 174.521 184.087 2.906 6.457 6.836 16.64 9.856 24.716 2.586 6.702-.883 14.265-7.699 16.537l-36.211 12.07ZM480 960.098c229.754 0 416-186.252 416-416.002 0-48.558-8.32-95.173-23.648-138.518-2.278-6.431-9.44-9.592-15.917-7.449L512 512.096l115.482-343.885c2.173-6.472-.806-13.579-7.233-15.88-43.818-15.689-91.036-24.234-140.249-24.234-229.75 0-416 186.249-416 416 0 229.749 186.25 416.001 416 416.001Zm56.356-763.524 13.212 2.434-130.843 389.794c-3.356 10 6.142 19.538 16.156 16.226L825.28 475.872l2.336 12.477A354.887 354.887 0 0 1 832 544.096c0 194.402-157.596 352.002-352 352.002s-352-157.6-352-352.002c0-194.403 157.596-352 352-352l18.973.502a353.5 353.5 0 0 1 37.383 3.976Z"/></svg>'
};
const Pin = {
  name: "pin",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="m688.994 195.511.244.238 162.915 162.918c4.918 4.917 4.997 12.842.238 17.857l-.238.244-126.711 126.714 39.126 39.127a12.799 12.799 0 0 1 2.842 13.785l-.127.308-124.903 291.44c-3.528 8.233-14.17 10.366-20.599 4.22l-.217-.213-190.273-190.27-171.972 171.972c-4.919 4.918-12.843 4.997-17.858.238l-.245-.238-27.153-27.152c-4.918-4.918-4.997-12.842-.238-17.858l.238-.244 171.973-171.973-190.284-190.283c-6.331-6.331-4.36-17.006 3.73-20.693l.28-.123 291.44-124.904a12.801 12.801 0 0 1 13.855 2.482l.238.232 39.128 39.128 126.713-126.714c4.918-4.918 12.843-4.997 17.858-.238Zm-8.807 81.696L544.423 412.972l-59.871-59.87-190.07 81.458 318.862 318.863 81.459-190.07-59.871-59.871 135.764-135.764-90.509-90.51Z"/></svg>'
};
const PlayCircle = {
  name: "play-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M512 64c247.424 0 448 200.577 448 448 0 247.424-200.576 448-448 448-247.423 0-448-200.576-448-448C64 264.577 264.577 64 512 64Zm0 64c-212.077 0-384 171.923-384 384s171.923 384 384 384 384-171.923 384-384-171.923-384-384-384Z"/><path d="M361.92 275.844 737.893 500.94c8.276 4.954 8.25 17.247 0 22.243L361.92 750.803c-8.53 5.165-19.522-.454-19.522-10.425V286.399c0-9.943 10.99-15.663 19.522-10.555Zm44.493 101.164v272L632.27 512.24 406.413 377.008Z"/></g></svg>'
};
const Play = {
  name: "play",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M845.376 511.488a12.8 12.8 0 0 1-1.152 14.912l-3.072 2.688-621.44 379.648a12.8 12.8 0 0 1-19.008-7.488l-.448-3.456V142.72a12.8 12.8 0 0 1 15.616-12.48l3.84 1.536L841.088 507.2a12.8 12.8 0 0 1 4.288 4.288zM724.544 518.4l-454.4-274.56v552.128l454.4-277.568z"/></svg>'
};
const PlusCircle = {
  name: "plus-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M512 64c247.424 0 448 200.577 448 448 0 247.424-200.576 448-448 448-247.423 0-448-200.576-448-448C64 264.577 264.577 64 512 64Zm0 64c-212.077 0-384 171.923-384 384s171.923 384 384 384 384-171.923 384-384-171.923-384-384-384Z"/><path d="M544 755.437V544h211.52c7.072 0 12.589-5.563 12.589-12.632v-38.736c0-7.07-5.517-12.632-12.589-12.632H544V268.377c0-7.07-5.563-12.666-12.632-12.666h-38.736c-7.07 0-12.632 5.597-12.632 12.666V480H271.528c-7.07 0-12.587 5.563-12.587 12.632v38.736c0 7.07 5.518 12.632 12.587 12.632H480v211.437c0 7.065 5.563 12.665 12.632 12.665h38.736c7.07 0 12.632-5.6 12.632-12.665Z"/></g></svg>'
};
const PlusSquare = {
  name: "plus-square",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M896 140.8v742.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V140.8c0-7.04 5.76-12.8 12.8-12.8h742.4c7.04 0 12.8 5.76 12.8 12.8zM832 192H192v640h640V192z"/><path d="M531.2 255.68c7.04 0 12.8 5.76 12.8 12.8V480l211.328.064c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H544v211.328a12.8 12.8 0 0 1-12.8 12.8h-38.4a12.8 12.8 0 0 1-12.8-12.8V543.936L271.744 544a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8H480V268.416c0-7.04 5.76-12.8 12.8-12.8h38.4z"/></svg>'
};
const Plus = {
  name: "plus",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M492.8 896c-7.07 0-12.8-5.293-12.8-11.814V544H139.815C133.29 544 128 538.27 128 531.2v-38.4c0-7.07 5.29-12.8 11.815-12.8H480V139.815c0-6.525 5.73-11.815 12.8-11.815h38.4c7.07 0 12.8 5.29 12.8 11.815V480h340.186c6.521 0 11.814 5.73 11.814 12.8v38.4c0 7.07-5.293 12.8-11.814 12.8H544v340.186c0 6.521-5.73 11.814-12.8 11.814h-38.4Z"/></svg>'
};
const Poweroff = {
  name: "poweroff",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M960 512A448 448 0 1 1 384 82.56v67.2a384 384 0 1 0 256 0l.064-67.2A448.192 448.192 0 0 1 960 512z"/><path d="M492.8 64h38.4Q544 64 544 76.8v486.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V76.8Q480 64 492.8 64Z"/></svg>'
};
const Projection = {
  name: "projection",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M64 756.364V139.636C64 133.21 69.73 128 76.8 128h870.4c7.072 0 12.8 5.21 12.8 11.636v616.728c0 6.426-5.728 11.636-12.8 11.636H716.8c-7.072 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.728-12.8 12.8-12.8H896V192H128v512h179.2c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H76.8c-7.07 0-12.8-5.21-12.8-11.636Zm265.261 185.114a12.809 12.809 0 0 0-1.35 5.722c0 7.072 5.73 12.8 12.8 12.8h342.577c1.988 0 3.947-.46 5.725-1.35 6.323-3.162 8.886-10.848 5.724-17.172l-171.29-342.58a12.798 12.798 0 0 0-5.723-5.724c-6.323-3.161-14.012-.598-17.174 5.725l-171.289 342.58ZM423.488 896 512 719.04 600.448 896h-176.96Z"/></svg>'
};
const Qrcode = {
  name: "qrcode",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M140.8 512h358.4c7.07 0 12.8-5.73 12.8-12.8V140.8c0-7.07-5.73-12.8-12.8-12.8H140.8c-7.07 0-12.8 5.73-12.8 12.8v358.4c0 7.07 5.73 12.8 12.8 12.8ZM576 499.2c0 7.07 5.73 12.8 12.8 12.8h358.4c7.072 0 12.8-5.73 12.8-12.8V140.8c0-7.07-5.728-12.8-12.8-12.8H588.8c-7.07 0-12.8 5.73-12.8 12.8v358.4ZM192 448V192h256v256H192Zm448 0V192h256v256H640Zm-320-76.8v-38.4c0-7.07 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8Zm448-38.4v38.4c0 7.07 5.728 12.8 12.8 12.8h38.4c7.072 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.728-12.8-12.8-12.8h-38.4c-7.072 0-12.8 5.73-12.8 12.8ZM140.8 960h358.4c7.07 0 12.8-5.728 12.8-12.8V588.8c0-7.07-5.73-12.8-12.8-12.8H140.8c-7.07 0-12.8 5.73-12.8 12.8v358.4c0 7.072 5.73 12.8 12.8 12.8Zm486.4 0h-38.4c-7.07 0-12.8-5.728-12.8-12.8V588.8c0-7.07 5.73-12.8 12.8-12.8h165.364c7.072 0 12.804 5.734 12.8 12.806L766.907 704h128.639l.019-115.202c0-7.068 5.728-12.798 12.8-12.798h38.4c7.065 0 12.8 5.73 12.8 12.8v166.4c0 7.07-5.735 12.8-12.8 12.8h-231c-7.067 0-12.797-5.727-12.8-12.794L702.906 640h-62.912L640 947.2c0 7.072-5.73 12.8-12.8 12.8ZM192 896V640h256v256H192Zm128-76.8v-38.4c0-7.072 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.072-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.728-12.8-12.8ZM716.8 832c-7.07 0-12.8 5.728-12.8 12.8v102.4c0 7.072 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.728 12.8-12.8V844.8c0-7.072-5.73-12.8-12.8-12.8h-38.4Zm192 128c-7.072 0-12.8-5.728-12.8-12.8V844.8c0-7.072 5.728-12.8 12.8-12.8h38.4c7.072 0 12.8 5.728 12.8 12.8v102.4c0 7.072-5.728 12.8-12.8 12.8h-38.4Z"/></svg>'
};
const QuestionCircleFilled = {
  name: "question-circle-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64c247.424 0 448 200.576 448 448S759.424 960 512 960 64 759.424 64 512 264.576 64 512 64zm.853 656.939a48 48 0 1 0 0 96 48 48 0 0 0 0-96zM512 192a192.021 192.021 0 0 0-191.019 172.48 144.576 144.576 0 0 0-.469 6.72 12.8 12.8 0 0 0 12.8 12.8h38.57a12.8 12.8 0 0 0 12.758-11.819c.213-2.773.448-5.077.725-6.933A128.021 128.021 0 0 1 640 384a128 128 0 0 1-128 128h-32v115.2a12.8 12.8 0 0 0 12.8 12.8h38.4a12.8 12.8 0 0 0 12.8-12.8v-53.867A192 192 0 0 0 512 192z"/></svg>'
};
const QuestionCircle = {
  name: "question-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64a448 448 0 1 1 0 896 448 448 0 0 1 0-896zm0 64a384 384 0 1 0 0 768 384 384 0 0 0 0-768zm0 64a192 192 0 1 1 0 384v-64a128 128 0 1 0-128-128h-64a192 192 0 0 1 192-192zm-32 320h64v115.2a12.8 12.8 0 0 1-12.8 12.8h-38.4a12.8 12.8 0 0 1-12.8-12.8V512zm32.832 208.96q48 0 48 48t-48 48q-48 0-48-48t48-48Z"/></svg>'
};
const Question = {
  name: "question",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M229.567 416h39.498c6.843 0 12.442-5.45 12.626-12.29C288.07 285.713 385.77 192 505.359 192c123.712 0 224 100.288 224 224s-100.288 224-224 224h-19.5c-7.07 0-12.8 5.73-12.8 12.8v102.4c0 7.07 5.73 12.8 12.8 12.8h38.4c7.069 0 12.8-5.73 12.8-12.8v-52.925c144.143-15.78 256.3-137.93 256.3-286.275 0-159.058-128.942-288-288-288-154.969 0-281.35 122.398-287.746 275.795a97.31 97.31 0 0 0-.003.081c-.276 6.716 5.236 12.124 11.957 12.124Zm276.335 432.928c-26.51 0-48 21.491-48 48s21.49 48 48 48 48-21.491 48-48-21.49-48-48-48Z"/></svg>'
};
const RadarChart = {
  name: "radar-chart",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M518.153 66.739 953.414 409.04a12.794 12.794 0 0 1 4.436 13.434L814.566 947.078a12.809 12.809 0 0 1-12.345 9.428H219.876a12.802 12.802 0 0 1-12.349-9.434L64.452 422.453a12.8 12.8 0 0 1 4.416-13.413l433.44-342.285a12.8 12.8 0 0 1 15.845-.016ZM647.356 799.66H375.288L300.1 892.506h422.44l-75.184-92.845ZM146.572 480.453l102.005 373.985 78.91-97.446-62.355-228.637-118.56-47.902Zm728.948.392-118.451 47.857-62.243 227.88 78.806 97.319L875.52 480.845ZM515.235 636.503h-7.826l-80.28 99.139h168.385l-80.28-99.139Zm-175.593-78.044 37.455 137.27 74.522-92.028-111.977-45.242Zm342.807.39-111.323 44.978 74.041 91.433 37.282-136.41ZM542.224 393.927v139.9l10.614 8.363 117.524-47.482-128.138-100.78Zm-64 .802-126.273 99.678 116.483 47.062 9.79-7.747V394.728Zm64-227.584V312.51l196.534 154.562 122.125-49.342-318.659-250.587Zm-64 .105L161.412 417.423l122.312 49.417 194.5-153.596V167.25Z"/></svg>'
};
const Radar = {
  name: "radar",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M700.864 105.519A446.09 446.09 0 0 0 512.234 64C224.8 64 11.709 330.794 75.286 611.068c63.557 280.299 370.88 429.093 630.174 305.099 254.432-121.664 333.46-444.213 167.898-669.262-4.845-6.586-14.663-6.798-19.84-.469l-25.248 30.886c-3.693 4.517-3.834 10.965-.506 15.756 149.664 215.338 43.584 515.934-210.546 588.183-257.328 73.159-508.733-132.646-487.84-399.353 20.638-263.456 294.482-426.836 535.18-322.5 5.359 2.323 11.478.826 15.174-3.694l25.319-30.958c5.17-6.324 3.225-15.795-4.186-19.237Zm87.725 42.963 29.568 24.512c5.408 4.514 6.15 12.553 1.664 17.984L572.253 489.78a63.993 63.993 0 0 1 3.981 22.22c0 35.346-28.653 64-64 64-35.346 0-64-28.654-64-64 0-35.345 28.654-64 64-64 3.611 0 7.215.306 10.774.914L770.541 150.21c4.518-5.452 12.601-6.198 18.048-1.728ZM486.525 766.676C637.297 781.895 768.218 663.538 768.237 512c0-37.808-8.23-73.812-23.002-106.206-3.77-8.257-14.694-9.134-20.435-2.107l-28.305 34.625c-2.894 3.54-3.66 8.309-2.203 12.642 36.914 109.76-31.47 227.931-146.355 249.67-117.304 22.198-226.21-66.909-227.681-186.285C318.814 397.425 421.105 306.997 536 321.444c4.538.57 9.06-1.127 11.956-4.666l28.288-34.566c5.748-7.024 2.52-17.616-6.32-19.673-138.958-32.34-279.543 56.082-308.531 198.302-30.265 148.485 74.361 290.616 225.132 305.835Z"/></svg>'
};
const Redo = {
  name: "redo",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64a448 448 0 0 0-377.344 689.6L292.8 595.392l.64-.896A12.8 12.8 0 0 0 281.92 576H133.376a384 384 0 1 1 130.688 229.12l-45.376 45.44A448 448 0 1 0 512 64z"/></svg>'
};
const Reload = {
  name: "reload",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64a448 448 0 0 1 377.344 689.6L731.2 595.392l-.64-.896A12.8 12.8 0 0 1 742.08 576h148.608A384 384 0 1 0 760 805.12l45.376 45.44A448 448 0 1 1 512 64z"/></svg>'
};
const RightCircle = {
  name: "right-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M512 64c247.424 0 448 200.577 448 448 0 247.424-200.576 448-448 448-247.423 0-448-200.576-448-448C64 264.577 264.577 64 512 64Zm0 64c-212.077 0-384 171.923-384 384s171.923 384 384 384 384-171.923 384-384-171.923-384-384-384Z"/><path d="M608.264 511.923 383.841 287.567c-5-5-5.07-12.933-.07-17.932l27.39-27.39c4.999-4.999 13.105-4.76 18.104.238l260.348 260.349c4.999 4.998 5.181 13.16.183 18.16L425.343 785.44c-4.998 5.005-12.921 5.056-17.92.058l-27.39-27.386c-4.998-4.998-4.784-13.088.213-18.086l228.018-228.103Z"/></g></svg>'
};
const RightDouble = {
  name: "right-double",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M490.752 265.344a32 32 0 0 0 0 45.312L681.92 501.824a12.8 12.8 0 0 1 0 18.112L489.344 712.448a32 32 0 0 0 45.312 45.248l224.192-224.192a32 32 0 0 0 0-45.248L536 265.344a32 32 0 0 0-45.248 0zm-224 0a32 32 0 0 0 0 45.312L457.92 501.76a12.8 12.8 0 0 1 0 18.112L265.344 712.384a32 32 0 1 0 45.312 45.248L534.848 533.44a32 32 0 0 0 0-45.248L312 265.344a32 32 0 0 0-45.248 0z"/></svg>'
};
const RightFilled = {
  name: "right-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 0c282.784 0 512 229.216 512 512s-229.216 512-512 512S0 794.784 0 512 229.216 0 512 0zm-54.944 294.784a12.8 12.8 0 0 0-18.112 0l-27.136 27.136a12.8 12.8 0 0 0 0 18.112L583.776 512 411.808 683.968a12.8 12.8 0 0 0 0 18.112l27.136 27.136a12.8 12.8 0 0 0 18.112 0l208.16-208.16 1.632-2.016a12.8 12.8 0 0 0-1.6-16.096z"/></svg>'
};
const Right = {
  name: "right",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M710.763 521.104 457.104 774.763c-4.998 4.998-12.869 5.001-17.867.003l-27.39-27.39c-5-5-4.939-12.927.06-17.926l217.281-217.28-217.28-217.281c-5-4.999-5.06-12.927-.062-17.925l27.39-27.39c5-5 12.87-4.996 17.868.002l253.659 253.659c4.998 4.998 4.998 12.872 0 17.87Z"/></svg>'
};
const RingChart = {
  name: "ring-chart",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M831.552 525.863c-9.114-181.382-155.515-326.579-337.395-333.773l-1.61-.032C485.578 191.92 480 186.23 480 179.26V76.74c0-7.12 5.85-12.892 12.969-12.737 2.595.061 4.802.127 6.621.2 250.868 10.07 452.173 212.677 460.16 464.072l.047 2.532c.107 7.148-5.653 13.003-12.802 13.003H844.64c-7.008 0-12.678-5.715-12.89-12.719a267 267 0 0 0-.198-5.228ZM480 961.397c-229.75 0-416-186.253-416-416.002 0-187.971 125.681-350.633 303.114-400.496l2.71-.706c6.932-1.806 13.998 2.43 15.672 9.396l8.955 37.25c1.637 6.814-2.352 13.602-9.113 15.442-1.823.496-3.4.94-4.73 1.33C232.56 251.035 128 387.702 128 545.394c0 194.402 157.596 352.002 352 352.002 158.05 0 295.02-105.043 338.106-253.711l.646-2.415c1.792-6.728 8.634-10.787 15.398-9.136l37.447 9.138c6.918 1.688 11.168 8.678 9.299 15.545a227.127 227.127 0 0 1-.845 3.02C829.664 836.488 667.384 961.398 480 961.398Z"/></svg>'
};
const Robot = {
  name: "robot",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M320 179.2v-38.4c0-7.07 5.73-12.8 12.8-12.8h358.4c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H332.8c-7.07 0-12.8-5.73-12.8-12.8ZM819.2 256c6.97 0 12.634 5.566 12.796 12.493l.004.307V384h115.2c6.97 0 12.634 5.566 12.8 12.493V755.2c0 6.967-5.563 12.634-12.493 12.796l-.307.004H832v115.2c0 6.97-5.563 12.634-12.493 12.8H204.8c-6.967 0-12.634-5.563-12.796-12.493L192 883.2V768H76.8c-6.967 0-12.634-5.566-12.8-12.493V396.8c0-6.967 5.566-12.634 12.493-12.796L76.8 384H192V268.8c0-6.967 5.566-12.634 12.493-12.8H819.2ZM768 320H256v512h512V320ZM192 448h-64v256h64V448Zm704 0h-64v256h64V448Z"/><path d="M384 563.2V460.8c0-7.07 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.73 12.8 12.8v102.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8ZM576 563.2V460.8c0-7.07 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.73 12.8 12.8v102.4c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8Z"/></g></svg>'
};
const Rollback = {
  name: "rollback",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M53.056 320h224.96V95.296a12.8 12.8 0 0 0-21.824-9.088L44.032 298.112A12.8 12.8 0 0 0 53.056 320z"/><path d="M641.472 256a320.768 320.768 0 0 1 13.952 641.28l-13.952.256h-234.24a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h234.24a256.768 256.768 0 0 0 12.8-513.28l-12.8-.256H96v-64h545.472zm-384.64 564.16q48 0 48 48t-48 48q-48 0-48-48t48-48Z"/></svg>'
};
const RotateLeft = {
  name: "rotate-left",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M462.19 319.456h222.412c114.233 6.21 205.69 98.006 211.366 212.378v.074c.307 6.251 5.312 11.213 11.571 11.213h39.61c7.18 0 12.96-5.913 12.797-13.096l-.016-.461c-6.848-147.817-125.127-266.53-272.765-274.063V94.746c0-11.4-13.78-17.113-21.845-9.057L453.146 297.6c-8.071 8.062-2.363 21.857 9.045 21.857ZM76.8 959.872h678.4c7.072 0 12.8-5.734 12.8-12.8V396.671c0-7.07-5.728-12.8-12.8-12.8H76.8c-7.07 0-12.8 5.73-12.8 12.8v550.401c0 7.066 5.73 12.8 12.8 12.8Zm51.2-64V447.871h576v448.001H128Z"/></svg>'
};
const RotateRight = {
  name: "rotate-right",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M561.76 319.456H339.349c-114.231 6.21-205.69 98.006-211.365 212.378l-.004.074c-.306 6.251-5.308 11.213-11.567 11.213h-39.61c-7.185 0-12.962-5.913-12.8-13.096l.015-.461c6.85-147.817 125.13-266.53 272.767-274.063V94.746c0-11.4 13.78-17.113 21.846-9.057L570.805 297.6c8.07 8.062 2.362 21.857-9.045 21.857Zm385.443 640.416H268.805c-7.07 0-12.8-5.734-12.8-12.8V396.671c0-7.07 5.73-12.8 12.8-12.8h678.398c7.072 0 12.8 5.73 12.8 12.8v550.401c0 7.066-5.728 12.8-12.8 12.8Zm-51.2-64V447.871H320.005v448.001h575.998Z"/></svg>'
};
const Safety = {
  name: "safety",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M518.656 66.304H507.2L138.24 133.12a12.8 12.8 0 0 0-10.496 12.608V334.4c0 259.456 141.888 498.048 369.792 622.016l15.616 8.512 33.28-18.88a707.2 707.2 0 0 0 349.504-609.92V145.664a12.8 12.8 0 0 0-10.496-12.544L518.72 66.24zm-5.824 63.936 319.04 58.176v147.648l-.32 20.736a643.008 643.008 0 0 1-299.52 523.008L512.64 891.52l-2.176-1.28A644.032 644.032 0 0 1 191.68 334.4l-.064-145.92 321.216-58.24z"/><path d="m261.76 420.224 28.096-27.008a12.8 12.8 0 0 1 17.92.128l164.8 164.864a12.8 12.8 0 0 0 18.112 0l251.648-251.52a12.8 12.8 0 0 1 18.112 0l27.136 27.136a12.8 12.8 0 0 1 0 18.112L490.368 649.152a12.8 12.8 0 0 1-18.112 0L261.632 438.528a12.8 12.8 0 0 1 .128-18.304z"/></svg>'
};
const ScanSecurity = {
  name: "scan-security",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="m518.656 66.304 366.72 66.88a12.8 12.8 0 0 1 10.496 12.544v190.336c0 43.008-3.84 85.376-11.456 126.848a287.616 287.616 0 0 0-53.056-100.736l.192-5.376.32-20.736V188.416l-319.04-58.176-321.216 58.24V334.4c0 229.248 121.856 440.64 318.848 555.84l2.176 1.28 19.392-11.712c23.36-14.72 45.504-30.72 66.496-48.064A287.36 287.36 0 0 0 710.4 813.312a704.128 704.128 0 0 1-164.032 132.736l-33.28 18.88-15.616-8.512A708.032 708.032 0 0 1 127.68 334.4V145.728a12.8 12.8 0 0 1 10.496-12.608L507.2 66.304h11.456z"/><path d="M608 320a224 224 0 0 1 179.392 358.144l94.08 94.08a12.8 12.8 0 0 1 0 18.112l-27.136 27.136a12.8 12.8 0 0 1-18.112 0l-94.08-94.08A224 224 0 1 1 608 320zm0 64a160 160 0 1 0 0 320 160 160 0 0 0 0-320z"/></svg>'
};
const ScanVirus = {
  name: "scan-virus",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64a446.08 446.08 0 0 1 202.88 48.448l-41.664 50.944a384 384 0 1 0 148.544 121.6l41.6-50.88A448 448 0 1 1 512 64zm256 448a256 256 0 1 1-179.968-244.48l-44.992 54.976a192 192 0 1 0 148.544 121.536l44.992-55.04C756.608 425.536 768 467.52 768 512z"/><path d="M448 512a64 64 0 1 0 128 0 64 64 0 1 0-128 0Z"/><path d="m788.352 148.48 29.568 24.512a12.8 12.8 0 0 1 1.664 17.984L536.64 532.48l-49.28-40.832 282.944-341.44a12.8 12.8 0 0 1 18.048-1.664z"/></svg>'
};
const Scan = {
  name: "scan",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M64 76.8v294.4c0 7.07 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.73 12.8-12.8V128h704v243.2c0 7.07 5.728 12.8 12.8 12.8h38.4c7.072 0 12.8-5.73 12.8-12.8V76.8c0-7.07-5.728-12.8-12.8-12.8H76.8C69.73 64 64 69.73 64 76.8Zm0 384v38.4c0 7.07 5.73 12.8 12.8 12.8h806.4c7.072 0 12.8-5.73 12.8-12.8v-38.4c0-7.07-5.728-12.8-12.8-12.8H76.8c-7.07 0-12.8 5.73-12.8 12.8ZM883.2 896H76.8c-7.07 0-12.8-5.728-12.8-12.8V588.8c0-7.07 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.73 12.8 12.8V832h704V588.8c0-7.07 5.728-12.8 12.8-12.8h38.4c7.072 0 12.8 5.73 12.8 12.8v294.4c0 7.072-5.728 12.8-12.8 12.8Z"/></svg>'
};
const Search = {
  name: "search",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M448 96c212.077 0 384 171.923 384 384 0 86.337-28.493 166.019-76.588 230.155l154.027 154.163c4.991 5.003 4.99 13.104-.004 18.106l-27.011 27.011c-5.002 4.993-13.103 4.995-18.106.004L712.82 758.076C643.925 823.709 550.668 864 448 864 235.923 864 64 692.077 64 480S235.923 96 448 96Zm0 64c-176.731 0-320 143.269-320 320s143.269 320 320 320 320-143.269 320-320-143.269-320-320-320Z"/></svg>'
};
const SecurityAlert = {
  name: "security-alert",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M896.224 333.57c0 250.686-132.99 482.467-349.528 609.415L519.57 958.34a12.815 12.815 0 0 1-12.425.108l-9.364-5.09C269.877 829.53 128 591.087 128 331.89V143.384a12.792 12.792 0 0 1 10.518-12.584l367.879-66.595a12.853 12.853 0 0 1 2.29-.205h9.136c.768 0 1.534.075 2.29.213l365.609 66.608a12.794 12.794 0 0 1 10.502 12.581V333.57ZM192 331.887c0 229.033 121.784 440.25 318.78 555.39l2.186 1.246 19.419-11.67c180.29-113.623 292.658-309.481 299.506-522.608l.333-20.678-.026-147.538-319.04-58.125-321.216 58.19.058 145.793ZM531.526 256h-38.4c-7.069 0-12.8 5.726-12.8 12.789v294.144c0 7.063 5.731 12.789 12.8 12.789h38.4c7.07 0 12.8-5.726 12.8-12.789V268.79c0-7.063-5.73-12.789-12.8-12.789m0 447.944h-38.4c-7.069 0-12.8-5.726-12.8-12.788V652.79c0-7.063 5.731-12.789 12.8-12.789h38.4c7.07 0 12.8 5.726 12.8 12.789v38.367c0 7.062-5.73 12.788-12.8 12.788"/></svg>'
};
const SecurityScan = {
  name: "security-scan",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M546.696 943.75a708.559 708.559 0 0 0 126.706-94.816c9.83-9.241-.62-26.195-13.899-23.795a287.688 287.688 0 0 1-55.986 4.544c-3.12-.051-6.107.96-8.529 2.925a642.555 642.555 0 0 1-62.605 44.954l-19.418 11.68-2.185-1.248C313.782 772.755 192 561.354 192 332.122L191.94 186.2l321.216-58.24 319.041 58.176.026 147.667-.333 20.695-.019.596c-.102 3.12.858 6.079 2.79 8.533a288.341 288.341 0 0 1 30.042 46.89c6.15 12.014 26.323 10.003 27.718-3.42a708.78 708.78 0 0 0 3.802-73.294v-201.01L518.977 64h-11.445L128 132.764v199.358c0 259.424 141.877 498.073 369.782 622.01l15.606 8.486 33.308-18.868Z"/><path d="M608.328 317.723c123.712 0 223.998 100.288 223.998 224a224.019 224.019 0 0 1-43.737 132.974l-.864 1.165 94.06 94.064c4.925 4.918 5.004 12.847.239 17.862l-.238.244-27.15 27.149c-4.917 4.918-12.846 4.997-17.86.238l-.245-.238-94.063-94.061a224.021 224.021 0 0 1-134.14 44.602c-123.712 0-224-100.288-224-224 0-123.711 100.288-224 224-224Zm0 64c-88.366 0-160 71.634-160 160 0 88.365 71.634 160 160 160s159.998-71.635 159.998-160c0-88.366-71.632-160-159.998-160Z"/></g></svg>'
};
const Select$1 = {
  name: "select",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M64 128v768c0 35.347 28.654 64 64 64h768c35.347 0 64-28.653 64-64V128c0-35.346-28.653-64-64-64H128c-35.346 0-64 28.654-64 64Zm832 768H128V128h768v768ZM774.598 440.294l-253.661 253.66c-4.998 4.998-12.872 4.998-17.87 0l-253.659-253.66c-4.999-4.998-5.002-12.868-.003-17.867l27.39-27.39c4.999-4.999 12.927-4.938 17.926.06l208.288 208.289a12.66 12.66 0 0 0 17.986 0L729.28 395.098c4.998-5 12.928-5.06 17.926-.061l27.392 27.39c4.999 4.999 4.999 12.869 0 17.867Z"/></svg>'
};
const Send = {
  name: "send",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M922.624 80.256a44.608 44.608 0 0 1 57.408 49.344l-1.536 6.656-262.4 830.976a33.152 33.152 0 0 1-51.456 16.512l-3.648-3.072-252.16-252.16 45.056-45.056 216.576 216.576 236.288-748.16-750.208 234.176L322.56 552.064l-45.056 45.12L75.712 395.392a33.152 33.152 0 0 1 9.856-53.568l3.712-1.536L922.624 80.256z"/><path d="M961.088 102.208a35.072 35.072 0 0 0-49.024-7.68l-644.16 468.8v259.136a38.272 38.272 0 0 0 66.88 25.408l624.128-701.824a35.072 35.072 0 0 0 2.176-43.904zM734.4 302.592 331.648 755.52V595.776L734.4 302.592z"/></svg>'
};
const ServerStar = {
  name: "server-star",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M76.8 448h870.4c7.072 0 12.8-5.73 12.8-12.8V76.8c0-7.07-5.728-12.8-12.8-12.8H76.8C69.73 64 64 69.73 64 76.8v358.4c0 7.07 5.73 12.8 12.8 12.8ZM896 128v256H128V128h768ZM652.8 320h38.4c7.072 0 12.8-5.73 12.8-12.8V204.8c0-7.07-5.728-12.8-12.8-12.8h-38.4c-7.072 0-12.8 5.73-12.8 12.8v102.4c0 7.07 5.728 12.8 12.8 12.8ZM832 204.8v102.4c0 7.07-5.728 12.8-12.8 12.8h-38.4c-7.072 0-12.8-5.73-12.8-12.8V204.8c0-7.07 5.728-12.8 12.8-12.8h38.4c7.072 0 12.8 5.73 12.8 12.8ZM478.103 660.143c-12.399 0-17.554 15.866-7.523 23.155l137.407 99.838-52.48 161.542c-3.831 11.79 9.665 21.594 19.697 14.31l137.417-99.833 137.414 99.834c10.029 7.283 23.527-2.522 19.693-14.31l-52.48-161.543 137.408-99.838c10.029-7.289 4.877-23.155-7.52-23.155l-169.85-.007-52.492-161.534c-3.834-11.792-20.519-11.792-24.35 0l-52.491 161.534-169.85.007ZM128 576v256h307.2c7.07 0 12.8 5.728 12.8 12.8v38.4c0 7.072-5.73 12.8-12.8 12.8H76.8c-7.07 0-12.8-5.728-12.8-12.8V524.8c0-7.07 5.73-12.8 12.8-12.8h358.4c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H128Z"/></svg>'
};
const Server = {
  name: "server",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M947.2 512c7.04 0 12.8 5.76 12.8 12.8v358.4a12.8 12.8 0 0 1-12.8 12.8H76.8A12.8 12.8 0 0 1 64 883.2V524.8c0-7.04 5.76-12.8 12.8-12.8h870.4zM896 576H128v256h768V576z"/><path d="M524.8 640h294.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H524.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8ZM947.2 64c7.04 0 12.8 5.76 12.8 12.8v358.4a12.8 12.8 0 0 1-12.8 12.8H76.8A12.8 12.8 0 0 1 64 435.2V76.8C64 69.76 69.76 64 76.8 64h870.4zM896 128H128v256h768V128z"/><path d="M780.8 192h38.4q12.8 0 12.8 12.8v102.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V204.8q0-12.8 12.8-12.8Zm-128 0h38.4q12.8 0 12.8 12.8v102.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V204.8q0-12.8 12.8-12.8Z"/></svg>'
};
const Setting = {
  name: "setting",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M627.2 64c7.04 0 12.8 5.76 12.8 12.8v141.824c22.08 9.6 42.88 21.76 62.016 35.84l122.88-70.912a12.8 12.8 0 0 1 17.472 4.672l115.2 199.552a12.8 12.8 0 0 1-4.672 17.472l-122.88 71.04a323.52 323.52 0 0 1 0 71.488l122.88 70.976a12.8 12.8 0 0 1 4.672 17.472l-115.2 199.552a12.8 12.8 0 0 1-17.472 4.672l-122.88-70.912c-19.2 14.08-39.936 26.24-61.952 35.84L640 947.2a12.8 12.8 0 0 1-12.8 12.8H396.8a12.8 12.8 0 0 1-12.8-12.8V805.376c-22.08-9.6-42.88-21.76-62.016-35.84l-122.88 70.912a12.8 12.8 0 0 1-17.472-4.672l-115.2-199.552a12.8 12.8 0 0 1 4.672-17.472l122.88-71.04a323.52 323.52 0 0 1 0-71.488L71.04 405.248a12.8 12.8 0 0 1-4.672-17.472l115.2-199.552a12.8 12.8 0 0 1 17.472-4.672l122.88 70.912c19.2-14.08 39.936-26.24 62.08-35.84V76.8c0-7.04 5.76-12.8 12.8-12.8h230.4zM576 128H447.936l.128 132.48-38.4 16.768a253.593 253.593 0 0 0-37.824 20.48l-11.776 8.192-33.728 24.96-114.944-66.368-64 110.912 114.816 66.304-4.608 41.6A259.52 259.52 0 0 0 256 512l.384 14.4 1.216 14.272 4.608 41.6-114.816 66.24 64 110.912 114.944-66.304 33.728 24.96a256 256 0 0 0 36.608 22.528l12.992 6.144 38.4 16.768L448 896h128V763.52l38.4-16.832c13.184-5.76 25.792-12.544 37.76-20.48l11.776-8.128 33.728-24.96 114.88 66.304 64-110.912-114.752-66.24 4.608-41.6c1.088-9.472 1.6-19.008 1.6-28.672l-.384-14.4-1.216-14.208-4.608-41.6 114.752-66.368-64-110.912-114.88 66.368-33.728-24.96a256 256 0 0 0-36.544-22.528l-12.992-6.08L576 260.48V128z"/><path d="M512 384a128 128 0 1 1 0 256 128 128 0 0 1 0-256zm0 64a64 64 0 1 0 0 128 64 64 0 0 0 0-128z"/></svg>'
};
const Shopping = {
  name: "shopping",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M307.567 478.298h-38.4c-7.07 0-12.8-5.73-12.8-12.8v-145.26c0-.774.004-1.547.01-2.32H192V829.92h640V317.918h-63.213l.058 2.32v145.26c0 7.07-5.732 12.8-12.801 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8v-145.26c0-.774-.005-1.547-.014-2.32H320.434l-.067 2.32v145.26c0 7.07-5.73 12.8-12.8 12.8Zm-42.534-224.38C294.257 144.55 394.024 64 512.605 64c118.582 0 218.35 80.55 247.573 189.918H883.2c7.072 0 12.8 5.73 12.8 12.8V881.12c0 7.066-5.728 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.734-12.8-12.8V266.718c0-7.07 5.73-12.8 12.8-12.8h124.233Zm428.064 0C666.084 180.426 595.467 128 512.605 128s-153.479 52.426-180.491 125.918h360.983Z"/></svg>'
};
const SortAscending = {
  name: "sort-ascending",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M298.752 938.048 256.832 896V76.8c0-7.04 5.76-12.8 12.8-12.8h38.208c7.04 0 12.8 5.76 12.8 12.8v852.224a12.8 12.8 0 0 1-21.888 9.024z"/><path d="m299.264 940.8-167.04-150.464A12.8 12.8 0 0 1 140.8 768h179.84v163.2a12.8 12.8 0 0 1-21.376 9.6zM834.752 576c7.04 0 12.8 5.76 12.8 12.8v38.4l-.192 2.24a12.8 12.8 0 0 1-3.392 12.16L589.504 896h245.248c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H509.184a12.8 12.8 0 0 1-12.8-12.8v-38.4l.192-2.048a12.8 12.8 0 0 1 3.456-11.712L755.008 640H509.184a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h325.568zM675.712 57.792c3.136-.064 5.76.64 8.192 2.176a12.8 12.8 0 0 1 3.968 4.288l207.296 359.04a12.8 12.8 0 0 1-4.672 17.408l-33.152 19.2a12.8 12.8 0 0 1-17.536-4.864l-60.16-107.2h-210.24L508.16 455.168a12.8 12.8 0 0 1-17.536 4.736l-33.216-19.2a12.8 12.8 0 0 1-4.672-17.472l207.68-359.808a12.8 12.8 0 0 1 15.296-5.632zm68.032 226.048-68.16-121.472L606.08 283.84h137.664z"/></svg>'
};
const SortDescending = {
  name: "sort-descending",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M307.84 960h-38.208a12.8 12.8 0 0 1-12.8-12.8V127.04a12.8 12.8 0 0 1 4.288-9.536L299.264 83.2a12.8 12.8 0 0 1 21.376 9.536V947.2a12.8 12.8 0 0 1-12.8 12.8z"/><path d="m299.264 83.2-167.04 150.464A12.8 12.8 0 0 0 140.8 256h179.84V92.8a12.8 12.8 0 0 0-21.376-9.6zM834.752 576c7.04 0 12.8 5.76 12.8 12.8v38.4l-.192 2.24a12.8 12.8 0 0 1-3.392 12.16L589.504 896h245.248c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H509.184a12.8 12.8 0 0 1-12.8-12.8v-38.4l.192-2.048a12.8 12.8 0 0 1 3.456-11.712L755.008 640H509.184a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h325.568zM675.712 57.792c3.136-.064 5.76.64 8.192 2.176a12.8 12.8 0 0 1 3.968 4.288l207.296 359.04a12.8 12.8 0 0 1-4.672 17.408l-33.152 19.2a12.8 12.8 0 0 1-17.536-4.864l-60.16-107.2h-210.24L508.16 455.168a12.8 12.8 0 0 1-17.536 4.736l-33.216-19.2a12.8 12.8 0 0 1-4.672-17.472l207.68-359.808a12.8 12.8 0 0 1 15.296-5.632zm68.032 226.048-68.16-121.472L606.08 283.84h137.664z"/></svg>'
};
const Sound = {
  name: "sound",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M576 90.904v842.734c0 10.733-12.415 16.704-20.796 9.997L512 909.075 256 704.272H76.8c-7.07 0-12.8-5.73-12.8-12.8v-358.4c0-7.07 5.73-12.8 12.8-12.8H256L555.204 80.909c8.38-6.705 20.796-.738 20.796 9.995Zm-64 106.528-233.55 186.84H128v256h150.45L512 827.11V197.432ZM779.194 168.74c4.345-5.583 12.358-6.635 17.81-2.133C896.55 248.777 960 373.117 960 512.275c0 139.159-63.45 263.501-162.995 345.67-5.37 4.43-13.22 3.481-17.608-1.882l-.203-.255-23.47-30.176c-4.306-5.536-3.295-13.53 2.049-18.067a426.884 426.884 0 0 0 25.753-23.763C858.51 708.822 896 618.314 896 512.275c0-106.038-37.491-196.548-112.474-271.529a428.284 428.284 0 0 0-25.753-23.763c-5.26-4.466-6.322-12.277-2.25-17.8l.202-.265 23.469-30.178Z"/><path d="M661.312 320.303c4.342-5.583 12.45-6.58 17.806-1.96C733.548 365.288 768 434.758 768 512.275c0 77.517-34.451 146.987-88.882 193.932-5.273 4.549-13.215 3.653-17.603-1.705l-.203-.254-23.566-30.3c-4.305-5.535-3.415-13.403 1.794-18.097a218.132 218.132 0 0 0 8.224-7.811C685.254 610.55 704 565.295 704 512.275c0-53.02-18.745-98.274-56.236-135.764a218.821 218.821 0 0 0-8.224-7.811c-5.125-4.62-6.07-12.31-1.998-17.829l.204-.27 23.566-30.298Z"/></g></svg>'
};
const StarFilled = {
  name: "star-filled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M652.181 340.395 523.243 78.955a12.8 12.8 0 0 0-22.955 0L371.2 340.395a12.8 12.8 0 0 1-9.621 6.997L73.024 389.376A12.8 12.8 0 0 0 65.92 411.2l208.81 203.499a12.8 12.8 0 0 1 3.691 11.306L229.12 913.493a12.8 12.8 0 0 0 18.56 13.504l258.09-135.744a12.8 12.8 0 0 1 11.905 0l258.133 135.744a12.8 12.8 0 0 0 18.56-13.504l-49.323-287.381a12.8 12.8 0 0 1 3.691-11.328l208.853-203.563a12.8 12.8 0 0 0-7.104-21.824l-288.682-41.984a12.8 12.8 0 0 1-9.643-6.997z"/></svg>'
};
const Star = {
  name: "star",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M664.88 317.392 552.158 88.983a44.801 44.801 0 0 0-20.346-20.347c-22.188-10.95-49.051-1.84-60.002 20.347L359.024 317.392l-252.048 36.66a44.8 44.8 0 0 0-25.639 13.063l-4.652 5.613c-12.372 17.666-10.484 42.195 5.462 57.739l182.35 177.741L221.5 859.354a44.804 44.804 0 0 0 4.502 28.422l3.51 5.632c12.885 17.632 37.081 23.642 56.991 13.178l225.48-118.605 225.481 118.605a44.828 44.828 0 0 0 28.423 4.499l5.92-1.434c21.05-6.617 34.496-27.942 30.662-50.297L759.41 608.208l182.413-177.741a44.8 44.8 0 0 0 13.062-25.64l.47-6.074c.209-22.066-15.92-41.44-38.364-44.702L664.88 317.392Zm-510.2 94.403 223.59-32.489a44.8 44.8 0 0 0 33.732-24.507l99.99-202.588 99.99 202.588 3.158 5.41a44.805 44.805 0 0 0 30.574 19.097l223.527 32.49-161.73 157.703-4.169 4.674a44.802 44.802 0 0 0-8.715 34.98l38.166 222.61L532.84 726.701l-6.713-2.861a44.777 44.777 0 0 0-34.981 2.86L291.128 831.764l38.23-222.61.624-6.233a44.801 44.801 0 0 0-13.509-33.421L154.68 411.795Z"/></svg>'
};
const Stop = {
  name: "stop",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64a448 448 0 1 1 0 896 448 448 0 0 1 0-896zM128 512a384 384 0 0 0 630.976 294.08L217.92 264.96A382.464 382.464 0 0 0 128 512zm384-384a382.464 382.464 0 0 0-248.96 91.648L804.352 760.96A384 384 0 0 0 512 128z"/></svg>'
};
const Subscrib = {
  name: "subscrib",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M128 76.8v852.18c0 3.404 1.494 6.668 4.152 9.074 5.513 4.986 14.428 4.96 19.912-.05l317.953-290.66 3.716-2.442c5.281-2.386 11.864-1.569 16.251 2.441l317.952 290.66c2.643 2.413 6.234 3.776 9.984 3.776 7.776 0 14.08-5.734 14.08-12.8V76.8c0-7.07-6.304-12.8-14.08-12.8H142.08C134.304 64 128 69.73 128 76.8Zm413.263 525.414-6.997-5.616c-33.852-24.343-83.624-22.588-115.389 5.49L192 804.8V128h576v676.864l-226.737-202.65ZM460.8 192h38.4c7.07 0 12.8 5.73 12.8 12.8V320h115.2c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H512v115.2c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8V384H332.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8H448V204.8c0-7.07 5.73-12.8 12.8-12.8Z"/></svg>'
};
const Success = {
  name: "success",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M264.384 443.52a25.6 25.6 0 0 1 36.224 0L463.552 606.4 762.24 307.712a25.6 25.6 0 0 1 36.16 0l54.336 54.272a25.6 25.6 0 0 1 0 36.224L481.6 769.28a25.6 25.6 0 0 1-36.16 0L210.112 534.016a25.6 25.6 0 0 1 0-36.224l54.272-54.336z"/></svg>'
};
const SwapVertical = {
  name: "swap-vertical",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M371.233 64c7.045 0 12.756 5.73 12.756 12.8v854.447c0 7.069-5.71 12.8-12.756 12.8a12.732 12.732 0 0 1-8.537-3.289L196.21 790.311c-5.235-4.73-5.657-12.824-.942-18.077a12.737 12.737 0 0 1 9.479-4.234h115.67V76.8c0-7.07 5.712-12.8 12.757-12.8h38.06Zm281.513 0c3.153 0 6.194 1.172 8.537 3.289l166.486 150.446c5.236 4.731 5.658 12.825.943 18.078a12.737 12.737 0 0 1-9.48 4.234h-115.67v691.2c0 7.069-5.711 12.8-12.757 12.8h-38.06c-7.044 0-12.756-5.731-12.756-12.8V76.8c0-7.07 5.712-12.8 12.757-12.8Z"/></svg>'
};
const Swap = {
  name: "swap",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M947.2 384H92.755c-11.085 0-16.928-13.084-9.51-21.29L233.69 196.245c7.846-8.685 22.31-3.152 22.31 8.535v115.655h691.2c7.07 0 12.8 5.712 12.8 12.756v38.054c0 7.044-5.73 12.755-12.8 12.755ZM76.8 640.031h854.447c11.084 0 16.929 13.084 9.511 21.29L790.312 827.787c-7.85 8.688-22.312 3.152-22.312-8.535V703.596H76.8c-7.072 0-12.8-5.711-12.8-12.756v-38.054c0-7.044 5.728-12.755 12.8-12.755Z"/></svg>'
};
const Sync = {
  name: "sync",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M145.344 254.528 301.696 410.88a12.8 12.8 0 0 1-12.608 10.624h-150.4a384 384 0 0 0 588.48 408.576l46.016 45.888A448 448 0 0 1 73.152 421.504h-1.984l3.52-7.168a445.76 445.76 0 0 1 70.592-159.808zM512 64a448 448 0 0 1 353.472 723.328L712 633.792l-.64-.896a12.8 12.8 0 0 1 11.52-18.496h159.36a384 384 0 0 0-603.52-407.424l-45.568-45.632A446.08 446.08 0 0 1 512 64z"/></svg>'
};
const Tag$1 = {
  name: "tag",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M67.656 615.21 411.7 959.25c4.998 4.998 13.082 4.812 18.081-.186L959.22 429.628c2.835-2.84 4.154-6.873 3.597-10.85l-41.959-299.943c-.787-5.636-5.12-9.934-10.752-10.754L608.173 64.138c-3.999-.582-8.034.697-10.892 3.554L67.844 597.129c-4.999 4.999-5.186 13.083-.188 18.081Zm352.998 262.44L149.215 606.212l475.086-475.085 238.54 34.71 33.082 236.547-475.27 475.266Zm351.813-670.666c-26.509 0-48 21.49-48 48s21.491 48 48 48 48-21.49 48-48-21.491-48-48-48Z"/></svg>'
};
const Tags = {
  name: "tags",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="m493.947 89.684.364.048 301.932 43.944c5.528.804 9.804 4.96 10.705 10.441l.047.312 10.983 78.517 104.755 15.246c5.528.804 9.804 4.96 10.705 10.442l.047.311 41.952 299.943c.54 3.857-.762 7.854-3.432 10.681l-.254.262-378.729 378.725c-4.918 4.924-12.654 5.016-17.663.257l-.244-.238-106.555-106.56-64.363 64.365c-4.92 4.92-12.858 5.214-17.874.458l-.24-.234L42.04 552.56c-4.92-4.92-4.784-12.859-.014-17.874l.234-.24L483.334 93.372c2.77-2.77 6.73-4.138 10.613-3.688Zm333.26 199.242 21.747 155.447c.557 3.976-.845 8.096-3.687 10.935L513.815 786.76l70.238 70.24 324.504-324.504-33.082-236.548-48.268-7.023ZM510.444 156.727 123.578 543.594 395.016 815.03 782.06 427.985l-33.082-236.548-238.535-34.71Z"/><path d="M694.611 247.587c-18.238-18.237-49.138-18.237-67.884.508-18.236 18.237-18.236 49.138.51 67.883 18.236 18.236 49.136 18.236 67.88-.51 18.24-18.235 18.24-49.136-.506-67.881Z"/></g></svg>'
};
const Team = {
  name: "team",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M800 256a191.992 191.992 0 0 1-76.623 153.467c123.497 45.538 211.56 164.279 211.56 303.589 0 1.626-.019 3.38-.07 5.274l-.563 13.004c-1.357 23.706-20.973 42.221-44.755 42.24l-44.762-.038c-7.065-.006-12.787-5.734-12.787-12.8v-38.394c0-7.078 5.74-12.806 12.813-12.8l26.035.026-.224-9.462C868.397 654.8 854.547 612.55 832 576.274V576h-.173c-28.243-45.318-70.08-81.29-119.806-102.212-4.892-2.058-8.021-6.724-8.021-12.031V345.502c0-3.118 1.143-6.094 3.116-8.508A128 128 0 0 0 736 256c0-70.692-57.308-128-128-128-43.244 0-83.38 21.816-106.952 57.676-2.512 3.822-6.716 6.324-11.29 6.324h-44.675c-8.835 0-14.965-8.806-11.249-16.82C465.032 107.882 532.736 64 608 64c106.038 0 192 85.962 192 192Z"/><path d="M416 256c106.038 0 192 85.962 192 192a192 192 0 0 1-76.623 153.467c123.497 45.538 211.56 164.28 211.56 303.589 0 1.626-.019 3.38-.07 5.274l-.563 13.004c-1.357 23.706-20.972 42.221-44.756 42.24l-556.259-.499c-23.77-.025-43.39-18.605-44.69-42.31a502.627 502.627 0 0 1-.331-6.701L96 905.056c0-137.574 85.887-255.092 206.966-301.855A192.001 192.001 0 0 1 224 448c0-106.038 85.962-192 192-192Zm3.47 389.586c-143.302 0-259.47 116.168-259.47 259.47l.064-4 518.784.512-.227-9.466C672.084 759.11 565.414 652.44 432.42 645.903ZM416 320c-70.692 0-128 57.308-128 128 0 70.692 57.308 128 128 128 70.692 0 128-57.308 128-128 0-70.692-57.308-128-128-128Z"/></g></svg>'
};
const Thumbnail = {
  name: "thumbnail",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M883.2 128c5.893 0 10.853 3.98 12.343 9.397L896 140.8v742.4c0 5.893-3.978 10.853-9.396 12.343L883.2 896H140.8c-5.891 0-10.853-3.978-12.343-9.396L128 883.2V140.8c0-5.891 3.98-10.853 9.397-12.343L140.8 128h742.4ZM832 192H704v307.2c0 7.07-5.73 12.8-12.8 12.8H192v320h640V192Zm-192 0H192v256h448V192Z"/></svg>'
};
const Thunderbolt = {
  name: "thunderbolt",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="m302.227 958.464 553.267-552.815c8.07-8.062 2.362-21.853-9.043-21.855l-253.862-.047L659.002 79.53c1.743-7.981-4.336-15.53-12.505-15.53h-349.65a12.8 12.8 0 0 0-12.495 10.023L176.31 560.216c-1.777 7.995 4.309 15.579 12.5 15.576l143.17-.045-51.48 371.907c-1.682 12.154 13.047 19.482 21.727 10.81Zm62.523-152.96 38.712-279.155c1.067-7.693-4.907-14.556-12.674-14.558l-138.23-.046 85.312-383.808h245.056l-66.352 304.33c-1.74 7.981 4.34 15.529 12.51 15.527l193.682-.049L364.75 805.504Z"/></svg>'
};
const Tool = {
  name: "tool",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M925.68 214.657c2.535 4.344 4.662 7.92 6.2 10.816a320.128 320.128 0 0 1-429.83 435.532L229.163 933.892a12.8 12.8 0 0 1-18.102 0L93.4 816.229a12.8 12.8 0 0 1 0-18.102l272.886-272.886a320.128 320.128 0 0 1 446.303-423.586 12.8 12.8 0 0 1 2.444 20.003L568.53 368.161c-4.978 4.978-4.978 13.124 0 18.102l72.408 72.408a12.8 12.8 0 0 0 18.102 0l237.54-237.362 9.051-9.05a12.8 12.8 0 0 1 20.048 2.307zm-26.79 102.095-1.494-5.748-247.363 247.182-181.02-181.02 247.273-247.272-5.702-1.538a256.32 256.32 0 0 0-232.157 58.922l-9.458 8.915a256.128 256.128 0 0 0-51.817 287.594l5.792 11.948 21.723 41.634-269.855 269.674 45.3 45.3 269.855-269.764L531.6 604.3a256.128 256.128 0 0 0 367.2-287.55z"/></svg>'
};
const Transmit = {
  name: "transmit",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M922.624 80.256a44.608 44.608 0 0 1 57.408 49.344l-1.536 6.656-262.4 830.976a33.152 33.152 0 0 1-51.456 16.512l-3.648-3.072-252.16-252.16 45.056-45.056 216.576 216.576 236.288-748.16-750.208 234.176L322.56 552.064l-45.056 45.12L75.712 395.392a33.152 33.152 0 0 1 9.856-53.568l3.712-1.536L922.624 80.256z"/><path d="M961.088 102.208a35.072 35.072 0 0 0-49.024-7.68l-644.16 468.8v259.136a38.272 38.272 0 0 0 66.88 25.408l624.128-701.824a35.072 35.072 0 0 0 2.176-43.904zM734.4 302.592 331.648 755.52V595.776L734.4 302.592z"/></svg>'
};
const TreeExpand = {
  name: "tree-expand",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M179.2 192c7.04 0 12.8 5.76 12.8 12.8V256h51.2c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H192v192h179.2c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H320v192h115.2c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H268.8a12.8 12.8 0 0 1-12.8-12.8V576H140.8a12.8 12.8 0 0 1-12.8-12.8V204.8c0-7.04 5.76-12.8 12.8-12.8h38.4zm704 576c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H524.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h358.4zm-64-256c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H460.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h358.4zm-64-256c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H332.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h422.4z"/></svg>'
};
const TreeUnexpand = {
  name: "tree-unexpand",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M179.2 192c7.04 0 12.8 5.76 12.8 12.8V256h115.2c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H192v192h115.2c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H192v192h115.2c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V204.8c0-7.04 5.76-12.8 12.8-12.8h38.4zm704 576c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H396.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h486.4zm0-256c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H396.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h486.4zm0-256c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H396.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h486.4z"/></svg>'
};
const Uncollapse = {
  name: "uncollapse",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M204.8 128a12.8 12.8 0 0 0-12.8 12.8v742.4c0 7.04 5.76 12.8 12.8 12.8h38.4a12.8 12.8 0 0 0 12.8-12.8V140.8a12.8 12.8 0 0 0-12.8-12.8h-38.4zm266.176 76.224-27.2 27.2a12.8 12.8 0 0 0 0 18.112l262.528 262.4-262.528 262.528a12.8 12.8 0 0 0 0 18.112l27.2 27.136a12.8 12.8 0 0 0 18.048 0l298.688-298.688a12.8 12.8 0 0 0 0-18.112L489.024 204.224a12.8 12.8 0 0 0-18.048 0z"/></svg>'
};
const Unlock = {
  name: "unlock",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M763.34 241.542C740.53 140.39 636.674 64 512 64c-141.385 0-256 98.241-256 219.428V384H140.8c-7.07 0-12.8 5.73-12.8 12.8v550.4c0 7.072 5.73 12.8 12.8 12.8h742.4c7.072 0 12.8-5.728 12.8-12.8V396.8c0-7.07-5.728-12.8-12.8-12.8H320V281.6l.326-9.025C326.166 191.945 409.748 128 512 128l11.281.26c85.737 3.975 156.38 52.954 175.568 117.848 1.717 5.808 6.834 9.892 12.89 9.892h39.483c7.803 0 13.835-6.847 12.119-14.458ZM192 448h640v448H192V448Zm448 185.6v-51.2c0-3.535-5.73-6.4-12.8-6.4H396.8c-7.07 0-12.8 2.865-12.8 6.4v51.2c0 3.535 5.73 6.4 12.8 6.4h230.4c7.07 0 12.8-2.865 12.8-6.4Z"/></svg>'
};
const UpCircle = {
  name: "up-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="M512 64c247.424 0 448 200.577 448 448 0 247.424-200.576 448-448 448-247.423 0-448-200.576-448-448C64 264.577 264.577 64 512 64Zm0 64c-212.077 0-384 171.923-384 384s171.923 384 384 384 384-171.923 384-384-171.923-384-384-384Z"/><path d="m520.99 328.025 264.45 264.452c4.998 4.998 5.056 12.921.058 17.92l-27.392 27.39c-4.999 4.999-13.082 4.784-18.08-.213L511.92 409.556 287.565 633.98c-5 5-12.933 5.068-17.932.07l-27.39-27.391c-4.999-4.999-4.76-13.104.238-18.103l260.35-260.349c4.997-4.999 13.16-5.181 18.158-.182Z"/></g></svg>'
};
const Up = {
  name: "up",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M503.234 313.575 249.575 567.234c-4.998 4.998-5.001 12.869-.003 17.867l27.39 27.39c5 5 12.927 4.939 17.926-.06L512.169 395.15 729.45 612.43c4.999 5 12.927 5.06 17.925.062l27.39-27.39c5-5 4.996-12.87-.002-17.868L521.104 313.575c-4.998-4.998-12.872-4.998-17.87 0Z"/></svg>'
};
const Upload$1 = {
  name: "upload",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M128 780.8V896h768V780.8c0-7.04 5.76-12.8 12.8-12.8h38.4c7.04 0 12.8 5.76 12.8 12.8v166.4a12.8 12.8 0 0 1-12.8 12.8H76.8A12.8 12.8 0 0 1 64 947.2V780.8c0-7.04 5.76-12.8 12.8-12.8h38.4c7.04 0 12.8 5.76 12.8 12.8z"/><path d="M396.8 826.688a12.8 12.8 0 0 1-12.8-12.8v-371.2H222.912a12.8 12.8 0 0 1-9.088-21.824L503.04 131.776a12.8 12.8 0 0 1 18.048 0L810.24 420.864a12.8 12.8 0 0 1-9.088 21.824L640 442.752v371.2a12.8 12.8 0 0 1-12.8 12.8H396.8zm51.264-63.936h128v-384l101.568.064L512 213.184 346.496 378.752H448l.064 384z"/></svg>'
};
const UserAdd = {
  name: "user-add",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="m348.552 453.89-29.673 25.057c-5.4 4.561-13.582 3.801-17.876-1.814-35.05-45.826-54.464-102.01-54.464-161.111C246.539 169.412 365.39 50.56 512 50.56c142.168 0 258.233 111.757 265.142 252.212v.136c.175 7.19-5.604 13.114-12.797 13.114h-38.084c-7.068 0-12.755-5.678-13.195-12.733C706.497 197.957 618.988 114.56 512 114.56c-111.264 0-201.462 90.198-201.462 201.462 0 43.425 13.753 84.66 38.724 118.787l1.092 1.388c4.263 5.42 3.466 13.244-1.803 17.694ZM672 384.021c159.06 0 288 128.942 288 288 0 159.057-128.94 287.998-288 287.998-159.058 0-288-128.94-288-287.998s128.942-288 288-288Zm0 64c-123.712 0-224 100.288-224 224 0 123.71 100.288 223.998 224 223.998s224-100.288 224-223.998c0-123.712-100.288-224-224-224Z"/><path d="M640 704.02v115.2c0 7.071 5.73 12.8 12.8 12.8h38.4c7.07 0 12.8-5.729 12.8-12.8v-115.2h115.2c7.072 0 12.8-5.729 12.8-12.8V652.82c0-7.07-5.728-12.8-12.8-12.8H704v-115.2c0-7.07-5.73-12.8-12.8-12.8h-38.4c-7.07 0-12.8 5.73-12.8 12.8v115.2H524.8c-7.07 0-12.8 5.73-12.8 12.8v38.398c0 7.072 5.73 12.8 12.8 12.8H640ZM96.254 907.853 96 896.019c0-146.163 76.043-279.04 197.555-354.097l2.98-1.76c6.172-3.647 14.134-1.515 17.658 4.728l18.752 33.218c3.474 6.156 1.208 13.99-4.818 17.686-98.95 60.696-162.471 166.516-167.768 284.232L160 900.883l211.233.25c7.068.006 12.79 5.74 12.784 12.813l-.034 38.4c-.007 7.072-5.743 12.793-12.812 12.787l-229.484-.205c-23.692-.026-43.279-18.483-44.678-42.1l-.755-14.975Z"/></g></svg>'
};
const UserCircle = {
  name: "user-circle",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64a448 448 0 1 1 0 896 448 448 0 0 1 0-896zm0 64a384 384 0 1 0 0 768 384 384 0 0 0 0-768z"/><path d="M512 192a192 192 0 1 1 0 384 192 192 0 0 1 0-384zm0 64a128 128 0 1 0 0 256 128 128 0 0 0 0-256z"/><path d="M512 544c156.928 0 295.68 87.68 366.592 223.744l-18.816 25.216-29.312 16.896A352 352 0 0 0 512 608a351.936 351.936 0 0 0-309.952 184.96l-7.04 13.76-45.952-38.976c3.648-7.552-4.096-3.84 0-11.136A415.872 415.872 0 0 1 512 544z"/></svg>'
};
const UserDelete = {
  name: "user-delete",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="m348.552 453.89-29.673 25.057c-5.4 4.561-13.582 3.801-17.876-1.814-35.05-45.826-54.464-102.01-54.464-161.111C246.539 169.412 365.39 50.56 512 50.56c142.168 0 258.233 111.757 265.142 252.212v.136c.175 7.19-5.604 13.114-12.797 13.114h-38.084c-7.068 0-12.755-5.678-13.195-12.733C706.497 197.957 618.988 114.56 512 114.56c-111.264 0-201.462 90.198-201.462 201.462 0 43.425 13.753 84.66 38.724 118.787l1.092 1.388c4.263 5.42 3.466 13.244-1.803 17.694ZM672 384.021c159.06 0 288 128.942 288 288 0 159.057-128.94 287.998-288 287.998-159.058 0-288-128.94-288-287.998s128.942-288 288-288Zm0 64c-123.712 0-224 100.288-224 224 0 123.71 100.288 223.998 224 223.998s224-100.288 224-223.998c0-123.712-100.288-224-224-224ZM96.254 907.853 96 896.019c0-146.163 76.043-279.04 197.555-354.097l2.98-1.76c6.172-3.647 14.134-1.515 17.658 4.728l18.752 33.218c3.474 6.156 1.208 13.99-4.818 17.686-98.95 60.696-162.471 166.516-167.768 284.232L160 900.883l211.233.25c7.068.006 12.79 5.74 12.784 12.813l-.034 38.4c-.007 7.072-5.743 12.793-12.812 12.787l-229.484-.205c-23.692-.026-43.279-18.483-44.678-42.1l-.755-14.975Z"/><path d="M524.8 704.02h294.4c7.072 0 12.8-5.729 12.8-12.8V652.82c0-7.07-5.728-12.8-12.8-12.8H524.8c-7.07 0-12.8 5.73-12.8 12.8v38.398c0 7.072 5.73 12.8 12.8 12.8Z"/></g></svg>'
};
const UserDisabled = {
  name: "user-disabled",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><g fill-rule="evenodd"><path d="m318.88 478.947 29.672-25.056c5.27-4.45 6.066-12.274 1.803-17.694l-1.092-1.388c-24.971-34.127-38.724-75.362-38.724-118.787 0-111.264 90.198-201.462 201.462-201.462 106.987 0 194.497 83.397 201.066 188.729.44 7.055 6.127 12.733 13.195 12.733h38.084c7.193 0 12.972-5.924 12.797-13.114v-.136C770.233 162.317 654.17 50.56 512.001 50.56c-146.61 0-265.462 118.851-265.462 265.462 0 59.102 19.415 115.285 54.464 161.11 4.294 5.616 12.475 6.376 17.876 1.815ZM672 384.021c159.06 0 288 128.942 288 288 0 159.057-128.94 287.998-288 287.998-159.058 0-288-128.94-288-287.998s128.942-288 288-288Zm-192.238 173.02A224 224 0 0 0 448 672.02c0 123.71 100.288 223.998 224 223.998a223.993 223.993 0 0 0 113.938-31.142l1.044-.621-307.22-307.215ZM672 448.02a224 224 0 0 0-150.383 57.985l-1.245 1.136 316.505 316.506A223.997 223.997 0 0 0 896 672.021c0-123.712-100.288-224-224-224ZM96 896.02l.254 11.833.755 14.976c1.4 23.616 20.986 42.073 44.678 42.099l229.484.205c7.069.006 12.805-5.715 12.812-12.787l.034-38.4c.007-7.072-5.716-12.807-12.784-12.813L160 900.883l.359-20.857c5.297-117.716 68.819-223.536 167.768-284.232 6.026-3.696 8.292-11.53 4.818-17.686l-18.752-33.218c-3.524-6.243-11.486-8.375-17.657-4.729l-2.981 1.76C172.043 616.98 96 749.857 96 896.02Z"/></g></svg>'
};
const User = {
  name: "user",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M512 64a256 256 0 1 1 0 512 256 256 0 0 1 0-512zm0 64a192 192 0 1 0 0 384 192 192 0 0 0 0-384z"/><path d="M512 512c-224.768 0-407.872 146.24-415.744 369.088l-.192 20.48.512 13.376.448 7.872a44.8 44.8 0 0 0 44.672 42.112l740.48.64a44.8 44.8 0 0 0 44.8-42.048l.768-15.36L928 896c0-229.76-186.24-384-416-384zm0 64c194.432 0 352 125.568 352 320l-.128 5.568L160 900.864V896c0-194.432 157.568-320 352-320z"/></svg>'
};
const Verify = {
  name: "verify",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M512 64c247.424 0 448 200.577 448 448 0 247.424-200.576 448-448 448-247.423 0-448-200.576-448-448C64 264.577 264.577 64 512 64Zm0 64c-212.077 0-384 171.923-384 384s171.923 384 384 384 384-171.923 384-384-171.923-384-384-384ZM377.541 320a12.8 12.8 0 0 1 10.748 5.85l1.4 2.923L510.044 711.25h4l124.032-382.516a12.796 12.796 0 0 1 8.929-8.327l3.208-.407h41.668c7.576 0 13.199 6.426 12.79 13.509l-.726 3.57-147.88 422.397a12.804 12.804 0 0 1-8.902 8.128l-3.162.396H480.02c-4.31 0-8.252-2.158-10.596-5.615l-1.44-2.823L320 337.164c-2.592-7.153 1.58-14.654 8.415-16.651l3.62-.513h45.506Z"/></svg>'
};
const VerticalAlignBottom = {
  name: "vertical-align-bottom",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M128 883.2v-38.4c0-1.697.325-3.33.974-4.898a12.678 12.678 0 0 1 2.775-4.153 12.68 12.68 0 0 1 4.153-2.775A12.679 12.679 0 0 1 140.8 832h678.4c1.698 0 3.33.325 4.896.974 1.57.65 2.955 1.575 4.154 2.775a12.624 12.624 0 0 1 2.777 4.153c.649 1.568.973 3.2.973 4.898v38.4c0 1.697-.324 3.33-.973 4.898a12.624 12.624 0 0 1-2.777 4.153 12.649 12.649 0 0 1-4.154 2.775c-1.566.65-3.198.974-4.896.974H140.8c-1.697 0-3.33-.325-4.898-.974a12.678 12.678 0 0 1-4.153-2.775 12.678 12.678 0 0 1-2.775-4.153A12.679 12.679 0 0 1 128 883.2Zm523.592-298.073L488.675 748.044c-4.999 4.999-13.104 4.999-18.102 0L307.655 585.127c-4.998-4.999-4.998-13.103 0-18.102l27.153-27.153c4.999-4.999 13.104-4.999 18.102 0l95.09 95.09V140.8c0-7.072 5.73-12.8 12.8-12.8h38.4c7.07 0 12.8 5.728 12.8 12.8v493.41l94.337-94.338c4.999-4.999 13.104-4.999 18.102 0l27.153 27.153c4.999 4.999 4.999 13.103 0 18.102Z"/></svg>'
};
const VerticalAlignCenter = {
  name: "vertical-align-center",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M470.84 596.02c3.999-4 9.985-4.799 14.78-2.4l3.322 2.4 162.917 162.917c4 4 4.799 9.986 2.4 14.78l-2.4 3.322-27.153 27.153c-3.999 3.999-9.985 4.799-14.78 2.4l-3.322-2.4L512 709.568V947.2c0 7.07-5.73 12.8-12.8 12.8h-38.4c-7.07 0-12.8-5.73-12.8-12.8V709.312l-94.823 94.88c-3.999 3.999-9.986 4.799-14.78 2.4l-3.322-2.4-27.153-27.153c-3.999-3.999-4.799-9.986-2.4-14.78l2.4-3.322L470.84 596.02zM819.2 448c7.07 0 12.8 5.73 12.8 12.8v38.4c0 7.07-5.73 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.73-12.8-12.8v-38.4c0-7.07 5.73-12.8 12.8-12.8h678.4zM499.2 0c5.891 0 10.853 3.98 12.343 9.397L512 12.8v237.504l94.59-94.53c4.998-5 13.103-5 18.101 0l27.153 27.152c4.999 4.999 4.999 13.104 0 18.102L488.927 363.945c-4.999 5-13.103 5-18.102 0L307.908 201.028c-5-4.999-5-13.103 0-18.102l27.152-27.153c5-4.999 13.104-4.999 18.102 0L448 250.56V12.8c0-5.891 3.98-10.853 9.397-12.343L460.8 0h38.4z"/></svg>'
};
const VerticalAlignTop = {
  name: "vertical-align-top",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="m488.96 276.032 162.88 162.944a12.8 12.8 0 0 1 0 18.048l-27.136 27.2a12.8 12.8 0 0 1-18.112 0L512 389.568V883.2a12.8 12.8 0 0 1-12.8 12.8h-38.4a12.8 12.8 0 0 1-12.8-12.8V389.312l-94.784 94.912a12.8 12.8 0 0 1-18.112 0L307.84 456.96a12.8 12.8 0 0 1 0-18.048l162.944-162.944a12.8 12.8 0 0 1 18.112 0zM819.2 128c7.04 0 12.8 5.76 12.8 12.8v38.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h678.4z"/></svg>'
};
const ViewCard = {
  name: "view-card",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M480 140.8v326.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V140.8c0-7.04 5.76-12.8 12.8-12.8h326.4c7.04 0 12.8 5.76 12.8 12.8zM416 192H192v224h224V192zm64 364.8v326.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V556.8c0-7.04 5.76-12.8 12.8-12.8h326.4c7.04 0 12.8 5.76 12.8 12.8zM416 608H192v224h224V608zm480-467.2v326.4a12.8 12.8 0 0 1-12.8 12.8H556.8a12.8 12.8 0 0 1-12.8-12.8V140.8c0-7.04 5.76-12.8 12.8-12.8h326.4c7.04 0 12.8 5.76 12.8 12.8zM832 192H608v224h224V192zm64 364.8v326.4a12.8 12.8 0 0 1-12.8 12.8H556.8a12.8 12.8 0 0 1-12.8-12.8V556.8c0-7.04 5.76-12.8 12.8-12.8h326.4c7.04 0 12.8 5.76 12.8 12.8zM832 608H608v224h224V608z"/></svg>'
};
const ViewList = {
  name: "view-list",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M320 140.8v166.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V140.8c0-7.04 5.76-12.8 12.8-12.8h166.4c7.04 0 12.8 5.76 12.8 12.8zM243.2 192h-38.4a12.8 12.8 0 0 0-12.8 12.8v38.4c0 7.04 5.76 12.8 12.8 12.8h38.4a12.8 12.8 0 0 0 12.8-12.8v-38.4a12.8 12.8 0 0 0-12.8-12.8zM320 716.8v166.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V716.8c0-7.04 5.76-12.8 12.8-12.8h166.4c7.04 0 12.8 5.76 12.8 12.8zM243.2 768h-38.4a12.8 12.8 0 0 0-12.8 12.8v38.4c0 7.04 5.76 12.8 12.8 12.8h38.4a12.8 12.8 0 0 0 12.8-12.8v-38.4a12.8 12.8 0 0 0-12.8-12.8zM320 428.8v166.4a12.8 12.8 0 0 1-12.8 12.8H140.8a12.8 12.8 0 0 1-12.8-12.8V428.8c0-7.04 5.76-12.8 12.8-12.8h166.4c7.04 0 12.8 5.76 12.8 12.8zM243.2 480h-38.4a12.8 12.8 0 0 0-12.8 12.8v38.4c0 7.04 5.76 12.8 12.8 12.8h38.4a12.8 12.8 0 0 0 12.8-12.8v-38.4a12.8 12.8 0 0 0-12.8-12.8zm153.6-352h486.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H396.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 576h486.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H396.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0-288h486.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H396.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 128h486.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H396.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0-288h486.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H396.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Zm0 576h486.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H396.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8Z"/></svg>'
};
const ViewThumbnail = {
  name: "view-thumbnail",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M320 716.8v166.4c0 7.07-5.73 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.73-12.8-12.8V716.8c0-7.07 5.73-12.8 12.8-12.8h166.4c7.07 0 12.8 5.73 12.8 12.8Zm288 0v166.4c0 7.07-5.73 12.8-12.8 12.8H428.8c-7.07 0-12.8-5.73-12.8-12.8V716.8c0-7.07 5.73-12.8 12.8-12.8h166.4c7.07 0 12.8 5.73 12.8 12.8Zm288 0v166.4c0 7.07-5.73 12.8-12.8 12.8H716.8c-7.07 0-12.8-5.73-12.8-12.8V716.8c0-7.07 5.73-12.8 12.8-12.8h166.4c7.07 0 12.8 5.73 12.8 12.8ZM256 768h-64v64h64v-64Zm288 0h-64v64h64v-64Zm288 0h-64v64h64v-64ZM320 428.8v166.4c0 7.07-5.73 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.73-12.8-12.8V428.8c0-7.07 5.73-12.8 12.8-12.8h166.4c7.07 0 12.8 5.73 12.8 12.8Zm288 0v166.4c0 7.07-5.73 12.8-12.8 12.8H428.8c-7.07 0-12.8-5.73-12.8-12.8V428.8c0-7.07 5.73-12.8 12.8-12.8h166.4c7.07 0 12.8 5.73 12.8 12.8Zm288 0v166.4c0 7.07-5.73 12.8-12.8 12.8H716.8c-7.07 0-12.8-5.73-12.8-12.8V428.8c0-7.07 5.73-12.8 12.8-12.8h166.4c7.07 0 12.8 5.73 12.8 12.8ZM256 480h-64v64h64v-64Zm288 0h-64v64h64v-64Zm288 0h-64v64h64v-64ZM320 140.8v166.4c0 7.07-5.73 12.8-12.8 12.8H140.8c-7.07 0-12.8-5.73-12.8-12.8V140.8c0-7.07 5.73-12.8 12.8-12.8h166.4c7.07 0 12.8 5.73 12.8 12.8Zm288 0v166.4c0 7.07-5.73 12.8-12.8 12.8H428.8c-7.07 0-12.8-5.73-12.8-12.8V140.8c0-7.07 5.73-12.8 12.8-12.8h166.4c7.07 0 12.8 5.73 12.8 12.8Zm288 0v166.4c0 7.07-5.73 12.8-12.8 12.8H716.8c-7.07 0-12.8-5.73-12.8-12.8V140.8c0-7.07 5.73-12.8 12.8-12.8h166.4c7.07 0 12.8 5.73 12.8 12.8ZM256 192h-64v64h64v-64Zm288 0h-64v64h64v-64Zm288 0h-64v64h64v-64Z"/></svg>'
};
const Wait = {
  name: "wait",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M492.8 64h38.4Q544 64 544 76.8v166.4q0 12.8-12.8 12.8h-38.4q-12.8 0-12.8-12.8V76.8Q480 64 492.8 64Zm226.572 50.43 33.256 19.2q11.085 6.4 4.685 17.485l-83.2 144.106q-6.4 11.085-17.485 4.685l-33.256-19.2q-11.085-6.4-4.685-17.485l83.2-144.106q6.4-11.085 17.485-4.685ZM890.37 271.372l19.2 33.256q6.4 11.085-4.685 17.485l-144.106 83.2q-11.085 6.4-17.485-4.685l-19.2-33.256q-6.4-11.085 4.685-17.485l144.106-83.2q11.085-6.4 17.485 4.685ZM960 492.8v38.4q0 12.8-12.8 12.8H780.8q-12.8 0-12.8-12.8v-38.4q0-12.8 12.8-12.8h166.4q12.8 0 12.8 12.8Zm-50.43 226.572-19.2 33.256q-6.4 11.085-17.485 4.685l-144.106-83.2q-11.085-6.4-4.685-17.485l19.2-33.256q6.4-11.085 17.485-4.685l144.106 83.2q11.085 6.4 4.685 17.485ZM752.628 890.37l-33.256 19.2q-11.085 6.4-17.485-4.685l-83.2-144.106q-6.4-11.085 4.685-17.485l33.256-19.2q11.085-6.4 17.485 4.685l83.2 144.106q6.4 11.085-4.685 17.485ZM531.2 960h-38.4q-12.8 0-12.8-12.8V780.8q0-12.8 12.8-12.8h38.4q12.8 0 12.8 12.8v166.4q0 12.8-12.8 12.8Zm-226.572-50.43-33.256-19.2q-11.085-6.4-4.685-17.485l83.2-144.106q6.4-11.085 17.485-4.685l33.256 19.2q11.085 6.4 4.685 17.485l-83.2 144.106q-6.4 11.085-17.485 4.685ZM133.63 752.628l-19.2-33.256q-6.4-11.085 4.685-17.485l144.106-83.2q11.085-6.4 17.485 4.685l19.2 33.256q6.4 11.085-4.685 17.485l-144.106 83.2q-11.085 6.4-17.485-4.685ZM64 531.2v-38.4Q64 480 76.8 480h166.4q12.8 0 12.8 12.8v38.4q0 12.8-12.8 12.8H76.8Q64 544 64 531.2Zm50.43-226.572 19.2-33.256q6.4-11.085 17.485-4.685l144.106 83.2q11.085 6.4 4.685 17.485l-19.2 33.256q-6.4 11.085-17.485 4.685l-144.106-83.2q-11.085-6.4-4.685-17.485ZM271.372 133.63l33.256-19.2q11.085-6.4 17.485 4.685l83.2 144.106q6.4 11.085-4.685 17.485l-33.256 19.2q-11.085 6.4-17.485-4.685l-83.2-144.106q-6.4-11.085 4.685-17.485Z"/></svg>'
};
const Warning = {
  name: "warning",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M492.8 416h38.4c7.04 0 12.8 5.76 12.8 12.8v262.4a12.8 12.8 0 0 1-12.8 12.8h-38.4a12.8 12.8 0 0 1-12.8-12.8V428.8c0-7.04 5.76-12.8 12.8-12.8zm20.032 319.04q48 0 48 48t-48 48q-48 0-48-48t48-48Z"/><path d="M953.408 944 524.096 145.344a12.8 12.8 0 0 0-22.528 0l-428.16 798.72a12.8 12.8 0 0 0 11.328 18.816H942.08A12.8 12.8 0 0 0 953.408 944zM512.832 259.648 856.448 898.88H170.176l342.656-639.232z"/></svg>'
};
const Whitelist = {
  name: "whitelist",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M384 76.8v166.47c0 7.07 5.73 12.8 12.8 12.8h232.868c7.07 0 12.8-5.73 12.8-12.8V76.8c0-7.07-5.73-12.8-12.8-12.8H396.8c-7.07 0-12.8 5.73-12.8 12.8Zm-76.8-12.73H140.8c-7.07 0-12.8 5.731-12.8 12.8v870.4c0 7.072 5.73 12.8 12.8 12.8h742.4c7.072 0 12.8-5.728 12.8-12.8V76.87c0-7.069-5.728-12.8-12.8-12.8H716.8c-7.07 0-12.8 5.731-12.8 12.8v38.4c0 7.07 5.73 12.8 12.8 12.8H832v768H192v-768h115.2c7.07 0 12.8-5.73 12.8-12.8v-38.4c0-7.069-5.73-12.8-12.8-12.8Zm271.232 127.94H448v-64.065h130.432v64.065Zm181.994 178.72 27.152 27.154c4.998 5 4.998 13.104 0 18.102L490.354 713.21c-5 5.004-13.103 5.004-18.102 0L261.623 502.584c-5.063-5.063-4.988-13.294.166-18.265l28.038-27.039c5.024-4.845 13.002-4.772 17.937.163l173.89 173.889 260.671-260.603c5-4.998 13.103-4.997 18.1.001Z"/></svg>'
};
const Wifi = {
  name: "wifi",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path fill-rule="evenodd" d="M905.952 348.559c-221.652-208.85-568.368-208.745-789.893.312l-3.134 3.044c-5.018 4.876-13.022 4.818-17.97-.13L67.74 324.57c-5.025-5.025-4.987-13.212.12-18.152a494.062 494.062 0 0 1 4.574-4.377c246.506-232.36 632.302-232.054 878.446.918l3.54 3.444c5.113 4.977 5.17 13.177.12 18.225l-27.09 27.095c-4.973 4.972-12.986 5.014-18.048.132a497.281 497.281 0 0 0-3.45-3.296Zm-655.529 137.5c146.31-135.909 372.792-136.636 519.958-2.18 1.037.945 2.248 2.076 3.635 3.393 5.094 4.822 13.088 4.788 18.048-.171l27.098-27.1c5.062-5.059 4.992-13.282-.154-18.254l-1.715-1.659C646.43 280.392 381.06 279.416 209.04 437.158a359.277 359.277 0 0 0-4.997 4.689c-5.154 4.916-5.13 13.061-.093 18.098l27.219 27.22c4.934 4.933 12.91 5.006 17.934.164l1.319-1.27Zm134.68 136.948c71.377-63.559 178.802-64.633 251.398-3.225.818.691 1.748 1.505 2.791 2.44 5.185 4.65 13.072 4.593 17.996-.332l27.355-27.354c4.954-4.955 4.855-13.019-.22-17.85-96.07-87.07-242.294-88.209-339.677-3.42a188.162 188.162 0 0 0-3.76 3.381c-5.266 4.846-5.196 13-.135 18.06l28.064 28.066c4.444 4.444 11.617 4.548 16.188.234ZM575.08 768.09a63.999 63.999 0 0 0-18.745-45.252c-24.994-24.994-65.516-24.994-90.51 0-24.993 24.993-24.993 65.514 0 90.506 24.994 24.998 65.516 24.998 90.51 0a63.987 63.987 0 0 0 18.745-45.254Z"/></svg>'
};
const ZoomIn = {
  name: "zoom-in",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M448 96a384 384 0 0 1 307.392 614.208l154.24 154.112a12.8 12.8 0 0 1 0 18.112l-27.2 27.136a12.8 12.8 0 0 1-18.112 0L712.832 758.08A384 384 0 1 1 448 96zm0 64a320 320 0 1 0 0 640 320 320 0 0 0 0-640z"/><path d="M428.8 255.68h38.4c7.04 0 12.8 5.76 12.8 12.8v422.4a12.8 12.8 0 0 1-12.8 12.8h-38.4a12.8 12.8 0 0 1-12.8-12.8v-422.4c0-7.04 5.76-12.8 12.8-12.8z"/><path d="M672 460.48v38.4a12.8 12.8 0 0 1-12.8 12.8H236.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h422.4c7.04 0 12.8 5.76 12.8 12.8z"/></svg>'
};
const ZoomOut = {
  name: "zoom-out",
  svg: '<svg viewBox="0 0 1024 1024" focusable="false"><path d="M448 96a384 384 0 0 1 307.392 614.208l154.24 154.112a12.8 12.8 0 0 1 0 18.112l-27.2 27.136a12.8 12.8 0 0 1-18.112 0L712.832 758.08A384 384 0 1 1 448 96zm0 64a320 320 0 1 0 0 640 320 320 0 0 0 0-640z"/><path d="M672 460.48v38.4a12.8 12.8 0 0 1-12.8 12.8H236.8a12.8 12.8 0 0 1-12.8-12.8v-38.4c0-7.04 5.76-12.8 12.8-12.8h422.4c7.04 0 12.8 5.76 12.8 12.8z"/></svg>'
};
const IDUX_ICON_DEPENDENCIES = [
  Bulb,
  CaretDownFilled,
  CaretUpFilled,
  Check,
  CheckCircle,
  CheckCircleFilled,
  CheckFilled,
  Clear,
  ClockCircle,
  Close,
  CloseCircle,
  CloseCircleFilled,
  CloseFilled,
  Collapse$1,
  CollapseAll,
  DoubleLeft,
  DoubleRight,
  Down,
  Ellipsis,
  Exclamation,
  ExclamationCircle,
  ExclamationCircleFilled,
  Expand$1,
  ExpandAll,
  FileImage,
  FilterFilled,
  GridCompact,
  GridLoose,
  GridMedium,
  Holder,
  InfoCircle,
  InfoCircleFilled,
  Left,
  Loading$1,
  MenuFold,
  MenuUnfold,
  Minus,
  Plus,
  QuestionCircle,
  QuestionCircleFilled,
  Right,
  RotateLeft,
  RotateRight,
  Search,
  StarFilled,
  User,
  VerticalAlignCenter,
  VerticalAlignTop,
  ZoomIn,
  ZoomOut
];
const IxIcon = Icon;
function isSameUTCWeek(dirtyDateLeft, dirtyDateRight, options) {
  requiredArgs(2, arguments);
  var dateLeftStartOfWeek = startOfUTCWeek(dirtyDateLeft, options);
  var dateRightStartOfWeek = startOfUTCWeek(dirtyDateRight, options);
  return dateLeftStartOfWeek.getTime() === dateRightStartOfWeek.getTime();
}
var formatDistanceLocale = {
  lessThanXSeconds: {
    one: "\u4E0D\u5230 1 \u79D2",
    other: "\u4E0D\u5230 {{count}} \u79D2"
  },
  xSeconds: {
    one: "1 \u79D2",
    other: "{{count}} \u79D2"
  },
  halfAMinute: "\u534A\u5206\u949F",
  lessThanXMinutes: {
    one: "\u4E0D\u5230 1 \u5206\u949F",
    other: "\u4E0D\u5230 {{count}} \u5206\u949F"
  },
  xMinutes: {
    one: "1 \u5206\u949F",
    other: "{{count}} \u5206\u949F"
  },
  xHours: {
    one: "1 \u5C0F\u65F6",
    other: "{{count}} \u5C0F\u65F6"
  },
  aboutXHours: {
    one: "\u5927\u7EA6 1 \u5C0F\u65F6",
    other: "\u5927\u7EA6 {{count}} \u5C0F\u65F6"
  },
  xDays: {
    one: "1 \u5929",
    other: "{{count}} \u5929"
  },
  aboutXWeeks: {
    one: "\u5927\u7EA6 1 \u4E2A\u661F\u671F",
    other: "\u5927\u7EA6 {{count}} \u4E2A\u661F\u671F"
  },
  xWeeks: {
    one: "1 \u4E2A\u661F\u671F",
    other: "{{count}} \u4E2A\u661F\u671F"
  },
  aboutXMonths: {
    one: "\u5927\u7EA6 1 \u4E2A\u6708",
    other: "\u5927\u7EA6 {{count}} \u4E2A\u6708"
  },
  xMonths: {
    one: "1 \u4E2A\u6708",
    other: "{{count}} \u4E2A\u6708"
  },
  aboutXYears: {
    one: "\u5927\u7EA6 1 \u5E74",
    other: "\u5927\u7EA6 {{count}} \u5E74"
  },
  xYears: {
    one: "1 \u5E74",
    other: "{{count}} \u5E74"
  },
  overXYears: {
    one: "\u8D85\u8FC7 1 \u5E74",
    other: "\u8D85\u8FC7 {{count}} \u5E74"
  },
  almostXYears: {
    one: "\u5C06\u8FD1 1 \u5E74",
    other: "\u5C06\u8FD1 {{count}} \u5E74"
  }
};
var formatDistance2 = function formatDistance3(token, count, options) {
  var result;
  var tokenValue = formatDistanceLocale[token];
  if (typeof tokenValue === "string") {
    result = tokenValue;
  } else if (count === 1) {
    result = tokenValue.one;
  } else {
    result = tokenValue.other.replace("{{count}}", String(count));
  }
  if (options !== null && options !== void 0 && options.addSuffix) {
    if (options.comparison && options.comparison > 0) {
      return result + "\u5185";
    } else {
      return result + "\u524D";
    }
  }
  return result;
};
var dateFormats = {
  full: "y'\u5E74'M'\u6708'd'\u65E5' EEEE",
  long: "y'\u5E74'M'\u6708'd'\u65E5'",
  medium: "yyyy-MM-dd",
  short: "yy-MM-dd"
};
var timeFormats = {
  full: "zzzz a h:mm:ss",
  long: "z a h:mm:ss",
  medium: "a h:mm:ss",
  short: "a h:mm"
};
var dateTimeFormats = {
  full: "{{date}} {{time}}",
  long: "{{date}} {{time}}",
  medium: "{{date}} {{time}}",
  short: "{{date}} {{time}}"
};
var formatLong = {
  date: buildFormatLongFn({
    formats: dateFormats,
    defaultWidth: "full"
  }),
  time: buildFormatLongFn({
    formats: timeFormats,
    defaultWidth: "full"
  }),
  dateTime: buildFormatLongFn({
    formats: dateTimeFormats,
    defaultWidth: "full"
  })
};
function checkWeek(date, baseDate, options) {
  var baseFormat = "eeee p";
  if (isSameUTCWeek(date, baseDate, options)) {
    return baseFormat;
  } else if (date.getTime() > baseDate.getTime()) {
    return "'\u4E0B\u4E2A'" + baseFormat;
  }
  return "'\u4E0A\u4E2A'" + baseFormat;
}
var formatRelativeLocale = {
  lastWeek: checkWeek,
  yesterday: "'\u6628\u5929' p",
  today: "'\u4ECA\u5929' p",
  tomorrow: "'\u660E\u5929' p",
  nextWeek: checkWeek,
  other: "PP p"
};
var formatRelative2 = function formatRelative3(token, date, baseDate, options) {
  var format2 = formatRelativeLocale[token];
  if (typeof format2 === "function") {
    return format2(date, baseDate, options);
  }
  return format2;
};
var eraValues = {
  narrow: ["\u524D", "\u516C\u5143"],
  abbreviated: ["\u524D", "\u516C\u5143"],
  wide: ["\u516C\u5143\u524D", "\u516C\u5143"]
};
var quarterValues = {
  narrow: ["1", "2", "3", "4"],
  abbreviated: ["\u7B2C\u4E00\u5B63", "\u7B2C\u4E8C\u5B63", "\u7B2C\u4E09\u5B63", "\u7B2C\u56DB\u5B63"],
  wide: ["\u7B2C\u4E00\u5B63\u5EA6", "\u7B2C\u4E8C\u5B63\u5EA6", "\u7B2C\u4E09\u5B63\u5EA6", "\u7B2C\u56DB\u5B63\u5EA6"]
};
var monthValues = {
  narrow: ["\u4E00", "\u4E8C", "\u4E09", "\u56DB", "\u4E94", "\u516D", "\u4E03", "\u516B", "\u4E5D", "\u5341", "\u5341\u4E00", "\u5341\u4E8C"],
  abbreviated: ["1\u6708", "2\u6708", "3\u6708", "4\u6708", "5\u6708", "6\u6708", "7\u6708", "8\u6708", "9\u6708", "10\u6708", "11\u6708", "12\u6708"],
  wide: ["\u4E00\u6708", "\u4E8C\u6708", "\u4E09\u6708", "\u56DB\u6708", "\u4E94\u6708", "\u516D\u6708", "\u4E03\u6708", "\u516B\u6708", "\u4E5D\u6708", "\u5341\u6708", "\u5341\u4E00\u6708", "\u5341\u4E8C\u6708"]
};
var dayValues = {
  narrow: ["\u65E5", "\u4E00", "\u4E8C", "\u4E09", "\u56DB", "\u4E94", "\u516D"],
  short: ["\u65E5", "\u4E00", "\u4E8C", "\u4E09", "\u56DB", "\u4E94", "\u516D"],
  abbreviated: ["\u5468\u65E5", "\u5468\u4E00", "\u5468\u4E8C", "\u5468\u4E09", "\u5468\u56DB", "\u5468\u4E94", "\u5468\u516D"],
  wide: ["\u661F\u671F\u65E5", "\u661F\u671F\u4E00", "\u661F\u671F\u4E8C", "\u661F\u671F\u4E09", "\u661F\u671F\u56DB", "\u661F\u671F\u4E94", "\u661F\u671F\u516D"]
};
var dayPeriodValues = {
  narrow: {
    am: "\u4E0A",
    pm: "\u4E0B",
    midnight: "\u51CC\u6668",
    noon: "\u5348",
    morning: "\u65E9",
    afternoon: "\u4E0B\u5348",
    evening: "\u665A",
    night: "\u591C"
  },
  abbreviated: {
    am: "\u4E0A\u5348",
    pm: "\u4E0B\u5348",
    midnight: "\u51CC\u6668",
    noon: "\u4E2D\u5348",
    morning: "\u65E9\u6668",
    afternoon: "\u4E2D\u5348",
    evening: "\u665A\u4E0A",
    night: "\u591C\u95F4"
  },
  wide: {
    am: "\u4E0A\u5348",
    pm: "\u4E0B\u5348",
    midnight: "\u51CC\u6668",
    noon: "\u4E2D\u5348",
    morning: "\u65E9\u6668",
    afternoon: "\u4E2D\u5348",
    evening: "\u665A\u4E0A",
    night: "\u591C\u95F4"
  }
};
var formattingDayPeriodValues = {
  narrow: {
    am: "\u4E0A",
    pm: "\u4E0B",
    midnight: "\u51CC\u6668",
    noon: "\u5348",
    morning: "\u65E9",
    afternoon: "\u4E0B\u5348",
    evening: "\u665A",
    night: "\u591C"
  },
  abbreviated: {
    am: "\u4E0A\u5348",
    pm: "\u4E0B\u5348",
    midnight: "\u51CC\u6668",
    noon: "\u4E2D\u5348",
    morning: "\u65E9\u6668",
    afternoon: "\u4E2D\u5348",
    evening: "\u665A\u4E0A",
    night: "\u591C\u95F4"
  },
  wide: {
    am: "\u4E0A\u5348",
    pm: "\u4E0B\u5348",
    midnight: "\u51CC\u6668",
    noon: "\u4E2D\u5348",
    morning: "\u65E9\u6668",
    afternoon: "\u4E2D\u5348",
    evening: "\u665A\u4E0A",
    night: "\u591C\u95F4"
  }
};
var ordinalNumber2 = function ordinalNumber3(dirtyNumber, options) {
  var number = Number(dirtyNumber);
  switch (options === null || options === void 0 ? void 0 : options.unit) {
    case "date":
      return number.toString() + "\u65E5";
    case "hour":
      return number.toString() + "\u65F6";
    case "minute":
      return number.toString() + "\u5206";
    case "second":
      return number.toString() + "\u79D2";
    default:
      return "\u7B2C " + number.toString();
  }
};
var localize = {
  ordinalNumber: ordinalNumber2,
  era: buildLocalizeFn({
    values: eraValues,
    defaultWidth: "wide"
  }),
  quarter: buildLocalizeFn({
    values: quarterValues,
    defaultWidth: "wide",
    argumentCallback: function argumentCallback2(quarter) {
      return quarter - 1;
    }
  }),
  month: buildLocalizeFn({
    values: monthValues,
    defaultWidth: "wide"
  }),
  day: buildLocalizeFn({
    values: dayValues,
    defaultWidth: "wide"
  }),
  dayPeriod: buildLocalizeFn({
    values: dayPeriodValues,
    defaultWidth: "wide",
    formattingValues: formattingDayPeriodValues,
    defaultFormattingWidth: "wide"
  })
};
var matchOrdinalNumberPattern = /^(第\s*)?\d+(日|时|分|秒)?/i;
var parseOrdinalNumberPattern = /\d+/i;
var matchEraPatterns = {
  narrow: /^(前)/i,
  abbreviated: /^(前)/i,
  wide: /^(公元前|公元)/i
};
var parseEraPatterns = {
  any: [/^(前)/i, /^(公元)/i]
};
var matchQuarterPatterns = {
  narrow: /^[1234]/i,
  abbreviated: /^第[一二三四]刻/i,
  wide: /^第[一二三四]刻钟/i
};
var parseQuarterPatterns = {
  any: [/(1|一)/i, /(2|二)/i, /(3|三)/i, /(4|四)/i]
};
var matchMonthPatterns = {
  narrow: /^(一|二|三|四|五|六|七|八|九|十[二一])/i,
  abbreviated: /^(一|二|三|四|五|六|七|八|九|十[二一]|\d|1[12])月/i,
  wide: /^(一|二|三|四|五|六|七|八|九|十[二一])月/i
};
var parseMonthPatterns = {
  narrow: [/^一/i, /^二/i, /^三/i, /^四/i, /^五/i, /^六/i, /^七/i, /^八/i, /^九/i, /^十(?!(一|二))/i, /^十一/i, /^十二/i],
  any: [/^一|1/i, /^二|2/i, /^三|3/i, /^四|4/i, /^五|5/i, /^六|6/i, /^七|7/i, /^八|8/i, /^九|9/i, /^十(?!(一|二))|10/i, /^十一|11/i, /^十二|12/i]
};
var matchDayPatterns = {
  narrow: /^[一二三四五六日]/i,
  short: /^[一二三四五六日]/i,
  abbreviated: /^周[一二三四五六日]/i,
  wide: /^星期[一二三四五六日]/i
};
var parseDayPatterns = {
  any: [/日/i, /一/i, /二/i, /三/i, /四/i, /五/i, /六/i]
};
var matchDayPeriodPatterns = {
  any: /^(上午?|下午?|午夜|[中正]午|早上?|下午|晚上?|凌晨|)/i
};
var parseDayPeriodPatterns = {
  any: {
    am: /^上午?/i,
    pm: /^下午?/i,
    midnight: /^午夜/i,
    noon: /^[中正]午/i,
    morning: /^早上/i,
    afternoon: /^下午/i,
    evening: /^晚上?/i,
    night: /^凌晨/i
  }
};
var match = {
  ordinalNumber: buildMatchPatternFn({
    matchPattern: matchOrdinalNumberPattern,
    parsePattern: parseOrdinalNumberPattern,
    valueCallback: function valueCallback3(value) {
      return parseInt(value, 10);
    }
  }),
  era: buildMatchFn({
    matchPatterns: matchEraPatterns,
    defaultMatchWidth: "wide",
    parsePatterns: parseEraPatterns,
    defaultParseWidth: "any"
  }),
  quarter: buildMatchFn({
    matchPatterns: matchQuarterPatterns,
    defaultMatchWidth: "wide",
    parsePatterns: parseQuarterPatterns,
    defaultParseWidth: "any",
    valueCallback: function valueCallback4(index) {
      return index + 1;
    }
  }),
  month: buildMatchFn({
    matchPatterns: matchMonthPatterns,
    defaultMatchWidth: "wide",
    parsePatterns: parseMonthPatterns,
    defaultParseWidth: "any"
  }),
  day: buildMatchFn({
    matchPatterns: matchDayPatterns,
    defaultMatchWidth: "wide",
    parsePatterns: parseDayPatterns,
    defaultParseWidth: "any"
  }),
  dayPeriod: buildMatchFn({
    matchPatterns: matchDayPeriodPatterns,
    defaultMatchWidth: "any",
    parsePatterns: parseDayPeriodPatterns,
    defaultParseWidth: "any"
  })
};
var locale = {
  code: "zh-CN",
  formatDistance: formatDistance2,
  formatLong,
  formatRelative: formatRelative2,
  localize,
  match,
  options: {
    weekStartsOn: 1,
    firstWeekContainsDate: 4
  }
};
const zhCN = {
  type: "zh-CN",
  date: locale,
  colorPicker: {
    presetEmpty: "\u6682\u65E0"
  },
  datePicker: {
    today: "\u4ECA\u5929",
    ok: "\u786E\u5B9A",
    clear: "\u6E05\u9664",
    month: "\u6708",
    year: "\u5E74",
    monthSelect: "\u9009\u62E9\u6708\u4EFD",
    yearSelect: "\u9009\u62E9\u5E74\u4EFD",
    monthFormat: "MMM",
    yearFormat: "yyyy\u5E74",
    previousMonth: "\u4E0A\u4E2A\u6708",
    nextMonth: "\u4E0B\u4E2A\u6708",
    previousYear: "\u4E0A\u4E00\u5E74",
    nextYear: "\u4E0B\u4E00\u5E74",
    previousDecade: "\u4E0A\u4E00\u5E74\u4EE3",
    nextDecade: "\u4E0B\u4E00\u5E74\u4EE3",
    datePlaceholder: "\u8BF7\u9009\u62E9\u65E5\u671F",
    yearPlaceholder: "\u8BF7\u9009\u62E9\u5E74\u4EFD",
    quarterPlaceholder: "\u8BF7\u9009\u62E9\u5B63\u5EA6",
    monthPlaceholder: "\u8BF7\u9009\u62E9\u6708\u4EFD",
    weekPlaceholder: "\u8BF7\u9009\u62E9\u5468",
    datetimePlaceholder: "\u8BF7\u9009\u62E9\u65E5\u671F\u65F6\u95F4"
  },
  dateRangePicker: {
    datePlaceholder: ["\u5F00\u59CB\u65E5\u671F", "\u7ED3\u675F\u65E5\u671F"],
    weekPlaceholder: ["\u5F00\u59CB\u5468", "\u7ED3\u675F\u5468"],
    monthPlaceholder: ["\u5F00\u59CB\u6708\u4EFD", "\u7ED3\u675F\u6708\u4EFD"],
    quarterPlaceholder: ["\u5F00\u59CB\u5B63\u5EA6", "\u7ED3\u675F\u5B63\u5EA6"],
    yearPlaceholder: ["\u5F00\u59CB\u5E74\u4EFD", "\u7ED3\u675F\u5E74\u4EFD"],
    datetimePlaceholder: ["\u5F00\u59CB\u65F6\u95F4", "\u7ED3\u675F\u65F6\u95F4"],
    separator: "\u81F3",
    shortcuts: {
      today: "\u4ECA\u5929",
      yesterday: "\u6628\u5929",
      last24h: "\u8FD124\u5C0F\u65F6",
      last7d: "\u8FD17\u5929",
      last30d: "\u8FD130\u5929",
      last180d: "\u8FD1180\u5929",
      custom: "\u81EA\u5B9A\u4E49"
    },
    okText: "\u786E\u5B9A",
    cancelText: "\u53D6\u6D88"
  },
  empty: {
    description: "\u6682\u65E0\u6570\u636E"
  },
  modal: {
    cancelText: "\u53D6\u6D88",
    okText: "\u786E\u5B9A",
    justOkText: "\u6211\u77E5\u9053\u4E86"
  },
  popconfirm: {
    cancelText: "\u53D6\u6D88",
    okText: "\u786E\u5B9A"
  },
  pagination: {
    itemsPerPage: "\u6BCF\u9875",
    itemsSuffix: "\u9879",
    jumpTo: "\u524D\u5F80",
    page: "\u9875",
    prev: "\u4E0A\u4E00\u9875",
    next: "\u4E0B\u4E00\u9875",
    prev5: "\u5411\u524D 5 \u9875",
    next5: "\u5411\u540E 5 \u9875",
    totalPrefix: "\u5171",
    totalSuffix: "\u9879"
  },
  select: {
    limitMessage: "\u8BE5\u9009\u62E9\u5668\u7684\u503C\u4E0D\u80FD\u8D85\u8FC7 ${0} \u9879"
  },
  table: {
    expand: "\u5C55\u5F00\u884C",
    collapse: "\u6536\u8D77\u884C",
    filterTitle: "\u7B5B\u9009",
    filterConfirm: "\u786E\u5B9A",
    filterReset: "\u91CD\u7F6E",
    filterEmptyText: "\u65E0\u7B5B\u9009\u9879",
    selectAll: "\u5168\u9009\u6240\u6709",
    selectInvert: "\u53CD\u9009\u6240\u6709",
    selectNone: "\u6E05\u7A7A\u6240\u6709",
    selectPageAll: "\u5168\u9009\u5F53\u9875",
    selectPageInvert: "\u53CD\u9009\u5F53\u9875",
    sortDesc: "\u70B9\u51FB\u964D\u5E8F",
    sortAsc: "\u70B9\u51FB\u5347\u5E8F",
    sortCancel: "\u53D6\u6D88\u6392\u5E8F"
  },
  tabs: {
    allTabs: "\u6240\u6709\u9762\u677F"
  },
  text: {
    copyText: ["\u70B9\u51FB\u590D\u5236", "\u590D\u5236\u6210\u529F"]
  },
  timePicker: {
    okText: "\u786E\u5B9A",
    placeholder: "\u8BF7\u9009\u62E9\u65F6\u95F4"
  },
  timeRangePicker: {
    okText: "\u786E\u5B9A",
    separator: "\u81F3",
    placeholder: ["\u8D77\u59CB\u65F6\u95F4", "\u7ED3\u675F\u65F6\u95F4"]
  },
  tour: {
    nextText: "\u4E0B\u4E00\u6B65",
    prevText: "\u4E0A\u4E00\u6B65",
    finishText: "\u5F00\u59CB\u4F53\u9A8C"
  },
  transfer: {
    toSelect: "\u5F85\u9009",
    selected: "\u5DF2\u9009",
    searchPlaceholder: ["\u641C\u7D22\u5173\u952E\u5B57", "\u641C\u7D22\u5173\u952E\u5B57"]
  },
  treeSelect: {
    expandAll: "\u5C55\u5F00\u5168\u90E8",
    collapseAll: "\u6536\u8D77\u5168\u90E8"
  },
  upload: {
    uploading: "\u6B63\u5728\u4E0A\u4F20...",
    error: "\u4E0A\u4F20\u5931\u8D25",
    cancel: "\u53D6\u6D88\u4E0A\u4F20",
    preview: "\u9884\u89C8\u6587\u4EF6",
    remove: "\u5220\u9664\u6587\u4EF6",
    retry: "\u91CD\u65B0\u4E0A\u4F20",
    download: "\u4E0B\u8F7D\u6587\u4EF6"
  }
};
const enUS = {
  type: "en-US",
  date: locale$1,
  colorPicker: {
    presetEmpty: "Empty"
  },
  datePicker: {
    today: "Today",
    ok: "OK",
    clear: "Clear",
    month: "Month",
    year: "Year",
    monthSelect: "Select month",
    yearSelect: "Select year",
    monthFormat: "MMM",
    yearFormat: "yyyy",
    previousMonth: "Previous month",
    nextMonth: "Next month",
    previousYear: "Previous year",
    nextYear: "Next year",
    previousDecade: "Previous decade",
    nextDecade: "Next decade",
    datePlaceholder: "Select date",
    weekPlaceholder: "Select week",
    monthPlaceholder: "Select month",
    quarterPlaceholder: "Select quarter",
    yearPlaceholder: "Select year",
    datetimePlaceholder: "Select time"
  },
  dateRangePicker: {
    datePlaceholder: ["Start date", "End date"],
    weekPlaceholder: ["Start week", "End week"],
    monthPlaceholder: ["Start month", "End month"],
    quarterPlaceholder: ["Start quarter", "End quarter"],
    yearPlaceholder: ["Start year", "End year"],
    datetimePlaceholder: ["Start time", "End time"],
    separator: "To",
    shortcuts: {
      today: "Today",
      yesterday: "Yesterday",
      last24h: "Last 24 hours",
      last7d: "Last 7 days",
      last30d: "Last 30 days",
      last180d: "Last 180 days",
      custom: "Custom"
    },
    okText: "OK",
    cancelText: "Cancel"
  },
  empty: {
    description: "No data available"
  },
  modal: {
    cancelText: "Cancel",
    okText: "OK",
    justOkText: "OK"
  },
  pagination: {
    itemsPerPage: "Entries per Page",
    itemsSuffix: "",
    jumpTo: "Page",
    page: "",
    prev: "Previous",
    next: "Next",
    prev5: "Previous 5 Pages",
    next5: "Next 5 Pages",
    totalPrefix: "",
    totalSuffix: "entries in total"
  },
  popconfirm: {
    cancelText: "Cancel",
    okText: "OK"
  },
  select: {
    limitMessage: "Select ${0} or fewer items"
  },
  table: {
    expand: "Expand",
    collapse: "Collapse",
    filterTitle: "Filter",
    filterConfirm: "OK",
    filterReset: "Reset",
    filterEmptyText: "No Filters",
    selectAll: "Select All",
    selectInvert: "Invert Selection",
    selectNone: "Clear All",
    selectPageAll: "Select Current Page",
    selectPageInvert: "Invert Current Selection",
    sortDesc: "Sort descending",
    sortAsc: "Sort ascending",
    sortCancel: "Cancel sort"
  },
  tabs: {
    allTabs: "All tabs"
  },
  text: {
    copyText: ["Copy", "Copy Success"]
  },
  timePicker: {
    okText: "OK",
    placeholder: "Select time"
  },
  timeRangePicker: {
    okText: "OK",
    separator: "To",
    placeholder: ["Start time", "End time"]
  },
  tour: {
    nextText: "Next",
    prevText: "Previous",
    finishText: "Done"
  },
  transfer: {
    toSelect: "Available",
    selected: "Selected",
    searchPlaceholder: ["Search", "Search"]
  },
  treeSelect: {
    expandAll: "Expand",
    collapseAll: "Collapse"
  },
  upload: {
    uploading: "Uploading...",
    error: "Upload failed",
    cancel: "Cancel",
    preview: "Preview",
    remove: "Delete",
    retry: "Reupload",
    download: "Download"
  }
};
function numFormatter(value, precision) {
  const separator = ".";
  const numReg = /^(\d+)(\.(\d+))?$/;
  const numMatchRet = String(value).match(numReg);
  if (!numMatchRet) {
    return {
      value: String(value),
      int: "",
      decimal: ""
    };
  } else {
    const int = String(numMatchRet[1]);
    let decimal = String(numMatchRet[3] || "").slice(0, precision).padEnd(precision, "0");
    decimal = decimal.length > 0 ? `${separator}${decimal}` : "";
    return {
      value: `${int}${decimal}`,
      int,
      decimal
    };
  }
}
const expandIconRenderer = ({ expanded }) => h(
  "svg",
  {
    viewBox: "0 0 16 16",
    style: {
      width: "var(--ix-font-size-icon)",
      height: "var(--ix-font-size-icon)"
    }
  },
  [
    h("rect", {
      x: 1,
      y: 1,
      width: 14,
      height: 14,
      rx: 1,
      style: { fill: "var(--ix-color-emphasized-container-bg)" }
    }),
    h("rect", { x: 5, y: 7, width: 6, height: 2, rx: 0.2, style: { fill: "var(--ix-color-icon)" } }),
    !expanded ? h("rect", { x: 7, y: 5, width: 2, height: 6, rx: 0.2, style: { fill: "var(--ix-color-icon)" } }) : null
  ]
);
const defaultConfig = {
  common: {
    prefixCls: "ix",
    overlayZIndex: 1e3
  },
  locale: zhCN,
  theme: {
    injectThemeStyle: true,
    presetTheme: "default",
    hashed: true
  },
  alert: {
    closable: false,
    icon: {
      success: "check-circle",
      error: "exclamation-circle",
      info: "info-circle",
      warning: "exclamation-circle",
      offline: "info-circle"
    }
  },
  anchor: {
    bounds: 5,
    hideLinkBall: false
  },
  avatar: {
    gap: 4,
    icon: "user",
    shape: "circle",
    size: "md"
  },
  backTop: {
    duration: 450,
    visibilityHeight: 400
  },
  badge: {
    showZero: false,
    dot: false,
    overflowCount: 99
  },
  button: {
    size: "sm",
    waveless: false
  },
  card: {
    borderless: false,
    hoverable: false,
    size: "sm",
    shadow: true
  },
  carousel: {
    autoplayTime: 0,
    dotPlacement: "bottom",
    showArrow: false,
    trigger: "click"
  },
  cascader: {
    borderless: false,
    clearIcon: "close-circle",
    childrenKey: "children",
    expandIcon: "right",
    fullPath: true,
    getKey: "key",
    labelKey: "label",
    overlayMatchWidth: false,
    size: "md",
    suffix: "down"
  },
  checkbox: {
    size: "md",
    waveless: false
  },
  collapse: {
    accordion: false,
    borderless: false,
    expandIcon: "right",
    ghost: false,
    size: "md"
  },
  colorPicker: {
    format: "hex",
    size: "md"
  },
  datePicker: {
    allowInput: false,
    borderless: false,
    clearable: false,
    clearIcon: "close-circle",
    size: "md",
    suffix: "calendar"
  },
  desc: {
    col: 3,
    colonless: true,
    labelAlign: "start",
    layout: "horizontal",
    size: "md"
  },
  divider: {
    dashed: false,
    labelPlacement: "center",
    plain: false,
    size: "md"
  },
  drawer: {
    closable: true,
    closeOnEsc: true,
    closeIcon: "close-filled",
    distance: 160,
    height: 256,
    mask: true,
    maskClosable: true,
    width: 480
  },
  dropdown: {
    autoAdjust: true,
    destroyOnHide: false,
    offset: [0, 4],
    placement: "bottomStart",
    showArrow: false,
    trigger: "hover"
  },
  empty: {},
  form: {
    colonless: true,
    labelAlign: "start",
    layout: "horizontal",
    size: "md",
    labelTooltipIcon: "question-circle",
    controlTooltipIcon: "info-circle"
  },
  icon: {},
  input: {
    borderless: false,
    clearable: false,
    clearIcon: "close-circle",
    size: "md",
    trim: false
  },
  inputNumber: {
    keyboard: true,
    size: "md"
  },
  list: {
    size: "md",
    borderless: true
  },
  loadingBar: {
    mask: false,
    animation: {
      loading: {
        duration: 3e3,
        progress: 80
      },
      finish: {
        duration: 300,
        progress: 100
      },
      error: {
        duration: 400,
        progress: 100
      }
    }
  },
  image: {
    preview: true
  },
  imageViewer: {
    draggable: true,
    loop: true,
    maskClosable: true,
    zoom: [0.5, 2]
  },
  menu: {
    getKey: "key",
    indent: 16,
    offset: [0, 4],
    suffix: "right",
    theme: "light"
  },
  message: {
    destroyOnHover: false,
    duration: 3e3,
    maxCount: 5,
    icon: {
      success: "check-circle-filled",
      error: "close-circle-filled",
      info: "info-circle-filled",
      warning: "exclamation-circle-filled",
      loading: "loading"
    }
  },
  modal: {
    animatable: true,
    centered: true,
    closable: true,
    closeIcon: "close-filled",
    closeOnEsc: true,
    mask: true,
    maskClosable: false,
    spinWithFullModal: false
  },
  notification: {
    destroyOnHover: false,
    duration: 4500,
    maxCount: 5,
    offset: 24,
    placement: "topEnd"
  },
  pagination: {
    pageSize: 10,
    pageSizes: [10, 20, 50, 100],
    showQuickJumper: false,
    showSizeChanger: false,
    showTitle: true,
    showTotal: true,
    simple: false,
    size: "sm"
  },
  popconfirm: {
    autoAdjust: true,
    delay: 100,
    destroyOnHide: false,
    placement: "bottomStart",
    showArrow: true,
    trigger: "click",
    offset: [0, 4]
  },
  popover: {
    autoAdjust: true,
    delay: 100,
    destroyOnHide: false,
    placement: "bottomStart",
    showArrow: true,
    trigger: "hover",
    closeIcon: "close",
    offset: [0, 4]
  },
  progress: {
    strokeLinecap: "square",
    size: "md",
    format: (percent) => percent + "%",
    icon: {
      success: "check",
      exception: "close"
    }
  },
  radio: {
    size: "md",
    waveless: false
  },
  rate: {
    allowHalf: false,
    clearable: false,
    count: 5,
    icon: "star-filled",
    size: "md"
  },
  result: {
    status: "info"
  },
  row: {
    wrap: true
  },
  select: {
    borderless: false,
    childrenKey: "children",
    getKey: "key",
    clearIcon: "close-circle",
    labelKey: "label",
    offset: [0, 4],
    overlayMatchWidth: true,
    size: "md",
    suffix: "down"
  },
  skeleton: {
    animated: true
  },
  space: {
    size: 8,
    wrap: true
  },
  spin: {
    tip: "",
    tipAlign: "vertical",
    size: "md"
  },
  statistic: {
    precision: 0,
    formatter: numFormatter
  },
  stepper: {
    clickable: false,
    labelPlacement: "end",
    size: "sm"
  },
  switch: {
    size: "md"
  },
  tabs: {
    size: "md",
    showAllTabsPanel: true
  },
  table: {
    autoHeight: false,
    borderless: true,
    childrenKey: "children",
    getKey: "key",
    size: "md",
    scrollToTopOnChange: true,
    insetShadow: true,
    pagination: {
      position: "bottomEnd"
    },
    columnBase: {
      align: "start",
      sortable: {
        nextTooltip: false,
        orders: ["ascend", "descend"]
      },
      filterable: {
        multiple: true,
        footer: true
      }
    },
    columnExpandable: {
      showLine: true,
      icon: expandIconRenderer
    },
    columnSelectable: {
      showIndex: false
    },
    columnIndexable: {
      align: "center",
      customCell: ({ rowIndex, pageSize, pageIndex }) => (pageIndex - 1) * pageSize + rowIndex + 1
    }
  },
  tag: {},
  tagGroup: {
    gap: 8,
    wrap: true
  },
  textarea: {
    autoRows: false,
    clearable: false,
    clearIcon: "close-circle",
    resize: "vertical",
    showCount: false,
    size: "md",
    trim: false
  },
  text: {
    copyIcon: ({ copied }) => h(IxIcon, { name: !copied ? "copy" : "check-circle-filled", style: copied ? { color: "#20CC94" } : void 0 })
  },
  timePicker: {
    borderless: false,
    clearable: true,
    clearIcon: "close-circle",
    size: "md",
    suffix: "clock-circle",
    allowInput: true,
    format: "HH:mm:ss"
  },
  transfer: {
    getKey: "key",
    clearable: true,
    clearIcon: "delete",
    showSelectAll: true
  },
  tooltip: {
    autoAdjust: true,
    showArrow: true,
    delay: 100,
    destroyOnHide: false,
    offset: [0, 4],
    placement: "bottomStart",
    trigger: "hover"
  },
  tour: {
    animatable: true,
    gap: { offset: 4, radius: 2 },
    offset: [0, 4],
    mask: true,
    placement: "bottomStart",
    showArrow: true,
    scrollIntoViewOptions: true,
    closeOnClick: false,
    closeOnEsc: true,
    closable: true
  },
  tree: {
    autoHeight: false,
    blocked: false,
    childrenKey: "children",
    expandIcon: expandIconRenderer,
    draggableIcon: "holder",
    getKey: "key",
    labelKey: "label",
    showLine: false
  },
  treeSelect: {
    borderless: false,
    childrenKey: "children",
    clearIcon: "close-circle",
    labelKey: "label",
    getKey: "key",
    offset: [0, 4],
    overlayMatchWidth: true,
    size: "md",
    suffix: "down"
  },
  upload: {
    multiple: false,
    dragable: false,
    directory: false,
    name: "file",
    withCredentials: false,
    requestMethod: "post"
  },
  uploadFiles: {
    type: "text",
    icon: {
      preview: "zoom-in",
      file: "paper-clip",
      remove: "close",
      retry: "edit"
    }
  }
};
const tokens = Object.keys(defaultConfig).map((key) => [key, Symbol(key)]);
const tokenMap = new Map(tokens);
const createGlobalConfig = (config) => {
  const install2 = (app) => {
    const compNames = Object.keys(config);
    compNames.forEach((compName) => {
      const token = tokenMap.get(compName);
      const currConfig = cloneDeep(defaultConfig[compName]);
      merge(currConfig, config[compName]);
      app.provide(token, currConfig);
    });
  };
  return { install: install2 };
};
function useGlobalConfig(compName, config) {
  const token = tokenMap.get(compName);
  const currConfig = inject(token, defaultConfig[compName]);
  if (!config) {
    return currConfig;
  }
  const newConfig = reactive(merge(cloneDeep(currConfig), config));
  provide(token, newConfig);
  return [newConfig, (config2) => merge(newConfig, config2)];
}
const DATE_CONFIG_TOKEN = Symbol("DATE_CONFIG_TOKEN");
let defaultDateConfig;
function useDateConfig() {
  const config = inject(DATE_CONFIG_TOKEN, null);
  if (config) {
    return config;
  }
  if (!defaultDateConfig) {
    defaultDateConfig = createDefaultDateConfig();
  }
  return defaultDateConfig;
}
function createDefaultDateConfig() {
  const locale2 = useGlobalConfig("locale");
  const now2 = () => new Date();
  const parse$1 = (dateString, format2, referenceDate) => parse(dateString, format2, referenceDate != null ? referenceDate : now2(), { locale: locale2.date });
  return {
    now: now2,
    weekStartsOn: () => {
      var _a, _b;
      return (_b = (_a = locale2.date.options) == null ? void 0 : _a.weekStartsOn) != null ? _b : 1;
    },
    get: (date, type) => {
      switch (type) {
        case "year":
          return getYear(date);
        case "quarter":
          return getQuarter(date);
        case "month":
          return getMonth(date);
        case "week":
          return getWeek(date, { locale: locale2.date });
        case "date":
          return getDate(date);
        case "day":
          return getDay(date);
        case "hour":
          return getHours(date);
        case "minute":
          return getMinutes(date);
        case "second":
          return getSeconds(date);
        case "millisecond":
          return getMilliseconds(date);
      }
    },
    set: (date, amount, type) => {
      switch (type) {
        case "year":
          return setYear(date, amount);
        case "quarter":
          return setQuarter(date, amount);
        case "month":
          return setMonth(date, amount);
        case "week":
          return setWeek(date, amount, { locale: locale2.date });
        case "date":
          return setDate(date, amount);
        case "day":
          return setDay(date, amount, { locale: locale2.date });
        case "hour":
          return setHours(date, amount);
        case "minute":
          return setMinutes(date, amount);
        case "second":
          return setSeconds(date, amount);
        case "millisecond":
          return setMilliseconds(date, amount);
      }
    },
    add: (date, amount, type) => {
      switch (type) {
        case "year":
          return addYears(date, amount);
        case "quarter":
          return addQuarters(date, amount);
        case "month":
          return addMonths(date, amount);
        case "week":
          return addWeeks(date, amount);
        case "date":
        case "day":
          return addDays(date, amount);
      }
    },
    startOf: (date, type) => {
      switch (type) {
        case "year":
          return startOfYear(date);
        case "quarter":
          return startOfQuarter(date);
        case "month":
          return startOfMonth(date);
        case "week":
          return startOfWeek(date, { locale: locale2.date });
        case "date":
        case "day":
          return startOfDay(date);
        case "hour":
          return startOfHour(date);
        case "minute":
          return startOfMinute(date);
        case "second":
        case "millisecond":
          return startOfSecond(date);
      }
    },
    endOf: (date, type) => {
      switch (type) {
        case "year":
          return endOfYear(date);
        case "quarter":
          return endOfQuarter(date);
        case "month":
          return endOfMonth(date);
        case "week":
          return endOfWeek(date, { locale: locale2.date });
        case "date":
        case "day":
          return endOfDay(date);
        case "hour":
          return endOfHour(date);
        case "minute":
          return endOfMinute(date);
        case "second":
        case "millisecond":
          return endOfSecond(date);
      }
    },
    isSame: (date, dateToCompare, type) => {
      switch (type) {
        case "year":
          return isSameYear(date, dateToCompare);
        case "quarter":
          return isSameQuarter(date, dateToCompare);
        case "month":
          return isSameMonth(date, dateToCompare);
        case "week":
          return isSameWeek(date, dateToCompare, { locale: locale2.date });
        case "date":
        case "day":
          return isSameDay(date, dateToCompare);
        case "hour":
          return isSameHour(date, dateToCompare);
        case "minute":
          return isSameMinute(date, dateToCompare);
        case "second":
          return isSameSecond(date, dateToCompare);
        case "millisecond":
          return toDate(date).getTime() === toDate(dateToCompare).getTime();
      }
    },
    isValid: (date) => isValid(date),
    format: (date, format$1) => format(date, format$1, { locale: locale2.date }),
    parse: parse$1,
    convert: (date, format2) => {
      if (isNil(date)) {
        return now2();
      }
      return isString(date) ? parse$1(date, format2) : toDate(date);
    },
    getLocalizedLabels: (type, length, width) => {
      const localize2 = locale2.date.localize;
      switch (type) {
        case "month":
          return Array.from({ length }).map((_, i2) => localize2.month(i2, { width }));
        case "day":
          return Array.from({ length }).map((_, i2) => localize2.day(i2, { width }));
        case "dayPeriod":
          return Array.from({ length }).map((_, i2) => localize2.dayPeriod(i2, { width }));
      }
    }
  };
}
const presetColors = [
  "red",
  "orange",
  "brown",
  "yellow",
  "canary",
  "bud",
  "green",
  "turquoise",
  "cyan",
  "glacier",
  "blue",
  "indigo",
  "purple",
  "magenta"
];
function isPresetColor(color) {
  return presetColors.includes(color);
}
const statusColors = ["primary", "info", "pending", "success", "warning", "error"];
function isStatusColor(color) {
  return statusColors.includes(color);
}
function convertTarget(target) {
  const temp = isFunction(target) ? target() : target;
  if (isString(temp)) {
    const targetDom = document.querySelector(temp);
    if (targetDom) {
      return targetDom;
    } else {
      return window;
    }
  }
  return temp || window;
}
function convertIconVNode(slots, props, keyOrParams, slotParams) {
  let iconSlot;
  let iconName;
  const isKey2 = isString(keyOrParams);
  const params = isKey2 ? slotParams : keyOrParams;
  if (isKey2) {
    iconSlot = slots[keyOrParams];
    if (!iconSlot) {
      iconName = props[keyOrParams];
    }
  } else {
    iconSlot = slots;
    iconName = props;
  }
  if (iconSlot) {
    return iconSlot(params);
  }
  return isString(iconName) && iconName !== "" ? createVNode(IxIcon, { name: iconName }, null) : isFunction(iconName) ? iconName(params) : iconName;
}
function convertStringVNode(slots, props, keyOrParams, slotParams) {
  let labelSlot;
  let label;
  const isKey2 = isString(keyOrParams);
  const params = isKey2 ? slotParams : keyOrParams;
  if (isKey2) {
    labelSlot = slots[keyOrParams];
    if (!labelSlot) {
      label = props[keyOrParams];
    }
  } else {
    labelSlot = slots;
    label = props;
  }
  return labelSlot ? labelSlot(params) : isFunction(label) ? label(params) : label;
}
const typeApplySequence = [
  "year",
  "month",
  "date",
  "hour",
  "minute",
  "second",
  "millisecond"
];
function convertToDate$1(dateConfig, value, format2) {
  if (!value) {
    return void 0;
  }
  return dateConfig.convert(value, format2);
}
function applyDateTime(dateConfig, sourceDate, targetDate, types) {
  const { set, get: get2, endOf } = dateConfig;
  const typesArray = convertArray(types);
  return typesArray.reduce((date, type) => {
    const _type = type === "week" || type === "day" ? "date" : type;
    const typeIndex = typeApplySequence.indexOf(_type);
    const value = dateConfig.get(sourceDate, _type);
    if (typeIndex <= 0) {
      return dateConfig.set(date, value, _type);
    }
    const maxValue = get2(endOf(targetDate, typeApplySequence[typeIndex - 1]), _type);
    return set(date, Math.min(maxValue, value), _type);
  }, targetDate);
}
function isSameDateTime(dateConfig, sourceDate, targetDate, types) {
  const typesArray = convertArray(types);
  return typesArray.every((type) => dateConfig.get(sourceDate, type) === dateConfig.get(targetDate, type));
}
function compareDateTime(dateConfig, v1, v2, type = "time") {
  if (!v1) {
    return 1;
  }
  if (!v2) {
    return 0;
  }
  if (type === "time") {
    return v1.valueOf() - v2.valueOf();
  }
  return dateConfig.startOf(v1, type).valueOf() - dateConfig.startOf(v2, type).valueOf();
}
function sortRangeValue$1(dateConfig, values, type = "time") {
  return values.sort((v1, v2) => compareDateTime(dateConfig, v1, v2, type));
}
function getTypeForSequenceSearch(type) {
  switch (type) {
    case "week":
      return "date";
    case "day":
      return "date";
    case "quarter":
      return "month";
    default:
      return type;
  }
}
function applyDateOfPropValue(dateConfig, value, propValue, type) {
  const typeForSequenceSearch = getTypeForSequenceSearch(type);
  const typesToApplay = typeApplySequence.slice(typeApplySequence.indexOf(typeForSequenceSearch) + 1);
  return applyDateTime(dateConfig, propValue, value, typesToApplay);
}
function adjustRangeBoundary(dateConfig, value, propValue, type, isStart) {
  if (!value) {
    return;
  }
  if (propValue) {
    return applyDateOfPropValue(dateConfig, value, propValue, type);
  }
  return isStart ? dateConfig.startOf(value, type) : dateConfig.endOf(value, type);
}
function adjustRangeValue(dateConfig, values, propValues, type) {
  if (!values) {
    return;
  }
  const [start, end] = values;
  return [
    adjustRangeBoundary(dateConfig, start, propValues == null ? void 0 : propValues[0], type, true),
    adjustRangeBoundary(dateConfig, end, propValues == null ? void 0 : propValues[1], type, false)
  ];
}
function usePortalTarget(props, config, common, mergedPrefix) {
  return computed(() => {
    var _a, _b, _c;
    const container = (_b = (_a = props.container) != null ? _a : config.container) != null ? _b : common.overlayContainer;
    return (_c = isFunction(container) ? container() : container) != null ? _c : `.${mergedPrefix.value}-container`;
  });
}
function useGetDisabled(props) {
  return computed(() => {
    const { disableData } = props;
    return (data) => {
      return data.disabled || (disableData ? disableData(data) : false);
    };
  });
}
function useElementSize(measureSpanRef) {
  const [size, setSize] = useState({ width: 0, height: 0 });
  useResizeObserver(measureSpanRef, ({ contentRect }) => {
    setSize({ width: contentRect.width, height: contentRect.height });
  });
  return size;
}
function useKey() {
  return useKey$1();
}
function useGetKey(props, config, location) {
  return computed(() => {
    const { getKey = config.getKey } = props;
    if (isString(getKey)) {
      return (data) => {
        const key = data[getKey];
        return key;
      };
    }
    return getKey;
  });
}
function useTreeCheckStateResolver(dataOrContext, childrenKey, getKey, cascadeStrategy) {
  const _getContext = (dataOrContext2) => {
    if (!isArray(dataOrContext2)) {
      return dataOrContext2;
    }
    return getTreeCheckStateResolverContext(dataOrContext2, childrenKey.value, getKey.value);
  };
  const mergedCascadeStrategy = computed(() => {
    var _a;
    return (_a = cascadeStrategy == null ? void 0 : cascadeStrategy.value) != null ? _a : "all";
  });
  const _context = computed(() => _getContext(dataOrContext.value));
  const _getParents = (key, resolverContext) => {
    const { parentKeyMap, dataMap } = resolverContext;
    const parents = [];
    let currentKey = key;
    while (parentKeyMap.has(currentKey)) {
      const parentKey = parentKeyMap.get(currentKey);
      const parent = dataMap.get(parentKey);
      parent && parents.push(parent);
      currentKey = parentKey;
    }
    return parents;
  };
  const _getAllData = () => {
    const { data, parentKeyMap, dataMap } = _context.value;
    if (data) {
      return data;
    }
    const _data = [];
    for (const key of parentKeyMap.keys()) {
      if (!parentKeyMap.has(key) && dataMap.has(key)) {
        _data.push(dataMap.get(key));
      }
    }
    return _data;
  };
  const _append = (checkedKeys, appendedKeys, resolverContext) => {
    if (!appendedKeys.length) {
      return Array.from(checkedKeys);
    }
    if (mergedCascadeStrategy.value === "off") {
      return Array.from(/* @__PURE__ */ new Set([...checkedKeys, ...appendedKeys]));
    }
    const { dataMap } = resolverContext;
    const newKeySet = new Set(checkedKeys);
    const topMostCheckedKeys = /* @__PURE__ */ new Set();
    appendedKeys.forEach((key) => {
      if (!dataMap.has(key) || newKeySet.has(key)) {
        return;
      }
      const treeData = dataMap.get(key);
      const children = treeData[childrenKey.value];
      newKeySet.add(key);
      topMostCheckedKeys.add(key);
      if (children == null ? void 0 : children.length) {
        getTreeKeys(children, childrenKey.value, getKey.value, mergedCascadeStrategy.value === "child").forEach((key2) => {
          newKeySet.add(key2);
          topMostCheckedKeys.delete(key2);
        });
      }
    });
    if (mergedCascadeStrategy.value === "child") {
      return Array.from(newKeySet).filter((key) => {
        var _a, _b;
        return !((_b = (_a = dataMap.get(key)) == null ? void 0 : _a[childrenKey.value]) == null ? void 0 : _b.length);
      });
    }
    topMostCheckedKeys.forEach((key) => {
      _getParents(key, resolverContext).forEach((parent) => {
        var _a;
        if ((_a = parent[childrenKey.value]) == null ? void 0 : _a.every((child) => newKeySet.has(getKey.value(child)))) {
          newKeySet.add(getKey.value(parent));
        }
      });
    });
    if (mergedCascadeStrategy.value === "all") {
      return Array.from(newKeySet);
    }
    newKeySet.forEach((key) => {
      var _a;
      if (!newKeySet.has(key)) {
        return;
      }
      const children = (_a = dataMap.get(key)) == null ? void 0 : _a[childrenKey.value];
      if (children) {
        traverseTree(children, childrenKey.value, (item) => {
          newKeySet.delete(getKey.value(item));
        });
      }
    });
    return Array.from(newKeySet);
  };
  const _remove = (checkedKeys, removedKeys, resolverContext) => {
    if (!removedKeys.length) {
      return Array.from(checkedKeys);
    }
    const newKeySet = new Set(checkedKeys);
    if (mergedCascadeStrategy.value === "off") {
      removedKeys.forEach((key) => {
        newKeySet.delete(key);
      });
      return Array.from(newKeySet);
    }
    const { dataMap } = resolverContext;
    const deletedKeys = /* @__PURE__ */ new Set();
    const deleteKey = (key) => {
      deletedKeys.add(key);
      newKeySet.delete(key);
    };
    removedKeys.forEach((key) => {
      if (!dataMap.has(key)) {
        return;
      }
      getTreeKeys([dataMap.get(key)], childrenKey.value, getKey.value).forEach((key2) => {
        deleteKey(key2);
      });
      const parents = _getParents(key, resolverContext);
      if (mergedCascadeStrategy.value === "parent") {
        const keysInChain = [key, ...parents.map(getKey.value)];
        const selectedKeyIdx = keysInChain.findIndex((key2) => newKeySet.has(key2));
        if (selectedKeyIdx > -1) {
          parents.slice(0, selectedKeyIdx).forEach((parent) => {
            if (!parent[childrenKey.value]) {
              return;
            }
            parent[childrenKey.value].forEach((child) => {
              const childKey = getKey.value(child);
              if (!deletedKeys.has(childKey)) {
                newKeySet.add(childKey);
              }
            });
            deleteKey(getKey.value(parent));
          });
        }
      } else {
        parents.forEach((parent) => {
          deleteKey(getKey.value(parent));
        });
      }
    });
    return Array.from(newKeySet);
  };
  const appendKeys = (checkedKeys, appendedKeys) => _append(checkedKeys, appendedKeys, _context.value);
  const removeKeys = (checkedKeys, removedKeys) => _remove(checkedKeys, removedKeys, _context.value);
  const _getAllCheckedKeys = (data, defaultUnCheckedKeys) => {
    const _data = data != null ? data : _getAllData();
    const tempKeys = mergedCascadeStrategy.value === "parent" ? _data.map(getKey.value) : new Set(getTreeKeys(_data, childrenKey.value, getKey.value, mergedCascadeStrategy.value === "child"));
    return _remove(tempKeys, defaultUnCheckedKeys, data ? _getContext(data) : _context.value);
  };
  const _getAllUncheckedKeys = (data, defaultCheckedKeys) => {
    return _append([], defaultCheckedKeys, data ? _getContext(data) : _context.value);
  };
  const getAllCheckedKeys = (data, defaultUnCheckedKeys) => {
    const dataProvided = ((data2) => isObject(data2 == null ? void 0 : data2[0]))(data);
    return _getAllCheckedKeys(
      dataProvided ? data : void 0,
      defaultUnCheckedKeys != null ? defaultUnCheckedKeys : dataProvided ? [] : data != null ? data : []
    );
  };
  const getAllUncheckedKeys = (data, defaultCheckedKeys) => {
    const dataProvided = ((data2) => isObject(data2 == null ? void 0 : data2[0]))(data);
    return _getAllUncheckedKeys(
      dataProvided ? data : void 0,
      defaultCheckedKeys != null ? defaultCheckedKeys : dataProvided ? [] : data != null ? data : []
    );
  };
  return {
    appendKeys,
    removeKeys,
    getAllCheckedKeys,
    getAllUncheckedKeys
  };
}
function getTreeCheckStateResolverContext(data, childrenKey, getKey) {
  const dataMap = /* @__PURE__ */ new Map();
  const parentKeyMap = /* @__PURE__ */ new Map();
  const depthMap = /* @__PURE__ */ new Map();
  traverseTree(data, childrenKey, (item, parents) => {
    const key = getKey(item);
    const parent = parents[0];
    dataMap.set(key, item);
    depthMap.set(key, parents.length);
    if (parent) {
      parentKeyMap.set(key, getKey(parent));
    }
  });
  return {
    data,
    dataMap,
    parentKeyMap,
    depthMap
  };
}
function useTreeCheckState(checkedKeys, resolverContext, childrenKey, getKey, cascaderStrategy, isDisabled) {
  const {
    mergedResolverContext,
    cachedSelectedData,
    checkStateResolver,
    allCheckStateResolver,
    allCheckedKeySet,
    unexistedKeys
  } = useResolvers(checkedKeys, resolverContext, childrenKey, getKey, cascaderStrategy);
  const checkDisabledKeySet = computed(() => {
    const { dataMap } = mergedResolverContext.value;
    const disabledKeys = /* @__PURE__ */ new Set();
    dataMap.forEach((data, key) => {
      var _a;
      if ((_a = isDisabled.value) == null ? void 0 : _a.call(isDisabled, data)) {
        disabledKeys.add(key);
      }
    });
    return disabledKeys;
  });
  const indeterminateKeySet = computed(() => {
    const { parentKeyMap } = mergedResolverContext.value;
    const _checkedKeySet = allCheckedKeySet.value;
    if (_checkedKeySet.size === 0 || cascaderStrategy.value === "off") {
      return /* @__PURE__ */ new Set();
    }
    const keySet = /* @__PURE__ */ new Set();
    _checkedKeySet.forEach((key) => {
      let parentKey = parentKeyMap.get(key);
      if (!isNil(parentKey) && !_checkedKeySet.has(parentKey)) {
        while (!isNil(parentKey)) {
          keySet.add(parentKey);
          parentKey = parentKeyMap.get(parentKey);
        }
      }
    });
    return keySet;
  });
  const isCheckDisabled = (key) => {
    return checkDisabledKeySet.value.has(key);
  };
  const isChecked = (key) => {
    return allCheckedKeySet.value.has(key);
  };
  const isIndeterminate = (key) => {
    return indeterminateKeySet.value.has(key);
  };
  const appendUnexistedDataKeys = (newCheckedKeys) => {
    return unexistedKeys.value ? [...newCheckedKeys, ...unexistedKeys.value] : newCheckedKeys;
  };
  const toggle = (data) => {
    var _a;
    const currKey = getKey.value(data);
    if (isCheckDisabled(currKey)) {
      return {
        checked: isChecked(currKey),
        checkedKeys: checkedKeys.value
      };
    }
    const children = cascaderStrategy.value !== "off" ? (_a = data[childrenKey.value]) != null ? _a : [] : [];
    const checked = isChecked(currKey) || !!children.length && children.every((child) => {
      const childKey = getKey.value(child);
      return isChecked(childKey) || isIndeterminate(childKey) || isCheckDisabled(childKey);
    });
    const _checkedKeys = checkStateResolver.appendKeys([], checkedKeys.value);
    const newCheckedKeys = checkStateResolver[checked ? "removeKeys" : "appendKeys"](_checkedKeys, [currKey]);
    const disabledKeys = checked ? [...allCheckedKeySet.value].filter((key) => isCheckDisabled(key)) : (cascaderStrategy.value === "parent" ? allCheckStateResolver.appendKeys([], newCheckedKeys) : newCheckedKeys).filter((key) => isCheckDisabled(key) && !allCheckedKeySet.value.has(key));
    const resolvedCheckedKeys = appendUnexistedDataKeys(
      checkStateResolver[checked ? "appendKeys" : "removeKeys"](newCheckedKeys, disabledKeys)
    );
    return {
      checked: !checked,
      checkedKeys: resolvedCheckedKeys
    };
  };
  const resolveAllCheckedFnParams = (data, defaultKeysOrCached, cached) => {
    var _a;
    const dataProvided = ((data2) => isArray(data2) && isObject(data2 == null ? void 0 : data2[0]))(data);
    const _defaultKeys = (_a = dataProvided ? isBoolean(defaultKeysOrCached) ? [] : defaultKeysOrCached : data) != null ? _a : [];
    const _cached = dataProvided ? isBoolean(defaultKeysOrCached) ? defaultKeysOrCached : cached : void 0;
    const _data = dataProvided ? _cached ? mergeTree(data, cachedSelectedData.value, childrenKey.value, getKey.value) : data : [];
    return {
      dataProvided,
      data: _data,
      defaultKeys: _defaultKeys,
      cached: _cached
    };
  };
  const getAllCheckedKeys = (data, defaultUnCheckedKeysOrCached, cached) => {
    const params = resolveAllCheckedFnParams(data, defaultUnCheckedKeysOrCached, cached);
    const allCheckedKeys = params.dataProvided ? checkStateResolver.getAllCheckedKeys(params.data, params.defaultKeys) : checkStateResolver.getAllCheckedKeys(params.defaultKeys);
    return appendUnexistedDataKeys(allCheckedKeys);
  };
  const getAllUncheckedKeys = (data, defaultCheckedKeysOrCached, cached) => {
    const params = resolveAllCheckedFnParams(data, defaultCheckedKeysOrCached, cached);
    const allUnCheckedKeys = params.dataProvided ? checkStateResolver.getAllUncheckedKeys(params.data, params.defaultKeys) : checkStateResolver.getAllUncheckedKeys(params.defaultKeys);
    return appendUnexistedDataKeys(allUnCheckedKeys);
  };
  const getDataByKeys = (keys2) => {
    const { dataMap } = mergedResolverContext.value;
    return keys2.map((key) => dataMap.get(key)).filter(Boolean);
  };
  return {
    allCheckedKeySet,
    checkDisabledKeySet,
    checkStateResolver,
    isChecked,
    isCheckDisabled,
    isIndeterminate,
    toggle,
    getAllCheckedKeys,
    getAllUncheckedKeys,
    getDataByKeys
  };
}
function useResolvers(checkedKeys, resolverContext, childrenKey, getKey, cascaderStrategy) {
  const cachedSelectedData = shallowRef([]);
  const cachedSelectedDataReolverContext = computed(
    () => getTreeCheckStateResolverContext(cachedSelectedData.value, childrenKey.value, getKey.value)
  );
  const mergedResolverContext = shallowRef(resolverContext.value);
  const allCheckedKeySet = shallowRef(/* @__PURE__ */ new Set());
  const unexistedKeys = { value: [] };
  const checkStateResolver = useTreeCheckStateResolver(mergedResolverContext, childrenKey, getKey, cascaderStrategy);
  const allCheckStateResolver = useTreeCheckStateResolver(
    mergedResolverContext,
    childrenKey,
    getKey,
    computed(() => "all")
  );
  const updateMergedContext = () => {
    updateCachedSelectedData();
    const { data, dataMap, parentKeyMap, depthMap } = resolverContext.value;
    const {
      data: cachedData,
      dataMap: cachedDataMap,
      parentKeyMap: cachedParentMap,
      depthMap: cachedDepthMap
    } = cachedSelectedDataReolverContext.value;
    const mergedData = mergeTree(data != null ? data : [], cachedData != null ? cachedData : [], childrenKey.value, getKey.value);
    const mergedDataMap = new Map(dataMap);
    const _cachedDataMap = new Map(cachedDataMap);
    mergedDataMap.forEach((item, key) => {
      if (_cachedDataMap.has(key)) {
        const cachedItem = _cachedDataMap.get(key);
        mergedDataMap.set(key, mergeTree([item], [cachedItem], childrenKey.value, getKey.value)[0]);
        _cachedDataMap.delete(key);
      }
    });
    _cachedDataMap.forEach((item, key) => {
      mergedDataMap.set(key, item);
    });
    const mergedParentKeyMap = new Map([...cachedParentMap, ...parentKeyMap]);
    const mergedDepthMap = new Map([...cachedDepthMap, ...depthMap]);
    mergedResolverContext.value = {
      data: mergedData,
      dataMap: mergedDataMap,
      parentKeyMap: mergedParentKeyMap,
      depthMap: mergedDepthMap
    };
  };
  const updateCachedSelectedData = () => {
    const { data } = mergedResolverContext.value;
    const keySet = allCheckedKeySet.value;
    cachedSelectedData.value = filterTree(data != null ? data : [], childrenKey.value, (item) => keySet.has(getKey.value(item)), "or");
  };
  const updateAllSelectedKeySet = () => {
    const keys2 = cascaderStrategy.value === "off" ? checkedKeys.value : allCheckStateResolver.appendKeys([], checkedKeys.value);
    const keySet = new Set(keys2);
    allCheckedKeySet.value = keySet;
    const newUnexistedKeys = checkedKeys.value.filter((key) => !keySet.has(key));
    unexistedKeys.value = newUnexistedKeys;
  };
  watch(resolverContext, updateMergedContext);
  watch([checkedKeys, mergedResolverContext, cascaderStrategy], updateAllSelectedKeySet, { immediate: true });
  return {
    mergedResolverContext,
    cachedSelectedData,
    checkStateResolver,
    allCheckStateResolver,
    allCheckedKeySet,
    unexistedKeys
  };
}
function useOverlayFocusMonitor(onFocus, onBlur) {
  const [focused, setFocused] = useState(false);
  const [overlayFocused, setOverlayFocused] = useState(false);
  const [triggerFocused, setTriggerFocused] = useState(false);
  const { monitor, stopMonitoring, focusVia: _focusVia, blurVia } = useSharedFocusMonitor();
  const { handleFocus: _handleFocus, handleBlur: _handleBlur } = useFocusHandlers(focused, setFocused, onFocus, onBlur);
  const handleFocus = (evt) => {
    _handleFocus(evt);
    setTriggerFocused(true);
  };
  const handleBlur = (evt) => {
    _handleBlur(evt);
    setTriggerFocused(false);
  };
  const monitorStops = /* @__PURE__ */ new Set();
  const _bindMonitor = (el, isOverlay = false) => {
    const stop = watch(monitor(el, true), (evt) => {
      const { origin, event } = evt;
      if (event) {
        if (origin) {
          _handleFocus(event, origin);
          isOverlay ? setOverlayFocused(true) : setTriggerFocused(true);
        } else {
          _handleBlur(event);
          isOverlay ? setOverlayFocused(false) : setTriggerFocused(false);
        }
      }
    });
    return () => {
      stop();
      stopMonitoring(el);
    };
  };
  const bindMonitor = (elRef) => {
    let stop;
    const stopWatch = watch(
      elRef,
      (el) => {
        stop == null ? void 0 : stop();
        if (!el) {
          return;
        }
        stop = _bindMonitor(el);
      },
      {
        immediate: true
      }
    );
    const stopMonitor = () => {
      stop == null ? void 0 : stop();
      stopWatch();
    };
    monitorStops.add(stopMonitor);
    return stopMonitor;
  };
  const bindOverlayMonitor = (overlayRef, overlayOpened) => {
    let stop;
    const stopWatch = watch(
      [() => {
        var _a;
        return (_a = overlayRef.value) == null ? void 0 : _a.getPopperElement();
      }, overlayOpened],
      ([el, opened]) => {
        stop == null ? void 0 : stop();
        if (!opened || !el) {
          return;
        }
        stop = _bindMonitor(el, true);
      },
      {
        immediate: true
      }
    );
    const stopMonitor = () => {
      stop == null ? void 0 : stop();
      stopWatch();
    };
    monitorStops.add(stopMonitor);
    return stopMonitor;
  };
  const unbindAllMonitor = () => {
    monitorStops.forEach((stop) => stop());
  };
  const focusVia = (elRef, origin, options) => {
    _focusVia(elRef, origin != null ? origin : "program", options);
  };
  tryOnScopeDispose(() => {
    unbindAllMonitor();
  });
  return {
    focused,
    overlayFocused,
    triggerFocused,
    bindMonitor,
    bindOverlayMonitor,
    focusVia,
    blurVia,
    handleFocus,
    handleBlur
  };
}
function useFocusHandlers(focused, setFocused, onFocus, onBlur) {
  let lastFocusEvtTime = 0;
  const checkSubsequentFocus = async (evt) => {
    await new Promise((resolve) => setTimeout(resolve));
    return lastFocusEvtTime >= evt.timeStamp;
  };
  const handleBlur = async (evt) => {
    if (await checkSubsequentFocus(evt)) {
      return;
    }
    setFocused(false);
    onBlur(evt);
  };
  const handleFocus = (evt, origin) => {
    lastFocusEvtTime = evt.timeStamp;
    if (focused.value) {
      return;
    }
    setFocused(true);
    onFocus(evt, origin != null ? origin : "program");
  };
  return {
    handleFocus,
    handleBlur
  };
}
function getBaseColors$1() {
  return {
    red: "#f52727",
    orange: "#fa721b",
    brown: "#fdaa1d",
    yellow: "#f8d81a",
    canary: "#fcd200",
    bud: "#8dd118",
    green: "#39c317",
    turquoise: "#20cc94",
    cyan: "#19d2db",
    glacier: "#1ba0f2",
    blue: "#1c6eff",
    indigo: "#2229f6",
    purple: "#7824ff",
    magenta: "#d619be",
    graphite: "#a1a7b3",
    grey: "#a3a3a3",
    white: "#ffffff",
    black: "#000000",
    gold: "#e7aa40",
    silver: "#a9b4c8",
    bronze: "#c97f58"
  };
}
function bound01(n, max) {
  if (isOnePointZero(n)) {
    n = "100%";
  }
  const isPercent = isPercentage(n);
  n = max === 360 ? n : Math.min(max, Math.max(0, parseFloat(n)));
  if (isPercent) {
    n = parseInt(String(n * max), 10) / 100;
  }
  if (Math.abs(n - max) < 1e-6) {
    return 1;
  }
  if (max === 360) {
    n = (n < 0 ? n % max + max : n % max) / parseFloat(String(max));
  } else {
    n = n % max / parseFloat(String(max));
  }
  return n;
}
function clamp01(val) {
  return Math.min(1, Math.max(0, val));
}
function isOnePointZero(n) {
  return typeof n === "string" && n.indexOf(".") !== -1 && parseFloat(n) === 1;
}
function isPercentage(n) {
  return typeof n === "string" && n.indexOf("%") !== -1;
}
function boundAlpha(a3) {
  a3 = parseFloat(a3);
  if (isNaN(a3) || a3 < 0 || a3 > 1) {
    a3 = 1;
  }
  return a3;
}
function convertToPercentage(n) {
  if (Number(n) <= 1) {
    return `${Number(n) * 100}%`;
  }
  return n;
}
function pad2(c2) {
  return c2.length === 1 ? "0" + c2 : String(c2);
}
function rgbToRgb(r, g, b2) {
  return {
    r: bound01(r, 255) * 255,
    g: bound01(g, 255) * 255,
    b: bound01(b2, 255) * 255
  };
}
function rgbToHsl(r, g, b2) {
  r = bound01(r, 255);
  g = bound01(g, 255);
  b2 = bound01(b2, 255);
  const max = Math.max(r, g, b2);
  const min = Math.min(r, g, b2);
  let h4 = 0;
  let s3 = 0;
  const l = (max + min) / 2;
  if (max === min) {
    s3 = 0;
    h4 = 0;
  } else {
    const d3 = max - min;
    s3 = l > 0.5 ? d3 / (2 - max - min) : d3 / (max + min);
    switch (max) {
      case r:
        h4 = (g - b2) / d3 + (g < b2 ? 6 : 0);
        break;
      case g:
        h4 = (b2 - r) / d3 + 2;
        break;
      case b2:
        h4 = (r - g) / d3 + 4;
        break;
    }
    h4 /= 6;
  }
  return { h: h4, s: s3, l };
}
function hue2rgb(p, q2, t2) {
  if (t2 < 0) {
    t2 += 1;
  }
  if (t2 > 1) {
    t2 -= 1;
  }
  if (t2 < 1 / 6) {
    return p + (q2 - p) * (6 * t2);
  }
  if (t2 < 1 / 2) {
    return q2;
  }
  if (t2 < 2 / 3) {
    return p + (q2 - p) * (2 / 3 - t2) * 6;
  }
  return p;
}
function hslToRgb(h4, s3, l) {
  let r;
  let g;
  let b2;
  h4 = bound01(h4, 360);
  s3 = bound01(s3, 100);
  l = bound01(l, 100);
  if (s3 === 0) {
    g = l;
    b2 = l;
    r = l;
  } else {
    const q2 = l < 0.5 ? l * (1 + s3) : l + s3 - l * s3;
    const p = 2 * l - q2;
    r = hue2rgb(p, q2, h4 + 1 / 3);
    g = hue2rgb(p, q2, h4);
    b2 = hue2rgb(p, q2, h4 - 1 / 3);
  }
  return { r: r * 255, g: g * 255, b: b2 * 255 };
}
function rgbToHsv(r, g, b2) {
  r = bound01(r, 255);
  g = bound01(g, 255);
  b2 = bound01(b2, 255);
  const max = Math.max(r, g, b2);
  const min = Math.min(r, g, b2);
  let h4 = 0;
  const v = max;
  const d3 = max - min;
  const s3 = max === 0 ? 0 : d3 / max;
  if (max === min) {
    h4 = 0;
  } else {
    switch (max) {
      case r:
        h4 = (g - b2) / d3 + (g < b2 ? 6 : 0);
        break;
      case g:
        h4 = (b2 - r) / d3 + 2;
        break;
      case b2:
        h4 = (r - g) / d3 + 4;
        break;
    }
    h4 /= 6;
  }
  return { h: h4, s: s3, v };
}
function hsvToRgb(h4, s3, v) {
  h4 = bound01(h4, 360) * 6;
  s3 = bound01(s3, 100);
  v = bound01(v, 100);
  const i2 = Math.floor(h4);
  const f = h4 - i2;
  const p = v * (1 - s3);
  const q2 = v * (1 - f * s3);
  const t2 = v * (1 - (1 - f) * s3);
  const mod = i2 % 6;
  const r = [v, q2, p, p, t2, v][mod];
  const g = [t2, v, v, q2, p, p][mod];
  const b2 = [p, p, t2, v, v, q2][mod];
  return { r: r * 255, g: g * 255, b: b2 * 255 };
}
function rgbToHex(r, g, b2, allow3Char) {
  const hex = [
    pad2(Math.round(r).toString(16)),
    pad2(Math.round(g).toString(16)),
    pad2(Math.round(b2).toString(16))
  ];
  if (allow3Char && hex[0].startsWith(hex[0].charAt(1)) && hex[1].startsWith(hex[1].charAt(1)) && hex[2].startsWith(hex[2].charAt(1))) {
    return hex[0].charAt(0) + hex[1].charAt(0) + hex[2].charAt(0);
  }
  return hex.join("");
}
function rgbaToHex(r, g, b2, a3, allow4Char) {
  const hex = [
    pad2(Math.round(r).toString(16)),
    pad2(Math.round(g).toString(16)),
    pad2(Math.round(b2).toString(16)),
    pad2(convertDecimalToHex(a3))
  ];
  if (allow4Char && hex[0].startsWith(hex[0].charAt(1)) && hex[1].startsWith(hex[1].charAt(1)) && hex[2].startsWith(hex[2].charAt(1)) && hex[3].startsWith(hex[3].charAt(1))) {
    return hex[0].charAt(0) + hex[1].charAt(0) + hex[2].charAt(0) + hex[3].charAt(0);
  }
  return hex.join("");
}
function cmykToRgb(c2, m3, y3, k2) {
  const cConv = c2 / 100;
  const mConv = m3 / 100;
  const yConv = y3 / 100;
  const kConv = k2 / 100;
  const r = 255 * (1 - cConv) * (1 - kConv);
  const g = 255 * (1 - mConv) * (1 - kConv);
  const b2 = 255 * (1 - yConv) * (1 - kConv);
  return { r, g, b: b2 };
}
function rgbToCmyk(r, g, b2) {
  let c2 = 1 - r / 255;
  let m3 = 1 - g / 255;
  let y3 = 1 - b2 / 255;
  let k2 = Math.min(c2, m3, y3);
  if (k2 === 1) {
    c2 = 0;
    m3 = 0;
    y3 = 0;
  } else {
    c2 = (c2 - k2) / (1 - k2) * 100;
    m3 = (m3 - k2) / (1 - k2) * 100;
    y3 = (y3 - k2) / (1 - k2) * 100;
  }
  k2 *= 100;
  return {
    c: Math.round(c2),
    m: Math.round(m3),
    y: Math.round(y3),
    k: Math.round(k2)
  };
}
function convertDecimalToHex(d3) {
  return Math.round(parseFloat(d3) * 255).toString(16);
}
function convertHexToDecimal(h4) {
  return parseIntFromHex(h4) / 255;
}
function parseIntFromHex(val) {
  return parseInt(val, 16);
}
function numberInputToObject(color) {
  return {
    r: color >> 16,
    g: (color & 65280) >> 8,
    b: color & 255
  };
}
const names = {
  aliceblue: "#f0f8ff",
  antiquewhite: "#faebd7",
  aqua: "#00ffff",
  aquamarine: "#7fffd4",
  azure: "#f0ffff",
  beige: "#f5f5dc",
  bisque: "#ffe4c4",
  black: "#000000",
  blanchedalmond: "#ffebcd",
  blue: "#0000ff",
  blueviolet: "#8a2be2",
  brown: "#a52a2a",
  burlywood: "#deb887",
  cadetblue: "#5f9ea0",
  chartreuse: "#7fff00",
  chocolate: "#d2691e",
  coral: "#ff7f50",
  cornflowerblue: "#6495ed",
  cornsilk: "#fff8dc",
  crimson: "#dc143c",
  cyan: "#00ffff",
  darkblue: "#00008b",
  darkcyan: "#008b8b",
  darkgoldenrod: "#b8860b",
  darkgray: "#a9a9a9",
  darkgreen: "#006400",
  darkgrey: "#a9a9a9",
  darkkhaki: "#bdb76b",
  darkmagenta: "#8b008b",
  darkolivegreen: "#556b2f",
  darkorange: "#ff8c00",
  darkorchid: "#9932cc",
  darkred: "#8b0000",
  darksalmon: "#e9967a",
  darkseagreen: "#8fbc8f",
  darkslateblue: "#483d8b",
  darkslategray: "#2f4f4f",
  darkslategrey: "#2f4f4f",
  darkturquoise: "#00ced1",
  darkviolet: "#9400d3",
  deeppink: "#ff1493",
  deepskyblue: "#00bfff",
  dimgray: "#696969",
  dimgrey: "#696969",
  dodgerblue: "#1e90ff",
  firebrick: "#b22222",
  floralwhite: "#fffaf0",
  forestgreen: "#228b22",
  fuchsia: "#ff00ff",
  gainsboro: "#dcdcdc",
  ghostwhite: "#f8f8ff",
  goldenrod: "#daa520",
  gold: "#ffd700",
  gray: "#808080",
  green: "#008000",
  greenyellow: "#adff2f",
  grey: "#808080",
  honeydew: "#f0fff0",
  hotpink: "#ff69b4",
  indianred: "#cd5c5c",
  indigo: "#4b0082",
  ivory: "#fffff0",
  khaki: "#f0e68c",
  lavenderblush: "#fff0f5",
  lavender: "#e6e6fa",
  lawngreen: "#7cfc00",
  lemonchiffon: "#fffacd",
  lightblue: "#add8e6",
  lightcoral: "#f08080",
  lightcyan: "#e0ffff",
  lightgoldenrodyellow: "#fafad2",
  lightgray: "#d3d3d3",
  lightgreen: "#90ee90",
  lightgrey: "#d3d3d3",
  lightpink: "#ffb6c1",
  lightsalmon: "#ffa07a",
  lightseagreen: "#20b2aa",
  lightskyblue: "#87cefa",
  lightslategray: "#778899",
  lightslategrey: "#778899",
  lightsteelblue: "#b0c4de",
  lightyellow: "#ffffe0",
  lime: "#00ff00",
  limegreen: "#32cd32",
  linen: "#faf0e6",
  magenta: "#ff00ff",
  maroon: "#800000",
  mediumaquamarine: "#66cdaa",
  mediumblue: "#0000cd",
  mediumorchid: "#ba55d3",
  mediumpurple: "#9370db",
  mediumseagreen: "#3cb371",
  mediumslateblue: "#7b68ee",
  mediumspringgreen: "#00fa9a",
  mediumturquoise: "#48d1cc",
  mediumvioletred: "#c71585",
  midnightblue: "#191970",
  mintcream: "#f5fffa",
  mistyrose: "#ffe4e1",
  moccasin: "#ffe4b5",
  navajowhite: "#ffdead",
  navy: "#000080",
  oldlace: "#fdf5e6",
  olive: "#808000",
  olivedrab: "#6b8e23",
  orange: "#ffa500",
  orangered: "#ff4500",
  orchid: "#da70d6",
  palegoldenrod: "#eee8aa",
  palegreen: "#98fb98",
  paleturquoise: "#afeeee",
  palevioletred: "#db7093",
  papayawhip: "#ffefd5",
  peachpuff: "#ffdab9",
  peru: "#cd853f",
  pink: "#ffc0cb",
  plum: "#dda0dd",
  powderblue: "#b0e0e6",
  purple: "#800080",
  rebeccapurple: "#663399",
  red: "#ff0000",
  rosybrown: "#bc8f8f",
  royalblue: "#4169e1",
  saddlebrown: "#8b4513",
  salmon: "#fa8072",
  sandybrown: "#f4a460",
  seagreen: "#2e8b57",
  seashell: "#fff5ee",
  sienna: "#a0522d",
  silver: "#c0c0c0",
  skyblue: "#87ceeb",
  slateblue: "#6a5acd",
  slategray: "#708090",
  slategrey: "#708090",
  snow: "#fffafa",
  springgreen: "#00ff7f",
  steelblue: "#4682b4",
  tan: "#d2b48c",
  teal: "#008080",
  thistle: "#d8bfd8",
  tomato: "#ff6347",
  turquoise: "#40e0d0",
  violet: "#ee82ee",
  wheat: "#f5deb3",
  white: "#ffffff",
  whitesmoke: "#f5f5f5",
  yellow: "#ffff00",
  yellowgreen: "#9acd32"
};
function inputToRGB(color) {
  let rgb = { r: 0, g: 0, b: 0 };
  let a3 = 1;
  let s3 = null;
  let v = null;
  let l = null;
  let ok = false;
  let format2 = false;
  if (typeof color === "string") {
    color = stringInputToObject(color);
  }
  if (typeof color === "object") {
    if (isValidCSSUnit(color.r) && isValidCSSUnit(color.g) && isValidCSSUnit(color.b)) {
      rgb = rgbToRgb(color.r, color.g, color.b);
      ok = true;
      format2 = String(color.r).substr(-1) === "%" ? "prgb" : "rgb";
    } else if (isValidCSSUnit(color.h) && isValidCSSUnit(color.s) && isValidCSSUnit(color.v)) {
      s3 = convertToPercentage(color.s);
      v = convertToPercentage(color.v);
      rgb = hsvToRgb(color.h, s3, v);
      ok = true;
      format2 = "hsv";
    } else if (isValidCSSUnit(color.h) && isValidCSSUnit(color.s) && isValidCSSUnit(color.l)) {
      s3 = convertToPercentage(color.s);
      l = convertToPercentage(color.l);
      rgb = hslToRgb(color.h, s3, l);
      ok = true;
      format2 = "hsl";
    } else if (isValidCSSUnit(color.c) && isValidCSSUnit(color.m) && isValidCSSUnit(color.y) && isValidCSSUnit(color.k)) {
      rgb = cmykToRgb(color.c, color.m, color.y, color.k);
      ok = true;
      format2 = "cmyk";
    }
    if (Object.prototype.hasOwnProperty.call(color, "a")) {
      a3 = color.a;
    }
  }
  a3 = boundAlpha(a3);
  return {
    ok,
    format: color.format || format2,
    r: Math.min(255, Math.max(rgb.r, 0)),
    g: Math.min(255, Math.max(rgb.g, 0)),
    b: Math.min(255, Math.max(rgb.b, 0)),
    a: a3
  };
}
const CSS_INTEGER = "[-\\+]?\\d+%?";
const CSS_NUMBER = "[-\\+]?\\d*\\.\\d+%?";
const CSS_UNIT = "(?:" + CSS_NUMBER + ")|(?:" + CSS_INTEGER + ")";
const PERMISSIVE_MATCH3 = "[\\s|\\(]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")\\s*\\)?";
const PERMISSIVE_MATCH4 = "[\\s|\\(]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")\\s*\\)?";
const matchers = {
  CSS_UNIT: new RegExp(CSS_UNIT),
  rgb: new RegExp("rgb" + PERMISSIVE_MATCH3),
  rgba: new RegExp("rgba" + PERMISSIVE_MATCH4),
  hsl: new RegExp("hsl" + PERMISSIVE_MATCH3),
  hsla: new RegExp("hsla" + PERMISSIVE_MATCH4),
  hsv: new RegExp("hsv" + PERMISSIVE_MATCH3),
  hsva: new RegExp("hsva" + PERMISSIVE_MATCH4),
  cmyk: new RegExp("cmyk" + PERMISSIVE_MATCH4),
  hex3: /^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,
  hex6: /^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/,
  hex4: /^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,
  hex8: /^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/
};
function stringInputToObject(color) {
  color = color.trim().toLowerCase();
  if (color.length === 0) {
    return false;
  }
  let named = false;
  if (names[color]) {
    color = names[color];
    named = true;
  } else if (color === "transparent") {
    return { r: 0, g: 0, b: 0, a: 0, format: "name" };
  }
  let match2 = matchers.rgb.exec(color);
  if (match2) {
    return { r: match2[1], g: match2[2], b: match2[3] };
  }
  match2 = matchers.rgba.exec(color);
  if (match2) {
    return { r: match2[1], g: match2[2], b: match2[3], a: match2[4] };
  }
  match2 = matchers.hsl.exec(color);
  if (match2) {
    return { h: match2[1], s: match2[2], l: match2[3] };
  }
  match2 = matchers.hsla.exec(color);
  if (match2) {
    return { h: match2[1], s: match2[2], l: match2[3], a: match2[4] };
  }
  match2 = matchers.hsv.exec(color);
  if (match2) {
    return { h: match2[1], s: match2[2], v: match2[3] };
  }
  match2 = matchers.hsva.exec(color);
  if (match2) {
    return { h: match2[1], s: match2[2], v: match2[3], a: match2[4] };
  }
  match2 = matchers.cmyk.exec(color);
  if (match2) {
    return {
      c: match2[1],
      m: match2[2],
      y: match2[3],
      k: match2[4]
    };
  }
  match2 = matchers.hex8.exec(color);
  if (match2) {
    return {
      r: parseIntFromHex(match2[1]),
      g: parseIntFromHex(match2[2]),
      b: parseIntFromHex(match2[3]),
      a: convertHexToDecimal(match2[4]),
      format: named ? "name" : "hex8"
    };
  }
  match2 = matchers.hex6.exec(color);
  if (match2) {
    return {
      r: parseIntFromHex(match2[1]),
      g: parseIntFromHex(match2[2]),
      b: parseIntFromHex(match2[3]),
      format: named ? "name" : "hex"
    };
  }
  match2 = matchers.hex4.exec(color);
  if (match2) {
    return {
      r: parseIntFromHex(match2[1] + match2[1]),
      g: parseIntFromHex(match2[2] + match2[2]),
      b: parseIntFromHex(match2[3] + match2[3]),
      a: convertHexToDecimal(match2[4] + match2[4]),
      format: named ? "name" : "hex8"
    };
  }
  match2 = matchers.hex3.exec(color);
  if (match2) {
    return {
      r: parseIntFromHex(match2[1] + match2[1]),
      g: parseIntFromHex(match2[2] + match2[2]),
      b: parseIntFromHex(match2[3] + match2[3]),
      format: named ? "name" : "hex"
    };
  }
  return false;
}
function isValidCSSUnit(color) {
  if (typeof color === "number") {
    return !Number.isNaN(color);
  }
  return matchers.CSS_UNIT.test(color);
}
class TinyColor {
  constructor(color = "", opts = {}) {
    var _a;
    if (color instanceof TinyColor) {
      return color;
    }
    if (typeof color === "number") {
      color = numberInputToObject(color);
    }
    this.originalInput = color;
    const rgb = inputToRGB(color);
    this.originalInput = color;
    this.r = rgb.r;
    this.g = rgb.g;
    this.b = rgb.b;
    this.a = rgb.a;
    this.roundA = Math.round(100 * this.a) / 100;
    this.format = (_a = opts.format) != null ? _a : rgb.format;
    this.gradientType = opts.gradientType;
    if (this.r < 1) {
      this.r = Math.round(this.r);
    }
    if (this.g < 1) {
      this.g = Math.round(this.g);
    }
    if (this.b < 1) {
      this.b = Math.round(this.b);
    }
    this.isValid = rgb.ok;
  }
  isDark() {
    return this.getBrightness() < 128;
  }
  isLight() {
    return !this.isDark();
  }
  getBrightness() {
    const rgb = this.toRgb();
    return (rgb.r * 299 + rgb.g * 587 + rgb.b * 114) / 1e3;
  }
  getLuminance() {
    const rgb = this.toRgb();
    let R2;
    let G2;
    let B2;
    const RsRGB = rgb.r / 255;
    const GsRGB = rgb.g / 255;
    const BsRGB = rgb.b / 255;
    if (RsRGB <= 0.03928) {
      R2 = RsRGB / 12.92;
    } else {
      R2 = Math.pow((RsRGB + 0.055) / 1.055, 2.4);
    }
    if (GsRGB <= 0.03928) {
      G2 = GsRGB / 12.92;
    } else {
      G2 = Math.pow((GsRGB + 0.055) / 1.055, 2.4);
    }
    if (BsRGB <= 0.03928) {
      B2 = BsRGB / 12.92;
    } else {
      B2 = Math.pow((BsRGB + 0.055) / 1.055, 2.4);
    }
    return 0.2126 * R2 + 0.7152 * G2 + 0.0722 * B2;
  }
  getAlpha() {
    return this.a;
  }
  setAlpha(alpha) {
    this.a = boundAlpha(alpha);
    this.roundA = Math.round(100 * this.a) / 100;
    return this;
  }
  isMonochrome() {
    const { s: s3 } = this.toHsl();
    return s3 === 0;
  }
  toHsv() {
    const hsv = rgbToHsv(this.r, this.g, this.b);
    return { h: hsv.h * 360, s: hsv.s, v: hsv.v, a: this.a };
  }
  toHsvString() {
    const hsv = rgbToHsv(this.r, this.g, this.b);
    const h4 = Math.round(hsv.h * 360);
    const s3 = Math.round(hsv.s * 100);
    const v = Math.round(hsv.v * 100);
    return this.a === 1 ? `hsv(${h4}, ${s3}%, ${v}%)` : `hsva(${h4}, ${s3}%, ${v}%, ${this.roundA})`;
  }
  toHsl() {
    const hsl = rgbToHsl(this.r, this.g, this.b);
    return { h: hsl.h * 360, s: hsl.s, l: hsl.l, a: this.a };
  }
  toHslString() {
    const hsl = rgbToHsl(this.r, this.g, this.b);
    const h4 = Math.round(hsl.h * 360);
    const s3 = Math.round(hsl.s * 100);
    const l = Math.round(hsl.l * 100);
    return this.a === 1 ? `hsl(${h4}, ${s3}%, ${l}%)` : `hsla(${h4}, ${s3}%, ${l}%, ${this.roundA})`;
  }
  toHex(allow3Char = false) {
    return rgbToHex(this.r, this.g, this.b, allow3Char);
  }
  toHexString(allow3Char = false) {
    return "#" + this.toHex(allow3Char);
  }
  toHex8(allow4Char = false) {
    return rgbaToHex(this.r, this.g, this.b, this.a, allow4Char);
  }
  toHex8String(allow4Char = false) {
    return "#" + this.toHex8(allow4Char);
  }
  toHexShortString(allowShortChar = false) {
    return this.a === 1 ? this.toHexString(allowShortChar) : this.toHex8String(allowShortChar);
  }
  toRgb() {
    return {
      r: Math.round(this.r),
      g: Math.round(this.g),
      b: Math.round(this.b),
      a: this.a
    };
  }
  toRgbString() {
    const r = Math.round(this.r);
    const g = Math.round(this.g);
    const b2 = Math.round(this.b);
    return this.a === 1 ? `rgb(${r}, ${g}, ${b2})` : `rgba(${r}, ${g}, ${b2}, ${this.roundA})`;
  }
  toPercentageRgb() {
    const fmt = (x2) => `${Math.round(bound01(x2, 255) * 100)}%`;
    return {
      r: fmt(this.r),
      g: fmt(this.g),
      b: fmt(this.b),
      a: this.a
    };
  }
  toPercentageRgbString() {
    const rnd = (x2) => Math.round(bound01(x2, 255) * 100);
    return this.a === 1 ? `rgb(${rnd(this.r)}%, ${rnd(this.g)}%, ${rnd(this.b)}%)` : `rgba(${rnd(this.r)}%, ${rnd(this.g)}%, ${rnd(this.b)}%, ${this.roundA})`;
  }
  toCmyk() {
    return {
      ...rgbToCmyk(this.r, this.g, this.b)
    };
  }
  toCmykString() {
    const { c: c2, m: m3, y: y3, k: k2 } = rgbToCmyk(this.r, this.g, this.b);
    return `cmyk(${c2}, ${m3}, ${y3}, ${k2})`;
  }
  toName() {
    if (this.a === 0) {
      return "transparent";
    }
    if (this.a < 1) {
      return false;
    }
    const hex = "#" + rgbToHex(this.r, this.g, this.b, false);
    for (const [key, value] of Object.entries(names)) {
      if (hex === value) {
        return key;
      }
    }
    return false;
  }
  toString(format2) {
    const formatSet = Boolean(format2);
    format2 = format2 != null ? format2 : this.format;
    let formattedString = false;
    const hasAlpha = this.a < 1 && this.a >= 0;
    const needsAlphaFormat = !formatSet && hasAlpha && (format2.startsWith("hex") || format2 === "name");
    if (needsAlphaFormat) {
      if (format2 === "name" && this.a === 0) {
        return this.toName();
      }
      return this.toRgbString();
    }
    if (format2 === "rgb") {
      formattedString = this.toRgbString();
    }
    if (format2 === "prgb") {
      formattedString = this.toPercentageRgbString();
    }
    if (format2 === "hex" || format2 === "hex6") {
      formattedString = this.toHexString();
    }
    if (format2 === "hex3") {
      formattedString = this.toHexString(true);
    }
    if (format2 === "hex4") {
      formattedString = this.toHex8String(true);
    }
    if (format2 === "hex8") {
      formattedString = this.toHex8String();
    }
    if (format2 === "name") {
      formattedString = this.toName();
    }
    if (format2 === "hsl") {
      formattedString = this.toHslString();
    }
    if (format2 === "hsv") {
      formattedString = this.toHsvString();
    }
    if (format2 === "cmyk") {
      formattedString = this.toCmykString();
    }
    return formattedString || this.toHexString();
  }
  toNumber() {
    return (Math.round(this.r) << 16) + (Math.round(this.g) << 8) + Math.round(this.b);
  }
  clone() {
    return new TinyColor(this.toString());
  }
  lighten(amount = 10) {
    const hsl = this.toHsl();
    hsl.l += amount / 100;
    hsl.l = clamp01(hsl.l);
    return new TinyColor(hsl);
  }
  brighten(amount = 10) {
    const rgb = this.toRgb();
    rgb.r = Math.max(0, Math.min(255, rgb.r - Math.round(255 * -(amount / 100))));
    rgb.g = Math.max(0, Math.min(255, rgb.g - Math.round(255 * -(amount / 100))));
    rgb.b = Math.max(0, Math.min(255, rgb.b - Math.round(255 * -(amount / 100))));
    return new TinyColor(rgb);
  }
  darken(amount = 10) {
    const hsl = this.toHsl();
    hsl.l -= amount / 100;
    hsl.l = clamp01(hsl.l);
    return new TinyColor(hsl);
  }
  tint(amount = 10) {
    return this.mix("white", amount);
  }
  shade(amount = 10) {
    return this.mix("black", amount);
  }
  desaturate(amount = 10) {
    const hsl = this.toHsl();
    hsl.s -= amount / 100;
    hsl.s = clamp01(hsl.s);
    return new TinyColor(hsl);
  }
  saturate(amount = 10) {
    const hsl = this.toHsl();
    hsl.s += amount / 100;
    hsl.s = clamp01(hsl.s);
    return new TinyColor(hsl);
  }
  greyscale() {
    return this.desaturate(100);
  }
  spin(amount) {
    const hsl = this.toHsl();
    const hue = (hsl.h + amount) % 360;
    hsl.h = hue < 0 ? 360 + hue : hue;
    return new TinyColor(hsl);
  }
  mix(color, amount = 50) {
    const rgb1 = this.toRgb();
    const rgb2 = new TinyColor(color).toRgb();
    const p = amount / 100;
    const rgba = {
      r: (rgb2.r - rgb1.r) * p + rgb1.r,
      g: (rgb2.g - rgb1.g) * p + rgb1.g,
      b: (rgb2.b - rgb1.b) * p + rgb1.b,
      a: (rgb2.a - rgb1.a) * p + rgb1.a
    };
    return new TinyColor(rgba);
  }
  analogous(results = 6, slices = 30) {
    const hsl = this.toHsl();
    const part = 360 / slices;
    const ret = [this];
    for (hsl.h = (hsl.h - (part * results >> 1) + 720) % 360; --results; ) {
      hsl.h = (hsl.h + part) % 360;
      ret.push(new TinyColor(hsl));
    }
    return ret;
  }
  complement() {
    const hsl = this.toHsl();
    hsl.h = (hsl.h + 180) % 360;
    return new TinyColor(hsl);
  }
  monochromatic(results = 6) {
    const hsv = this.toHsv();
    const { h: h4 } = hsv;
    const { s: s3 } = hsv;
    let { v } = hsv;
    const res = [];
    const modification = 1 / results;
    while (results--) {
      res.push(new TinyColor({ h: h4, s: s3, v }));
      v = (v + modification) % 1;
    }
    return res;
  }
  splitcomplement() {
    const hsl = this.toHsl();
    const { h: h4 } = hsl;
    return [
      this,
      new TinyColor({ h: (h4 + 72) % 360, s: hsl.s, l: hsl.l }),
      new TinyColor({ h: (h4 + 216) % 360, s: hsl.s, l: hsl.l })
    ];
  }
  onBackground(background) {
    const fg = this.toRgb();
    const bg = new TinyColor(background).toRgb();
    const alpha = fg.a + bg.a * (1 - fg.a);
    return new TinyColor({
      r: (fg.r * fg.a + bg.r * bg.a * (1 - fg.a)) / alpha,
      g: (fg.g * fg.a + bg.g * bg.a * (1 - fg.a)) / alpha,
      b: (fg.b * fg.a + bg.b * bg.a * (1 - fg.a)) / alpha,
      a: alpha
    });
  }
  triad() {
    return this.polyad(3);
  }
  tetrad() {
    return this.polyad(4);
  }
  polyad(n) {
    const hsl = this.toHsl();
    const { h: h4 } = hsl;
    const result = [this];
    const increment = 360 / n;
    for (let i2 = 1; i2 < n; i2++) {
      result.push(new TinyColor({ h: (h4 + i2 * increment) % 360, s: hsl.s, l: hsl.l }));
    }
    return result;
  }
  equals(color) {
    const comparedColor = new TinyColor(color);
    if (this.format === "cmyk" || comparedColor.format === "cmyk") {
      return this.toCmykString() === comparedColor.toCmykString();
    }
    return this.toRgbString() === comparedColor.toRgbString();
  }
}
const defaultHueStep = 2;
const defaultSaturationStepLight = 0.16;
const defaultSaturationStepDark = 0.05;
const defaultBrightnessStepLight = 0.05;
const defaultBrightnessStepDark = 0.15;
const lightColorCount = 5;
const darkColorCount = 5;
function toHsv({ r, g, b: b2 }) {
  const hsv = rgbToHsv(r, g, b2);
  return { h: hsv.h * 360, s: hsv.s, v: hsv.v };
}
function toHex({ r, g, b: b2 }) {
  return `#${rgbToHex(r, g, b2, false)}`;
}
function getHue(hsv, i2, hueStep, light) {
  let hue;
  if (Math.round(hsv.h) >= 60 && Math.round(hsv.h) <= 240) {
    hue = light ? Math.round(hsv.h) - hueStep * i2 : Math.round(hsv.h) + hueStep * i2;
  } else {
    hue = light ? Math.round(hsv.h) + hueStep * i2 : Math.round(hsv.h) - hueStep * i2;
  }
  if (hue < 0) {
    hue += 360;
  } else if (hue >= 360) {
    hue -= 360;
  }
  return hue;
}
function getSaturation(hsv, i2, saturationStepLight, saturationStepDark, light) {
  if (hsv.h === 0 && hsv.s === 0) {
    return hsv.s;
  }
  let saturation;
  if (light) {
    saturation = hsv.s - saturationStepLight * i2;
  } else if (i2 === darkColorCount) {
    saturation = hsv.s + saturationStepLight;
  } else {
    saturation = hsv.s + saturationStepDark * i2;
  }
  if (saturation > 1) {
    saturation = 1;
  }
  if (light && i2 === lightColorCount && saturation > 0.1) {
    saturation = 0.1;
  }
  if (saturation < 0.06) {
    saturation = 0.06;
  }
  return Number(saturation.toFixed(2));
}
function getValue(hsv, i2, brightnessStep, light) {
  let value;
  if (light) {
    value = hsv.v + brightnessStep * i2;
  } else {
    value = hsv.v - brightnessStep * i2;
  }
  if (value > 1) {
    value = 1;
  }
  return Number(value.toFixed(2));
}
const colorPaletteCache$1 = /* @__PURE__ */ new Map();
function getColorPalette$1(color, options) {
  const {
    brightnessStepLight = defaultBrightnessStepLight,
    brightnessStepDark = defaultBrightnessStepDark,
    saturationStepLight = defaultSaturationStepLight,
    saturationStepDark = defaultSaturationStepDark,
    hueStep = defaultHueStep
  } = options != null ? options : {};
  const pColor = inputToRGB(color);
  const hexColor = toHex(pColor);
  if (colorPaletteCache$1.has(hexColor)) {
    return colorPaletteCache$1.get(hexColor);
  }
  const colorPalette = { base: hexColor };
  for (let i2 = 1; i2 <= lightColorCount; i2++) {
    const hsv = toHsv(pColor);
    const colorString = toHex(
      inputToRGB({
        h: getHue(hsv, i2, hueStep, true),
        s: getSaturation(hsv, i2, saturationStepLight, saturationStepDark, true),
        v: getValue(hsv, i2, brightnessStepLight, true)
      })
    );
    colorPalette[`l${i2}0`] = colorString;
  }
  for (let i2 = 1; i2 <= darkColorCount; i2++) {
    const hsv = toHsv(pColor);
    const colorString = toHex(
      inputToRGB({
        h: getHue(hsv, i2, hueStep),
        s: getSaturation(hsv, i2, saturationStepLight, saturationStepDark),
        v: getValue(hsv, i2, brightnessStepDark)
      })
    );
    colorPalette[`d${i2}0`] = colorString;
  }
  colorPaletteCache$1.set(hexColor, colorPalette);
  return colorPalette;
}
const darkColorMap = {
  l50: { key: "d20", opacity: 0.15 },
  l40: { key: "d10", opacity: 0.25 },
  l30: { key: "base", opacity: 0.3 },
  l20: { key: "base", opacity: 0.45 },
  l10: { key: "base", opacity: 0.65 },
  base: { key: "base", opacity: 0.85 },
  d10: { key: "l10", opacity: 0.9 },
  d20: { key: "l20", opacity: 0.95 },
  d30: { key: "l30", opacity: 0.97 },
  d40: { key: "l40", opacity: 0.98 },
  d50: { key: "l50", opacity: 1 }
};
function mix(rgb1, rgb2, amount) {
  const p = amount;
  const rgb = {
    r: (rgb2.r - rgb1.r) * p + rgb1.r,
    g: (rgb2.g - rgb1.g) * p + rgb1.g,
    b: (rgb2.b - rgb1.b) * p + rgb1.b
  };
  return rgb;
}
const colorPaletteCache = /* @__PURE__ */ new Map();
function getDarkColorPalette(color, bgColor, options) {
  const lightColorPalette = getColorPalette$1(color, options);
  const mergedBgColor = bgColor || "#0a0c0f";
  const cacheKey = `${color}-${mergedBgColor}`;
  if (colorPaletteCache.has(cacheKey)) {
    return colorPaletteCache.get(cacheKey);
  }
  const darkColorPalette = {};
  Object.entries(darkColorMap).forEach(([key, map]) => {
    darkColorPalette[key] = toHex(
      mix(inputToRGB(mergedBgColor), inputToRGB(lightColorPalette[map.key]), map.opacity)
    );
  });
  colorPaletteCache.set(cacheKey, darkColorPalette);
  return darkColorPalette;
}
function getGreyColors$2(color) {
  const baseColor = getBaseColors$1();
  if (color === "grey") {
    return {
      l50: "#fafafa",
      l40: "#f5f5f5",
      l30: "#eeeeee",
      l20: "#e0e0e0",
      l10: "#c2c2c2",
      base: baseColor.grey,
      d10: "#7a7a7a",
      d20: "#5c5c5c",
      d30: "#3d3d3d",
      d40: "#1f1f1f",
      d50: "#141414"
    };
  }
  return {
    l50: "#f7f9fc",
    l40: "#edf1f7",
    l30: "#e1e5eb",
    l20: "#d3d7de",
    l10: "#bec3cc",
    base: baseColor.graphite,
    d10: "#6f7785",
    d20: "#5e6573",
    d30: "#454c59",
    d40: "#2f3540",
    d50: "#1e232b"
  };
}
function getAlphaColor(baseColor, alpha, bgColor) {
  const alphaColor = new TinyColor(baseColor).setAlpha(alpha);
  if (!bgColor) {
    return alphaColor.toRgbString();
  }
  return alphaColor.onBackground(bgColor).toRgbString();
}
function getSolidColor(baseColor, brightness) {
  const instance = new TinyColor(baseColor);
  return instance.darken(brightness).toHexString();
}
function getDerivedColorTokens(basicTokens, getBaseColors2, getColorPalette2, getGreyColors2) {
  const primaryColorPalette = getColorPalette2(basicTokens.colorPrimary);
  const successColorPalette = getColorPalette2(basicTokens.colorSuccess);
  const errorColorPalette = getColorPalette2(basicTokens.colorError);
  const warningColorPalette = getColorPalette2(basicTokens.colorWarning);
  const riskColorPalette = getColorPalette2(basicTokens.colorRisk);
  const fatalColorPalette = getColorPalette2(basicTokens.colorFatal);
  const blueColorPalette = getColorPalette2(getBaseColors2().blue);
  const infoColorPalette = getColorPalette2(basicTokens.colorInfo);
  const primaryStatusColors = {
    colorPrimaryHover: primaryColorPalette.l10,
    colorPrimaryActive: primaryColorPalette.d10
  };
  const primaryColors = {
    ...primaryStatusColors,
    colorPrimaryBorder: primaryColorPalette.base,
    colorPrimaryBorderHover: primaryColorPalette.l10,
    colorPrimaryBorderActive: primaryColorPalette.d10,
    colorPrimaryText: primaryColorPalette.base,
    colorPrimaryTextHover: primaryStatusColors.colorPrimaryHover,
    colorPrimaryTextActive: primaryStatusColors.colorPrimaryActive,
    colorPrimaryIcon: primaryColorPalette.base
  };
  const successColors = {
    colorSuccessBg: successColorPalette.base,
    colorSuccessBgHover: successColorPalette.l10,
    colorSuccessBgActive: successColorPalette.d10,
    colorSuccessBorder: successColorPalette.d10,
    colorSuccessBorderHover: successColorPalette.base,
    colorSuccessBorderActive: successColorPalette.d20,
    colorSuccessText: successColorPalette.d10,
    colorSuccessTextHover: successColorPalette.base,
    colorSuccessTextActive: successColorPalette.d20,
    colorSuccessIcon: successColorPalette.base
  };
  const errorColors = {
    colorErrorBg: errorColorPalette.l10,
    colorErrorBgHover: errorColorPalette.l20,
    colorErrorBgActive: errorColorPalette.d10,
    colorErrorBorder: errorColorPalette.d10,
    colorErrorBorderHover: errorColorPalette.base,
    colorErrorBorderActive: errorColorPalette.d20,
    colorErrorText: errorColorPalette.d10,
    colorErrorTextHover: errorColorPalette.base,
    colorErrorTextActive: errorColorPalette.d10,
    colorErrorIcon: errorColorPalette.l10
  };
  const warningColors = {
    colorWarningBg: warningColorPalette.base,
    colorWarningBgHover: warningColorPalette.l10,
    colorWarningBgActive: warningColorPalette.d10,
    colorWarningBorder: warningColorPalette.base,
    colorWarningBorderHover: warningColorPalette.l10,
    colorWarningBorderActive: warningColorPalette.d10,
    colorWarningText: warningColorPalette.base,
    colorWarningTextHover: warningColorPalette.l10,
    colorWarningTextActive: warningColorPalette.d10,
    colorWarningIcon: warningColorPalette.l10
  };
  const riskColors = {
    colorRiskBg: riskColorPalette.base,
    colorRiskBgHover: riskColorPalette.l10,
    colorRiskBgActive: riskColorPalette.d10,
    colorRiskBorder: riskColorPalette.base,
    colorRiskBorderHover: riskColorPalette.l10,
    colorRiskBorderActive: riskColorPalette.d10,
    colorRiskText: riskColorPalette.base,
    colorRiskTextHover: riskColorPalette.l10,
    colorRiskTextActive: riskColorPalette.d10,
    colorRiskIcon: riskColorPalette.l10
  };
  const fatalColors = {
    colorFatalBg: fatalColorPalette.base,
    colorFatalBgHover: fatalColorPalette.l10,
    colorFatalBgActive: fatalColorPalette.d10,
    colorFatalBorder: fatalColorPalette.base,
    colorFatalBorderHover: fatalColorPalette.l10,
    colorFatalBorderActive: fatalColorPalette.d10,
    colorFatalText: fatalColorPalette.base,
    colorFatalTextHover: fatalColorPalette.l10,
    colorFatalTextActive: fatalColorPalette.d10,
    colorFatalIcon: fatalColorPalette.l10
  };
  const infoColors = basicTokens.colorInfo === blueColorPalette.l10 ? {
    colorInfoBg: blueColorPalette.l10,
    colorInfoBgHover: blueColorPalette.l20,
    colorInfoBgActive: blueColorPalette.base,
    colorInfoBorder: blueColorPalette.l10,
    colorInfoBorderHover: blueColorPalette.l20,
    colorInfoBorderActive: blueColorPalette.base,
    colorInfoText: blueColorPalette.l10,
    colorInfoTextHover: blueColorPalette.l20,
    colorInfoTextActive: blueColorPalette.base,
    colorInfoIcon: blueColorPalette.l10
  } : {
    colorInfoBg: infoColorPalette.base,
    colorInfoBgHover: infoColorPalette.l10,
    colorInfoBgActive: infoColorPalette.d10,
    colorInfoBorder: infoColorPalette.base,
    colorInfoBorderHover: infoColorPalette.l10,
    colorInfoBorderActive: infoColorPalette.d10,
    colorInfoText: infoColorPalette.base,
    colorInfoTextHover: infoColorPalette.l10,
    colorInfoTextActive: infoColorPalette.d10,
    colorInfoIcon: infoColorPalette.base
  };
  const greyColors = getGreyColors2();
  return {
    ...primaryColors,
    ...successColors,
    ...errorColors,
    ...warningColors,
    ...riskColors,
    ...fatalColors,
    ...infoColors,
    colorOffline: greyColors.base,
    colorOfflineBg: greyColors.base,
    colorOfflineText: greyColors.d10
  };
}
function getDerivedFontTokens(basicTokens) {
  const { fontSize, fontWeight } = basicTokens;
  const fontSizeUnit = 2;
  const minFontSize = 10;
  const fontWeightUnit = 100;
  const fontSizeMap = {
    fontSizeXs: Math.max(fontSize - fontSizeUnit * 2, minFontSize),
    fontSizeSm: Math.max(fontSize - fontSizeUnit, minFontSize),
    fontSizeMd: Math.max(fontSize, minFontSize),
    fontSizeLg: Math.max(fontSize + fontSizeUnit, minFontSize),
    fontSizeXl: Math.max(fontSize + fontSizeUnit * 3, minFontSize),
    fontSize2xl: Math.max(fontSize + fontSizeUnit * 5, minFontSize),
    fontSize3xl: Math.max(fontSize + fontSizeUnit * 8, minFontSize)
  };
  return {
    ...fontSizeMap,
    fontSizeHeaderSm: fontSizeMap.fontSizeMd,
    fontSizeHeaderMd: fontSizeMap.fontSizeLg,
    fontSizeHeaderLg: fontSizeMap.fontSizeXl,
    fontSizeHeaderXl: fontSizeMap.fontSize2xl,
    fontWeightXs: fontWeight - fontWeightUnit * 2,
    fontWeightSm: fontWeight - fontWeightUnit,
    fontWeightMd: fontWeight,
    fontWeightLg: fontWeight + fontWeightUnit,
    fontWeightXl: fontWeight + fontWeightUnit * 2
  };
}
function getDerivedMotionTokens(basicTokens) {
  const { motionDuration } = basicTokens;
  return {
    motionDurationFast: 0.18,
    motionDurationMedium: motionDuration,
    motionDurationSlow: 0.3
  };
}
function getDerivedSizeTokens(basicTokens) {
  const { spacing, height, borderRadius, screenSm, screenMd, screenLg, screenXl } = basicTokens;
  const spacingSizes = {
    xxs: Math.ceil(spacing * 0.25),
    xs: Math.ceil(spacing * 0.5),
    sm: spacing,
    md: Math.ceil(spacing * 1.5),
    lg: Math.ceil(spacing * 2),
    xl: spacing * 3,
    xxl: Math.ceil(spacing * 4)
  };
  return {
    paddingSize2Xs: spacingSizes.xxs,
    paddingSizeXs: spacingSizes.xs,
    paddingSizeSm: spacingSizes.sm,
    paddingSizeMd: spacingSizes.md,
    paddingSizeLg: spacingSizes.lg,
    paddingSizeXl: spacingSizes.xl,
    paddingSize2Xl: spacingSizes.xxl,
    marginSize2Xs: spacingSizes.xxs,
    marginSizeXs: spacingSizes.xs,
    marginSizeSm: spacingSizes.sm,
    marginSizeMd: spacingSizes.md,
    marginSizeLg: spacingSizes.lg,
    marginSizeXl: spacingSizes.xl,
    marginSize2Xl: spacingSizes.xxl,
    heightXs: height * 0.5,
    heightSm: height * 0.75,
    heightMd: height,
    heightLg: height * 1.25,
    heightXl: height * 1.5,
    height2xl: height * 1.75,
    height3xl: height * 2,
    borderRadiusXs: Math.max(2, Math.floor(borderRadius / 4)),
    borderRadiusSm: Math.max(2, Math.floor(borderRadius / 2)),
    borderRadiusMd: borderRadius,
    borderRadiusLg: Math.min(8, borderRadius * 2),
    lineWidthBold: 2,
    arrowSize: 6,
    screenXsMax: screenSm - 0.01,
    screenSmMin: screenSm,
    screenSmMax: screenMd - 0.01,
    screenMdMin: screenMd,
    screenMdMax: screenLg - 0.01,
    screenLgMin: screenLg,
    screenLgMax: screenXl - 0.01,
    screenXlMin: screenXl
  };
}
function getShadowTokens(getGreyColors2) {
  const greyColors = getGreyColors2();
  return {
    boxShadowSm: `0 2px 10px 0px ${getAlphaColor(greyColors.d50, 0.16)}`,
    boxShadowMd: `0 4px 16px 0px ${getAlphaColor(greyColors.d50, 0.14)}`,
    boxShadowLg: `0 8px 22px 0px ${getAlphaColor(greyColors.d50, 0.12)}`
  };
}
function getDerivedTokens(basicTokens, options) {
  const { getBaseColors: getBaseColors2, getColorPalette: getColorPalette2, getGreyColors: getGreyColors2 } = options;
  return {
    ...getDerivedColorTokens(basicTokens, getBaseColors2, getColorPalette2, getGreyColors2),
    ...getDerivedFontTokens(basicTokens),
    ...getDerivedSizeTokens(basicTokens),
    ...getDerivedMotionTokens(basicTokens),
    ...getShadowTokens(getGreyColors2)
  };
}
function getControlTokens(tokens2) {
  const {
    colorPrimary,
    colorError,
    colorPrimaryBorderHover,
    colorPrimaryBorderActive,
    colorContainerBg,
    colorContainerBgDisabled,
    heightXs,
    heightSm,
    heightMd,
    heightLg,
    fontSizeXs,
    fontSizeSm,
    fontSizeMd,
    borderRadiusSm,
    lineWidth,
    lineType,
    lineHeightGutter
  } = tokens2;
  const controlHeightXs = heightXs;
  const controlHeightSm = heightSm;
  const controlHeightMd = heightMd;
  const controlHeightLg = heightLg;
  const controlLineWidth = lineWidth;
  const controlFontSizeXs = fontSizeXs;
  const controlFontSizeSm = fontSizeSm;
  const controlFontSizeMd = fontSizeSm;
  const controlFontSizeLg = fontSizeMd;
  const getVerticalPadding = (height, fontSize) => {
    return Math.round((height - (fontSize + lineHeightGutter)) / 2 - controlLineWidth);
  };
  return {
    controlHeightXs,
    controlHeightSm,
    controlHeightMd,
    controlHeightLg,
    controlLineWidth,
    controlLineType: lineType,
    controlFontSizeXs,
    controlFontSizeSm,
    controlFontSizeMd,
    controlFontSizeLg,
    controlBoxShadowFocus: `0 0 0 2px ${getAlphaColor(colorPrimary, 0.2)}`,
    controlBoxShadowInvalid: `0 0 0 2px ${getAlphaColor(colorError, 0.2)}`,
    controlBgColor: colorContainerBg,
    controlBgColorDisabled: colorContainerBgDisabled,
    controlBorderColorHover: colorPrimaryBorderHover,
    controlBorderColorActive: colorPrimaryBorderActive,
    controlPaddingSizeHorizontalXs: 7,
    controlPaddingSizeHorizontalSm: 7,
    controlPaddingSizeHorizontalMd: 11,
    controlPaddingSizeHorizontalLg: 11,
    controlPaddingSizeVerticalXs: Math.max(getVerticalPadding(controlHeightXs, controlFontSizeXs), 0),
    controlPaddingSizeVerticalSm: Math.max(getVerticalPadding(controlHeightSm, controlFontSizeSm), 0),
    controlPaddingSizeVerticalMd: Math.max(getVerticalPadding(controlHeightMd, controlFontSizeMd), 2),
    controlPaddingSizeVerticalLg: Math.ceil(getVerticalPadding(controlHeightLg, controlFontSizeLg)),
    controlBorderRadiusXs: borderRadiusSm,
    controlBorderRadiusSm: borderRadiusSm,
    controlBorderRadiusMd: borderRadiusSm,
    controlBorderRadiusLg: borderRadiusSm
  };
}
function getExtendedColorTokens(tokens2, getColorPalette2, getGreyColors2) {
  const greyColors = getGreyColors2();
  const { colorPrimary, colorWarning, colorError, colorBg } = tokens2;
  const primaryColorPalette = getColorPalette2(colorPrimary);
  return {
    colorContainerBg: colorBg,
    colorContainerBgHover: greyColors.l50,
    colorContainerBgActive: primaryColorPalette.l50,
    colorContainerBgDisabled: greyColors.l40,
    colorAddonContainerBg: greyColors.l50,
    colorEmphasizedContainerBg: greyColors.l40,
    colorEmphasizedContainerBgHover: greyColors.l30,
    colorEmphasizedContainerBgDisabled: greyColors.l10,
    colorInfoContainerBg: greyColors.l50,
    colorInfoContainerBgHover: greyColors.l50,
    colorInfoContainerBgDisabled: greyColors.l30,
    colorFillContainerBg: greyColors.l10,
    colorSeparator: greyColors.l30,
    colorTextPlaceholder: greyColors.base,
    colorTextDisabled: greyColors.l10,
    colorTextInverse: colorBg,
    colorTextInverseDisabled: greyColors.l10,
    colorTextTitle: greyColors.d40,
    colorTextTitleSecondary: greyColors.d30,
    colorTextInfo: greyColors.d10,
    colorIcon: greyColors.d20,
    colorIconInfo: greyColors.l10,
    colorIconHover: colorPrimary,
    colorIconActive: primaryColorPalette.d10,
    colorIconDisabled: greyColors.l10,
    colorWarningOutline: colorWarning,
    colorErrorOutline: colorError,
    colorBgInverse: greyColors.d40,
    colorBgInverseDisabled: greyColors.d50,
    colorBorderInverse: colorBg,
    colorBorderSecondary: greyColors.l30,
    colorMask: "rgba(0, 0, 0, 0.45)",
    tagCompColorAlpha: 0.1,
    alertCompColorAlpha: 0.1
  };
}
function getExtendedFontTokens(tokens2) {
  return {
    fontSizeIcon: 16,
    fontWeightHeader: tokens2.fontWeightXl
  };
}
function getExtendedSizeTokens(tokens2) {
  return {
    componentBorderRadius: tokens2.borderRadiusSm
  };
}
function getOverlayTokens(tokens2) {
  const { borderRadiusSm, arrowSize, colorContainerBg, lineType } = tokens2;
  return {
    overlayBgColor: colorContainerBg,
    overlayArrowSize: arrowSize,
    overlayBorderRadius: borderRadiusSm,
    overlayBorderWidth: 0,
    overlayBorderColor: "transparent",
    overlayBorderType: lineType
  };
}
function getScollbarTokens(getGreyColors2) {
  const greyColors = getGreyColors2();
  return {
    scrollbarWidth: 12,
    scrollbarHeight: 12,
    scrollbarThumbBg: greyColors.l30,
    scrollbarThumbBgHover: greyColors.l10,
    scrollbarThumbBgActive: greyColors.l10,
    scrollbarThumbBorderWidth: 2,
    scrollbarThumbBorderRadius: 6,
    scrollbarThumbBoxShadow: "none",
    scrollbarTrackBg: "unset",
    scrollbarTrackBorderRadius: 0,
    scrollbarTrackBoxShadow: "unset"
  };
}
function getExtendedTokens(tokens2, options) {
  const { getColorPalette: getColorPalette2, getGreyColors: getGreyColors2 } = options;
  const extendedColorTokens = getExtendedColorTokens(tokens2, getColorPalette2, getGreyColors2);
  const mergedTokens = { ...tokens2, ...extendedColorTokens };
  return {
    ...extendedColorTokens,
    ...getExtendedFontTokens(tokens2),
    ...getExtendedSizeTokens(tokens2),
    ...getScollbarTokens(getGreyColors2),
    ...getControlTokens(mergedTokens),
    ...getOverlayTokens(mergedTokens)
  };
}
function getBasicTokens(getBaseColors2, getColorPalette2, getGreyColors2) {
  const baseColors = getBaseColors2();
  const redColorPalette = getColorPalette2(baseColors.red);
  const blueColorPalette = getColorPalette2(baseColors.blue);
  const greyColors = getGreyColors2();
  return {
    colorPrimary: baseColors.blue,
    colorError: baseColors.red,
    colorSuccess: baseColors.turquoise,
    colorWarning: baseColors.brown,
    colorRisk: baseColors.orange,
    colorFatal: redColorPalette.d30,
    colorInfo: blueColorPalette.l10,
    colorLink: baseColors.blue,
    colorWhite: baseColors.white,
    colorText: greyColors.d40,
    colorBg: baseColors.white,
    colorBorder: greyColors.l20,
    colorBorderSecondary: greyColors.l30,
    fontSize: 14,
    fontFamily: `pingfang SC, helvetica neue, arial, hiragino sans gb, microsoft yahei ui, microsoft yahei, simsun, sans-serif`,
    fontFamilyCode: `'SFMono-Regular', Consolas, 'Liberation Mono', Menlo, Courier, monospace`,
    fontWeight: 400,
    borderRadius: 4,
    height: 32,
    lineHeightGutter: 8,
    spacing: 8,
    lineWidth: 1,
    lineType: "solid",
    motionDuration: 0.24,
    motionEaseIn: "cubic-bezier(0.12, 0, 0.39, 0)",
    motionEaseOut: "cubic-bezier(0.61, 1, 0.88, 1)",
    motionEaseInOut: "cubic-bezier(0.37, 0, 0.63, 1)",
    motionEaseInBack: "cubic-bezier(0.36, 0, 0.66, -0.56)",
    motionEaseOutBack: "cubic-bezier(0.34, 1.56, 0.64, 1)",
    motionEaseInCirc: "cubic-bezier(0.55, 0, 1, 0.45)",
    motionEaseOutCirc: "cubic-bezier(0, 0.55, 0.45, 1)",
    motionEaseInQuint: "cubic-bezier(0.64, 0, 0.78, 0)",
    motionEaseOutQuint: "cubic-bezier(0.22, 1, 0.36, 1)",
    screenSm: 600,
    screenMd: 960,
    screenLg: 1280,
    screenXl: 1720
  };
}
function getResetTokens(tokens2) {
  const {
    colorBg,
    colorText,
    colorTextTitle,
    colorLink,
    fontFamily,
    fontFamilyCode,
    fontSizeSm,
    fontWeight,
    fontWeightHeader,
    lineHeightGutter,
    scrollbarWidth,
    scrollbarHeight,
    scrollbarThumbBg,
    scrollbarThumbBgHover,
    scrollbarThumbBgActive,
    scrollbarThumbBorderWidth,
    scrollbarThumbBorderRadius,
    scrollbarThumbBoxShadow,
    scrollbarTrackBg,
    scrollbarTrackBorderRadius,
    scrollbarTrackBoxShadow
  } = tokens2;
  return {
    colorText,
    colorTextTitle,
    colorBg,
    colorLink,
    fontFamily,
    fontFamilyCode,
    fontSize: fontSizeSm,
    fontWeight,
    fontWeightHeader,
    lineHeightGutter,
    scrollbarWidth,
    scrollbarHeight,
    scrollbarThumbBg,
    scrollbarThumbBgHover,
    scrollbarThumbBgActive,
    scrollbarThumbBorderWidth,
    scrollbarThumbBorderRadius,
    scrollbarThumbBoxShadow,
    scrollbarTrackBg,
    scrollbarTrackBorderRadius,
    scrollbarTrackBoxShadow
  };
}
const colors = {
  red: {
    l50: "#33151A",
    l40: "#4A1618",
    l30: "#821D1F",
    l20: "#A72122",
    l10: "#D42525",
    base: "#E8514C",
    d10: "#F37E75",
    d20: "#F8A89F",
    d30: "#FAC9C0",
    d40: "#FAD8D2"
  },
  orange: {
    l50: "#331C15",
    l40: "#4A2916",
    l30: "#7A3D16",
    l20: "#AB521B",
    l10: "#D8641B",
    base: "#E88641",
    d10: "#F3A76A",
    d20: "#F8C492",
    d30: "#FAD6AF",
    d40: "#FAE4CD"
  },
  brown: {
    l50: "#332515",
    l40: "#4A3616",
    l30: "#7A5517",
    l20: "#AD771C",
    l10: "#DB941D",
    base: "#FDAA1D",
    d10: "#F3CA6A",
    d20: "#F8DD92",
    d30: "#ECEBA1",
    d40: "#FAF2D7"
  },
  yellow: {
    l50: "#332C15",
    l40: "#4A4219",
    l30: "#736516",
    l20: "#A9941A",
    l10: "#D6BB1A",
    base: "#E8D43E",
    d10: "#F3E867",
    d20: "#F8F390",
    d30: "#FAF9AA",
    d40: "#FAFADC"
  },
  bud: {
    l50: "#243315",
    l40: "#364A16",
    l30: "#4C6B19",
    l20: "#649019",
    l10: "#7BB518",
    base: "#9ACA39",
    d10: "#B9E061",
    d20: "#D6F08E",
    d30: "#EAFAB4",
    d40: "#F3FADC"
  },
  green: {
    l50: "#153315",
    l40: "#1F4B16",
    l30: "#29641D",
    l20: "#2D8718",
    l10: "#34A917",
    base: "#56BD37",
    d10: "#7CD15D",
    d20: "#A3E288",
    d30: "#BCF1A1",
    d40: "#DAF1CF"
  },
  turquoise: {
    l50: "#153330",
    l40: "#164A3C",
    l30: "#0F694E",
    l20: "#1D8D69",
    l10: "#1FB182",
    base: "#40C695",
    d10: "#6ADCAE",
    d20: "#97EBC7",
    d30: "#B6FADB",
    d40: "#D9FAEB"
  },
  cyan: {
    l50: "#152B33",
    l40: "#16464A",
    l30: "#15686E",
    l20: "#189197",
    l10: "#19B6BE",
    base: "#3BD0D3",
    d10: "#65EAE7",
    d20: "#92F8F3",
    d30: "#B4FAF5",
    d40: "#CAFAF7"
  },
  glacier: {
    l50: "#162433",
    l40: "#16354A",
    l30: "#17547B",
    l20: "#1A70A6",
    l10: "#1A8BD2",
    base: "#40ADE8",
    d10: "#6AC8F4",
    d20: "#92DBF8",
    d30: "#A8E6FA",
    d40: "#C3EDFA"
  },
  blue: {
    l50: "#151D33",
    l40: "#16274A",
    l30: "#173B7A",
    l20: "#1A50AF",
    l10: "#1B61DD",
    base: "#4083E8",
    d10: "#6AA6F4",
    d20: "#92C2F8",
    d30: "#A7D1FA",
    d40: "#C3DEFA"
  },
  indigo: {
    l50: "#1E1533",
    l40: "#29164A",
    l30: "#3D177A",
    l20: "#561FAF",
    l10: "#6922DD",
    base: "#4852E8",
    d10: "#AB70F4",
    d20: "#C89AF8",
    d30: "#DAB6FA",
    d40: "#E7D2FA"
  },
  purple: {
    l50: "#2D132E",
    l40: "#451541",
    l30: "#66135D",
    l20: "#931885",
    l10: "#B919A5",
    base: "#8A48E8",
    d10: "#E565CC",
    d20: "#F593DF",
    d30: "#FAB6E9",
    d40: "#FAD0EF"
  },
  magenta: {
    l50: "#2D132E",
    l40: "#451541",
    l30: "#66135D",
    l20: "#931885",
    l10: "#B919A5",
    base: "#CF3CB7",
    d10: "#E565CC",
    d20: "#F593DF",
    d30: "#FAB6E9",
    d40: "#FAD0EF"
  },
  gold: {
    l50: "#472D06",
    l40: "#674109",
    l30: "#75460F",
    l20: "#9C641C",
    l10: "#C2862D",
    base: "#E7AA40",
    d10: "#F5C76C",
    d20: "#FFE099",
    d30: "#FFEFC2",
    d40: "#FFFCF0"
  },
  silver: {
    l50: "#222731",
    l40: "#2C303E",
    l30: "#3A4154",
    l20: "#5B647A",
    l10: "#7F8AA1",
    base: "#A9B4C8",
    d10: "#C7CCD4",
    d20: "#D3D9E0",
    d30: "#DFE5ED",
    d40: "#EBF2FA"
  },
  bronze: {
    l50: "#24100D",
    l40: "#30140C",
    l30: "#572919",
    l20: "#7D422A",
    l10: "#A35F40",
    base: "#C97F58",
    d10: "#D6A181",
    d20: "#E3C3AC",
    d30: "#F0E5DD",
    d40: "#FCF5ED"
  }
};
function getColorPalette(color, bgColor) {
  const baseColors = Object.keys(colors).map((name) => ({ name, base: colors[name].base }));
  const baseColor = baseColors.find((c2) => c2.base === color);
  if (baseColor) {
    return colors[baseColor.name];
  }
  return getDarkColorPalette(color, bgColor);
}
function getGreyColors$1() {
  return {
    l50: "#0A0C0F",
    l40: "#171A1F",
    l30: "#1F2329",
    l20: "#3C424D",
    l10: "#687080",
    base: "#525966",
    d10: "#808999",
    d20: "#A1A7B3",
    d30: "#C2C7D1",
    d40: "#F4F8FF",
    d50: "#FFFFFF"
  };
}
const getBaseColors = () => {
  return Object.keys(colors).reduce(
    (baseColors, key) => {
      baseColors[key] = colors[key].base;
      return baseColors;
    },
    {
      white: "#fff",
      graphite: getGreyColors$1().base,
      black: "#000",
      grey: getGreyColors$2("grey").base
    }
  );
};
function getPresetTokens() {
  const greyColors = getGreyColors$1();
  const baseColors = getBaseColors();
  const colorError = baseColors.red;
  const errorColorPalette = getColorPalette(colorError);
  const colorSuccess = baseColors.turquoise;
  const colorInfo = baseColors.blue;
  const colorWarning = baseColors.brown;
  const colorRisk = baseColors.orange;
  const colorFatal = errorColorPalette.l20;
  const successColorPalette = getColorPalette(colorSuccess);
  return {
    colorSuccess,
    colorError,
    colorInfo,
    colorWarning,
    colorRisk,
    colorFatal,
    colorBg: greyColors.l50,
    colorContainerBg: greyColors.l50,
    colorContainerBgHover: greyColors.l40,
    colorEmphasizedContainerBg: greyColors.l30,
    colorEmphasizedContainerBgHover: greyColors.l30,
    colorEmphasizedContainerBgDisabled: greyColors.l10,
    colorAddonContainerBg: greyColors.l40,
    colorInfoContainerBg: greyColors.l40,
    colorInfoContainerBgHover: greyColors.l40,
    colorInfoContainerBgDisabled: greyColors.l30,
    colorTextInverse: baseColors.white,
    colorBgInverse: baseColors.white,
    colorMask: getAlphaColor(greyColors.l40, 0.88),
    overlayBorderWidth: 1,
    overlayBorderColor: greyColors.l30,
    boxShadowSm: `0 2px 10px 0px ${greyColors.l50}`,
    boxShadowMd: `0 4px 16px 0px ${greyColors.l50}`,
    boxShadowLg: `0 8px 22px 0px ${greyColors.l50}`,
    colorSuccessBg: successColorPalette.base,
    colorSuccessBgHover: successColorPalette.l10,
    colorSuccessBgActive: successColorPalette.d10,
    colorSuccessBorder: successColorPalette.base,
    colorSuccessBorderHover: successColorPalette.l10,
    colorSuccessBorderActive: successColorPalette.d10,
    colorSuccessText: successColorPalette.base,
    colorSuccessTextHover: successColorPalette.l10,
    colorSuccessTextActive: successColorPalette.d10,
    colorSuccessIcon: successColorPalette.base,
    colorErrorBg: errorColorPalette.base,
    colorErrorBgHover: errorColorPalette.l10,
    colorErrorBgActive: errorColorPalette.d10,
    colorErrorBorder: errorColorPalette.base,
    colorErrorBorderHover: errorColorPalette.l10,
    colorErrorBorderActive: errorColorPalette.d10,
    colorErrorText: errorColorPalette.base,
    colorErrorTextHover: errorColorPalette.l10,
    colorErrorTextActive: errorColorPalette.d10,
    colorErrorIcon: errorColorPalette.base,
    colorInfoIcon: colorInfo,
    colorWarningIcon: colorWarning,
    colorRiskIcon: colorRisk,
    colorFatalIcon: colorFatal,
    tagCompColorAlpha: 0.2,
    alertCompColorAlpha: 0.2
  };
}
const getGreyColors = () => getGreyColors$2("graphite");
const presetTokens = {};
function getPresetAlgorithms(presetTheme) {
  return presetTheme === "default" ? {
    getBaseColors: getBaseColors$1,
    getColorPalette: getColorPalette$1,
    getGreyColors
  } : {
    getBaseColors,
    getColorPalette,
    getGreyColors: getGreyColors$1
  };
}
function getThemeTokens$U(presetTheme, tokens2, algorithms) {
  var _a, _b, _c;
  const presetAlgorithms = getPresetAlgorithms(presetTheme);
  const getBaseColors2 = (_a = algorithms == null ? void 0 : algorithms.getBaseColors) != null ? _a : presetAlgorithms.getBaseColors;
  const getColorPalette2 = (_b = algorithms == null ? void 0 : algorithms.getColorPalette) != null ? _b : presetAlgorithms.getColorPalette;
  const getGreyColors2 = (_c = algorithms == null ? void 0 : algorithms.getGreyColors) != null ? _c : presetAlgorithms.getGreyColors;
  const presetTokens$1 = presetTheme === "default" ? presetTokens : getPresetTokens();
  const mergedPresetTokens = merge({ ...presetTokens$1 }, tokens2);
  const presetBasicTokens = getBasicTokens(getBaseColors2, getColorPalette2, getGreyColors2);
  const mergedBasicTokens = merge(presetBasicTokens, pick(mergedPresetTokens, Object.keys(presetBasicTokens)));
  const presetDerivedTokens = getDerivedTokens(mergedBasicTokens, { getBaseColors: getBaseColors2, getColorPalette: getColorPalette2, getGreyColors: getGreyColors2 });
  const mergedDerivedTokens = merge(presetDerivedTokens, pick(mergedPresetTokens, Object.keys(presetDerivedTokens)));
  const presetExtendedTokens = getExtendedTokens(
    { ...mergedBasicTokens, ...mergedDerivedTokens },
    { getColorPalette: getColorPalette2, getGreyColors: getGreyColors2 }
  );
  const mergedExtendedTokens = merge(presetExtendedTokens, pick(mergedPresetTokens, Object.keys(presetExtendedTokens)));
  return {
    ...mergedBasicTokens,
    ...mergedDerivedTokens,
    ...mergedExtendedTokens
  };
}
const globalTokenKey = "global";
const resetTokenKey = "reset";
const themeTokenPrefix = "ix";
const themeProviderProps = {
  presetTheme: {
    type: String,
    default: void 0
  },
  injectThemeStyle: {
    type: Boolean,
    default: void 0
  },
  hashed: {
    type: Boolean,
    default: void 0
  },
  tag: String,
  inherit: {
    type: [Boolean, String],
    default: true
  },
  attachTo: [String, Object, Function],
  tokens: Object,
  algorithm: Object
};
function useTokenMerge(props, config, supperContext, mergedPresetTheme) {
  const mergedAlgorithms = computed(() => {
    var _a;
    const presetAlgorithms = getPresetAlgorithms(mergedPresetTheme.value);
    const { getBaseColors: getBaseColors2, getColorPalette: getColorPalette2, getGreyColors: getGreyColors2 } = (_a = props == null ? void 0 : props.algorithm) != null ? _a : {};
    return {
      getBaseColors: getBaseColors2 != null ? getBaseColors2 : presetAlgorithms.getBaseColors,
      getColorPalette: getColorPalette2 != null ? getColorPalette2 : presetAlgorithms.getColorPalette,
      getGreyColors: getGreyColors2 != null ? getGreyColors2 : presetAlgorithms.getGreyColors
    };
  });
  const mergedTokens = computed(() => {
    var _a, _b, _c, _d;
    const configGlobalTokens = config.global;
    const configComponentTokens = config.components;
    const overwrittenTokens = merge(
      { ...(props == null ? void 0 : props.inherit) && !props.presetTheme ? (_a = supperContext == null ? void 0 : supperContext.mergedTokens.value.global) != null ? _a : {} : {} },
      { ...configGlobalTokens },
      (_b = props == null ? void 0 : props.tokens) == null ? void 0 : _b.global
    );
    const mergedGlobalTokens = getThemeTokens$U(mergedPresetTheme.value, overwrittenTokens, mergedAlgorithms.value);
    const mergedComponentTokens = merge(
      { ...(props == null ? void 0 : props.inherit) ? (_c = supperContext == null ? void 0 : supperContext.mergedTokens.value.components) != null ? _c : {} : {} },
      { ...configComponentTokens },
      (_d = props == null ? void 0 : props.tokens) == null ? void 0 : _d.components
    );
    return {
      global: mergedGlobalTokens,
      components: mergedComponentTokens
    };
  });
  const getMergedTokens = (key, tokens2) => {
    var _a;
    if (key === globalTokenKey) {
      return merge({ ...tokens2 }, mergedTokens.value.global);
    }
    return merge({ ...tokens2 }, (_a = mergedTokens.value.components) == null ? void 0 : _a[key]);
  };
  return {
    mergedAlgorithms,
    mergedTokens,
    getMergedTokens
  };
}
const IDUX_THEME_KEY = "idux-theme-key";
const IDUX_THEME_REF_CNT_KEY = "__IDUX_THEME_REF_CNT__";
function findStyles(container) {
  return Array.from(container.children).filter((node) => node.tagName === "STYLE");
}
function getContainer(option) {
  if (option.attachTo) {
    return option.attachTo;
  }
  const head = document.querySelector("head");
  return head || document.body;
}
function findExistNode(key, option = {}) {
  const container = getContainer(option);
  return findStyles(container).find((node) => node.getAttribute(IDUX_THEME_KEY) === key);
}
function getStyleRefCnt(node) {
  var _a;
  return (_a = node[IDUX_THEME_REF_CNT_KEY]) != null ? _a : 0;
}
function setStyleRefCnt(node, cnt) {
  node[IDUX_THEME_REF_CNT_KEY] = cnt;
}
function injectCSS(css, option = {}) {
  if (!isBrowser) {
    return null;
  }
  const { csp } = option;
  const styleNode = document.createElement("style");
  if (csp == null ? void 0 : csp.nonce) {
    styleNode.nonce = csp == null ? void 0 : csp.nonce;
  }
  styleNode.innerHTML = css;
  const container = getContainer(option);
  container.appendChild(styleNode);
  return styleNode;
}
function removeCSS(key, option = {}) {
  const existNode = findExistNode(key, option);
  if (existNode) {
    const container = getContainer(option);
    container.removeChild(existNode);
  }
}
function updateCSS(css, key, option = {}) {
  var _a, _b, _c;
  const existNode = findExistNode(key, option);
  if (existNode) {
    if (((_a = option.csp) == null ? void 0 : _a.nonce) && existNode.nonce !== ((_b = option.csp) == null ? void 0 : _b.nonce)) {
      existNode.nonce = (_c = option.csp) == null ? void 0 : _c.nonce;
    }
    if (existNode.innerHTML !== css) {
      existNode.innerHTML = css;
    }
    return existNode;
  }
  const newNode = injectCSS(css, option);
  newNode == null ? void 0 : newNode.setAttribute(IDUX_THEME_KEY, key);
  return newNode;
}
function murmur2(str) {
  var h4 = 0;
  var k2, i2 = 0, len = str.length;
  for (; len >= 4; ++i2, len -= 4) {
    k2 = str.charCodeAt(i2) & 255 | (str.charCodeAt(++i2) & 255) << 8 | (str.charCodeAt(++i2) & 255) << 16 | (str.charCodeAt(++i2) & 255) << 24;
    k2 = (k2 & 65535) * 1540483477 + ((k2 >>> 16) * 59797 << 16);
    k2 ^= k2 >>> 24;
    h4 = (k2 & 65535) * 1540483477 + ((k2 >>> 16) * 59797 << 16) ^ (h4 & 65535) * 1540483477 + ((h4 >>> 16) * 59797 << 16);
  }
  switch (len) {
    case 3:
      h4 ^= (str.charCodeAt(i2 + 2) & 255) << 16;
    case 2:
      h4 ^= (str.charCodeAt(i2 + 1) & 255) << 8;
    case 1:
      h4 ^= str.charCodeAt(i2) & 255;
      h4 = (h4 & 65535) * 1540483477 + ((h4 >>> 16) * 59797 << 16);
  }
  h4 ^= h4 >>> 13;
  h4 = (h4 & 65535) * 1540483477 + ((h4 >>> 16) * 59797 << 16);
  return ((h4 ^ h4 >>> 15) >>> 0).toString(36);
}
const unhasedHashSalt = "__unhashed__";
const sequenceCache = /* @__PURE__ */ new Map();
function createTokensHash(key, tokens2, hashed = true) {
  let sequence = sequenceCache.get(key);
  if (!sequence) {
    sequence = getTokenSequence(tokens2);
    sequenceCache.set(key, sequence);
  }
  let str = flattenTokens(tokens2, sequence);
  if (!hashed) {
    str += unhasedHashSalt;
  }
  return `${themeTokenPrefix}-${key}-${murmur2(str)}`;
}
function flattenTokens(tokens2, sequence) {
  let str = "";
  sequence.forEach((key) => {
    const value = tokens2[key];
    str += `${key}${value || ""}`;
  });
  return str;
}
function getTokenSequence(tokens2) {
  return Object.keys(tokens2).sort();
}
function numUnitTransform(value, unit) {
  if (isString(value)) {
    return value;
  }
  if (value === 0) {
    return value.toString();
  }
  return `${value}${unit ? unit : ""}`;
}
const checkKeyWithSearch = (key, searchStrs) => {
  return searchStrs.some((search) => key.includes(search));
};
function defaultTokenTransform(key, value) {
  if (isString(value)) {
    return value;
  }
  const lowerCasedKey = key.toLowerCase();
  const unit = checkKeyWithSearch(lowerCasedKey, [
    "width",
    "height",
    "size",
    "gap",
    "indent",
    "fontsize",
    "spacing",
    "padding",
    "margin",
    "borderradius",
    "linewidth",
    "iconsize",
    "arrowsize",
    "lineheightgutter",
    "screen"
  ]) ? "px" : checkKeyWithSearch(lowerCasedKey, ["duration"]) ? "s" : void 0;
  return numUnitTransform(value, unit);
}
function tokenToCss(record, prefix, transforms2) {
  const { key, tokens: tokens2, hashId } = record;
  const resolvedPrefix = prefix != null ? prefix : themeTokenPrefix;
  let cssVarContents = "";
  const varNamePrefix = `--${resolvedPrefix}${key === globalTokenKey ? "" : `-${kebabCase(key)}`}`;
  Object.entries(tokens2).forEach(([tokenName, value]) => {
    var _a;
    const _tokenName = tokenName;
    const varName = `${varNamePrefix}-${getTokenCssVarName(_tokenName)}`;
    const transform = (_a = transforms2 == null ? void 0 : transforms2[_tokenName]) != null ? _a : (value2) => defaultTokenTransform(tokenName, value2);
    cssVarContents += `${varName}: ${transform(value)};`;
  });
  if (!hashId) {
    return `:root { ${cssVarContents} }`;
  }
  return `.${hashId} { ${cssVarContents} }`;
}
function getTokenCssVarName(tokenName) {
  let name = "";
  let preChar;
  for (let i2 = 0; i2 < tokenName.length; i2++) {
    const char = tokenName[i2];
    if (preChar && !isUppercaseOrNumber(preChar) && isUppercaseOrNumber(char)) {
      name += `-${char}`;
    } else {
      name += char;
    }
    preChar = char;
  }
  return name.toLowerCase();
}
function isUppercaseOrNumber(char) {
  const charCode = char.charCodeAt(0);
  return charCode >= 65 && charCode <= 90 || charCode >= 48 && charCode <= 57;
}
const injectedStyles = [];
function useDynamicCss(mergedAttachTo) {
  const localInjectedStyleCnts = /* @__PURE__ */ new Map();
  const incrementCnt = (hashId) => {
    if (!localInjectedStyleCnts.has(hashId)) {
      localInjectedStyleCnts.set(hashId, 1);
    } else {
      localInjectedStyleCnts.set(hashId, localInjectedStyleCnts.get(hashId) + 1);
    }
  };
  const decrementCnt = (hashId) => {
    if (!localInjectedStyleCnts.has(hashId)) {
      return;
    }
    const currentCnt = localInjectedStyleCnts.get(hashId) - 1;
    if (currentCnt <= 0) {
      localInjectedStyleCnts.delete(hashId);
    } else {
      localInjectedStyleCnts.set(hashId, currentCnt);
    }
  };
  const findInjectedStyle = (hashId, attachTo) => {
    let index = injectedStyles.findIndex((style2) => style2.hashId === hashId && style2.attachTo === attachTo);
    let style = injectedStyles[index];
    const styleElement = findExistNode(hashId, { attachTo });
    if (styleElement) {
      const styleRefCnt = getStyleRefCnt(styleElement);
      if (!style) {
        style = {
          hashId,
          attachTo: mergedAttachTo.value,
          refCnt: styleRefCnt
        };
        index = injectedStyles.length;
        injectedStyles.push(style);
      } else {
        style.refCnt = styleRefCnt;
      }
    }
    return {
      index,
      style,
      styleElement
    };
  };
  const setInjectedStyle = (injectedStyle, styleElement) => {
    injectedStyles.push(injectedStyle);
    setStyleRefCnt(styleElement, injectedStyle.refCnt);
  };
  const updateInjectedStyleRefCnt = (injectedStyle, styleElement, cnt) => {
    injectedStyle.refCnt = cnt;
    setStyleRefCnt(styleElement, cnt);
  };
  const inject2 = (hashId, css) => {
    incrementCnt(hashId);
    const { style, styleElement } = findInjectedStyle(hashId, mergedAttachTo.value);
    if (style && styleElement) {
      updateInjectedStyleRefCnt(style, styleElement, style.refCnt + 1);
      style.refCnt++;
    } else {
      const newInjectedStyleElement = updateCSS(css, hashId, { attachTo: mergedAttachTo.value });
      newInjectedStyleElement && setInjectedStyle(
        {
          hashId,
          attachTo: mergedAttachTo.value,
          refCnt: 1
        },
        newInjectedStyleElement
      );
    }
  };
  const remove = (hashId) => {
    decrementCnt(hashId);
    const { index, style, styleElement } = findInjectedStyle(hashId, mergedAttachTo.value);
    if (!style || !styleElement) {
      return;
    }
    updateInjectedStyleRefCnt(style, styleElement, style.refCnt - 1);
    if (style.refCnt <= 0) {
      injectedStyles.splice(index, 1);
      removeCSS(hashId, { attachTo: mergedAttachTo.value });
    }
  };
  const updateThemeStyle = (css, hashId, oldHashId) => {
    if (oldHashId) {
      remove(oldHashId);
    }
    inject2(hashId, css);
  };
  tryOnScopeDispose(() => {
    for (const [hashId, cnt] of localInjectedStyleCnts.entries()) {
      for (let i2 = 0; i2 < cnt; i2++) {
        remove(hashId);
      }
    }
  });
  return updateThemeStyle;
}
function useTokenRegister(injectThemeStyle, mergedPresetTheme, mergedAlgorithms, mergedAttachTo, mergedHashed, getMergedTokens) {
  const tokenRecordMap = reactive(/* @__PURE__ */ new Map());
  const tokenGettersMap = /* @__PURE__ */ new Map();
  const tokenTransformsMap = /* @__PURE__ */ new Map();
  const tokenHashedMap = /* @__PURE__ */ new Map();
  const tokenPrefixMap = /* @__PURE__ */ new Map();
  const updateThemeStyle = useDynamicCss(mergedAttachTo);
  const [globalHashId, setGlobalHashId] = useState("");
  const _updateToken = (key, force, existedHashId) => {
    var _a, _b;
    let record = tokenRecordMap.get(key != null ? key : globalTokenKey);
    if (record && !force) {
      return record.hashId;
    }
    const globalTokens = key === globalTokenKey ? {} : (_a = tokenRecordMap.get(globalTokenKey)) == null ? void 0 : _a.tokens;
    if (!globalTokens) {
      return;
    }
    const getTokens = tokenGettersMap.get(key);
    const transforms2 = tokenTransformsMap.get(key);
    const prefix = tokenPrefixMap.get(key);
    const hashed = (_b = tokenHashedMap.get(key)) != null ? _b : mergedHashed.value;
    if (!getTokens) {
      return;
    }
    const tokens2 = getTokens(globalTokens, mergedPresetTheme.value, mergedAlgorithms.value);
    if (!tokens2) {
      return;
    }
    const mergedCompTokens = getMergedTokens(key, tokens2);
    const hashId = existedHashId != null ? existedHashId : createTokensHash(key, mergedCompTokens, hashed);
    if ((record == null ? void 0 : record.hashId) === hashId) {
      return hashId;
    }
    const oldHashId = record == null ? void 0 : record.hashId;
    record = {
      key,
      hashId,
      tokens: mergedCompTokens
    };
    tokenRecordMap.set(key, record);
    if (injectThemeStyle.value && !existedHashId) {
      const cssContent = tokenToCss(
        { ...record, hashId: hashed ? record.hashId : "" },
        prefix,
        transforms2
      );
      updateThemeStyle(cssContent, record.hashId, oldHashId);
    }
    if (key === globalTokenKey) {
      setGlobalHashId(record.hashId);
      [...tokenRecordMap.keys()].filter((key2) => key2 !== globalTokenKey).forEach((componentTokenKey) => {
        updateToken(componentTokenKey);
      });
    }
    return record.hashId;
  };
  const registerToken = (key, getTokens, transforms2, prefix, hashed, hashId) => {
    tokenGettersMap.set(key, getTokens);
    tokenTransformsMap.set(key, transforms2);
    tokenPrefixMap.set(key, prefix);
    tokenHashedMap.set(key, hashed);
    return _updateToken(key, false, hashId);
  };
  const updateToken = (key, hashId) => {
    if (!isTokensRegistered(key)) {
      return;
    }
    return _updateToken(key, true, hashId);
  };
  const isTokensRegistered = (key) => {
    return tokenRecordMap.has(key);
  };
  const getThemeTokens2 = (key) => {
    return tokenRecordMap.get(key).tokens;
  };
  const getThemeHashId = (key) => {
    var _a;
    return (_a = tokenRecordMap.get(key)) == null ? void 0 : _a.hashId;
  };
  return {
    globalHashId,
    isTokensRegistered,
    getThemeTokens: getThemeTokens2,
    getThemeHashId,
    registerToken,
    updateToken
  };
}
function createThemeProviderContext(supperContext, props) {
  const themeConfig = useGlobalConfig("theme");
  const injectThemeStyle = computed(() => {
    var _a;
    return (_a = props == null ? void 0 : props.injectThemeStyle) != null ? _a : themeConfig.injectThemeStyle;
  });
  const mergedPresetTheme = computed(
    () => {
      var _a;
      return (_a = (props == null ? void 0 : props.inherit) && !props.presetTheme ? supperContext == null ? void 0 : supperContext.presetTheme.value : props == null ? void 0 : props.presetTheme) != null ? _a : themeConfig.presetTheme;
    }
  );
  const mergedHashed = computed(
    () => {
      var _a, _b;
      return (_b = (_a = (props == null ? void 0 : props.inherit) ? supperContext == null ? void 0 : supperContext.hashed.value : void 0) != null ? _a : props == null ? void 0 : props.hashed) != null ? _b : themeConfig.hashed;
    }
  );
  const mergedAttachTo = computed(() => {
    var _a, _b, _c;
    const attachTo = (_b = (_a = (props == null ? void 0 : props.inherit) ? supperContext == null ? void 0 : supperContext.attachTo.value : void 0) != null ? _a : props == null ? void 0 : props.attachTo) != null ? _b : themeConfig.attachTo;
    if (!attachTo) {
      return;
    }
    if (attachTo instanceof Element) {
      return attachTo;
    }
    if (isFunction(attachTo)) {
      return attachTo();
    }
    return (_c = document.querySelector(attachTo)) != null ? _c : void 0;
  });
  const { mergedAlgorithms, mergedTokens, getMergedTokens } = useTokenMerge(
    props,
    themeConfig,
    supperContext,
    mergedPresetTheme
  );
  const { globalHashId, registerToken, updateToken, getThemeTokens: getThemeTokens2, getThemeHashId, isTokensRegistered } = useTokenRegister(
    injectThemeStyle,
    mergedPresetTheme,
    mergedAlgorithms,
    mergedAttachTo,
    mergedHashed,
    getMergedTokens
  );
  watch(
    () => mergedTokens.value.global,
    () => {
      var _a;
      const useSupper = (props == null ? void 0 : props.inherit) && !((_a = props.tokens) == null ? void 0 : _a.global) && !!supperContext;
      if (!isTokensRegistered(globalTokenKey)) {
        registerToken(
          globalTokenKey,
          () => useSupper ? supperContext.getThemeTokens(globalTokenKey) : mergedTokens.value.global,
          void 0,
          void 0,
          void 0,
          useSupper ? supperContext.getThemeHashId(globalTokenKey) : void 0
        );
      } else {
        updateToken(globalTokenKey, useSupper ? supperContext.getThemeHashId(globalTokenKey) : void 0);
      }
      if ((props == null ? void 0 : props.inherit) && !!supperContext || isTokensRegistered(resetTokenKey)) {
        return;
      }
      registerToken(
        resetTokenKey,
        (globalTokens) => useSupper ? supperContext.getThemeTokens(resetTokenKey) : getResetTokens(globalTokens),
        void 0,
        void 0,
        false,
        useSupper ? supperContext.getThemeHashId(resetTokenKey) : void 0
      );
    },
    {
      immediate: true,
      deep: true
    }
  );
  watch(
    () => mergedTokens.value.components,
    (components2) => {
      Object.keys(components2).forEach((key) => {
        updateToken(key);
      });
    },
    {
      deep: true
    }
  );
  const useThemeTokenContextMap = /* @__PURE__ */ new Map();
  return {
    globalHashId,
    hashed: mergedHashed,
    presetTheme: mergedPresetTheme,
    attachTo: mergedAttachTo,
    mergedTokens,
    useThemeTokenContextMap,
    getThemeHashId,
    registerToken,
    updateToken,
    getThemeTokens: getThemeTokens2,
    isTokensRegistered
  };
}
const useSharedThemeProvider = createSharedComposable(() => createThemeProviderContext(null));
const THEME_PROVIDER_TOKEN = Symbol("THEME_PROVIDER_TOKEN");
var ThemeProvider = /* @__PURE__ */ defineComponent({
  name: "IxThemeProvider",
  props: themeProviderProps,
  setup(props, {
    slots,
    attrs
  }) {
    let supperContext = inject(THEME_PROVIDER_TOKEN, null);
    if (props.inherit === "all" && !supperContext) {
      supperContext = useSharedThemeProvider();
    }
    const context = createThemeProviderContext(supperContext, props);
    provide(THEME_PROVIDER_TOKEN, context);
    return () => {
      var _a;
      return props.tag ? createVNode(props.tag, attrs, {
        default: () => {
          var _a2;
          return [(_a2 = slots.default) == null ? void 0 : _a2.call(slots)];
        }
      }) : createVNode(Fragment, null, [(_a = slots.default) == null ? void 0 : _a.call(slots)]);
    };
  }
});
function useThemeToken(key) {
  let themeProviderContext = inject(THEME_PROVIDER_TOKEN, null);
  if (!themeProviderContext) {
    themeProviderContext = useSharedThemeProvider();
  }
  const {
    useThemeTokenContextMap,
    presetTheme,
    globalHashId: _globalHashId,
    hashed,
    getThemeTokens: getThemeTokens2,
    getThemeHashId,
    registerToken: _registerToken
  } = themeProviderContext;
  const globalContext = getSharedContext(
    globalTokenKey,
    useThemeTokenContextMap,
    () => ({
      presetTheme,
      globalHashId: computed(() => hashed.value ? _globalHashId.value : ""),
      themeTokens: computed(() => getThemeTokens2(globalTokenKey))
    })
  );
  if (!key) {
    return globalContext;
  }
  const context = getSharedContext(key, useThemeTokenContextMap, () => {
    const globalHashId = globalContext.globalHashId;
    const hashId = computed(() => {
      var _a;
      return hashed.value ? (_a = getThemeHashId(key)) != null ? _a : "" : "";
    });
    const themeTokens = computed(() => getThemeTokens2(key));
    const registerToken = (getTokens, transforms2, prefixCls) => {
      var _a;
      return (_a = _registerToken(key, getTokens, transforms2, prefixCls)) != null ? _a : "";
    };
    return {
      presetTheme,
      globalHashId,
      hashId,
      themeTokens,
      registerToken
    };
  });
  return context;
}
function getSharedContext(key, map, getContext) {
  let states = map.get(key);
  if (!states) {
    const scope = effectScope(true);
    const context = scope.run(() => getContext());
    states = {
      scope,
      context,
      subscribers: 1
    };
    tryOnScopeDispose(() => {
      if (states && scope && --states.subscribers <= 0) {
        states.scope.stop();
        map.set(key, void 0);
      }
    });
    map.set(key, states);
  } else {
    states.subscribers++;
  }
  return states.context;
}
const IxThemeProvider = ThemeProvider;
const formToken = Symbol("formToken");
const FORM_TOKEN = Symbol("FORM_TOKEN");
const FORM_ITEM_TOKEN = Symbol("FORM_ITEM_TOKEN");
const colProp = [Number, String, Object];
const formProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  colonless: { type: Boolean, default: void 0 },
  controlCol: colProp,
  controlTooltipIcon: String,
  labelAlign: String,
  labelCol: colProp,
  labelTooltipIcon: String,
  layout: String,
  messageTooltip: { type: [Boolean, Object], default: false },
  size: String,
  onSubmit: { type: Function, default: (evt) => evt.preventDefault() }
};
const formItemProps = {
  colonless: { type: Boolean, default: void 0 },
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  controlCol: colProp,
  controlTooltip: String,
  controlTooltipIcon: String,
  description: String,
  label: [String, Number],
  labelAlign: String,
  labelCol: colProp,
  labelFor: [String, Number],
  labelTooltip: String,
  labelTooltipIcon: String,
  required: { type: Boolean, default: false },
  message: [String, Function, Object],
  messageTooltip: { type: [Boolean, Object], default: void 0 },
  status: String
};
const formWrapperProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  }
};
function getDefaultThemeTokens$T(tokens2) {
  const { colorTextInfo, colorErrorBg, colorErrorText, fontSizeSm, marginSize2Xs, marginSizeSm, paddingSizeSm } = tokens2;
  return {
    labelColor: colorTextInfo,
    labelRequiredColor: colorErrorText,
    labelFontSize: fontSizeSm,
    labelColonMarginLeft: marginSize2Xs,
    labelColonMarginRight: marginSizeSm,
    messageTooltipBgColor: colorErrorBg,
    itemMarginBottom: marginSizeSm,
    verticalItemLabelPadding: `0 0 ${paddingSizeSm}px`,
    verticalItemLabelMargin: 0
  };
}
const getThemeTokens$T = (tokens2) => getDefaultThemeTokens$T(tokens2);
var Form = /* @__PURE__ */ defineComponent({
  name: "IxForm",
  props: formProps,
  setup(props, {
    slots
  }) {
    const control = useControl$2();
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("form");
    registerToken(getThemeTokens$T);
    provide(FORMS_CONTROL_TOKEN, control);
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-form`);
    const config = useGlobalConfig("form");
    const layout = computed(() => {
      var _a;
      return (_a = props.layout) != null ? _a : config.layout;
    });
    const size = computed(() => {
      var _a;
      return (_a = props.size) != null ? _a : config.size;
    });
    provide(formToken, {
      props,
      config
    });
    provide(FORM_TOKEN, {
      size
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-${layout.value}`]: true,
        [`${prefixCls}-${size.value}`]: true
      });
    });
    return () => createVNode("form", {
      "class": classes.value,
      "onSubmit": props.onSubmit
    }, [slots.default && slots.default()]);
  }
});
const rowToken = Symbol("rowToken");
const rowProps = {
  align: String,
  justify: String,
  gutter: [Number, String, Array, Object],
  wrap: {
    type: Boolean,
    default: void 0
  }
};
const singleProp = [Number, String];
const breakpointConfig = [Number, String, Object];
const colProps = {
  flex: singleProp,
  span: singleProp,
  order: singleProp,
  offset: singleProp,
  push: singleProp,
  pull: singleProp,
  xs: breakpointConfig,
  sm: breakpointConfig,
  md: breakpointConfig,
  lg: breakpointConfig,
  xl: breakpointConfig
};
var Col = /* @__PURE__ */ defineComponent({
  name: "IxCol",
  props: colProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId
    } = useThemeToken();
    const mergedPrefixCls = computed(() => `${common.prefixCls}-col`);
    const {
      mergedGutters
    } = inject(rowToken);
    const classes = computed(() => generateAllCls(props, mergedPrefixCls.value, globalHashId));
    const style = computed(() => {
      const style2 = {};
      const [verticalGutter, horizontalGutter] = mergedGutters.value;
      if (verticalGutter > 0) {
        style2.paddingTop = `${verticalGutter / 2}px`;
        style2.paddingBottom = style2.paddingTop;
      }
      if (horizontalGutter > 0) {
        style2.paddingLeft = `${horizontalGutter / 2}px`;
        style2.paddingRight = style2.paddingLeft;
      }
      if (props.flex) {
        style2.flex = parseFlex(props.flex);
      }
      return style2;
    });
    return () => createVNode("div", {
      "class": classes.value,
      "style": style.value
    }, [slots.default && slots.default()]);
  }
});
const attrKeys = ["span", "order", "offset", "push", "pull"];
function generateAllCls(props, prefixCLs, globalHashId) {
  const clsMap = /* @__PURE__ */ new Map([[prefixCLs, true]]);
  const generateSizeCls = (sizeConfig, size) => {
    attrKeys.forEach((attrKey) => {
      const attr = sizeConfig[attrKey];
      const cls = `${prefixCLs}${size ? `-${size}` : ""}-${attrKey}-${attr}`;
      clsMap.set(cls, !isUndefined(attr));
    });
  };
  generateSizeCls(props);
  BREAKPOINTS_KEYS.forEach((size) => {
    const sizeValue = props[size];
    if (!isUndefined(sizeValue)) {
      generateSizeCls(normalizeSizeProps(sizeValue), size);
    }
  });
  const allCls = {
    [globalHashId.value]: !!globalHashId.value
  };
  clsMap.forEach((value, key) => {
    allCls[key] = value;
  });
  return normalizeClass(allCls);
}
function normalizeSizeProps(rawProps) {
  return isNumber(rawProps) || isString(rawProps) ? {
    span: rawProps
  } : rawProps;
}
function parseFlex(flex) {
  if (isNumeric(flex)) {
    return `${flex} ${flex} auto`;
  }
  if (/^\d+(\.\d+)?(px|em|rem|%)$/.test(flex)) {
    return `0 0 ${flex}`;
  }
  return flex;
}
var Row = /* @__PURE__ */ defineComponent({
  name: "IxRow",
  props: rowProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId
    } = useThemeToken();
    const mergedPrefixCls = computed(() => `${common.prefixCls}-row`);
    const config = useGlobalConfig("row");
    const breakpoints = useSharedBreakpoints();
    const mergedGutters = useGutters(props, breakpoints);
    provide(rowToken, {
      mergedGutters
    });
    const classes = computed(() => {
      const {
        align,
        justify,
        wrap = config.wrap
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [prefixCls]: true,
        [`${prefixCls}-align-${align}`]: align,
        [`${prefixCls}-justify-${justify}`]: justify,
        [`${prefixCls}-nowrap`]: !wrap
      });
    });
    const style = computed(() => {
      const [verticalGutter, horizontalGutter] = mergedGutters.value;
      const style2 = {};
      if (verticalGutter > 0) {
        style2.marginTop = `${verticalGutter / -2}px`;
        style2.marginBottom = style2.marginTop;
      }
      if (horizontalGutter > 0) {
        style2.marginLeft = `${horizontalGutter / -2}px`;
        style2.marginRight = style2.marginLeft;
      }
      return style2;
    });
    return () => createVNode("div", {
      "class": classes.value,
      "style": style.value
    }, [slots.default && slots.default()]);
  }
});
function useGutters(props, breakpoints) {
  return computed(() => {
    const {
      gutter
    } = props;
    const results = [0, 0];
    const gutters = isArray(gutter) ? gutter : [gutter, gutter];
    gutters.forEach((item, index) => {
      if (isObject(item)) {
        BREAKPOINTS_KEYS.some((key) => {
          const currGutter = item[key];
          const isActive = currGutter != null && breakpoints[key];
          if (isActive) {
            results[index] = convertNumber(currGutter);
          }
          return isActive;
        });
      } else {
        results[index] = convertNumber(item);
      }
    });
    return results;
  });
}
const IxRow = Row;
const IxCol = Col;
const OverlayVisibleLockToken = Symbol("OverlayVisibleLockToken");
var Content$4 = /* @__PURE__ */ defineComponent({
  props: {
    lock: {
      type: Function,
      required: true
    },
    unlock: {
      type: Function,
      required: true
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    provide(OverlayVisibleLockToken, {
      lock: props.lock,
      unlock: props.unlock
    });
    return () => {
      var _a;
      return createVNode("div", attrs, [(_a = slots.default) == null ? void 0 : _a.call(slots)]);
    };
  }
});
function useMergedEvents(triggerEvents, popperEvents, stateTriggerEvents, statePopperEvents) {
  const mergedTriggerEvents = computed(() => mergeEvents(triggerEvents.value, stateTriggerEvents));
  const mergedPopperEvents = computed(() => mergeEvents(popperEvents.value, statePopperEvents));
  return {
    mergedTriggerEvents,
    mergedPopperEvents
  };
}
function mergeEvents(events2, extendedEvents) {
  const mergedEvents = { ...events2 };
  Object.entries(extendedEvents).forEach(([key, cb]) => {
    if (key in mergedEvents) {
      const originalCb = mergedEvents[key];
      mergedEvents[key] = (evt) => {
        cb(evt);
        originalCb(evt);
      };
    }
  });
  return mergedEvents;
}
function useOverlayStates() {
  const [isHovered, setIsHovered] = useState(false);
  const [isFocused, setIsFocused] = useState(false);
  const handleMouseenter = () => setIsHovered(true);
  const handleMouseleave = () => setIsHovered(false);
  const handleFocus = () => setIsFocused(true);
  const handleBlur = () => setIsFocused(false);
  const stateTriggerEvents = {
    onMouseenter: handleMouseenter,
    onMouseleave: handleMouseleave,
    onFocus: handleFocus,
    onBlur: handleBlur
  };
  const statePopperEvents = {
    onMouseenter: handleMouseenter,
    onMouseleave: handleMouseleave
  };
  return {
    isHovered,
    isFocused,
    stateTriggerEvents,
    statePopperEvents
  };
}
function usePopperOptions(props, arrowRef) {
  var _a;
  const [allowEnter, setAllowEnter] = useState(props.allowEnter);
  const [autoAdjust, setAutoAdjust] = useState(props.autoAdjust);
  const [delay, setDelay] = useState(props.delay);
  const [disabled, setDisabled] = useState(props.disabled);
  const [offset, setOffset] = useState(props.offset);
  const [placement, setPlacement] = useState(props.placement);
  const [trigger, setTrigger] = useState((_a = props.trigger) != null ? _a : "hover");
  const options = {
    allowEnter,
    autoAdjust,
    delay,
    disabled,
    offset,
    placement,
    trigger
  };
  const updateOptions = () => {
    const { allowEnter: allowEnter2, autoAdjust: autoAdjust2, delay: delay2, disabled: disabled2, offset: offset2, placement: placement2, trigger: trigger2 } = props;
    let _offset;
    if (!arrowRef.value) {
      _offset = offset2;
    } else {
      const { offsetHeight, offsetWidth } = arrowRef.value;
      _offset = offset2 ? [...offset2] : [0, 0];
      _offset[1] += [offsetWidth, offsetHeight][1] / 2;
    }
    setAllowEnter(allowEnter2);
    setAutoAdjust(autoAdjust2);
    setDelay(delay2);
    setDisabled(disabled2);
    setOffset(_offset);
    setPlacement(placement2);
    setTrigger(trigger2 != null ? trigger2 : "hover");
  };
  watch(props, updateOptions, { immediate: true, deep: true });
  watch(arrowRef, updateOptions);
  return {
    options,
    update: updateOptions
  };
}
function useVisible$4(props, trigger, isHovered, isFocused) {
  const parentLockContext = inject(OverlayVisibleLockToken, null);
  const [visible, setVisible] = useControlledProp(props, "visible", false);
  const [visibleLocked, setVisibleLocked] = useState(false);
  const lock = () => {
    if (visibleLocked.value) {
      return;
    }
    setVisibleLocked(true);
    if (parentLockContext == null ? void 0 : parentLockContext.lock) {
      parentLockContext.lock();
    }
  };
  const unlock = () => {
    if (!visibleLocked.value) {
      return;
    }
    setVisibleLocked(false);
    if (trigger.value === "hover" && !isHovered.value || trigger.value === "focus" && !isFocused.value) {
      setVisible(false);
    }
  };
  const updateVisible = (v) => {
    if (visibleLocked.value) {
      return;
    }
    setVisible(v);
  };
  onMounted(() => {
    watch(visible, (v) => {
      nextTick(() => {
        if (v) {
          parentLockContext == null ? void 0 : parentLockContext.lock();
        } else {
          parentLockContext == null ? void 0 : parentLockContext.unlock();
        }
      });
    });
    if (visible.value) {
      parentLockContext == null ? void 0 : parentLockContext.lock();
    }
  });
  onBeforeUnmount(() => {
    parentLockContext == null ? void 0 : parentLockContext.unlock();
  });
  return {
    visible,
    visibleLocked,
    updateVisible,
    lock,
    unlock
  };
}
const overlayPlacementDef = String;
const overlayTriggerDef = String;
const overlayDelayDef = [Number, Array];
const overlayProps = {
  visible: {
    type: Boolean,
    default: void 0
  },
  placement: overlayPlacementDef,
  allowEnter: {
    type: Boolean,
    default: void 0
  },
  autoAdjust: {
    type: Boolean,
    default: void 0
  },
  clickOutside: {
    type: Boolean,
    default: void 0
  },
  container: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  containerFallback: {
    type: String,
    required: true
  },
  delay: overlayDelayDef,
  destroyOnHide: {
    type: Boolean,
    default: void 0
  },
  disabled: {
    type: Boolean,
    default: void 0
  },
  lazy: {
    type: Boolean,
    default: true
  },
  offset: Array,
  showArrow: {
    type: Boolean,
    default: void 0
  },
  transitionName: String,
  trigger: overlayTriggerDef,
  triggerId: { type: null, default: void 0 },
  zIndex: Number,
  "onUpdate:visible": [Function, Array],
  "onUpdate:placement": [Function, Array],
  onAfterLeave: [Function, Array]
};
var Overlay = /* @__PURE__ */ defineComponent({
  name: "\u0275Overlay",
  inheritAttrs: false,
  props: overlayProps,
  setup(props, {
    slots,
    attrs,
    expose
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId
    } = useThemeToken();
    const mergedPrefixCls = computed(() => `${common.prefixCls}-overlay`);
    const contentArrowRef = ref();
    const {
      options: popperOptions,
      update: updateOptions
    } = usePopperOptions(props, contentArrowRef);
    const {
      isHovered,
      isFocused,
      statePopperEvents,
      stateTriggerEvents
    } = useOverlayStates();
    const {
      visible,
      visibleLocked,
      updateVisible,
      lock,
      unlock
    } = useVisible$4(props, popperOptions.trigger, isHovered, isFocused);
    const {
      arrowRef,
      popperRef,
      popperEvents,
      triggerRef,
      triggerEvents,
      visibility,
      placement,
      initialize,
      update,
      hide,
      destroy
    } = usePopper({
      ...popperOptions,
      visible,
      onVisibleChange: updateVisible
    });
    const {
      mergedTriggerEvents,
      mergedPopperEvents
    } = useMergedEvents(triggerEvents, popperEvents, stateTriggerEvents, statePopperEvents);
    const currentZIndex = useZIndex(toRef(props, "zIndex"), toRef(common, "overlayZIndex"), visibility);
    const mergedContainer = computed(() => {
      var _a;
      const {
        container = common.overlayContainer
      } = props;
      return (_a = isFunction(container) ? container(convertElement(triggerRef)) : container) != null ? _a : props.containerFallback;
    });
    onMounted(() => initialize());
    onBeforeUnmount(() => destroy());
    watch(visibility, (value) => {
      if (value) {
        nextTick(updateOptions);
        props.destroyOnHide && initialize();
      }
    });
    watch(placement, (value) => callEmit(props["onUpdate:placement"], value));
    watch(contentArrowRef, () => {
      arrowRef.value = contentArrowRef.value;
    }, {
      immediate: true
    });
    const onAfterLeave = () => {
      if (props.destroyOnHide) {
        destroy();
      }
      callEmit(props.onAfterLeave);
    };
    expose({
      updatePopper: update,
      getPopperElement: () => convertElement(popperRef)
    });
    const handleClickOutside = (evt) => {
      if (visibleLocked.value) {
        return;
      }
      const popperElement = convertElement(popperRef);
      const target = evt.target;
      if (!popperElement || popperElement === target || popperElement.contains(target)) {
        return;
      }
      hide();
    };
    return () => {
      var _a, _b;
      const triggerNode = getFirstValidNode((_a = slots.default) == null ? void 0 : _a.call(slots));
      if (!triggerNode) {
        return null;
      }
      const trigger = renderTrigger$1(props, triggerNode, {
        ref: triggerRef,
        ...mergedTriggerEvents.value
      }, handleClickOutside);
      const contentNode = (_b = slots.content) == null ? void 0 : _b.call(slots);
      if (!getFirstValidNode(contentNode)) {
        return createVNode(Fragment, null, [trigger, createVNode(CdkPortal, {
          "target": mergedContainer.value,
          "load": false
        }, null)]);
      }
      const content = renderContent$3(props, globalHashId, mergedPrefixCls, visibility, currentZIndex, contentNode, contentArrowRef, popperRef, mergedPopperEvents, attrs, lock, unlock);
      return createVNode(Fragment, null, [trigger, createVNode(CdkPortal, {
        "target": mergedContainer.value,
        "load": props.lazy ? visibility.value : true
      }, {
        default: () => [createVNode(Transition, {
          "appear": true,
          "name": props.transitionName,
          "onAfterLeave": onAfterLeave
        }, {
          default: () => [content]
        })]
      })]);
    };
  }
});
function renderContent$3(props, globalHashId, mergedPrefixCls, visibility, currentZIndex, contentNode, arrowRef, popperRef, popperEvents, attrs, lock, unlock) {
  if (props.destroyOnHide && !visibility.value) {
    return null;
  }
  const prefixCls = mergedPrefixCls.value;
  const {
    triggerId
  } = props;
  const overlayId = triggerId != null ? `__IDUX_OVERLAY-${triggerId}` : void 0;
  const style = `z-index: ${currentZIndex.value}`;
  const overlay = createVNode(Content$4, mergeProps({
    "ref": popperRef,
    "id": overlayId,
    "class": [prefixCls, globalHashId.value],
    "style": style,
    "lock": lock,
    "unlock": unlock
  }, popperEvents.value, attrs), {
    default: () => [contentNode, props.showArrow && createVNode("div", {
      "ref": arrowRef,
      "class": `${prefixCls}-arrow`
    }, null)]
  });
  return props.destroyOnHide ? overlay : withDirectives(overlay, [[vShow, visibility.value]]);
}
function renderTrigger$1(props, triggerNode, extraProps, handleClickOutside) {
  const element = cloneVNode(triggerNode, extraProps, true);
  if (props.clickOutside) {
    return withDirectives(element, [[vClickOutside, handleClickOutside]]);
  }
  return element;
}
const \u0275Overlay = Overlay;
const tooltipProps = {
  visible: { type: Boolean, default: void 0 },
  autoAdjust: { type: Boolean, default: void 0 },
  closeOnDeactivated: { type: Boolean, default: true },
  destroyOnHide: { type: Boolean, default: void 0 },
  delay: overlayDelayDef,
  disabled: { type: Boolean, default: false },
  offset: Array,
  overlayContainer: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  placement: overlayPlacementDef,
  showArrow: { type: Boolean, default: void 0 },
  title: String,
  trigger: overlayTriggerDef,
  zIndex: Number,
  "onUpdate:visible": [Function, Array]
};
function useTooltipOverlay(props, config, mergedPrefixCls) {
  const overlayRef = ref();
  const updatePopper = () => {
    var _a;
    return (_a = overlayRef.value) == null ? void 0 : _a.updatePopper();
  };
  const [visible, setVisible] = useControlledProp(props, "visible", false);
  onDeactivated(() => {
    if (visible.value && props.closeOnDeactivated) {
      setVisible(false);
    }
  });
  const overlayProps2 = computed(() => {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    const trigger = (_a = props.trigger) != null ? _a : config.trigger;
    return {
      visible: visible.value,
      ["onUpdate:visible"]: setVisible,
      autoAdjust: (_b = props.autoAdjust) != null ? _b : config.autoAdjust,
      clickOutside: trigger === "click" || trigger === "contextmenu",
      container: (_c = props.overlayContainer) != null ? _c : config.overlayContainer,
      containerFallback: `.${mergedPrefixCls.value}-overlay-container`,
      delay: (_d = props.delay) != null ? _d : config.delay,
      destroyOnHide: (_e = props.destroyOnHide) != null ? _e : config.destroyOnHide,
      disabled: props.disabled,
      offset: (_f = props.offset) != null ? _f : config.offset,
      showArrow: (_g = props.showArrow) != null ? _g : config.showArrow,
      placement: (_h = props.placement) != null ? _h : config.placement,
      trigger,
      zIndex: props.zIndex
    };
  });
  return { overlayRef, updatePopper, visible, setVisible, overlayProps: overlayProps2 };
}
function getDefaultThemeTokens$S(tokens2) {
  const { fontSizeSm, colorTextInfo } = tokens2;
  return {
    fontSize: fontSizeSm,
    color: colorTextInfo,
    minWidth: 32,
    maxWidth: 400,
    whiteSpace: "pre-wrap"
  };
}
const getThemeTokens$S = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$S(tokens2) : getDefaultThemeTokens$S(tokens2);
};
var Tooltip = /* @__PURE__ */ defineComponent({
  name: "IxTooltip",
  props: tooltipProps,
  setup(props, {
    slots,
    expose
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("tooltip");
    registerToken(getThemeTokens$S);
    const config = useGlobalConfig("tooltip");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-tooltip`);
    const {
      overlayRef,
      updatePopper,
      overlayProps: overlayProps2
    } = useTooltipOverlay(props, config, mergedPrefixCls);
    expose({
      updatePopper
    });
    return () => {
      const prefixCls = mergedPrefixCls.value;
      return createVNode(\u0275Overlay, mergeProps({
        "ref": overlayRef,
        "class": [prefixCls, globalHashId.value, hashId.value],
        "transitionName": `${common.prefixCls}-fade-fast`
      }, overlayProps2.value), {
        default: slots.default,
        content: () => renderContent$2(props, slots, prefixCls)
      });
    };
  }
});
const renderContent$2 = (props, slots, prefixCls) => {
  if (!(slots.title || props.title)) {
    return null;
  }
  return createVNode("div", {
    "class": `${prefixCls}-wrapper`
  }, [slots.title ? slots.title() : props.title]);
};
const IxTooltip = Tooltip;
function useFormItemRegister(control) {
  const context = inject(FORM_ITEM_TOKEN, null);
  if (context) {
    const key = useKey$1();
    const { registerControl, unregisterControl } = context;
    registerControl(key, control);
    onBeforeUnmount(() => unregisterControl(key));
  }
}
function useFormElement() {
  const elementRef = ref();
  const focus = (options) => {
    var _a;
    (_a = elementRef.value) == null ? void 0 : _a.focus(options);
  };
  const blur = () => {
    var _a;
    return (_a = elementRef.value) == null ? void 0 : _a.blur();
  };
  return { elementRef, focus, blur };
}
function useFormFocusMonitor(options) {
  const focusMonitor = useSharedFocusMonitor();
  const elementRef = ref();
  let watchStopHandle;
  watch(elementRef, (currElement, prevElement) => {
    if (watchStopHandle) {
      watchStopHandle();
    }
    if (prevElement) {
      focusMonitor.stopMonitoring(prevElement);
    }
    watchStopHandle = watch(focusMonitor.monitor(currElement, options.checkChildren), (evt) => {
      const { origin, event } = evt;
      if (event) {
        origin ? options.handleFocus(event) : options.handleBlur(event);
      }
    });
  });
  onBeforeUnmount(() => {
    if (watchStopHandle) {
      watchStopHandle();
    }
    focusMonitor.stopMonitoring(elementRef.value);
  });
  const focus = (options2) => focusMonitor.focusVia(elementRef.value, "program", options2);
  const blur = () => focusMonitor.blurVia(elementRef.value);
  return { elementRef, focus, blur };
}
function useFormSize(props, config) {
  const formContext = inject(FORM_TOKEN, null);
  return computed(() => {
    var _a, _b;
    return (_b = (_a = props.size) != null ? _a : formContext == null ? void 0 : formContext.size.value) != null ? _b : config.size;
  });
}
function useFormStatus(props, control) {
  return computed(() => {
    if (props.status) {
      return props.status;
    }
    const currControl = control.value;
    if (!currControl || currControl.disabled.value) {
      return void 0;
    }
    const { trigger, dirty, blurred, status, validated } = currControl;
    if (trigger === "change") {
      return dirty.value ? status.value : void 0;
    }
    if (trigger === "blur") {
      return blurred.value ? status.value : void 0;
    }
    return validated.value ? status.value : void 0;
  });
}
function useFormItem(props) {
  const control = useControl$1();
  const status = useFormStatus(props, control);
  const message = useMessage$2(props, control, status);
  return { status, message };
}
function useControl$1() {
  const firstChildControl = shallowRef();
  let firstChildKey;
  let firstChildWatchStop;
  const registerControl = (key, control2) => {
    if (!firstChildWatchStop) {
      firstChildKey = key;
      firstChildWatchStop = watchEffect(() => firstChildControl.value = control2.value);
    }
  };
  const unregisterControl = (key) => {
    if (key === firstChildKey) {
      if (firstChildWatchStop) {
        firstChildWatchStop();
        firstChildWatchStop = void 0;
      }
      firstChildControl.value = void 0;
    }
  };
  provide(FORM_ITEM_TOKEN, { registerControl, unregisterControl });
  const selfControl = useControl$2();
  const control = shallowRef();
  watch(
    [selfControl, firstChildControl],
    ([self2, child]) => {
      const target = self2 != null ? self2 : child;
      if (control.value !== target) {
        control.value = target;
      }
    },
    { immediate: true }
  );
  return control;
}
function useMessage$2(props, control, status) {
  const locale2 = useGlobalConfig("locale");
  return computed(() => {
    const currStatus = status.value;
    if (!currStatus) {
      return void 0;
    }
    const currMessage = props.message;
    if (currMessage) {
      if (isFunction(currMessage)) {
        return currMessage(control.value);
      }
      if (isObject(currMessage)) {
        return currMessage[currStatus];
      }
      return currStatus === "invalid" ? currMessage : void 0;
    }
    return getMessageByControl(control, locale2);
  });
}
function getMessageByControl(control, locale2) {
  const currControl = control.value;
  if (!currControl) {
    return void 0;
  }
  const error = currControl.errors.value;
  for (const key in error) {
    if (!hasOwnProperty$d(error, key)) {
      continue;
    }
    const { message, ...rest } = error[key];
    if (message) {
      if (isString(message)) {
        return message;
      }
      if (isFunction(message)) {
        return message(rest, currControl);
      }
      const i18nMessage = message[locale2.type];
      if (i18nMessage) {
        return isFunction(i18nMessage) ? i18nMessage(rest, currControl) : i18nMessage;
      }
    }
  }
  return void 0;
}
var FormItem = /* @__PURE__ */ defineComponent({
  name: "IxFormItem",
  props: formItemProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("form");
    registerToken(getThemeTokens$T);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-form-item`);
    const {
      props: formProps2,
      config
    } = inject(formToken, null) || {};
    const colonless = computed(() => {
      var _a, _b;
      return (_b = (_a = props.colonless) != null ? _a : formProps2 == null ? void 0 : formProps2.colonless) != null ? _b : config == null ? void 0 : config.colonless;
    });
    const labelAlign = computed(() => {
      var _a, _b;
      return (_b = (_a = props.labelAlign) != null ? _a : formProps2 == null ? void 0 : formProps2.labelAlign) != null ? _b : config == null ? void 0 : config.labelAlign;
    });
    const labelColConfig = computed(() => {
      var _a;
      return normalizeColConfig((_a = props.labelCol) != null ? _a : formProps2 == null ? void 0 : formProps2.labelCol);
    });
    const labelTooltipIcon = computed(() => {
      var _a, _b;
      return (_b = (_a = props.labelTooltipIcon) != null ? _a : formProps2 == null ? void 0 : formProps2.labelTooltipIcon) != null ? _b : config == null ? void 0 : config.labelTooltipIcon;
    });
    const controlColConfig = computed(() => {
      var _a;
      return normalizeColConfig((_a = props.controlCol) != null ? _a : formProps2 == null ? void 0 : formProps2.controlCol);
    });
    const controlTooltipIcon = computed(() => {
      var _a, _b;
      return (_b = (_a = props.controlTooltipIcon) != null ? _a : formProps2 == null ? void 0 : formProps2.controlTooltipIcon) != null ? _b : config == null ? void 0 : config.controlTooltipIcon;
    });
    const mergedMessageTooltip = computed(() => {
      var _a;
      return (_a = props.messageTooltip) != null ? _a : formProps2 == null ? void 0 : formProps2.messageTooltip;
    });
    const {
      status,
      message
    } = useFormItem(props);
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      const currStatus = status.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-${currStatus}`]: !!currStatus
      });
    });
    const labelClasses = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [`${prefixCls}-label`]: true,
        [`${prefixCls}-label-colon`]: !colonless.value,
        [`${prefixCls}-label-required`]: props.required,
        [`${prefixCls}-label-start`]: labelAlign.value === "start"
      });
    });
    return () => {
      const prefixCls = mergedPrefixCls.value;
      return createVNode(IxRow, {
        "class": classes.value
      }, {
        default: () => [renderLabel$2(props, slots, labelClasses, labelColConfig, labelTooltipIcon, prefixCls, hashId.value), renderControl(props, slots, common, controlColConfig, controlTooltipIcon, status, message, mergedMessageTooltip, prefixCls, hashId.value)]
      });
    };
  }
});
function normalizeColConfig(col) {
  return isNumber(col) || isString(col) ? {
    span: col
  } : col;
}
function renderLabel$2(props, slots, classes, labelColConfig, labelTooltipIcon, prefixCls, hashId) {
  const {
    label,
    labelFor,
    labelTooltip
  } = props;
  const {
    label: labelSlot,
    labelTooltip: labelTooltipSlot
  } = slots;
  if (!(label || labelSlot)) {
    return void 0;
  }
  const tooltipNode = renderTooltip(labelTooltipSlot, labelTooltip, labelTooltipIcon.value, hashId);
  return createVNode(IxCol, mergeProps({
    "class": classes.value
  }, labelColConfig.value), {
    default: () => [createVNode("label", {
      "for": labelFor
    }, [labelSlot ? labelSlot() : label, tooltipNode && createVNode("span", {
      "class": `${prefixCls}-label-tooltip`
    }, [tooltipNode])])]
  });
}
function renderControl(props, slots, common, controlColConfig, controlTooltipIcon, status, message, mergedMessageTooltip, prefixCls, hashId) {
  const {
    controlTooltip,
    description
  } = props;
  const {
    controlTooltip: controlTooltipSlot,
    description: descriptionSlot,
    message: messageSlot
  } = slots;
  const tooltipNode = renderTooltip(controlTooltipSlot, controlTooltip, controlTooltipIcon.value, hashId);
  const inputNode = createVNode("div", {
    "class": `${prefixCls}-control-input`
  }, [createVNode("div", {
    "class": `${prefixCls}-control-input-content`
  }, [slots.default && slots.default()]), tooltipNode && createVNode("span", {
    "class": `${prefixCls}-control-tooltip`
  }, [tooltipNode])]);
  const tooltipProps2 = convertTooltipProps(mergedMessageTooltip.value, message.value, prefixCls, hashId);
  const descriptionNode = descriptionSlot ? descriptionSlot() : description;
  const children = [];
  if (tooltipProps2) {
    const tooltipSlots = {
      default: () => inputNode,
      title: messageSlot
    };
    children.push(createVNode(IxTooltip, tooltipProps2, tooltipSlots));
  } else {
    children.push(inputNode);
    const messageNode = messageSlot ? messageSlot() : message.value;
    if (!descriptionNode || messageNode) {
      children.push(createVNode("div", {
        "class": `${prefixCls}-message`
      }, [createVNode(Transition, {
        "name": `${common.prefixCls}-fade-down`
      }, {
        default: () => [messageNode && createVNode("div", {
          "class": `${prefixCls}-message-${status.value}`
        }, [messageNode])]
      })]));
    }
  }
  if (descriptionNode) {
    children.push(createVNode("div", {
      "class": `${prefixCls}-description`
    }, [descriptionNode]));
  }
  return createVNode(IxCol, mergeProps({
    "class": `${prefixCls}-control`
  }, controlColConfig.value), {
    default: () => [children]
  });
}
function convertTooltipProps(messageTooltip, title, prefixCls, hashId) {
  if (!messageTooltip) {
    return void 0;
  }
  const tooltipProps2 = {
    class: [`${prefixCls}-message-tooltip`, hashId],
    offset: [0, 6],
    placement: "bottomStart",
    title
  };
  return isBoolean(messageTooltip) ? tooltipProps2 : {
    ...tooltipProps2,
    ...messageTooltip
  };
}
function renderTooltip(slot, tooltip, iconName, hashId) {
  if (slot) {
    return slot();
  }
  return tooltip && createVNode(IxTooltip, {
    "class": hashId,
    "title": tooltip
  }, {
    default: () => [createVNode(IxIcon, {
      "name": iconName
    }, null)]
  });
}
var FormWrapper = /* @__PURE__ */ defineComponent({
  name: "IxFormWrapper",
  props: formWrapperProps,
  setup(_, {
    slots
  }) {
    const control = useControl$2();
    provide(FORMS_CONTROL_TOKEN, control);
    return () => {
      var _a;
      return (_a = slots.default) == null ? void 0 : _a.call(slots);
    };
  }
});
const IxForm = Form;
const IxFormItem = FormItem;
const IxFormWrapper = FormWrapper;
function useMergedCommonControlProps(props, config) {
  const mergedSize = useFormSize(props, config);
  return computed(() => {
    var _a, _b, _c;
    return {
      borderless: (_a = props.borderless) != null ? _a : config.borderless,
      clearIcon: (_b = props.clearIcon) != null ? _b : config.clearIcon,
      size: mergedSize.value,
      suffix: (_c = props.suffix) != null ? _c : config.suffix
    };
  });
}
let zIndexCount = 0;
const useZIndex = (controlZIndex, configZIndex, visible) => {
  const getZIndex = () => {
    const zIndex = configZIndex.value;
    if (isFunction(zIndex)) {
      return zIndex();
    }
    return zIndex + zIndexCount++;
  };
  const innerZIndex = ref(0);
  watch(
    visible,
    (newVisible) => {
      if (newVisible && isNil(controlZIndex.value)) {
        innerZIndex.value = getZIndex();
      }
    },
    { immediate: true }
  );
  return computed(() => {
    var _a;
    return (_a = controlZIndex.value) != null ? _a : innerZIndex.value;
  });
};
const affixProps = {
  offset: {
    type: [Number, String, Object],
    default: 0
  },
  target: [String, HTMLElement, Function],
  onChange: Function
};
const events = ["scroll", "resize"];
const directions = ["top", "bottom", "left", "right"];
function normalizeOffset(offset) {
  if (!isObject(offset)) {
    return { top: convertNumber(offset) };
  }
  const _offset = {};
  Object.keys(offset).forEach((dire) => {
    _offset[dire] = convertNumber(offset[dire]);
  });
  return _offset;
}
function getTargetRect(target, container) {
  const targetRect = target.getBoundingClientRect();
  const containerRect = isHTMLElement(container) ? container.getBoundingClientRect() : { top: 0, bottom: window.innerHeight, left: 0, right: window.innerWidth };
  if (targetRect.width === 0 && targetRect.height === 0) {
    return null;
  }
  return {
    top: targetRect.top - containerRect.top,
    left: targetRect.left - containerRect.left,
    bottom: containerRect.bottom - targetRect.bottom,
    right: containerRect.right - targetRect.right
  };
}
function getTargetSize(target) {
  if (target === window) {
    return {
      width: target.innerWidth,
      height: target.innerHeight
    };
  }
  return {
    width: target.offsetWidth,
    height: target.offsetHeight
  };
}
function observeTarget(target, cb) {
  events.forEach((event) => {
    on(target, event, cb);
  });
}
function removeObserveTarget(target, cb) {
  events.forEach((event) => {
    off(target, event, cb);
  });
}
function isDireSticky(dire, affixRect, offsetOption) {
  return !isUndefined(offsetOption[dire]) && affixRect[dire] <= offsetOption[dire];
}
function isSticky(target, container, offsetOption) {
  const targetRect = getTargetRect(target, container);
  return !!targetRect && directions.some((dire) => isDireSticky(dire, targetRect, offsetOption));
}
function calcStickyPosition(target, container, offsetOption) {
  const targetRect = getTargetRect(target, container);
  if (!targetRect) {
    return {};
  }
  const style = {};
  style.position = container === window ? "fixed" : "absolute";
  const _directions = [
    isDireSticky("bottom", targetRect, offsetOption) ? "bottom" : "top",
    isDireSticky("right", targetRect, offsetOption) ? "right" : "left"
  ];
  _directions.forEach((dire) => {
    if (isDireSticky(dire, targetRect, offsetOption)) {
      style[dire] = `${offsetOption[dire] - (container === window ? 0 : targetRect[dire])}px`;
    } else {
      style[dire] = `${container === window ? targetRect[dire] : 0}px`;
    }
  });
  return style;
}
var Affix = /* @__PURE__ */ defineComponent({
  name: "IxAffix",
  props: affixProps,
  setup(props, {
    slots,
    expose
  }) {
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-affix`);
    const contentStyle = ref({});
    const affixStyle = ref({});
    const targetRef = ref(null);
    const affixRef = ref(null);
    const contentRef = ref(null);
    const offset = computed(() => normalizeOffset(props.offset));
    const isStickyRef = ref(false);
    watch(isStickyRef, (value) => {
      var _a;
      return (_a = props.onChange) == null ? void 0 : _a.call(props, value);
    });
    const throttleMeasure = throttleRAF(measure);
    function measure(event) {
      if (!affixRef.value || !targetRef.value || !contentRef.value) {
        clearStyle();
        return;
      }
      isStickyRef.value = isSticky(affixRef.value, targetRef.value, offset.value);
      if (!isStickyRef.value) {
        clearStyle();
        return;
      }
      if (event && event.type === "resize") {
        clearStyle();
        nextTick(measure);
        return;
      }
      const {
        width,
        height
      } = getTargetSize(contentRef.value);
      contentStyle.value = {
        ...calcStickyPosition(affixRef.value, targetRef.value, offset.value),
        width: `${width}px`,
        height: `${height}px`
      };
      affixStyle.value = {
        width: `${width}px`,
        height: `${height}px`
      };
      if (targetRef.value !== window) {
        affixStyle.value.position = "relative";
      }
    }
    function clearStyle() {
      affixStyle.value = {};
      contentStyle.value = {};
    }
    function initContainer() {
      targetRef.value = convertTarget(props.target);
      observeTarget(targetRef.value, throttleMeasure);
    }
    onMounted(() => {
      nextTick(() => {
        initContainer();
        measure();
      });
    });
    onUnmounted(() => {
      var _a;
      removeObserveTarget(targetRef.value, throttleMeasure);
      (_a = throttleMeasure.cancel) == null ? void 0 : _a.call(throttleMeasure);
    });
    watch(() => props.offset, measure);
    watch(() => props.target, () => {
      removeObserveTarget(targetRef.value, throttleMeasure);
      initContainer();
      measure();
    });
    expose({
      update: throttleMeasure
    });
    return () => {
      var _a;
      const prefixCls = mergedPrefixCls.value;
      return createVNode("div", {
        "ref": affixRef,
        "style": affixStyle.value,
        "class": prefixCls
      }, [createVNode("div", {
        "ref": contentRef,
        "class": `${prefixCls}-content`,
        "style": contentStyle.value
      }, [(_a = slots.default) == null ? void 0 : _a.call(slots)])]);
    };
  }
});
const IxAffix = Affix;
const inputProps$1 = {
  addonAfter: String,
  addonBefore: String,
  borderless: {
    type: Boolean,
    default: void 0
  },
  clearable: {
    type: Boolean,
    default: void 0
  },
  clearIcon: String,
  clearVisible: {
    type: Boolean,
    default: void 0
  },
  disabled: {
    type: Boolean,
    default: void 0
  },
  focused: {
    type: Boolean,
    default: void 0
  },
  prefix: String,
  size: String,
  status: String,
  suffix: String,
  onClear: Function
};
var Input$2 = /* @__PURE__ */ defineComponent({
  name: "\u0275Input",
  inheritAttrs: false,
  props: inputProps$1,
  setup(props, {
    attrs,
    slots,
    expose
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId
    } = useThemeToken();
    const mergedPrefixCls = computed(() => `${common.prefixCls}-input`);
    const inputRef = ref();
    const getInputElement = () => inputRef.value;
    expose({
      getInputElement
    });
    const classes = computed(() => {
      const {
        borderless,
        clearable,
        disabled,
        focused,
        size,
        status,
        addonAfter,
        addonBefore,
        prefix,
        suffix
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [prefixCls]: true,
        [globalHashId.value]: !!globalHashId.value,
        [`${prefixCls}-${size}`]: true,
        [`${prefixCls}-${status}`]: !!status,
        [`${prefixCls}-borderless`]: borderless,
        [`${prefixCls}-clearable`]: clearable,
        [`${prefixCls}-disabled`]: disabled,
        [`${prefixCls}-focused`]: focused,
        [`${prefixCls}-with-addon-after`]: addonAfter || slots.addonAfter,
        [`${prefixCls}-with-addon-before`]: addonBefore || slots.addonBefore,
        [`${prefixCls}-with-prefix`]: prefix || slots.prefix,
        [`${prefixCls}-with-suffix`]: suffix || slots.suffix
      });
    });
    return () => {
      const {
        clearable,
        clearIcon,
        clearVisible,
        disabled,
        addonAfter,
        addonBefore,
        prefix,
        suffix,
        onClear
      } = props;
      const prefixCls = mergedPrefixCls.value;
      const addonBeforeNode = renderAddon(slots.addonBefore, addonBefore, `${prefixCls}-addon`, "__before-addon");
      const addonAfterNode = renderAddon(slots.addonAfter, addonAfter, `${prefixCls}-addon`, "__before-after");
      const prefixNode = renderIcon$6(slots.prefix, prefix, `${prefixCls}-prefix`, "__prefix");
      const suffixNode = renderIcon$6(slots.suffix, suffix, `${prefixCls}-suffix`, "__suffix");
      const clearNode = clearable && createVNode("span", {
        "key": "__clear",
        "class": `${prefixCls}-clear${clearVisible ? " visible" : ""}`,
        "onClick": onClear
      }, [slots.clearIcon ? slots.clearIcon() : createVNode(IxIcon, {
        "name": clearIcon
      }, null)]);
      if (!(addonBeforeNode || addonAfterNode || prefixNode || suffixNode || clearNode)) {
        return createVNode("input", mergeProps({
          "ref": inputRef,
          "class": classes.value,
          "disabled": disabled
        }, attrs), null);
      }
      const {
        class: className,
        style,
        ...rest
      } = attrs;
      const classNames = normalizeClass([classes.value, className]);
      const inputNode = createVNode("input", mergeProps({
        "ref": inputRef,
        "class": `${prefixCls}-inner`,
        "disabled": disabled
      }, rest), null);
      if (!(addonBeforeNode || addonAfterNode)) {
        return createVNode("span", {
          "class": classNames,
          "style": style
        }, [prefixNode, inputNode, suffixNode, clearNode]);
      }
      if (!(prefixNode || suffixNode || clearNode)) {
        return createVNode("span", {
          "class": classNames,
          "style": style
        }, [addonBeforeNode, inputNode, addonAfterNode]);
      }
      return createVNode("span", {
        "class": classNames,
        "style": style
      }, [addonBeforeNode, createVNode("span", {
        "key": "__wrapper",
        "class": `${prefixCls}-wrapper`
      }, [prefixNode, inputNode, suffixNode, clearNode]), addonAfterNode]);
    };
  }
});
function renderAddon(slot, prop, cls, key) {
  if (!(slot || prop)) {
    return void 0;
  }
  return createVNode("span", {
    "key": key,
    "class": cls
  }, [slot ? slot() : prop]);
}
function renderIcon$6(slot, prop, cls, key) {
  if (!(slot || prop)) {
    return void 0;
  }
  return createVNode("span", {
    "key": key,
    "class": cls
  }, [slot ? slot() : createVNode(IxIcon, {
    "name": prop
  }, null)]);
}
const \u0275Input = Input$2;
function useItems$1(activeIndex, lastIndex) {
  return computed(() => {
    const _activeIndex = activeIndex.value;
    const _lastIndex = lastIndex.value;
    let items;
    if (_lastIndex <= 9) {
      items = generatePage(1, _lastIndex);
    } else {
      items = generateRangeItem(_activeIndex, _lastIndex);
    }
    const prevItem = { type: "prev", disabled: _activeIndex === 1 };
    const nextItem = { type: "next", disabled: _activeIndex === _lastIndex };
    return [prevItem, ...items, nextItem];
  });
}
const generatePage = (start, end) => {
  const list = [];
  for (let index = start; index <= end; index++) {
    list.push({ index, type: "page" });
  }
  return list;
};
const generateRangeItem = (pageIndex, lastIndex) => {
  let listOfRange = [];
  const prevFiveItem = { type: "prev5" };
  const nextFiveItem = { type: "next5" };
  if (pageIndex < 5) {
    listOfRange = [...generatePage(2, 5), nextFiveItem];
  } else if (pageIndex < lastIndex - 3) {
    listOfRange = [prevFiveItem, ...generatePage(pageIndex - 2, pageIndex + 2), nextFiveItem];
  } else {
    listOfRange = [prevFiveItem, ...generatePage(lastIndex - 4, lastIndex - 1)];
  }
  const firstPageItem = generatePage(1, 1);
  const lastPageItem = generatePage(lastIndex, lastIndex);
  return [...firstPageItem, ...listOfRange, ...lastPageItem];
};
function useJumpToIndex(activeIndex, changePageIndex, simple) {
  const jumpToIndex = (evt) => {
    const target = evt.target;
    const index = Math.floor(convertNumber(target.value, activeIndex.value));
    changePageIndex(index);
    target.value = simple.value ? `${activeIndex.value}` : "";
  };
  return withKeys(jumpToIndex, ["enter"]);
}
function usePages(props, config) {
  var _a;
  const [activeIndex, setActiveIndex] = useControlledProp(props, "pageIndex", 1);
  const [activeSize, setActiveSize] = useControlledProp(props, "pageSize", (_a = props.pageSize) != null ? _a : config.pageSize);
  const lastIndex = computed(() => Math.max(Math.ceil(props.total / activeSize.value), 1));
  const changePageIndex = (index) => {
    const validIndex = validatePageIndex(index, lastIndex.value);
    if (validIndex !== activeIndex.value) {
      setActiveIndex(validIndex);
      callEmit(props.onChange, validIndex, activeSize.value);
    }
  };
  const changePageSize = (size) => {
    setActiveSize(size);
    callEmit(props.onChange, activeIndex.value, size);
  };
  watch(
    [activeIndex, lastIndex],
    ([currPageIndex, currLastIndex]) => {
      if (currPageIndex > currLastIndex) {
        changePageIndex(currLastIndex);
      }
    },
    { immediate: true }
  );
  return { activeIndex, activeSize, lastIndex, changePageIndex, changePageSize };
}
const validatePageIndex = (index, lastIndex) => {
  if (index > lastIndex) {
    return lastIndex;
  } else if (index < 1) {
    return 1;
  } else {
    return index;
  }
};
const paginationToken = Symbol("paginationToken");
const paginationProps = {
  pageIndex: Number,
  pageSize: Number,
  disabled: {
    type: Boolean,
    default: false
  },
  pageSizes: Array,
  showQuickJumper: {
    type: Boolean,
    default: void 0
  },
  showSizeChanger: {
    type: Boolean,
    default: void 0
  },
  showTitle: {
    type: Boolean,
    default: void 0
  },
  showTotal: {
    type: Boolean,
    default: void 0
  },
  simple: {
    type: Boolean,
    default: void 0
  },
  size: String,
  total: {
    type: Number,
    default: 0
  },
  "onUpdate:pageIndex": [Function, Array],
  "onUpdate:pageSize": [Function, Array],
  onChange: [Function, Array]
};
const paginationItemProps = {
  disabled: {
    type: Boolean,
    default: void 0
  },
  index: Number,
  type: {
    type: String,
    required: true
  }
};
const iconMap = {
  prev: "left",
  next: "right",
  prev5: "double-left",
  next5: "double-right",
  page: ""
};
const indexDiffMap = {
  next: 1,
  prev: -1,
  prev5: -5,
  next5: 5
};
var Item$2 = /* @__PURE__ */ defineComponent({
  props: paginationItemProps,
  setup(props) {
    const {
      props: paginationProps2,
      slots,
      config,
      locale: locale2,
      mergedPrefixCls,
      activeIndex,
      changePageIndex
    } = inject(paginationToken);
    const isActive = computed(() => activeIndex.value === props.index);
    const isDisabled = computed(() => props.disabled || paginationProps2.disabled);
    const showTitle = computed(() => {
      var _a;
      return (_a = paginationProps2.showTitle) != null ? _a : config.showTitle;
    });
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-item`;
      return {
        [prefixCls]: true,
        [`${prefixCls}-${props.type}`]: true,
        [`${prefixCls}-active`]: isActive.value,
        [`${prefixCls}-disabled`]: isDisabled.value
      };
    });
    const title = computed(() => {
      if (!showTitle.value) {
        return void 0;
      }
      const {
        type,
        index
      } = props;
      if (type === "page") {
        return index;
      }
      return locale2.pagination[type];
    });
    const handleClick = () => {
      if (isDisabled.value) {
        return;
      }
      const {
        type,
        index
      } = props;
      let newIndex;
      if (type === "page") {
        newIndex = index;
      } else {
        newIndex = activeIndex.value + indexDiffMap[type];
      }
      changePageIndex(newIndex);
    };
    const handleKeydown = (evt) => {
      if (isDisabled.value || evt.code !== "Enter") {
        return;
      }
      handleClick();
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-item`;
      const {
        index,
        type
      } = props;
      const disabled = isDisabled.value;
      let original;
      if (props.type === "prev5" || type === "next5") {
        original = createVNode("span", {
          "class": ` ${prefixCls}-jumper`
        }, [createVNode(IxIcon, {
          "name": iconMap[type]
        }, null), createVNode(IxIcon, {
          "class": `${prefixCls}-ellipsis`,
          "name": "ellipsis"
        }, null)]);
      } else if (!isNil(index)) {
        original = createTextVNode(index);
      } else {
        original = createVNode(IxIcon, {
          "name": iconMap[type]
        }, null);
      }
      const children = slots.item ? slots.item({
        index,
        type,
        active: isActive.value,
        disabled,
        original
      }) : original;
      return createVNode("li", {
        "class": classes.value,
        "tabindex": disabled ? -1 : 0,
        "title": title.value,
        "onClick": handleClick,
        "onKeydown": handleKeydown
      }, [createVNode("span", {
        "class": `${prefixCls}-content`
      }, [children])]);
    };
  }
});
var Jumper = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      props,
      locale: locale2,
      mergedPrefixCls,
      mergedSize,
      jumpToIndex
    } = inject(paginationToken);
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-jumper`;
      const {
        disabled
      } = props;
      const {
        jumpTo,
        page
      } = locale2.pagination;
      return createVNode("li", {
        "class": prefixCls
      }, [jumpTo, createVNode(\u0275Input, {
        "disabled": disabled,
        "size": mergedSize.value === "lg" ? "md" : "sm",
        "onKeydown": jumpToIndex
      }, null), page]);
    };
  }
});
const ProxyNode = (_, {
  slots
}) => {
  var _a;
  return getFirstValidNode((_a = slots.default) == null ? void 0 : _a.call(slots));
};
const triggerProps = {
  value: { type: null, default: void 0 },
  raw: { type: Boolean, default: false },
  borderless: { type: Boolean, default: void 0 },
  clearable: { type: Boolean, default: void 0 },
  clearIcon: { type: String, default: "close-circle" },
  disabled: { type: Boolean, default: void 0 },
  focused: { type: Boolean, default: void 0 },
  monitorFocus: { type: Boolean, default: true },
  paddingless: { type: Boolean, default: false },
  placeholder: String,
  readonly: { type: Boolean, default: void 0 },
  size: { type: String, default: "md" },
  status: String,
  suffix: String,
  suffixRotate: { type: [Boolean, Number, String], default: void 0 },
  onClear: [Array, Function],
  onFocus: [Array, Function],
  onBlur: [Array, Function]
};
const hiddenBoxStyle = {
  width: 0,
  height: 0,
  position: "absolute",
  overflow: "hidden",
  opacity: 0
};
var Trigger$2 = /* @__PURE__ */ defineComponent({
  props: triggerProps,
  setup(props, {
    expose,
    slots: _slots
  }) {
    const slots = _slots;
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-trigger`);
    const ariaLivePoliteValue = computed(() => isArray(props.value) ? props.value.join(",") : toString(props.value));
    const mergedClearable = computed(() => {
      return !props.disabled && !props.readonly && props.clearable && (isArray(props.value) ? !!props.value.length : !isNil(props.value));
    });
    const [focused, setFocused] = useState(false);
    const mergedFocused = computed(() => {
      var _a;
      return (_a = props.focused) != null ? _a : focused.value;
    });
    const focusMonitor = useSharedFocusMonitor();
    const triggerRef = ref();
    const focus = (options) => focusMonitor.focusVia(triggerRef.value, "program", options);
    const blur = () => focusMonitor.blurVia(triggerRef.value);
    expose({
      focus,
      blur
    });
    let monitorStop;
    const initMonitor = () => {
      monitorStop == null ? void 0 : monitorStop();
      if (props.monitorFocus) {
        monitorStop = watch(focusMonitor.monitor(triggerRef.value, true), (evt) => {
          const {
            origin,
            event
          } = evt;
          if (event) {
            if (origin) {
              setFocused(true);
              callEmit(props.onFocus, event);
            } else {
              setFocused(false);
              callEmit(props.onBlur, event);
            }
          }
        });
      }
    };
    onMounted(() => {
      watch(() => props.monitorFocus, initMonitor, {
        immediate: true
      });
    });
    onBeforeUnmount(() => {
      monitorStop == null ? void 0 : monitorStop();
      focusMonitor.stopMonitoring(triggerRef.value);
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      const {
        size,
        status,
        borderless,
        paddingless,
        disabled,
        readonly,
        raw
      } = props;
      if (raw) {
        return;
      }
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-${size}`]: true,
        [`${prefixCls}-${status}`]: !!status,
        [`${prefixCls}-borderless`]: borderless,
        [`${prefixCls}-paddingless`]: paddingless,
        [`${prefixCls}-with-suffix`]: slots.suffix || props.suffix || mergedClearable.value,
        [`${prefixCls}-disabled`]: disabled,
        [`${prefixCls}-focused`]: mergedFocused.value,
        [`${prefixCls}-readonly`]: readonly
      });
    });
    const handleMouseDown = (evt) => {
      if (isFocusable(evt.target)) {
        return;
      }
      const {
        disabled,
        readonly
      } = props;
      if (disabled || readonly || props.focused) {
        evt.preventDefault();
      }
    };
    const handleClear = (evt) => {
      if (props.disabled) {
        return;
      }
      evt.stopPropagation();
      callEmit(props.onClear, evt);
    };
    const renderSuffix = () => {
      var _a, _b;
      if (!(slots.suffix || props.suffix)) {
        return null;
      }
      return createVNode("div", {
        "key": "__suffix",
        "class": `${mergedPrefixCls.value}-suffix`
      }, [(_b = (_a = slots.suffix) == null ? void 0 : _a.call(slots)) != null ? _b : props.suffix && createVNode(IxIcon, {
        "rotate": props.suffixRotate,
        "name": props.suffix
      }, null)]);
    };
    const renderClearIcon = () => {
      if (!mergedClearable.value) {
        return null;
      }
      return createVNode("span", {
        "key": "__clear",
        "class": `${mergedPrefixCls.value}-clear-icon`,
        "onClick": handleClear
      }, [slots.clearIcon ? slots.clearIcon() : props.clearIcon && createVNode(IxIcon, {
        "name": props.clearIcon
      }, null)]);
    };
    return () => {
      var _a, _b, _c;
      const {
        value,
        borderless,
        disabled,
        readonly,
        raw,
        size,
        status,
        suffix,
        suffixRotate,
        clearIcon
      } = props;
      const defaultSlotParams = {
        value,
        borderless,
        disabled,
        readonly,
        focused: mergedFocused.value,
        size,
        status,
        suffix,
        suffixRotate,
        clearable: mergedClearable.value,
        clearIcon
      };
      const defaultSlotNodes = (_a = slots.default) == null ? void 0 : _a.call(slots, defaultSlotParams);
      if (raw && (defaultSlotNodes == null ? void 0 : defaultSlotNodes.length) === 1) {
        const node = defaultSlotNodes[0];
        return createVNode(ProxyNode, {
          "ref": triggerRef
        }, {
          default: () => [node]
        });
      }
      const defaultSlotEmpty = isEmptyNode(defaultSlotNodes);
      return createVNode("div", {
        "ref": triggerRef,
        "class": classes.value,
        "tabindex": -1,
        "onMousedown": handleMouseDown
      }, [props.focused && createVNode("span", {
        "style": hiddenBoxStyle,
        "aria-live": "polite"
      }, [ariaLivePoliteValue.value]), defaultSlotEmpty ? createVNode("span", {
        "class": `${mergedPrefixCls.value}-placeholder`
      }, [(_c = (_b = slots.placeholder) == null ? void 0 : _b.call(slots)) != null ? _c : props.placeholder]) : defaultSlotNodes, !raw && renderSuffix(), !raw && renderClearIcon()]);
    };
  }
});
const \u0275Trigger = Trigger$2;
const \u0275TriggerPropsDefs = triggerProps;
const controlTriggerToken = Symbol("controlTriggerToken");
const controlTriggerProps = {
  ...\u0275TriggerPropsDefs,
  autofocus: { type: Boolean, default: void 0 },
  offset: Array,
  open: { type: Boolean, default: void 0 },
  overlayClassName: { type: String, default: void 0 },
  overlayContainer: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  overlayTabindex: { type: Number, default: void 0 },
  overlayContainerFallback: String,
  overlayLazy: { type: Boolean, default: true },
  overlayMatchWidth: { type: [Boolean, String], default: void 0 },
  "onUpdate:open": [Function, Array],
  onClick: [Function, Array],
  onKeydown: [Function, Array],
  onOverlayAfterLeave: [Function, Array]
};
const controlTrigglerOverlayProps = {
  visible: {
    type: Boolean,
    default: void 0
  },
  lazy: {
    type: Boolean,
    default: void 0
  },
  placement: overlayPlacementDef,
  trigger: overlayTriggerDef,
  "onUpdate:visible": [Function, Array],
  showArrow: {
    type: Boolean,
    default: void 0
  },
  tabindex: { type: Number, default: void 0 },
  onAfterLeave: [Function, Array]
};
const defaultOffset$1 = [0, 4];
var ControlTriggerOverlay = /* @__PURE__ */ defineComponent({
  name: "IxControlTriggerOverlay",
  inheritAttrs: false,
  props: controlTrigglerOverlayProps,
  setup(props, {
    expose,
    slots,
    attrs
  }) {
    const common = useGlobalConfig("common");
    const {
      props: controlTriggerProps2,
      mergedPrefixCls,
      overlayFocused,
      bindOverlayMonitor,
      resetTriggerFocus
    } = inject(controlTriggerToken);
    const overlayRef = shallowRef();
    const popperElRef = computed(() => {
      var _a;
      return (_a = overlayRef.value) == null ? void 0 : _a.getPopperElement();
    });
    const updatePopper = () => {
      var _a;
      (_a = overlayRef.value) == null ? void 0 : _a.updatePopper();
    };
    expose({
      updatePopper
    });
    const overlayProps2 = computed(() => {
      var _a, _b, _c, _d, _e;
      return {
        clickOutside: false,
        container: controlTriggerProps2.overlayContainer,
        containerFallback: (_a = controlTriggerProps2.overlayContainerFallback) != null ? _a : `.${mergedPrefixCls.value}-overlay-container`,
        disabled: controlTriggerProps2.disabled || controlTriggerProps2.readonly,
        lazy: (_b = props.lazy) != null ? _b : controlTriggerProps2.overlayLazy,
        offset: (_c = controlTriggerProps2.offset) != null ? _c : defaultOffset$1,
        placement: (_d = props.placement) != null ? _d : "bottomStart",
        showArrow: props.showArrow,
        transitionName: `${common.prefixCls}-slide-auto`,
        trigger: (_e = props.trigger) != null ? _e : "click",
        triggerId: attrs.id,
        visible: props.visible,
        "onUpdate:visible": props["onUpdate:visible"],
        onAfterLeave: props.onAfterLeave
      };
    });
    const overlayOpened = computed(() => {
      var _a;
      return (_a = props.visible) != null ? _a : false;
    });
    watch(overlayOpened, (opened) => {
      if (!opened && overlayFocused.value) {
        resetTriggerFocus();
      }
    });
    useEventListener(popperElRef, "mousedown", (evt) => {
      if (isFocusable(evt.target) || isFocusable(evt.currentTarget)) {
        return;
      }
      evt.preventDefault();
      resetTriggerFocus();
    });
    useEventListener(popperElRef, "wheel", () => {
      if (overlayFocused.value) {
        resetTriggerFocus();
      }
    });
    onMounted(() => {
      bindOverlayMonitor(overlayRef, overlayOpened);
    });
    return () => createVNode(\u0275Overlay, mergeProps({
      "ref": overlayRef,
      "tabindex": props.tabindex
    }, overlayProps2.value, attrs), slots);
  }
});
function useOverlayState$3(props, config, triggerRef, focused, triggerFocused) {
  const overlayRef = ref();
  const [overlayWidth, setOverlayWidth] = useState("");
  const overlayMatchWidth = computed(() => {
    var _a;
    return (_a = props.overlayMatchWidth) != null ? _a : config.overlayMatchWidth;
  });
  const overlayStyle = computed(() => {
    if (!overlayMatchWidth.value) {
      return;
    }
    return { [overlayMatchWidth.value === true ? "width" : "minWidth"]: overlayWidth.value };
  });
  const [_overlayOpened, setOverlayOpened] = useControlledProp(props, "open", false);
  const overlayOpened = computed(() => !props.disabled && _overlayOpened.value);
  const updateOverlay = (rect) => {
    var _a, _b;
    if (rect) {
      const { width } = rect;
      if (width > 0) {
        setOverlayWidth(convertCssPixel(width));
        overlayOpened.value && ((_a = overlayRef.value) == null ? void 0 : _a.updatePopper());
      }
    } else {
      overlayOpened.value && ((_b = overlayRef.value) == null ? void 0 : _b.updatePopper());
    }
  };
  onMounted(() => {
    var _a;
    if (props.autofocus) {
      (_a = triggerRef.value) == null ? void 0 : _a.focus();
      setOverlayOpened(true);
    }
    watchEffect(() => {
      const overlayInstance = overlayRef.value;
      if (overlayInstance && overlayOpened.value) {
        const triggerEl = convertElement(triggerRef.value);
        updateOverlay(triggerEl.getBoundingClientRect());
      }
    });
    watch(overlayOpened, () => {
      var _a2;
      if (focused.value && !triggerFocused.value) {
        (_a2 = triggerRef.value) == null ? void 0 : _a2.focus();
      }
    });
    useResizeObserver(triggerRef, ({ contentRect }) => updateOverlay(contentRect));
  });
  return { overlayRef, overlayStyle, overlayMatchWidth, updateOverlay, overlayOpened, setOverlayOpened };
}
function useTriggerFocusState(triggerRef, triggerFocused) {
  const [focusTarget, setFocusTarget] = useState(null);
  const [selectionStart, setSelectionStart] = useState(null);
  const updateSelectionStart = () => {
    const element = focusTarget.value;
    setTimeout(() => {
      if (element.selectionDirection === "backward") {
        setSelectionStart(element.selectionStart);
      } else {
        setSelectionStart(element.selectionEnd);
      }
    });
  };
  let stops;
  const destroyListeners = () => stops == null ? void 0 : stops.forEach((stop) => stop == null ? void 0 : stop());
  watch(focusTarget, (target, oldTarget) => {
    if (target === oldTarget) {
      return;
    }
    if (!(target instanceof HTMLInputElement)) {
      setSelectionStart(null);
      destroyListeners();
      return;
    }
    updateSelectionStart();
    if (stops == null ? void 0 : stops.length) {
      return;
    }
    stops = [
      useEventListener(focusTarget, "select", updateSelectionStart),
      useEventListener(focusTarget, "input", updateSelectionStart),
      useEventListener(focusTarget, "mousedown", updateSelectionStart),
      useEventListener(focusTarget, "keydown", updateSelectionStart)
    ];
  });
  const handleTriggerFocus = (evt) => {
    nextTick(() => {
      if (triggerFocused.value && evt.target instanceof HTMLElement) {
        setFocusTarget(evt.target);
      }
    });
  };
  const resetTriggerFocus = () => {
    var _a;
    const target = focusTarget.value;
    if (!target) {
      (_a = triggerRef.value) == null ? void 0 : _a.focus();
      return;
    }
    target.focus();
    if (target instanceof HTMLInputElement) {
      target.setSelectionRange(selectionStart.value, selectionStart.value);
    }
  };
  return {
    handleTriggerFocus,
    resetTriggerFocus
  };
}
const defaultTriggerProps = {
  borderless: false,
  clearIcon: "close-circle",
  size: "md",
  suffix: "down",
  overlayMatchWidth: false
};
var ControlTrigger = /* @__PURE__ */ defineComponent({
  name: "IxControlTrigger",
  inheritAttrs: false,
  props: controlTriggerProps,
  setup(props, {
    attrs,
    expose,
    slots: _slots
  }) {
    const slots = _slots;
    const common = useGlobalConfig("common");
    const {
      globalHashId
    } = useThemeToken();
    const mergedPrefixCls = computed(() => `${common.prefixCls}-control-trigger`);
    const triggerRef = ref();
    const mergedControlProps = useMergedCommonControlProps(props, defaultTriggerProps);
    const onFocus = (evt) => {
      callEmit(props.onFocus, evt);
      handleTriggerFocus(evt);
    };
    const onBlur = (evt) => {
      setOverlayOpened(false);
      callEmit(props.onBlur, evt);
    };
    const {
      focused,
      triggerFocused,
      overlayFocused,
      focusVia,
      blurVia,
      bindOverlayMonitor,
      handleFocus,
      handleBlur
    } = useOverlayFocusMonitor(onFocus, onBlur);
    const {
      resetTriggerFocus,
      handleTriggerFocus
    } = useTriggerFocusState(triggerRef, triggerFocused);
    const {
      overlayOpened,
      overlayRef,
      overlayMatchWidth,
      overlayStyle,
      setOverlayOpened
    } = useOverlayState$3(props, defaultTriggerProps, triggerRef, focused, triggerFocused);
    const focus = () => focusVia(triggerRef.value);
    const blur = () => blurVia(triggerRef.value);
    expose({
      focus,
      blur
    });
    provide(controlTriggerToken, {
      props,
      mergedPrefixCls,
      overlayFocused,
      resetTriggerFocus,
      bindOverlayMonitor
    });
    const handleClear = (evt) => {
      callEmit(props.onClear, evt);
    };
    const handleClick = (evt) => {
      const target = evt.target;
      if (!props.disabled && !props.readonly && !(overlayOpened.value && target instanceof HTMLInputElement && !target.readOnly && !target.disabled)) {
        setOverlayOpened(!overlayOpened.value);
      }
      callEmit(props.onClick, evt);
    };
    const handleKeyDown = (evt) => {
      if (!overlayOpened.value && !props.disabled && !props.readonly && !["Escape", "Backspace", "Tab"].includes(evt.code)) {
        setOverlayOpened(true);
      } else if (overlayOpened.value && evt.code === "Escape") {
        setOverlayOpened(false);
      }
      callEmit(props.onKeydown, evt);
    };
    const triggerProps2 = computed(() => {
      var _a;
      const {
        borderless,
        clearIcon,
        size,
        suffix
      } = mergedControlProps.value;
      return {
        value: props.value,
        size,
        status: props.status,
        borderless,
        clearIcon,
        clearable: props.clearable,
        disabled: props.disabled,
        readonly: props.readonly,
        focused: focused.value,
        opened: overlayOpened.value,
        placeholder: props.placeholder,
        suffix,
        suffixRotate: (_a = props.suffixRotate) != null ? _a : overlayOpened.value ? 180 : 0,
        onClear: handleClear,
        onFocus: handleFocus,
        onBlur: handleBlur,
        onClick: handleClick,
        onKeydown: handleKeyDown
      };
    });
    const overlayClasses = computed(() => {
      const {
        overlayClassName
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [`${prefixCls}-overlay`]: true,
        [`${prefixCls}-overlay-match-width`]: overlayMatchWidth.value === true,
        [overlayClassName || ""]: !!overlayClassName
      });
    });
    const renderTriggerContent = (params) => {
      var _a, _b;
      const triggerDefaultSlot = (_a = slots.trigger) != null ? _a : slots.default;
      return (_b = triggerDefaultSlot == null ? void 0 : triggerDefaultSlot({
        ...params,
        opened: overlayOpened.value
      })) != null ? _b : [];
    };
    const renderTrigger2 = () => {
      const triggerSlots = {
        suffix: slots.suffix,
        clearIcon: slots.clearIcon,
        default: renderTriggerContent
      };
      return createVNode(\u0275Trigger, mergeProps({
        "class": mergedPrefixCls.value,
        "ref": triggerRef
      }, triggerProps2.value, attrs, {
        "raw": !!slots.trigger
      }), triggerSlots);
    };
    const renderContent2 = () => {
      var _a;
      return (_a = slots.overlay) == null ? void 0 : _a.call(slots, {
        opened: overlayOpened.value
      });
    };
    return () => createVNode(ControlTriggerOverlay, {
      "ref": overlayRef,
      "class": overlayClasses.value,
      "style": overlayStyle.value,
      "visible": overlayOpened.value,
      "lazy": props.overlayLazy,
      "tabindex": props.overlayTabindex,
      "trigger": "manual",
      "onAfterLeave": props.onOverlayAfterLeave
    }, {
      default: renderTrigger2,
      content: renderContent2
    });
  }
});
const IxControlTrigger = ControlTrigger;
const IxControlTriggerOverlay = ControlTriggerOverlay;
const overflowItemProps = {
  prefixCls: {
    type: String,
    required: true
  },
  display: {
    type: Boolean,
    default: true
  },
  itemKey: {
    type: [Number, String, Symbol],
    required: true
  },
  data: Object,
  onSizeChange: Function
};
const overflowProps = {
  maxLabel: {
    type: [Number, String],
    default: Number.MAX_SAFE_INTEGER
  },
  getKey: {
    type: Function,
    required: true
  },
  prefixCls: {
    type: String,
    required: true
  },
  dataSource: {
    type: Array,
    default: () => []
  }
};
var Item$1 = /* @__PURE__ */ defineComponent({
  name: "IxOverflowItem",
  props: overflowItemProps,
  setup(props, {
    slots
  }) {
    const itemElRef = ref();
    const handleResize = (entry) => {
      var _a;
      return callEmit(props.onSizeChange, entry, (_a = props.itemKey) != null ? _a : "");
    };
    useResizeObserver(itemElRef, handleResize);
    onUnmounted(() => {
      var _a;
      callEmit(props.onSizeChange, void 0, (_a = props.itemKey) != null ? _a : "");
    });
    return () => {
      var _a;
      return withDirectives(createVNode("div", {
        "class": `${props.prefixCls}-item`,
        "ref": itemElRef
      }, [(_a = slots.default) == null ? void 0 : _a.call(slots)]), [[vShow, props.display]]);
    };
  }
});
const restNodeKey = "__IDUX_OVERFLOW_REST";
const suffixNodeKey = "__IDUX_OVERFLOW_SUFFIX";
const responsive = "responsive";
var Overflow = /* @__PURE__ */ defineComponent({
  name: "\u0275Overflow",
  props: overflowProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId
    } = useThemeToken();
    const mergedPrefixCls = computed(() => `${common.prefixCls}-overflow`);
    const containerElRef = ref();
    const {
      containerWidth,
      setContainerWidth
    } = useContainerSize(containerElRef);
    const {
      itemsWidthMap,
      setItemWidth
    } = useItemSize();
    const restWidth = ref(0);
    const suffixWidth = ref(0);
    const displayCount = ref(props.dataSource.length);
    const isResponsive = computed(() => props.maxLabel === responsive);
    const restReady = ref(false);
    const showRest = computed(() => isResponsive.value || isNumber(props.maxLabel) && props.dataSource.length > props.maxLabel);
    const mergedData = computed(() => {
      if (!isResponsive.value) {
        return props.dataSource.slice(0, props.maxLabel);
      }
      return props.dataSource;
    });
    const restData = computed(() => props.dataSource.slice(displayCount.value));
    const displayRest = computed(() => restReady.value && !!restData.value.length);
    watch([itemsWidthMap, containerWidth, restWidth, suffixWidth, mergedData], () => {
      var _a;
      const len = props.dataSource.length;
      const lastIndex = len - 1;
      const data = (_a = props.dataSource) != null ? _a : [];
      let totalWidth = 0;
      if (!len) {
        displayCount.value = 0;
        return;
      }
      if (!isResponsive.value) {
        displayCount.value = Math.min(props.maxLabel, len);
        restReady.value = true;
        return;
      }
      const internalContainerWidth = containerWidth.value - suffixWidth.value;
      for (let i2 = 0; i2 < len; i2++) {
        const getItemWidth = (index) => {
          var _a2;
          return (_a2 = itemsWidthMap.value.get(props.getKey(data[index]))) != null ? _a2 : 0;
        };
        const curItemWidth = getItemWidth(i2);
        if (!curItemWidth) {
          displayCount.value = i2 + 1;
          break;
        }
        restReady.value = true;
        totalWidth += curItemWidth;
        if (i2 === lastIndex && totalWidth <= internalContainerWidth) {
          displayCount.value = i2 + 1;
          break;
        } else if (totalWidth + restWidth.value > internalContainerWidth) {
          displayCount.value = i2;
          break;
        }
        displayCount.value = i2 + 1;
      }
    }, {
      deep: true,
      immediate: true,
      flush: "post"
    });
    useResizeObserver(containerElRef, setContainerWidth);
    const itemSharedProps = {
      prefixCls: mergedPrefixCls.value
    };
    const internalRenderItem = (item, index) => {
      var _a, _b;
      if (!slots.item) {
        throwError("components/_private/overflow", "item slot must be provided");
      }
      const nodeContent = (_b = (_a = slots.item) == null ? void 0 : _a.call(slots, item)) != null ? _b : "";
      const key = props.getKey(item);
      return createVNode(Item$1, mergeProps(itemSharedProps, {
        "key": key,
        "itemKey": key,
        "display": index < displayCount.value,
        "onSizeChange": (entry, key2) => setItemWidth(key2, entry)
      }), {
        default: () => [nodeContent]
      });
    };
    const internalRenderRest = (rest) => {
      var _a, _b;
      const nodeContent = (_b = (_a = slots.rest) == null ? void 0 : _a.call(slots, rest)) != null ? _b : `+ ${rest.length} ...`;
      return createVNode(Item$1, mergeProps(itemSharedProps, {
        "class": `${mergedPrefixCls.value}-rest`,
        "itemKey": restNodeKey,
        "display": displayRest.value,
        "onSizeChange": (entry) => {
          var _a2;
          return restWidth.value = (_a2 = entry == null ? void 0 : entry.contentRect.width) != null ? _a2 : 0;
        }
      }), {
        default: () => [nodeContent]
      });
    };
    const internalRenderSuffix = () => {
      var _a, _b;
      const nodeContent = (_b = (_a = slots.suffix) == null ? void 0 : _a.call(slots)) != null ? _b : null;
      return nodeContent ? createVNode(Item$1, mergeProps(itemSharedProps, {
        "class": `${mergedPrefixCls.value}-suffix`,
        "itemKey": suffixNodeKey,
        "onSizeChange": (entry) => {
          var _a2;
          return suffixWidth.value = (_a2 = entry == null ? void 0 : entry.contentRect.width) != null ? _a2 : 0;
        }
      }), {
        default: () => [nodeContent]
      }) : null;
    };
    return () => {
      return createVNode("div", {
        "class": `${mergedPrefixCls.value} ${props.prefixCls}-overflow ${globalHashId.value}`,
        "ref": containerElRef
      }, [mergedData.value.map(internalRenderItem), showRest.value && internalRenderRest(restData.value), internalRenderSuffix()]);
    };
  }
});
const useContainerSize = (containerElRef) => {
  const containerWidth = ref(0);
  const _getContainerWidth = () => {
    const containerEl = containerElRef.value;
    if (!containerEl) {
      return 0;
    }
    const {
      width
    } = containerEl.getBoundingClientRect();
    const {
      paddingLeft,
      paddingRight
    } = getBoxSizingData$1(containerEl);
    return width - paddingLeft - paddingRight;
  };
  const setContainerWidth = () => {
    containerWidth.value = _getContainerWidth();
  };
  return {
    containerWidth,
    setContainerWidth
  };
};
const useItemSize = () => {
  const itemsWidthMap = ref(/* @__PURE__ */ new Map());
  const setItemWidth = (key, entry) => {
    if (!(entry == null ? void 0 : entry.target) && itemsWidthMap.value.get(key)) {
      itemsWidthMap.value.delete(key);
    } else if (entry == null ? void 0 : entry.contentRect.width) {
      itemsWidthMap.value.set(key, entry.contentRect.width);
    }
  };
  return {
    itemsWidthMap,
    setItemWidth
  };
};
const \u0275Overflow = Overflow;
function useInputState(props, mergedSearchable) {
  const mirrorRef = ref();
  const inputRef = ref();
  const [inputValue, setInputValue] = useControlledProp(props, "input", "");
  const isComposing = ref(false);
  const focused = ref(false);
  const mergedFocused = computed(() => {
    var _a;
    return (_a = props.focused) != null ? _a : focused.value;
  });
  const handleFocus = (evt) => {
    focused.value = true;
    callEmit(props.onFocus, evt);
    nextTick(() => {
      var _a;
      (_a = inputRef.value) == null ? void 0 : _a.focus();
    });
  };
  const handleBlur = (evt) => {
    focused.value = false;
    callEmit(props.onBlur, evt);
  };
  const syncMirrorWidth = (evt) => {
    if (props.multiple) {
      const mirrorElement = mirrorRef.value;
      if (!mirrorElement) {
        return;
      }
      const inputText = evt ? evt.target.value : inputRef.value.value;
      mirrorElement.textContent = inputText;
      inputRef.value.style.width = `${mirrorElement.offsetWidth}px`;
    }
  };
  const handleCompositionStart = (evt) => {
    isComposing.value = true;
    callEmit(props.onCompositionStart, evt);
  };
  const handleCompositionEnd = (evt) => {
    callEmit(props.onCompositionEnd, evt);
    if (isComposing.value) {
      isComposing.value = false;
      handleInput(evt, false);
    }
  };
  const handleEnterDown = (evt) => {
    if (evt.code === "Enter" && isComposing.value) {
      evt.stopImmediatePropagation();
      handleCompositionEnd(evt);
    }
  };
  const handleInput = (evt, emitInput = true) => {
    emitInput && callEmit(props.onInput, evt);
    const inputEnabled = props.allowInput || mergedSearchable.value;
    if (isComposing.value) {
      inputEnabled && syncMirrorWidth(evt);
      return;
    }
    if (inputEnabled) {
      const { value } = evt.target;
      if (value !== inputValue.value) {
        setInputValue(value);
        callEmit(props.onInputValueChange, value);
      }
      syncMirrorWidth();
    }
  };
  const clearInput = () => {
    const inputElement = inputRef.value;
    if (inputElement) {
      inputElement.value = "";
    }
    setInputValue("");
    callEmit(props.onInputValueChange, "");
    syncMirrorWidth();
  };
  onMounted(() => syncMirrorWidth());
  watch(mirrorRef, (val) => {
    if (val) {
      syncMirrorWidth();
    }
  });
  return {
    inputRef,
    mirrorRef,
    inputValue,
    isComposing,
    mergedFocused,
    handleCompositionStart,
    handleCompositionEnd,
    handleInput,
    clearInput,
    handleEnterDown,
    handleFocus,
    handleBlur
  };
}
const selectorToken = Symbol("selectorToken");
var Input$1 = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      props,
      mergedPrefixCls,
      mergedSearchable,
      mergedFocused,
      mirrorRef,
      inputRef,
      inputValue,
      handleCompositionStart,
      handleCompositionEnd,
      handleInput,
      handleEnterDown
    } = inject(selectorToken);
    const innerInputValue = computed(() => props.allowInput || mergedSearchable.value ? inputValue.value : "");
    const inputReadonly = computed(() => props.readonly || !mergedFocused.value || !(props.allowInput || mergedSearchable.value));
    const innerStyle = computed(() => {
      return {
        opacity: inputReadonly.value && !innerInputValue.value ? 0 : void 0
      };
    });
    return () => {
      const {
        autocomplete,
        autofocus,
        disabled,
        multiple
      } = props;
      const prefixCls = `${mergedPrefixCls.value}-input`;
      return createVNode("div", {
        "class": prefixCls
      }, [createVNode("input", {
        "ref": inputRef,
        "class": `${prefixCls}-inner`,
        "style": innerStyle.value,
        "autocomplete": autocomplete,
        "autofocus": autofocus,
        "disabled": disabled,
        "readonly": inputReadonly.value,
        "value": innerInputValue.value,
        "onCompositionstart": handleCompositionStart,
        "onCompositionend": handleCompositionEnd,
        "onKeydown": handleEnterDown,
        "onInput": handleInput
      }, null), multiple && createVNode("span", {
        "ref": mirrorRef,
        "class": `${prefixCls}-mirror`,
        "aria-hidden": true
      }, null)]);
    };
  }
});
const Item = (props, {
  slots
}) => {
  const {
    disabled,
    prefixCls,
    removable,
    value,
    onRemove
  } = props;
  const classes = prefixCls + (disabled ? ` ${prefixCls}-disabled` : "");
  const handleClick = (evt) => {
    evt.stopPropagation();
    callEmit(onRemove, value);
  };
  return createVNode("div", {
    "class": classes
  }, [createVNode("span", {
    "class": `${prefixCls}-label`
  }, [slots.default()]), removable && createVNode("span", {
    "class": `${prefixCls}-remove`,
    "onClick": handleClick
  }, [createVNode(IxIcon, {
    "name": "close"
  }, null)])]);
};
const selectorProps = {
  input: String,
  allowInput: { type: [Boolean, String], default: void 0 },
  autocomplete: { type: String, default: void 0 },
  autofocus: { type: Boolean, default: void 0 },
  borderless: { type: Boolean, default: void 0 },
  clearable: { type: Boolean, default: void 0 },
  clearIcon: { type: String, default: "close-circle" },
  dataSource: Array,
  disabled: { type: Boolean, default: void 0 },
  focused: { type: Boolean, default: void 0 },
  getKey: { type: [String, Function], default: "key" },
  labelKey: { type: String, default: void 0 },
  maxLabel: { type: [Number, String], default: void 0 },
  multiple: { type: Boolean, default: void 0 },
  monitorFocus: { type: Boolean, default: true },
  opened: { type: Boolean, default: false },
  placeholder: { type: String, default: void 0 },
  readonly: { type: Boolean, default: void 0 },
  size: { type: String, default: "md" },
  status: String,
  suffix: { type: String, default: void 0 },
  suffixRotate: { type: [Boolean, Number, String], default: void 0 },
  "onUpdate:input": [Function, Array],
  onBlur: [Function, Array],
  onFocus: [Function, Array],
  onClear: [Function, Array],
  onCompositionStart: [Function, Array],
  onCompositionEnd: [Function, Array],
  onInput: [Function, Array],
  onInputValueChange: [Function, Array],
  onItemRemove: [Function, Array]
};
var Selector = /* @__PURE__ */ defineComponent({
  name: "IxSelector",
  props: selectorProps,
  setup(props, {
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId
    } = useThemeToken();
    const getKey = useGetKey(props, {
      getKey: "key"
    });
    const value = computed(() => {
      var _a, _b;
      return (_b = (_a = props.dataSource) == null ? void 0 : _a.map((data) => getKey.value(data))) != null ? _b : [];
    });
    const triggerRef = ref();
    const mergedPrefixCls = computed(() => `${common.prefixCls}-selector`);
    const mergedClearable = computed(() => {
      return !props.disabled && !props.readonly && props.clearable && value.value.length > 0;
    });
    const mergedSearchable = computed(() => {
      return !props.disabled && !props.readonly && props.allowInput === "searchable";
    });
    const mergedSuffix = computed(() => {
      var _a;
      return (_a = props.suffix) != null ? _a : mergedSearchable.value && props.focused ? "search" : "down";
    });
    const mergedSuffixRotate = computed(() => {
      return !mergedSearchable.value ? props.suffixRotate : void 0;
    });
    const showPlaceholder = computed(() => {
      var _a;
      return !((_a = props.dataSource) == null ? void 0 : _a.length) && !isComposing.value && !inputValue.value;
    });
    const mergedLabelKey = computed(() => {
      var _a;
      return (_a = props.labelKey) != null ? _a : "label";
    });
    const {
      mirrorRef,
      inputRef,
      inputValue,
      isComposing,
      mergedFocused,
      handleCompositionStart,
      handleCompositionEnd,
      handleInput,
      clearInput,
      handleEnterDown,
      handleBlur,
      handleFocus
    } = useInputState(props, mergedSearchable);
    const focus = (options) => {
      var _a;
      if (inputRef.value) {
        inputRef.value.focus(options);
      } else {
        (_a = triggerRef.value) == null ? void 0 : _a.focus(options);
      }
    };
    const blur = () => {
      var _a;
      if (inputRef.value) {
        inputRef.value.blur();
      } else {
        (_a = triggerRef.value) == null ? void 0 : _a.blur();
      }
    };
    expose({
      focus,
      blur,
      clearInput
    });
    const classes = computed(() => {
      const {
        allowInput,
        borderless,
        multiple,
        opened,
        size,
        status
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [prefixCls]: true,
        [`${prefixCls}-${size}`]: !!size,
        [`${prefixCls}-${status}`]: !!status,
        [`${prefixCls}-allow-input`]: allowInput,
        [`${prefixCls}-borderless`]: borderless,
        [`${prefixCls}-clearable`]: mergedClearable.value,
        [`${prefixCls}-disabled`]: props.disabled,
        [`${prefixCls}-focused`]: mergedFocused.value,
        [`${prefixCls}-multiple`]: multiple,
        [`${prefixCls}-opened`]: opened,
        [`${prefixCls}-readonly`]: props.readonly,
        [`${prefixCls}-searchable`]: mergedSearchable.value,
        [`${prefixCls}-single`]: !multiple
      });
    });
    const handleClear = (evt) => {
      const {
        disabled,
        readonly
      } = props;
      if (disabled || readonly) {
        return;
      }
      evt.stopPropagation();
      callEmit(props.onClear, evt);
    };
    provide(selectorToken, {
      props,
      mergedPrefixCls,
      mergedSearchable,
      mirrorRef,
      inputRef,
      inputValue,
      isComposing,
      mergedFocused,
      handleCompositionStart,
      handleCompositionEnd,
      handleInput,
      handleEnterDown
    });
    return () => {
      const {
        borderless,
        clearable,
        clearIcon,
        multiple,
        disabled,
        focused,
        readonly,
        dataSource,
        maxLabel,
        size,
        status
      } = props;
      const prefixCls = mergedPrefixCls.value;
      const itemPrefixCls = `${prefixCls}-item`;
      const renderItem2 = (item) => {
        const {
          value: value2,
          rawData
        } = item;
        const key = getKey.value(item);
        const label = item[mergedLabelKey.value];
        const _disabled = disabled || item.disabled;
        const removable = multiple && !_disabled && !readonly;
        const itemProps = {
          key,
          disabled: _disabled,
          prefixCls: itemPrefixCls,
          removable,
          value: value2 != null ? value2 : key,
          label,
          onRemove: props.onItemRemove
        };
        const selectedItemSlot = slots.selectedItem;
        if (selectedItemSlot) {
          return selectedItemSlot(itemProps);
        }
        const slotOrName = slots.selectedLabel || slots.label || (item == null ? void 0 : item.customLabel) || (rawData == null ? void 0 : rawData.customLabel);
        const selectedLabelRender = isString(slotOrName) ? slots[slotOrName] : slotOrName;
        const labelNode = selectedLabelRender ? selectedLabelRender(rawData != null ? rawData : item) : label;
        return createVNode(Item, itemProps, {
          default: () => [labelNode]
        });
      };
      const children = [];
      if (showPlaceholder.value) {
        const placeholderNode = slots.placeholder ? slots.placeholder() : props.placeholder;
        children.push(createVNode("div", {
          "key": "__placeholder",
          "class": `${prefixCls}-placeholder`
        }, [placeholderNode]));
      }
      if (multiple) {
        const renderRest = (rest) => {
          const key = "__IDUX_SELECT_MAX_ITEM";
          const itemProps = {
            key,
            prefixCls: itemPrefixCls,
            removable: false
          };
          const overflowedLabelSlot = slots.overflowedLabel || slots.maxLabel;
          const labelNode = overflowedLabelSlot ? overflowedLabelSlot(rest) : `+ ${rest.length} ...`;
          return createVNode(Item, itemProps, {
            default: () => [labelNode]
          });
        };
        const overflowSlot = {
          item: renderItem2,
          rest: renderRest,
          suffix: () => createVNode(Input$1, null, null)
        };
        children.push(createVNode(\u0275Overflow, {
          "prefixCls": prefixCls,
          "dataSource": dataSource,
          "getKey": getKey.value,
          "maxLabel": maxLabel
        }, overflowSlot));
      } else {
        if ((dataSource == null ? void 0 : dataSource.length) && !isComposing.value && !inputValue.value) {
          dataSource.forEach((item) => children.push(renderItem2(item)));
        }
        children.push(createVNode(Input$1, null, null));
      }
      return createVNode(\u0275Trigger, {
        "ref": triggerRef,
        "class": classes.value,
        "borderless": borderless,
        "clearable": clearable,
        "clearIcon": clearIcon,
        "disabled": disabled,
        "focused": focused,
        "monitorFocus": props.monitorFocus,
        "paddingless": multiple,
        "readonly": readonly,
        "size": size,
        "status": status,
        "suffix": mergedSuffix.value,
        "suffixRotate": mergedSuffixRotate.value,
        "value": value.value,
        "onClear": handleClear,
        "onFocus": handleFocus,
        "onBlur": handleBlur
      }, {
        default: () => [createVNode("div", {
          "class": `${prefixCls}-content`
        }, [children])],
        suffix: slots.suffix,
        clearIcon: slots.clearIcon
      });
    };
  }
});
const IxSelector = Selector;
const loadingProps = {
  strokeWidth: {
    type: Number,
    default: 4
  },
  radius: {
    type: Number,
    default: 14
  },
  duration: {
    type: Number,
    default: 2
  }
};
var Loading = /* @__PURE__ */ defineComponent({
  name: "\u0275Loading",
  props: loadingProps,
  setup(props) {
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-loading`);
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const {
        duration,
        strokeWidth,
        radius
      } = props;
      const animationDur = `${duration}s`;
      const viewBoxSize = radius * 2;
      const circleLength = Math.PI * 2 * radius;
      const fstArchLength = 0.23 * circleLength;
      const sndArchLength = 0.11 * circleLength;
      return createVNode("div", {
        "class": prefixCls,
        "role": "img",
        "aria-label": "loading"
      }, [createVNode("svg", {
        "class": `${prefixCls}-icon`,
        "viewBox": `0 0 ${viewBoxSize} ${viewBoxSize}`
      }, [createVNode("g", {
        "id": "loading-48",
        "fill": "none",
        "fill-rule": "evenodd",
        "transform": `rotate(-90,${radius},${radius})`
      }, [createVNode("circle", {
        "class": `${prefixCls}-snd-arch`,
        "cx": radius,
        "cy": radius,
        "r": radius - strokeWidth / 2,
        "stroke-width": strokeWidth,
        "stroke-linecap": "round",
        "stroke-dasharray": `${sndArchLength} ${circleLength + 1}`
      }, [createVNode("animate", {
        "attributeName": "stroke-dashoffset",
        "values": `${sndArchLength};${sndArchLength};${-circleLength}`,
        "dur": animationDur,
        "begin": "0s",
        "repeatCount": "indefinite",
        "calcMode": "spline",
        "keyTimes": "0;0.3333;1",
        "keySplines": "0 0 0 0;0.42 0 0.58 1;"
      }, null)]), createVNode("circle", {
        "class": `${prefixCls}-fst-arch`,
        "cx": radius,
        "cy": radius,
        "r": radius - strokeWidth / 2,
        "stroke-width": strokeWidth,
        "stroke-linecap": "round",
        "stroke-dasharray": `${fstArchLength} ${circleLength + 1}`
      }, [createVNode("animate", {
        "attributeName": "stroke-dashoffset",
        "values": `${fstArchLength};${fstArchLength};${-circleLength};${-circleLength}`,
        "dur": animationDur,
        "begin": "0s",
        "repeatCount": "indefinite",
        "calcMode": "spline",
        "keyTimes": "0;0.3333;0.7;1",
        "keySplines": "0 0 0 0;0.42 0 0.58 1;0 0 0 0"
      }, null)]), createVNode("circle", {
        "class": `${prefixCls}-bg-circle`,
        "cx": radius,
        "cy": radius,
        "r": radius - strokeWidth / 2,
        "stroke-width": strokeWidth,
        "stroke-linecap": "round",
        "stroke-dasharray": `${circleLength} ${circleLength + 1}`
      }, [createVNode("animate", {
        "attributeName": "stroke-dashoffset",
        "values": `${circleLength};0;${-circleLength};${-circleLength}`,
        "dur": animationDur,
        "begin": "0s",
        "repeatCount": "indefinite",
        "calcMode": "spline",
        "keyTimes": "0;0.3333;0.666;1",
        "keySplines": "0.6 0 0.4 1;0.6 0 0.4 1;0,0,0,0"
      }, null)])])])]);
    };
  }
});
const \u0275Loading = Loading;
const spinProps = {
  strokeWidth: Number,
  radius: Number,
  duration: Number,
  spinning: {
    type: Boolean,
    default: true
  },
  rotate: {
    type: Boolean,
    default: true
  },
  icon: String,
  tip: String,
  tipAlign: String,
  size: String
};
const spinProviderProps = {};
function getDefaultThemeTokens$R(tokens2, algorithms) {
  const { getBaseColors: getBaseColors2, getGreyColors: getGreyColors2 } = algorithms;
  const { colorContainerBg, colorPrimary, fontSizeSm, fontSizeMd, fontSizeLg } = tokens2;
  return {
    tipColor: colorPrimary,
    iconColor: colorPrimary,
    fontSizeSm,
    fontSizeMd,
    fontSizeLg,
    iconSizeSm: 20,
    iconSizeMd: 28,
    iconSizeLg: 48,
    bgCircleStroke: colorPrimary,
    fstArchStroke: getBaseColors2().turquoise,
    sndArchStroke: getGreyColors2().l20,
    maskBgColor: getAlphaColor(colorContainerBg, 0.7)
  };
}
const getThemeTokens$R = (tokens2, _, algorithms) => {
  return getDefaultThemeTokens$R(tokens2, algorithms);
};
const defaultStrokeWidth$1 = {
  sm: 3,
  md: 3,
  lg: 4
};
const defaultRadius = {
  sm: 14,
  md: 14,
  lg: 24
};
var Spin = /* @__PURE__ */ defineComponent({
  name: "IxSpin",
  props: spinProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("spin");
    registerToken(getThemeTokens$R);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-spin`);
    const spinConfig = useGlobalConfig("spin");
    const {
      size,
      strokeWidth,
      radius
    } = useSize$1(props, spinConfig);
    const hasDefaultSlot = computed(() => hasSlot(slots));
    const mergedIcon = computed(() => {
      var _a;
      return (_a = props.icon) != null ? _a : spinConfig.icon;
    });
    const mergedTip = computed(() => {
      var _a;
      return (_a = props.tip) != null ? _a : spinConfig.tip;
    });
    const {
      spinnerClassName,
      containerClassName
    } = useClasses$3(props, spinConfig, size, hasDefaultSlot, mergedPrefixCls);
    const renderContent2 = () => {
      if (!slots.default) {
        return null;
      }
      return createVNode("div", {
        "class": containerClassName.value
      }, [slots.default()]);
    };
    const renderTip = () => {
      if (!mergedTip.value) {
        return null;
      }
      return createVNode("div", {
        "class": `${mergedPrefixCls.value}-spinner-tip`
      }, [mergedTip.value]);
    };
    const renderIcon2 = () => {
      const iconCls = `${mergedPrefixCls.value}-spinner-icon`;
      if (slots.icon) {
        return createVNode("div", {
          "class": iconCls
        }, [slots.icon()]);
      }
      if (mergedIcon.value) {
        const iconStyle = normalizeStyle(props.duration && {
          animationDuration: `${props.duration}s`
        });
        return createVNode("div", {
          "class": [iconCls, props.rotate && `${iconCls}--rotate`],
          "style": iconStyle
        }, [createVNode(IxIcon, {
          "name": mergedIcon.value
        }, null)]);
      }
      return createVNode("div", {
        "class": iconCls
      }, [createVNode(\u0275Loading, {
        "strokeWidth": strokeWidth.value,
        "radius": radius.value,
        "duration": props.duration
      }, null)]);
    };
    const renderSpinner = () => {
      if (!props.spinning) {
        return null;
      }
      return createVNode("div", {
        "class": spinnerClassName.value
      }, [renderIcon2(), renderTip()]);
    };
    return () => createVNode("div", {
      "class": [mergedPrefixCls.value, globalHashId.value, hashId.value]
    }, [createVNode(Transition, {
      "name": `${common.prefixCls}-fade`,
      "appear": true
    }, {
      default: () => [renderSpinner()]
    }), renderContent2()]);
  }
});
const useSize$1 = (props, config) => {
  const size = computed(() => {
    var _a;
    return (_a = props.size) != null ? _a : config.size;
  });
  const strokeWidth = computed(() => {
    var _a, _b, _c;
    return (_c = (_b = props.strokeWidth) != null ? _b : (_a = config.strokeWidth) == null ? void 0 : _a[size.value]) != null ? _c : defaultStrokeWidth$1[size.value];
  });
  const radius = computed(() => {
    var _a, _b, _c;
    return (_c = (_b = props.radius) != null ? _b : (_a = config.radius) == null ? void 0 : _a[size.value]) != null ? _c : defaultRadius[size.value];
  });
  return {
    size,
    strokeWidth,
    radius
  };
};
const useClasses$3 = (props, config, size, hasDefaultSlot, mergedPrefixCls) => {
  const prefixCls = mergedPrefixCls.value;
  const spinnerClassName = computed(() => {
    var _a;
    const tipAlign = (_a = props.tipAlign) != null ? _a : config.tipAlign;
    return normalizeClass([`${prefixCls}-spinner`, `${prefixCls}-spinner-tip-${tipAlign}`, `${prefixCls}-spinner-${size.value}`]);
  });
  const containerClassName = computed(() => {
    if (!hasDefaultSlot.value) {
      return [];
    }
    return normalizeClass([`${prefixCls}-container`, props.spinning ? `${prefixCls}-container-blur` : ""]);
  });
  return {
    spinnerClassName,
    containerClassName
  };
};
const SPIN_PROVIDER_TOKEN = Symbol("SPIN_PROVIDER_TOKEN");
const BASE_ZINDEX = 2e3;
var SpinProvider = /* @__PURE__ */ defineComponent({
  name: "IxSpinProvider",
  inheritAttrs: false,
  props: spinProviderProps,
  setup(_, {
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-spin`);
    const {
      spins,
      open,
      update,
      destroy,
      destroyAll
    } = useSpin$1(mergedPrefixCls);
    const apis = {
      open,
      update,
      destroy,
      destroyAll
    };
    provide(SPIN_PROVIDER_TOKEN, apis);
    expose(apis);
    return () => {
      var _a;
      const children = [];
      spins.value.forEach((spinOptions, index) => {
        const {
          spinning,
          target,
          width,
          height,
          isFullScreen,
          hasScroll,
          tip,
          zIndex
        } = spinOptions;
        const BaseZindex = zIndex != null ? zIndex : BASE_ZINDEX + index;
        const style = normalizeStyle({
          width: !isFullScreen && hasScroll ? convertCssPixel(width) : null,
          height: !isFullScreen && hasScroll ? convertCssPixel(height) : null,
          position: isFullScreen ? "fixed" : "",
          zIndex: BaseZindex
        });
        spinning && children.push(createVNode(CdkPortal, {
          "target": target
        }, {
          default: () => [createVNode(Spin, {
            "style": style,
            "tip": tip
          }, null)]
        }));
      });
      return createVNode(Fragment, null, [children, (_a = slots.default) == null ? void 0 : _a.call(slots)]);
    };
  }
});
function useSpin$1(mergedPrefixCls) {
  const spins = ref([]);
  const _convertTarget = (target) => {
    const targetElement = convertTarget(target);
    return targetElement === window ? null : targetElement;
  };
  const elementHasScroll = (element) => {
    return element.clientHeight < element.scrollHeight || element.clientWidth < element.scrollWidth;
  };
  const deleteClass = (targetElement) => {
    removeClass(targetElement, [`${mergedPrefixCls.value}-target-container`, `${mergedPrefixCls.value}-target-container-relative`, `${mergedPrefixCls.value}-target-container-has-scroll`]);
  };
  const getCurrIndex = (target) => {
    return spins.value.findIndex((spin) => spin.target === target);
  };
  const add = (item) => {
    const target = item.target;
    const currIndex = getCurrIndex(target);
    if (currIndex !== -1) {
      spins.value.splice(currIndex, 1, item);
    }
    spins.value.push(item);
  };
  const update = (options) => {
    const {
      target = "body"
    } = options;
    const currIndex = getCurrIndex(target);
    if (currIndex !== -1) {
      const newItem = {
        ...spins.value[currIndex],
        ...options
      };
      spins.value.splice(currIndex, 1, newItem);
    }
  };
  const destroy = (target = "body") => {
    const targets = convertArray(target);
    targets.forEach((target2) => {
      var _a;
      const currIndex = getCurrIndex(target2);
      if (currIndex !== -1) {
        const item = spins.value.splice(currIndex, 1)[0];
        const targetElement = _convertTarget(item.target);
        targetElement && deleteClass(targetElement);
        (_a = item.stopResizeWatch) == null ? void 0 : _a.call(item);
      }
    });
  };
  const destroyAll = () => {
    destroy(spins.value.map((item) => item.target));
    spins.value = [];
  };
  const open = (options) => {
    const {
      target = "body",
      ...reset
    } = options;
    if (getCurrIndex(target) === -1) {
      const targetElement = convertTarget(target);
      const hasScroll = elementHasScroll(targetElement);
      const isFullScreen = targetElement === document.body;
      const staticPosition = getComputedStyle(targetElement).position === "static";
      addClass(targetElement, [`${mergedPrefixCls.value}-target-container`, staticPosition ? `${mergedPrefixCls.value}-target-container-relative` : ""].filter(Boolean));
      let stopResizeWatch;
      if (!isFullScreen) {
        stopResizeWatch = useResizeObserver(targetElement, () => {
          const currIndex = getCurrIndex(target);
          spins.value[currIndex].width = 0;
          spins.value[currIndex].height = 0;
          nextTick(() => {
            const hasScroll2 = elementHasScroll(targetElement);
            spins.value[currIndex].hasScroll = hasScroll2;
            const hasScrollClsName = `${mergedPrefixCls.value}-target-container-has-scroll`;
            if (hasScroll2) {
              addClass(targetElement, hasScrollClsName);
              spins.value[currIndex].width = targetElement.scrollWidth;
              spins.value[currIndex].height = targetElement.scrollHeight;
            } else {
              removeClass(targetElement, hasScrollClsName);
            }
          });
        });
      }
      add({
        spinning: true,
        target,
        hasScroll,
        isFullScreen: targetElement === document.body,
        staticPosition,
        width: targetElement.scrollWidth,
        height: targetElement.scrollHeight,
        stopResizeWatch,
        ...reset
      });
    }
    const ref2 = {
      target,
      update: (options2) => update({
        target,
        ...options2
      }),
      destroy: () => destroy(target)
    };
    return ref2;
  };
  return {
    spins,
    open,
    update,
    destroy,
    destroyAll
  };
}
const useSpin = () => {
  const spinProviderRef = inject(SPIN_PROVIDER_TOKEN, null);
  if (spinProviderRef === null) {
    return throwError("components/spin", "<IxSpinProvider> not found.");
  }
  return spinProviderRef;
};
const IxSpin = Spin;
const IxSpinProvider = SpinProvider;
function useActiveState$2(props, inputValue) {
  const [activeValue, setActiveValue] = useState(void 0);
  watch(
    inputValue,
    (value) => {
      if (!props.allowInput || !value) {
        return;
      }
      setActiveValue(value);
    },
    {
      immediate: true
    }
  );
  return {
    activeValue,
    setActiveValue
  };
}
function useGetOptionKey(props, config) {
  return computed(() => genGetKeyFn(props.labelKey || config.labelKey, props.getKey || config.getKey));
}
function usePanelGetOptionKey(props, config) {
  return computed(() => genGetKeyFn(props.labelKey || config.labelKey, props.getKey || config.getKey));
}
function genGetKeyFn(labelKey, getKeyFn) {
  return isString(getKeyFn) ? (record) => {
    let key = record[getKeyFn];
    if (key === void 0 && labelKey !== "value") {
      key = record["value"];
    }
    return key;
  } : getKeyFn;
}
function useKeyboardEvents$2(props, inputValue, selectedValue, activeValue, overlayOpened, changeActiveIndex, changeSelected, handleRemove, clearInput, setOverlayOpened) {
  return (evt) => {
    switch (evt.code) {
      case "ArrowUp":
        evt.preventDefault();
        changeActiveIndex(-1);
        break;
      case "ArrowDown":
        evt.preventDefault();
        changeActiveIndex(1);
        break;
      case "Enter": {
        evt.preventDefault();
        const key = activeValue.value;
        if (!isNil(key) && (props.allowInput && inputValue.value || overlayOpened.value)) {
          changeSelected(key);
        }
        if (!props.multiple && (overlayOpened.value || props.allowInput && inputValue.value)) {
          setOverlayOpened(false);
          evt.stopImmediatePropagation();
        }
        (props.allowInput || !props.multiple) && clearInput();
        break;
      }
      case "Backspace": {
        const selectedLength = selectedValue.value.length;
        if (!inputValue.value && selectedLength) {
          handleRemove(selectedValue.value[selectedLength - 1]);
        }
        break;
      }
      case "Escape": {
        evt.preventDefault();
        setOverlayOpened(false);
        break;
      }
    }
  };
}
const optionKey = Symbol("IxSelectOption");
const SelectOption = () => {
};
SelectOption.displayName = "IxSelectOption";
SelectOption[optionKey] = true;
const optionGroupKey = Symbol("IxSelectOptionGroup");
const SelectOptionGroup = () => {
};
SelectOptionGroup.displayName = "IxSelectOptionGroup";
SelectOptionGroup[optionGroupKey] = true;
function flattenOptions(options, childrenKey, getKeyFn, labelKey) {
  const flattenedOptions = [];
  const appendOption = (item, index, parentKey) => {
    const parsedOption = parseOption(item, (item2) => {
      var _a;
      return (_a = getKeyFn(item2)) != null ? _a : index;
    }, childrenKey, labelKey, parentKey);
    flattenedOptions.push(parsedOption);
    return parsedOption.key;
  };
  options == null ? void 0 : options.forEach((item, index) => {
    const children = item[childrenKey];
    const optionKey2 = appendOption(item, index);
    if (children && children.length > 0) {
      children.forEach((child) => {
        appendOption(child, void 0, optionKey2);
      });
    }
  });
  return flattenedOptions;
}
function unFlattenOptions(flattenedOptions, childrenKey, getKeyFn) {
  const options = [];
  let currentGroupKeys;
  flattenedOptions.forEach((option) => {
    const data = option.rawData;
    if (option.type === "group") {
      options.push(data);
      currentGroupKeys = new Set(data[childrenKey].map((item) => getKeyFn(item)));
    } else if (!(currentGroupKeys == null ? void 0 : currentGroupKeys.has(option.key))) {
      options.push(data);
    }
  });
  return options;
}
function parseOption(option, getKey, childrenKey, labelKey, parentKey) {
  const children = option[childrenKey];
  return {
    key: getKey(option),
    parentKey,
    label: option[labelKey],
    disabled: !!option.disabled,
    type: children && children.length > 0 ? "group" : "item",
    rawData: toRaw(option)
  };
}
function generateOption(value) {
  const rawData = { key: value, label: value };
  return { key: value, label: value, type: "item", rawData };
}
function useConvertedOptions(props, slots) {
  return computed(() => {
    var _a, _b;
    return (_b = props.dataSource) != null ? _b : convertOptions((_a = slots.default) == null ? void 0 : _a.call(slots));
  });
}
function useOptionKeyMap(options) {
  return computed(() => {
    const map = /* @__PURE__ */ new Map();
    options.value.forEach((option) => {
      map.set(option.key, option);
    });
    return map;
  });
}
function useFlattenedOptions(options, mergedChildrenKey, getKey, mergedLabelKey) {
  return computed(() => flattenOptions(options.value, mergedChildrenKey.value, getKey.value, mergedLabelKey.value));
}
const filterKeys$1 = [optionKey, optionGroupKey];
function convertOptions(nodes, parentKey) {
  const convertedOptions = [];
  flattenNode(nodes, { key: filterKeys$1 }).forEach((node, index) => {
    var _a, _b;
    const type = node.type;
    const slots = (_a = node.children) != null ? _a : {};
    const props = (_b = node.props) != null ? _b : {};
    const isOption = type[optionKey];
    if (isOption) {
      const { key, disabled, label, value } = props;
      const { label: customLabel, default: customLabel2 } = slots;
      const _disabled = disabled || disabled === "";
      const option = {
        key: value != null ? value : key,
        disabled: _disabled,
        label,
        value,
        parentKey,
        customLabel: customLabel != null ? customLabel : customLabel2
      };
      convertedOptions.push(option);
    } else {
      const { key = index, label, children } = props;
      const { label: customLabel, default: defaultSlot } = slots;
      const _children = children != null ? children : convertOptions(defaultSlot == null ? void 0 : defaultSlot(), key);
      convertedOptions.push({ key, label, children: _children, customLabel });
    }
  });
  return convertedOptions;
}
function useFilteredOptions(props, options, inputValue, mergedLabelKey) {
  const searchFilter = useSearchFn$2(props, mergedLabelKey);
  return computed(() => {
    const _options = options.value;
    const searchValue = inputValue.value;
    if (!searchValue) {
      return _options;
    }
    const filter = searchFilter.value;
    const filteredOptions = filterOptions(_options, props.allowInput, searchValue, filter);
    return filteredOptions;
  });
}
function filterOptions(flattenedOptions, allowInput, searchValue, filter) {
  const filteredOptions = !filter ? flattenedOptions : flattenedOptions.filter((option) => filter(option.rawData, searchValue));
  if (allowInput) {
    const matchedOption = filteredOptions.find((option) => option.label === searchValue);
    if (!matchedOption) {
      return [generateOption(searchValue), ...filteredOptions];
    }
  }
  return filteredOptions;
}
function useSearchFn$2(props, mergedLabelKey) {
  return computed(() => {
    const searchFn = props.searchFn;
    if (isFunction(searchFn)) {
      return searchFn;
    }
    return searchFn ? getDefaultSearchFn$2(mergedLabelKey.value) : false;
  });
}
function getDefaultSearchFn$2(labelKey) {
  return (data, searchValue) => {
    const label = data[labelKey];
    const { children } = data;
    const hasChildrenMatch = children ? children.some((item) => matchRule(item.label, searchValue)) : false;
    return matchRule(String(label), searchValue) && !children || hasChildrenMatch;
  };
}
function matchRule(srcString, targetString) {
  return !isNil(srcString) && String(srcString).toLowerCase().includes(targetString.toLowerCase());
}
function usePanelProps$2(props, valueRef, activeValue, setActiveValue, onOptionClick) {
  return computed(() => ({
    activeValue: activeValue.value,
    selectedKeys: convertArray(valueRef.value),
    childrenKey: props.childrenKey,
    customAdditional: props.customAdditional,
    empty: props.empty,
    dndSortable: props.dndSortable,
    getKey: props.getKey,
    labelKey: props.labelKey,
    multiple: props.multiple,
    multipleLimit: props.multipleLimit,
    virtual: props.virtual,
    virtualItemHeight: props.virtualItemHeight,
    virtualScrollMode: props.virtualScrollMode,
    "onUpdate:activeValue": setActiveValue,
    onOptionClick,
    onScroll: props.onScroll,
    onScrolledChange: props.onScrolledChange,
    onScrolledBottom: props.onScrolledBottom,
    onDndSortReorder: props.onDndSortReorder,
    onDndSortChange: props.onDndSortChange,
    _virtualScrollHeight: props.overlayHeight
  }));
}
function useSelectedState$3(props, accessor, optionKeyMap) {
  const selectedValue = computed(() => convertArray(accessor.value));
  const selectedOptions = computed(
    () => selectedValue.value.map((value) => {
      var _a;
      return (_a = optionKeyMap.value.get(value)) != null ? _a : generateOption(value);
    })
  );
  const setSelectedValue = (value) => {
    const currValue = props.multiple ? value : value[0];
    const oldValue = toRaw(accessor.value);
    if (currValue !== oldValue) {
      accessor.setValue(currValue);
      callEmit(props.onChange, currValue, oldValue);
    }
  };
  const changeSelected = (key) => {
    const multiple = !!props.multiple;
    const currValue = selectedValue.value;
    const targetIndex = currValue.findIndex((item) => item === key);
    const isSelected = targetIndex > -1;
    if (!multiple) {
      !isSelected && setSelectedValue([key]);
      return;
    }
    if (isSelected) {
      setSelectedValue(currValue.filter((_, index) => targetIndex !== index));
      return;
    }
    if (selectedValue.value.length < props.multipleLimit) {
      setSelectedValue([...currValue, key]);
    }
  };
  const handleRemove = (key) => {
    setSelectedValue(selectedValue.value.filter((item) => key !== item));
  };
  const handleClear = (evt) => {
    setSelectedValue([]);
    callEmit(props.onClear, evt);
  };
  return {
    selectedValue,
    selectedOptions,
    changeSelected,
    handleRemove,
    handleClear
  };
}
const EmptySimpleImage = () => createVNode("svg", {
  "width": "80",
  "height": "60",
  "viewBox": "0 0 80 60",
  "xmlns": "http://www.w3.org/2000/svg"
}, [createVNode("g", {
  "fill": "none",
  "fill-rule": "nonzero"
}, [createVNode("ellipse", {
  "cx": "40",
  "cy": "53.29",
  "fill": "#F7F9FC",
  "rx": "25",
  "ry": "3.29"
}, null), createVNode("path", {
  "fill": "#EDF1F7",
  "d": "M27.935 18h24.13c.025 0 .048.012.063.033L60 29H20l7.872-10.967a.078.078 0 0 1 .063-.033z"
}, null), createVNode("path", {
  "fill": "#E3E7EE",
  "d": "M52.868 8.08l1.484 1.245c.013.01.015.03.004.044l-3.817 4.548a.031.031 0 0 1-.044.004l-1.484-1.246a.031.031 0 0 1-.004-.044l3.817-4.548a.031.031 0 0 1 .044-.004zm-26.373 0a.031.031 0 0 1 .044.003l3.817 4.548a.031.031 0 0 1-.004.044l-1.484 1.246a.031.031 0 0 1-.044-.004l-3.817-4.548a.031.031 0 0 1 .004-.044l1.484-1.246zM40.65 4c.018 0 .032.014.032.031v7.938a.031.031 0 0 1-.032.031h-1.937a.031.031 0 0 1-.031-.031V4.03c0-.017.014-.031.03-.031h1.938z"
}, null), createVNode("path", {
  "fill": "#FAFCFE",
  "d": "M29.936 20h20.128c.026 0 .05.012.064.033L55 27H25l4.872-6.967a.078.078 0 0 1 .064-.033z"
}, null), createVNode("path", {
  "fill": "#E1E5EB",
  "d": "M20 29h40v23.922a.078.078 0 0 1-.078.078H20.078a.078.078 0 0 1-.078-.078V29z"
}, null), createVNode("rect", {
  "width": "14",
  "height": "3",
  "x": "33",
  "y": "43",
  "fill": "#FFF",
  "rx": ".4"
}, null)])]);
const EmptyDefaultImage = () => {
  const key = useKey$1().toString();
  return createVNode("svg", {
    "width": "240",
    "height": "150",
    "viewBox": "0 0 240 150",
    "xmlns": "http://www.w3.org/2000/svg"
  }, [createVNode("defs", null, [createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_a`,
    "x1": "98.732%",
    "x2": "1.144%",
    "y1": "35.249%",
    "y2": "64.751%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_b`,
    "x1": "98.732%",
    "x2": "-4.28%",
    "y1": "29.211%",
    "y2": "74.009%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_c`,
    "x1": "98.732%",
    "x2": "1.773%",
    "y1": "34.607%",
    "y2": "65.393%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_d`,
    "x1": "98.732%",
    "x2": "-4.054%",
    "y1": "31.668%",
    "y2": "69.567%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_e`,
    "x1": "109.243%",
    "x2": "2.442%",
    "y1": "57.269%",
    "y2": "42.07%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_f`,
    "x1": "109.243%",
    "x2": "16.437%",
    "y1": "56.689%",
    "y2": "45.02%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_g`,
    "x1": "106.552%",
    "x2": "-9.479%",
    "y1": "57.117%",
    "y2": "40.471%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_h`,
    "x1": "89.696%",
    "x2": "2.512%",
    "y1": "55.015%",
    "y2": "41.695%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#EBEDF1",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "50.721%",
    "stop-color": "#D3D7DE"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#D3D7DE",
    "stop-opacity": "0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_i`,
    "x1": "0%",
    "x2": "89.377%",
    "y1": "49.118%",
    "y2": "50%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#CDD2DA",
    "stop-opacity": ".531"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#BEC3CC",
    "stop-opacity": ".178"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_j`,
    "x1": "3.227%",
    "x2": "87.16%",
    "y1": "66.363%",
    "y2": "73.709%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#E1E5EB"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#BEC3CC"
  }, null)]), createVNode("path", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_k`,
    "d": "M86.24 47.88L77.495 61.93a.234.234 0 0 0 .301.335l8.446-4.118v-9.73l31.681-13.992L86.241 47.88z"
  }, null), createVNode("filter", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_l`,
    "width": "102.5%",
    "height": "103.6%",
    "x": "-1.2%",
    "y": "-1.8%",
    "filterUnits": "objectBoundingBox"
  }, [createVNode("feGaussianBlur", {
    "in": "SourceAlpha",
    "result": "shadowBlurInner1",
    "stdDeviation": ".5"
  }, null), createVNode("feOffset", {
    "in": "shadowBlurInner1",
    "result": "shadowOffsetInner1"
  }, null), createVNode("feComposite", {
    "in": "shadowOffsetInner1",
    "in2": "SourceAlpha",
    "k2": "-1",
    "k3": "1",
    "operator": "arithmetic",
    "result": "shadowInnerInner1"
  }, null), createVNode("feColorMatrix", {
    "in": "shadowInnerInner1",
    "values": "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.5 0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_m`,
    "x1": "31.515%",
    "x2": "73.396%",
    "y1": "0%",
    "y2": "100%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#F7F9FC"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#E1E5EB"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_n`,
    "x1": "35.265%",
    "x2": "64.735%",
    "y1": "20.531%",
    "y2": "71.964%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#E1E5EB"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#BEC3CC"
  }, null)]), createVNode("path", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_o`,
    "d": "M0 15.191L31.462 0v38.684a.376.376 0 0 1-.181.322L0 57.956V15.19z"
  }, null), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_p`,
    "x1": "0%",
    "y1": "45.743%",
    "y2": "53.173%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#E1E5EB"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#BEC3CC"
  }, null)]), createVNode("path", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_q`,
    "d": "M0 13.457l38.276 13.049L69.74 11.457 31.682 0z"
  }, null), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_r`,
    "x1": "13.714%",
    "x2": "13.714%",
    "y1": "13.836%",
    "y2": "113.032%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#F7F9FC"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#E1E5EB"
  }, null)]), createVNode("path", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_t`,
    "d": "M0 13.457l38.276 13.049L69.74 11.457 31.682 0z"
  }, null), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_u`,
    "x1": "50%",
    "x2": "54.931%",
    "y1": "42.206%",
    "y2": "57.223%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#E1E5EB"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#FFF"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_w`,
    "x1": "2.15%",
    "y1": "41.152%",
    "y2": "53.34%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#E1E5EB"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#BEC3CC"
  }, null)]), createVNode("path", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_y`,
    "d": "M124.517 60.93l-.05 1.737 7.545 14.903c.092.181.31.257.494.171l33.014-15.395a.376.376 0 0 0 .162-.536l-9.703-15.93-31.462 15.05z"
  }, null), createVNode("filter", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_x`,
    "width": "102.4%",
    "height": "103.1%",
    "x": "-1.2%",
    "y": "-1.6%",
    "filterUnits": "objectBoundingBox"
  }, [createVNode("feGaussianBlur", {
    "in": "SourceAlpha",
    "result": "shadowBlurInner1",
    "stdDeviation": ".5"
  }, null), createVNode("feOffset", {
    "in": "shadowBlurInner1",
    "result": "shadowOffsetInner1"
  }, null), createVNode("feComposite", {
    "in": "shadowOffsetInner1",
    "in2": "SourceAlpha",
    "k2": "-1",
    "k3": "1",
    "operator": "arithmetic",
    "result": "shadowInnerInner1"
  }, null), createVNode("feColorMatrix", {
    "in": "shadowInnerInner1",
    "values": "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.353775131 0"
  }, null)]), createVNode("linearGradient", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_z`,
    "x1": "0%",
    "y1": "38.098%",
    "y2": "58.871%"
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#E1E5EB"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#BEC3CC"
  }, null)])]), createVNode("g", {
    "fill": "none",
    "fill-rule": "evenodd"
  }, [createVNode("g", {
    "stroke-dasharray": "4,10",
    "stroke-width": ".8"
  }, [createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_a)`,
    "d": "M.325 103.602L191.027.344"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_b)`,
    "d": "M117.37 139.398l125.286-80.541"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_c)`,
    "d": "M6.195 132.145L225.446 10.67"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_d)`,
    "d": "M76.264 130.444l149.182-90.173"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_e)`,
    "d": "M23.405 37.861l191.371 72.969-191.37-72.969z"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_f)`,
    "d": "M32.354 14.456L237.493 89.49 32.354 14.456z"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_g)`,
    "d": "M13.768 85.36l151.444 57.136L13.768 85.36z"
  }, null), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_h)`,
    "d": "M15.144 58.513l207.204 79.164L15.144 58.513z"
  }, null)]), createVNode("path", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_i)`,
    "fill-rule": "nonzero",
    "d": "M124.157 103.884l31.966 11.166 40.333-25.333-40.477-14.692z",
    "opacity": ".424"
  }, null), createVNode("use", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_j)`,
    "xlink:href": `#IDUX_EMPTY_DEFAULT_${key}_k`
  }, null), createVNode("use", {
    "fill": "#000",
    "filter": `url(#IDUX_EMPTY_DEFAULT_${key}_l)`,
    "xlink:href": `#IDUX_EMPTY_DEFAULT_${key}_k`
  }, null), createVNode("path", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_m)`,
    "fill-rule": "nonzero",
    "d": "M86.24 47.88l38.277 13.05v42.907L86.481 89.143a.376.376 0 0 1-.24-.35V47.88z"
  }, null), createVNode("path", {
    "fill": "#BEC3CC",
    "fill-rule": "nonzero",
    "d": "M93.681 63.157l21.828 6.506c.608.181 1.025.74 1.025 1.375a.797.797 0 0 1-1.025.763L93.68 65.296a1.435 1.435 0 0 1-1.024-1.375.797.797 0 0 1 1.024-.764zM93.683 72.243l14.497 4.261a1.429 1.429 0 0 1 1.026 1.37.8.8 0 0 1-1.026.769L93.683 74.38a1.429 1.429 0 0 1-1.026-1.37.8.8 0 0 1 1.026-.768z",
    "opacity": ".65"
  }, null), createVNode("path", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_n)`,
    "fill-rule": "nonzero",
    "d": "M0 15.191L31.462 0v38.684a.376.376 0 0 1-.181.322L0 57.956V15.19z",
    "transform": "translate(124.517 45.88)"
  }, null), createVNode("path", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_p)`,
    "fill-rule": "nonzero",
    "d": "M86.24 47.88l38.277 13.05 31.462-15.05-38.057-11.456z"
  }, null), createVNode("g", {
    "transform": "translate(86.24 34.424)"
  }, [createVNode("mask", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_s`,
    "fill": "#fff"
  }, [createVNode("use", {
    "xlink:href": `#IDUX_EMPTY_DEFAULT_${key}_q`
  }, null)]), createVNode("path", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_r)`,
    "fill-rule": "nonzero",
    "d": "M31.684-8.02L82.34-4.687V57.87l-50.655-1.334z",
    "mask": `url(#IDUX_EMPTY_DEFAULT_${key}_s)`
  }, null)]), createVNode("g", {
    "transform": "translate(86.24 34.424)"
  }, [createVNode("mask", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_v`,
    "fill": "#fff"
  }, [createVNode("use", {
    "xlink:href": `#IDUX_EMPTY_DEFAULT_${key}_t`
  }, null)]), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_u)`,
    "d": "M31.689.124l37.726 11.358L38.269 26.38.328 13.445z",
    "mask": `url(#IDUX_EMPTY_DEFAULT_${key}_v)`
  }, null)]), createVNode("path", {
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_w)`,
    "fill-rule": "nonzero",
    "d": "M124.517 60.93l-.05 1.737 7.545 14.903c.092.181.31.257.494.171l33.014-15.395a.376.376 0 0 0 .162-.536l-9.703-15.93-31.462 15.05z"
  }, null), createVNode("g", {
    "fill": "#000"
  }, [createVNode("use", {
    "filter": `url(#IDUX_EMPTY_DEFAULT_${key}_x)`,
    "xlink:href": `#IDUX_EMPTY_DEFAULT_${key}_y`
  }, null)]), createVNode("path", {
    "stroke": `url(#IDUX_EMPTY_DEFAULT_${key}_z)`,
    "stroke-dasharray": "2.406",
    "stroke-width": ".8",
    "d": "M118.145 48c19.263-2.343 28.895-8.87 28.895-19.582 0-16.066-27.203-1.937-13.381 5.75 13.822 7.69 29.746-6.203 32.892-16.93"
  }, null)])]);
};
const EmptySimpleImageDark = () => createVNode("svg", {
  "xmlns": "http://www.w3.org/2000/svg",
  "fill": "none",
  "version": "1.1",
  "width": "80",
  "height": "60",
  "viewBox": "0 0 80 60"
}, [createVNode("g", null, [createVNode("g", null, [createVNode("ellipse", {
  "cx": "40",
  "cy": "52.920849084854126",
  "rx": "25",
  "ry": "3.289989709854126",
  "fill": "#0A0C0F",
  "fill-opacity": "1"
}, null)]), createVNode("g", null, [createVNode("path", {
  "d": "M60,29C60,29,53.8337,20.40884,52.4,18.411402C52.2122,18.149694,51.9176,18.000000000000185,51.5955,18.000000000000185C48.437799999999996,18.000000000000185,31.5622,18.000000000000185,28.4045,18.000000000000185C28.08236,18.000000000000185,27.78784,18.149694,27.6,18.411402C26.166330000000002,20.40885,19.999999999999716,29,19.999999999999716,29C19.999999999999716,29,60,29,60,29Z",
  "fill-rule": "evenodd",
  "fill": "#171A1F",
  "fill-opacity": "1"
}, null)]), createVNode("g", null, [createVNode("path", {
  "d": "M39.5312,11.6L39.5312,4.4Q39.5312,4.360603,39.5389,4.321964Q39.5466,4.283324,39.5617,4.246927Q39.5768,4.210529,39.5987,4.177772Q39.6205,4.145015,39.6484,4.117157Q39.6763,4.0892997,39.709,4.0674121Q39.7418,4.0455246,39.7782,4.0304482Q39.8146,4.0153718,39.8532,4.00768589Q39.8919,4,39.931200000000004,4L41.131299999999996,4Q41.1706,4,41.2093,4.00768589Q41.2479,4.0153718,41.2843,4.0304482Q41.3207,4.0455246,41.3535,4.0674121Q41.3862,4.0892997,41.4141,4.117157Q41.441900000000004,4.145015,41.4638,4.177772Q41.4857,4.210529,41.5008,4.246927Q41.5159,4.283324,41.5236,4.321964Q41.5312,4.360603,41.5312,4.4L41.5312,11.6Q41.5312,11.6394,41.5236,11.67804Q41.5159,11.71667,41.5008,11.753070000000001Q41.4857,11.78947,41.4638,11.822230000000001Q41.441900000000004,11.854980000000001,41.4141,11.88284Q41.3862,11.9107,41.3535,11.932590000000001Q41.3207,11.95447,41.2843,11.96955Q41.2479,11.98463,41.2093,11.99231Q41.1706,12,41.131299999999996,12L39.931200000000004,12Q39.8919,12,39.8532,11.99231Q39.8146,11.98463,39.7782,11.96955Q39.7418,11.95447,39.709,11.932590000000001Q39.6763,11.9107,39.6484,11.88284Q39.6205,11.854980000000001,39.5987,11.822230000000001Q39.5768,11.78947,39.5617,11.753070000000001Q39.5466,11.71667,39.5389,11.67804Q39.5312,11.6394,39.5312,11.6ZM50.0938,12.34844L53.4362,8.36501Q53.461600000000004,8.33483,53.4923,8.31017Q53.522999999999996,8.28551,53.558,8.26732Q53.5929,8.249130000000001,53.630700000000004,8.238109999999999Q53.6686,8.22708,53.7078,8.22365Q53.747,8.22021,53.7862,8.224499999999999Q53.8254,8.22879,53.862899999999996,8.240639999999999Q53.9005,8.25249,53.9351,8.27144Q53.9696,8.290379999999999,53.9998,8.31571L54.919,9.08705Q54.949200000000005,9.11238,54.9739,9.1431Q54.9985,9.173829999999999,55.0167,9.208770000000001Q55.0349,9.24372,55.0459,9.28154Q55.057,9.31936,55.0604,9.358609999999999Q55.0638,9.39786,55.0595,9.43702Q55.0552,9.47618,55.0434,9.51375Q55.0316,9.55133,55.0126,9.58587Q54.993700000000004,9.62041,54.9683,9.650590000000001L51.6258,13.63402Q51.6005,13.6642,51.5698,13.68886Q51.539100000000005,13.71351,51.5041,13.73171Q51.4692,13.7499,51.4314,13.76092Q51.3935,13.77195,51.354299999999995,13.77538Q51.315,13.77881,51.2759,13.77452Q51.2367,13.77024,51.1991,13.75839Q51.1616,13.74654,51.126999999999995,13.72759Q51.0925,13.70864,51.0623,13.68332L50.143100000000004,12.91198Q50.112899999999996,12.88665,50.0882,12.85593Q50.0636,12.8252,50.0454,12.79026Q50.0272,12.75531,50.0161,12.71749Q50.0051,12.67966,50.0017,12.64042Q49.9983,12.60117,50.0025,12.56201Q50.0068,12.52285,50.018699999999995,12.48527Q50.0305,12.4477,50.049499999999995,12.41316Q50.0684,12.37862,50.0938,12.34844ZM30.96875,12.34844L27.62626,8.36501Q27.600929999999998,8.33483,27.57021,8.31017Q27.53948,8.28551,27.50454,8.26732Q27.46959,8.249130000000001,27.43177,8.238109999999999Q27.39395,8.22708,27.3547,8.22365Q27.31545,8.22021,27.27629,8.224499999999999Q27.23713,8.22879,27.199559999999998,8.240639999999999Q27.16198,8.25249,27.12744,8.27144Q27.0929,8.290379999999999,27.06272,8.31571L26.143469,9.08705Q26.11329,9.11238,26.0886307,9.1431Q26.0639715,9.173829999999999,26.0457802,9.208770000000001Q26.0275889,9.24372,26.0165646,9.28154Q26.00554029,9.31936,26.00210666,9.358609999999999Q25.99867302,9.39786,26.00296201,9.43702Q26.00725099,9.47618,26.0190978,9.51375Q26.0309445,9.55133,26.0498938,9.58587Q26.0688431,9.62041,26.0941668,9.650590000000001L29.43666,13.63402Q29.46199,13.6642,29.49271,13.68886Q29.52344,13.71351,29.55838,13.73171Q29.59333,13.7499,29.631149999999998,13.76092Q29.66897,13.77195,29.70822,13.77538Q29.74746,13.77881,29.78663,13.77452Q29.82579,13.77024,29.86336,13.75839Q29.90094,13.74654,29.93548,13.72759Q29.970019999999998,13.70864,30.0002,13.68332L30.91945,12.91198Q30.94963,12.88665,30.97429,12.85593Q30.99895,12.8252,31.01714,12.79026Q31.035330000000002,12.75531,31.04635,12.71749Q31.057380000000002,12.67966,31.06081,12.64042Q31.064239999999998,12.60117,31.05996,12.56201Q31.05567,12.52285,31.04382,12.48527Q31.03197,12.4477,31.01302,12.41316Q30.99407,12.37862,30.96875,12.34844Z",
  "fill": "#1F2329",
  "fill-opacity": "1"
}, null)]), createVNode("g", null, [createVNode("path", {
  "d": "M55,27C55,27,51.4632,21.9425,50.402100000000004,20.42525C50.215,20.157708,49.912099999999995,19.999999999999773,49.5857,19.999999999999773C46.758700000000005,19.999999999999773,33.24129,19.999999999999773,30.41433,19.999999999999773C30.08786,19.999999999999773,29.78499,20.157708,29.59789,20.42525C28.53684,21.9425,24.99999999999986,27,24.99999999999986,27C24.99999999999986,27,55,27,55,27Z",
  "fill-rule": "evenodd",
  "fill": "#0A0C0F",
  "fill-opacity": "1"
}, null)]), createVNode("g", null, [createVNode("path", {
  "d": "M60,51.9884C60,47.427499999999995,60,29.000000000000156,60,29.000000000000156C60,29.000000000000156,20,29.000000000000156,20,29.000000000000156C20,29.000000000000156,20,47.427499999999995,20,51.9884C20,52.5406,20.436485,53,20.98877,53C26.51123,53,53.4888,53,59.0112,53C59.5635,53,60,52.5406,60,51.9884",
  "fill-rule": "evenodd",
  "fill": "#1F2329",
  "fill-opacity": "1"
}, null)]), createVNode("g", null, [createVNode("rect", {
  "x": "33",
  "y": "43",
  "width": "14",
  "height": "3",
  "rx": "0.4000000059604645",
  "fill": "#0A0C0F",
  "fill-opacity": "1"
}, null)])])]);
const EmptyDefaultImageDark = () => {
  const key = useKey$1().toString();
  return createVNode("svg", {
    "xmlns": "http://www.w3.org/2000/svg",
    "fill": "none",
    "version": "1.1",
    "width": "240",
    "height": "152.9013671875",
    "viewBox": "0 0 240 152.9013671875"
  }, [createVNode("defs", null, [createVNode("linearGradient", {
    "x1": "0.9800755977630615",
    "y1": "0",
    "x2": "-0.11804303526878357",
    "y2": "1.0979918241500854",
    "id": `IDUX_EMPTY_DEFAULT_${key}_a`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "50.72108507156372%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "0.9800755977630615",
    "y1": "0",
    "x2": "-0.11804303526878357",
    "y2": "1.0979918241500854",
    "id": `IDUX_EMPTY_DEFAULT_${key}_b`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "50.72108507156372%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "0.9800755977630615",
    "y1": "0",
    "x2": "-0.11804303526878357",
    "y2": "1.0979918241500854",
    "id": `IDUX_EMPTY_DEFAULT_${key}_c`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "50.72108507156372%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "0.9800755977630615",
    "y1": "0",
    "x2": "-0.11804303526878357",
    "y2": "1.0979918241500854",
    "id": `IDUX_EMPTY_DEFAULT_${key}_d`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "50.72108507156372%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "1.0743297338485718",
    "y1": "1.178910493850708",
    "x2": "-0.2211248129606247",
    "y2": "-0.21586854755878448",
    "id": `IDUX_EMPTY_DEFAULT_${key}_e`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "47.94098436832428%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "99.99997019767761%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "1.0182400941848755",
    "y1": "1.0703948736190796",
    "x2": "-0.06334318220615387",
    "y2": "-0.09068535268306732",
    "id": `IDUX_EMPTY_DEFAULT_${key}_f`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "47.94096052646637%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "99.99995827674866%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "1",
    "y1": "1.049881100654602",
    "x2": "-0.04913259670138359",
    "y2": "-0.06606881320476532",
    "id": `IDUX_EMPTY_DEFAULT_${key}_g`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null), createVNode("stop", {
    "offset": "47.940972447395325%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "99.9999463558197%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("linearGradient", {
    "x1": "1.0135031938552856",
    "y1": "1.0334700345993042",
    "x2": "-0.01123770885169506",
    "y2": "0",
    "id": `IDUX_EMPTY_DEFAULT_${key}_h`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#3C424D",
    "stop-opacity": "0"
  }, null), createVNode("stop", {
    "offset": "47.94098436832428%",
    "stop-color": "#3C424D",
    "stop-opacity": "1"
  }, null), createVNode("stop", {
    "offset": "99.9999463558197%",
    "stop-color": "#3C424D",
    "stop-opacity": "0.00009999999747378752"
  }, null)]), createVNode("filter", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_i`,
    "filterUnits": "objectBoundingBox",
    "color-interpolation-filters": "sRGB",
    "x": "-13.080453872680664",
    "y": "-13.080453872680664",
    "width": "98.46046829223633",
    "height": "65.31534194946289"
  }, [createVNode("feFlood", {
    "flood-opacity": "0",
    "result": "BackgroundImageFix"
  }, null), createVNode("feBlend", {
    "mode": "normal",
    "in": "SourceGraphic",
    "in2": "BackgroundImageFix",
    "result": "shape"
  }, null), createVNode("feGaussianBlur", {
    "stdDeviation": "3.270113468170166",
    "result": "effect1_foregroundBlur"
  }, null)]), createVNode("linearGradient", {
    "x1": "-0.01439724676311016",
    "y1": "0.9180914163589478",
    "x2": "0.8793747425079346",
    "y2": "0.9468859434127808",
    "id": `IDUX_EMPTY_DEFAULT_${key}_j`
  }, [createVNode("stop", {
    "offset": "0%",
    "stop-color": "#525966",
    "stop-opacity": "0.5306117534637451"
  }, null), createVNode("stop", {
    "offset": "100%",
    "stop-color": "#525966",
    "stop-opacity": "0.17753291130065918"
  }, null)]), createVNode("mask", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_k`
  }, [createVNode("g", null, [createVNode("path", {
    "d": "M156.1887625,87.1952859375C156.1887625,82.41448593749999,156.1887625,49.72558593750259,156.1887625,49.72558593750259C156.1887625,49.72558593750259,124.7265625,64.5866859375,124.7265625,64.5866859375C124.7265625,64.5866859375,124.7265625,106.42138593749999,124.7265625,106.42138593749999C124.7265625,106.42138593749999,151.7556625,90.40308593750001,155.7086625,88.0603859375C156.0124625,87.8803859375,156.1887625,87.5484859375,156.1887625,87.1952859375",
    "fill-rule": "evenodd",
    "fill": "#FFFFFF",
    "fill-opacity": "1"
  }, null)])]), createVNode("filter", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_l`,
    "filterUnits": "objectBoundingBox",
    "color-interpolation-filters": "sRGB",
    "x": "-39.241363525390625",
    "y": "-39.241363525390625",
    "width": "117.58168029785156",
    "height": "116.86801147460938"
  }, [createVNode("feFlood", {
    "flood-opacity": "0",
    "result": "BackgroundImageFix"
  }, null), createVNode("feBlend", {
    "mode": "normal",
    "in": "SourceGraphic",
    "in2": "BackgroundImageFix",
    "result": "shape"
  }, null), createVNode("feGaussianBlur", {
    "stdDeviation": "9.810340881347656",
    "result": "effect1_foregroundBlur"
  }, null)]), createVNode("mask", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_m`
  }, [createVNode("g", null, [createVNode("path", {
    "d": "M156.18977187500002,49.725678125C156.18977187500002,49.725678125,124.727571875,64.447178125,124.727571875,64.447178125C124.727571875,64.447178125,86.451171875,51.682178125,86.451171875,51.682178125C86.451171875,51.682178125,118.132871875,38.517578125007184,118.132871875,38.517578125007184C118.132871875,38.517578125007184,156.18977187500002,49.725678125,156.18977187500002,49.725678125Z",
    "fill-rule": "evenodd",
    "fill": "#FFFFFF",
    "fill-opacity": "1"
  }, null)])]), createVNode("filter", {
    "id": `IDUX_EMPTY_DEFAULT_${key}_n`,
    "filterUnits": "objectBoundingBox",
    "color-interpolation-filters": "sRGB",
    "x": "0",
    "y": "0",
    "width": "41.31380844116211",
    "height": "30.795196533203125"
  }, [createVNode("feFlood", {
    "flood-opacity": "0",
    "result": "BackgroundImageFix"
  }, null), createVNode("feBlend", {
    "mode": "normal",
    "in": "SourceGraphic",
    "in2": "BackgroundImageFix",
    "result": "shape"
  }, null), createVNode("feColorMatrix", {
    "in": "SourceAlpha",
    "type": "matrix",
    "result": "hardAlpha",
    "values": "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
  }, null), createVNode("feOffset", {
    "dy": "0",
    "dx": "0"
  }, null), createVNode("feGaussianBlur", {
    "stdDeviation": "0.5"
  }, null), createVNode("feComposite", {
    "in2": "hardAlpha",
    "operator": "arithmetic",
    "k2": "-1",
    "k3": "1"
  }, null), createVNode("feColorMatrix", {
    "type": "matrix",
    "values": "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.35377514362335205 0"
  }, null), createVNode("feBlend", {
    "mode": "normal",
    "in2": "shape",
    "result": "effect1_innerShadow"
  }, null)])]), createVNode("g", null, [createVNode("g", null, [createVNode("g", null, [createVNode("path", {
    "d": "M236.564,67.373030625L238.267,66.291277625L237.731,65.447077625L236.028,66.528831625L236.564,67.373030625ZM224.511,75.025900625L227.945,72.845250625L227.409,72.001050625L223.975,74.181700625L224.511,75.025900625ZM212.45999999999998,82.677940625L215.90699999999998,80.488940625L215.37099999999998,79.644740625L211.924,81.833740625L212.45999999999998,82.677940625ZM200.4332,90.314240625L203.881,88.124940625L203.345,87.28074062499999L199.8972,89.470040625L200.4332,90.314240625ZM188.3789,97.968040625L191.8213,95.782340625L191.2853,94.938140625L187.8429,97.123840625L188.3789,97.968040625ZM176.3394,105.612640625L179.7858,103.424340625L179.2498,102.580140625L175.8034,104.768440625L176.3394,105.612640625ZM164.2496,113.289040625L167.696,111.100740625L167.1599,110.256540625L163.71359999999999,112.444840625L164.2496,113.289040625ZM152.2141,120.93104062500001L155.6565,118.745340625L155.1204,117.901140625L151.678,120.08684062500001L152.2141,120.93104062500001ZM140.1544,128.588340625L143.6022,126.399140625L143.0662,125.554940625L139.6183,127.744140625L140.1544,128.588340625ZM128.1282,136.224440625L131.57580000000002,134.035440625L131.0397,133.191240625L127.59219999999999,135.380240625L128.1282,136.224440625ZM116.09,143.868140625L119.5244,141.687440625L118.9883,140.84324062500002L115.554,143.023940625L116.09,143.868140625ZM105.768013,150.422140625L107.4717,149.340340625L106.93568,148.496140625L105.231987,149.577940625L105.768013,150.422140625Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_a)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M208.564,54.373030625L210.267,53.291277625L209.731,52.447077625L208.028,53.528831625L208.564,54.373030625ZM196.511,62.025900625L199.945,59.845250625L199.409,59.001050625L195.975,61.181700625L196.511,62.025900625ZM184.45999999999998,69.677940625L187.90699999999998,67.488940625L187.37099999999998,66.644740625L183.924,68.833740625L184.45999999999998,69.677940625ZM172.4332,77.314240625L175.881,75.124940625L175.345,74.28074062499999L171.8972,76.470040625L172.4332,77.314240625ZM160.3789,84.968040625L163.8213,82.782340625L163.2853,81.938140625L159.8429,84.123840625L160.3789,84.968040625ZM148.3394,92.612640625L151.7858,90.424340625L151.2498,89.580140625L147.8034,91.768440625L148.3394,92.612640625ZM136.2496,100.289040625L139.696,98.100740625L139.1599,97.256540625L135.71359999999999,99.444840625L136.2496,100.289040625ZM124.2141,107.93104062500001L127.6565,105.745340625L127.12039999999999,104.901140625L123.678,107.08684062500001L124.2141,107.93104062500001ZM112.15440000000001,115.588340625L115.60220000000001,113.399140625L115.06620000000001,112.554940625L111.6183,114.744140625L112.15440000000001,115.588340625ZM100.12819999999999,123.224440625L103.5758,121.035440625L103.0397,120.191240625L99.59219999999999,122.380240625L100.12819999999999,123.224440625ZM88.09,130.868140625L91.5244,128.687440625L90.9883,127.843240625L87.554,130.023940625L88.09,130.868140625ZM77.768013,137.422140625L79.4717,136.340340625L78.93568,135.496140625L77.231987,136.577940625L77.768013,137.422140625Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_b)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M171.564,40.373030625L173.267,39.291277625L172.731,38.447077625L171.028,39.528831625L171.564,40.373030625ZM159.511,48.025900625L162.945,45.845250625L162.409,45.001050625L158.975,47.181700625L159.511,48.025900625ZM147.45999999999998,55.677940625000005L150.90699999999998,53.488940625L150.37099999999998,52.644740625L146.924,54.833740625000004L147.45999999999998,55.677940625000005ZM135.4332,63.314240625L138.881,61.124940625L138.345,60.280740625L134.8972,62.470040624999996L135.4332,63.314240625ZM123.3789,70.968040625L126.8213,68.782340625L126.2853,67.938140625L122.8429,70.123840625L123.3789,70.968040625ZM111.3394,78.612640625L114.7858,76.424340625L114.2498,75.580140625L110.8034,77.768440625L111.3394,78.612640625ZM99.2496,86.289040625L102.696,84.100740625L102.1599,83.256540625L98.7136,85.444840625L99.2496,86.289040625ZM87.2141,93.93104062500001L90.6565,91.745340625L90.12039999999999,90.901140625L86.678,93.08684062500001L87.2141,93.93104062500001ZM75.15440000000001,101.588340625L78.60220000000001,99.399140625L78.06620000000001,98.554940625L74.6183,100.744140625L75.15440000000001,101.588340625ZM63.1282,109.224440625L66.5758,107.035440625L66.0397,106.191240625L62.5922,108.380240625L63.1282,109.224440625ZM51.09,116.868140625L54.5244,114.687440625L53.9883,113.843240625L50.554,116.023940625L51.09,116.868140625ZM40.768013,123.422140625L42.4717,122.340340625L41.93568,121.496140625L40.231987,122.577940625L40.768013,123.422140625Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_c)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M141.564,22.373030625L143.267,21.291277625L142.731,20.447077625L141.028,21.528831625L141.564,22.373030625ZM129.511,30.025900625L132.945,27.845250625L132.409,27.001050625L128.975,29.181700624999998L129.511,30.025900625ZM117.46,37.677940625000005L120.907,35.488940625L120.371,34.644740625L116.924,36.833740625000004L117.46,37.677940625000005ZM105.4332,45.314240625L108.881,43.124940625L108.345,42.280740625L104.8972,44.470040624999996L105.4332,45.314240625ZM93.3789,52.968040625L96.8213,50.782340625L96.2853,49.938140625L92.8429,52.123840625L93.3789,52.968040625ZM81.3394,60.612640625L84.7858,58.424340625L84.2498,57.580140625L80.8034,59.768440625L81.3394,60.612640625ZM69.2496,68.289040625L72.696,66.100740625L72.1599,65.256540625L68.7136,67.444840625L69.2496,68.289040625ZM57.2141,75.93104062500001L60.6565,73.745340625L60.1204,72.901140625L56.678,75.08684062500001L57.2141,75.93104062500001ZM45.1544,83.588340625L48.6022,81.399140625L48.0662,80.554940625L44.6183,82.744140625L45.1544,83.588340625ZM33.1282,91.224440625L36.5758,89.035440625L36.039699999999996,88.191240625L32.5922,90.380240625L33.1282,91.224440625ZM21.09,98.868140625L24.5244,96.687440625L23.988300000000002,95.843240625L20.554000000000002,98.023940625L21.09,98.868140625ZM10.768013,105.422140625L12.4717,104.340340625L11.93568,103.496140625L10.231987,104.577940625L10.768013,105.422140625Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_d)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M8.820414,91.966636L10.34159,92.55207L10.34159,92.55206L10.98603,92.80008L11.3452,91.866806L9.181983,91.034287L9.179587,91.033365L9.179586,91.033364L8.820413,91.966635L8.820414,91.966636ZM20.323900000000002,96.39377L23.4292,97.58885L24.061999999999998,97.83239L24.4212,96.89912L23.7884,96.65558L20.6831,95.4605L20.0411,95.21345L19.682000000000002,96.14673L20.323900000000002,96.39377ZM33.4058,101.42837L36.4934,102.6167L37.132000000000005,102.8624L37.4912,101.9291L36.852599999999995,101.6834L33.765,100.49510000000001L33.1088,100.24259L32.749700000000004,101.17586L33.4058,101.42837ZM46.4661,106.4546L49.554,107.643L50.1984,107.89099999999999L50.5576,106.9578L49.9131,106.7097L46.8253,105.5214L46.1836,105.2744L45.8244,106.2077L46.4661,106.4546ZM59.532,111.48310000000001L62.6015,112.6644L63.2499,112.9139L63.609,111.9806L62.9606,111.7311L59.8912,110.5498L59.2523,110.304L58.8932,111.2372L59.532,111.48310000000001ZM72.601,116.5127L75.6824,117.6986L76.3286,117.9473L76.6878,117.014L76.0416,116.7653L72.9602,115.57939999999999L72.3086,115.3287L71.9495,116.262L72.601,116.5127ZM87.9809,122.4317L88.7593,122.7313L89.407,122.9805L89.7662,122.0473L89.1185,121.798L88.3401,121.4984L88.3349,121.4964L85.3811,120.3597L85.022,121.2929L87.9757,122.4297L87.9809,122.4317ZM98.7486,126.5757L101.8293,127.7613L102.4728,128.00889999999998L102.8319,127.07560000000001L102.1885,126.828L99.1077,125.64240000000001L98.46,125.3931L98.1008,126.3264L98.7486,126.5757ZM111.823,131.6072L114.912,132.7961L115.554,133.0434L115.914,132.1101L115.271,131.8629L112.182,130.674L111.53,130.4229L111.17,131.3562L111.823,131.6072ZM124.877,136.63139999999999L127.963,137.81889999999999L128.613,138.06900000000002L128.97199999999998,137.13569999999999L128.322,136.88569999999999L125.237,135.6981L124.585,135.44740000000002L124.226,136.3807L124.877,136.63139999999999ZM137.948,141.6617L141.036,142.8499L141.679,143.0976L142.039,142.1644L141.395,141.91660000000002L138.307,140.7285L137.657,140.478L137.298,141.41129999999998L137.948,141.6617ZM151.017,146.6912L154.103,147.8788L154.734,148.12189999999998L155.094,147.1886L154.462,146.9456L151.376,145.758L150.717,145.5045L150.358,146.4378L151.017,146.6912ZM167.333,152.4346L167.512,151.96800000000002L164.446,150.7879L163.792,150.5361L163.433,151.4694L164.087,151.7212L167.153,152.9013L167.333,152.4346Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_e)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M30.820414,73.966636L32.34159,74.55207L32.34159,74.55206L32.98603,74.80008L33.3452,73.866806L31.181983,73.034287L31.179587,73.033365L31.179586,73.033364L30.820413,73.966635L30.820414,73.966636ZM42.3239,78.39377L45.4292,79.58885L46.062,79.83239L46.4212,78.89912L45.788399999999996,78.65558L42.683099999999996,77.4605L42.0411,77.21345L41.682,78.14673L42.3239,78.39377ZM55.4058,83.42837L58.4934,84.6167L59.132000000000005,84.8624L59.4912,83.9291L58.852599999999995,83.6834L55.765,82.49510000000001L55.1088,82.24259L54.749700000000004,83.17586L55.4058,83.42837ZM68.4661,88.4546L71.554,89.643L72.19839999999999,89.89099999999999L72.55760000000001,88.9578L71.9131,88.7097L68.8253,87.5214L68.1836,87.2744L67.8244,88.2077L68.4661,88.4546ZM81.532,93.48310000000001L84.6015,94.6644L85.2499,94.9139L85.60900000000001,93.9806L84.9606,93.7311L81.8912,92.5498L81.25229999999999,92.304L80.89320000000001,93.2372L81.532,93.48310000000001ZM94.601,98.5127L97.6824,99.6986L98.3286,99.9473L98.6878,99.014L98.0416,98.7653L94.9602,97.57939999999999L94.3086,97.3287L93.9495,98.262L94.601,98.5127ZM109.9809,104.4317L110.7593,104.7313L111.407,104.9805L111.7662,104.0473L111.1185,103.798L110.3401,103.4984L110.3349,103.4964L107.3811,102.3597L107.022,103.2929L109.9757,104.4297L109.9809,104.4317ZM120.7486,108.5757L123.8293,109.7613L124.4728,110.0089L124.8319,109.07560000000001L124.1885,108.828L121.1077,107.64240000000001L120.46,107.3931L120.1008,108.3264L120.7486,108.5757ZM133.82299999999998,113.6072L136.912,114.7961L137.554,115.04339999999999L137.914,114.1101L137.27100000000002,113.8629L134.18200000000002,112.674L133.53,112.4229L133.17000000000002,113.3562L133.82299999999998,113.6072ZM146.877,118.6314L149.963,119.8189L150.613,120.069L150.97199999999998,119.1357L150.322,118.8857L147.237,117.6981L146.58499999999998,117.4474L146.226,118.38069999999999L146.877,118.6314ZM159.948,123.6617L163.036,124.84989999999999L163.679,125.0976L164.039,124.1644L163.395,123.9166L160.307,122.7285L159.657,122.47800000000001L159.298,123.4113L159.948,123.6617ZM173.017,128.6912L176.103,129.8788L176.734,130.12189999999998L177.094,129.1886L176.462,128.9456L173.376,127.75800000000001L172.717,127.50450000000001L172.358,128.4378L173.017,128.6912ZM189.333,134.4346L189.512,133.96800000000002L186.446,132.7879L185.792,132.5361L185.433,133.4694L186.087,133.7212L189.153,134.9013L189.333,134.4346Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_f)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M54.820414,53.966636L56.34159,54.55207L56.34159,54.55206L56.98603,54.80008L57.3452,53.866806L55.181983,53.034287L55.179587,53.033365L55.179586,53.033364L54.820413,53.966635L54.820414,53.966636ZM66.3239,58.39377L69.4292,59.58885L70.062,59.832390000000004L70.4212,58.899119999999996L69.7884,58.65558L66.6831,57.4605L66.0411,57.21345L65.682,58.14673L66.3239,58.39377ZM79.4058,63.42837L82.49340000000001,64.6167L83.132,64.8624L83.49119999999999,63.9291L82.8526,63.6834L79.765,62.4951L79.1088,62.24259L78.7497,63.17586L79.4058,63.42837ZM92.4661,68.4546L95.554,69.643L96.19839999999999,69.89099999999999L96.55760000000001,68.9578L95.9131,68.7097L92.8253,67.5214L92.1836,67.2744L91.8244,68.2077L92.4661,68.4546ZM105.532,73.48310000000001L108.6015,74.6644L109.2499,74.9139L109.60900000000001,73.9806L108.9606,73.7311L105.8912,72.5498L105.25229999999999,72.304L104.89320000000001,73.2372L105.532,73.48310000000001ZM118.601,78.5127L121.6824,79.6986L122.3286,79.9473L122.6878,79.014L122.0416,78.7653L118.9602,77.57939999999999L118.3086,77.3287L117.9495,78.262L118.601,78.5127ZM133.98090000000002,84.4317L134.7593,84.7313L135.40699999999998,84.9805L135.7662,84.0473L135.11849999999998,83.798L134.3401,83.4984L134.3349,83.4964L131.3811,82.3597L131.022,83.2929L133.97570000000002,84.4297L133.98090000000002,84.4317ZM144.7486,88.5757L147.8293,89.7613L148.4728,90.0089L148.83190000000002,89.07560000000001L148.1885,88.828L145.1077,87.64240000000001L144.45999999999998,87.3931L144.1008,88.3264L144.7486,88.5757ZM157.82299999999998,93.6072L160.912,94.7961L161.554,95.04339999999999L161.914,94.1101L161.27100000000002,93.8629L158.18200000000002,92.674L157.53,92.4229L157.17000000000002,93.3562L157.82299999999998,93.6072ZM170.877,98.6314L173.963,99.8189L174.613,100.069L174.97199999999998,99.1357L174.322,98.8857L171.237,97.6981L170.58499999999998,97.4474L170.226,98.38069999999999L170.877,98.6314ZM183.948,103.6617L187.036,104.84989999999999L187.679,105.0976L188.039,104.1644L187.395,103.9166L184.307,102.7285L183.657,102.47800000000001L183.298,103.4113L183.948,103.6617ZM197.017,108.69120000000001L200.103,109.8788L200.734,110.1219L201.094,109.18860000000001L200.462,108.9456L197.376,107.75800000000001L196.717,107.50450000000001L196.358,108.43780000000001L197.017,108.69120000000001ZM213.333,114.4346L213.512,113.968L210.446,112.78790000000001L209.792,112.5361L209.433,113.46940000000001L210.087,113.72120000000001L213.153,114.90129999999999L213.333,114.4346Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_g)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M74.820414,35.966636L76.34159,36.55207L76.34159,36.55206L76.98603,36.80008L77.3452,35.866806L75.181983,35.034287L75.179587,35.033365L75.179586,35.033364L74.820413,35.966635L74.820414,35.966636ZM86.3239,40.39377L89.4292,41.58885L90.062,41.832390000000004L90.4212,40.899119999999996L89.7884,40.65558L86.6831,39.4605L86.0411,39.21345L85.682,40.14673L86.3239,40.39377ZM99.4058,45.42837L102.49340000000001,46.6167L103.132,46.8624L103.49119999999999,45.9291L102.8526,45.6834L99.765,44.4951L99.1088,44.24259L98.7497,45.17586L99.4058,45.42837ZM112.4661,50.4546L115.554,51.643L116.19839999999999,51.891L116.55760000000001,50.9578L115.9131,50.7097L112.8253,49.5214L112.1836,49.2744L111.8244,50.2077L112.4661,50.4546ZM125.532,55.4831L128.6015,56.6644L129.2499,56.9139L129.609,55.980599999999995L128.9606,55.7311L125.8912,54.549800000000005L125.25229999999999,54.304L124.89320000000001,55.2372L125.532,55.4831ZM138.601,60.512699999999995L141.6824,61.6986L142.3286,61.9473L142.68779999999998,61.013999999999996L142.04160000000002,60.765299999999996L138.9602,59.5794L138.3086,59.3287L137.9495,60.262L138.601,60.512699999999995ZM153.98090000000002,66.4317L154.7593,66.7313L155.40699999999998,66.9805L155.7662,66.0473L155.11849999999998,65.798L154.3401,65.4984L154.3349,65.4964L151.3811,64.3597L151.022,65.2929L153.97570000000002,66.4297L153.98090000000002,66.4317ZM164.7486,70.5757L167.8293,71.7613L168.4728,72.0089L168.83190000000002,71.07560000000001L168.1885,70.828L165.1077,69.64240000000001L164.45999999999998,69.3931L164.1008,70.3264L164.7486,70.5757ZM177.82299999999998,75.6072L180.912,76.7961L181.554,77.04339999999999L181.914,76.1101L181.27100000000002,75.8629L178.18200000000002,74.674L177.53,74.4229L177.17000000000002,75.3562L177.82299999999998,75.6072ZM190.877,80.6314L193.963,81.8189L194.613,82.069L194.97199999999998,81.1357L194.322,80.8857L191.237,79.6981L190.58499999999998,79.4474L190.226,80.38069999999999L190.877,80.6314ZM203.948,85.6617L207.036,86.84989999999999L207.679,87.0976L208.039,86.1644L207.395,85.9166L204.307,84.7285L203.657,84.47800000000001L203.298,85.4113L203.948,85.6617ZM217.017,90.69120000000001L220.103,91.8788L220.734,92.1219L221.094,91.18860000000001L220.462,90.9456L217.376,89.75800000000001L216.717,89.50450000000001L216.358,90.43780000000001L217.017,90.69120000000001ZM233.333,96.4346L233.512,95.968L230.446,94.78790000000001L229.792,94.5361L229.433,95.46940000000001L230.087,95.72120000000001L233.153,96.90129999999999L233.333,96.4346Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_h)`,
    "fill-opacity": "1"
  }, null)])]), createVNode("g", null, [createVNode("g", {
    "style": "opacity:0.4243277609348297;",
    "filter": `url(#IDUX_EMPTY_DEFAULT_${key}_i)`
  }, [createVNode("path", {
    "d": "M196.6667875,92.60861640625001C196.6667875,92.60861640625001,156.33338750000001,117.39121640625001,156.33338750000001,117.39121640625001C156.33338750000001,117.39121640625001,124.3671875,106.46781640625,124.3671875,106.46781640625C124.3671875,106.46781640625,156.1897875,78.23681640624999,156.1897875,78.23681640624999C156.1897875,78.23681640624999,196.6667875,92.60861640625001,196.6667875,92.60861640625001Z",
    "fill-rule": "evenodd",
    "fill": `url(#IDUX_EMPTY_DEFAULT_${key}_j)`,
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M86.4509175,52.205278125C86.4509175,52.205278125,86.4509175,61.724178125,86.4509175,61.724178125C86.4509175,61.724178125,83.0527575,63.344978125,80.3919875,64.61407812499999C79.4853275,65.046578125,78.6303075,63.969678125,79.1696775,63.122278125C81.8570775,58.899878125,86.4509175,51.682178125,86.4509175,51.682178125C86.4509175,51.682178125,118.1326375,38.51757812500126,118.1326375,38.51757812500126C118.1326375,38.51757812500126,86.4509175,52.205278125,86.4509175,52.205278125Z",
    "fill-rule": "evenodd",
    "fill": "#1F2329",
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M124.727571875,106.42142890625C124.727571875,106.42142890625,124.727571875,64.44702890625,124.727571875,64.44702890625C124.727571875,64.44702890625,86.451171875,51.682128906250256,86.451171875,51.682128906250256C86.451171875,51.682128906250256,86.451171875,86.00252890625,86.451171875,91.27932890625C86.451171875,91.69522890625001,86.705945875,92.05302890625,87.095006875,92.20002890625C92.109961875,94.09522890625,124.727571875,106.42142890625,124.727571875,106.42142890625Z",
    "fill-rule": "evenodd",
    "fill": "#171A1F",
    "fill-opacity": "1"
  }, null)]), createVNode("g", {
    "style": "opacity:0.6496638655662537;"
  }, [createVNode("path", {
    "d": "M116.7441875,74.05626579223633C116.7441875,74.05120579223633,116.7441875,74.04615579223633,116.7441875,74.04111579223633C116.7441875,73.59473579223632,116.4382875,73.20036579223633,116.0096875,73.07542579223633C112.6327875,72.09078579223633,98.5745775,67.99178579223633,94.1835575,66.71147579223633C93.5408435,66.52407679223633,92.8671875,66.98366279223633,92.8671875,67.65314579223633C92.8671875,67.65820579223633,92.8671875,67.66325579223633,92.8671875,67.66829579223632C92.8671875,68.11467579223633,93.1731065,68.50904579223632,93.6016375,68.63398579223633C96.9786175,69.61862579223633,111.0367875,73.71762579223633,115.4277875,74.99793579223633C116.0704875,75.18533579223633,116.7441875,74.72574579223632,116.7441875,74.05626579223633",
    "fill-rule": "evenodd",
    "fill": "#525966",
    "fill-opacity": "1"
  }, null)]), createVNode("g", {
    "style": "opacity:0.6496638655662537;"
  }, [createVNode("path", {
    "d": "M109.4162875,80.74479828125C109.4162875,80.73973828125,109.4162875,80.73468828125,109.4162875,80.72963828125C109.4162875,80.28140828125,109.1085875,79.88961828125,108.6777875,79.76573828125C106.1004875,79.02458828125,97.4818175,76.54621828125,94.1746175,75.59520228125C93.5320085,75.41041428125,92.8671875,75.87607828125,92.8671875,76.54472828125C92.8671875,76.54978828125,92.8671875,76.55483828125,92.8671875,76.55987828125C92.8671875,77.00811828125,93.1748875,77.39990828125,93.6056655,77.52377828125C96.1830475,78.26492828125,104.8016875,80.74330828125,108.1088875,81.69431828125C108.7514875,81.87910828125,109.4162875,81.41344828125,109.4162875,80.74479828125",
    "fill-rule": "evenodd",
    "fill": "#525966",
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("g", null, [createVNode("path", {
    "d": "M156.1887625,87.1952859375C156.1887625,82.41448593749999,156.1887625,49.72558593750259,156.1887625,49.72558593750259C156.1887625,49.72558593750259,124.7265625,64.5866859375,124.7265625,64.5866859375C124.7265625,64.5866859375,124.7265625,106.42138593749999,124.7265625,106.42138593749999C124.7265625,106.42138593749999,151.7556625,90.40308593750001,155.7086625,88.0603859375C156.0124625,87.8803859375,156.1887625,87.5484859375,156.1887625,87.1952859375",
    "fill-rule": "evenodd",
    "fill": "#1F2329",
    "fill-opacity": "1"
  }, null)]), createVNode("g", {
    "mask": `url(#IDUX_EMPTY_DEFAULT_${key}_k)`
  }, [createVNode("g", {
    "style": "opacity:0.40481922030448914;",
    "filter": `url(#IDUX_EMPTY_DEFAULT_${key}_l)`
  }, [createVNode("path", {
    "d": "M156.4923625,47.633300781248096C156.4923625,47.633300781248096,162.9505625,69.01460078125,162.9505625,69.01460078125C162.9505625,69.01460078125,131.2391525,86.01860078125,131.2391525,86.01860078125C131.2391525,86.01860078125,123.8515625,70.97120078125,123.8515625,70.97120078125C123.8515625,70.97120078125,124.7270085,59.05480078125,124.7270085,59.05480078125C124.7270085,59.05480078125,156.4923625,47.633300781248096,156.4923625,47.633300781248096Z",
    "fill-rule": "evenodd",
    "fill": "#808999",
    "fill-opacity": "1"
  }, null)])])]), createVNode("g", null, [createVNode("g", null, [createVNode("path", {
    "d": "M156.18977187500002,49.725678125C156.18977187500002,49.725678125,124.727571875,64.447178125,124.727571875,64.447178125C124.727571875,64.447178125,86.451171875,51.682178125,86.451171875,51.682178125C86.451171875,51.682178125,118.132871875,38.517578125007184,118.132871875,38.517578125007184C118.132871875,38.517578125007184,156.18977187500002,49.725678125,156.18977187500002,49.725678125Z",
    "fill-rule": "evenodd",
    "fill": "#1F2329",
    "fill-opacity": "1"
  }, null)]), createVNode("g", {
    "mask": `url(#IDUX_EMPTY_DEFAULT_${key}_m)`
  }, [createVNode("g", null, [createVNode("path", {
    "d": "M168.789765625,95.129175C168.789765625,95.129175,168.789765625,33.932745,168.789765625,33.932745C168.789765625,33.932745,118.134765625,30.6718749999996,118.134765625,30.6718749999996C118.134765625,30.6718749999996,118.134765625,93.82487499999999,118.134765625,93.82487499999999C118.134765625,93.82487499999999,168.789765625,95.129175,168.789765625,95.129175Z",
    "fill-rule": "evenodd",
    "fill": "#171A1F",
    "fill-opacity": "1"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M118.132871875,38.517578125L154.741671875,49.299178125L156.18977187500002,49.725678125L154.82247187500002,50.365478124999996L124.727571875,64.447178125L87.896921875,52.164378125L86.451171875,51.682178125L87.858531875,51.097478125L118.132871875,38.517578125ZM118.189871875,39.576818125L153.374371875,49.938978125L124.665271875,63.372278125L89.304281875,51.579578125L118.189871875,39.576818125Z",
    "fill-rule": "evenodd",
    "fill": "#1F2329",
    "fill-opacity": "1"
  }, null)])])]), createVNode("g", null, [createVNode("path", {
    "d": "M165.07248125,66.1327859375C160.00578124999998,68.4440859375,137.91488125,78.5216859375,133.25223125,80.6486859375C132.76730125,80.8698859375,132.18457125,80.6544859375,131.93957125,80.1811859375C130.29573125,77.0051859375,124.67578125,66.1471859375,124.67578125,66.1471859375C124.67578125,66.1471859375,124.72642695,64.4470859375,124.72642695,64.4470859375C124.72642695,64.4470859375,156.18858125,49.72558593750181,156.18858125,49.72558593750181C156.18858125,49.72558593750181,163.35668125,61.237885937499996,165.50708125,64.6915859375C165.82598124999998,65.2036859375,165.62138125,65.8823859375,165.07248125,66.1327859375",
    "fill-rule": "evenodd",
    "fill": "#1F2329",
    "fill-opacity": "1"
  }, null)]), createVNode("g", {
    "filter": `url(#IDUX_EMPTY_DEFAULT_${key}_n)`
  }, [createVNode("path", {
    "d": "",
    "fill": "#000000",
    "fill-opacity": "0.00009999999747378752"
  }, null)]), createVNode("g", null, [createVNode("path", {
    "d": "M166.739040625,23.454578125Q166.956140625,22.879333125,167.12464062499998,22.317406125L166.166740625,22.030250125Q166.00824062499998,22.558856125,165.803440625,23.101404125L166.739040625,23.454578125ZM164.529140625,27.760318125Q165.20354062500002,26.716288125,165.745040625,25.670538125L164.857140625,25.210678125Q164.337540625,26.213958125,163.689140625,27.217738125L164.529140625,27.760318125ZM142.601840625,25.464938125Q141.431840625,25.262308125,140.109940625,25.387458125000002L140.204140625,26.383008125Q141.392940625,26.270458125,142.431140625,26.450268125L142.601840625,25.464938125ZM137.692040625,25.869948125Q136.520640625,26.222778124999998,135.412340625,26.779898125L135.861440625,27.673358125Q136.892140625,27.155248125,137.980440625,26.827468125L137.692040625,25.869948125ZM146.82074062499998,28.146598125Q146.103540625,27.029918125000002,144.987840625,26.342208125L144.463140625,27.193478125Q145.385140625,27.761788125,145.979340625,28.687008125L146.82074062499998,28.146598125ZM133.323640625,28.074918125Q132.270940625,28.873148125,131.527740625,29.784468125L132.302740625,30.416458125Q132.970340625,29.597768125,133.927840625,28.871748125L133.323640625,28.074918125ZM161.592540625,31.576388125Q162.407240625,30.673088125,163.136040625,29.728288125L162.344240625,29.117528125Q161.638940625,30.031868125,160.849940625,30.906598125000002L161.592540625,31.576388125ZM148.014140625,32.898328125Q148.014140625,31.587888125,147.766740625,30.483508125L146.790940625,30.702098125Q147.014140625,31.698528125,147.014140625,32.898328125L147.013940625,32.956228125L148.013940625,32.958628125000004L148.014140625,32.898328125ZM130.285240625,32.003768125Q129.863240625,33.339328125,130.204740625,34.616328125L131.170840625,34.358028125000004Q130.904640625,33.362628125,131.238840625,32.305128124999996L130.285240625,32.003768125ZM158.115040625,34.900428125Q159.042340625,34.136828125,159.915140625,33.302528125L159.224240625,32.579628125Q158.37804062499998,33.388428125000004,157.479340625,34.128428125L158.115040625,34.900428125ZM147.017840625,37.762128125000004Q147.511240625,36.619128125,147.760540625,35.413328125L146.781240625,35.210928125Q146.552640625,36.316628125,146.099740625,37.365728125000004L147.017840625,37.762128125000004ZM154.175040625,37.665128125Q155.202340625,37.060528125,156.199740625,36.359528125L155.62474062500002,35.541428124999996Q154.660340625,36.219128125,153.667840625,36.803328125L154.175040625,37.665128125ZM131.481440625,36.850428125Q132.248640625,37.688828125,133.41324062500001,38.420628125L133.945340625,37.573928125Q132.895140625,36.914028125,132.219040625,36.175328125L131.481440625,36.850428125ZM149.820540625,39.733128125Q150.937940625,39.326228125,152.046540625,38.797728125L151.616140625,37.895128125Q150.550840625,38.402928125,149.478340625,38.793528125L149.820540625,39.733128125ZM135.596940625,39.560528125000005Q136.722140625,40.052528124999995,137.888740625,40.382328125L138.160740625,39.420028125Q137.060040625,39.108828125,135.997640625,38.644328125L135.596940625,39.560528125000005ZM145.122440625,40.880328125Q144.739840625,41.358428125,144.307140625,41.822128125L143.576040625,41.139828125Q144.386040625,40.271928125,145.005740625,39.354228125L145.66754062500002,39.801028125Q146.463340625,39.670828125,147.26514062500002,39.471628124999995L147.506240625,40.442128124999996Q146.309440625,40.739428125,145.123740625,40.890528125L145.122440625,40.880328125ZM140.272540625,40.880028124999995Q141.471440625,41.044428124999996,142.699540625,41.045328125L142.700340625,40.045328125Q141.540040625,40.044528125,140.408440625,39.889328125L140.272540625,40.880028124999995ZM140.603740625,44.928528125Q141.641840625,44.229628125000005,142.537140625,43.485528125L141.897940625,42.716528124999996Q141.041540625,43.428228125000004,140.045240625,44.099028125000004L140.603740625,44.928528125ZM136.412640625,47.292128125000005Q137.531140625,46.759928125,138.546640625,46.190628125L138.057740625,45.318328125Q137.071340625,45.871228125,135.982940625,46.389128125L136.412640625,47.292128125000005ZM131.974540625,49.114228125Q133.13324062499998,48.703928125000004,134.217140625,48.260528125L133.838540625,47.335028125Q132.776740625,47.769228125,131.640740625,48.171628125L131.974540625,49.114228125ZM127.399390625,50.526228125Q128.573440625,50.212428125,129.699040625,49.866028125L129.404940625,48.910228125Q128.297160625,49.251228125,127.141210625,49.560128125L127.399390625,50.526228125ZM122.778790625,51.592928125Q123.942880625,51.365228125,125.103840625,51.097328125000004L124.878960625,50.122928125Q123.734380625,50.387028125,122.586830625,50.611528125L122.778790625,51.592928125ZM119.240738625,52.178828124999995Q119.673263625,52.127328125,120.425540625,52.009328124999996L120.270530625,51.021428125Q119.536525625,51.136528125,119.122542625,51.185828125L119.240738625,52.178828124999995Z",
    "fill-rule": "evenodd",
    "fill": "#1F2329",
    "fill-opacity": "1"
  }, null)])])])]);
};
const emptyProps = {
  description: String,
  icon: [String, Object],
  image: [String, Object],
  simple: Boolean
};
function getDefaultThemeTokens$Q(tokens2) {
  const { colorTextPlaceholder, colorTextInfo, fontSizeLg } = tokens2;
  return {
    color: colorTextPlaceholder,
    descColor: colorTextInfo,
    descFontSize: fontSizeLg
  };
}
const getThemeTokens$Q = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$Q(tokens2) : getDefaultThemeTokens$Q(tokens2);
};
var Empty$1 = /* @__PURE__ */ defineComponent({
  name: "IxEmpty",
  props: emptyProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      presetTheme,
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("empty");
    registerToken(getThemeTokens$Q);
    const locale2 = useGlobalConfig("locale");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-empty`);
    const config = useGlobalConfig("empty");
    const mergedDescription = computed(() => {
      var _a;
      return (_a = props.description) != null ? _a : locale2.empty.description;
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-simple`]: props.simple
      });
    });
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const descriptionNode = slots.description ? slots.description() : mergedDescription.value;
      return createVNode("div", {
        "class": classes.value
      }, [createVNode("div", {
        "class": `${prefixCls}-image`
      }, [renderImage(props, slots, config, presetTheme.value)]), descriptionNode && createVNode("div", {
        "class": `${prefixCls}-description`
      }, [descriptionNode]), slots.default && createVNode("div", {
        "class": `${prefixCls}-content`
      }, [slots.default()])]);
    };
  }
});
function renderImage(props, slots, config, presetTheme) {
  var _a, _b;
  if (slots.image) {
    return slots.image(props);
  }
  const image = (_a = props.image) != null ? _a : config.image;
  if (image) {
    if (isString(image)) {
      return createVNode("img", {
        "src": image,
        "alt": "empty image"
      }, null);
    }
    return image;
  }
  const icon = (_b = props.icon) != null ? _b : config.icon;
  if (icon) {
    return isString(icon) ? createVNode(IxIcon, {
      "name": icon
    }, null) : icon;
  }
  const SimpleImg = presetTheme === "dark" ? EmptySimpleImageDark : EmptySimpleImage;
  const DefaultImg = presetTheme === "dark" ? EmptyDefaultImageDark : EmptyDefaultImage;
  return props.simple ? createVNode(SimpleImg, null, null) : createVNode(DefaultImg, null, null);
}
const IxEmpty = Empty$1;
const Empty = (props, {
  slots
}) => {
  if (slots.empty) {
    return slots.empty();
  }
  const {
    empty
  } = props;
  const emptyProps2 = isString(empty) ? {
    simple: empty === "simple"
  } : empty;
  return createVNode(IxEmpty, emptyProps2, null);
};
Empty.displayName = "\u0275Empty";
const \u0275Empty = Empty;
const SELECT_PANEL_DATA_TOKEN = Symbol("SELECT_PANEL_DATA_TOKEN");
const selectPanelContext = Symbol("selectPanelContext");
function renderOptionLabel(slots, rawData, label) {
  var _a;
  const labelRender = (_a = rawData.customLabel) != null ? _a : "optionLabel";
  const labelSlot = isString(labelRender) ? slots[labelRender] : labelRender;
  return labelSlot ? labelSlot(rawData) : label;
}
const defaultStyle = {
  height: 0,
  width: 0,
  overflow: "hidden"
};
const ListBox = (_, {
  slots
}) => {
  const {
    selectedKeys,
    activeIndex,
    flattenedOptions
  } = inject(selectPanelContext);
  const currSelectedKeys = selectedKeys.value;
  return createVNode("div", {
    "role": "listbox",
    "style": defaultStyle
  }, [renderOption(slots, flattenedOptions.value[activeIndex.value - 1], currSelectedKeys), renderOption(slots, flattenedOptions.value[activeIndex.value], currSelectedKeys), renderOption(slots, flattenedOptions.value[activeIndex.value + 1], currSelectedKeys)]);
};
const renderOption = (slots, option, selectedValue) => {
  if (!option) {
    return void 0;
  }
  const {
    key,
    label,
    rawData
  } = option;
  const selected = selectedValue === key;
  return createVNode("div", {
    "key": key,
    "role": "option",
    "aria-label": label,
    "aria-selected": selected
  }, [renderOptionLabel(slots, rawData, label)]);
};
const waveProps = {};
var Wave = /* @__PURE__ */ defineComponent({
  name: "\u0275Wave",
  props: waveProps,
  setup(_, {
    expose
  }) {
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-wave`);
    const selfRef = ref();
    const play = () => {
      nextTick(() => {
        if (selfRef.value && selfRef.value.parentElement && selfRef.value.animate) {
          const borderColor = getComputedStyle(selfRef.value.parentElement).borderColor;
          selfRef.value.animate([{
            opacity: 0.6,
            boxShadow: `0 0 1px 0 ${borderColor}`,
            zIndex: 1,
            easing: "cubic-bezier(0, 0, 0.2, 1)"
          }, {
            opacity: 0,
            zIndex: 0,
            boxShadow: `0 0 1px 5px ${borderColor}`
          }], 600);
        }
      });
    };
    expose({
      play
    });
    return () => {
      return createVNode("div", {
        "ref": selfRef,
        "aria-hidden": true,
        "class": mergedPrefixCls.value
      }, null);
    };
  }
});
const \u0275Wave = Wave;
const buttonToken = Symbol("button");
const buttonProps = {
  block: { type: Boolean, default: void 0 },
  danger: { type: Boolean, default: void 0 },
  disabled: { type: Boolean, default: void 0 },
  ghost: { type: Boolean, default: void 0 },
  icon: String,
  loading: { type: Boolean, default: void 0 },
  mode: String,
  size: String,
  shape: String,
  type: { type: String, default: "button" },
  waveless: { type: Boolean, default: void 0 },
  onClick: [Function, Array]
};
const buttonGroupProps = {
  align: { type: String, default: "center" },
  block: { type: Boolean, default: void 0 },
  danger: { type: Boolean, default: void 0 },
  disabled: { type: Boolean, default: void 0 },
  gap: { type: [Number, String], default: 0 },
  ghost: { type: Boolean, default: void 0 },
  mode: String,
  size: String,
  shape: String
};
function getDefaultThemeTokens$P(tokens2) {
  const {
    fontSizeSm,
    fontSizeMd,
    fontSizeLg,
    heightSm,
    heightMd,
    heightLg,
    heightXl,
    paddingSizeSm,
    paddingSizeMd,
    paddingSizeLg,
    paddingSizeXl,
    paddingSize2Xl,
    colorPrimary,
    colorPrimaryHover,
    colorPrimaryActive,
    colorErrorBg,
    colorErrorBgHover,
    colorErrorBgActive,
    colorErrorText,
    colorErrorTextHover,
    colorErrorTextActive,
    colorText,
    colorTextInverse,
    colorTextDisabled,
    colorContainerBg,
    colorContainerBgDisabled,
    colorBorder,
    borderRadiusSm,
    fontSizeIcon
  } = tokens2;
  return {
    fontSizeXs: fontSizeSm,
    fontSizeSm,
    fontSizeMd,
    fontSizeLg,
    fontSizeXl: fontSizeLg,
    minWidthXs: 56,
    minWidthSm: 64,
    minWidthMd: 72,
    minWidthLg: 120,
    minWidthXl: 160,
    heightXs: heightSm,
    heightSm: heightMd,
    heightMd,
    heightLg,
    heightXl,
    paddingSizeHorizontalXs: paddingSizeSm,
    paddingSizeHorizontalSm: paddingSizeMd,
    paddingSizeHorizontalMd: paddingSizeLg,
    paddingSizeHorizontalLg: paddingSizeXl,
    paddingSizeHorizontalXl: paddingSize2Xl,
    color: colorText,
    colorDisabled: colorTextDisabled,
    bgColor: colorContainerBg,
    bgColorDisabled: colorContainerBgDisabled,
    borderColor: colorBorder,
    borderRadius: borderRadiusSm,
    primaryColor: colorTextInverse,
    primaryBgColor: colorPrimary,
    primaryBgColorHover: colorPrimaryHover,
    primaryBgColorActive: colorPrimaryActive,
    dangerColor: colorErrorText,
    dangerColorHover: colorErrorTextHover,
    dangerColorActive: colorErrorTextActive,
    dangerBgColor: colorErrorBg,
    dangerBgColorHover: colorErrorBgHover,
    dangerBgColorActive: colorErrorBgActive,
    ghostColor: colorTextInverse,
    ghostColorHover: colorTextInverse,
    ghostColorActive: getSolidColor(colorTextInverse, 65),
    ghostBorderColorHover: colorTextInverse,
    ghostBorderColorActive: colorTextInverse,
    ghostBorderColor: colorTextInverse,
    ghostBgColorHover: getAlphaColor(colorTextInverse, 0.2),
    ghostBgColorActive: colorTextInverse,
    ghostBgColorDisabled: getAlphaColor(colorTextInverse, 0.4),
    iconColor: "inherit",
    iconFontSize: fontSizeIcon
  };
}
const getThemeTokens$P = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$P(tokens2) : getDefaultThemeTokens$P(tokens2);
};
const aProps = ["href", "target", "rel", "download", "hreflang", "ping"];
var Button = /* @__PURE__ */ defineComponent({
  name: "IxButton",
  props: buttonProps,
  setup(props, {
    slots,
    attrs
  }) {
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("button");
    registerToken(getThemeTokens$P);
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-button`);
    const config = useGlobalConfig("button");
    const groupProps = inject(buttonToken, {});
    const formContext = inject(FORM_TOKEN, null);
    const waveRef = ref();
    const mode = computed(() => {
      var _a, _b;
      return (_b = (_a = props.mode) != null ? _a : groupProps.mode) != null ? _b : "default";
    });
    const size = computed(() => {
      var _a, _b, _c;
      return (_c = (_b = (_a = props.size) != null ? _a : groupProps.size) != null ? _b : formContext == null ? void 0 : formContext.size.value) != null ? _c : config.size;
    });
    const mergedWaveless = computed(() => {
      var _a;
      return mode.value === "text" || mode.value === "link" || ((_a = props.waveless) != null ? _a : config.waveless);
    });
    const mergedDisabled = computed(() => {
      var _a;
      return (_a = props.disabled) != null ? _a : groupProps.disabled;
    });
    const classes = computed(() => {
      const {
        block = groupProps.block,
        danger = groupProps.danger,
        ghost = groupProps.ghost,
        loading,
        icon,
        shape = groupProps.shape
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-block`]: block,
        [`${prefixCls}-danger`]: danger,
        [`${prefixCls}-disabled`]: mergedDisabled.value,
        [`${prefixCls}-ghost`]: ghost,
        [`${prefixCls}-loading`]: loading,
        [`${prefixCls}-icon-only`]: !slots.default && (icon || loading || slots.icon),
        [`${prefixCls}-${mode.value}`]: mode.value,
        [`${prefixCls}-${shape}`]: !!shape,
        [`${prefixCls}-${size.value}`]: true
      });
    });
    const handleClick = (evt) => {
      if (mergedDisabled.value || props.loading) {
        evt.preventDefault();
        evt.stopImmediatePropagation();
        return;
      }
      if (!mergedWaveless.value && waveRef.value) {
        waveRef.value.play();
      }
      callEmit(props.onClick, evt);
    };
    return () => {
      const {
        loading,
        icon,
        type
      } = props;
      const children = [];
      if (loading) {
        children.push(createVNode(IxIcon, {
          "name": "loading"
        }, null));
      } else if (slots.icon) {
        children.push(slots.icon());
      } else if (icon) {
        children.push(createVNode(IxIcon, {
          "name": icon
        }, null));
      }
      if (slots.default) {
        children.push(createVNode("span", null, [slots.default()]));
      }
      if (mode.value === "link" && Object.keys(attrs).some((attr) => aProps.includes(attr))) {
        return createVNode("a", {
          "class": classes.value,
          "onClick": handleClick
        }, [children]);
      }
      return createVNode("button", {
        "class": classes.value,
        "disabled": mergedDisabled.value || loading,
        "type": type,
        "onClick": handleClick
      }, [children, !mergedWaveless.value && createVNode(\u0275Wave, {
        "ref": waveRef
      }, null)]);
    };
  }
});
const spaceProps = {
  align: String,
  block: {
    type: Boolean,
    default: void 0
  },
  justify: String,
  size: [Number, String, Array],
  separator: String,
  vertical: {
    type: Boolean,
    default: void 0
  },
  wrap: {
    type: Boolean,
    default: void 0
  }
};
function getDefaultThemeTokens$O(tokens2) {
  const { colorSeparator } = tokens2;
  return {
    separatorColor: colorSeparator
  };
}
const getThemeTokens$O = (tokens2) => {
  return getDefaultThemeTokens$O(tokens2);
};
const flexGapSupported = supportsFlexGap();
const defaultSizeMap = {
  sm: "8px",
  md: "16px",
  lg: "24px"
};
var Space = /* @__PURE__ */ defineComponent({
  name: "IxSpace",
  props: spaceProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("space");
    registerToken(getThemeTokens$O);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-space`);
    const config = useGlobalConfig("space");
    const wrap = computed(() => {
      var _a;
      return (_a = props.wrap) != null ? _a : config.wrap;
    });
    const mergedGaps = computed(() => {
      const {
        size = config.size
      } = props;
      const sizes = Array.isArray(size) ? size : [size, size];
      return sizes.map((size2) => defaultSizeMap[size2] || convertCssPixel(size2));
    });
    const classes = computed(() => {
      const {
        align,
        justify,
        block,
        vertical
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-align-${align}`]: align,
        [`${prefixCls}-block`]: block,
        [`${prefixCls}-justify-${justify}`]: justify,
        [`${prefixCls}-nowrap`]: !wrap.value,
        [`${prefixCls}-vertical`]: vertical
      });
    });
    const style = computed(() => {
      const [rowGap, columnGap] = mergedGaps.value;
      if (flexGapSupported) {
        return `gap: ${rowGap} ${columnGap}`;
      } else {
        return !props.vertical && wrap.value ? `margin-bottom: -${convertCssPixel(rowGap)}` : void 0;
      }
    });
    return () => {
      var _a;
      const nodes = flattenNode((_a = slots.default) == null ? void 0 : _a.call(slots));
      if (nodes.length === 0) {
        return;
      }
      const prefixCls = mergedPrefixCls.value;
      const children = [];
      const separatorNode = convertStringVNode(slots, props, "separator");
      const lastIndex = nodes.length - 1;
      nodes.forEach((node, index) => {
        const style2 = calcItemStyle(mergedGaps, wrap, props.vertical, index, lastIndex);
        children.push(createVNode("div", {
          "key": `item-${index}`,
          "class": `${prefixCls}-item`,
          "style": style2
        }, [node]));
        if (separatorNode && index < lastIndex) {
          children.push(createVNode("div", {
            "key": `separator-${index}`,
            "class": `${prefixCls}-item-separator`,
            "style": style2
          }, [separatorNode]));
        }
      });
      return createVNode("div", {
        "class": classes.value,
        "style": style.value
      }, [children]);
    };
  }
});
const calcItemStyle = (mergedGaps, wrap, vertical, index, lastIndex) => {
  if (flexGapSupported) {
    return void 0;
  }
  const [rowGap, columnGap] = mergedGaps.value;
  if (vertical) {
    const marginBottom = index < lastIndex ? convertCssPixel(rowGap) : void 0;
    return {
      marginBottom
    };
  } else {
    const marginRight = index < lastIndex ? convertCssPixel(columnGap) : void 0;
    const paddingBottom = wrap.value ? convertCssPixel(rowGap) : void 0;
    return {
      marginRight,
      paddingBottom
    };
  }
};
const IxSpace = Space;
var ButtonGroup = /* @__PURE__ */ defineComponent({
  name: "IxButtonGroup",
  props: buttonGroupProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-button-group`);
    const classes = computed(() => {
      const {
        gap
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-compact`]: !gap || gap === "0"
      });
    });
    provide(buttonToken, props);
    return () => createVNode(IxSpace, {
      "class": classes.value,
      "align": props.align,
      "block": props.block,
      "size": props.gap
    }, {
      default: () => [slots.default && slots.default()]
    });
  }
});
const IxButton = Button;
const IxButtonGroup = ButtonGroup;
const checkboxGroupToken = Symbol("checkboxGroupToken");
const checkboxProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  checked: { type: [String, Number, Boolean], default: void 0 },
  autofocus: { type: Boolean, default: false },
  buttoned: { type: Boolean, default: void 0 },
  disabled: { type: Boolean, default: void 0 },
  indeterminate: { type: Boolean, default: false },
  label: { type: String, default: void 0 },
  trueValue: { type: [String, Number, Boolean], default: true },
  falseValue: { type: [String, Number, Boolean], default: false },
  value: { type: null, default: void 0 },
  size: { type: String, default: void 0 },
  waveless: { type: Boolean, default: false },
  "onUpdate:checked": { type: [Function, Array] },
  onChange: {
    type: [Function, Array]
  },
  onBlur: { type: [Function, Array] },
  onFocus: { type: [Function, Array] }
};
const checkboxGroupProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  value: { type: Array, default: void 0 },
  buttoned: { type: Boolean, default: false },
  dataSource: { type: Array },
  disabled: { type: Boolean, default: false },
  gap: { type: [Number, String], default: void 0 },
  name: { type: String, default: void 0 },
  size: { type: String, default: void 0 },
  "onUpdate:value": { type: [Function, Array] },
  onChange: { type: [Function, Array] }
};
function getDefaultThemeTokens$N(tokens2) {
  const { paddingSizeXs, colorInfoContainerBg, colorBorderSecondary } = tokens2;
  return {
    labelPadding: `0 ${paddingSizeXs}px`,
    fieldsetBgColor: colorInfoContainerBg,
    fieldsetBorderColor: colorBorderSecondary
  };
}
const getThemeTokens$N = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$N(tokens2) : getDefaultThemeTokens$N(tokens2);
};
const buttonSizeMap$1 = {
  sm: "xs",
  md: "sm",
  lg: "md"
};
var Checkbox$1 = /* @__PURE__ */ defineComponent({
  name: "IxCheckbox",
  inheritAttrs: false,
  props: checkboxProps,
  setup(props, {
    attrs,
    expose,
    slots
  }) {
    const key = useKey$1();
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("checkbox");
    const {
      hashId: buttonHashId,
      registerToken: registerButtonToken
    } = useThemeToken("button");
    registerToken(getThemeTokens$N);
    registerButtonToken(getThemeTokens$P);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-checkbox`);
    const config = useGlobalConfig("checkbox");
    const {
      elementRef,
      focus,
      blur
    } = useFormElement();
    const waveRef = ref();
    expose({
      focus,
      blur
    });
    const formContext = inject(FORM_TOKEN, null);
    const checkboxGroup = inject(checkboxGroupToken, null);
    const mergedName = computed(() => {
      var _a;
      return (_a = attrs.name) != null ? _a : checkboxGroup == null ? void 0 : checkboxGroup.props.name;
    });
    const mergedValue = computed(() => {
      const {
        value
      } = props;
      if (!isNil(value)) {
        return value;
      }
      return checkboxGroup ? key : void 0;
    });
    const isButtoned = computed(() => {
      var _a, _b;
      return (_b = (_a = props.buttoned) != null ? _a : checkboxGroup == null ? void 0 : checkboxGroup.props.buttoned) != null ? _b : false;
    });
    const size = computed(() => {
      var _a, _b, _c;
      return (_c = (_b = (_a = props.size) != null ? _a : checkboxGroup == null ? void 0 : checkboxGroup.props.size) != null ? _b : formContext == null ? void 0 : formContext.size.value) != null ? _c : config.size;
    });
    const mergedWaveless = computed(() => {
      var _a;
      return (_a = props.waveless) != null ? _a : config.waveless;
    });
    const {
      isChecked,
      isDisabled,
      isFocused,
      handleChange,
      handleBlur,
      handleFocus
    } = useCheckbox(props, checkboxGroup, mergedValue, waveRef, mergedWaveless);
    const classes = computed(() => {
      const {
        indeterminate
      } = props;
      const buttoned = isButtoned.value;
      const prefixCls = mergedPrefixCls.value;
      const commonPrefixCls = common.prefixCls;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [buttonHashId.value]: !!buttonHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-checked`]: !indeterminate && isChecked.value,
        [`${prefixCls}-disabled`]: isDisabled.value,
        [`${prefixCls}-focused`]: isFocused.value,
        [`${prefixCls}-indeterminate`]: indeterminate,
        [`${prefixCls}-${size.value}`]: buttoned,
        [`${commonPrefixCls}-button`]: buttoned,
        [`${commonPrefixCls}-button-default`]: buttoned,
        [`${commonPrefixCls}-button-disabled`]: buttoned && isDisabled.value,
        [`${commonPrefixCls}-button-${buttonSizeMap$1[size.value]}`]: buttoned
      });
    });
    return () => {
      const {
        autofocus,
        label
      } = props;
      const {
        class: className,
        style,
        type,
        tabindex,
        ...restAttrs
      } = attrs;
      const prefixCls = mergedPrefixCls.value;
      const checked = isChecked.value;
      const labelNode = convertStringVNode(slots.default, label);
      const checkboxNode = createVNode("label", {
        "class": slots.fieldset ? classes.value : normalizeClass([classes.value, className]),
        "style": slots.fieldset ? void 0 : style,
        "role": "checkbox",
        "aria-checked": checked,
        "aria-disabled": isDisabled.value
      }, [createVNode("span", {
        "class": `${prefixCls}-input`
      }, [createVNode("input", mergeProps({
        "ref": elementRef,
        "type": "checkbox",
        "class": `${prefixCls}-input-inner`,
        "aria-hidden": true,
        "autofocus": autofocus,
        "name": mergedName.value,
        "value": mergedValue.value,
        "checked": checked,
        "disabled": isDisabled.value,
        "onChange": handleChange,
        "onBlur": handleBlur,
        "onFocus": handleFocus
      }, restAttrs), null), !isButtoned.value && createVNode("span", {
        "class": `${prefixCls}-input-box`,
        "tabindex": tabindex
      }, [!mergedWaveless.value && createVNode(\u0275Wave, {
        "ref": waveRef
      }, null)])]), isButtoned.value && createVNode("span", {
        "class": `${prefixCls}-input-tick`,
        "tabindex": tabindex
      }, null), isButtoned.value && !mergedWaveless.value && createVNode(\u0275Wave, {
        "ref": waveRef
      }, null), labelNode && createVNode("span", {
        "class": `${prefixCls}-label`
      }, [labelNode])]);
      if (slots.fieldset) {
        return createVNode("div", {
          "class": normalizeClass([`${prefixCls}-wrapper`, className, globalHashId.value, hashId.value, buttonHashId.value]),
          "style": style
        }, [checkboxNode, createVNode("div", {
          "class": normalizeClass([`${prefixCls}-fieldset`, !checked ? `${prefixCls}-fieldset-hidden` : ""])
        }, [slots.fieldset()])]);
      }
      return checkboxNode;
    };
  }
});
const useCheckbox = (props, checkboxGroup, mergedValue, waveRef, mergedWaveless) => {
  let isChecked;
  let isDisabled;
  let handleChange;
  let handleBlur;
  const isFocused = ref(false);
  const handleFocus = (evt) => {
    isFocused.value = true;
    callEmit(props.onFocus, evt);
  };
  if (checkboxGroup) {
    const {
      props: groupProps,
      accessor
    } = checkboxGroup;
    isChecked = computed(() => (accessor.value || []).includes(mergedValue.value));
    isDisabled = computed(() => accessor.disabled || !!props.disabled);
    handleBlur = (evt) => {
      isFocused.value = false;
      accessor.markAsBlurred();
      callEmit(props.onBlur, evt);
    };
    handleChange = (evt) => {
      var _a;
      const checked = evt.target.checked;
      const {
        trueValue,
        falseValue
      } = props;
      const value = mergedValue.value;
      const checkValue = checked ? trueValue : falseValue;
      const oldCheckValue = !checked ? trueValue : falseValue;
      const oldValue = accessor.value || [];
      const newValue = [...oldValue];
      const checkValueIndex = newValue.indexOf(value);
      if (checkValueIndex === -1) {
        newValue.push(value);
      } else {
        newValue.splice(checkValueIndex, 1);
      }
      accessor.setValue(newValue);
      callEmit(props.onChange, checkValue, oldCheckValue);
      callEmit(groupProps.onChange, newValue, oldValue);
      !mergedWaveless.value && ((_a = waveRef.value) == null ? void 0 : _a.play());
    };
  } else {
    const {
      accessor,
      control
    } = useAccessorAndControl({
      valueKey: "checked"
    });
    useFormItemRegister(control);
    isChecked = computed(() => accessor.value === props.trueValue);
    isDisabled = computed(() => accessor.disabled);
    handleBlur = (evt) => {
      isFocused.value = false;
      accessor.markAsBlurred();
      callEmit(props.onBlur, evt);
    };
    handleChange = (evt) => {
      var _a;
      const checked = evt.target.checked;
      const {
        trueValue,
        falseValue
      } = props;
      const newChecked = checked ? trueValue : falseValue;
      const oldChecked = !checked ? trueValue : falseValue;
      accessor.setValue(newChecked);
      callEmit(props.onChange, newChecked, oldChecked);
      !mergedWaveless.value && ((_a = waveRef.value) == null ? void 0 : _a.play());
    };
  }
  return {
    isChecked,
    isDisabled,
    isFocused,
    handleChange,
    handleBlur,
    handleFocus
  };
};
var CheckboxGroup = /* @__PURE__ */ defineComponent({
  name: "IxCheckboxGroup",
  props: checkboxGroupProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId
    } = useThemeToken("checkbox");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-checkbox-group`);
    const {
      accessor,
      control
    } = useAccessorAndControl();
    useFormItemRegister(control);
    provide(checkboxGroupToken, {
      props,
      accessor
    });
    const mergedGap = computed(() => {
      var _a;
      return (_a = props.gap) != null ? _a : props.buttoned ? 0 : 8;
    });
    const classes = computed(() => {
      const {
        buttoned
      } = props;
      const gap = mergedGap.value;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${common.prefixCls}-button-group`]: buttoned,
        [`${common.prefixCls}-button-group-compact`]: buttoned && (!gap || gap === "0")
      });
    });
    return () => {
      const {
        dataSource
      } = props;
      let children;
      if (dataSource) {
        children = dataSource.map((item) => {
          const {
            key,
            value
          } = item;
          return createVNode(Checkbox$1, mergeProps(item, {
            "key": key != null ? key : value,
            "value": value != null ? value : key
          }), null);
        });
      } else {
        children = slots.default ? slots.default() : void 0;
      }
      return createVNode(IxSpace, {
        "class": classes.value,
        "size": mergedGap.value
      }, {
        default: () => [children]
      });
    };
  }
});
const IxCheckbox = Checkbox$1;
const IxCheckboxGroup = CheckboxGroup;
const selectPanelProps = {
  activeValue: { type: [String, Number, Symbol], default: void 0 },
  selectedKeys: { type: Array, default: void 0 },
  childrenKey: { type: String, default: void 0 },
  customAdditional: { type: Function, default: void 0 },
  dataSource: { type: Array, default: void 0 },
  dndSortable: { type: [Boolean, Object], default: false },
  empty: { type: [String, Object], default: "simple" },
  getKey: { type: [String, Function], default: void 0 },
  labelKey: { type: String, default: void 0 },
  multiple: { type: Boolean, default: false },
  multipleLimit: { type: Number, default: Number.MAX_SAFE_INTEGER },
  virtual: { type: Boolean, default: false },
  virtualScrollMode: { type: String, default: void 0 },
  virtualItemHeight: { type: Number, default: 32 },
  "onUpdate:activeValue": [Function, Array],
  onOptionClick: [Function, Array],
  onScroll: [Function, Array],
  onScrolledChange: [Function, Array],
  onScrolledBottom: [Function, Array],
  onDndSortReorder: [Function, Array],
  onDndSortChange: [Function, Array],
  _virtualScrollHeight: { type: [Number, String], default: 256 },
  _onDragStart: Function,
  _onDrop: Function
};
const selectProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  value: { type: [String, Number, Symbol, Array], default: void 0 },
  open: { type: Boolean, default: void 0 },
  allowInput: { type: Boolean, default: false },
  autocomplete: { type: String, default: "off" },
  autofocus: { type: Boolean, default: false },
  borderless: { type: Boolean, default: void 0 },
  childrenKey: { type: String, default: void 0 },
  clearable: { type: Boolean, default: false },
  clearIcon: { type: String, default: void 0 },
  customAdditional: { type: Object, default: void 0 },
  dataSource: { type: Array, default: void 0 },
  dndSortable: { type: [Boolean, Object], default: false },
  disabled: { type: Boolean, default: false },
  empty: { type: [String, Object], default: "simple" },
  getKey: { type: [String, Function], default: void 0 },
  labelKey: { type: String, default: void 0 },
  maxLabel: { type: [Number, String], default: Number.MAX_SAFE_INTEGER },
  multiple: { type: Boolean, default: false },
  multipleLimit: { type: Number, default: Number.MAX_SAFE_INTEGER },
  offset: Array,
  overlayClassName: { type: String, default: void 0 },
  overlayContainer: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  overlayTabindex: { type: Number, default: void 0 },
  overlayMatchWidth: { type: [Boolean, String], default: void 0 },
  overlayRender: { type: Function, default: void 0 },
  placeholder: { type: String, default: void 0 },
  readonly: { type: Boolean, default: false },
  searchable: { type: [Boolean, String], default: false },
  searchFn: { type: [Boolean, Function], default: true },
  searchPlaceholder: { type: String, default: void 0 },
  size: { type: String, default: void 0 },
  status: String,
  suffix: { type: String, default: void 0 },
  spin: { type: [Boolean, Object], default: void 0 },
  virtual: { type: Boolean, default: false },
  virtualScrollMode: { type: String, default: void 0 },
  virtualItemHeight: { type: Number, default: void 0 },
  "onUpdate:value": [Function, Array],
  "onUpdate:open": [Function, Array],
  onChange: [Function, Array],
  onClear: [Function, Array],
  onFocus: [Function, Array],
  onBlur: [Function, Array],
  onSearch: [Function, Array],
  onScroll: [Function, Array],
  onScrolledChange: [Function, Array],
  onScrolledBottom: [Function, Array],
  onDndSortReorder: [Function, Array],
  onDndSortChange: [Function, Array],
  overlayHeight: { type: Number, default: 256 }
};
const optionProps = {
  disabled: { type: Boolean, default: false },
  index: { type: Number, required: true },
  label: { type: [String, Number], default: void 0 },
  optionKey: { type: [String, Number, Symbol], required: true },
  rawData: { type: Object, required: true },
  parentKey: { type: [String, Number, Symbol], default: void 0 }
};
const optionGroupProps = {
  label: { type: [String, Number], default: void 0 },
  index: { type: Number, required: true },
  rawData: { type: Object, required: true }
};
var Option$1 = /* @__PURE__ */ defineComponent({
  props: optionProps,
  setup(props, {
    slots
  }) {
    const {
      props: selectPanelProps2,
      mergedPrefixCls,
      mergedDndSortable,
      selectedKeys,
      selectedLimit,
      selectedLimitTitle,
      activeValue,
      setActiveIndex
    } = inject(selectPanelContext);
    const isActive = computed(() => activeValue.value === props.optionKey);
    const isSelected = computed(() => selectedKeys.value.some((selectedKey) => selectedKey === props.optionKey));
    const isDisabled = computed(() => props.disabled || !isSelected.value && selectedLimit.value);
    const classes = computed(() => {
      const {
        parentKey
      } = props;
      const prefixCls = `${mergedPrefixCls.value}-option`;
      return {
        [prefixCls]: true,
        [`${prefixCls}-active`]: isActive.value,
        [`${prefixCls}-with-drag-handle`]: mergedDndSortable.value && mergedDndSortable.value.dragHandle,
        [`${prefixCls}-disabled`]: isDisabled.value,
        [`${prefixCls}-grouped`]: !isNil(parentKey),
        [`${prefixCls}-selected`]: isSelected.value
      };
    });
    const handleMouseEnter = () => setActiveIndex(props.index);
    const handleClick = (evt) => {
      callEmit(selectPanelProps2.onOptionClick, props.rawData, evt);
    };
    return () => {
      const {
        label,
        rawData
      } = props;
      const {
        multiple
      } = selectPanelProps2;
      const selected = isSelected.value;
      const disabled = isDisabled.value;
      const prefixCls = `${mergedPrefixCls.value}-option`;
      const _label = toString(label);
      const title = disabled && selectedLimitTitle.value || _label;
      const customAdditional = selectPanelProps2.customAdditional ? selectPanelProps2.customAdditional({
        data: rawData,
        index: props.index
      }) : void 0;
      const optionContentNodes = [multiple && createVNode(IxCheckbox, {
        "checked": selected,
        "disabled": disabled
      }, null), createVNode("span", {
        "class": `${prefixCls}-label`
      }, [renderOptionLabel(slots, rawData, _label)])];
      const optionsProps = {
        class: classes.value,
        title,
        onMouseenter: disabled ? void 0 : handleMouseEnter,
        onClick: disabled ? void 0 : handleClick,
        "aria-label": _label,
        "aria-selected": selected,
        ...customAdditional
      };
      return mergedDndSortable.value ? createVNode(CdkDndSortableItem, mergeProps({
        "itemKey": props.optionKey,
        "canDrag": !isDisabled.value
      }, optionsProps), {
        default: () => [mergedDndSortable.value.dragHandle ? createVNode(CdkDndSortableHandle, {
          "class": `${prefixCls}-drag-handle`
        }, {
          default: () => [!isDisabled.value && createVNode(IxIcon, {
            "name": mergedDndSortable.value.dragHandle
          }, null)]
        }) : void 0, optionContentNodes]
      }) : createVNode("div", optionsProps, [optionContentNodes]);
    };
  }
});
var OptionGroup = /* @__PURE__ */ defineComponent({
  props: optionGroupProps,
  setup(props, {
    slots
  }) {
    const {
      props: selectProps2,
      mergedPrefixCls
    } = inject(selectPanelContext);
    return () => {
      var _a;
      const {
        label,
        rawData
      } = props;
      const _label = toString(label);
      const prefixCls = `${mergedPrefixCls.value}-option-group`;
      const labelRender = (_a = rawData.customLabel) != null ? _a : "optionGroupLabel";
      const labelSlot = isString(labelRender) ? slots[labelRender] : labelRender;
      const customAdditional = selectProps2.customAdditional ? selectProps2.customAdditional({
        data: rawData,
        index: props.index
      }) : void 0;
      return createVNode("div", mergeProps({
        "class": prefixCls,
        "title": _label,
        "aria-label": _label
      }, customAdditional), [createVNode("span", {
        "class": `${prefixCls}-label`
      }, [labelSlot ? labelSlot(rawData) : _label])]);
    };
  }
});
function getDefaultThemeTokens$M(tokens2) {
  const {
    fontSizeSm,
    heightMd,
    marginSizeSm,
    marginSizeMd,
    paddingSizeXs,
    paddingSizeSm,
    paddingSizeMd,
    paddingSizeXl
  } = tokens2;
  return {
    optionFontSize: fontSizeSm,
    optionHeight: heightMd,
    optionPadding: `${paddingSizeSm}px ${paddingSizeMd}px`,
    optionLabelMarginLeft: marginSizeSm,
    optionContainerPadding: `${paddingSizeXs}px 0`,
    optionGroupMargin: `0 ${marginSizeMd}px`,
    optionGroupPaddingLeft: 0,
    multipleOptionGroupedPaddingLeft: paddingSizeMd,
    optionGroupedPaddingLeft: paddingSizeXl,
    overlaySearchWrapperPadding: `${paddingSizeXs}px ${paddingSizeMd}px ${paddingSizeSm}px`
  };
}
const getThemeTokens$M = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$M(tokens2) : getDefaultThemeTokens$M(tokens2);
};
function usePanelActiveState(props, flattenedOptions, selectedKeys, scrollTo) {
  const [activeValue, setActiveValue] = useControlledProp(props, "activeValue");
  const keyIndexMap = computed(() => {
    const map = /* @__PURE__ */ new Map();
    flattenedOptions.value.forEach((option, index) => {
      map.set(option.key, index);
    });
    return map;
  });
  const activeIndex = ref(0);
  const setActiveIndex = (index) => {
    var _a, _b;
    activeIndex.value = index;
    const key = (_a = flattenedOptions.value[index]) == null ? void 0 : _a.key;
    key !== activeValue.value && setActiveValue((_b = flattenedOptions.value[index]) == null ? void 0 : _b.key);
  };
  const scrollToActivated = () => {
    scrollTo({ index: activeIndex.value });
  };
  onMounted(() => {
    const options = flattenedOptions.value;
    const currValue = selectedKeys.value.length ? selectedKeys.value : [activeValue.value];
    const currIndex = options.findIndex((option) => currValue.some((value) => option.key === value));
    setActiveIndex(currIndex !== -1 ? getEnabledActiveIndex(options, currIndex, 1) : -1);
    watch(
      [() => props.activeValue, flattenedOptions],
      ([value, options2]) => {
        var _a;
        const targetIndex = isNil(value) ? -1 : (_a = keyIndexMap.value.get(value)) != null ? _a : -1;
        setActiveIndex(targetIndex !== -1 ? getEnabledActiveIndex(options2, targetIndex, 1) : -1);
      },
      {
        flush: "post"
      }
    );
    scrollToActivated();
  });
  const changeActiveIndex = (offset) => {
    const enabledIndex = getEnabledActiveIndex(
      flattenedOptions.value,
      activeIndex.value + offset,
      offset % 2
    );
    if (enabledIndex !== activeIndex.value) {
      setActiveIndex(enabledIndex);
      if (offset !== 0) {
        scrollToActivated();
      }
    }
  };
  return {
    activeValue,
    activeIndex,
    setActiveIndex,
    changeActiveIndex,
    scrollToActivated
  };
}
function getEnabledActiveIndex(options, currIndex, offset) {
  const length = options.length;
  for (let index = 0; index < length; index++) {
    const current = (currIndex + index * offset + length) % length;
    const { type, disabled } = options[current];
    if (type !== "group" && !disabled) {
      return current;
    }
  }
  return -1;
}
function useSelectedState$2(props, locale2) {
  const selectedKeys = computed(() => convertArray(props.selectedKeys));
  const selectedLimit = computed(() => selectedKeys.value.length >= props.multipleLimit);
  const selectedLimitTitle = computed(() => {
    if (!selectedLimit.value) {
      return "";
    }
    return locale2.select.limitMessage.replace("${0}", `${props.multipleLimit}`);
  });
  return {
    selectedKeys,
    selectedLimit,
    selectedLimitTitle
  };
}
var Panel$1 = /* @__PURE__ */ defineComponent({
  name: "IxSelectPanel",
  props: selectPanelProps,
  setup(props, {
    slots,
    expose
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("select");
    registerToken(getThemeTokens$M);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-select`);
    const config = useGlobalConfig("select");
    const locale2 = useGlobalConfig("locale");
    const mergedDndSortable = computed(() => {
      var _a;
      const dndSortable = props.dndSortable;
      if (!dndSortable) {
        return false;
      }
      if (dndSortable === true) {
        return {
          autoScroll: true,
          dragHandle: false
        };
      }
      return {
        autoScroll: (_a = dndSortable.autoScroll) != null ? _a : true,
        dragHandle: dndSortable.dragHandle === true ? "holder" : false
      };
    });
    const {
      flattenedOptions,
      mergedChildrenKey,
      getKey
    } = useSelectPanelDataContext(props, config);
    const selectedStateContext = useSelectedState$2(props, locale2);
    const virtualScrollRef = ref();
    const scrollTo = (options) => {
      var _a;
      return (_a = virtualScrollRef.value) == null ? void 0 : _a.scrollTo(options);
    };
    const activeStateContext = usePanelActiveState(props, flattenedOptions, selectedStateContext.selectedKeys, scrollTo);
    const autoScrollListRef = computed(() => {
      var _a;
      if (!mergedDndSortable.value) {
        return;
      }
      return mergedDndSortable.value.autoScroll ? (_a = virtualScrollRef.value) == null ? void 0 : _a.getHolderElement() : void 0;
    });
    useDndAutoScroll(autoScrollListRef, {
      canScroll: true,
      allowedAxis: "vertical"
    });
    expose({
      scrollTo,
      changeActiveIndex: activeStateContext.changeActiveIndex
    });
    provide(selectPanelContext, {
      props,
      mergedPrefixCls,
      flattenedOptions,
      mergedDndSortable,
      ...selectedStateContext,
      ...activeStateContext
    });
    const panelClasses = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-panel`;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-multiple`]: !!props.multiple
      });
    });
    const handleScrolledChange = (startIndex, endIndex, visibleOptions) => {
      const {
        onScrolledChange
      } = props;
      if (onScrolledChange) {
        callEmit(onScrolledChange, startIndex, endIndex, visibleOptions.map((item) => item.rawData));
      }
    };
    const handleSortReorder = (reorderInfo) => {
      callEmit(props.onDndSortReorder, reorderInfo);
    };
    const handleSortChange = (newData) => {
      const oldData = props.dataSource ? toRaw(props.dataSource) : [];
      const unFlattenedNewData = unFlattenOptions(newData, mergedChildrenKey.value, getKey.value);
      callEmit(props.onDndSortChange, unFlattenedNewData, oldData);
    };
    return () => {
      const {
        _virtualScrollHeight,
        virtualItemHeight: virtualItemHeight2,
        virtualScrollMode,
        virtual,
        onScroll,
        onScrolledBottom
      } = props;
      const options = flattenedOptions.value;
      const children = [createVNode(ListBox, null, slots)];
      if (options.length > 0) {
        const rowRender = ({
          item,
          index
        }) => {
          const {
            type,
            key,
            ...rest
          } = item;
          return type === "group" ? createVNode(OptionGroup, mergeProps({
            "index": index
          }, rest), slots) : createVNode(Option$1, mergeProps({
            "index": index,
            "optionKey": key
          }, rest), slots);
        };
        const list = createVNode(CdkVirtualScroll, {
          "ref": virtualScrollRef,
          "dataSource": options,
          "getKey": "key",
          "height": _virtualScrollHeight,
          "rowHeight": virtualItemHeight2,
          "scrollMode": virtual ? virtualScrollMode : void 0,
          "rowRender": rowRender,
          "virtual": virtual,
          "onScroll": onScroll,
          "onScrolledBottom": onScrolledBottom,
          "onScrolledChange": handleScrolledChange
        }, null);
        children.push(mergedDndSortable.value ? createVNode(CdkDndSortable, {
          "dataSource": options,
          "onSortReorder": handleSortReorder,
          "onSortChange": handleSortChange,
          "onDragStart": props._onDragStart,
          "onDrop": props._onDrop
        }, {
          default: () => [list]
        }) : list);
      } else {
        children.push(createVNode(\u0275Empty, {
          "empty": props.empty
        }, slots));
      }
      return createVNode("div", {
        "class": panelClasses.value
      }, [children]);
    };
  }
});
function useSelectPanelDataContext(props, config) {
  const dataContext = inject(SELECT_PANEL_DATA_TOKEN, null);
  const mergedChildrenKey = computed(() => {
    var _a;
    return (_a = props.childrenKey) != null ? _a : config.childrenKey;
  });
  const mergedLabelKey = computed(() => {
    var _a;
    return (_a = props.labelKey) != null ? _a : config.labelKey;
  });
  const getKey = usePanelGetOptionKey(props, config);
  const mergedFlattenedOptions = dataContext ? dataContext.flattenedOptions : useFlattenedOptions(computed(() => props.dataSource), mergedChildrenKey, getKey, mergedLabelKey);
  return {
    flattenedOptions: mergedFlattenedOptions,
    mergedChildrenKey,
    mergedLabelKey,
    getKey
  };
}
var Select = /* @__PURE__ */ defineComponent({
  name: "IxSelect",
  inheritAttrs: false,
  props: selectProps,
  setup(props, {
    attrs,
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("select");
    registerToken(getThemeTokens$M);
    const config = useGlobalConfig("select");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-select`);
    const triggerRef = ref();
    const focus = () => {
      var _a;
      return (_a = triggerRef.value) == null ? void 0 : _a.focus();
    };
    const blur = () => {
      var _a;
      return (_a = triggerRef.value) == null ? void 0 : _a.blur();
    };
    const panelRef = ref();
    const scrollTo = (...params) => {
      var _a;
      return (_a = panelRef.value) == null ? void 0 : _a.scrollTo(...params);
    };
    const changeActiveIndex = (offset) => {
      var _a;
      return (_a = panelRef.value) == null ? void 0 : _a.changeActiveIndex(offset);
    };
    const [inputValue, _setInputValue] = useState("");
    const setInputValue = (input) => {
      _setInputValue(input);
      props.searchable && callEmit(props.onSearch, input);
    };
    const clearInput = () => {
      var _a;
      props.searchable === "overlay" ? setInputValue("") : (_a = triggerRef.value) == null ? void 0 : _a.clearInput();
    };
    expose({
      focus,
      blur,
      scrollTo
    });
    const [overlayOpened, setOverlayOpened] = useControlledProp(props, "open", false);
    const {
      accessor,
      control
    } = useAccessorAndControl();
    const commonControlProps = useMergedCommonControlProps(props, config);
    useFormItemRegister(control);
    const mergedStatus = useFormStatus(props, control);
    const getKey = useGetOptionKey(props, config);
    const {
      options,
      optionKeyMap
    } = useSelectOptions(props, config, slots, getKey, inputValue);
    provide(SELECT_PANEL_DATA_TOKEN, {
      flattenedOptions: options
    });
    const {
      selectedValue,
      selectedOptions,
      changeSelected,
      handleClear,
      handleRemove
    } = useSelectedState$3(props, accessor, optionKeyMap);
    const {
      activeValue,
      setActiveValue
    } = useActiveState$2(props, inputValue);
    const handleKeyDown = useKeyboardEvents$2(props, inputValue, selectedValue, activeValue, overlayOpened, changeActiveIndex, changeSelected, handleRemove, clearInput, setOverlayOpened);
    watch(overlayOpened, (opened) => {
      if (opened) {
        focus();
      }
    });
    const handleOptionClick = (option) => {
      var _a;
      changeSelected((_a = getKey.value(option)) != null ? _a : option.key);
      (props.allowInput || !props.multiple) && clearInput();
      if (!props.multiple) {
        setOverlayOpened(false);
      }
    };
    const onFocus = (evt) => {
      callEmit(props.onFocus, evt);
    };
    const onBlur = (evt) => {
      if (inputValue.value) {
        if (props.allowInput) {
          changeSelected(inputValue.value);
        }
        clearInput();
      }
      accessor.markAsBlurred();
      callEmit(props.onBlur, evt);
    };
    const handleItemRemove = (value) => {
      focus();
      handleRemove(value);
    };
    const panelProps = usePanelProps$2(props, selectedValue, activeValue, setActiveValue, handleOptionClick);
    const overlayClasses = computed(() => {
      const {
        overlayClassName
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [`${prefixCls}-overlay`]: true,
        [overlayClassName || ""]: !!overlayClassName
      });
    });
    const selectorAllowInput = computed(() => {
      if (props.searchable === "overlay") {
        return false;
      }
      return props.searchable ? "searchable" : props.allowInput;
    });
    const renderTrigger2 = ({
      borderless,
      status,
      clearable,
      clearIcon,
      readonly,
      disabled,
      size,
      suffix,
      suffixRotate,
      focused,
      opened
    }) => [createVNode(IxSelector, {
      "ref": triggerRef,
      "class": mergedPrefixCls.value,
      "allowInput": selectorAllowInput.value,
      "autocomplete": props.autocomplete,
      "autofocus": props.autofocus,
      "borderless": borderless,
      "clearable": clearable,
      "clearIcon": clearIcon,
      "dataSource": selectedOptions.value,
      "disabled": disabled,
      "focused": focused,
      "maxLabel": props.maxLabel,
      "multiple": props.multiple,
      "opened": opened,
      "placeholder": props.placeholder,
      "readonly": readonly,
      "size": size,
      "status": status,
      "suffix": suffix,
      "suffixRotate": suffixRotate,
      "onClear": handleClear,
      "onInputValueChange": setInputValue,
      "onItemRemove": handleItemRemove,
      "onKeydown": handleKeyDown
    }, slots)];
    const renderLoading2 = (children) => {
      const {
        spin
      } = props;
      const spinProps2 = isBoolean(spin) ? {
        spinning: spin
      } : spin;
      return spinProps2 ? createVNode(IxSpin, spinProps2, {
        default: () => [children]
      }) : children;
    };
    const renderContent2 = () => {
      var _a;
      const children = [renderLoading2(createVNode(Panel$1, mergeProps({
        "ref": panelRef
      }, panelProps.value), slots))];
      const {
        searchable,
        overlayRender
      } = props;
      if (searchable === "overlay") {
        const value = inputValue.value;
        const clearIcon = (_a = props.clearIcon) != null ? _a : config.clearIcon;
        const handleSearchInput = (evt) => {
          const {
            value: value2
          } = evt.target;
          setInputValue(value2);
        };
        const handleSearchClear = () => {
          setInputValue("");
        };
        children.unshift(createVNode("div", {
          "class": `${mergedPrefixCls.value}-overlay-search-wrapper`
        }, [createVNode(\u0275Input, {
          "clearable": true,
          "clearIcon": clearIcon,
          "clearVisible": !!value,
          "placeholder": props.searchPlaceholder,
          "size": "sm",
          "suffix": "search",
          "value": value,
          "onClear": handleSearchClear,
          "onInput": handleSearchInput
        }, null)]));
      }
      return [createVNode("div", null, [overlayRender ? overlayRender(children) : children])];
    };
    return () => {
      var _a, _b, _c, _d;
      const {
        suffix,
        borderless,
        clearIcon,
        size
      } = commonControlProps.value;
      const controlTriggerProps2 = {
        autofocus: props.autofocus,
        overlayClassName: overlayClasses.value,
        overlayContainer: (_a = props.overlayContainer) != null ? _a : config.overlayContainer,
        overlayContainerFallback: `.${mergedPrefixCls.value}-overlay-container`,
        overlayTabindex: (_b = props.overlayTabindex) != null ? _b : config.overlayTabindex,
        overlayMatchWidth: (_c = props.overlayMatchWidth) != null ? _c : config.overlayMatchWidth,
        class: mergedPrefixCls.value,
        borderless,
        value: selectedValue.value,
        offset: (_d = props.offset) != null ? _d : config.offset,
        open: overlayOpened.value,
        readonly: props.readonly,
        size,
        status: mergedStatus.value,
        suffix,
        clearable: props.clearable,
        clearIcon,
        disabled: accessor.disabled,
        onFocus,
        onBlur,
        "onUpdate:open": setOverlayOpened
      };
      const controlTriggerSlots = {
        trigger: renderTrigger2,
        overlay: renderContent2
      };
      return createVNode(IxControlTrigger, mergeProps(controlTriggerProps2, attrs), controlTriggerSlots);
    };
  }
});
function useSelectOptions(props, config, slots, getKey, inputValue) {
  const mergedChildrenKey = computed(() => {
    var _a;
    return (_a = props.childrenKey) != null ? _a : config.childrenKey;
  });
  const mergedLabelKey = computed(() => {
    var _a;
    return (_a = props.labelKey) != null ? _a : config.labelKey;
  });
  const convertedOptions = useConvertedOptions(props, slots);
  const flattenedOptions = useFlattenedOptions(convertedOptions, mergedChildrenKey, getKey, mergedLabelKey);
  const filteredOptions = useFilteredOptions(props, flattenedOptions, inputValue, mergedLabelKey);
  const optionKeyMap = useOptionKeyMap(flattenedOptions);
  return {
    options: filteredOptions,
    optionKeyMap
  };
}
function useOverlayState$2(props, config, triggerRef) {
  const overlayRef = ref();
  const [overlayWidth, setOverlayWidth] = useState("");
  const overlayStyle = computed(() => {
    const { overlayMatchWidth = config.overlayMatchWidth } = props;
    return { [overlayMatchWidth ? "width" : "minWidth"]: overlayWidth.value };
  });
  const [overlayOpened, setOverlayOpened] = useControlledProp(props, "open", false);
  const updateOverlay = (rect) => {
    var _a, _b;
    if (rect) {
      const { width } = rect;
      if (width > 0) {
        setOverlayWidth(convertCssPixel(width));
        overlayOpened.value && ((_a = overlayRef.value) == null ? void 0 : _a.updatePopper());
      }
    } else {
      overlayOpened.value && ((_b = overlayRef.value) == null ? void 0 : _b.updatePopper());
    }
  };
  onMounted(() => {
    if (props.autofocus) {
      setOverlayOpened(true);
    }
    watchEffect(() => {
      const overlayInstance = overlayRef.value;
      if (overlayInstance && overlayOpened.value) {
        updateOverlay(triggerRef.value.getBoundingClientRect());
      }
    });
  });
  return { overlayRef, overlayStyle, updateOverlay, overlayOpened, setOverlayOpened };
}
const IxSelect = Select;
const IxSelectPanel = Panel$1;
const IxSelectOption = SelectOption;
const IxSelectOptionGroup = SelectOptionGroup;
var Sizes = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      props,
      config,
      locale: locale2,
      mergedPrefixCls,
      mergedSize,
      activeSize,
      changePageSize
    } = inject(paginationToken);
    const sizeData = computed(() => {
      const {
        pageSizes = config.pageSizes
      } = props;
      return pageSizes.map((size) => {
        return {
          key: size,
          label: size
        };
      });
    });
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-sizes`;
      const {
        itemsPerPage,
        itemsSuffix
      } = locale2.pagination;
      return createVNode("li", {
        "class": prefixCls
      }, [itemsPerPage, createVNode(IxSelect, {
        "disabled": props.disabled,
        "dataSource": sizeData.value,
        "size": mergedSize.value === "lg" ? "md" : "sm",
        "value": activeSize.value,
        "onChange": changePageSize
      }, null), itemsSuffix]);
    };
  }
});
var Total = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      props,
      slots,
      locale: locale2,
      activeIndex,
      activeSize,
      mergedPrefixCls
    } = inject(paginationToken);
    const range = computed(() => {
      const currIndex = activeIndex.value;
      const currSize = activeSize.value;
      const firstIndex = (currIndex - 1) * currSize + 1;
      const lastIndex = Math.min(currIndex * currSize, props.total);
      return [firstIndex, lastIndex];
    });
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-total`;
      const {
        total
      } = props;
      const {
        totalPrefix,
        totalSuffix
      } = locale2.pagination;
      const children = slots.total ? slots.total({
        total,
        range: range.value,
        prefix: totalPrefix,
        suffix: totalSuffix
      }) : `${totalPrefix} ${total} ${totalSuffix}`;
      return createVNode("li", {
        "class": prefixCls
      }, [children]);
    };
  }
});
function getDefaultThemeTokens$L(tokens2, algorithms) {
  const { getColorPalette: getColorPalette2 } = algorithms;
  const { colorPrimary, fontSizeSm, paddingSizeXs, heightSm, heightMd } = tokens2;
  const primaryColorPalette = getColorPalette2(colorPrimary);
  return {
    fontSizeSm,
    fontSizeMd: fontSizeSm,
    fontSizeLg: fontSizeSm,
    itemPaddingSm: 0,
    itemPaddingMd: paddingSizeXs,
    itemPaddingLg: paddingSizeXs,
    itemContentSizeSm: heightSm,
    itemContentSizeMd: heightSm,
    itemContentSizeLg: heightMd,
    outLineColor: primaryColorPalette.l10
  };
}
const getThemeTokens$L = (tokens2, presetTheme, algorithms) => {
  return presetTheme === "default" ? getDefaultThemeTokens$L(tokens2, algorithms) : getDefaultThemeTokens$L(tokens2, algorithms);
};
var Pagination = /* @__PURE__ */ defineComponent({
  name: "IxPagination",
  props: paginationProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("pagination");
    registerToken(getThemeTokens$L);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-pagination`);
    const locale2 = useGlobalConfig("locale");
    const config = useGlobalConfig("pagination");
    const showTotal = computed(() => {
      var _a;
      return (_a = props.showTotal) != null ? _a : config.showTotal;
    });
    const simple = computed(() => {
      var _a;
      return (_a = props.simple) != null ? _a : config.simple;
    });
    const mergedSize = computed(() => {
      var _a;
      return (_a = props.size) != null ? _a : config.size;
    });
    const showQuickJumper = computed(() => {
      var _a;
      return (_a = props.showQuickJumper) != null ? _a : config.showQuickJumper;
    });
    const showSizeChanger = computed(() => {
      var _a;
      return (_a = props.showSizeChanger) != null ? _a : config.showSizeChanger;
    });
    const {
      activeIndex,
      activeSize,
      lastIndex,
      changePageIndex,
      changePageSize
    } = usePages(props, config);
    const items = useItems$1(activeIndex, lastIndex);
    const jumpToIndex = useJumpToIndex(activeIndex, changePageIndex, simple);
    provide(paginationToken, {
      props,
      slots,
      config,
      locale: locale2,
      mergedPrefixCls,
      mergedSize,
      activeIndex,
      activeSize,
      lastIndex,
      changePageIndex,
      changePageSize,
      jumpToIndex
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-disabled`]: props.disabled,
        [`${prefixCls}-simple`]: simple.value,
        [`${prefixCls}-${mergedSize.value}`]: true
      });
    });
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const children = showTotal.value ? [createVNode(Total, null, null)] : [];
      if (simple.value) {
        const _activeIndex = activeIndex.value;
        const _lastIndex = lastIndex.value;
        children.push(createVNode(Item$2, {
          "disabled": _activeIndex === 1,
          "type": "prev"
        }, null));
        children.push(createVNode("li", {
          "class": `${prefixCls}-item`
        }, [showQuickJumper.value ? createVNode(\u0275Input, {
          "disabled": props.disabled,
          "size": mergedSize.value === "lg" ? "md" : "sm",
          "value": _activeIndex.toString(),
          "onKeydown": jumpToIndex
        }, null) : _activeIndex, createVNode("span", {
          "class": `${prefixCls}-item-slash`
        }, [createTextVNode("/")]), createVNode("span", null, [_lastIndex])]));
        children.push(createVNode(Item$2, {
          "disabled": _activeIndex === _lastIndex,
          "type": "next"
        }, null));
        showSizeChanger.value && children.push(createVNode(Sizes, null, null));
      } else {
        items.value.forEach((item) => children.push(createVNode(Item$2, mergeProps({
          "key": item.type + "-" + item.index
        }, item), null)));
        showSizeChanger.value && children.push(createVNode(Sizes, null, null));
        showQuickJumper.value && children.push(createVNode(Jumper, null, null));
      }
      return createVNode("ul", {
        "class": classes.value
      }, [children]);
    };
  }
});
const IxPagination = Pagination;
function useCloseable(props, config) {
  const closeable = computed(() => {
    var _a;
    return (_a = props.closable) != null ? _a : config.closable;
  });
  const [visible, setVisible] = useState(true);
  const handleClose = async () => {
    const result = await callEmit(props.onBeforeClose);
    if (result === false) {
      return;
    }
    setVisible(false);
    callEmit(props.onClose);
  };
  return { closeable, visible, handleClose };
}
const alertProps = {
  banner: { type: Boolean, default: false },
  closable: { type: Boolean, default: void 0 },
  closeIcon: { type: String, default: "close" },
  description: String,
  icon: String,
  title: [String, Array],
  pagination: {
    type: [Boolean, Object],
    default: false
  },
  type: {
    type: String,
    default: "warning"
  },
  onAfterClose: [Function, Array],
  onBeforeClose: [Function, Array],
  onClose: [Function, Array]
};
function getDefaultThemeTokens$K(tokens2, algorithms) {
  const {
    heightMd,
    borderRadiusSm,
    alertCompColorAlpha,
    colorContainerBg,
    colorSuccessText,
    colorSuccessBg,
    colorInfoText,
    colorInfoBg,
    colorErrorText,
    colorErrorBg,
    colorOfflineText,
    colorOffline
  } = tokens2;
  const { getColorPalette: getColorPalette2, getBaseColors: getBaseColors2 } = algorithms;
  const bronzeColorPalette = getColorPalette2(getBaseColors2().bronze);
  return {
    height: heightMd,
    borderRadius: borderRadiusSm,
    successTextColor: colorSuccessText,
    successBgColor: getAlphaColor(colorSuccessBg, alertCompColorAlpha, colorContainerBg),
    infoTextColor: colorInfoText,
    infoBgColor: getAlphaColor(colorInfoBg, alertCompColorAlpha, colorContainerBg),
    warningTextColor: bronzeColorPalette.d10,
    warningBgColor: getAlphaColor(getBaseColors2().gold, alertCompColorAlpha, colorContainerBg),
    errorTextColor: colorErrorText,
    errorBgColor: getAlphaColor(colorErrorBg, alertCompColorAlpha, colorContainerBg),
    offlineTextColor: colorOfflineText,
    offlineBgColor: getAlphaColor(colorOffline, alertCompColorAlpha, colorContainerBg)
  };
}
const getThemeTokens$K = (tokens2, presetTheme, algorithms) => {
  return presetTheme === "default" ? getDefaultThemeTokens$K(tokens2, algorithms) : getDefaultThemeTokens$K(tokens2, algorithms);
};
var Alert = /* @__PURE__ */ defineComponent({
  name: "IxAlert",
  props: alertProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("alert");
    registerToken(getThemeTokens$K);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-alert`);
    const config = useGlobalConfig("alert");
    const [pageIndex, setPageIndex] = useState(1);
    const mergedIcon = computed(() => {
      if (props.icon !== void 0) {
        return props.icon;
      }
      const iconConfig = config.icon;
      return isObject(iconConfig) ? iconConfig[props.type] : iconConfig;
    });
    const {
      closeable,
      visible,
      handleClose
    } = useCloseable(props, config);
    const handlePageChange = (index) => {
      setPageIndex(index);
    };
    watch(() => props.pagination, (pagination) => {
      if (isObject(pagination) && !isNil(pagination.pageIndex)) {
        setPageIndex(pagination.pageIndex);
      }
    }, {
      deep: true,
      immediate: true
    });
    watch(pageIndex, (index) => {
      const {
        pagination
      } = props;
      isObject(pagination) && callEmit(pagination.onChange, index);
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-${props.type}`]: true,
        [`${prefixCls}-banner`]: props.banner,
        [`${prefixCls}-with-description`]: slots.description || props.description
      });
    });
    const handleAfterLeave = () => callEmit(props.onAfterClose);
    return () => {
      const {
        title,
        pagination
      } = props;
      const titleChildren = slots.default ? flattenNode(slots.default()) : convertArray(title);
      const isPagination = pagination && titleChildren.length > 1;
      const titleNodes = isPagination ? titleChildren[pageIndex.value - 1] : titleChildren;
      const iconNode = slots.icon ? slots.icon() : mergedIcon.value && createVNode(IxIcon, {
        "name": mergedIcon.value
      }, null);
      const descriptionNode = convertStringVNode(slots, props, "description");
      const prefixCls = mergedPrefixCls.value;
      return createVNode(Transition, {
        "name": prefixCls,
        "onAfterLeave": handleAfterLeave
      }, {
        default: () => [visible.value && createVNode("div", {
          "class": classes.value
        }, [iconNode && createVNode("span", {
          "class": `${prefixCls}-icon`
        }, [iconNode]), createVNode("div", {
          "class": `${prefixCls}-content`
        }, [createVNode("div", {
          "class": `${prefixCls}-title`
        }, [titleNodes]), descriptionNode && createVNode("div", {
          "class": `${prefixCls}-description`
        }, [descriptionNode])]), isPagination && createVNode(IxPagination, {
          "class": `${prefixCls}-pagination`,
          "total": titleChildren.length,
          "simple": true,
          "pageIndex": pageIndex.value,
          "showTotal": false,
          "showQuickJumper": false,
          "pageSize": 1,
          "onChange": handlePageChange
        }, null), closeable.value && createVNode("span", {
          "class": `${prefixCls}-close-icon`,
          "onClick": handleClose
        }, [slots.closeIcon ? slots.closeIcon() : createVNode(IxIcon, {
          "name": props.closeIcon
        }, null)])])]
      });
    };
  }
});
const IxAlert = Alert;
const anchorToken = Symbol("anchorToken");
const anchorProps = {
  affix: {
    type: Boolean,
    default: true
  },
  bounds: Number,
  hideLinkBall: {
    type: Boolean,
    default: void 0
  },
  offsetTop: Number,
  target: [String, HTMLElement, Function],
  targetOffset: Number,
  onChange: [Function, Array],
  onClick: [Function, Array]
};
const linkProps = {
  href: {
    type: String,
    required: true
  },
  title: String
};
function getDefaultThemeTokens$J() {
  return {
    inkBallWidth: 2,
    inkBallHeight: 16
  };
}
const getThemeTokens$J = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$J() : getDefaultThemeTokens$J();
};
var Anchor = /* @__PURE__ */ defineComponent({
  name: "IxAnchor",
  props: anchorProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("anchor");
    registerToken(getThemeTokens$J);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-anchor`);
    const config = useGlobalConfig("anchor");
    const hideLinkBall = computed(() => {
      var _a;
      return (_a = props.hideLinkBall) != null ? _a : config.hideLinkBall;
    });
    const wrapperStyle = computed(() => {
      const {
        offsetTop
      } = props;
      return {
        maxHeight: offsetTop ? `calc(100vh - ${offsetTop}px)` : "100vh"
      };
    });
    const {
      activeLink
    } = useLinks(props, config);
    const {
      anchorRef,
      inkBallElRef,
      inkBallClasses,
      inkBallTop
    } = useInkBall(activeLink, mergedPrefixCls);
    return () => {
      var _a;
      const prefixCls = mergedPrefixCls.value;
      const linkBall = hideLinkBall.value ? null : createVNode("span", {
        "class": inkBallClasses.value,
        "style": {
          top: inkBallTop.value
        },
        "ref": inkBallElRef
      }, null);
      const anchorNode = createVNode("div", {
        "class": `${prefixCls}-wrapper`,
        "style": wrapperStyle.value
      }, [createVNode("div", {
        "class": prefixCls,
        "ref": anchorRef
      }, [createVNode("div", {
        "class": `${prefixCls}-ink`
      }, [linkBall]), (_a = slots.default) == null ? void 0 : _a.call(slots)])]);
      if (!props.affix) {
        return anchorNode;
      }
      return createVNode(IxAffix, {
        "class": [globalHashId.value, hashId.value],
        "target": props.target,
        "offset": props.offsetTop
      }, {
        default: () => [anchorNode]
      });
    };
  }
});
const useLinks = (props, config) => {
  const links = ref([]);
  const registerLink = (link) => {
    if (!links.value.includes(link)) {
      links.value.push(link);
    }
  };
  const unregisterLink = (link) => {
    const index = links.value.indexOf(link);
    if (index !== -1) {
      links.value.splice(index, 1);
    }
  };
  const activeLink = ref();
  const setActiveLink = (link) => {
    if (activeLink.value !== link) {
      activeLink.value = link;
      callEmit(props.onChange, link);
    }
  };
  const {
    scrollTo
  } = useScroll$1(props, config, links, setActiveLink);
  const handleLinkClick = (evt, linkProps2) => {
    callEmit(props.onClick, evt, linkProps2);
    scrollTo(linkProps2.href);
  };
  provide(anchorToken, {
    registerLink,
    unregisterLink,
    activeLink,
    handleLinkClick
  });
  return {
    activeLink
  };
};
const useInkBall = (activeLink, mergedPrefixCls) => {
  const anchorRef = ref();
  const inkBallElRef = ref();
  const inkBallClasses = computed(() => {
    const prefixCls = mergedPrefixCls.value;
    return {
      [`${prefixCls}-ink-ball`]: true,
      [`${prefixCls}-ink-ball-visible`]: !!activeLink.value
    };
  });
  const inkBallTop = ref();
  onMounted(() => {
    watchEffect(() => {
      var _a, _b, _c;
      const activeLinkElement = (_a = anchorRef.value) == null ? void 0 : _a.querySelector(`a[data-href="${activeLink.value}"]`);
      if (!activeLinkElement) {
        return;
      }
      const inkBallHeight = (_c = (_b = inkBallElRef.value) == null ? void 0 : _b.getBoundingClientRect().height) != null ? _c : 9;
      const {
        offsetTop,
        clientHeight
      } = activeLinkElement;
      inkBallTop.value = `${offsetTop + clientHeight / 2 - inkBallHeight / 2}px`;
    }, {
      flush: "post"
    });
  });
  return {
    anchorRef,
    inkBallElRef,
    inkBallClasses,
    inkBallTop
  };
};
const getTargetTop = (link, container) => {
  const targetElement = document.getElementById(link.split("#")[1]);
  if (targetElement) {
    const {
      top
    } = getOffset(targetElement, container);
    return top;
  }
  return null;
};
const getCurrentAnchor = (links, container, offsetTop, bounds) => {
  if (!links.length) {
    return "";
  }
  const maxSection = links.map((link) => {
    const top = getTargetTop(link, container);
    return {
      link,
      top
    };
  }).reduce((curr, item) => {
    const {
      top
    } = item;
    if (top !== null && top < offsetTop + bounds && curr.top < top) {
      return item;
    }
    return curr;
  });
  return maxSection.link;
};
const useScroll$1 = (props, config, links, setActiveLink) => {
  const bounds = computed(() => {
    var _a;
    return (_a = props.bounds) != null ? _a : config.bounds;
  });
  const container = ref();
  const eventType = "scroll";
  let animating = false;
  const targetOffset = computed(() => {
    var _a, _b;
    return (_b = (_a = props.targetOffset) != null ? _a : props.offsetTop) != null ? _b : 0;
  });
  const handleScroll = () => {
    if (animating) {
      return;
    }
    const currLink = getCurrentAnchor(links.value, container.value, targetOffset.value, bounds.value);
    setActiveLink(currLink);
  };
  const scrollTo = (link) => {
    setActiveLink(link);
    const top = getTargetTop(link, container.value);
    if (top === null) {
      return;
    }
    animating = true;
    scrollToTop({
      amountOfChange: top - targetOffset.value,
      target: container.value,
      callback: () => {
        animating = false;
      }
    });
  };
  watch(() => props.target, () => {
    off(container.value, eventType, handleScroll);
    container.value = convertTarget(props.target);
    on(container.value, eventType, handleScroll);
    handleScroll();
  });
  onMounted(() => {
    container.value = convertTarget(props.target);
    on(container.value, eventType, handleScroll);
    handleScroll();
  });
  onBeforeUnmount(() => {
    off(container.value, eventType, handleScroll);
  });
  return {
    scrollTo
  };
};
var AnchorLink = /* @__PURE__ */ defineComponent({
  name: "IxAnchorLink",
  props: linkProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("anchor");
    registerToken(getThemeTokens$J);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-anchor-link`);
    const {
      registerLink,
      unregisterLink,
      activeLink,
      handleLinkClick
    } = inject(anchorToken);
    watch(() => props.href, (newHref, oldHref) => {
      unregisterLink(oldHref);
      registerLink(newHref);
    });
    onMounted(() => registerLink(props.href));
    onBeforeUnmount(() => unregisterLink(props.href));
    const isActive = computed(() => activeLink.value === props.href);
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return {
        [`${prefixCls}-title`]: true,
        [`${prefixCls}-title-active`]: isActive.value
      };
    });
    const onClick = (evt) => handleLinkClick(evt, props);
    return () => {
      var _a, _b, _c;
      const {
        href,
        title
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return createVNode("div", {
        "class": [prefixCls, globalHashId.value, hashId.value]
      }, [createVNode("a", {
        "class": classes.value,
        "href": href,
        "data-href": href,
        "title": title,
        "onClick": onClick
      }, [(_b = (_a = slots.title) == null ? void 0 : _a.call(slots)) != null ? _b : title]), (_c = slots.default) == null ? void 0 : _c.call(slots)]);
    };
  }
});
const IxAnchor = Anchor;
const IxAnchorLink = AnchorLink;
const avatarProps = {
  alt: String,
  gap: Number,
  icon: [String, Object],
  shape: String,
  size: [Number, String, Object],
  src: String,
  srcset: String,
  text: String,
  onError: [Function, Array]
};
function getDefaultThemeTokens$I(tokens2) {
  const { heightSm, heightMd, heightLg, componentBorderRadius } = tokens2;
  return {
    sizeSm: heightSm,
    sizeMd: heightMd,
    sizeLg: heightLg,
    borderRadiusSquare: componentBorderRadius
  };
}
const getThemeTokens$I = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$I(tokens2) : getDefaultThemeTokens$I(tokens2);
};
var Avatar = /* @__PURE__ */ defineComponent({
  name: "IxAvatar",
  props: avatarProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("avatar");
    registerToken(getThemeTokens$I);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-avatar`);
    const config = useGlobalConfig("avatar");
    const showText = ref(false);
    watchEffect(() => {
      showText.value = !props.src && (!!props.text || hasSlot(slots));
    });
    const showIcon = ref(false);
    watchEffect(() => {
      showIcon.value = !props.src && !showText.value;
    });
    const icon$$ = computed(() => {
      var _a;
      return (_a = props.icon) != null ? _a : config.icon;
    });
    const {
      avatarRef,
      textRef,
      size,
      avatarStyle,
      textStyle
    } = useSize(props, config);
    const classes = useClasses$2(props, config, size, showText, showIcon, mergedPrefixCls, globalHashId, hashId);
    const handleError = (evt) => {
      const result = callEmit(props.onError, evt);
      if (result !== false && !evt.defaultPrevented) {
        if (!!props.text || hasSlot(slots)) {
          showText.value = true;
        }
        showIcon.value = !showText.value;
      }
    };
    return () => {
      var _a, _b;
      let child;
      const prefixCls = mergedPrefixCls.value;
      if (showIcon.value) {
        child = renderIcon$5(slots.icon, icon$$.value);
      } else if (showText.value) {
        const textChild = (_b = (_a = slots.default) == null ? void 0 : _a.call(slots)) != null ? _b : props.text;
        child = createVNode("span", {
          "ref": textRef,
          "class": `${prefixCls}-text`,
          "style": textStyle.value
        }, [textChild]);
      } else {
        child = createVNode("img", {
          "src": props.src,
          "srcset": props.srcset,
          "alt": props.alt,
          "onError": handleError
        }, null);
      }
      return createVNode("span", {
        "ref": avatarRef,
        "class": classes.value,
        "style": avatarStyle.value
      }, [child]);
    };
  }
});
const useClasses$2 = (props, config, size, showText, showIcon, mergedPrefixCls, globalHashId, hashId) => {
  return computed(() => {
    var _a;
    const shape = (_a = props.shape) != null ? _a : config.shape;
    const sizeValue = size.value;
    const prefixCls = mergedPrefixCls.value;
    return {
      [globalHashId.value]: !!globalHashId.value,
      [hashId.value]: !!hashId.value,
      [`${prefixCls}`]: true,
      [`${prefixCls}-image`]: !!props.src && !showText.value && !showIcon.value,
      [`${prefixCls}-${shape}`]: true,
      [`${prefixCls}-${sizeValue}`]: isString(sizeValue)
    };
  });
};
const useSizeStyle = (size) => {
  const breakpoints = useSharedBreakpoints();
  return computed(() => {
    let currSize;
    const sizeValue = size.value;
    if (isNumber(sizeValue)) {
      currSize = sizeValue;
    } else if (isObject(sizeValue)) {
      const currBreakpoint = Object.keys(breakpoints).find((key) => breakpoints[key]);
      currSize = sizeValue[currBreakpoint];
    }
    return getSizeStyle(currSize);
  });
};
const getSizeStyle = (size) => {
  if (!size) {
    return {};
  }
  const sizePixel = convertCssPixel(size);
  return {
    width: sizePixel,
    height: sizePixel,
    lineHeight: sizePixel,
    fontSize: convertCssPixel(size / 2)
  };
};
const renderIcon$5 = (iconSlot, icon) => {
  if (iconSlot) {
    return iconSlot();
  }
  return isVNode(icon) ? icon : createVNode(IxIcon, {
    "name": icon
  }, null);
};
const useSize = (props, config) => {
  const avatarRef = ref();
  const textRef = ref();
  const size = computed(() => {
    var _a;
    return (_a = props.size) != null ? _a : config.size;
  });
  const gap = computed(() => {
    var _a;
    return (_a = props.gap) != null ? _a : config.gap;
  });
  const avatarStyle = useSizeStyle(size);
  const textScale = ref(1);
  const textStyle = computed(() => ({
    transform: `scale(${textScale.value}) translateX(-50%)`,
    lineHeight: avatarStyle.value.lineHeight
  }));
  const calcTextSize = () => {
    const avatarElement = avatarRef.value;
    const textElement = textRef.value;
    if (!avatarElement || !textElement) {
      return;
    }
    const avatarWidth = avatarElement.offsetWidth;
    const textWidth = textElement.offsetWidth;
    const gapWidth = gap.value * 2;
    if (avatarWidth !== 0 && textWidth !== 0 && gapWidth < avatarWidth) {
      textScale.value = avatarWidth - gapWidth < textWidth ? (avatarWidth - gapWidth) / textWidth : 1;
    }
  };
  useResizeObserver(textRef, calcTextSize);
  onMounted(() => {
    watch(gap, () => calcTextSize(), {
      immediate: true
    });
  });
  return {
    avatarRef,
    textRef,
    size,
    calcTextSize,
    avatarStyle,
    textStyle
  };
};
const IxAvatar = Avatar;
const backTopProps = {
  target: [String, HTMLElement, Function],
  duration: Number,
  visibilityHeight: Number,
  onClick: [Function, Array]
};
function getDefaultThemeTokens$H(tokens2, algorithms) {
  const { getColorPalette: getColorPalette2 } = algorithms;
  const { overlayBorderWidth, overlayBorderType, overlayBorderColor, colorPrimary, colorContainerBg } = tokens2;
  const primaryColorPalette = getColorPalette2(colorPrimary);
  return {
    sizeLg: 64,
    sizeMd: 48,
    sizeSm: 40,
    boxShadow: `0 2px 8px 0 rgba(0, 0, 0, 0.05)`,
    color: primaryColorPalette.l30,
    colorHover: colorPrimary,
    bgColor: colorContainerBg,
    borderWidth: overlayBorderWidth,
    borderType: overlayBorderType,
    borderColor: overlayBorderColor
  };
}
const getThemeTokens$H = (tokens2, presetTheme, algorithms) => {
  return presetTheme === "default" ? getDefaultThemeTokens$H(tokens2, algorithms) : getDefaultThemeTokens$H(tokens2, algorithms);
};
var BackTop = /* @__PURE__ */ defineComponent({
  name: "IxBackTop",
  props: backTopProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("backTop");
    registerToken(getThemeTokens$H);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-back-top`);
    const config = useGlobalConfig("backTop");
    const eventType = "scroll";
    const visible = ref(false);
    const container = ref(null);
    const duration = computed(() => {
      var _a;
      return (_a = props.duration) != null ? _a : config.duration;
    });
    const handleScroll = () => {
      var _a;
      const {
        scrollTop
      } = getScroll(container.value);
      visible.value = scrollTop >= ((_a = props.visibilityHeight) != null ? _a : config.visibilityHeight);
    };
    const handleClick = (evt) => {
      evt.stopPropagation();
      scrollToTop({
        top: 0,
        duration: duration.value,
        target: container.value
      });
      callEmit(props.onClick, evt);
    };
    const throttledScrollHandler = throttle(handleScroll, 300);
    onMounted(() => {
      nextTick(() => {
        container.value = convertTarget(props.target);
        on(container.value, eventType, throttledScrollHandler);
        handleScroll();
      });
    });
    onUnmounted(() => {
      off(container.value, eventType, throttledScrollHandler);
    });
    return () => {
      return createVNode(Transition, {
        "name": `${common.prefixCls}-fade`
      }, {
        default: () => [withDirectives(createVNode("div", {
          "class": [mergedPrefixCls.value, globalHashId.value, hashId.value],
          "onClick": handleClick
        }, [slots.default ? slots.default() : createVNode(IxIcon, {
          "name": "arrow-up"
        }, null)]), [[vShow, visible.value]])]
      });
    };
  }
});
const IxBackTop = BackTop;
const badgeProps = {
  color: { type: String },
  count: { type: [String, Number], default: 0 },
  dot: { type: [Boolean, String], default: void 0 },
  overflowCount: { type: [String, Number] },
  showZero: { type: Boolean, default: void 0 },
  status: { type: String, default: "error" },
  processing: { type: Boolean, default: false },
  title: { type: String }
};
const badgeSubProps = {
  count: { type: Number, required: true },
  dot: { type: Boolean, required: true },
  overflowCount: { type: Number, required: true },
  prefixCls: { type: String, required: true },
  showZero: { type: Boolean, required: true },
  status: { type: String, required: true },
  text: { type: String },
  title: { type: String }
};
var BadgeSub = /* @__PURE__ */ defineComponent({
  name: "IxBadgeSub",
  props: badgeSubProps,
  setup(props, {
    slots
  }) {
    const mergedCountArray = computed(() => props.count.toString().split("").map((char) => +char));
    const mergedOverflowCountArray = computed(() => props.overflowCount.toString().split(""));
    const classes = computed(() => {
      const {
        prefixCls,
        dot
      } = props;
      return normalizeClass({
        [`${prefixCls}-sub`]: true,
        [`${prefixCls}-dot`]: dot,
        [`${prefixCls}-count`]: !dot,
        [`${prefixCls}-count-multiple`]: !dot && mergedCountArray.value.length > 1
      });
    });
    return () => {
      const {
        prefixCls,
        dot,
        text
      } = props;
      if (dot || text) {
        return createVNode(Transition, {
          "name": `${prefixCls}-sub`,
          "appear": true
        }, {
          default: () => [createVNode("sup", {
            "class": classes.value,
            "title": props.title
          }, [text && createVNode("span", {
            "class": `${prefixCls}-sub-text`
          }, [text])])]
        });
      }
      const count = props.count;
      const {
        title = count,
        showZero,
        overflowCount
      } = props;
      let countNode;
      if (slots.default) {
        countNode = slots.default();
      } else if (count !== 0 || showZero) {
        countNode = renderNumbers(prefixCls, count, overflowCount, mergedCountArray, mergedOverflowCountArray);
      }
      return createVNode(Transition, {
        "name": `${prefixCls}-sub`,
        "appear": true
      }, {
        default: () => [countNode && createVNode("sup", {
          "class": classes.value,
          "title": title
        }, [createVNode("span", {
          "class": `${prefixCls}-count-track-wrapper`
        }, [countNode])])]
      });
    };
  }
});
const chars = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9];
function renderNumbers(prefixCls, count, overflowCount, mergedCountArray, mergedOverflowCountArray) {
  if (count > overflowCount) {
    return `${overflowCount}+`;
  }
  const countArray = mergedCountArray.value;
  return mergedOverflowCountArray.value.map((_, index) => {
    const currentNumber = countArray[index];
    if (currentNumber === void 0) {
      return void 0;
    }
    return createVNode("span", {
      "key": index,
      "class": `${prefixCls}-count-track`,
      "style": `transform: translateY(${-currentNumber * 100}%);`
    }, [chars.map((char) => {
      const classes = normalizeClass({
        [`${prefixCls}-count-unit`]: true,
        [`${prefixCls}-count-current`]: char === currentNumber
      });
      return createVNode("span", {
        "key": char,
        "class": classes
      }, [char]);
    })]);
  });
}
function getDefaultThemeTokens$G() {
  return {
    dotSize: 6,
    countSize: 16
  };
}
const getThemeTokens$G = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$G() : getDefaultThemeTokens$G();
};
var Badge = /* @__PURE__ */ defineComponent({
  name: "IxBadge",
  props: badgeProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("badge");
    registerToken(getThemeTokens$G);
    const config = useGlobalConfig("badge");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-badge`);
    const mergedDot = computed(() => {
      var _a;
      return (_a = props.dot) != null ? _a : config.dot;
    });
    const mergedShowZero = computed(() => {
      var _a;
      return (_a = props.showZero) != null ? _a : config.showZero;
    });
    const mergedCount = computed(() => Math.max(0, convertNumber(props.count, 0)));
    const mergedOverflowCount = computed(() => {
      var _a;
      return Math.max(0, convertNumber((_a = props.overflowCount) != null ? _a : config.overflowCount, Number.MAX_VALUE));
    });
    const mergedText = computed(() => {
      const {
        count
      } = props;
      return isNumeric(count) ? void 0 : count;
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      const {
        status,
        processing
      } = props;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-${status}`]: true,
        [`${prefixCls}-processing`]: processing
      });
    });
    const style = computed(() => {
      const {
        color
      } = props;
      return color ? `background-color: ${color}` : void 0;
    });
    return () => {
      const dot = mergedDot.value;
      const prefixCls = mergedPrefixCls.value;
      const contentNode = slots.default && slots.default();
      return createVNode("span", {
        "class": classes.value
      }, [dot === "inline" && createVNode("span", {
        "class": `${prefixCls}-dot`,
        "style": style.value
      }, null), contentNode && createVNode("span", {
        "class": `${prefixCls}-content`
      }, [contentNode]), dot !== "inline" && createVNode(BadgeSub, {
        "style": style.value,
        "count": mergedCount.value,
        "dot": dot,
        "overflowCount": mergedOverflowCount.value,
        "prefixCls": prefixCls,
        "showZero": mergedShowZero.value,
        "status": props.status,
        "text": mergedText.value,
        "title": props.title
      }, {
        default: slots.count
      })]);
    };
  }
});
const IxBadge = Badge;
const breadcrumbToken = Symbol("breadcrumbToken");
const breadcrumbProps = {
  separator: {
    type: String,
    default: "/"
  }
};
const breadcrumbItemProps = {
  separator: String
};
function getDefaultThemeTokens$F(tokens2) {
  const { fontSizeSm, fontSizeMd, colorTextInfo, colorLink, colorTextDisabled, colorTextTitle, marginSizeXs } = tokens2;
  return {
    fontSize: fontSizeMd,
    itemColor: colorTextInfo,
    linkColor: colorTextInfo,
    linkColorHover: colorLink,
    separatorColor: colorTextDisabled,
    separatorFontSize: fontSizeSm,
    lastItemColor: colorTextTitle,
    separatorMargin: `0 ${marginSizeXs}px`
  };
}
const getThemeTokens$F = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$F(tokens2) : getDefaultThemeTokens$F(tokens2);
};
var Breadcrumb = /* @__PURE__ */ defineComponent({
  name: "IxBreadcrumb",
  props: breadcrumbProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("breadcrumb");
    registerToken(getThemeTokens$F);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-breadcrumb`);
    provide(breadcrumbToken, {
      mergedPrefixCls,
      separatorRef: toRef(props, "separator")
    });
    return () => {
      var _a;
      return createVNode("nav", {
        "class": [mergedPrefixCls.value, globalHashId.value, hashId.value],
        "aria-label": "Breadcrumb"
      }, [createVNode("ol", null, [(_a = slots.default) == null ? void 0 : _a.call(slots)])]);
    };
  }
});
var BreadcrumbItem = /* @__PURE__ */ defineComponent({
  name: "IxBreadcrumbItem",
  props: breadcrumbItemProps,
  setup(props, {
    slots
  }) {
    const breadcrumbInjection = inject(breadcrumbToken, null);
    if (!breadcrumbInjection) {
      return () => null;
    }
    const {
      mergedPrefixCls,
      separatorRef
    } = breadcrumbInjection;
    return () => {
      var _a, _b;
      return createVNode("li", {
        "class": `${mergedPrefixCls.value}-item`
      }, [createVNode("span", {
        "class": `${mergedPrefixCls.value}-item-link`
      }, [(_a = slots.default) == null ? void 0 : _a.call(slots)]), createVNode("span", {
        "class": `${mergedPrefixCls.value}-item-separator`,
        "aria-hidden": "true"
      }, [slots.separator ? slots.separator() : (_b = props.separator) != null ? _b : separatorRef.value])]);
    };
  }
});
const IxBreadcrumb = Breadcrumb;
const IxBreadcrumbItem = BreadcrumbItem;
const headerProps = {
  avatar: { type: [String, Object], default: void 0 },
  description: { type: String, default: void 0 },
  disabled: { type: Boolean, default: false },
  prefix: {
    type: [String, Object, Function],
    default: void 0
  },
  size: { type: String, default: "md" },
  showBar: { type: Boolean, default: false },
  subTitle: { type: String, default: void 0 },
  suffix: {
    type: [String, Object, Function],
    default: void 0
  },
  title: { type: String, default: void 0 },
  onPrefixClick: [Function, Array],
  onSuffixClick: [Function, Array]
};
function getDefaultThemeTokens$E(tokens2) {
  const {
    colorPrimary,
    colorPrimaryText,
    colorIcon,
    colorText,
    colorTextDisabled,
    colorIconHover,
    colorIconActive,
    colorIconDisabled,
    heightLg,
    heightXl,
    height2xl,
    fontSizeMd
  } = tokens2;
  return {
    heightSm: heightLg,
    heightMd: heightXl,
    heightLg: heightXl,
    heightXl: height2xl,
    barWidth: 2,
    barBgColor: colorPrimary,
    barBorderRadius: 0,
    barMarginRight: 6,
    prefixColor: colorText,
    prefixColorHover: colorPrimaryText,
    prefixColorActive: colorPrimaryText,
    prefixColorDisabled: colorTextDisabled,
    suffixColor: colorIcon,
    suffixColorHover: colorIconHover,
    suffixColorActive: colorIconActive,
    suffixColorDisabled: colorIconDisabled,
    subTitleFontSize: fontSizeMd
  };
}
const getThemeTokens$E = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$E(tokens2) : getDefaultThemeTokens$E(tokens2);
};
var Header$2 = /* @__PURE__ */ defineComponent({
  name: "IxHeader",
  props: headerProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("header");
    registerToken(getThemeTokens$E);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-header`);
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-${props.size}`]: true,
        [`${prefixCls}-disabled`]: props.disabled,
        [`${prefixCls}-with-bar`]: props.showBar,
        [`${prefixCls}-with-description`]: props.description || slots.description
      });
    });
    const onPrefixClick = (evt) => !props.disabled && callEmit(props.onPrefixClick, evt);
    const onSuffixClick = (evt) => !props.disabled && callEmit(props.onSuffixClick, evt);
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const prefixIconNode = convertIconVNode(slots, props, "prefix");
      const suffixIconNode = convertIconVNode(slots, props, "suffix");
      const titleNode = convertStringVNode(slots.default, props.title);
      const subTitleNode = convertStringVNode(slots, props, "subTitle");
      const descriptionNode = convertStringVNode(slots, props, "description");
      return createVNode("div", {
        "class": classes.value
      }, [prefixIconNode && createVNode("span", {
        "class": `${prefixCls}-prefix`,
        "onClick": onPrefixClick
      }, [prefixIconNode]), renderAvatar$1(slots.avatar, props.avatar, props.size), createVNode("div", {
        "class": `${prefixCls}-content`
      }, [createVNode("div", {
        "class": `${prefixCls}-title-wrapper`
      }, [titleNode && createVNode("span", {
        "class": `${prefixCls}-title`
      }, [titleNode]), subTitleNode && createVNode("span", {
        "class": `${prefixCls}-sub-title`
      }, [subTitleNode])]), descriptionNode && createVNode("div", {
        "class": `${prefixCls}-description`
      }, [descriptionNode])]), suffixIconNode && createVNode("span", {
        "class": `${prefixCls}-suffix`,
        "onClick": onSuffixClick
      }, [suffixIconNode])]);
    };
  }
});
const renderAvatar$1 = (slot, avatar, size) => {
  if (slot) {
    return slot();
  }
  if (!avatar) {
    return null;
  }
  const avatarProps2 = isString(avatar) ? {
    icon: avatar
  } : avatar;
  return createVNode(IxAvatar, mergeProps({
    "size": size
  }, avatarProps2), null);
};
const IxHeader = Header$2;
const Header$1 = (props, {
  slots
}) => {
  if (slots.header) {
    return getFirstValidNode(slots.header(props));
  }
  if (!props.header && !props.closable) {
    return void 0;
  }
  const headerProps2 = convertProps(props);
  const headerSlots = {
    suffix: slots.closeIcon,
    default: slots.title
  };
  return createVNode(IxHeader, headerProps2, headerSlots);
};
function convertProps(props) {
  var _a;
  const {
    closable,
    closeIcon,
    header,
    size,
    onClose
  } = props;
  const headerProps2 = isString(header) ? {
    title: header,
    size
  } : {
    size,
    ...header
  };
  if (closable) {
    headerProps2.suffix = (_a = headerProps2.suffix) != null ? _a : closeIcon;
    if (onClose) {
      const onSuffixClick = convertArray(headerProps2.onSuffixClick);
      onSuffixClick.push(onClose);
      headerProps2.onSuffixClick = onSuffixClick;
    }
  }
  return headerProps2;
}
Header$1.displayName = "\u0275Header";
const \u0275Header = Header$1;
const cardToken = Symbol("cardToken");
const cardProps = {
  borderless: {
    type: Boolean,
    default: void 0
  },
  cover: [String, Object],
  header: [String, Object],
  hoverable: {
    type: Boolean,
    default: void 0
  },
  shadow: {
    type: Boolean,
    default: void 0
  },
  loading: {
    type: Boolean,
    default: false
  },
  size: String,
  footer: Array,
  disabled: {
    type: Boolean,
    default: false
  },
  selected: {
    type: Boolean,
    default: false
  },
  selectable: {
    type: Boolean,
    default: false
  },
  "onUpdate:selected": [Function, Array],
  onSelectedChange: [Function, Array]
};
const cardGridProps = {
  hoverable: {
    type: Boolean,
    default: void 0
  }
};
function getDefaultThemeTokens$D(tokens2, algorithms) {
  const { getGreyColors: getGreyColors2 } = algorithms;
  const { fontSizeSm, fontSizeMd, fontSizeXl, fontSizeLg, marginSizeXs, paddingSizeSm, paddingSizeLg, paddingSizeXl } = tokens2;
  const greyColors = getGreyColors2();
  return {
    fontSizeSm,
    fontSizeMd: fontSizeSm,
    fontSizeLg: fontSizeMd,
    paddingSizeSm: paddingSizeLg,
    paddingSizeMd: paddingSizeLg,
    paddingSizeLg: paddingSizeXl,
    showShadowBorderWidth: 0,
    markWidth: fontSizeXl,
    markHeight: fontSizeLg,
    headerPadding: paddingSizeSm,
    loadingSpacing: marginSizeXs,
    loadingHeight: fontSizeMd,
    loadingBgSize: `600%`,
    loadingStartColor: greyColors.l40,
    loadingEndColor: greyColors.l30,
    gridWidth: `25%`
  };
}
function getDarkThemeTokens$4(tokens2, algorithms) {
  const { lineWidth } = tokens2;
  const defaultTokens = getDefaultThemeTokens$D(tokens2, algorithms);
  return {
    ...defaultTokens,
    showShadowBorderWidth: lineWidth
  };
}
const getThemeTokens$D = (tokens2, presetTheme, algorithms) => {
  return presetTheme === "default" ? getDefaultThemeTokens$D(tokens2, algorithms) : getDarkThemeTokens$4(tokens2, algorithms);
};
var Card = /* @__PURE__ */ defineComponent({
  name: "IxCard",
  props: cardProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("card");
    registerToken(getThemeTokens$D);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-card`);
    const config = useGlobalConfig("card");
    const hoverable = computed(() => {
      var _a;
      return (_a = props.hoverable) != null ? _a : config.hoverable;
    });
    provide(cardToken, {
      hoverable
    });
    const [selected, setSelected] = useControlledProp(props, "selected", false);
    const isDisabled = computed(() => props.disabled);
    const isSelectable = computed(() => props.selectable);
    const handleClick = () => {
      if (isDisabled.value || !isSelectable.value) {
        return;
      }
      const newSelected = !selected.value;
      setSelected(newSelected);
      callEmit(props.onSelectedChange, newSelected);
    };
    return () => {
      var _a, _b;
      const prefixCls = mergedPrefixCls.value;
      const {
        borderless = config.borderless,
        loading,
        size = config.size,
        shadow = config.shadow
      } = props;
      const children = (_b = (_a = slots.default) == null ? void 0 : _a.call(slots)) != null ? _b : [];
      const hasGrid = children.some((node) => node.type && node.type.name === "IxCardGrid");
      const classes = normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-borderless`]: borderless,
        [`${prefixCls}-hoverable`]: !hasGrid && hoverable.value,
        [`${prefixCls}-loading`]: loading,
        [`${prefixCls}-has-shadow`]: shadow,
        [`${prefixCls}-has-grid`]: hasGrid,
        [`${prefixCls}-${size}`]: true,
        [`${prefixCls}-selectable`]: isSelectable.value,
        [`${prefixCls}-selected`]: isSelectable.value && selected.value,
        [`${prefixCls}-disabled`]: isDisabled.value
      });
      return createVNode("div", {
        "class": classes,
        "onClick": handleClick
      }, [renderCover(props, slots, prefixCls), createVNode(\u0275Header, {
        "size": size,
        "header": props.header
      }, slots), renderBody(props, children, hasGrid, prefixCls), renderFooter$2(props, slots, prefixCls), renderCornerMark(props, prefixCls)]);
    };
  }
});
const renderCornerMark = (props, prefixCls) => {
  const isSelectable = computed(() => {
    var _a;
    return (_a = props.selectable) != null ? _a : false;
  });
  if (!isSelectable.value) {
    return void 0;
  }
  return createVNode("div", {
    "class": `${prefixCls}-mark-wrap`
  }, [createVNode("div", {
    "class": `${prefixCls}-mark`
  }, null), createVNode(IxIcon, {
    "name": "check-filled",
    "class": `${prefixCls}-mark-icon`,
    "color": "white"
  }, null)]);
};
const renderCover = (props, slots, prefixCls) => {
  let coverNode;
  if (slots.cover) {
    coverNode = slots.cover();
  } else if (props.cover) {
    const {
      cover
    } = props;
    const imgProps = isString(cover) ? {
      src: cover
    } : cover;
    coverNode = createVNode("img", imgProps, null);
  }
  return coverNode ? createVNode("div", {
    "class": `${prefixCls}-cover`
  }, [coverNode]) : void 0;
};
const renderBody = (props, children, hasGrid, prefixCls) => {
  let bodyNode;
  if (props.loading) {
    bodyNode = renderLoading(prefixCls);
  } else if (children.length) {
    bodyNode = hasGrid ? createVNode(IxRow, null, {
      default: () => [children]
    }) : children;
  }
  return bodyNode ? createVNode("div", {
    "class": `${prefixCls}-body`
  }, [bodyNode]) : void 0;
};
const loadingSpans = [[22], [8, 15], [6, 18], [13, 9], [4, 3, 16], [8, 6, 8]];
const renderLoading = (prefixCls) => {
  const loadingChild = loadingSpans.map((spans) => {
    const cols = spans.map((span) => createVNode(IxCol, {
      "span": span,
      "class": `${prefixCls}-loading-col`
    }, {
      default: () => [createVNode("div", {
        "class": `${prefixCls}-loading-block`
      }, null)]
    }));
    return createVNode(IxRow, null, {
      default: () => [cols]
    });
  });
  return createVNode("div", {
    "class": `${prefixCls}-loading`
  }, [loadingChild]);
};
const renderFooter$2 = (props, slots, prefixCls) => {
  if (!slots.footer && !props.footer) {
    return void 0;
  }
  let footerNode;
  if (slots.footer) {
    footerNode = slots.footer();
  } else {
    footerNode = props.footer.map((item) => {
      let itemChild;
      if (isVNode(item)) {
        itemChild = item;
      } else {
        const {
          text,
          ...rest
        } = item;
        itemChild = createVNode(IxButton, mergeProps({
          "class": `${prefixCls}-footer-button`,
          "waveless": true
        }, rest), {
          default: () => [text]
        });
      }
      return itemChild ? createVNode("li", null, [itemChild]) : null;
    });
  }
  return createVNode("ul", {
    "class": `${prefixCls}-footer`
  }, [footerNode]);
};
var CardGrid = /* @__PURE__ */ defineComponent({
  name: "IxCardGrid",
  props: cardGridProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("card");
    registerToken(getThemeTokens$D);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-card-grid`);
    const {
      hoverable
    } = inject(cardToken);
    const classes = computed(() => {
      var _a;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-hoverable`]: (_a = props.hoverable) != null ? _a : hoverable.value
      });
    });
    return () => createVNode(IxCol, {
      "class": classes.value
    }, {
      default: () => {
        var _a;
        return [(_a = slots.default) == null ? void 0 : _a.call(slots)];
      }
    });
  }
});
const IxCard = Card;
const IxCardGrid = CardGrid;
function useAutoplay(props, config, activeIndex, goTo) {
  const mergedAutoplayTime = computed(() => {
    var _a;
    return (_a = props.autoplayTime) != null ? _a : config.autoplayTime;
  });
  let timer = null;
  const cleanAutoplay = () => {
    if (timer !== null) {
      clearTimeout(timer);
      timer = null;
    }
  };
  const startAutoplay = () => {
    cleanAutoplay();
    const autoplayTime = mergedAutoplayTime.value;
    if (autoplayTime > 0) {
      timer = setTimeout(() => {
        goTo(activeIndex.value + 1);
      }, mergedAutoplayTime.value);
    }
  };
  onMounted(() => {
    watch(mergedAutoplayTime, startAutoplay, { immediate: true });
  });
  onBeforeUnmount(cleanAutoplay);
  return { startAutoplay, cleanAutoplay };
}
function useStrategy(props, carouselRef, sliderTrackRef, sliderRefs, mergedVertical, mergedLength) {
  const activeIndex = ref(0);
  watch(activeIndex, (newVal, oldVal) => {
    callEmit(props.onChange, newVal, oldVal);
  });
  const runningIndex = ref(-1);
  const nextIndex = ref(-1);
  const [unitWidth, setUnitWidth] = useState(0);
  const [unitHeight, setUnitHeight] = useState(0);
  const layout = () => {
    const carouselElement = carouselRef.value;
    if (!carouselElement) {
      return;
    }
    const { width, height } = getCssDimensions(carouselElement);
    setUnitWidth(width);
    setUnitHeight(height);
  };
  useResizeObserver(carouselRef, layout);
  onMounted(() => {
    watch(
      mergedLength,
      () => {
        layout();
        runningIndex.value = -1;
        goTo(0);
      },
      { flush: "post" }
    );
  });
  const goTo = (index) => {
    const length = mergedLength.value;
    const sliderTrackElement = sliderTrackRef.value;
    const firstSliderElement = convertElement(sliderRefs.value[0]);
    const lastSliderElement = convertElement(sliderRefs.value[length - 1]);
    if (length < 1 || runningIndex.value !== -1 || index === activeIndex.value || !sliderTrackElement || !firstSliderElement || !lastSliderElement) {
      return;
    }
    const { from, to } = getBoundary(activeIndex.value, index, length);
    if (from === to) {
      return;
    }
    nextIndex.value = index;
    runningIndex.value = to;
    sliderTrackElement.style.transition = `transform 0.5s ease`;
    const needToAdjust = index !== to;
    if (needToAdjust) {
      const stylePropertyName = mergedVertical.value ? "top" : "left";
      const unit = mergedVertical.value ? unitHeight.value : unitWidth.value;
      if (to < from) {
        firstSliderElement.style[stylePropertyName] = `${length * unit}px`;
        lastSliderElement.style[stylePropertyName] = "";
      } else {
        firstSliderElement.style[stylePropertyName] = "";
        lastSliderElement.style[stylePropertyName] = `${-length * unit}px`;
      }
    }
  };
  const next = () => {
    goTo(activeIndex.value + 1);
  };
  const prev = () => {
    goTo(activeIndex.value - 1);
  };
  return {
    activeIndex,
    runningIndex,
    nextIndex,
    unitHeight,
    unitWidth,
    goTo,
    next,
    prev
  };
}
function getBoundary(f, t2, length) {
  return { from: (f + length) % length, to: (t2 + length) % length };
}
const carouselToken = Symbol("carousel");
var Dot = /* @__PURE__ */ defineComponent({
  props: {
    isActive: {
      type: Boolean,
      required: true
    },
    index: {
      type: Number,
      required: true
    }
  },
  setup(props) {
    const {
      slots,
      mergedPrefixCls,
      mergedTrigger,
      cleanAutoplay,
      goTo
    } = inject(carouselToken);
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-dot`;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-active`]: props.isActive
      });
    });
    const handleTrigger = () => {
      cleanAutoplay();
      goTo(props.index);
    };
    const events2 = computed(() => {
      if (mergedTrigger.value === "click") {
        return {
          onClick: handleTrigger
        };
      }
      return {
        onMouseenter: handleTrigger
      };
    });
    return () => {
      return createVNode("li", mergeProps({
        "class": classes.value
      }, events2.value), [slots.dot ? slots.dot(props) : createVNode("button", {
        "type": "button"
      }, null)]);
    };
  }
});
var Slider$2 = /* @__PURE__ */ defineComponent({
  props: {
    isActive: {
      type: Boolean,
      required: true
    },
    index: {
      type: Number,
      required: true
    }
  },
  setup(props, {
    slots
  }) {
    const {
      mergedPrefixCls,
      unitWidth,
      unitHeight
    } = inject(carouselToken);
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-slider`;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-active`]: props.isActive
      });
    });
    const style = computed(() => {
      const width = unitWidth.value;
      const height = unitHeight.value;
      if (width <= 0 || height <= 0) {
        return void 0;
      }
      return `position: relative;width: ${width}px;height: ${height}px;`;
    });
    return () => {
      return createVNode("div", {
        "class": classes.value,
        "style": style.value
      }, [slots.default()]);
    };
  }
});
const carouselProps = {
  autoplayTime: { type: Number, default: void 0 },
  dotPlacement: { type: String, default: void 0 },
  showArrow: { type: Boolean, default: void 0 },
  trigger: { type: String, default: void 0 },
  onChange: [Function, Array]
};
function getDefaultThemeTokens$C(tokens2) {
  const { colorWhite } = tokens2;
  return {
    arrowSize: 32,
    arrowColor: colorWhite,
    horizontalDotWidth: 32,
    horizontalDotHeight: 2,
    verticalDotWidth: 2,
    verticalDotHeight: 16,
    dotBgColor: colorWhite,
    dotBorderRadius: 2,
    iconOpacity: 0.3,
    iconOpacityHover: 0.6,
    iconOpacityActive: 0.8
  };
}
const getThemeTokens$C = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$C(tokens2) : getDefaultThemeTokens$C(tokens2);
};
var Carousel = /* @__PURE__ */ defineComponent({
  name: "IxCarousel",
  props: carouselProps,
  setup(props, {
    slots,
    expose
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("carousel");
    registerToken(getThemeTokens$C);
    const config = useGlobalConfig("carousel");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-carousel`);
    const mergedDotPlacement = computed(() => {
      var _a;
      return (_a = props.dotPlacement) != null ? _a : config.dotPlacement;
    });
    const mergedShowArrow = computed(() => {
      var _a;
      return (_a = props.showArrow) != null ? _a : config.showArrow;
    });
    const mergedTrigger = computed(() => {
      var _a;
      return (_a = props.trigger) != null ? _a : config.trigger;
    });
    const mergedVertical = computed(() => mergedDotPlacement.value === "start" || mergedDotPlacement.value === "end");
    const mergedChildren = computed(() => {
      var _a;
      return flattenNode((_a = slots.default) == null ? void 0 : _a.call(slots));
    });
    const mergedLength = computed(() => mergedChildren.value.length);
    const carouselRef = ref();
    const slidersRef = ref();
    const sliderTrackRef = ref();
    const sliderRefs = ref([]);
    const setRef = (instance, index) => {
      if (instance) {
        sliderRefs.value[index] = instance;
      }
    };
    onBeforeUpdate(() => {
      sliderRefs.value = [];
    });
    const {
      activeIndex,
      runningIndex,
      nextIndex,
      unitHeight,
      unitWidth,
      goTo,
      next,
      prev
    } = useStrategy(props, carouselRef, sliderTrackRef, sliderRefs, mergedVertical, mergedLength);
    const {
      startAutoplay,
      cleanAutoplay
    } = useAutoplay(props, config, activeIndex, goTo);
    expose({
      goTo,
      next,
      prev
    });
    provide(carouselToken, {
      slots,
      mergedPrefixCls,
      mergedTrigger,
      unitHeight,
      unitWidth,
      goTo,
      cleanAutoplay
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-horizontal`]: !mergedVertical.value,
        [`${prefixCls}-vertical`]: mergedVertical.value
      });
    });
    const slidersStyle = computed(() => {
      const height = unitHeight.value;
      return height > 0 ? `height: ${height}px;` : void 0;
    });
    const sliderTrackStyle = computed(() => {
      const width = unitWidth.value;
      const height = unitHeight.value;
      const length = mergedLength.value;
      if (width <= 0 || height <= 0 || length <= 0) {
        return void 0;
      }
      const index = runningIndex.value > -1 ? nextIndex.value : activeIndex.value;
      return mergedVertical.value ? {
        width: `${width}px`,
        height: `${height * length}px`,
        transform: `translate3d(0, ${-index * unitHeight.value}px, 0)`
      } : {
        width: `${width * length}px`,
        height: `${height}px`,
        transform: `translate3d(${-index * unitWidth.value}px, 0, 0)`
      };
    });
    const dotsClasses = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [`${prefixCls}-dots`]: true,
        [`${prefixCls}-dots-${mergedDotPlacement.value}`]: true
      });
    });
    const handleKeydown = (evt) => {
      switch (evt.code) {
        case "ArrowRight":
        case "ArrowDown":
          next();
          break;
        case "ArrowLeft":
        case "ArrowUp":
          prev();
          break;
      }
    };
    const onTransitionend = () => {
      const currRunningIndex = runningIndex.value;
      if (currRunningIndex === -1) {
        return;
      }
      const sliderTrackElement = sliderTrackRef.value;
      sliderTrackElement.style.transition = "";
      sliderRefs.value.forEach((slider) => {
        const element = convertElement(slider);
        if (element) {
          element.style.top = "";
          element.style.left = "";
        }
      });
      activeIndex.value = currRunningIndex;
      runningIndex.value = -1;
      startAutoplay();
    };
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const children = mergedChildren.value;
      const currActiveIndex = activeIndex.value;
      const currRunningIndex = runningIndex.value;
      return createVNode("div", {
        "ref": carouselRef,
        "class": classes.value
      }, [createVNode("div", {
        "ref": slidersRef,
        "class": `${prefixCls}-sliders`,
        "style": slidersStyle.value,
        "tabindex": "-1",
        "onKeydown": handleKeydown
      }, [createVNode("div", {
        "ref": sliderTrackRef,
        "class": `${prefixCls}-slider-track`,
        "style": sliderTrackStyle.value,
        "onTransitionend": onTransitionend
      }, [children.map((node, index) => createVNode(Slider$2, {
        "ref": (instance) => setRef(instance, index),
        "key": node.key,
        "isActive": index === currActiveIndex,
        "index": index
      }, {
        default: () => [node]
      }))])]), mergedShowArrow.value && children.length > 1 && createVNode(Fragment, null, [createVNode("div", {
        "key": "__arrow-prev",
        "class": `${prefixCls}-arrow ${prefixCls}-arrow-prev`,
        "onClick": prev
      }, [slots.arrow ? slots.arrow({
        type: "prev"
      }) : createVNode(IxIcon, {
        "name": "left-filled"
      }, null)]), createVNode("div", {
        "key": "__arrow-next",
        "class": `${prefixCls}-arrow ${prefixCls}-arrow-next`,
        "onClick": next
      }, [slots.arrow ? slots.arrow({
        type: "next"
      }) : createVNode(IxIcon, {
        "name": "right-filled"
      }, null)])]), mergedDotPlacement.value !== "none" && createVNode("ul", {
        "class": dotsClasses.value
      }, [children.map((node, index) => createVNode(Dot, {
        "key": node.key,
        "isActive": currRunningIndex !== -1 ? index === currRunningIndex : index === currActiveIndex,
        "index": index
      }, null))])]);
    };
  }
});
const IxCarousel = Carousel;
function useDataSource$3(props, mergedGetKey, mergedChildrenKey, mergedLabelKey, mergedFullPath) {
  const mergedData = computed(() => {
    return convertMergedData(
      props,
      mergedGetKey.value,
      mergedChildrenKey.value,
      mergedLabelKey.value,
      mergedFullPath.value,
      props.dataSource
    );
  });
  const mergedDataMap = computed(() => {
    const map = /* @__PURE__ */ new Map();
    convertMergedDataMap(map, mergedData.value);
    return map;
  });
  return { mergedData, mergedDataMap };
}
function convertMergedData(props, getKey, childrenKey, labelKey, fullPath, data, parentKey, parentLabel) {
  const { loadChildren, separator } = props;
  return data.map(
    (item) => convertMergedItem(item, getKey, childrenKey, labelKey, separator, fullPath, !!loadChildren, parentKey, parentLabel)
  );
}
function convertMergedItem(rawData, getKey, childrenKey, labelKey, separator, fullPath, hasLoad, parentKey, parentLabel) {
  var _a;
  const key = getKey(rawData);
  const label = fullPath && !isNil(parentLabel) ? `${parentLabel}${separator}${rawData[labelKey]}` : rawData[labelKey];
  const subData = rawData[childrenKey];
  const children = subData == null ? void 0 : subData.map(
    (item) => convertMergedItem(item, getKey, childrenKey, labelKey, separator, fullPath, hasLoad, key, label)
  );
  return {
    children,
    key,
    isLeaf: (_a = rawData.isLeaf) != null ? _a : !((children == null ? void 0 : children.length) || hasLoad),
    label,
    parentKey,
    rawData
  };
}
function convertMergedDataMap(map, data) {
  data.forEach((item) => {
    const { key, children } = item;
    map.set(key, item);
    if (children) {
      convertMergedDataMap(map, children);
    }
  });
}
function usePanelProps$1(props, searchValue, setOverlayOpened) {
  const [expandedKeys, setExpandedKeys] = useControlledProp(props, "expandedKeys");
  const [loadedKeys, setLoadedKeys] = useControlledProp(props, "loadedKeys");
  const onSelect = () => {
    if (!props.multiple) {
      setOverlayOpened(false);
    }
  };
  return computed(() => ({
    expandedKeys: expandedKeys.value,
    loadedKeys: loadedKeys.value,
    childrenKey: props.childrenKey,
    customAdditional: props.customAdditional,
    disableData: props.disableData,
    empty: props.empty,
    expandIcon: props.expandIcon,
    expandTrigger: props.expandTrigger,
    fullPath: props.fullPath,
    getKey: props.getKey,
    labelKey: props.labelKey,
    loadChildren: props.loadChildren,
    maxLabel: props.maxLabel,
    multiple: props.multiple,
    multipleLimit: props.multipleLimit,
    searchable: props.searchable,
    searchFn: props.searchFn,
    searchValue: searchValue.value,
    strategy: props.strategy,
    virtual: props.virtual,
    virtualScrollMode: props.virtualScrollMode,
    virtualItemHeight: props.virtualItemHeight,
    "onUpdate:expandedKeys": setExpandedKeys,
    "onUpdate:loadedKeys": setLoadedKeys,
    onSelect,
    onLoaded: props.onLoaded
  }));
}
function useSelectedData(selectedKeys, mergedDataMap) {
  return computed(() => {
    const dataMap = mergedDataMap.value;
    return selectedKeys.value.map((key) => dataMap.get(key)).filter(Boolean);
  });
}
function callChange$1(mergedDataMap, newKeys, onChange) {
  if (onChange) {
    const data = [];
    const dataMap = mergedDataMap.value;
    newKeys.forEach((key) => {
      const currData = dataMap.get(key);
      currData && data.push(currData.rawData);
    });
    callEmit(onChange, newKeys, data);
  }
}
function getChildrenKeys$1(currData, filterDisabled, getDisabledFn) {
  if (!currData || !currData.children) {
    return [];
  }
  const keys2 = [];
  currData.children.forEach((item) => {
    const { key, rawData } = item;
    if (!getDisabledFn(rawData)) {
      keys2.push(key);
      keys2.push(...getChildrenKeys$1(item, filterDisabled, getDisabledFn));
    }
  });
  return keys2;
}
function getParentKeys$1(dataMap, currData, filterDisabled, getDisabledFn) {
  const keys2 = [];
  while (currData && !isNil(currData.parentKey)) {
    const { parentKey, rawData } = currData;
    if (!filterDisabled || !getDisabledFn(rawData)) {
      keys2.unshift(parentKey);
      currData = dataMap.get(parentKey);
    } else {
      currData = void 0;
    }
  }
  return keys2;
}
function useSelectedState$1(mergedDataMap, mergedFullPath, mergedGetDisabled, multiple, strategy, selectedKeys, setSelectedKeys) {
  const resolvedSelectedKeys = computed(() => {
    const tempKeys = convertArray(selectedKeys.value);
    if (!mergedFullPath.value) {
      return tempKeys;
    }
    if (!multiple.value) {
      const lastKey = tempKeys[tempKeys.length - 1];
      return isNil(lastKey) ? [] : [lastKey];
    }
    return tempKeys.map((keys2) => keys2[keys2.length - 1]).filter((key) => !isNil(key));
  });
  const strategyEnabled = computed(() => multiple.value && strategy.value !== "off");
  const selectedWithStrategyKeys = computed(() => {
    return strategyEnabled.value ? getCascadedKeys(mergedDataMap.value, resolvedSelectedKeys.value, mergedGetDisabled.value) : resolvedSelectedKeys.value;
  });
  const indeterminateKeys = computed(() => {
    if (!strategyEnabled.value) {
      return NoopArray;
    }
    const indeterminateKeySet = /* @__PURE__ */ new Set();
    const cascadedKeys = selectedWithStrategyKeys.value;
    const dataMap = mergedDataMap.value;
    const getDisabledFn = mergedGetDisabled.value;
    cascadedKeys.forEach((key) => {
      let currData = dataMap.get(key);
      while (currData && !isNil(currData.parentKey)) {
        const parentKey = currData.parentKey;
        const parent = dataMap.get(parentKey);
        if (parent && !getDisabledFn(parent.rawData) && !cascadedKeys.includes(parentKey)) {
          indeterminateKeySet.add(parentKey);
        }
        currData = parent;
      }
    });
    return [...indeterminateKeySet];
  });
  const getFullPath = (currKey) => {
    const getDisabledFn = mergedGetDisabled.value;
    const dataMap = mergedDataMap.value;
    const fullPath = getParentKeys$1(dataMap, dataMap.get(currKey), true, getDisabledFn);
    fullPath.push(currKey);
    return fullPath;
  };
  const getCurrValue = (keys2) => {
    if (!mergedFullPath.value) {
      return multiple.value ? keys2 : keys2[0];
    }
    if (keys2.length === 0) {
      return keys2;
    }
    if (multiple.value) {
      return keys2.map(getFullPath);
    } else {
      return getFullPath(keys2[0]);
    }
  };
  const setValue = (keys2) => {
    const currValue = getCurrValue(keys2);
    const oldValue = toRaw(selectedKeys.value);
    if (currValue !== oldValue) {
      setSelectedKeys(currValue);
    }
  };
  const handleSelect = (key) => {
    const cascadedKeys = selectedWithStrategyKeys.value;
    const currIndex = cascadedKeys.indexOf(key);
    const isSelected = currIndex > -1;
    if (!multiple.value) {
      !isSelected && setValue([key]);
      return;
    }
    const dataMap = mergedDataMap.value;
    const currData = dataMap.get(key);
    const _strategyEnabled = strategyEnabled.value;
    const getDisabledFn = mergedGetDisabled.value;
    const childrenKeys = _strategyEnabled ? getChildrenKeys$1(currData, true, getDisabledFn) : [];
    const keySet = new Set(cascadedKeys);
    if (isSelected || childrenKeys.length > 0 && childrenKeys.every((key2) => keySet.has(key2) || indeterminateKeys.value.includes(key2))) {
      keySet.delete(key);
      if (_strategyEnabled) {
        getParentKeys$1(dataMap, currData, true, getDisabledFn).forEach((key2) => keySet.delete(key2));
        childrenKeys.forEach((key2) => keySet.delete(key2));
      }
    } else {
      keySet.add(key);
      if (_strategyEnabled) {
        setParentChecked(dataMap, currData, keySet, getDisabledFn);
        childrenKeys.forEach((key2) => keySet.add(key2));
      }
    }
    setValue([...getCascadedKeysByStrategy(dataMap, keySet, strategy.value)]);
  };
  return {
    resolvedSelectedKeys,
    selectedWithStrategyKeys,
    strategyEnabled,
    handleSelect,
    setValue
  };
}
function getCascadedKeys(dataMap, checkedKys, getDisabledFn) {
  const keySet = new Set(checkedKys);
  let lastParentKey;
  checkedKys.forEach((checkedKey) => {
    const currData = dataMap.get(checkedKey);
    if (!currData) {
      return;
    }
    const { parentKey } = currData;
    const childrenKeys = getChildrenKeys$1(currData, true, getDisabledFn);
    childrenKeys.forEach((key) => keySet.add(key));
    if (parentKey && lastParentKey !== parentKey) {
      setParentChecked(dataMap, currData, keySet, getDisabledFn);
      lastParentKey = parentKey;
    }
  });
  return [...keySet];
}
function setParentChecked(dataMap, currData, keySet, getDisabledFn) {
  let parentSelected = true;
  while (parentSelected && currData && !isNil(currData.parentKey)) {
    const parentKey = currData.parentKey;
    const parent = dataMap.get(parentKey);
    if (parent && !getDisabledFn(currData.rawData)) {
      parentSelected = parent.children.every((item) => getDisabledFn(item.rawData) || keySet.has(item.key));
      parentSelected && keySet.add(currData.parentKey);
    }
    currData = parent;
  }
}
function getCascadedKeysByStrategy(dataMap, ketSet, strategy) {
  if (strategy === "parent") {
    const newSet = /* @__PURE__ */ new Set();
    ketSet.forEach((checkedKey) => {
      const currData = dataMap.get(checkedKey);
      if (currData) {
        const { key: selfKey, parentKey } = currData;
        if (!parentKey || !ketSet.has(parentKey)) {
          newSet.add(selfKey);
        }
      }
    });
    return newSet;
  }
  if (strategy === "child") {
    const newSet = /* @__PURE__ */ new Set();
    ketSet.forEach((checkedKey) => {
      const currData = dataMap.get(checkedKey);
      if (currData && currData.isLeaf) {
        newSet.add(currData.key);
      }
    });
    return newSet;
  }
  return ketSet;
}
const CASCADER_PANEL_DATA_TOKEN = Symbol("CASCADER_PANEL_DATA_TOKEN");
const cascaderPanelToken = Symbol("cascaderPanelToken");
var Option = /* @__PURE__ */ defineComponent({
  props: {
    children: {
      type: Array,
      default: void 0
    },
    index: {
      type: Number,
      required: true
    },
    isLeaf: {
      type: Boolean,
      required: true
    },
    label: {
      type: String,
      required: true
    },
    optionKey: {
      type: [String, Number, Symbol],
      required: true
    },
    parentKey: {
      type: [String, Number, Symbol],
      default: void 0
    },
    rawData: {
      type: Object,
      required: true
    }
  },
  setup(props) {
    const {
      props: cascaderPanelProps2,
      slots,
      mergedPrefixCls,
      mergedExpandIcon,
      mergedGetDisabled,
      mergedLabelKey,
      activeKey,
      setActiveKey,
      expandedKeys,
      setExpandedKeys,
      loadingKeys,
      selectedWithStrategyKeys,
      selectedLimit,
      selectedLimitTitle,
      indeterminateKeys,
      handleSelect,
      handleExpand
    } = inject(cascaderPanelToken);
    const isActive = computed(() => props.optionKey === activeKey.value);
    const isDisabled = computed(() => mergedGetDisabled.value(props.rawData));
    const isExpanded = computed(() => expandedKeys.value.includes(props.optionKey));
    const isLoading = computed(() => loadingKeys.value.includes(props.optionKey));
    const isSelected = computed(() => selectedWithStrategyKeys.value.includes(props.optionKey));
    const isIndeterminate = computed(() => indeterminateKeys.value.includes(props.optionKey));
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-option`;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-leaf`]: props.isLeaf,
        [`${prefixCls}-active`]: isActive.value,
        [`${prefixCls}-disabled`]: isDisabled.value,
        [`${prefixCls}-expanded`]: isExpanded.value,
        [`${prefixCls}-loading`]: isLoading.value,
        [`${prefixCls}-selected`]: isSelected.value
      });
    });
    const _handleSelect = () => {
      handleSelect(props.optionKey);
      callEmit(cascaderPanelProps2.onSelect, props.rawData, isSelected.value);
    };
    const handleClick = () => {
      if (props.isLeaf) {
        if (!isSelected.value && selectedLimit.value) {
          return;
        }
        _handleSelect();
        isNil(props.parentKey) && setExpandedKeys([]);
      } else {
        cascaderPanelProps2.strategy === "off" && _handleSelect();
        cascaderPanelProps2.expandTrigger === "click" && handleExpand(props.optionKey);
      }
    };
    const handleCheckboxClick = (evt) => {
      evt.stopPropagation();
      _handleSelect();
    };
    const handleMouseEnter = () => {
      setActiveKey(props.optionKey);
      !props.isLeaf && cascaderPanelProps2.expandTrigger === "hover" && handleExpand(props.optionKey);
    };
    return () => {
      const {
        rawData,
        label
      } = props;
      const {
        multiple
      } = cascaderPanelProps2;
      const disabled = isDisabled.value;
      const selected = isSelected.value;
      const prefixCls = `${mergedPrefixCls.value}-option`;
      const searchValue = cascaderPanelProps2.searchValue;
      const mergedLabel = searchValue ? label : rawData[mergedLabelKey.value];
      const title = !(disabled || selected) && selectedLimitTitle.value || mergedLabel;
      const customAdditional = cascaderPanelProps2.customAdditional ? cascaderPanelProps2.customAdditional({
        data: rawData,
        index: props.index
      }) : void 0;
      return createVNode("div", mergeProps({
        "class": classes.value,
        "title": title,
        "onClick": disabled ? void 0 : handleClick,
        "onMouseenter": disabled ? void 0 : handleMouseEnter,
        "aria-label": label,
        "aria-selected": selected
      }, customAdditional), [multiple && createVNode(IxCheckbox, {
        "checked": selected,
        "disabled": disabled || !selected && selectedLimit.value,
        "indeterminate": isIndeterminate.value,
        "onClick": handleCheckboxClick
      }, null), createVNode("span", {
        "key": "__label",
        "class": `${prefixCls}-label`
      }, [renderLabel$1(slots.optionLabel, mergedLabel, rawData, searchValue, prefixCls)]), !props.isLeaf && createVNode("span", {
        "key": "__expand-icon",
        "class": `${prefixCls}-expand-icon`
      }, [convertIconVNode(slots.expandIcon, isLoading.value ? "loading" : mergedExpandIcon.value, {
        key: props.optionKey,
        expanded: isExpanded.value,
        data: rawData
      })])]);
    };
  }
});
function renderLabel$1(labelSlot, label, data, searchValue, prefixCls) {
  if (labelSlot) {
    return labelSlot({
      label,
      data,
      searchValue
    });
  }
  if (label && searchValue) {
    const startIndex = label.toUpperCase().indexOf(searchValue.toUpperCase());
    if (startIndex > -1) {
      const endIndex = startIndex + searchValue.length;
      const beforeLabel = label.substring(0, startIndex);
      const afterLabel = label.substring(endIndex);
      const highlightLabel = createVNode("span", {
        "class": `${prefixCls}-label-highlight`
      }, [label.substring(startIndex, endIndex)]);
      return [beforeLabel, highlightLabel, afterLabel];
    }
  }
  return label;
}
var OverlayOptionGroup = /* @__PURE__ */ defineComponent({
  props: {
    dataSource: {
      type: Array,
      required: true
    }
  },
  setup(props) {
    const {
      props: cascaderPanelProps2,
      slots,
      mergedPrefixCls
    } = inject(cascaderPanelToken);
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-option-group`;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-empty`]: props.dataSource.length === 0
      });
    });
    return () => {
      const {
        dataSource
      } = props;
      let children;
      if (dataSource.length > 0) {
        const {
          _virtualScrollHeight,
          virtualItemHeight: virtualItemHeight2,
          virtualScrollMode,
          virtual
        } = cascaderPanelProps2;
        const rowRender = ({
          item,
          index
        }) => createVNode(Option, mergeProps({
          "index": index,
          "optionKey": item.key
        }, item), null);
        children = createVNode(CdkVirtualScroll, {
          "dataSource": dataSource,
          "getKey": "key",
          "height": _virtualScrollHeight,
          "rowHeight": virtualItemHeight2,
          "rowRender": rowRender,
          "virtual": virtual,
          "scrollMode": virtual ? virtualScrollMode : void 0
        }, null);
      } else {
        children = createVNode(\u0275Empty, {
          "empty": cascaderPanelProps2.empty
        }, slots);
      }
      return createVNode("div", {
        "class": classes.value
      }, [children]);
    };
  }
});
function getDefaultThemeTokens$B(tokens2) {
  const { colorPrimaryText, fontSizeSm, heightMd, marginSizeSm, paddingSizeXs, paddingSizeSm, paddingSizeMd } = tokens2;
  return {
    optionFontSize: fontSizeSm,
    optionHeight: heightMd,
    optionPadding: `${paddingSizeSm}px ${paddingSizeMd}px`,
    optionLabelHighlightColor: colorPrimaryText,
    optionGroupMinWidth: 120,
    optionGroupMinHeight: 180,
    optionLabelMarginLeft: marginSizeSm,
    optionContainerPadding: `${paddingSizeXs}px 0`,
    overlaySearchWrapperPadding: `${paddingSizeXs}px ${paddingSizeMd}px ${paddingSizeSm}px`
  };
}
const getThemeTokens$B = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$B(tokens2) : getDefaultThemeTokens$B(tokens2);
};
function useActiveState$1(mergedDataMap) {
  const [activeKey, setActiveKey] = useState(void 0);
  const activeData = computed(() => {
    const currKey = activeKey.value;
    return currKey !== void 0 ? mergedDataMap.value.get(currKey) : void 0;
  });
  return { activeKey, activeData, setActiveKey };
}
function useExpandable$3(props, mergedGetKey, mergedGetDisabled, mergedChildrenKey, mergedLabelKey, mergedFullPath, mergedDataMap, selectedKeys) {
  const getDefaultExpandedKeys = (firstSelectedKey) => {
    if (isNil(firstSelectedKey)) {
      return [];
    }
    const dataMap = mergedDataMap.value;
    const currData = dataMap.get(firstSelectedKey);
    return getParentKeys$1(dataMap, currData, false, mergedGetDisabled.value);
  };
  const [expandedKeys, setExpandedKeys] = useControlledProp(
    props,
    "expandedKeys",
    () => getDefaultExpandedKeys(selectedKeys.value[0])
  );
  const [loadedKeys, setLoadedKeys] = useControlledProp(props, "loadedKeys", () => []);
  const loadingKeys = ref([]);
  const handleExpand = async (key) => {
    const { loadChildren } = props;
    if (loadingKeys.value.includes(key)) {
      return;
    }
    const dataMap = mergedDataMap.value;
    const currData = dataMap.get(key);
    if (currData && (!currData.children || currData.children.length === 0)) {
      if (!loadChildren || loadedKeys.value.includes(key)) {
        return;
      }
      loadingKeys.value.push(key);
      const rawData = currData.rawData;
      const rawChildren = await loadChildren(rawData);
      loadingKeys.value.splice(loadingKeys.value.indexOf(key), 1);
      const dataMap2 = mergedDataMap.value;
      if (rawChildren.length) {
        const childrenKey = mergedChildrenKey.value;
        const mergedChildren = convertMergedData(
          props,
          mergedGetKey.value,
          childrenKey,
          mergedLabelKey.value,
          mergedFullPath.value,
          rawChildren,
          key,
          currData.label
        );
        convertMergedDataMap(dataMap2, mergedChildren);
        currData.rawData[childrenKey] = rawChildren;
        currData.children = mergedChildren;
        const newLoadedKeys = [...loadedKeys.value, key];
        setLoadedKeys(newLoadedKeys);
        callEmit(props.onLoaded, newLoadedKeys, rawData);
      } else {
        return;
      }
    }
    const currIndex = expandedKeys.value.indexOf(key);
    const currExpanded = currIndex >= 0;
    if (!currExpanded) {
      const dataMap2 = mergedDataMap.value;
      const newKeys = getParentKeys$1(dataMap2, dataMap2.get(key), false, mergedGetDisabled.value);
      newKeys.push(key);
      handleChange(newKeys, !currExpanded, currData.rawData);
    }
  };
  const handleChange = (newKeys, newExpanded, rawData) => {
    setExpandedKeys(newKeys);
    const { onExpand, onExpandedChange } = props;
    callEmit(onExpand, newExpanded, rawData);
    callChange$1(mergedDataMap, newKeys, onExpandedChange);
  };
  return { expandedKeys, setExpandedKeys, handleExpand, loadingKeys };
}
function useIndeterminateKeys(mergedDataMap, selectedWithStrategyKeys, mergedGetDisabled, strategyEnabled) {
  return computed(() => {
    if (!strategyEnabled.value) {
      return NoopArray;
    }
    const indeterminateKeySet = /* @__PURE__ */ new Set();
    const cascadedKeys = selectedWithStrategyKeys.value;
    const dataMap = mergedDataMap.value;
    const getDisabledFn = mergedGetDisabled.value;
    cascadedKeys.forEach((key) => {
      let currData = dataMap.get(key);
      while (currData && !isNil(currData.parentKey)) {
        const parentKey = currData.parentKey;
        const parent = dataMap.get(parentKey);
        if (parent && !getDisabledFn(parent.rawData) && !cascadedKeys.includes(parentKey)) {
          indeterminateKeySet.add(parentKey);
        }
        currData = parent;
      }
    });
    return [...indeterminateKeySet];
  });
}
function useSearchable$2(props, mergedData, mergedDataMap, mergedLabelKey, mergedGetDisabled) {
  const mergedSearchFn = useSearchFn$1(props, mergedLabelKey);
  const parentEnabled = computed(() => props.multiple || props.strategy === "off");
  const searchedKeys = computed(() => {
    const searchValue = props.searchValue;
    const searchFn = mergedSearchFn.value;
    if (!searchValue) {
      return NoopArray;
    }
    const _parentEnabled = parentEnabled.value;
    const getDisabledFn = mergedGetDisabled.value;
    const keySet = /* @__PURE__ */ new Set();
    mergedData.value.forEach((data) => doSearch(keySet, data, searchFn, searchValue, _parentEnabled, getDisabledFn));
    return [...keySet];
  });
  const searchedData = computed(() => {
    const dataMap = mergedDataMap.value;
    return searchedKeys.value.map((key) => dataMap.get(key)).filter(Boolean);
  });
  return { searchedData };
}
function useSearchFn$1(props, mergedLabelKey) {
  return computed(() => {
    const searchFn = props.searchFn;
    if (isFunction(searchFn)) {
      return searchFn;
    }
    return searchFn ? getDefaultSearchFn$1(mergedLabelKey.value) : false;
  });
}
function getDefaultSearchFn$1(labelKey) {
  return (data, searchValue) => {
    const label = data[labelKey];
    return label ? label.toLowerCase().includes(searchValue.toLowerCase()) : false;
  };
}
function doSearch(keySet, data, searchFn, searchValue, _parentEnabled, getDisabledFn) {
  const { key, rawData } = data;
  if (keySet.has(key) || getDisabledFn(rawData)) {
    return;
  }
  if (searchFn === false || searchFn(rawData, searchValue)) {
    if (_parentEnabled || data.isLeaf) {
      keySet.add(key);
    }
    processChildren(keySet, data, _parentEnabled, getDisabledFn);
  } else if (data.children) {
    data.children.forEach((child) => doSearch(keySet, child, searchFn, searchValue, _parentEnabled, getDisabledFn));
  }
}
function processChildren(keySet, data, parentEnabled, getDisabledFn) {
  if (!data || !data.children) {
    return;
  }
  data.children.forEach((child) => {
    if (keySet.has(child.key) || getDisabledFn(child.rawData)) {
      return;
    }
    if (parentEnabled || child.isLeaf) {
      keySet.add(child.key);
    }
    processChildren(keySet, child, parentEnabled, getDisabledFn);
  });
}
function useSelectedLimit(selectedKeys, multipleLimit) {
  const locale2 = useGlobalConfig("locale");
  const selectedLimit = computed(() => selectedKeys.value.length >= multipleLimit.value);
  const selectedLimitTitle = computed(() => {
    if (!selectedLimit.value) {
      return "";
    }
    return locale2.select.limitMessage.replace("${0}", `${multipleLimit.value}`);
  });
  return {
    selectedLimit,
    selectedLimitTitle
  };
}
const cascaderPanelProps = {
  selectedKeys: { type: null, default: void 0 },
  expandedKeys: { type: Array, default: void 0 },
  loadedKeys: { type: Array, default: void 0 },
  childrenKey: { type: String, default: void 0 },
  customAdditional: { type: Function, default: void 0 },
  dataSource: { type: Array, default: () => [] },
  disableData: { type: Function },
  empty: { type: [String, Object], default: "simple" },
  expandIcon: { type: String, default: void 0 },
  expandTrigger: { type: String, default: "click" },
  fullPath: { type: Boolean, default: void 0 },
  getKey: { type: [String, Function], default: void 0 },
  labelKey: { type: String, default: void 0 },
  loadChildren: {
    type: Function,
    default: void 0
  },
  maxLabel: { type: [Number, String], default: Number.MAX_SAFE_INTEGER },
  multiple: { type: Boolean, default: false },
  multipleLimit: { type: Number, default: Number.MAX_SAFE_INTEGER },
  searchable: { type: [Boolean, String], default: false },
  searchFn: { type: [Boolean, Function], default: true },
  searchValue: String,
  separator: { type: String, default: "/" },
  strategy: { type: String, default: "all" },
  virtual: { type: Boolean, default: false },
  virtualScrollMode: { type: String, default: void 0 },
  virtualItemHeight: { type: Number, default: 32 },
  "onUpdate:selectedKeys": [Function, Array],
  "onUpdate:expandedKeys": [Function, Array],
  "onUpdate:loadedKeys": [Function, Array],
  onExpand: [Function, Array],
  onExpandedChange: [Function, Array],
  onLoaded: [Function, Array],
  onSelect: [Function, Array],
  _virtualScrollHeight: { type: Number, default: 256 }
};
const cascaderProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  value: { type: null, default: void 0 },
  expandedKeys: { type: Array, default: void 0 },
  loadedKeys: { type: Array, default: void 0 },
  open: { type: Boolean, default: void 0 },
  autocomplete: { type: String, default: "off" },
  autofocus: { type: Boolean, default: false },
  borderless: { type: Boolean, default: void 0 },
  childrenKey: { type: String, default: void 0 },
  clearable: { type: Boolean, default: false },
  clearIcon: { type: String, default: void 0 },
  customAdditional: { type: Function, default: void 0 },
  dataSource: { type: Array, default: () => [] },
  disabled: { type: Boolean, default: false },
  disableData: { type: Function },
  empty: { type: [String, Object], default: "simple" },
  expandIcon: { type: String, default: void 0 },
  expandTrigger: { type: String, default: "click" },
  fullPath: { type: Boolean, default: void 0 },
  getKey: { type: [String, Function], default: void 0 },
  labelKey: { type: String, default: void 0 },
  loadChildren: {
    type: Function,
    default: void 0
  },
  maxLabel: { type: [Number, String], default: Number.MAX_SAFE_INTEGER },
  multiple: { type: Boolean, default: false },
  multipleLimit: { type: Number, default: Number.MAX_SAFE_INTEGER },
  overlayClassName: { type: String, default: void 0 },
  overlayContainer: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  overlayTabindex: { type: Number, default: void 0 },
  overlayMatchWidth: { type: [Boolean, String], default: void 0 },
  overlayRender: { type: Function, default: void 0 },
  placeholder: { type: String, default: void 0 },
  readonly: { type: Boolean, default: false },
  searchable: { type: [Boolean, String], default: false },
  searchFn: { type: [Boolean, Function], default: true },
  searchPlaceholder: { type: String, default: void 0 },
  separator: { type: String, default: "/" },
  size: { type: String, default: void 0 },
  status: String,
  strategy: { type: String, default: "all" },
  suffix: { type: String, default: void 0 },
  virtual: { type: Boolean, default: false },
  virtualItemHeight: { type: Number, default: void 0 },
  virtualScrollMode: { type: String, default: void 0 },
  "onUpdate:value": [Function, Array],
  "onUpdate:expandedKeys": [Function, Array],
  "onUpdate:loadedKeys": [Function, Array],
  "onUpdate:open": [Function, Array],
  onChange: [Function, Array],
  onClear: [Function, Array],
  onFocus: [Function, Array],
  onBlur: [Function, Array],
  onExpand: [Function, Array],
  onExpandedChange: [Function, Array],
  onLoaded: [Function, Array],
  onSearch: [Function, Array]
};
var CascaderPanel = /* @__PURE__ */ defineComponent({
  props: cascaderPanelProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("cascader");
    registerToken(getThemeTokens$B);
    const config = useGlobalConfig("cascader");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-cascader`);
    const cascaderPanelContext = useCascaderPanelContext(props, config);
    const {
      mergedData,
      mergedDataMap,
      expandedKeys,
      searchedData
    } = cascaderPanelContext;
    const defaultKey = Symbol();
    const contentData = computed(() => {
      const dataSource = [{
        key: defaultKey,
        dataSource: mergedData.value
      }];
      const dataMap = mergedDataMap.value;
      expandedKeys.value.forEach((key) => {
        const currData = dataMap.get(key);
        if (currData && currData.children) {
          dataSource.push({
            key,
            dataSource: currData.children
          });
        }
      });
      return dataSource;
    });
    provide(cascaderPanelToken, {
      ...cascaderPanelContext,
      props,
      config,
      slots,
      mergedPrefixCls
    });
    return () => createVNode("div", {
      "class": [`${mergedPrefixCls.value}-panel`, globalHashId.value, hashId.value]
    }, [props.searchValue ? createVNode(OverlayOptionGroup, {
      "dataSource": searchedData.value
    }, null) : contentData.value.map((item) => createVNode(OverlayOptionGroup, item, null))]);
  }
});
function useCascaderPanelContext(props, config) {
  let dataContext = inject(CASCADER_PANEL_DATA_TOKEN, null);
  const mergedChildrenKey = computed(() => {
    var _a;
    return (_a = props.childrenKey) != null ? _a : config.childrenKey;
  });
  const mergedExpandIcon = computed(() => {
    var _a;
    return (_a = props.expandIcon) != null ? _a : config.expandIcon;
  });
  const mergedFullPath = computed(() => {
    var _a;
    return (_a = props.fullPath) != null ? _a : config.fullPath;
  });
  const mergedGetKey = useGetKey(props, config);
  const mergedGetDisabled = useGetDisabled(props);
  const mergedLabelKey = computed(() => {
    var _a;
    return (_a = props.labelKey) != null ? _a : config.labelKey;
  });
  if (!dataContext) {
    const [selectedKeys, setSelectedKeys] = useControlledProp(props, "selectedKeys");
    const dataSourceContext = useDataSource$3(props, mergedGetKey, mergedChildrenKey, mergedLabelKey, mergedFullPath);
    const {
      mergedDataMap: mergedDataMap2
    } = dataSourceContext;
    const selectedStateContext = useSelectedState$1(mergedDataMap2, mergedFullPath, mergedGetDisabled, toRef(props, "multiple"), toRef(props, "strategy"), selectedKeys, setSelectedKeys);
    dataContext = {
      ...dataSourceContext,
      ...selectedStateContext
    };
  }
  const {
    resolvedSelectedKeys,
    selectedWithStrategyKeys,
    strategyEnabled,
    mergedDataMap,
    mergedData
  } = dataContext;
  const selectedLimitContext = useSelectedLimit(resolvedSelectedKeys, toRef(props, "multipleLimit"));
  const expandableContext = useExpandable$3(props, mergedGetKey, mergedGetDisabled, mergedChildrenKey, mergedLabelKey, mergedFullPath, mergedDataMap, resolvedSelectedKeys);
  const indeterminateKeys = useIndeterminateKeys(mergedDataMap, selectedWithStrategyKeys, mergedGetDisabled, strategyEnabled);
  const searchableContext = useSearchable$2(props, mergedData, mergedDataMap, mergedLabelKey, mergedGetDisabled);
  const activeStateContext = useActiveState$1(mergedDataMap);
  return {
    ...activeStateContext,
    ...dataContext,
    ...expandableContext,
    ...selectedLimitContext,
    ...searchableContext,
    mergedChildrenKey,
    mergedExpandIcon,
    mergedFullPath,
    mergedGetKey,
    mergedGetDisabled,
    mergedLabelKey,
    indeterminateKeys
  };
}
const defaultOffset = [0, 4];
var Cascader = /* @__PURE__ */ defineComponent({
  name: "IxCascader",
  inheritAttrs: false,
  props: cascaderProps,
  setup(props, {
    attrs,
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("cascader");
    registerToken(getThemeTokens$B);
    const config = useGlobalConfig("cascader");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-cascader`);
    const mergedChildrenKey = computed(() => {
      var _a;
      return (_a = props.childrenKey) != null ? _a : config.childrenKey;
    });
    const mergedClearIcon = computed(() => {
      var _a;
      return (_a = props.clearIcon) != null ? _a : config.clearIcon;
    });
    const mergedFullPath = computed(() => {
      var _a;
      return (_a = props.fullPath) != null ? _a : config.fullPath;
    });
    const mergedGetKey = useGetKey(props, config);
    const mergedGetDisabled = useGetDisabled(props);
    const mergedLabelKey = computed(() => {
      var _a;
      return (_a = props.labelKey) != null ? _a : config.labelKey;
    });
    const triggerRef = ref();
    const [inputValue, _setInputValue] = useState("");
    const setInputValue = (input) => {
      _setInputValue(input);
      props.searchable && callEmit(props.onSearch, input);
    };
    const focus = () => {
      var _a;
      return (_a = triggerRef.value) == null ? void 0 : _a.focus();
    };
    const blur = () => {
      var _a;
      return (_a = triggerRef.value) == null ? void 0 : _a.blur();
    };
    const clearInput = () => {
      var _a;
      props.searchable === "overlay" ? setInputValue("") : (_a = triggerRef.value) == null ? void 0 : _a.clearInput();
    };
    expose({
      focus,
      blur
    });
    const [overlayOpened, setOverlayOpened] = useControlledProp(props, "open");
    const {
      accessor,
      control
    } = useAccessorAndControl();
    const commonControlProps = useMergedCommonControlProps(props, config);
    useFormItemRegister(control);
    const mergedStatus = useFormStatus(props, control);
    const dataSourceContext = useDataSource$3(props, mergedGetKey, mergedChildrenKey, mergedLabelKey, mergedFullPath);
    const {
      mergedDataMap
    } = dataSourceContext;
    const selectedStateContext = useSelectedState$1(mergedDataMap, mergedFullPath, mergedGetDisabled, toRef(props, "multiple"), toRef(props, "strategy"), toRef(accessor, "value"), (keys2) => {
      const oldKeys = toRaw(accessor.value);
      accessor.setValue(keys2);
      callEmit(props.onChange, keys2, oldKeys);
    });
    const {
      resolvedSelectedKeys,
      setValue
    } = selectedStateContext;
    const selectedData = useSelectedData(resolvedSelectedKeys, mergedDataMap);
    watch(overlayOpened, (opened) => {
      opened && focus();
      clearInput();
    });
    const onFocus = (evt) => {
      callEmit(props.onFocus, evt);
    };
    const onBlur = (evt) => {
      accessor.markAsBlurred();
      callEmit(props.onBlur, evt);
    };
    const handleItemRemove = (key) => {
      focus();
      selectedStateContext.handleSelect(key);
    };
    const handleClear = (evt) => {
      setValue([]);
      callEmit(props.onClear, evt);
    };
    provide(CASCADER_PANEL_DATA_TOKEN, {
      ...dataSourceContext,
      ...selectedStateContext
    });
    const overlayClasses = computed(() => {
      const {
        overlayClassName,
        multiple
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [`${prefixCls}-overlay`]: true,
        [`${prefixCls}-overlay-multiple`]: multiple,
        [overlayClassName || ""]: !!overlayClassName
      });
    });
    const renderTrigger2 = ({
      borderless,
      status,
      clearable,
      clearIcon,
      readonly,
      disabled,
      size,
      suffix,
      suffixRotate,
      focused,
      opened
    }) => [createVNode(IxSelector, {
      "ref": triggerRef,
      "class": mergedPrefixCls.value,
      "allowInput": props.searchable === true ? "searchable" : false,
      "autocomplete": props.autocomplete,
      "autofocus": props.autofocus,
      "borderless": borderless,
      "clearable": clearable,
      "clearIcon": clearIcon,
      "dataSource": selectedData.value,
      "disabled": disabled,
      "focused": focused,
      "maxLabel": props.maxLabel,
      "multiple": props.multiple,
      "opened": opened,
      "placeholder": props.placeholder,
      "readonly": readonly,
      "size": size,
      "status": status,
      "suffix": suffix,
      "suffixRotate": suffixRotate,
      "onClear": handleClear,
      "onInputValueChange": setInputValue,
      "onItemRemove": handleItemRemove
    }, slots)];
    const panelProps = usePanelProps$1(props, inputValue, setOverlayOpened);
    const handleSearchInput = (evt) => {
      const {
        value
      } = evt.target;
      setInputValue(value);
    };
    const handleSearchClear = () => {
      setInputValue("");
    };
    const renderContent2 = () => {
      const {
        searchable,
        overlayRender,
        searchPlaceholder
      } = props;
      const searchValue = inputValue.value;
      const prefixCls = mergedPrefixCls.value;
      const panelSlots = {
        empty: slots.empty,
        optionLabel: slots.optionLabel
      };
      const children = [createVNode("div", {
        "key": "__content",
        "class": `${prefixCls}-overlay-content`
      }, [createVNode(CascaderPanel, panelProps.value, panelSlots)])];
      if (searchable === "overlay") {
        children.unshift(createVNode("div", {
          "key": "__search-wrapper",
          "class": `${prefixCls}-overlay-search-wrapper`
        }, [createVNode(\u0275Input, {
          "clearable": true,
          "clearIcon": mergedClearIcon.value,
          "clearVisible": !!searchValue,
          "size": "sm",
          "suffix": "search",
          "value": searchValue,
          "placeholder": searchPlaceholder,
          "onClear": handleSearchClear,
          "onInput": handleSearchInput
        }, null)]));
      }
      return createVNode("div", null, [overlayRender ? overlayRender(children) : children]);
    };
    return () => {
      var _a, _b, _c;
      const {
        suffix,
        borderless,
        clearIcon,
        size
      } = commonControlProps.value;
      const controlTriggerProps2 = {
        autofocus: props.autofocus,
        overlayClassName: overlayClasses.value,
        overlayContainer: (_a = props.overlayContainer) != null ? _a : config.overlayContainer,
        overlayTabindex: (_b = props.overlayTabindex) != null ? _b : config.overlayTabindex,
        overlayContainerFallback: `.${mergedPrefixCls.value}-overlay-container`,
        overlayMatchWidth: (_c = props.overlayMatchWidth) != null ? _c : config.overlayMatchWidth,
        class: mergedPrefixCls.value,
        borderless,
        value: resolvedSelectedKeys.value,
        offset: defaultOffset,
        open: overlayOpened.value,
        readonly: props.readonly,
        size,
        status: mergedStatus.value,
        suffix,
        clearable: props.clearable,
        clearIcon,
        disabled: accessor.disabled,
        onFocus,
        onBlur,
        "onUpdate:open": setOverlayOpened
      };
      const controlTriggerSlots = {
        trigger: renderTrigger2,
        overlay: renderContent2
      };
      return createVNode(IxControlTrigger, mergeProps(controlTriggerProps2, attrs), controlTriggerSlots);
    };
  }
});
const IxCascader = Cascader;
const IxCascaderPanel = CascaderPanel;
const collapseToken = Symbol("collapseToken");
const collapseProps = {
  expandedKeys: Array,
  accordion: {
    type: Boolean,
    default: void 0
  },
  borderless: {
    type: Boolean,
    default: void 0
  },
  expandIcon: String,
  ghost: {
    type: Boolean,
    default: void 0
  },
  size: {
    type: String,
    default: void 0
  },
  "onUpdate:expandedKeys": [Function, Array]
};
const collapsePanelProps = {
  disabled: {
    type: Boolean,
    default: false
  },
  header: [String, Object]
};
function getDefaultThemeTokens$A(tokens2) {
  const {
    colorContainerBg,
    colorInfoContainerBg,
    fontSizeHeaderSm,
    fontSizeXl,
    fontSize2xl,
    paddingSizeMd,
    paddingSizeLg
  } = tokens2;
  return {
    fontSizeSm: fontSizeHeaderSm,
    fontSizeMd: fontSizeHeaderSm,
    expandIconSizeSm: fontSizeXl,
    expandIconSizeMd: fontSize2xl,
    paddingHorizontalSm: paddingSizeMd,
    paddingHorizontalMd: paddingSizeLg,
    panelHeaderBgColor: colorContainerBg,
    panelContentBgColor: colorInfoContainerBg
  };
}
function getDarkThemeTokens$3(tokens2) {
  const { colorContainerBg, colorInfoContainerBg } = tokens2;
  const defaultTokens = getDefaultThemeTokens$A(tokens2);
  return {
    ...defaultTokens,
    panelHeaderBgColor: colorInfoContainerBg,
    panelContentBgColor: colorContainerBg
  };
}
const getThemeTokens$A = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$A(tokens2) : getDarkThemeTokens$3(tokens2);
};
var Collapse = /* @__PURE__ */ defineComponent({
  name: "IxCollapse",
  props: collapseProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("collapse");
    registerToken(getThemeTokens$A);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-collapse`);
    const config = useGlobalConfig("collapse");
    const accordion = computed(() => {
      var _a;
      return (_a = props.accordion) != null ? _a : config.accordion;
    });
    const borderless = computed(() => {
      var _a;
      return (_a = props.borderless) != null ? _a : config.borderless;
    });
    const expandIcon = computed(() => {
      var _a;
      return (_a = props.expandIcon) != null ? _a : config.expandIcon;
    });
    const ghost = computed(() => {
      var _a;
      return (_a = props.ghost) != null ? _a : config.ghost;
    });
    const mergedSize = computed(() => {
      var _a;
      return (_a = props.size) != null ? _a : config.size;
    });
    const [expandedKeys, setExpandedKeys] = useControlledProp(props, "expandedKeys", () => []);
    const handleExpand = (key) => {
      let tempKeys = [...expandedKeys.value];
      const index = tempKeys.indexOf(key);
      if (accordion.value) {
        tempKeys = index > -1 ? [] : [key];
      } else {
        index > -1 ? tempKeys.splice(index, 1) : tempKeys.push(key);
      }
      setExpandedKeys(tempKeys);
    };
    provide(collapseToken, {
      props,
      slots,
      mergedSize,
      expandedKeys,
      expandIcon,
      handleExpand
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-${mergedSize.value}`]: true,
        [`${prefixCls}-borderless`]: borderless.value,
        [`${prefixCls}-ghost`]: ghost.value
      });
    });
    return () => {
      var _a;
      return createVNode("div", {
        "class": classes.value
      }, [(_a = slots.default) == null ? void 0 : _a.call(slots)]);
    };
  }
});
const collapseTransitionProps = {
  appear: {
    type: Boolean,
    default: false
  },
  name: String,
  mode: {
    type: String,
    default: "height"
  },
  onAfterEnter: [Function, Array],
  onAfterLeave: [Function, Array]
};
var CollapseTransition = /* @__PURE__ */ defineComponent({
  name: "\u0275CollapseTransition",
  props: collapseTransitionProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-collapse-transition`);
    const onBeforeEnter = (el) => {
      const mode = props.mode;
      el.style[mode] = `0px`;
      el.style.opacity = "0";
    };
    const onEnter = (el) => {
      const mode = props.mode;
      el.style[mode] = `${mode === "width" ? el.scrollWidth : el.scrollHeight}px`;
      el.style.opacity = "1";
    };
    const onAfterEnter = (el) => {
      const mode = props.mode;
      el.style[mode] = "";
      el.style.opacity = "";
      callEmit(props.onAfterEnter);
    };
    const onBeforeLeave = (el) => {
      const mode = props.mode;
      el.style[mode] = `${mode === "width" ? el.offsetWidth : el.offsetHeight}px`;
    };
    const onLeave = (el) => {
      const mode = props.mode;
      el.style[mode] = `0px`;
      el.style.opacity = "0";
    };
    const onAfterLeave = (el) => {
      const mode = props.mode;
      el.style[mode] = "";
      el.style.opacity = "";
      callEmit(props.onAfterLeave);
    };
    return () => {
      const {
        appear,
        name = mergedPrefixCls.value
      } = props;
      return createVNode(Transition, {
        "appear": appear,
        "name": name,
        "onBeforeEnter": onBeforeEnter,
        "onEnter": onEnter,
        "onAfterEnter": onAfterEnter,
        "onBeforeLeave": onBeforeLeave,
        "onLeave": onLeave,
        "onAfterLeave": onAfterLeave
      }, {
        default: () => [slots.default()]
      });
    };
  }
});
const \u0275CollapseTransition = CollapseTransition;
var CollapsePanel = /* @__PURE__ */ defineComponent({
  name: "IxCollapsePanel",
  props: collapsePanelProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("collapse");
    registerToken(getThemeTokens$A);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-collapse-panel`);
    const {
      slots: collapseSlots,
      mergedSize,
      expandedKeys,
      expandIcon,
      handleExpand
    } = inject(collapseToken);
    const key = useKey$1();
    const isExpanded = computed(() => expandedKeys.value.includes(key));
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [`${prefixCls}`]: true,
        [`${prefixCls}-disabled`]: props.disabled,
        [`${prefixCls}-expanded`]: isExpanded.value
      });
    });
    const handleClick = () => {
      if (props.disabled) {
        return;
      }
      handleExpand(key);
    };
    return () => {
      const expanded = isExpanded.value;
      const prefixCls = mergedPrefixCls.value;
      const headerNode = renderHeader(props, slots, prefixCls, collapseSlots, key, mergedSize, expanded, expandIcon, handleClick);
      return createVNode("div", {
        "class": classes.value
      }, [headerNode, createVNode(\u0275CollapseTransition, {
        "appear": true
      }, {
        default: () => {
          var _a;
          return [withDirectives(createVNode("div", {
            "class": `${prefixCls}-content`
          }, [createVNode("div", {
            "class": `${prefixCls}-content-box`
          }, [(_a = slots.default) == null ? void 0 : _a.call(slots)])]), [[vShow, expanded]])];
        }
      })]);
    };
  }
});
function renderHeader(props, slots, prefixCls, collapseSlots, key, mergedSize, expanded, expandIcon, changeExpand) {
  if (slots.header) {
    return slots.header({
      expanded,
      onClick: changeExpand,
      changeExpand
    });
  }
  let iconNode;
  if (collapseSlots.expandIcon) {
    const tempNode = collapseSlots.expandIcon({
      key,
      expanded
    });
    if (getFirstValidNode(tempNode)) {
      iconNode = tempNode;
    }
  } else {
    const iconName = expandIcon.value;
    iconNode = iconName ? createVNode(IxIcon, {
      "class": `${prefixCls}-expand-icon`,
      "name": iconName,
      "rotate": expanded ? 90 : 0
    }, null) : void 0;
  }
  const headerSlots = iconNode ? {
    prefix: () => iconNode
  } : void 0;
  const {
    header,
    disabled
  } = props;
  const headerProps2 = isString(header) ? {
    title: header
  } : header;
  return createVNode(IxHeader, mergeProps({
    "disabled": disabled,
    "size": mergedSize.value,
    "onClick": changeExpand
  }, headerProps2), headerSlots);
}
const IxCollapse = Collapse;
const IxCollapsePanel = CollapsePanel;
const colorPickerPanelProps = {
  value: String,
  format: String,
  presets: Array,
  paddingless: { type: Boolean, default: false },
  "onUpdate:format": [Function, Array],
  "onUpdate:value": [Function, Array],
  onChange: [Function, Array],
  onFormatChange: [Function, Array]
};
const colorPickerProps = {
  ...colorPickerPanelProps,
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  open: {
    type: Boolean,
    default: void 0
  },
  autofocus: {
    type: Boolean,
    default: false
  },
  clearable: {
    type: Boolean,
    default: void 0
  },
  clearIcon: String,
  disabled: {
    type: Boolean,
    default: false
  },
  overlayClassName: String,
  overlayContainer: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  overlayTabindex: { type: Number, default: void 0 },
  readonly: {
    type: Boolean,
    default: false
  },
  size: String,
  status: String,
  showText: { type: Boolean, default: false },
  "onUpdate:open": [Function, Array],
  onClear: [Function, Array],
  onFocus: [Function, Array],
  onBlur: [Function, Array]
};
const colorPickerIndicatorProps = {
  color: [String, Object],
  checked: Boolean,
  disabled: { type: Boolean, default: false },
  focused: { type: Boolean, default: void 0 },
  hoverable: { type: Boolean, default: true },
  showBoxShadow: { type: Boolean, default: true }
};
const colorPickerTriggerProps = {
  value: [String, Object],
  disabled: {
    type: Boolean,
    default: false
  },
  format: {
    type: String,
    default: "hex"
  },
  focused: { type: Boolean, default: void 0 },
  size: { type: String, default: "md" },
  showText: { type: Boolean, default: false }
};
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, key + "", value);
  return value;
};
const isHsbColor = (color) => {
  return Boolean(color && typeof color === "object" && "h" in color && "b" in color);
};
const isBrightColor = (value, bgColorToken) => {
  const color = new Color(value);
  const { r, g, b: b2, a: a3 } = color.toRgb();
  const hsv = color.onBackground(bgColorToken).toHsv();
  if (a3 <= 0.5) {
    return hsv.v > 0.5;
  }
  return r * 0.299 + g * 0.587 + b2 * 0.114 > 192;
};
const convertHsb2Hsv = (color) => {
  if (isHsbColor(color)) {
    const { b: b2, ...resets } = color;
    return {
      ...resets,
      v: b2
    };
  }
  if (typeof color === "string" && /hsb/.test(color)) {
    return color.replace(/hsb/, "hsv");
  }
  return color;
};
const getRoundNumber = (value) => Math.round(Number(value || 0));
const toHexFormat = (value, alpha) => (value == null ? void 0 : value.replace(/[^\w/]/gi, "").slice(0, alpha ? 8 : 6)) || "";
const getHex = (value, alpha) => value ? toHexFormat(value, alpha) : "";
const getTargetFormatColorStr = (color, colorFormat) => {
  switch (colorFormat) {
    case "hsb":
      return color.toHsbString();
    case "rgb":
      return color.toRgbString();
    case "hex":
    default:
      return color.toHexString();
  }
};
class Color {
  constructor(color) {
    __publicField(this, "metaColor");
    this.metaColor = new TinyColor(convertHsb2Hsv(color != null ? color : ""));
  }
  isValid() {
    return this.metaColor.isValid;
  }
  equals(color) {
    return this.metaColor.equals(convertHsb2Hsv(color));
  }
  toHsb() {
    let hsv = this.metaColor.toHsv();
    if (typeof this.metaColor.originalInput === "object" && this.metaColor.originalInput) {
      if ("h" in this.metaColor.originalInput) {
        hsv = this.metaColor.originalInput;
      }
    }
    const { v, a: a3, ...resets } = hsv;
    return {
      ...resets,
      a: a3,
      b: hsv.v
    };
  }
  toHsbString() {
    const hsb = this.toHsb();
    const saturation = getRoundNumber(hsb.s * 100);
    const lightness = getRoundNumber(hsb.b * 100);
    const hue = getRoundNumber(hsb.h);
    const a3 = hsb.a;
    const hsbString = `hsb(${hue}, ${saturation}%, ${lightness}%)`;
    const hsbaString = `hsba(${hue}, ${saturation}%, ${lightness}%, ${a3.toFixed(a3 === 0 ? 0 : 2)})`;
    return a3 === 1 ? hsbString : hsbaString;
  }
  toHsv() {
    return this.metaColor.toHsv();
  }
  toHex(alpha = true) {
    return getHex(this.metaColor.toHexString(), alpha ? this.metaColor.getAlpha() < 1 : false);
  }
  toHexString() {
    return this.metaColor.getAlpha() === 1 ? this.metaColor.toHexString() : this.metaColor.toHex8String();
  }
  toRgb() {
    return this.metaColor.toRgb();
  }
  toRgbString() {
    return this.metaColor.toRgbString();
  }
  getAlpha() {
    return this.metaColor.getAlpha();
  }
  setAlpha(alpha) {
    const hsbVal = this.toHsb();
    hsbVal.a = alpha;
    this.metaColor = new TinyColor(convertHsb2Hsv(hsbVal));
    this.metaColor;
  }
  setHue(hue) {
    const hsbVal = this.toHsb();
    hsbVal.h = hue;
    this.metaColor = new TinyColor(convertHsb2Hsv(hsbVal));
    this.metaColor;
  }
  setSaturation(saturation) {
    const hsbVal = this.toHsb();
    hsbVal.s = saturation;
    this.metaColor = new TinyColor(convertHsb2Hsv(hsbVal));
    this.metaColor;
  }
  onBackground(bgColor) {
    return new Color(this.metaColor.onBackground(bgColor));
  }
}
function percentFormatter(num) {
  return `${num != null ? num : 0}%`;
}
function getDefaultThemeTokens$z(tokens2, algorithms) {
  const { getGreyColors: getGreyColors2, getColorPalette: getColorPalette2 } = algorithms;
  const {
    colorPrimary,
    colorContainerBg,
    borderRadiusSm,
    controlHeightSm,
    controlHeightMd,
    controlHeightLg,
    controlFontSizeSm,
    controlFontSizeMd,
    controlFontSizeLg
  } = tokens2;
  const greyColors = getGreyColors2();
  const primaryColorPalette = getColorPalette2(colorPrimary);
  return {
    panelWidth: 358,
    sliderHeight: 12,
    sliderHandleSize: 12,
    sliderHandleBorderWidth: 2,
    sliderHandleBorderColor: colorContainerBg,
    sliderHandleBoxShadow: "inset 0 0 1px 0 rgb(0 0 0 / 25%), 0 0 0 1px rgb(0 0 0 / 6%)",
    indicatorBorderRadius: borderRadiusSm,
    indicatorCheckedIconColorLight: greyColors.d30,
    indicatorCheckedIconColorDark: greyColors.l40,
    indicatorHoverBoxShadow: `0px 0px 0px 2px ${getAlphaColor(primaryColorPalette.l40, 0.4)}`,
    indicatorCheckedBoxShadow: `0px 0px 0px 2px ${getAlphaColor(primaryColorPalette.l40, 0.4)}`,
    triggerSizeSm: controlHeightSm,
    triggerSizeMd: controlHeightMd,
    triggerSizeLg: controlHeightLg,
    triggerFontSizeSm: controlFontSizeSm,
    triggerFontSizeMd: controlFontSizeMd,
    triggerFontSizeLg: controlFontSizeLg,
    alphaGridColor: "rgb(0 0 0 / 6%)",
    alphaGridBoxShadow: "inset 0 0 1px 0 rgb(0 0 0 / 25%)"
  };
}
function getDarkThemeTokens$2(tokens2, algorithms) {
  const defaultTokens = getDefaultThemeTokens$z(tokens2, algorithms);
  const { getGreyColors: getGreyColors2 } = algorithms;
  const greyColors = getGreyColors2();
  return {
    ...defaultTokens,
    indicatorCheckedIconColorLight: greyColors.l40,
    indicatorCheckedIconColorDark: greyColors.d40,
    sliderHandleBoxShadow: "inset 0 0 1px 0 rgb(255 255 255 / 25%), 0 0 0 1px rgb(255 255 255 / 6%)",
    alphaGridColor: "rgb(255 255 255 / 6%)",
    alphaGridBoxShadow: "inset 0 0 1px 0 rgb(255 255 255 / 25%)"
  };
}
const getThemeTokens$z = (tokens2, presetTheme, algorithms) => {
  return presetTheme === "default" ? getDefaultThemeTokens$z(tokens2, algorithms) : getDarkThemeTokens$2(tokens2, algorithms);
};
var ColorPickerIndicator = /* @__PURE__ */ defineComponent({
  name: "IxColorPickerIndicator",
  props: colorPickerIndicatorProps,
  setup(props) {
    const {
      hashId,
      globalHashId,
      registerToken
    } = useThemeToken("colorPicker");
    const {
      themeTokens
    } = useThemeToken();
    registerToken(getThemeTokens$z);
    const {
      prefixCls
    } = useGlobalConfig("common");
    const indicatorPrefixCls = computed(() => `${prefixCls}-color-picker-indicator`);
    const color = computed(() => new Color(props.color));
    const bgColorToken = computed(() => themeTokens.value.colorBg);
    const isBlank = computed(() => !props.color || !color.value.isValid());
    const isBright = computed(() => isBrightColor(props.color, bgColorToken.value));
    const classes = computed(() => {
      const indicatorCls = indicatorPrefixCls.value;
      return {
        [indicatorCls]: true,
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [`${indicatorCls}-hoverable`]: props.hoverable,
        [`${indicatorCls}-with-box-shadow`]: props.showBoxShadow,
        [`${indicatorCls}-disabled`]: props.disabled,
        [`${indicatorCls}-focused`]: props.focused,
        [`${indicatorCls}-blank`]: isBlank.value,
        [`${indicatorCls}-bright`]: isBright.value,
        [`${indicatorCls}-checked`]: !!props.checked
      };
    });
    const innerStyle = computed(() => {
      if (isBlank.value) {
        return;
      }
      return {
        backgroundColor: color.value.toRgbString()
      };
    });
    return () => createVNode("div", {
      "class": classes.value
    }, [createVNode("div", {
      "class": `${indicatorPrefixCls.value}-inner`,
      "style": innerStyle.value
    }, null)]);
  }
});
const colorPickerPanelToken = Symbol("colorPickerPanelToken");
var Slider$1 = /* @__PURE__ */ defineComponent({
  props: {
    value: Object,
    trackStyle: Object,
    handleStyle: Object,
    boundaryWithoutHandle: Boolean,
    xIsCircle: Boolean,
    yIsCircle: Boolean,
    onChange: Function
  },
  setup(props) {
    const {
      mergedPrefixCls
    } = inject(colorPickerPanelToken);
    const [xInSecondHalf, setXInSecondHalf] = useState(false);
    const [yInSecondHalf, setYInSecondHalf] = useState(false);
    const [offsetBuffer, setOffsetBuffer] = useState({
      x: 0,
      y: 0
    });
    const [isDragging, setIsDragging] = useState(false);
    const trackRef = shallowRef();
    const handleRef = shallowRef();
    const trackSize = useElementSize(trackRef);
    const handleSize = useElementSize(handleRef);
    const availableTrackWidth = computed(() => Math.max(props.boundaryWithoutHandle ? trackSize.value.width : trackSize.value.width - handleSize.value.width, 0));
    const availableTrackHeight = computed(() => Math.max(props.boundaryWithoutHandle ? trackSize.value.height : trackSize.value.height - handleSize.value.height, 0));
    const offset = computed(() => {
      var _a, _b;
      let xPercent = keepPercentInRange((_a = props.value) == null ? void 0 : _a.x);
      let yPercent = keepPercentInRange((_b = props.value) == null ? void 0 : _b.y);
      if (xPercent === 0 && xInSecondHalf.value && props.xIsCircle) {
        xPercent = 1;
      }
      if (yPercent === 0 && yInSecondHalf.value && props.yIsCircle) {
        yPercent = 1;
      }
      const xOffset = xPercent * availableTrackWidth.value;
      const yOffset = yPercent * availableTrackHeight.value;
      return {
        x: xOffset,
        y: yOffset
      };
    });
    const updateHandleOffset = (newOffset) => {
      var _a;
      const width = availableTrackWidth.value;
      const height = availableTrackHeight.value;
      const xPercent = Number(keepPercentInRange(newOffset.x / width).toFixed(2));
      const yPercent = Number(keepPercentInRange(newOffset.y / height).toFixed(2));
      setXInSecondHalf(xPercent > 0.5);
      setYInSecondHalf(yPercent > 0.5);
      (_a = props.onChange) == null ? void 0 : _a.call(props, {
        x: xPercent,
        y: yPercent
      });
      setOffsetBuffer(newOffset);
    };
    const handleOffsetChange = (newOffset) => {
      if (!isDragging.value) {
        return;
      }
      updateHandleOffset(newOffset);
    };
    const handleDragStart = () => {
      setOffsetBuffer({
        ...offset.value
      });
      setIsDragging(true);
    };
    const handleDragEnd = () => {
      setIsDragging(false);
    };
    const handleTrackMousedown = (evt) => {
      const trackEl = convertElement(trackRef.value);
      if (!trackEl) {
        return;
      }
      const {
        clientX,
        clientY
      } = evt;
      const {
        x: x2,
        y: y3
      } = trackEl.getBoundingClientRect();
      const newOffset = {
        x: clientX - x2,
        y: clientY - y3
      };
      updateHandleOffset(newOffset);
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-slider`;
      return createVNode("div", {
        "ref": trackRef,
        "class": `${prefixCls}-track`,
        "style": props.trackStyle,
        "tabindex": -1,
        "onMousedown": handleTrackMousedown
      }, [createVNode(CdkDndMovable, {
        "ref": handleRef,
        "class": `${prefixCls}-handle`,
        "style": props.boundaryWithoutHandle ? {
          width: 0,
          height: 0
        } : void 0,
        "tabindex": -1,
        "mode": "immediate",
        "offset": isDragging.value ? offsetBuffer.value : offset.value,
        "boundary": trackRef.value,
        "dropTargets": [handleRef.value],
        "onOffsetChange": handleOffsetChange,
        "onDragStart": handleDragStart,
        "onDrop": handleDragEnd
      }, {
        default: () => [createVNode("div", {
          "class": `${prefixCls}-handle-inner`,
          "style": props.handleStyle
        }, null)]
      })]);
    };
  }
});
function keepPercentInRange(precent) {
  const value = Math.min(1, Math.max(0, precent != null ? precent : 0));
  return isNaN$1(value) ? 0 : value;
}
var AlphaSlider = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      mergedPrefixCls,
      alpha,
      rgbValue,
      setAlpha
    } = inject(colorPickerPanelToken);
    const trackStyle = computed(() => {
      const bgColor = new Color(Object.assign({
        ...rgbValue.value
      }, {
        a: 1
      })).toRgbString();
      return {
        background: `linear-gradient(to right, rgba(255, 0, 4, 0), ${bgColor})`
      };
    });
    const handleStyle = computed(() => {
      const color = new Color(rgbValue.value);
      color.setAlpha(alpha.value / 100);
      const backgroundColor = color.toRgbString();
      return {
        backgroundColor
      };
    });
    const handleChange = (value) => {
      setAlpha(value.x);
    };
    return () => createVNode("div", {
      "class": `${mergedPrefixCls.value}-alpha-slider-wrapper`
    }, [createVNode(Slider$1, {
      "class": `${mergedPrefixCls.value}-alpha-slider`,
      "value": {
        x: alpha.value,
        y: 0
      },
      "trackStyle": trackStyle.value,
      "handleStyle": handleStyle.value,
      "onChange": handleChange
    }, null)]);
  }
});
var ColorSelector = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      mergedPrefixCls,
      hue,
      saturation,
      brightness,
      setHsb
    } = inject(colorPickerPanelToken);
    const sliderValue = computed(() => ({
      x: saturation.value,
      y: 1 - brightness.value
    }));
    const trackStyle = computed(() => {
      const backgroundColor = new Color({
        h: hue.value,
        s: 100,
        b: 100,
        a: 1
      }).toRgbString();
      return {
        backgroundColor
      };
    });
    const handleChange = (value) => {
      setHsb({
        s: value.x,
        b: 1 - value.y
      });
    };
    return () => createVNode(Slider$1, {
      "class": `${mergedPrefixCls.value}-color-selector`,
      "value": sliderValue.value,
      "trackStyle": trackStyle.value,
      "boundaryWithoutHandle": true,
      "onChange": handleChange
    }, null);
  }
});
var HueSlider = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      mergedPrefixCls,
      hue,
      setHsb
    } = inject(colorPickerPanelToken);
    const handleStyle = computed(() => {
      const backgroundColor = new Color({
        h: hue.value,
        s: 100,
        b: 100,
        a: 1
      }).toRgbString();
      return {
        backgroundColor
      };
    });
    const sliderValue = computed(() => {
      return {
        x: hue.value / 360,
        y: 0
      };
    });
    const handleChange = (value) => {
      setHsb({
        h: Math.round(value.x * 360)
      });
    };
    return () => createVNode(Slider$1, {
      "class": `${mergedPrefixCls.value}-hue-slider`,
      "value": sliderValue.value,
      "handleStyle": handleStyle.value,
      "xIsCircle": true,
      "onChange": handleChange
    }, null);
  }
});
var ColorPickerPalette = /* @__PURE__ */ defineComponent({
  name: "IxColorPickerPalette",
  setup() {
    const {
      mergedPrefixCls,
      rgbValue
    } = inject(colorPickerPanelToken);
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-palette`;
      return createVNode("div", {
        "class": prefixCls
      }, [createVNode(ColorSelector, null, null), createVNode("div", {
        "class": `${prefixCls}-bottom`
      }, [createVNode("div", {
        "class": `${prefixCls}-sliders`
      }, [createVNode(HueSlider, null, null), createVNode(AlphaSlider, null, null)]), createVNode(ColorPickerIndicator, {
        "class": `${prefixCls}-indicator`,
        "color": rgbValue.value,
        "hoverable": false,
        "showBoxShadow": false
      }, null)])]);
    };
  }
});
function useResolvedPresets(props) {
  const resolvedPresets = computed(() => {
    var _a, _b;
    return (_b = (_a = props.presets) == null ? void 0 : _a.map((preset) => {
      return {
        key: preset.key,
        label: preset.label,
        colors: preset.colors.map((color) => {
          if (!color) {
            return "rgba(0,0,0,0)";
          }
          const colorObj = new Color(color);
          if (!colorObj.isValid()) {
            return false;
          }
          return color;
        }).filter(Boolean),
        defaultOpen: preset.defaultOpen
      };
    })) != null ? _b : [];
  });
  return resolvedPresets;
}
function useSelectedColor(valueRef, format2, handleChange) {
  const [selectedColor, setSelectedColor] = useState(new Color(valueRef.value));
  let tempSelectedColor;
  const hsbValue = computed(() => selectedColor.value.toHsb());
  const hexValue = computed(() => selectedColor.value.toHex());
  const rgbValue = computed(() => selectedColor.value.toRgb());
  const hue = computed(() => hsbValue.value.h);
  const saturation = computed(() => hsbValue.value.s);
  const brightness = computed(() => hsbValue.value.b);
  const alpha = computed(() => selectedColor.value.getAlpha());
  const updateColor = (color) => {
    if (!color.isValid()) {
      return;
    }
    tempSelectedColor = color;
    if (tempSelectedColor.equals(hsbValue.value)) {
      setSelectedColor(tempSelectedColor);
    }
    const colorStr = getTargetFormatColorStr(color, format2.value);
    handleChange(colorStr);
  };
  watch(
    valueRef,
    (value) => {
      let color = new Color(value || { h: 0, s: 0, b: 0, a: 0 });
      if (tempSelectedColor && color.equals(tempSelectedColor.toRgb())) {
        color = tempSelectedColor;
      }
      setSelectedColor(color);
    },
    { immediate: true }
  );
  watch(format2, () => {
    updateColor(selectedColor.value);
  });
  const setHsb = (v) => {
    updateColor(new Color(Object.assign({ ...hsbValue.value }, v)));
  };
  const setHex = (v, alpha2) => {
    const color = new Color(v);
    if (!isNil(alpha2)) {
      color.setAlpha(alpha2);
    }
    updateColor(color);
  };
  const setRgb = (v) => {
    updateColor(new Color(Object.assign({ ...rgbValue.value }, v)));
  };
  const setAlpha = (v) => {
    const color = new Color(hsbValue.value);
    color.setAlpha(v);
    updateColor(color);
  };
  return {
    selectedColor,
    hsbValue,
    hexValue,
    rgbValue,
    hue,
    saturation,
    brightness,
    alpha,
    setHsb,
    setHex,
    setRgb,
    setAlpha,
    updateColor
  };
}
function useSelectedFormat(props, config) {
  const [format2, setFormat] = useControlledProp(props, "format");
  const mergedFormat = computed(() => {
    var _a;
    return (_a = format2.value) != null ? _a : config.format;
  });
  const updateFormat = (newFormat) => {
    const oldFormat = toRaw(mergedFormat.value);
    setFormat(newFormat);
    callEmit(props.onFormatChange, newFormat, oldFormat);
  };
  return {
    format: mergedFormat,
    setFormat: updateFormat
  };
}
function useColorPickerPanelContext(props, valueRef, handleChange) {
  let context = inject(colorPickerPanelToken, null);
  if (!context) {
    const common = useGlobalConfig("common");
    const config = useGlobalConfig("colorPicker");
    const locale2 = useGlobalConfig("locale");
    const selectedFormatContext = useSelectedFormat(props, config);
    const selectedColorContext = useSelectedColor(valueRef, selectedFormatContext.format, handleChange);
    const resolvedPresets = useResolvedPresets(props);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-color-picker`);
    context = {
      mergedPrefixCls,
      locale: locale2.colorPicker,
      ...selectedFormatContext,
      ...selectedColorContext,
      resolvedPresets
    };
    provide(colorPickerPanelToken, context);
  }
  return context;
}
const inputNumberProps = {
  value: [Number, null],
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  disabled: {
    type: Boolean,
    default: false
  },
  formatter: Function,
  keyboard: {
    type: Boolean,
    default: void 0
  },
  max: {
    type: Number,
    default: Infinity
  },
  min: {
    type: Number,
    default: -Infinity
  },
  placeholder: String,
  precision: Number,
  readonly: {
    type: Boolean,
    default: false
  },
  size: String,
  status: String,
  step: {
    type: Number,
    default: 1
  },
  "onUpdate:value": [Function, Array],
  onChange: [Function, Array],
  onFocus: [Function, Array],
  onBlur: [Function, Array]
};
function useInputNumber(props, config) {
  const { accessor, control } = useAccessorAndControl();
  useFormItemRegister(control);
  const mergedSize = useFormSize(props, config);
  const mergedStatus = useFormStatus(props, control);
  const rawDisplayValue = ref("");
  const displayValue = ref("");
  const isIllegal = ref(true);
  const nowValue = computed(() => {
    var _a;
    return (_a = accessor.value) != null ? _a : void 0;
  });
  const isKeyboard = computed(() => {
    var _a;
    return (_a = props.keyboard) != null ? _a : config.keyboard;
  });
  const isDisabled = computed(() => accessor.disabled);
  const isDisabledDec = computed(() => props.readonly || !!nowValue.value && nowValue.value <= props.min);
  const isDisabledInc = computed(() => props.readonly || !!nowValue.value && nowValue.value >= props.max);
  const precision = computed(() => {
    const stepPrecision = getPrecision(props.step);
    if (props.precision !== void 0) {
      return props.precision;
    }
    return Math.max(getPrecision(accessor.value), stepPrecision);
  });
  const disabledDec = computed(() => getIncValueFormAccessor(-props.step) < props.min);
  const disabledInc = computed(() => getIncValueFormAccessor(props.step) > props.max);
  const updateDisplayValue = (v) => {
    rawDisplayValue.value = v;
    if (!v) {
      displayValue.value = v;
      return;
    }
    if (!props.formatter) {
      displayValue.value = v;
    } else {
      displayValue.value = props.formatter(Number(v));
    }
  };
  function getIncValueFormAccessor(step) {
    const { value } = accessor;
    let newVal = step;
    if (typeof value === "number" && !Number.isNaN(value)) {
      newVal = parseFloat((value + step).toFixed(precision.value));
    }
    return Math.max(props.min, Math.min(props.max, newVal));
  }
  function updateDisplayValueFromAccessor() {
    const { value } = accessor;
    if (!value && value !== 0 || !String(value).trim()) {
      updateDisplayValue("");
    } else if (Number.isNaN(Number(value)) || typeof value !== "number" && typeof value !== "string") {
      updateDisplayValue("");
    } else {
      const newValue = Number(value);
      if (displayValue.value === "" || newValue !== Number(displayValue.value)) {
        updateDisplayValue(newValue.toFixed(precision.value));
      }
    }
  }
  function updateModelValueFromDisplayValue() {
    const { value: strVal } = displayValue;
    const numberVal = parseFloat(Number(strVal).toFixed(precision.value));
    if (strVal === "") {
      updateModelValue(null);
    } else if (Number.isNaN(numberVal)) {
      updateDisplayValueFromAccessor();
    } else {
      const newVal = Math.max(props.min, Math.min(props.max, numberVal));
      updateDisplayValue(newVal.toFixed(precision.value));
      updateModelValue(newVal);
    }
  }
  function updateModelValue(newVal) {
    const oldVal = toRaw(accessor.value);
    if (newVal !== oldVal) {
      accessor.setValue(newVal);
      callEmit(props.onChange, newVal, oldVal);
      nextTick(() => {
        if (newVal !== accessor.value) {
          updateDisplayValueFromAccessor();
        }
      });
    }
  }
  function handleInput(evt) {
    const { value: inputVal } = evt.target;
    const strVal = inputVal.trim().replace(/。/g, ".");
    updateDisplayValue(strVal);
    if (strVal === "") {
      updateModelValue(null);
      return;
    }
    const numberVal = Number(strVal);
    if (!Number.isNaN(numberVal)) {
      if (numberVal >= props.min && numberVal <= props.max) {
        updateModelValue(numberVal);
      }
    }
  }
  function handleDec() {
    if (props.readonly || isDisabled.value || disabledDec.value) {
      return;
    }
    const newVal = getIncValueFormAccessor(-props.step);
    updateModelValue(newVal);
  }
  function handleInc() {
    if (props.readonly || isDisabled.value || disabledInc.value) {
      return;
    }
    const newVal = getIncValueFormAccessor(props.step);
    updateModelValue(newVal);
  }
  function handleKeyDown(evt) {
    if (isKeyboard.value) {
      if (evt.code === "Enter" || evt.code === "NumpadEnter") {
        updateModelValueFromDisplayValue();
      } else if (evt.code === "ArrowUp") {
        evt.preventDefault();
        handleInc();
      } else if (evt.code === "ArrowDown") {
        evt.preventDefault();
        handleDec();
      }
    }
  }
  const isFocused = ref(false);
  function handleFocus(evt) {
    isFocused.value = true;
    callEmit(props.onFocus, evt);
  }
  function handleBlur(evt) {
    isFocused.value = false;
    updateModelValueFromDisplayValue();
    accessor.markAsBlurred();
    callEmit(props.onBlur, evt);
  }
  watch(
    rawDisplayValue,
    (value) => {
      if (value !== "") {
        const numberVal = Number(value);
        isIllegal.value = Number.isNaN(numberVal) || numberVal < props.min || numberVal > props.max;
      } else {
        isIllegal.value = false;
      }
    },
    { immediate: true }
  );
  watch(
    () => accessor.value,
    () => updateDisplayValueFromAccessor(),
    { immediate: true }
  );
  return {
    mergedSize,
    mergedStatus,
    displayValue,
    isIllegal,
    isDisabled,
    isDisabledDec,
    isDisabledInc,
    isFocused,
    nowValue,
    handleKeyDown,
    handleDec,
    handleInc,
    handleInput,
    handleFocus,
    handleBlur
  };
}
function getPrecision(value) {
  if (value === void 0 || value === null) {
    return 0;
  }
  const decimal = String(value).split(".")[1];
  return decimal ? decimal.length : 0;
}
var InputNumber = /* @__PURE__ */ defineComponent({
  name: "IxInputNumber",
  props: inputNumberProps,
  setup(props, {
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const config = useGlobalConfig("inputNumber");
    const {
      mergedSize,
      mergedStatus,
      displayValue,
      nowValue,
      isIllegal,
      isDisabled,
      isDisabledDec,
      isDisabledInc,
      isFocused,
      handleInput,
      handleFocus,
      handleBlur,
      handleKeyDown,
      handleDec,
      handleInc
    } = useInputNumber(props, config);
    const {
      elementRef,
      focus,
      blur
    } = useFormFocusMonitor({
      handleBlur,
      handleFocus
    });
    expose({
      focus,
      blur
    });
    const mergedPrefixCls = computed(() => `${common.prefixCls}-input-number`);
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-illegal`]: isIllegal.value
      });
    });
    const inputRef = ref();
    onMounted(() => {
      elementRef.value = inputRef.value.getInputElement();
    });
    const handleIncrease = (evt) => {
      evt.stopPropagation();
      handleInc();
    };
    const handleDecrease = (evt) => {
      evt.stopPropagation();
      handleDec();
    };
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const vSlots = {
        ...slots,
        suffix: () => [createVNode("span", {
          "key": "increase",
          "class": normalizeClass({
            [`${prefixCls}-increase`]: true,
            [`${prefixCls}-increase-disabled`]: isDisabled.value || isDisabledInc.value
          }),
          "role": "button",
          "onClick": handleIncrease
        }, [createVNode(IxIcon, {
          "name": "up"
        }, null)]), createVNode("span", {
          "key": "decrease",
          "class": normalizeClass({
            [`${prefixCls}-decrease`]: true,
            [`${prefixCls}-decrease-disabled`]: isDisabled.value || isDisabledDec.value
          }),
          "role": "button",
          "onClick": handleDecrease
        }, [createVNode(IxIcon, {
          "name": "down"
        }, null)])]
      };
      return createVNode(\u0275Input, {
        "class": classes.value,
        "ref": inputRef,
        "type": "text",
        "autocomplete": "off",
        "aria-valuemin": props.min,
        "aria-valuemax": props.max,
        "aria-valuenow": nowValue.value,
        "disabled": isDisabled.value,
        "focused": isFocused.value,
        "readonly": props.readonly,
        "placeholder": props.placeholder,
        "size": mergedSize.value,
        "status": mergedStatus.value,
        "value": displayValue.value,
        "onInput": handleInput,
        "onKeydown": handleKeyDown
      }, vSlots);
    };
  }
});
const IxInputNumber = InputNumber;
const inputCommonProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  value: { type: String, default: void 0 },
  clearable: { type: Boolean, default: void 0 },
  clearIcon: { type: String, default: void 0 },
  disabled: { type: Boolean, default: false },
  readonly: { type: Boolean, default: false },
  size: { type: String, default: void 0 },
  status: String,
  trim: { type: Boolean, default: void 0 },
  "onUpdate:value": [Function, Array],
  onChange: [Function, Array],
  onClear: [Function, Array],
  onCompositionStart: [Function, Array],
  onCompositionEnd: [Function, Array],
  onInput: [Function, Array],
  onFocus: [Function, Array],
  onBlur: [Function, Array]
};
const inputProps = {
  ...inputCommonProps,
  addonAfter: { type: String, default: void 0 },
  addonBefore: { type: String, default: void 0 },
  borderless: { type: Boolean, default: void 0 },
  prefix: { type: String, default: void 0 },
  suffix: { type: String, default: void 0 }
};
function useInput(props, config) {
  const { accessor, control } = useAccessorAndControl();
  useFormItemRegister(control);
  const mergedSize = useFormSize(props, config);
  const mergedStatus = useFormStatus(props, control);
  const clearable = computed(() => {
    var _a;
    return (_a = props.clearable) != null ? _a : config.clearable;
  });
  const clearIcon = computed(() => {
    var _a;
    return (_a = props.clearIcon) != null ? _a : config.clearIcon;
  });
  const clearVisible = computed(() => !accessor.disabled && !props.readonly && !!accessor.value);
  const mergedTrim = computed(() => {
    var _a;
    return (_a = props.trim) != null ? _a : config.trim;
  });
  const isFocused = ref(false);
  const handleFocus = (evt) => {
    isFocused.value = true;
    callEmit(props.onFocus, evt);
  };
  const handleBlur = (evt) => {
    isFocused.value = false;
    accessor.markAsBlurred();
    callEmit(props.onBlur, evt);
    if (mergedTrim.value) {
      setValue(evt.target.value.trim());
    }
  };
  const { elementRef, focus, blur } = useFormFocusMonitor({
    handleFocus,
    handleBlur
  });
  const setValue = (value) => {
    const oldValue = toRaw(accessor.value);
    if (value !== oldValue) {
      accessor.setValue(value);
      callEmit(props.onChange, value, oldValue);
      nextTick(() => syncValue());
    }
  };
  const syncValue = () => {
    var _a;
    const element = elementRef.value;
    const value = (_a = accessor.value) != null ? _a : "";
    if (element && element.value !== value) {
      element.value = value;
    }
  };
  watch(
    () => accessor.value,
    () => syncValue()
  );
  const isComposing = ref(false);
  const handleInput = (evt, emitInput = true) => {
    emitInput && callEmit(props.onInput, evt);
    if (isComposing.value) {
      return;
    }
    setValue(evt.target.value);
  };
  const handleCompositionStart = (evt) => {
    isComposing.value = true;
    callEmit(props.onCompositionStart, evt);
  };
  const handleCompositionEnd = (evt) => {
    callEmit(props.onCompositionEnd, evt);
    if (isComposing.value) {
      isComposing.value = false;
      handleInput(evt, false);
    }
  };
  const handleClear = (evt) => {
    accessor.setValue("");
    callEmit(props.onClear, evt);
  };
  return {
    elementRef,
    accessor,
    mergedSize,
    mergedStatus,
    clearable,
    clearIcon,
    clearVisible,
    isFocused,
    isComposing,
    focus,
    blur,
    handleInput,
    handleCompositionStart,
    handleCompositionEnd,
    handleFocus,
    handleBlur,
    handleClear,
    syncValue
  };
}
var Input = /* @__PURE__ */ defineComponent({
  name: "IxInput",
  props: inputProps,
  setup(props, {
    slots,
    expose
  }) {
    const config = useGlobalConfig("input");
    const {
      elementRef,
      accessor,
      mergedSize,
      mergedStatus,
      clearable,
      clearIcon,
      clearVisible,
      isFocused,
      focus,
      blur,
      handleInput,
      handleCompositionStart,
      handleCompositionEnd,
      handleClear,
      syncValue
    } = useInput(props, config);
    expose({
      focus,
      blur
    });
    const inputRef = ref();
    onMounted(() => {
      elementRef.value = inputRef.value.getInputElement();
      syncValue();
    });
    return () => {
      const {
        addonAfter,
        addonBefore,
        borderless,
        prefix,
        suffix
      } = props;
      return createVNode(\u0275Input, {
        "ref": inputRef,
        "addonAfter": addonAfter,
        "addonBefore": addonBefore,
        "borderless": borderless,
        "clearable": clearable.value,
        "clearIcon": clearIcon.value,
        "clearVisible": clearVisible.value,
        "disabled": accessor.disabled,
        "focused": isFocused.value,
        "prefix": prefix,
        "readonly": props.readonly,
        "size": mergedSize.value,
        "status": mergedStatus.value,
        "suffix": suffix,
        "value": accessor.value,
        "onClear": handleClear,
        "onInput": handleInput,
        "onCompositionstart": handleCompositionStart,
        "onCompositionend": handleCompositionEnd
      }, slots);
    };
  }
});
const IxInput = Input;
var HexEditor = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      mergedPrefixCls,
      hexValue,
      setHex
    } = inject(colorPickerPanelToken);
    const [hexInput, setHexInput] = useState("");
    watch(hexValue, setHexInput, {
      immediate: true
    });
    const handleInputChange = (value) => {
      setHexInput(value);
      setHex(value);
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-hex-editor`;
      return createVNode(IxInput, {
        "class": prefixCls,
        "size": "md",
        "value": hexInput.value,
        "onChange": handleInputChange
      }, null);
    };
  }
});
var HsbEditor = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      mergedPrefixCls,
      hsbValue,
      setHsb
    } = inject(colorPickerPanelToken);
    const [hInput, setHInput] = useState(0);
    const [sInput, setSInput] = useState(0);
    const [bInput, setBInput] = useState(0);
    watch(hsbValue, (v) => {
      setHInput(v.h);
      setSInput(v.s * 100);
      setBInput(v.b * 100);
    }, {
      immediate: true
    });
    const handleHInputChange = (value) => {
      if (isNil(value)) {
        return;
      }
      setHInput(value);
      setHsb({
        h: value
      });
    };
    const handleSInputChange = (value) => {
      if (isNil(value)) {
        return;
      }
      setSInput(value);
      setHsb({
        s: value / 100
      });
    };
    const handleBInputChange = (value) => {
      if (isNil(value)) {
        return;
      }
      setBInput(value);
      setHsb({
        b: value / 100
      });
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-hsb-editor`;
      return createVNode("div", {
        "class": prefixCls
      }, [createVNode(IxInputNumber, {
        "class": [`${prefixCls}-input`, `${prefixCls}-input-h`],
        "value": hInput.value,
        "precision": 0,
        "max": 360,
        "min": 0,
        "onChange": handleHInputChange
      }, null), createVNode(IxInputNumber, {
        "class": [`${prefixCls}-input`, `${prefixCls}-input-s`],
        "value": sInput.value,
        "formatter": percentFormatter,
        "precision": 0,
        "max": 100,
        "min": 0,
        "onChange": handleSInputChange
      }, null), createVNode(IxInputNumber, {
        "class": [`${prefixCls}-input`, `${prefixCls}-input-b`],
        "value": bInput.value,
        "formatter": percentFormatter,
        "precision": 0,
        "max": 100,
        "min": 0,
        "onChange": handleBInputChange
      }, null)]);
    };
  }
});
var RgbEditor = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      mergedPrefixCls,
      rgbValue,
      setRgb
    } = inject(colorPickerPanelToken);
    const [rInput, setRInput] = useState(0);
    const [gInput, setGInput] = useState(0);
    const [bInput, setBInput] = useState(0);
    watch(rgbValue, (v) => {
      setRInput(v.r);
      setGInput(v.g);
      setBInput(v.b);
    }, {
      immediate: true
    });
    const handleRInputChange = (value) => {
      if (isNil(value)) {
        return;
      }
      setRInput(value);
      setRgb({
        r: value
      });
    };
    const handleGInputChange = (value) => {
      if (isNil(value)) {
        return;
      }
      setGInput(value);
      setRgb({
        g: value
      });
    };
    const handleBInputChange = (value) => {
      if (isNil(value)) {
        return;
      }
      setBInput(value);
      setRgb({
        b: value
      });
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-rgb-editor`;
      return createVNode("div", {
        "class": prefixCls
      }, [createVNode(IxInputNumber, {
        "class": [`${prefixCls}-input`, `${prefixCls}-input-r`],
        "value": rInput.value,
        "precision": 0,
        "max": 255,
        "min": 0,
        "onChange": handleRInputChange
      }, null), createVNode(IxInputNumber, {
        "class": [`${prefixCls}-input`, `${prefixCls}-input-g`],
        "value": gInput.value,
        "precision": 0,
        "max": 255,
        "min": 0,
        "onChange": handleGInputChange
      }, null), createVNode(IxInputNumber, {
        "class": [`${prefixCls}-input`, `${prefixCls}-input-b`],
        "value": bInput.value,
        "precision": 0,
        "max": 255,
        "min": 0,
        "onChange": handleBInputChange
      }, null)]);
    };
  }
});
const formatSelectDataSource = [{
  key: "hex",
  label: "HEX"
}, {
  key: "hsb",
  label: "HSB"
}, {
  key: "rgb",
  label: "RGB"
}];
var ColorPickerEditor = /* @__PURE__ */ defineComponent({
  name: "IxColorPickerEditor",
  setup() {
    const {
      mergedPrefixCls,
      alpha,
      format: format2,
      setAlpha,
      setFormat
    } = inject(colorPickerPanelToken);
    const alphaInput = computed(() => alpha.value * 100);
    const handleAlphaInputChange = (v) => {
      if (isNil(v)) {
        return;
      }
      setAlpha(v / 100);
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-editor`;
      const formatValue = format2.value;
      const SubEditorComp = formatValue === "hex" ? HexEditor : formatValue === "hsb" ? HsbEditor : RgbEditor;
      return createVNode("div", {
        "class": prefixCls
      }, [createVNode(IxSelect, {
        "class": `${prefixCls}-format-select`,
        "value": format2.value,
        "dataSource": formatSelectDataSource,
        "onChange": setFormat
      }, null), createVNode(SubEditorComp, {
        "class": `${prefixCls}-sub`
      }, null), createVNode(IxInputNumber, {
        "class": `${prefixCls}-alpha-input`,
        "value": alphaInput.value,
        "formatter": percentFormatter,
        "precision": 0,
        "max": 100,
        "min": 0,
        "onChange": handleAlphaInputChange
      }, null)]);
    };
  }
});
var PresetIndicator = /* @__PURE__ */ defineComponent({
  props: {
    color: String
  },
  setup(props) {
    const {
      mergedPrefixCls,
      hsbValue,
      updateColor
    } = inject(colorPickerPanelToken);
    const color = computed(() => new Color(props.color));
    const isChecked = computed(() => {
      return color.value.isValid() && color.value.equals(hsbValue.value);
    });
    const handleClick = () => {
      updateColor(color.value);
    };
    return () => createVNode(ColorPickerIndicator, {
      "class": `${mergedPrefixCls.value}-presets-indicator`,
      "color": props.color,
      "checked": isChecked.value,
      "onClick": handleClick
    }, null);
  }
});
var ColorPickerPresets = /* @__PURE__ */ defineComponent({
  name: "IxColorPickerPresets",
  setup() {
    const {
      mergedPrefixCls,
      locale: locale2,
      resolvedPresets
    } = inject(colorPickerPanelToken);
    const [expandedKeys, setExpandedKeys] = useState([]);
    const expandeKeySet = computed(() => new Set(expandedKeys.value));
    watch(resolvedPresets, (presets) => {
      const newExpandedKeySet = /* @__PURE__ */ new Set();
      presets.forEach((preset) => {
        if (preset.defaultOpen || expandeKeySet.value.has(preset.key)) {
          newExpandedKeySet.add(preset.key);
        }
      });
      setExpandedKeys([...newExpandedKeySet]);
    }, {
      immediate: true
    });
    const renderCollapseHeader = ({
      expanded,
      changeExpand,
      label
    }) => {
      return createVNode(IxHeader, {
        "title": label,
        "onClick": changeExpand,
        "size": "sm"
      }, {
        prefix: () => createVNode(IxIcon, {
          "class": `${mergedPrefixCls.value}-presets-collapse-icon`,
          "name": "right",
          "rotate": expanded ? 90 : 0
        }, null)
      });
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-presets`;
      return createVNode(IxCollapse, {
        "class": prefixCls,
        "expandedKeys": expandedKeys.value,
        "ghost": true,
        "borderless": true,
        "onUpdate:expandedKeys": setExpandedKeys
      }, {
        default: () => [resolvedPresets.value.map((preset) => createVNode(IxCollapsePanel, {
          "key": preset.key
        }, {
          default: () => [preset.colors.length ? createVNode("div", {
            "class": `${mergedPrefixCls.value}-presets-colors`
          }, [preset.colors.map((color) => createVNode(PresetIndicator, {
            "color": color
          }, null))]) : createVNode("span", {
            "class": `${mergedPrefixCls.value}-empty`
          }, [locale2.presetEmpty])],
          header: (params) => renderCollapseHeader({
            ...params,
            label: preset.label
          })
        }))]
      });
    };
  }
});
var ColorPickerPanel = /* @__PURE__ */ defineComponent({
  name: "IxColorPickerPanel",
  props: colorPickerPanelProps,
  setup(props, {
    slots
  }) {
    const {
      hashId,
      globalHashId,
      registerToken
    } = useThemeToken("colorPicker");
    registerToken(getThemeTokens$z);
    let context = inject(colorPickerPanelToken, null);
    if (!context) {
      const [valueRef, setValue] = useControlledProp(props, "value");
      const handleChange = (value) => {
        const oldValue = toRaw(valueRef.value);
        setValue(value);
        callEmit(props.onChange, value, oldValue);
      };
      context = useColorPickerPanelContext(props, valueRef, handleChange);
    }
    const {
      mergedPrefixCls,
      resolvedPresets
    } = context;
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-panel`;
      return {
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-paddingless`]: props.paddingless
      };
    });
    const renderPanelContent = (prefixCls) => {
      if (slots.default) {
        return slots.default();
      }
      return createVNode("div", {
        "class": `${prefixCls}-inner`
      }, [createVNode(ColorPickerPalette, null, null), createVNode(ColorPickerEditor, null, null), resolvedPresets.value.length ? [createVNode("div", {
        "class": `${prefixCls}-separator`
      }, null), createVNode(ColorPickerPresets, null, null)] : void 0]);
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-panel`;
      return createVNode("div", {
        "class": classes.value
      }, [renderPanelContent(prefixCls)]);
    };
  }
});
var ColorPickerTrigger = /* @__PURE__ */ defineComponent({
  name: "IxColorPickerTrigger",
  props: colorPickerTriggerProps,
  setup(props, {
    slots
  }) {
    const {
      hashId,
      globalHashId,
      registerToken
    } = useThemeToken("colorPicker");
    registerToken(getThemeTokens$z);
    const common = useGlobalConfig("common");
    const triggerCls = computed(() => `${common.prefixCls}-color-picker-trigger`);
    const color = computed(() => new Color(props.value));
    const text = computed(() => color.value.isValid() ? getTargetFormatColorStr(color.value, props.format) : "");
    const classes = computed(() => {
      const prefixCls = triggerCls.value;
      return {
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-${props.size}`]: props.size,
        [`${prefixCls}-focused`]: props.focused,
        [`${prefixCls}-disabled`]: props.disabled
      };
    });
    const renderContent2 = () => {
      if (slots.default) {
        return slots.default({
          value: props.value,
          format: props.format,
          text: text.value,
          disabled: props.disabled,
          focused: props.focused,
          size: props.size
        });
      }
      const indicator = createVNode(ColorPickerIndicator, {
        "color": props.value,
        "disabled": props.disabled,
        "focused": props.focused
      }, null);
      if (!props.showText) {
        return indicator;
      }
      return [indicator, createVNode("span", {
        "class": `${triggerCls.value}-text`
      }, [text.value])];
    };
    return () => createVNode("div", {
      "class": classes.value,
      "tabindex": -1
    }, [renderContent2()]);
  }
});
function usePickerState$2(props, config) {
  const { accessor, control } = useAccessorAndControl();
  useFormItemRegister(control);
  const mergedSize = useFormSize(props, config);
  const mergedStatus = useFormStatus(props, control);
  const [focused, setFocused] = useState(false);
  const handleChange = (value) => {
    const oldValue = toRaw(accessor.value);
    accessor.setValue(value);
    callEmit(props.onChange, value, oldValue);
  };
  const handleFocus = (evt) => {
    setFocused(true);
    callEmit(props.onFocus, evt);
  };
  const handleBlur = (evt) => {
    setFocused(false);
    accessor.markAsBlurred();
    callEmit(props.onBlur, evt);
  };
  return {
    accessor,
    mergedSize,
    mergedStatus,
    focused,
    handleChange,
    handleFocus,
    handleBlur
  };
}
var ColorPicker = /* @__PURE__ */ defineComponent({
  name: "IxColorPicker",
  inheritAttrs: false,
  props: colorPickerProps,
  setup(props, {
    attrs,
    slots
  }) {
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("colorPicker");
    registerToken(getThemeTokens$z);
    const config = useGlobalConfig("colorPicker");
    const [overlayOpened, setOverlayOpened] = useControlledProp(props, "open", false);
    const {
      accessor,
      mergedSize,
      mergedStatus,
      focused,
      handleFocus,
      handleBlur,
      handleChange
    } = usePickerState$2(props, config);
    const valueRef = toRef(accessor, "value");
    const {
      mergedPrefixCls,
      format: format2
    } = useColorPickerPanelContext(props, valueRef, handleChange);
    const renderTrigger2 = () => createVNode(ColorPickerTrigger, {
      "value": accessor.value,
      "disabled": accessor.disabled,
      "format": format2.value,
      "focused": focused.value,
      "size": mergedSize.value,
      "showText": props.showText
    }, {
      default: slots.trigger
    });
    const renderContent2 = () => createVNode(ColorPickerPanel, null, {
      default: slots.panel
    });
    const overlayClass = computed(() => normalizeClass([`${mergedPrefixCls.value}-overlay`, globalHashId.value, hashId.value, props.overlayClassName]));
    const triggerProps2 = computed(() => {
      var _a, _b;
      return {
        autoFocus: props.autofocus,
        value: accessor.value,
        clearable: false,
        disabled: accessor.disabled,
        open: overlayOpened.value,
        overlayContainer: (_a = props.overlayContainer) != null ? _a : config.overlayContainer,
        overlayContainerFallback: `.${mergedPrefixCls.value}-overlay-container`,
        overlayTabindex: (_b = props.overlayTabindex) != null ? _b : config.overlayTabindex,
        readonly: props.readonly,
        size: mergedSize.value,
        status: mergedStatus.value,
        "onUpdate:open": setOverlayOpened,
        onFocus: handleFocus,
        onBlur: handleBlur
      };
    });
    return () => createVNode(IxControlTrigger, mergeProps(triggerProps2.value, {
      "class": `${mergedPrefixCls.value} ${globalHashId.value} ${hashId.value}`,
      "overlayClassName": overlayClass.value
    }, attrs), {
      trigger: renderTrigger2,
      overlay: renderContent2
    });
  }
});
const IxColorPicker = ColorPicker;
const IxColorPickerPanel = ColorPickerPanel;
const IxColorPickerTrigger = ColorPickerTrigger;
const IxColorPickerIndicator = ColorPickerIndicator;
const IxColorPickerPalette = ColorPickerPalette;
const IxColorPickerEditor = ColorPickerEditor;
const IxColorPickerPresets = ColorPickerPresets;
const commentProps = {
  author: {
    type: String,
    default: void 0
  },
  avatar: {
    type: [String, Object],
    default: void 0
  },
  content: {
    type: String,
    default: void 0
  },
  datetime: {
    type: String,
    default: void 0
  }
};
function getDefaultThemeTokens$y(tokens2) {
  const { colorTextPlaceholder, colorTextInfo, colorText } = tokens2;
  return {
    nestIndent: 44,
    authorNameColor: colorTextPlaceholder,
    authorTimeColor: colorTextInfo,
    actionColor: colorTextInfo,
    actionColorHover: colorText
  };
}
const getThemeTokens$y = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$y(tokens2) : getDefaultThemeTokens$y(tokens2);
};
var Comment = /* @__PURE__ */ defineComponent({
  name: "IxComment",
  props: commentProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("comment");
    registerToken(getThemeTokens$y);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-comment`);
    return () => {
      const prefixCls = mergedPrefixCls.value;
      return createVNode("div", {
        "class": [prefixCls, globalHashId.value, hashId.value]
      }, [createVNode("div", {
        "class": `${prefixCls}-inner`
      }, [renderAvatar(props, slots, prefixCls), renderContent$1(props, slots, prefixCls)]), slots.default && createVNode("div", {
        "class": `${prefixCls}-nested`
      }, [slots.default()])]);
    };
  }
});
function renderAvatar(props, slots, prefixCls) {
  let avatarNode;
  if (slots.avatar) {
    avatarNode = slots.avatar();
  } else if (props.avatar) {
    const {
      avatar
    } = props;
    const avatarProps2 = isString(avatar) ? {
      src: avatar
    } : avatar;
    avatarNode = createVNode(IxAvatar, avatarProps2, null);
  }
  return avatarNode && createVNode("div", {
    "class": `${prefixCls}-avatar`
  }, [avatarNode]);
}
function renderContent$1(props, slots, prefixCls) {
  const contentPrefixCls = `${prefixCls}-content`;
  const contentNode = convertStringVNode(slots, props, "content");
  const authorNode = convertStringVNode(slots, props, "author");
  const datetimeNode = convertStringVNode(slots, props, "datetime");
  return createVNode("div", {
    "class": contentPrefixCls
  }, [(authorNode || datetimeNode) && createVNode("div", {
    "class": `${contentPrefixCls}-author`
  }, [authorNode && createVNode("span", {
    "class": `${contentPrefixCls}-author-name`
  }, [authorNode]), datetimeNode && createVNode("span", {
    "class": `${contentPrefixCls}-author-time`
  }, [datetimeNode])]), contentNode && createVNode("div", {
    "class": `${contentPrefixCls}-detail`
  }, [contentNode]), slots.actions && createVNode("ul", {
    "class": `${contentPrefixCls}-actions`
  }, [slots.actions().map((action, index) => {
    return createVNode("li", {
      "key": `action-${index}`
    }, [action]);
  })])]);
}
const IxComment = Comment;
function getDefaultThemeTokens$x(tokens2, algorithms) {
  const { getColorPalette: getColorPalette2 } = algorithms;
  const {
    colorPrimary,
    colorPrimaryTextHover,
    colorText,
    colorTextInverse,
    colorTextDisabled,
    colorContainerBgHover,
    colorInfoContainerBg,
    marginSizeLg,
    paddingSizeSm,
    paddingSizeMd,
    paddingSizeLg,
    fontSizeSm,
    fontWeightMd,
    heightMd
  } = tokens2;
  const primaryColorPalette = getColorPalette2(colorPrimary);
  return {
    separatorMarginHorizontal: marginSizeLg,
    overlayWidth: 252,
    overlayPadding: paddingSizeLg,
    overlayFooterPadding: `${paddingSizeSm}px ${paddingSizeLg}px`,
    overlayDateInputWidth: 120,
    overlayTimeInputWidth: 96,
    boardWidth: 220,
    boardMaxHeight: 260,
    rangeBoardBorder: "none",
    rangeOverlayPadding: `${paddingSizeLg}px ${paddingSizeLg}px 0 ${paddingSizeLg}px`,
    rangeOverlayFooterPadding: `${paddingSizeSm}px 0`,
    rangeOverlaySeparatorWidth: 32,
    rangeOverlaySeparatorFontSize: fontSizeSm,
    rangeShortcutsItemHeight: heightMd,
    rangeShortcutsItemFontSize: fontSizeSm,
    rangeShortcutsItemPadding: `${paddingSizeSm}px ${paddingSizeMd}px`,
    panelFontSize: fontSizeSm,
    panelColor: colorText,
    panelCellWidth: 28,
    panelCellHeight: 28,
    panelCellWidthLg: 52,
    panelCellHeightLg: 24,
    panelCellColorActive: colorTextInverse,
    panelCellColorHover: colorPrimaryTextHover,
    panelCellColorDisabled: colorTextDisabled,
    panelCellBgColorHover: colorContainerBgHover,
    panelCellBgColorActive: colorPrimary,
    panelCellBgColorInRange: primaryColorPalette.l50,
    panelCellBgColorDisabled: colorInfoContainerBg,
    panelCellTriggerWidth: 20,
    panelCellTriggerHeight: 20,
    panelCellTriggerWidthLg: 52,
    panelCellTriggerHeightLg: 24,
    panelCellCurrentColor: colorPrimary,
    panelCellCurrentBorderColor: primaryColorPalette.l40,
    panelCellCurrentBgColor: colorPrimary,
    panelHeaerHeight: heightMd,
    panelHeaderFontSize: fontSizeSm,
    panelHeaderFontWeight: fontWeightMd,
    panelHeaderSpacing: marginSizeLg,
    panelBodyHeaderBgColor: colorInfoContainerBg
  };
}
const getThemeTokens$x = (tokens2, presetTheme, algorithms) => {
  return presetTheme === "default" ? getDefaultThemeTokens$x(tokens2, algorithms) : getDefaultThemeTokens$x(tokens2, algorithms);
};
const defaultFormat = {
  date: "yyyy-MM-dd",
  week: "RRRR-II",
  month: "yyyy-MM",
  quarter: "yyyy-'Q'Q",
  year: "yyyy",
  datetime: "yyyy-MM-dd HH:mm:ss"
};
function useFormat(props, config) {
  const formatRef = computed(() => {
    var _a, _b, _c;
    const type = props.type;
    return (_c = (_b = props.format) != null ? _b : (_a = config.format) == null ? void 0 : _a[type]) != null ? _c : defaultFormat[type];
  });
  const { hourEnabled, hourUse12Hours, minuteEnabled, secondEnabled, use12Hours } = useTimePanelEnabledStatus(
    props,
    formatRef
  );
  const dateFormatRef = computed(() => {
    var _a;
    if (props.type !== "datetime") {
      return formatRef.value;
    }
    return (_a = props.dateFormat) != null ? _a : defaultFormat.date;
  });
  const timeFormatRef = computed(() => {
    if (props.timeFormat) {
      return props.timeFormat;
    }
    const hourFormat = hourEnabled.value && (hourUse12Hours.value ? "hh" : "HH");
    const timeFormatBase = [hourFormat, minuteEnabled.value && "mm", secondEnabled.value && "ss"].filter(Boolean).join(":");
    return use12Hours.value ? `${timeFormatBase} a` : timeFormatBase;
  });
  return {
    formatRef,
    dateFormatRef,
    timeFormatRef,
    hourEnabled,
    minuteEnabled,
    secondEnabled,
    use12Hours
  };
}
function useTimePanelEnabledStatus(props, formatRef) {
  const _formatRef = computed(() => {
    var _a;
    return (_a = props.timeFormat) != null ? _a : formatRef.value;
  });
  return {
    hourEnabled: computed(() => /[hH]/.test(_formatRef.value)),
    hourUse12Hours: computed(() => /h/.test(_formatRef.value)),
    minuteEnabled: computed(() => /m/.test(_formatRef.value)),
    secondEnabled: computed(() => /s/.test(_formatRef.value)),
    use12Hours: computed(() => /[aA]/.test(_formatRef.value))
  };
}
function useDateInputEnabledStatus(formatRef) {
  return computed(() => {
    const format2 = formatRef.value;
    return {
      yearEnabled: /[yYR]/.test(format2),
      monthEnabled: /[MQID]/.test(format2),
      dateEnabled: /[dDiEec]/.test(format2)
    };
  });
}
function useControl(dateConfig, formatContext, inputEnableStatus, valueRef, handleChange) {
  const { formatRef, dateFormatRef, timeFormatRef, hourEnabled, minuteEnabled, secondEnabled, use12Hours } = formatContext;
  const [inputValue, setInputValue] = useState("");
  const [dateInputValue, setDateInputValue] = useState("");
  const [timeInputValue, setTimeInputValue] = useState("");
  const [panelValue, setPanelValue] = useState(void 0);
  const [visiblePanel, setVisiblePanel] = useState("datePanel");
  const [dateInputFocused, setDateInputFocused] = useState(false);
  const [timeInputFocused, setTimeInputFocused] = useState(false);
  const dateInputEnableStatus = useDateInputEnabledStatus(formatRef);
  const innerDateInputEnableStatus = useDateInputEnabledStatus(dateFormatRef);
  function initInputValue(currValue, force = false) {
    if (!currValue) {
      setInputValue("");
      return;
    }
    const { parse: parse2, format: format2 } = dateConfig;
    if (force || parse2(inputValue.value, formatRef.value).valueOf() !== parse2(format2(currValue, formatRef.value), formatRef.value).valueOf()) {
      setInputValue(format2(currValue, formatRef.value));
    }
  }
  function initDateInputValue(currValue, force = false) {
    if (!currValue) {
      setDateInputValue("");
      return;
    }
    const { parse: parse2, format: format2 } = dateConfig;
    const parsedValue = parse2(dateInputValue.value, dateFormatRef.value);
    if (force || !isSameDateTime(dateConfig, parsedValue, currValue, ["year", "month", "date"])) {
      setDateInputValue(format2(currValue, dateFormatRef.value));
    }
  }
  function initTimeInputValue(currValue, force = false) {
    if (!currValue) {
      setTimeInputValue("");
      return;
    }
    const { parse: parse2, format: format2 } = dateConfig;
    const parsedValue = parse2(timeInputValue.value, timeFormatRef.value);
    if (force || !isSameDateTime(dateConfig, parsedValue, currValue, ["hour", "minute", "second"])) {
      setTimeInputValue(format2(currValue, timeFormatRef.value));
    }
  }
  function init(force = false) {
    const currDateValue = convertToDate$1(dateConfig, valueRef.value, formatRef.value);
    initInputValue(currDateValue, force);
    inputEnableStatus.value.enableOverlayDateInput && initDateInputValue(currDateValue, force);
    inputEnableStatus.value.enableOverlayTimeInput && initTimeInputValue(currDateValue, force);
    setPanelValue(currDateValue);
  }
  watch([valueRef, formatRef], () => init(), { immediate: true });
  watch(inputEnableStatus, () => init());
  function parseInput(value, format2, referenceDate) {
    return value ? dateConfig.parse(value, format2, referenceDate) : void 0;
  }
  function checkInputValid(date) {
    return !date || dateConfig.isValid(date);
  }
  let DateTimeAdjustType;
  ((DateTimeAdjustType2) => {
    DateTimeAdjustType2[DateTimeAdjustType2["input"] = 0] = "input";
    DateTimeAdjustType2[DateTimeAdjustType2["timeInput"] = 1] = "timeInput";
    DateTimeAdjustType2[DateTimeAdjustType2["dateInput"] = 2] = "dateInput";
  })(DateTimeAdjustType || (DateTimeAdjustType = {}));
  function getDatePartAdjustTypes(enableStatus) {
    const { yearEnabled, monthEnabled, dateEnabled } = enableStatus;
    return [!yearEnabled && "year", !monthEnabled && "month", !dateEnabled && "date"].filter(Boolean);
  }
  function getTimePartAdjustTypes() {
    const _hourEnabled = hourEnabled.value || use12Hours.value;
    return [
      !_hourEnabled && "hour",
      !minuteEnabled.value && "minute",
      !secondEnabled.value && "second",
      "millisecond"
    ].filter(Boolean);
  }
  function adjustDateTimeOfInput(value, propValue, type) {
    if (!value || !propValue) {
      return value;
    }
    let typesToApply;
    if (type === 2) {
      typesToApply = [
        ...getDatePartAdjustTypes(innerDateInputEnableStatus.value),
        "hour",
        "minute",
        "second",
        "millisecond"
      ];
    } else if (type === 1) {
      typesToApply = ["year", "month", "date", ...getTimePartAdjustTypes()];
    } else {
      typesToApply = [...getDatePartAdjustTypes(dateInputEnableStatus.value), ...getTimePartAdjustTypes()];
    }
    return applyDateTime(dateConfig, propValue, value, typesToApply);
  }
  function handleInput(evt) {
    const value = evt.target.value;
    const referenceValue = convertToDate$1(dateConfig, valueRef.value, formatRef.value);
    setInputValue(value);
    let currDate = parseInput(value, formatRef.value, referenceValue);
    if (!checkInputValid(currDate)) {
      return;
    }
    currDate = adjustDateTimeOfInput(currDate, referenceValue, 0);
    handleChange(currDate);
  }
  function handleDateInput(evt) {
    const value = evt.target.value;
    const referenceValue = convertToDate$1(dateConfig, valueRef.value, formatRef.value);
    setDateInputValue(value);
    let currDate = parseInput(value, dateFormatRef.value, referenceValue);
    if (!checkInputValid(currDate)) {
      return;
    }
    currDate = adjustDateTimeOfInput(currDate, referenceValue, 2);
    handleChange(currDate);
    setVisiblePanel("datePanel");
  }
  function handleTimeInput(evt) {
    const value = evt.target.value;
    const referenceValue = convertToDate$1(dateConfig, valueRef.value, formatRef.value);
    setTimeInputValue(value);
    let currDate = parseInput(value, timeFormatRef.value, referenceValue);
    if (!checkInputValid(currDate)) {
      return;
    }
    currDate = adjustDateTimeOfInput(currDate, referenceValue, 1);
    handleChange(currDate);
    setVisiblePanel("timePanel");
  }
  function handleDateInputClear() {
    setDateInputValue("");
  }
  function handleTimeInputClear() {
    setTimeInputValue("");
  }
  function handlePanelChange(value) {
    handleChange(value);
  }
  function handleDateInputFocus() {
    setVisiblePanel("datePanel");
    setDateInputFocused(true);
  }
  function handleTimeInputFocus() {
    setVisiblePanel("timePanel");
    setTimeInputFocused(true);
  }
  function handleDateInputBlur() {
    setDateInputFocused(false);
  }
  function handleTimeInputBlur() {
    setTimeInputFocused(false);
  }
  return {
    inputValue,
    dateInputValue,
    timeInputValue,
    dateInputFocused,
    timeInputFocused,
    panelValue,
    visiblePanel,
    setVisiblePanel,
    init,
    handleInput,
    handleDateInput,
    handleTimeInput,
    handleDateInputClear,
    handleTimeInputClear,
    handlePanelChange,
    handleDateInputFocus,
    handleTimeInputFocus,
    handleDateInputBlur,
    handleTimeInputBlur
  };
}
function useInputEnableStatus$1(props, config) {
  return computed(() => {
    var _a;
    const allowInput = (_a = props.allowInput) != null ? _a : config.allowInput;
    return {
      allowInput,
      enableInput: allowInput === true,
      enableOverlayDateInput: allowInput === "overlay" || props.type === "datetime",
      enableOverlayTimeInput: props.type === "datetime"
    };
  });
}
function useKeyboardEvents$1(overlayOpened, setOverlayOpened) {
  return (evt) => {
    if (evt.code === "Escape") {
      setOverlayOpened(false);
      return;
    }
    if (!overlayOpened.value && !["Backspace", "Tab"].includes(evt.code)) {
      evt.preventDefault();
      setOverlayOpened(true);
      return;
    }
    if (evt.code === "Enter") {
      setOverlayOpened(false);
    }
  };
}
function useRangeKeyboardEvents$1(rangeControl, overlayOpened, setOverlayOpened, handleChange) {
  const { bufferUpdated, buffer } = rangeControl;
  return (evt) => {
    if (evt.code === "Escape") {
      setOverlayOpened(false);
      return;
    }
    if (!overlayOpened.value && !["Backspace", "Tab"].includes(evt.code)) {
      evt.preventDefault();
      setOverlayOpened(true);
      return;
    }
    if (evt.code === "Enter") {
      if (bufferUpdated.value) {
        handleChange(buffer.value);
      }
      setOverlayOpened(false);
    }
  };
}
function useOverlayState$1(props) {
  const [overlayOpened, setOverlayOpened] = useControlledProp(props, "open", false);
  const [overlayVisible, setOverlayVisible] = useState(false);
  watch(
    overlayOpened,
    (open) => {
      if (open) {
        setOverlayVisible(true);
      }
    },
    { immediate: true }
  );
  const onAfterLeave = () => {
    if (!overlayOpened.value) {
      setOverlayVisible(false);
    }
  };
  onMounted(() => {
    if (props.autofocus) {
      setOverlayOpened(true);
    }
  });
  return { overlayOpened, overlayVisible, setOverlayOpened, onAfterLeave };
}
function useTimePanelProps(props, hourEnabled, minuteEnabled, secondEnabled, use12Hours) {
  return computed(() => {
    var _a;
    return {
      ...getTimePanelProps((_a = props.timePanelOptions) != null ? _a : {}),
      hourEnabled: hourEnabled.value,
      minuteEnabled: minuteEnabled.value,
      secondEnabled: secondEnabled.value,
      use12Hours: use12Hours.value
    };
  });
}
function useRangeTimePanelProps(props, hourEnabled, minuteEnabled, secondEnabled, use12Hours) {
  const getOptions = (isFrom) => {
    var _a;
    return (_a = isArray(props.timePanelOptions) ? props.timePanelOptions[isFrom ? 0 : 1] : props.timePanelOptions) != null ? _a : {};
  };
  const rangeTimePanelProps = computed(() => {
    const enabledStatus = {
      hourEnabled: hourEnabled.value,
      minuteEnabled: minuteEnabled.value,
      secondEnabled: secondEnabled.value,
      use12Hours: use12Hours.value
    };
    return [
      { ...getTimePanelProps(getOptions(true)), ...enabledStatus },
      { ...getTimePanelProps(getOptions(false)), ...enabledStatus }
    ];
  });
  return rangeTimePanelProps;
}
function getTimePanelProps(timePanelOptions) {
  const { disabledHours, disabledMinutes, disabledSeconds, hideDisabledOptions, hourStep, minuteStep, secondStep } = timePanelOptions;
  return {
    disabledHours,
    disabledMinutes,
    disabledSeconds,
    hideDisabledOptions,
    hourStep,
    minuteStep,
    secondStep
  };
}
function usePickerPanelProps(context) {
  const {
    props,
    hourEnabled,
    minuteEnabled,
    secondEnabled,
    use12Hours,
    inputEnableStatus,
    controlContext: { visiblePanel, panelValue, handlePanelChange },
    overlayVisible,
    setOverlayOpened
  } = context;
  const _handlePanelChange = (value) => {
    handlePanelChange(value);
    if (!inputEnableStatus.value.enableOverlayTimeInput) {
      setOverlayOpened(false);
    }
  };
  const timePanelProps2 = useTimePanelProps(props, hourEnabled, minuteEnabled, secondEnabled, use12Hours);
  const datePanelProps2 = computed(() => ({
    cellTooltip: props.cellTooltip,
    disabledDate: props.disabledDate,
    value: panelValue.value,
    type: props.type,
    timePanelOptions: timePanelProps2.value,
    visible: overlayVisible.value && visiblePanel.value,
    onChange: _handlePanelChange
  }));
  return datePanelProps2;
}
function usePickerState$1(props, config, dateConfig, formatRef) {
  const { accessor, control } = useAccessorAndControl();
  useFormItemRegister(control);
  const mergedSize = useFormSize(props, config);
  const mergedStatus = useFormStatus(props, control);
  const [focused, setFocused] = useState(false);
  const convertedValue = computed(() => {
    if (isArray(accessor.value)) {
      return accessor.value.map((v) => convertToDate$1(dateConfig, v, formatRef.value));
    }
    return convertToDate$1(dateConfig, accessor.value, formatRef.value);
  });
  function handleChange(value) {
    const newValue = isArray(value) ? sortRangeValue$1(dateConfig, value) : value;
    if (convertArray(newValue).some((v) => {
      var _a;
      return (_a = props.disabledDate) == null ? void 0 : _a.call(props, v);
    })) {
      return;
    }
    const oldValue = toRaw(convertedValue.value);
    accessor.setValue(newValue);
    callEmit(props.onChange, newValue, oldValue);
  }
  function handleClear(evt) {
    callEmit(props.onClear, evt);
    handleChange(void 0);
  }
  function handleFocus(evt) {
    setFocused(true);
    callEmit(props.onFocus, evt);
  }
  function handleBlur(evt) {
    setFocused(false);
    accessor.markAsBlurred();
    callEmit(props.onBlur, evt);
  }
  return {
    accessor,
    convertedValue,
    mergedSize,
    mergedStatus,
    focused,
    handleChange,
    handleClear,
    handleFocus,
    handleBlur
  };
}
function useTriggerProps$1(context) {
  const {
    props,
    config,
    accessor,
    mergedSize,
    mergedStatus,
    mergedPrefixCls,
    overlayOpened,
    onAfterLeave,
    setOverlayOpened,
    handleFocus,
    handleBlur,
    handleClear,
    handleKeyDown
  } = context;
  return computed(() => {
    var _a, _b, _c, _d, _e;
    return {
      autofocus: props.autofocus,
      borderless: props.borderless,
      value: accessor.value,
      clearable: (_a = props.clearable) != null ? _a : config.clearable,
      clearIcon: (_b = props.clearIcon) != null ? _b : config.clearIcon,
      disabled: accessor.disabled,
      open: overlayOpened.value,
      overlayContainer: (_c = props.overlayContainer) != null ? _c : config.overlayContainer,
      overlayContainerFallback: `.${mergedPrefixCls.value}-overlay-container`,
      overlayTabindex: (_d = props.overlayTabindex) != null ? _d : config.overlayTabindex,
      readonly: props.readonly,
      size: mergedSize.value,
      status: mergedStatus.value,
      suffix: (_e = props.suffix) != null ? _e : config.suffix,
      suffixRotate: false,
      "onUpdate:open": setOverlayOpened,
      onClear: handleClear,
      onFocus: handleFocus,
      onBlur: handleBlur,
      onKeydown: handleKeyDown,
      onOverlayAfterLeave: onAfterLeave
    };
  });
}
const footerProps = {
  cancel: Function,
  cancelButton: Object,
  cancelLoading: Boolean,
  cancelText: String,
  cancelVisible: {
    type: Boolean,
    default: true
  },
  disabled: {
    type: Boolean,
    default: void 0
  },
  footer: [Boolean, Array, Object, Function],
  ok: Function,
  okButton: Object,
  okLoading: Boolean,
  okText: String
};
var Footer$1 = /* @__PURE__ */ defineComponent({
  name: "\u0275Footer",
  props: footerProps,
  setup(props, {
    slots
  }) {
    const cancelButtonProps = computed(() => {
      const {
        cancel,
        cancelButton,
        cancelVisible,
        cancelLoading,
        cancelText
      } = props;
      if (!cancelVisible || !cancel && !cancelText && !cancelButton) {
        return void 0;
      }
      return {
        key: "__IDUX_FOOTER_BUTTON_CANCEL",
        text: cancelText,
        onClick: cancel,
        loading: cancelLoading,
        ...cancelButton
      };
    });
    const okButtonProps = computed(() => {
      const {
        ok,
        okButton,
        okLoading,
        okText
      } = props;
      if (!ok && !okText && !okButton) {
        return void 0;
      }
      return {
        key: "__IDUX_FOOTER_BUTTON_OK",
        text: okText,
        onClick: ok,
        loading: okLoading,
        mode: cancelButtonProps.value ? "primary" : "default",
        ...okButton
      };
    });
    return () => {
      const footerProp = props.footer;
      const footerSlot = slots.footer;
      if (!footerProp && !footerSlot) {
        return void 0;
      }
      let children;
      if (footerSlot) {
        children = footerSlot(props);
      } else if (isFunction(footerProp)) {
        children = footerProp();
      } else if (isVNode(footerProp)) {
        children = footerProp;
      } else {
        let buttonProps2 = footerProp;
        if (!Array.isArray(buttonProps2)) {
          const cancelButton = cancelButtonProps.value;
          const okButton = okButtonProps.value;
          buttonProps2 = [];
          okButton && buttonProps2.push(okButton);
          cancelButton && buttonProps2.push(cancelButton);
        }
        children = buttonProps2.map((item) => {
          const {
            text,
            disabled,
            ...rest
          } = item;
          const _text = isFunction(text) ? text() : text;
          return createVNode(IxButton, mergeProps({
            "disabled": disabled || props.disabled
          }, rest), {
            default: () => [_text]
          });
        });
      }
      return createVNode("div", null, [children]);
    };
  }
});
const \u0275Footer = Footer$1;
const datePickerToken = Symbol("datePickerToken");
const dateRangePickerToken = Symbol("dateRangePickerToken");
const datePickerPanelPropsToken = Symbol("datePickerPanelPropsToken");
const dateRangePickerPanelPropsToken = Symbol(
  "dateRangePickerPanelPropsToken"
);
const dateRangePickerPanelSlotsToken = Symbol("dateRangePickerPanelSlotsToken");
var PickerOverlayFooter = /* @__PURE__ */ defineComponent({
  name: "IxDatePickerOverlayFooter",
  setup(_, {
    slots
  }) {
    const {
      mergedPrefixCls,
      props
    } = inject(datePickerToken);
    return () => createVNode(\u0275Footer, {
      "class": `${mergedPrefixCls.value}-overlay-footer`,
      "footer": props.footer
    }, slots);
  }
});
function useInputProps$1(context) {
  return computed(() => {
    var _a, _b;
    const { props, config, accessor } = context;
    return {
      borderless: false,
      clearable: (_a = props.clearable) != null ? _a : config.clearable,
      clearIcon: (_b = props.clearIcon) != null ? _b : config.clearIcon,
      disabled: accessor.disabled,
      size: "sm"
    };
  });
}
var PickerOverlayInputs = /* @__PURE__ */ defineComponent({
  name: "IxDatePickerOverlayInputs",
  setup(_, {
    slots
  }) {
    const context = inject(datePickerToken);
    const {
      mergedPrefixCls,
      dateFormatRef,
      timeFormatRef,
      inputEnableStatus,
      inputRef,
      controlContext: {
        dateInputValue,
        timeInputValue,
        dateInputFocused,
        timeInputFocused,
        handleDateInput,
        handleTimeInput,
        handleDateInputClear,
        handleTimeInputClear,
        handleDateInputFocus,
        handleTimeInputFocus,
        handleDateInputBlur,
        handleTimeInputBlur
      },
      handleKeyDown,
      handleClear
    } = context;
    const inputInstance = ref();
    onMounted(() => {
      var _a;
      if (inputEnableStatus.value.allowInput !== "overlay") {
        return;
      }
      inputRef.value = (_a = inputInstance.value) == null ? void 0 : _a.getInputElement();
    });
    const _handleDateInputFocus = (evt) => {
      handleDateInputFocus();
      if (inputEnableStatus.value.allowInput === "overlay") {
        inputRef.value = evt.target;
      }
    };
    const _handleTimeInputFocus = (evt) => {
      handleTimeInputFocus();
      if (inputEnableStatus.value.allowInput === "overlay") {
        inputRef.value = evt.target;
      }
    };
    const _handleDateInputClear = (evt) => {
      if (!inputEnableStatus.value.enableOverlayTimeInput) {
        handleClear(evt);
      }
      handleDateInputClear();
    };
    const inputProps2 = useInputProps$1(context);
    return () => {
      if (!inputEnableStatus.value.enableOverlayDateInput) {
        return null;
      }
      const prefixCls = `${mergedPrefixCls.value}-overlay-inputs`;
      return createVNode("div", {
        "class": prefixCls
      }, [createVNode(\u0275Input, mergeProps({
        "ref": inputInstance
      }, inputProps2.value, {
        "class": `${prefixCls}-date-input`,
        "value": dateInputValue.value,
        "clearVisible": !!dateInputValue.value && !!inputEnableStatus.value.allowInput,
        "focused": dateInputFocused.value,
        "placeholder": dateFormatRef.value,
        "readonly": !inputEnableStatus.value.allowInput,
        "onInput": handleDateInput,
        "onFocus": _handleDateInputFocus,
        "onBlur": handleDateInputBlur,
        "onKeydown": handleKeyDown,
        "onClear": _handleDateInputClear
      }), slots), inputEnableStatus.value.enableOverlayTimeInput && createVNode(\u0275Input, mergeProps(inputProps2.value, {
        "class": `${prefixCls}-time-input`,
        "value": timeInputValue.value,
        "clearVisible": !!timeInputValue.value && !!inputEnableStatus.value.allowInput,
        "focused": timeInputFocused.value,
        "placeholder": timeFormatRef.value,
        "readonly": !inputEnableStatus.value.allowInput,
        "onInput": handleTimeInput,
        "onFocus": _handleTimeInputFocus,
        "onBlur": handleTimeInputBlur,
        "onKeydown": handleKeyDown,
        "onClear": handleTimeInputClear
      }), slots)]);
    };
  }
});
function useActiveDate(props, dateConfig, activeType) {
  const [activeDate, setActiveDate] = useControlledProp(props, "activeDate", () => dateConfig.now());
  const startActiveDate = computed(() => {
    const currDate = activeDate.value;
    const currType = activeType.value;
    const { startOf, set, get: get2 } = dateConfig;
    switch (currType) {
      case "date":
      case "week":
        return startOf(startOf(currDate, "month"), "week");
      case "month":
        return startOf(startOf(currDate, "year"), "month");
      case "quarter":
        return startOf(startOf(currDate, "year"), "quarter");
      case "year": {
        return set(currDate, parseInt(`${get2(currDate, "year") / 10}`, 10) * 10 - 1, "year");
      }
      default:
        return currDate;
    }
  });
  return {
    activeDate,
    setActiveDate,
    startActiveDate
  };
}
function useActiveType(props) {
  const [activeType, setActiveType] = useState(props.type);
  watch(() => props.type, setActiveType);
  watch(
    () => props.visible,
    (visible) => visible && setActiveType(props.type)
  );
  return {
    activeType,
    setActiveType
  };
}
function useMaxIndex(activeType) {
  const maxRowIndex = computed(() => {
    const currType = activeType.value;
    switch (currType) {
      case "date":
      case "week":
        return 6;
      case "month":
        return 4;
      case "quarter":
        return 1;
      case "year":
        return 4;
      default:
        return 0;
    }
  });
  const maxCellIndex = computed(() => {
    const currType = activeType.value;
    switch (currType) {
      case "date":
      case "week":
        return 7;
      case "month":
        return 3;
      case "quarter":
        return 4;
      case "year":
        return 3;
      default:
        return 0;
    }
  });
  return {
    maxRowIndex,
    maxCellIndex
  };
}
const datePanelToken = Symbol("datePanelToken");
const datePanelProps$1 = {
  cellTooltip: Function,
  disabledDate: Function,
  type: {
    type: String,
    default: "date"
  },
  value: [Date, Array],
  activeDate: Date,
  visible: {
    type: Boolean,
    default: void 0
  },
  isSelecting: {
    type: Boolean,
    default: void 0
  },
  onCellClick: [Function, Array],
  onCellMouseenter: [Function, Array],
  "onUpdate:activeDate": [Function, Array]
};
const panelRowProps = {
  rowIndex: {
    type: Number,
    required: true
  }
};
const panelCellProps = {
  rowIndex: {
    type: Number,
    required: true
  },
  cellIndex: {
    type: Number,
    required: true
  }
};
function getPanelCellType(type) {
  return type === "week" ? "date" : type;
}
function getPanelCellDisabled(cellDate, panelType, dateConfig, disabledDate) {
  const cellType = getPanelCellType(panelType);
  if (cellType === "date") {
    return disabledDate(cellDate);
  }
  const scopesMap = {
    date: void 0,
    month: "date",
    quarter: "month",
    year: "quarter"
  };
  const stack = [];
  const pushStacks = (date, type) => {
    const scope = scopesMap[type];
    if (!scope) {
      return;
    }
    const [start, end] = ["startOf", "endOf"].map((fn) => dateConfig.get(dateConfig[fn](date, type), scope));
    for (let i2 = start; i2 <= end; i2++) {
      stack.push({
        date: dateConfig.set(date, i2, scope),
        type: scope
      });
    }
  };
  pushStacks(cellDate, cellType);
  while (stack.length) {
    const item = stack.pop();
    if (!disabledDate(item.date)) {
      return false;
    }
    pushStacks(item.date, item.type);
  }
  return true;
}
const labelFormat = {
  date: "d",
  week: "d",
  month: "MMM",
  quarter: "'Q'Q",
  year: "yyyy"
};
var PanelCell$1 = /* @__PURE__ */ defineComponent({
  props: panelCellProps,
  setup(props) {
    const {
      props: panelProps,
      slots,
      mergedPrefixCls,
      dateConfig,
      activeDate,
      setActiveDate,
      startActiveDate,
      activeType,
      setActiveType,
      maxRowIndex,
      maxCellIndex
    } = inject(datePanelToken);
    const offsetIndex = computed(() => props.rowIndex * maxCellIndex.value + props.cellIndex);
    const cellDate = computed(() => {
      return dateConfig.add(startActiveDate.value, offsetIndex.value, getPanelCellType(activeType.value));
    });
    const startDate = computed(() => getDateValue(dateConfig, panelProps.value, activeType.value, true));
    const endDate = computed(() => getDateValue(dateConfig, panelProps.value, activeType.value, false));
    const isDisabled = computed(() => {
      const disabledDate = panelProps.disabledDate;
      if (!disabledDate) {
        return false;
      }
      return getPanelCellDisabled(cellDate.value, activeType.value, dateConfig, disabledDate);
    });
    const cellTooltip = computed(() => {
      var _a;
      return (_a = panelProps.cellTooltip) == null ? void 0 : _a.call(panelProps, {
        value: cellDate.value,
        disabled: !!isDisabled.value
      });
    });
    const isStart = computed(() => startDate.value && dateConfig.isSame(startDate.value, cellDate.value, getPanelCellType(activeType.value)));
    const isEnd = computed(() => endDate.value && dateConfig.isSame(endDate.value, cellDate.value, getPanelCellType(activeType.value)));
    const isCurrent = computed(() => dateConfig.isSame(cellDate.value, dateConfig.now(), getPanelCellType(activeType.value)));
    const outView = computed(() => {
      const currType = activeType.value;
      if (getPanelCellType(activeType.value) === "date") {
        return !dateConfig.isSame(cellDate.value, activeDate.value, "month");
      }
      if (currType === "year") {
        const offset = offsetIndex.value;
        return offset === 0 || offset === maxRowIndex.value * maxCellIndex.value;
      }
      return false;
    });
    const isSelected = computed(() => {
      if (outView.value) {
        return false;
      }
      const compareType = getPanelCellType(activeType.value);
      if (panelProps.isSelecting) {
        return startDate.value && dateConfig.isSame(startDate.value, cellDate.value, compareType);
      }
      return startDate.value && dateConfig.isSame(startDate.value, cellDate.value, compareType) || endDate.value && dateConfig.isSame(endDate.value, cellDate.value, compareType);
    });
    const isInRange = computed(() => {
      const compareType = getPanelCellType(activeType.value);
      const cellDateValue = dateConfig.startOf(cellDate.value, compareType).valueOf();
      return !!startDate.value && !!endDate.value && cellDateValue >= dateConfig.startOf(startDate.value, compareType).valueOf() && cellDateValue <= dateConfig.startOf(endDate.value, compareType).valueOf();
    });
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-cell`;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-disabled`]: isDisabled.value,
        [`${prefixCls}-selected`]: isSelected.value,
        [`${prefixCls}-in-range`]: isInRange.value,
        [`${prefixCls}-current`]: isCurrent.value,
        [`${prefixCls}-out-view`]: outView.value,
        [`${prefixCls}-start`]: isStart.value,
        [`${prefixCls}-end`]: isEnd.value
      });
    });
    const handleClick = (evt) => {
      evt.stopPropagation();
      const currDate = cellDate.value;
      if (panelProps.type !== activeType.value) {
        setActiveType(panelProps.type);
        setActiveDate(currDate);
      } else {
        callEmit(panelProps.onCellClick, currDate);
      }
    };
    const handleMouseenter = () => {
      callEmit(panelProps.onCellMouseenter, cellDate.value);
    };
    return () => {
      var _a, _b;
      const currDate = cellDate.value;
      const {
        format: format2
      } = dateConfig;
      const cellNode = (_b = (_a = slots.cell) == null ? void 0 : _a.call(slots, {
        date: currDate
      })) != null ? _b : createVNode("div", {
        "class": `${mergedPrefixCls.value}-cell-inner`
      }, [createVNode("div", {
        "class": `${mergedPrefixCls.value}-cell-trigger`
      }, [format2(currDate, labelFormat[activeType.value])])]);
      return createVNode("td", {
        "class": classes.value,
        "role": "gridcell",
        "onClick": isDisabled.value ? void 0 : handleClick,
        "onMouseenter": isDisabled.value ? void 0 : handleMouseenter
      }, [cellTooltip.value ? createVNode(IxTooltip, {
        "title": cellTooltip.value
      }, {
        default: () => [cellNode]
      }) : cellNode]);
    };
  }
});
function getDateValue(dateConfig, value, type, isStart) {
  var _a;
  const valueArr = convertArray(value);
  if (type === "week") {
    return isStart ? dateConfig.startOf(valueArr[0], "week") : dateConfig.endOf((_a = valueArr[1]) != null ? _a : valueArr[0], "week");
  }
  return valueArr[isStart ? 0 : 1];
}
var PanelRow = /* @__PURE__ */ defineComponent({
  props: panelRowProps,
  setup(props) {
    const {
      mergedPrefixCls,
      activeType,
      maxCellIndex
    } = inject(datePanelToken);
    const cells = computed(() => {
      const {
        rowIndex
      } = props;
      const currType = activeType.value;
      const cells2 = [];
      const maxIndex = maxCellIndex.value;
      for (let cellIndex = 0; cellIndex < maxIndex; cellIndex++) {
        cells2.push({
          key: `${currType}-${cellIndex}`,
          rowIndex,
          cellIndex
        });
      }
      return cells2;
    });
    return () => {
      const children = cells.value.map((cell) => createVNode(PanelCell$1, cell, null));
      return createVNode("tr", {
        "role": "row",
        "class": `${mergedPrefixCls.value}-row`
      }, [children]);
    };
  }
});
var PanelBody = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      mergedPrefixCls,
      dateConfig,
      activeType,
      maxRowIndex,
      maxCellIndex
    } = inject(datePanelToken);
    const theadCells = useTheadCells(dateConfig, activeType, maxCellIndex);
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-body`;
      const thNodes = theadCells.value.map((cell) => {
        const {
          key,
          label
        } = cell;
        return createVNode("th", {
          "role": "columnheader",
          "key": key
        }, [createVNode("div", {
          "class": `${prefixCls}-header-cell`
        }, [label])]);
      });
      const maxIndex = maxRowIndex.value;
      const rows = [];
      for (let rowIndex = 0; rowIndex < maxIndex; rowIndex++) {
        rows.push(createVNode(PanelRow, {
          "key": rowIndex,
          "rowIndex": rowIndex
        }, null));
      }
      return createVNode("div", {
        "class": prefixCls
      }, [createVNode("table", {
        "role": "grid"
      }, [thNodes.length > 0 && createVNode("thead", null, [createVNode("tr", {
        "role": "row"
      }, [thNodes])]), createVNode("tbody", null, [rows])])]);
    };
  }
});
function useTheadCells(dateConfig, activeType, maxCellIndex) {
  return computed(() => {
    const currType = activeType.value;
    const cols = [];
    if (currType === "date" || currType === "week") {
      const maxIndex = maxCellIndex.value;
      const labels = dateConfig.getLocalizedLabels("day", maxIndex, "narrow");
      const weekStarts = dateConfig.weekStartsOn();
      for (let colIndex = 0; colIndex < maxIndex; colIndex++) {
        cols.push({
          key: colIndex,
          label: labels[(colIndex + weekStarts) % maxIndex]
        });
      }
    }
    return cols;
  });
}
const hidePrevNextTypes = ["month", "quarter", "year"];
var PanelHeader = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      locale: locale2,
      mergedPrefixCls,
      dateConfig,
      activeDate,
      setActiveDate,
      activeType,
      setActiveType
    } = inject(datePanelToken);
    const contents = useContents(activeType, activeDate, locale2, dateConfig, setActiveType);
    const handleSuperPrevClick = () => {
      const offsetYear = activeType.value === "year" ? -10 : -1;
      setActiveDate(dateConfig.add(activeDate.value, offsetYear, "year"));
    };
    const handlePrevClick = () => {
      setActiveDate(dateConfig.add(activeDate.value, -1, "month"));
    };
    const handleSuperNextClick = () => {
      const offsetYear = activeType.value === "year" ? 10 : 1;
      setActiveDate(dateConfig.add(activeDate.value, offsetYear, "year"));
    };
    const handleNextClick = () => {
      setActiveDate(dateConfig.add(activeDate.value, 1, "month"));
    };
    return () => {
      const {
        previousDecade,
        previousYear,
        previousMonth,
        nextDecade,
        nextYear,
        nextMonth
      } = locale2.datePicker;
      const currType = activeType.value;
      const prev = !hidePrevNextTypes.includes(activeType.value);
      const next = !hidePrevNextTypes.includes(activeType.value);
      const contentNodes = contents.value.map((item) => {
        const {
          label,
          ...rest
        } = item;
        return createVNode("button", mergeProps({
          "type": "button",
          "tabindex": "-1"
        }, rest), [label]);
      });
      const prefixCls = `${mergedPrefixCls.value}-header`;
      return createVNode("div", {
        "class": prefixCls
      }, [createVNode("button", {
        "class": `${prefixCls}-super-prev${" visible"}`,
        "type": "button",
        "tabindex": "-1",
        "title": currType === "year" ? previousDecade : previousYear,
        "onClick": handleSuperPrevClick
      }, [createVNode(IxIcon, {
        "name": "double-left"
      }, null)]), createVNode("button", {
        "class": `${prefixCls}-prev${prev ? " visible" : ""}`,
        "type": "button",
        "tabindex": "-1",
        "title": previousMonth,
        "onClick": handlePrevClick
      }, [createVNode(IxIcon, {
        "name": "left"
      }, null)]), createVNode("div", {
        "class": `${prefixCls}-content`
      }, [contentNodes]), createVNode("button", {
        "class": `${prefixCls}-super-next${next ? " visible" : ""}`,
        "type": "button",
        "tabindex": "-1",
        "title": nextMonth,
        "onClick": handleNextClick
      }, [createVNode(IxIcon, {
        "name": "right"
      }, null)]), createVNode("button", {
        "class": `${prefixCls}-super-prev${" visible"}`,
        "type": "button",
        "tabindex": "-1",
        "title": currType === "year" ? nextDecade : nextYear,
        "onClick": handleSuperNextClick
      }, [createVNode(IxIcon, {
        "name": "double-right"
      }, null)])]);
    };
  }
});
function useContents(activeType, activeDate, locale2, dateConfig, setActiveType) {
  const handleClick = (evt, type) => {
    evt.stopPropagation();
    setActiveType(type);
  };
  return computed(() => {
    const currType = activeType.value;
    const currDate = activeDate.value;
    const {
      yearSelect,
      monthSelect,
      yearFormat,
      monthFormat
    } = locale2.datePicker;
    const {
      format: format2,
      get: get2
    } = dateConfig;
    switch (currType) {
      case "date":
      case "week":
        return [{
          key: "year",
          title: yearSelect,
          onClick: (evt) => handleClick(evt, "year"),
          label: format2(currDate, yearFormat)
        }, {
          key: "month",
          title: monthSelect,
          onClick: (evt) => handleClick(evt, "month"),
          label: format2(currDate, monthFormat)
        }];
      case "month":
      case "quarter":
        return [{
          key: "year",
          title: yearSelect,
          onClick: (evt) => handleClick(evt, "year"),
          label: format2(currDate, yearFormat)
        }];
      case "year": {
        const startYear = parseInt(`${get2(currDate, "year") / 10}`, 10) * 10;
        const endYear = startYear + 9;
        return [{
          key: "decade",
          label: `${startYear}-${endYear}`
        }];
      }
      default:
        return [];
    }
  });
}
var DatePanel$1 = /* @__PURE__ */ defineComponent({
  name: "\u0275DatePanel",
  props: datePanelProps$1,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId
    } = useThemeToken();
    const locale2 = useGlobalConfig("locale");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-date-panel`);
    const dateConfig = useDateConfig();
    const {
      activeType,
      setActiveType
    } = useActiveType(props);
    const {
      activeDate,
      setActiveDate,
      startActiveDate
    } = useActiveDate(props, dateConfig, activeType);
    const {
      maxRowIndex,
      maxCellIndex
    } = useMaxIndex(activeType);
    provide(datePanelToken, {
      props,
      slots,
      locale: locale2,
      mergedPrefixCls,
      dateConfig,
      activeType,
      setActiveType,
      activeDate,
      setActiveDate,
      startActiveDate,
      maxRowIndex,
      maxCellIndex
    });
    return () => {
      const prefixCls = mergedPrefixCls.value;
      return createVNode("div", {
        "class": `${prefixCls} ${prefixCls}-${activeType.value} ${globalHashId.value}`
      }, [createVNode(PanelHeader, null, null), createVNode(PanelBody, null, null)]);
    };
  }
});
const \u0275DatePanel = DatePanel$1;
const timePanelContext = Symbol("timePanelContext");
const baseTimePanelProps = {
  disabledHours: {
    type: Function,
    default: () => []
  },
  disabledMinutes: {
    type: Function,
    default: () => []
  },
  disabledSeconds: {
    type: Function,
    default: () => []
  },
  hideDisabledOptions: {
    type: Boolean,
    default: false
  },
  hourStep: {
    type: Number,
    default: 1
  },
  minuteStep: {
    type: Number,
    default: 1
  },
  secondStep: {
    type: Number,
    default: 1
  }
};
const timePanelProps = {
  ...baseTimePanelProps,
  value: Date,
  activeValue: Date,
  visible: {
    type: Boolean,
    default: false
  },
  hourEnabled: {
    type: Boolean,
    default: true
  },
  minuteEnabled: {
    type: Boolean,
    default: true
  },
  secondEnabled: {
    type: Boolean,
    default: true
  },
  use12Hours: {
    type: Boolean,
    default: false
  },
  "onUpdate:value": [Function, Array],
  "onUpdate:activeValue": [Function, Array],
  onChange: [Function, Array]
};
const timePanelColumnProps = {
  selectedValue: [String, Number],
  activeValue: {
    type: [String, Number],
    required: true
  },
  options: {
    type: Array,
    require: true
  },
  visible: {
    type: Boolean,
    default: false
  },
  onActiveChange: [Function, Array]
};
const timePanelCellProps = {
  disabled: {
    type: Boolean,
    default: false
  },
  selected: {
    type: Boolean,
    default: false
  },
  value: {
    type: [String, Number],
    required: true
  },
  onActive: [Function, Array]
};
var PanelCell = /* @__PURE__ */ defineComponent({
  props: timePanelCellProps,
  setup(props) {
    const {
      mergedPrefixCls
    } = inject(timePanelContext);
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-cell`;
      return {
        [prefixCls]: true,
        [`${prefixCls}-disabled`]: props.disabled,
        [`${prefixCls}-selected`]: props.selected
      };
    });
    const onClick = (evt) => {
      evt.stopPropagation();
      if (!props.disabled && !props.selected) {
        callEmit(props.onActive, {
          value: props.value,
          disabled: props.disabled
        });
      }
    };
    const displayValue = computed(() => displayFormat(props.value));
    return () => createVNode("li", {
      "class": classes.value,
      "onClick": onClick
    }, [displayValue.value]);
  }
});
function displayFormat(val) {
  return isNumeric(val) ? val.toString().padStart(2, "0") : val;
}
function useColumnEvents(props, listRef, getTargetByScrollTop, frameRunning) {
  const activeIndex = computed(() => {
    var _a, _b;
    return (_b = (_a = props.options) == null ? void 0 : _a.findIndex((option) => option.value === props.activeValue)) != null ? _b : -1;
  });
  const handleWheel = (evt) => {
    var _a;
    evt.preventDefault();
    if (evt.shiftKey || !listRef.value || !props.options || activeIndex.value >= props.options.length) {
      return;
    }
    const target = (_a = props.options) == null ? void 0 : _a[activeIndex.value + (evt.deltaY > 0 ? 1 : -1)];
    if (target) {
      callEmit(props.onActiveChange, target);
    }
  };
  const handleScroll = () => {
    if (frameRunning.value) {
      return;
    }
    const target = getTargetByScrollTop();
    if (target) {
      callEmit(props.onActiveChange, target);
    }
  };
  const handleClick = (evt) => {
    var _a, _b;
    const children = (_a = listRef.value) == null ? void 0 : _a.children;
    if (!children) {
      return;
    }
    evt.preventDefault();
    for (let i2 = 0; i2 < children.length; i2++) {
      const currentLiY = children[i2].getBoundingClientRect().y;
      const nextLiY = (_b = children[i2 + 1]) == null ? void 0 : _b.getBoundingClientRect().y;
      if (currentLiY < evt.clientY && (!nextLiY || nextLiY > evt.clientY)) {
        children[i2].dispatchEvent(new Event("click"));
        return;
      }
    }
  };
  return {
    handleWheel,
    handleClick,
    handleScroll
  };
}
function usePanelScroll(props, listRef, mergedPrefixCls) {
  const { frameRunning, scrollTo } = useScrollTo(listRef);
  const getCellHeight = () => {
    var _a, _b, _c;
    return (_c = (_b = (_a = listRef.value) == null ? void 0 : _a.querySelector(`li.${mergedPrefixCls.value}-cell`)) == null ? void 0 : _b.offsetHeight) != null ? _c : 0;
  };
  const adjustPanel = (selectedIndex, duration = 200) => {
    const target = listRef.value;
    if (!target) {
      return;
    }
    const top = Math.max(selectedIndex * getCellHeight(), 0);
    if (top === getScroll(target).scrollTop) {
      return;
    }
    scrollTo(top, duration);
  };
  const scrollToActive = (duration) => {
    const activeIndex = props.options.findIndex((item) => item.value === props.activeValue);
    adjustPanel(activeIndex, duration);
  };
  const getTargetByScrollTop = () => {
    const target = listRef.value;
    if (!target) {
      return;
    }
    const scrollTargetIndex = Math.min(
      Math.round(getScroll(target).scrollTop / getCellHeight()),
      props.options.length - 1
    );
    return props.options[scrollTargetIndex];
  };
  return {
    adjustPanel,
    scrollToActive,
    getTargetByScrollTop,
    frameRunning
  };
}
function useScrollTo(target) {
  const frameRunning = ref(false);
  let rafId;
  let currentTop;
  let currentScrollTop;
  let currentDuration;
  let currentStartTime;
  const frameFunc = (time) => {
    if (!target.value) {
      return;
    }
    const elapsed = time > currentDuration ? currentDuration : time;
    const amountOfChange = currentTop - currentScrollTop;
    const nextScrollTop = easeInOutCubic(elapsed, currentScrollTop, amountOfChange, currentDuration);
    target.value.scrollTop = nextScrollTop;
  };
  const execFrame = () => {
    cancelRAF(rafId);
    rafId = rAF(() => {
      frameRunning.value = true;
      const time = Date.now() - currentStartTime;
      frameFunc(time);
      if (time < currentDuration) {
        execFrame();
      } else {
        currentTop = 0;
        currentDuration = 0;
        currentStartTime = 0;
        rAF(() => {
          frameRunning.value = false;
        });
      }
    });
  };
  const scrollTo = (top, duration = 100) => {
    if (!target.value) {
      return;
    }
    currentDuration = duration;
    currentTop = top;
    currentScrollTop = getScroll(target.value).scrollTop;
    if (!frameRunning.value) {
      currentStartTime = Date.now();
    }
    execFrame();
  };
  return {
    frameRunning,
    scrollTo
  };
}
var PanelColumn = /* @__PURE__ */ defineComponent({
  props: timePanelColumnProps,
  setup(props) {
    const {
      mergedPrefixCls
    } = inject(timePanelContext);
    const listRef = ref(void 0);
    const {
      scrollToActive,
      getTargetByScrollTop,
      frameRunning
    } = usePanelScroll(props, listRef, mergedPrefixCls);
    function onActive(cell) {
      callEmit(props.onActiveChange, cell);
    }
    function handleScrollAdjust() {
      scrollToActive();
    }
    const {
      handleWheel,
      handleClick,
      handleScroll: _handleScroll
    } = useColumnEvents(props, listRef, getTargetByScrollTop, frameRunning);
    const handleListWheel = (evt) => {
      evt.preventDefault();
    };
    let isScrolling = false;
    const handleScroll = () => {
      isScrolling = true;
      _handleScroll();
      nextTick(() => {
        isScrolling = false;
      });
    };
    watchEffect(() => {
      if (props.visible) {
        nextTick(() => scrollToActive(0));
      }
    });
    watch(() => props.activeValue, () => {
      !isScrolling && nextTick(scrollToActive);
    });
    return () => createVNode("div", {
      "class": `${mergedPrefixCls.value}-column`,
      "onMouseleave": handleScrollAdjust,
      "onMouseenter": handleScrollAdjust,
      "onWheel": handleWheel,
      "onClick": handleClick
    }, [createVNode("ul", {
      "ref": listRef,
      "class": `${mergedPrefixCls.value}-column-inner`,
      "onScroll": handleScroll,
      "onWheel": handleListWheel
    }, [props.options.map((item, index) => {
      const {
        disabled,
        value
      } = item;
      return createVNode(PanelCell, {
        "key": index,
        "disabled": disabled,
        "selected": props.selectedValue === value,
        "value": value,
        "onActive": onActive
      }, null);
    })])]);
  }
});
function normalizeAmPm(hour, is12Hours = false) {
  if (!is12Hours) {
    return;
  }
  return hour >= 12 ? "pm" : "am";
}
function calculateViewHour(hour, is12Hours) {
  if (is12Hours) {
    hour > 12 && (hour -= 12);
    hour === 0 && (hour = 12);
  }
  return hour;
}
function getHourValue(hour, ampm) {
  if (ampm) {
    ampm = ampm.toLowerCase();
    if (ampm === "am") {
      hour >= 12 && (hour -= 12);
    }
    if (ampm === "pm") {
      hour < 12 && (hour += 12);
    }
  }
  return hour;
}
function calculateValue(dateConfig, dateNow, type, is12Hours, value) {
  const { get: get2, set } = dateConfig;
  const selectNumber = Number(value);
  const newDate = new Date(dateNow);
  switch (type) {
    case "hour":
      return set(newDate, getHourValue(selectNumber, normalizeAmPm(get2(dateNow, "hour"), is12Hours)), "hour");
    case "minute":
      return set(newDate, selectNumber, "minute");
    case "second":
      return set(newDate, selectNumber, "second");
    case "AM/PM":
      return set(newDate, getHourValue(get2(newDate, "hour"), value.toString()), "hour");
  }
}
function useOptions(props, dateConfig) {
  const { get: get2 } = dateConfig;
  const [activeValue, setActiveValue] = useControlledProp(props, "activeValue", () => dateConfig.now());
  const [selectedValue, setSelectedValue] = useControlledProp(props, "value");
  const viewHours = computed(
    () => selectedValue.value && calculateViewHour(get2(selectedValue.value, "hour"), props.use12Hours)
  );
  const getAmPm = (value) => value && normalizeAmPm(get2(value, "hour"), props.use12Hours);
  const ampm = computed(() => getAmPm(selectedValue.value));
  function getOptions(type) {
    const getHourOptions = () => {
      const options = generateNumericOptions(
        props.use12Hours ? 12 : 24,
        props.hourStep,
        props.disabledHours(ampm.value),
        props.hideDisabledOptions
      );
      if (props.use12Hours) {
        const zeroOpt = options.find((opt) => opt.value === 0);
        zeroOpt && (zeroOpt.value = 12);
      }
      return options;
    };
    switch (type) {
      case "AM/PM":
        return generateAmPmOptions("", props.hideDisabledOptions);
      case "second":
        return generateNumericOptions(
          60,
          props.secondStep,
          props.disabledSeconds(
            viewHours.value,
            selectedValue.value && get2(selectedValue.value, "minute"),
            ampm.value
          ),
          props.hideDisabledOptions
        );
      case "minute":
        return generateNumericOptions(
          60,
          props.minuteStep,
          props.disabledMinutes(viewHours.value, ampm.value),
          props.hideDisabledOptions
        );
      case "hour":
        return getHourOptions();
      default:
        return [];
    }
  }
  function getColumnValue(value, type) {
    switch (type) {
      case "AM/PM":
        return getAmPm(value);
      case "hour":
      default:
        return calculateViewHour(get2(value, "hour"), props.use12Hours);
      case "minute":
        return get2(value, "minute");
      case "second":
        return get2(value, "second");
    }
  }
  function getOnActiveChange(type) {
    const onActiveChange = (type2, cell) => {
      var _a;
      const newValue = calculateValue(
        dateConfig,
        (_a = selectedValue.value) != null ? _a : activeValue.value,
        type2,
        props.use12Hours,
        cell.value
      );
      setActiveValue(newValue);
      if (!cell.disabled) {
        setSelectedValue(newValue);
        callEmit(props.onChange, newValue);
      }
    };
    return (cell) => onActiveChange(type, cell);
  }
  const getProps = (type) => {
    return computed(
      () => ({
        activeValue: getColumnValue(activeValue.value, type),
        selectedValue: selectedValue.value && getColumnValue(selectedValue.value, type),
        options: getOptions(type),
        onActiveChange: getOnActiveChange(type)
      })
    );
  };
  return {
    hourOptionsProps: getProps("hour"),
    minuteOptionsProps: getProps("minute"),
    secondOptionsProps: getProps("second"),
    amPmOptionsProps: getProps("AM/PM")
  };
}
function generateNumericOptions(total, step, disabledOption, hideDisabledOptions) {
  const options = [];
  for (let index = 0; index < total; index += step) {
    const isDisabled = disabledOption.includes(index);
    if (!isDisabled || !hideDisabledOptions) {
      options.push({
        value: index,
        disabled: isDisabled
      });
    }
  }
  return options;
}
function generateAmPmOptions(disabledOption, hideDisabledOptions) {
  disabledOption = disabledOption.toLowerCase();
  return ["am", "pm"].map((item) => ({
    disabled: disabledOption === item,
    value: item
  })).filter((item) => !hideDisabledOptions || !item.disabled);
}
var TimePanel = /* @__PURE__ */ defineComponent({
  name: "\u0275TimePanel",
  props: timePanelProps,
  setup(props) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId
    } = useThemeToken("timePicker");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-time-panel`);
    const dateConfig = useDateConfig();
    const {
      hourOptionsProps,
      minuteOptionsProps,
      secondOptionsProps,
      amPmOptionsProps
    } = useOptions(props, dateConfig);
    provide(timePanelContext, {
      mergedPrefixCls
    });
    const columns = computed(() => {
      const result = [];
      props.hourEnabled && result.push(hourOptionsProps.value);
      props.minuteEnabled && result.push(minuteOptionsProps.value);
      props.secondEnabled && result.push(secondOptionsProps.value);
      props.use12Hours && result.push(amPmOptionsProps.value);
      return result;
    });
    return () => createVNode("div", {
      "class": [mergedPrefixCls.value, globalHashId.value, hashId.value]
    }, [columns.value.map((item, index) => createVNode(PanelColumn, mergeProps({
      "key": index
    }, item, {
      "visible": props.visible
    }), null))]);
  }
});
const \u0275TimePanel = TimePanel;
function convertToDate(dateConfig, value, format2) {
  if (!value) {
    return void 0;
  }
  return dateConfig.convert(value, format2);
}
function sortRangeValue(values) {
  return values.sort((v1, v2) => {
    if (!v1) {
      return 1;
    }
    if (!v2) {
      return 0;
    }
    return v1.valueOf() - v2.valueOf();
  });
}
function checkHourEnabled(format2) {
  return /[hH]/.test(format2);
}
function checkMinuteEnabled(format2) {
  return /m/.test(format2);
}
function checkSecondEnabled(format2) {
  return /s/.test(format2);
}
function checkUse12Hours(format2) {
  return /[aA]/.test(format2);
}
function checkAmPmCapital(format2) {
  return /A/.test(format2);
}
function usePickerControl(dateConfig, formatRef, handleChange, valueProp) {
  const [inputValue, setInputValue] = useState(void 0);
  const [inputFocused, setInputFocused] = useState(false);
  const [panelValue, setPanelValue] = useState(void 0);
  const { parse: parse2, format: formatDate } = dateConfig;
  const dateValue = computed(() => convertToDate$1(dateConfig, valueProp.value, formatRef.value));
  const formatedDateValue = computed(
    () => isString(valueProp.value) ? valueProp.value : dateValue.value ? formatDate(dateValue.value, formatRef.value) : ""
  );
  const timeInputEnabledStatus = computed(() => ({
    hourEnabled: checkHourEnabled(formatRef.value) || checkUse12Hours(formatRef.value),
    minuteEnabled: checkMinuteEnabled(formatRef.value),
    secondEnabled: checkSecondEnabled(formatRef.value)
  }));
  function init(force = false) {
    if (force || !inputValue.value || parse2(inputValue.value, formatRef.value).valueOf() !== parse2(formatedDateValue.value, formatRef.value).valueOf()) {
      setInputValue(formatedDateValue.value);
    }
    setPanelValue(dateValue.value);
  }
  watch([valueProp, formatRef], () => init(), { immediate: true });
  function adjustTimeOfInput(value) {
    if (!value || !dateValue.value) {
      return value;
    }
    const { hourEnabled, minuteEnabled, secondEnabled } = timeInputEnabledStatus.value;
    const typesToApply = [
      "year",
      "month",
      "date",
      !hourEnabled && "hour",
      !minuteEnabled && "minute",
      !secondEnabled && "second",
      "millisecond"
    ].filter(Boolean);
    return applyDateTime(dateConfig, dateValue.value, value, typesToApply);
  }
  function parseInput(value, format2, referenceDate) {
    return value ? dateConfig.parse(value, format2, referenceDate) : void 0;
  }
  function checkInputValid(date) {
    return !date || dateConfig.isValid(date);
  }
  function handleInput(evt) {
    const value = evt.target.value;
    setInputValue(value);
    const currDate = parseInput(value, formatRef.value, dateValue.value);
    if (checkInputValid(currDate)) {
      handleChange(inputValue.value ? adjustTimeOfInput(currDate) : void 0);
    }
  }
  function handleInputClear() {
    setInputValue("");
  }
  function handleInputFocus() {
    setInputFocused(true);
  }
  function handleInputBlur() {
    setInputFocused(false);
  }
  function handlePanelChange(value) {
    handleChange(value);
  }
  return {
    inputValue,
    panelValue,
    inputFocused,
    setInputValue,
    setPanelValue,
    init,
    handleInput,
    handleInputClear,
    handleInputFocus,
    handleInputBlur,
    handlePanelChange
  };
}
function useInputEnableStatus(props, config) {
  return computed(() => {
    var _a;
    const allowInput = (_a = props.allowInput) != null ? _a : config.allowInput;
    return {
      enableExternalInput: allowInput === true,
      enableInternalInput: allowInput === "overlay"
    };
  });
}
function useKeyboardEvents(overlayOpened, setOverlayOpened) {
  return (evt) => {
    if (evt.code === "Escape") {
      setOverlayOpened(false);
      return;
    }
    if (!overlayOpened.value && !["Backspace", "Tab"].includes(evt.code)) {
      evt.preventDefault();
      setOverlayOpened(true);
      return;
    }
    if (evt.code === "Enter") {
      setOverlayOpened(false);
    }
  };
}
function useRangeKeyboardEvents(rangeControl, overlayOpened, setOverlayOpened, handleChange) {
  const { bufferUpdated, buffer } = rangeControl;
  return (evt) => {
    if (evt.code === "Escape") {
      setOverlayOpened(false);
      return;
    }
    if (!overlayOpened.value && !["Backspace", "Tab"].includes(evt.code)) {
      evt.preventDefault();
      setOverlayOpened(true);
      return;
    }
    switch (evt.code) {
      case "Enter":
        if (bufferUpdated.value) {
          handleChange(buffer.value);
        }
        setOverlayOpened(false);
        break;
    }
  };
}
function useOverlayState(props, focus) {
  const [overlayOpened, setOverlayOpened] = useControlledProp(props, "open", false);
  onMounted(() => {
    if (props.autofocus) {
      focus();
    }
  });
  return { overlayOpened, setOverlayOpened };
}
function usePickerState(props, config, dateConfig, formatRef) {
  const { accessor, control } = useAccessorAndControl();
  useFormItemRegister(control);
  const mergedSize = useFormSize(props, config);
  const mergedStatus = useFormStatus(props, control);
  const [focused, setFocused] = useState(false);
  const checkValueDisabled = (value) => {
    const { get: get2 } = dateConfig;
    const use12Hours = checkUse12Hours(formatRef.value);
    return convertArray(value).some((v) => {
      const _hour = get2(v, "hour");
      const amPm = normalizeAmPm(_hour, use12Hours);
      const hour = calculateViewHour(_hour, !!use12Hours);
      const minute = get2(v, "minute");
      const second = get2(v, "second");
      return props.disabledHours(amPm).includes(hour) || props.disabledMinutes(hour, amPm).includes(minute) || props.disabledSeconds(hour, minute, amPm).includes(second);
    });
  };
  function handleChange(value) {
    const newValue = isArray(value) ? sortRangeValue(value) : value;
    if (checkValueDisabled(newValue)) {
      return;
    }
    let oldValue = toRaw(accessor.value);
    oldValue = isArray(oldValue) ? oldValue.map((v) => convertToDate(dateConfig, v, formatRef.value)) : convertToDate(dateConfig, oldValue, formatRef.value);
    accessor.setValue(newValue);
    callEmit(props.onChange, newValue, oldValue);
  }
  function handleClear(evt) {
    handleChange(void 0);
    callEmit(props.onClear, evt);
  }
  function handleFocus(evt) {
    setFocused(true);
    callEmit(props.onFocus, evt);
  }
  function handleBlur(evt) {
    setFocused(false);
    accessor.markAsBlurred();
    callEmit(props.onBlur, evt);
  }
  return {
    accessor,
    mergedSize,
    mergedStatus,
    focused,
    handleChange,
    handleClear,
    handleFocus,
    handleBlur
  };
}
function useTriggerProps(context) {
  const {
    props,
    config,
    accessor,
    mergedSize,
    mergedStatus,
    mergedPrefixCls,
    focused,
    handleBlur,
    handleFocus,
    handleClear,
    handleKeyDown,
    overlayOpened,
    setOverlayOpened
  } = context;
  return computed(() => {
    var _a, _b, _c, _d, _e;
    return {
      autofocus: props.autofocus,
      borderless: props.borderless,
      value: accessor.value,
      clearable: (_a = props.clearable) != null ? _a : config.clearable,
      clearIcon: (_b = props.clearIcon) != null ? _b : config.clearIcon,
      disabled: accessor.disabled,
      focused: focused.value,
      open: overlayOpened.value,
      overlayContainer: (_c = props.overlayContainer) != null ? _c : config.overlayContainer,
      overlayContainerFallback: `.${mergedPrefixCls.value}-overlay-container`,
      overlayTabindex: (_d = props.overlayTabindex) != null ? _d : config.overlayTabindex,
      readonly: props.readonly,
      size: mergedSize.value,
      status: mergedStatus.value,
      suffix: (_e = props.suffix) != null ? _e : config.suffix,
      suffixRotate: false,
      "onUpdate:open": setOverlayOpened,
      onClear: handleClear,
      onFocus: handleFocus,
      onBlur: handleBlur,
      onKeydown: handleKeyDown
    };
  });
}
function useInputProps(context) {
  return computed(() => {
    var _a, _b;
    const { props, config, accessor } = context;
    return {
      borderless: false,
      clearable: (_a = props.clearable) != null ? _a : config.clearable,
      clearIcon: (_b = props.clearIcon) != null ? _b : config.clearIcon,
      disabled: accessor.disabled,
      size: "sm"
    };
  });
}
function useActiveValue$1(props, dateConfig, formatRef, valueRef) {
  const defaultOpenValue = computed(() => convertToDate(dateConfig, props.defaultOpenValue, formatRef.value));
  const [activeValue, setActiveValue] = useState(() => {
    var _a;
    return (_a = valueRef.value) != null ? _a : defaultOpenValue.value;
  });
  watch(valueRef, (value) => {
    setActiveValue(value != null ? value : defaultOpenValue.value);
  });
  return {
    activeValue,
    setActiveValue
  };
}
function useRangeActiveValue$1(props, dateConfig, formatRef, valuesRef) {
  const defaultOpenValue = computed(
    () => convertArray(props.defaultOpenValue).map((value) => convertToDate(dateConfig, value, formatRef.value))
  );
  const [fromActiveValue, setFromActiveValue] = useState(() => {
    var _a, _b;
    return (_b = (_a = valuesRef.value) == null ? void 0 : _a[0]) != null ? _b : defaultOpenValue.value[0];
  });
  const [toActiveValue, setToActiveValue] = useState(() => {
    var _a, _b;
    return (_b = (_a = valuesRef.value) == null ? void 0 : _a[1]) != null ? _b : defaultOpenValue.value[1];
  });
  watch(valuesRef, (values) => {
    var _a, _b;
    setFromActiveValue((_a = values == null ? void 0 : values[0]) != null ? _a : defaultOpenValue.value[0]);
    setToActiveValue((_b = values == null ? void 0 : values[1]) != null ? _b : defaultOpenValue.value[1]);
  });
  return {
    fromActiveValue,
    toActiveValue,
    setFromActiveValue,
    setToActiveValue
  };
}
function usePanelProps(props, formatRef) {
  return computed(() => {
    const { disabledHours, disabledMinutes, disabledSeconds, hideDisabledOptions, hourStep, minuteStep, secondStep } = props;
    const format2 = formatRef.value;
    return {
      disabledHours,
      disabledMinutes,
      disabledSeconds,
      hideDisabledOptions,
      hourStep,
      minuteStep,
      secondStep,
      hourEnabled: checkHourEnabled(format2),
      minuteEnabled: checkMinuteEnabled(format2),
      secondEnabled: checkSecondEnabled(format2),
      use12Hours: checkUse12Hours(format2),
      amPmCapital: checkAmPmCapital(format2)
    };
  });
}
const timePickerContext = Symbol("timePickerContext");
const timeRangePickerContext = Symbol("timeRangePickerContext");
var Content$3 = /* @__PURE__ */ defineComponent({
  setup() {
    const context = inject(timePickerContext);
    const {
      slots,
      props,
      locale: locale2,
      formatRef,
      dateConfig,
      inputRef,
      inputEnableStatus,
      mergedPrefixCls,
      overlayOpened,
      handleClear,
      handleKeyDown,
      controlContext: {
        inputValue,
        panelValue,
        inputFocused,
        handleInput,
        handleInputFocus,
        handleInputBlur,
        handlePanelChange
      }
    } = context;
    const inputInstance = ref();
    const setInputRef = () => {
      var _a;
      if (inputEnableStatus.value.enableInternalInput) {
        inputRef.value = (_a = inputInstance.value) == null ? void 0 : _a.getInputElement();
      }
    };
    onMounted(setInputRef);
    onUpdated(setInputRef);
    const inputProps2 = useInputProps(context);
    const panelProps = usePanelProps(props, formatRef);
    const {
      activeValue,
      setActiveValue
    } = useActiveValue$1(props, dateConfig, formatRef, panelValue);
    return () => {
      var _a;
      const prefixCls = `${mergedPrefixCls.value}-overlay`;
      const boardPrefixCls = `${mergedPrefixCls.value}-board`;
      const _panelProps = {
        ...panelProps.value,
        activeValue: activeValue.value,
        visible: overlayOpened.value,
        value: panelValue.value,
        onChange: handlePanelChange,
        "onUpdate:activeValue": setActiveValue
      };
      const children = [createVNode("div", {
        "class": `${prefixCls}-body ${boardPrefixCls}`
      }, [inputEnableStatus.value.enableInternalInput && createVNode(\u0275Input, mergeProps({
        "ref": inputInstance,
        "class": `${boardPrefixCls}-input`
      }, inputProps2.value, {
        "clearVisible": !!inputValue.value,
        "value": inputValue.value,
        "readonly": props.readonly,
        "focused": inputFocused.value,
        "placeholder": (_a = props.placeholder) != null ? _a : locale2.timePicker.placeholder,
        "onInput": handleInput,
        "onClear": handleClear,
        "onFocus": handleInputFocus,
        "onBlur": handleInputBlur,
        "onKeydown": handleKeyDown
      }), slots), createVNode(\u0275TimePanel, mergeProps(_panelProps, {
        "class": `${boardPrefixCls}-panel`,
        "tabindex": -1
      }), null)]), createVNode(\u0275Footer, {
        "class": `${prefixCls}-footer`,
        "footer": props.footer
      }, slots)];
      return props.overlayRender ? props.overlayRender(children) : createVNode("div", null, [children]);
    };
  }
});
var Trigger$1 = /* @__PURE__ */ defineComponent({
  inheritAttrs: false,
  setup(_, {
    expose
  }) {
    const context = inject(timePickerContext);
    const {
      accessor,
      props,
      locale: locale2,
      mergedPrefixCls,
      formatRef,
      inputRef,
      inputEnableStatus,
      controlContext: {
        inputValue,
        handleInput: _handleInput
      }
    } = context;
    const triggerInputRef = ref();
    const placeholder = computed(() => {
      var _a;
      return (_a = props.placeholder) != null ? _a : locale2.timePicker.placeholder;
    });
    const inputSize = computed(() => Math.max(10, formatRef.value.length) + 2);
    const handleInput = (evt) => {
      _handleInput(evt);
      callEmit(props.onInput, evt);
    };
    const focus = () => {
      var _a;
      (_a = (inputEnableStatus.value.enableExternalInput ? inputRef : triggerInputRef).value) == null ? void 0 : _a.focus();
    };
    expose({
      focus
    });
    return () => {
      return createVNode("input", {
        "ref": inputEnableStatus.value.enableExternalInput ? inputRef : triggerInputRef,
        "class": `${mergedPrefixCls.value}-input`,
        "autocomplete": "off",
        "disabled": accessor.disabled,
        "placeholder": placeholder.value,
        "readonly": props.readonly || !inputEnableStatus.value.enableExternalInput,
        "size": inputSize.value,
        "value": inputValue.value,
        "onInput": handleInput
      }, null);
    };
  }
});
const timePickerCommonProps = {
  ...baseTimePanelProps,
  open: {
    type: Boolean,
    default: void 0
  },
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  allowInput: {
    type: [Boolean, String],
    default: void 0
  },
  autofocus: {
    type: Boolean,
    default: void 0
  },
  borderless: {
    type: Boolean,
    default: void 0
  },
  clearable: {
    type: Boolean,
    default: void 0
  },
  clearIcon: String,
  clearText: String,
  disabled: {
    type: Boolean,
    default: false
  },
  format: String,
  overlayClassName: String,
  overlayContainer: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  overlayTabindex: { type: Number, default: void 0 },
  overlayRender: Function,
  readonly: {
    type: Boolean,
    default: false
  },
  size: String,
  status: String,
  suffix: String,
  "onUpdate:open": [Function, Array],
  onClear: [Function, Array],
  onFocus: [Function, Array],
  onBlur: [Function, Array]
};
const timePickerProps = {
  ...timePickerCommonProps,
  value: [String, Date, Number],
  defaultOpenValue: [String, Date, Number],
  footer: { type: [Boolean, Array, Object], default: false },
  placeholder: String,
  "onUpdate:value": [Function, Array],
  onChange: [Function, Array],
  onInput: [Function, Array]
};
const timeRangePickerProps = {
  ...timePickerCommonProps,
  value: Array,
  defaultOpenValue: Array,
  footer: { type: [Boolean, Array, Object], default: true },
  placeholder: Array,
  separator: [String, Object],
  "onUpdate:value": [Function, Array],
  onChange: [Function, Array],
  onInput: [Function, Array]
};
function getDefaultThemeTokens$w(tokens2) {
  const {
    scrollbarThumbBg,
    scrollbarTrackBg,
    fontWeightXl,
    colorTextInfo,
    colorTextTitle,
    marginSizeXl,
    paddingSize2Xs,
    paddingSizeSm,
    paddingSizeLg,
    fontSizeSm
  } = tokens2;
  const rangeSeparatorWidth = 32;
  const rangeSeparatorFontSize = fontSizeSm;
  return {
    separatorMarginHorizontal: marginSizeXl,
    overlayWidth: 200,
    overlayPadding: `${paddingSizeSm}px ${paddingSizeSm}px 0 ${paddingSizeSm}px`,
    overlayFooterPadding: `${paddingSizeSm}px ${paddingSizeLg}px`,
    rangeBoardWidth: 184,
    rangeBoardBorder: "none",
    rangeOverlayPadding: `${paddingSizeLg}px ${paddingSizeLg}px 0 ${paddingSizeLg}px`,
    rangeOverlayFooterPadding: `${paddingSizeSm}px 0`,
    rangeOverlaySeparatorPadding: `${paddingSize2Xs}px ${(rangeSeparatorWidth - fontSizeSm) / 2}px`,
    rangeOverlaySeparatorFontSize: rangeSeparatorFontSize,
    panelHeight: 224,
    panelPaddingHorizontal: paddingSizeSm,
    panelPaddingVertical: paddingSizeSm,
    panelFontSize: fontSizeSm,
    panelCellHeight: 32,
    panelCellPaddingHorizontal: paddingSizeSm,
    panelCellColor: colorTextInfo,
    panelCellColorActive: colorTextTitle,
    panelCellBgColorHover: "transparent",
    panelCellBgColorActive: "transparent",
    panelCellFontWeightActive: fontWeightXl,
    panelScrollbarWidth: 6,
    panelScrollbarThumbBgColor: scrollbarThumbBg,
    panelScrollbarThumbBorderRadius: 10,
    panelScrollbarTrackBgColor: scrollbarTrackBg
  };
}
const getThemeTokens$w = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$w(tokens2) : getDefaultThemeTokens$w(tokens2);
};
var TimePicker = /* @__PURE__ */ defineComponent({
  name: "IxTimePicker",
  inheritAttrs: false,
  props: timePickerProps,
  setup(props, {
    attrs,
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("timePicker");
    registerToken(getThemeTokens$w);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-time-picker`);
    const locale2 = useGlobalConfig("locale");
    const config = useGlobalConfig("timePicker");
    const dateConfig = useDateConfig();
    const triggerRef = ref();
    const {
      elementRef: inputRef,
      focus,
      blur
    } = useFormElement();
    const formatRef = computed(() => {
      var _a;
      return (_a = props.format) != null ? _a : config.format;
    });
    const {
      overlayOpened,
      setOverlayOpened
    } = useOverlayState(props, focus);
    const pickerState = usePickerState(props, config, dateConfig, formatRef);
    const {
      accessor,
      focused,
      handleFocus,
      handleBlur,
      handleChange
    } = pickerState;
    const pickerControl = usePickerControl(dateConfig, formatRef, handleChange, toRef(accessor, "value"));
    const inputEnableStatus = useInputEnableStatus(props, config);
    const handleKeyDown = useKeyboardEvents(overlayOpened, setOverlayOpened);
    const context = {
      props,
      slots,
      dateConfig,
      common,
      locale: locale2,
      config,
      mergedPrefixCls,
      formatRef,
      handleKeyDown,
      inputRef,
      inputEnableStatus,
      overlayOpened,
      setOverlayOpened,
      controlContext: pickerControl,
      ...pickerState,
      handleFocus,
      handleBlur
    };
    provide(timePickerContext, context);
    const triggerProps2 = useTriggerProps(context);
    expose({
      focus,
      blur
    });
    watch(overlayOpened, (opened) => {
      var _a;
      if (opened) {
        setTimeout(() => {
          var _a2;
          (_a2 = inputRef.value) == null ? void 0 : _a2.focus();
        });
      } else {
        pickerControl.init(true);
        if (focused.value) {
          (_a = triggerRef.value) == null ? void 0 : _a.focus();
        }
      }
    });
    const renderTrigger2 = () => createVNode(Trigger$1, mergeProps({
      "ref": triggerRef
    }, attrs), null);
    const renderContent2 = () => createVNode(Content$3, null, null);
    const overlayClass = computed(() => normalizeClass([`${mergedPrefixCls.value}-overlay`, globalHashId.value, hashId.value, props.overlayClassName]));
    return () => createVNode(IxControlTrigger, mergeProps(triggerProps2.value, {
      "class": `${mergedPrefixCls.value} ${globalHashId.value} ${hashId.value}`,
      "overlayClassName": overlayClass.value
    }, attrs), {
      default: renderTrigger2,
      overlay: renderContent2,
      suffix: slots.suffix,
      clearIcon: slots.clearIcon
    });
  }
});
function useRangePickerControl(dateConfig, formatRef, valueRef) {
  const [buffer, setBuffer] = useState(
    convertArray(valueRef.value).map((v) => convertToDate(dateConfig, v, formatRef.value))
  );
  const [bufferUpdated, setBufferUpdated] = useState(false);
  const handleBufferUpdate = (values) => {
    setBuffer(getRangeValue$1(dateConfig, values, formatRef.value));
    setBufferUpdated(true);
  };
  watch([valueRef, formatRef], ([value]) => {
    handleBufferUpdate(value);
  });
  const rangeValueRef = computed(() => convertArray(buffer.value));
  const fromValue = computed(() => rangeValueRef.value[0]);
  const toValue = computed(() => rangeValueRef.value[1]);
  const fromControl = usePickerControl(
    dateConfig,
    formatRef,
    (value) => {
      handleBufferUpdate([value, toValue.value]);
    },
    fromValue
  );
  const toControl = usePickerControl(
    dateConfig,
    formatRef,
    (value) => {
      handleBufferUpdate([fromValue.value, value]);
    },
    toValue
  );
  const init = (force = false) => {
    handleBufferUpdate(valueRef.value);
    setBufferUpdated(false);
    fromControl.init(force);
    toControl.init(force);
  };
  return {
    buffer,
    bufferUpdated,
    fromControl,
    toControl,
    init
  };
}
function getRangeValue$1(dateConfig, values, format2) {
  return convertArray(values).map((v) => convertToDate(dateConfig, v, format2));
}
var RangeOverlay = /* @__PURE__ */ defineComponent({
  setup() {
    const context = inject(timeRangePickerContext);
    const {
      props,
      slots,
      dateConfig,
      locale: locale2,
      mergedPrefixCls,
      formatRef,
      inputRef,
      inputEnableStatus,
      overlayOpened,
      handleChange,
      handleKeyDown,
      renderSeparator,
      setOverlayOpened,
      rangeControlContext: {
        buffer,
        fromControl,
        toControl
      }
    } = context;
    const inputInstance = ref();
    const setInputRef = () => {
      var _a;
      if (inputEnableStatus.value.enableInternalInput) {
        inputRef.value = (_a = inputInstance.value) == null ? void 0 : _a.getInputElement();
      }
    };
    onMounted(setInputRef);
    onUpdated(setInputRef);
    const inputProps2 = useInputProps(context);
    const panelProps = usePanelProps(props, formatRef);
    const {
      fromActiveValue,
      toActiveValue,
      setFromActiveValue,
      setToActiveValue
    } = useRangeActiveValue$1(props, dateConfig, formatRef, computed(() => [fromControl.panelValue.value, toControl.panelValue.value]));
    const handleConfirm = () => {
      handleChange(buffer.value);
      setOverlayOpened(false);
    };
    function renderBoard(isFrom) {
      var _a, _b;
      const {
        inputValue,
        inputFocused,
        panelValue,
        handleInput,
        handleInputClear,
        handleInputFocus,
        handleInputBlur,
        handlePanelChange
      } = isFrom ? fromControl : toControl;
      const idx = isFrom ? 0 : 1;
      const placeholder = (_b = (_a = props.placeholder) == null ? void 0 : _a[idx]) != null ? _b : locale2.timeRangePicker.placeholder[idx];
      const prefixCls = `${mergedPrefixCls.value}-board`;
      const _panelProps = {
        ...panelProps.value,
        activeValue: isFrom ? fromActiveValue.value : toActiveValue.value,
        visible: overlayOpened.value,
        value: panelValue.value,
        onChange: handlePanelChange,
        "onUpdate:activeValue": isFrom ? setFromActiveValue : setToActiveValue
      };
      return createVNode("div", {
        "class": prefixCls
      }, [inputEnableStatus.value.enableInternalInput && createVNode(\u0275Input, mergeProps({
        "ref": isFrom ? inputInstance : void 0,
        "class": `${prefixCls}-input`
      }, inputProps2.value, {
        "clearVisible": !!inputValue.value,
        "value": inputValue.value,
        "readonly": props.readonly,
        "focused": inputFocused.value,
        "placeholder": placeholder,
        "onInput": handleInput,
        "onClear": handleInputClear,
        "onFocus": handleInputFocus,
        "onBlur": handleInputBlur,
        "onKeydown": handleKeyDown
      }), slots), createVNode(\u0275TimePanel, mergeProps(_panelProps, {
        "class": `${prefixCls}-panel`,
        "tabindex": -1
      }), null)]);
    }
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-overlay`;
      const separatorClasses = {
        [`${prefixCls}-separator`]: true,
        [`${prefixCls}-separator-line`]: !inputEnableStatus.value.enableInternalInput
      };
      const children = [createVNode("div", {
        "class": `${prefixCls}-body`
      }, [renderBoard(true), createVNode("div", {
        "class": separatorClasses
      }, [inputEnableStatus.value.enableInternalInput && renderSeparator()]), renderBoard(false)]), createVNode(\u0275Footer, {
        "class": `${prefixCls}-footer`,
        "footer": props.footer,
        "okText": locale2.timeRangePicker.okText,
        "okButton": {
          size: "xs",
          mode: "primary"
        },
        "cancelVisible": false,
        "ok": handleConfirm
      }, slots)];
      return props.overlayRender ? props.overlayRender(children) : createVNode("div", null, [children]);
    };
  }
});
var RangeTrigger$1 = /* @__PURE__ */ defineComponent({
  inheritAttrs: false,
  setup(_, {
    expose
  }) {
    const context = inject(timeRangePickerContext);
    const {
      accessor,
      props,
      locale: locale2,
      mergedPrefixCls,
      inputRef,
      inputEnableStatus,
      renderSeparator,
      rangeControlContext: {
        fromControl,
        toControl
      }
    } = context;
    const triggerInputRef = ref();
    const placeholders = computed(() => {
      var _a, _b, _c, _d;
      return [(_b = (_a = props.placeholder) == null ? void 0 : _a[0]) != null ? _b : locale2.timeRangePicker.placeholder[0], (_d = (_c = props.placeholder) == null ? void 0 : _c[1]) != null ? _d : locale2.timeRangePicker.placeholder[1]];
    });
    const focus = () => {
      var _a;
      (_a = (inputEnableStatus.value.enableExternalInput ? inputRef : triggerInputRef).value) == null ? void 0 : _a.focus();
    };
    expose({
      focus
    });
    const handleFromInput = (evt) => {
      fromControl.handleInput(evt);
      callEmit(props.onInput, true, evt);
    };
    const handleToInput = (evt) => {
      toControl.handleInput(evt);
      callEmit(props.onInput, false, evt);
    };
    function renderSide(prefixCls, isFrom) {
      const {
        inputValue
      } = isFrom ? fromControl : toControl;
      const placeholder = placeholders.value[isFrom ? 0 : 1];
      const handleInput = isFrom ? handleFromInput : handleToInput;
      return createVNode("input", {
        "ref": isFrom ? inputEnableStatus.value.enableExternalInput ? inputRef : triggerInputRef : void 0,
        "class": `${prefixCls}-input-inner`,
        "autocomplete": "off",
        "disabled": accessor.disabled,
        "value": inputValue.value,
        "placeholder": placeholder,
        "readonly": props.readonly || !inputEnableStatus.value.enableExternalInput,
        "onInput": handleInput
      }, null);
    }
    return () => {
      const prefixCls = mergedPrefixCls.value;
      return createVNode("span", {
        "class": `${prefixCls}-input`
      }, [renderSide(prefixCls, true), createVNode("span", {
        "class": `${prefixCls}-input-separator`
      }, [renderSeparator()]), renderSide(prefixCls, false)]);
    };
  }
});
var TimeRangePicker = /* @__PURE__ */ defineComponent({
  name: "IxTimeRangePicker",
  inheritAttrs: false,
  props: timeRangePickerProps,
  setup(props, {
    attrs,
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("timePicker");
    registerToken(getThemeTokens$w);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-time-range-picker`);
    const locale2 = useGlobalConfig("locale");
    const config = useGlobalConfig("timePicker");
    const dateConfig = useDateConfig();
    const triggerRef = ref();
    const {
      elementRef: inputRef,
      focus,
      blur
    } = useFormElement();
    const formatRef = computed(() => {
      var _a;
      return (_a = props.format) != null ? _a : config.format;
    });
    const {
      overlayOpened,
      setOverlayOpened
    } = useOverlayState(props, focus);
    const pickerState = usePickerState(props, config, dateConfig, formatRef);
    const {
      accessor,
      focused,
      handleFocus,
      handleBlur,
      handleChange
    } = pickerState;
    const rangePickerControl = useRangePickerControl(dateConfig, formatRef, toRef(accessor, "value"));
    const inputEnableStatus = useInputEnableStatus(props, config);
    const handleKeyDown = useRangeKeyboardEvents(rangePickerControl, overlayOpened, setOverlayOpened, handleChange);
    const renderSeparator = () => {
      var _a, _b, _c;
      return (_c = (_b = (_a = slots.separator) == null ? void 0 : _a.call(slots)) != null ? _b : props.separator) != null ? _c : locale2.timeRangePicker.separator;
    };
    const context = {
      props,
      slots,
      dateConfig,
      common,
      locale: locale2,
      config,
      mergedPrefixCls,
      formatRef,
      handleKeyDown,
      inputRef,
      inputEnableStatus,
      overlayOpened,
      setOverlayOpened,
      renderSeparator,
      rangeControlContext: rangePickerControl,
      ...pickerState,
      handleFocus,
      handleBlur
    };
    const triggerProps2 = useTriggerProps(context);
    provide(timeRangePickerContext, context);
    expose({
      focus,
      blur
    });
    watch(overlayOpened, (opened) => {
      var _a;
      if (opened) {
        setTimeout(() => {
          var _a2;
          (_a2 = inputRef.value) == null ? void 0 : _a2.focus();
        });
      } else {
        rangePickerControl.init(true);
        if (focused.value) {
          (_a = triggerRef.value) == null ? void 0 : _a.focus();
        }
      }
    });
    const renderTrigger2 = () => createVNode(RangeTrigger$1, mergeProps({
      "ref": triggerRef
    }, attrs), null);
    const renderContent2 = () => createVNode(RangeOverlay, null, null);
    const overlayClass = computed(() => normalizeClass([`${mergedPrefixCls.value}-overlay`, globalHashId.value, hashId.value, props.overlayClassName]));
    return () => createVNode(IxControlTrigger, mergeProps(triggerProps2.value, {
      "class": `${mergedPrefixCls.value} ${globalHashId.value} ${hashId.value}`,
      "overlayClassName": overlayClass.value
    }, attrs), {
      default: renderTrigger2,
      overlay: renderContent2,
      suffix: slots.suffix,
      clearIcon: slots.clearIcon
    });
  }
});
const IxTimePicker = TimePicker;
const IxTimeRangePicker = TimeRangePicker;
function useActiveValue(dateConfig, mergedProps) {
  var _a;
  const [activeValue, setActiveValue] = useControlledProp(
    mergedProps,
    "activeValue",
    (_a = mergedProps.value.value) != null ? _a : dateConfig.now()
  );
  watch(
    () => mergedProps.value.value,
    (value) => setActiveValue(value != null ? value : dateConfig.now())
  );
  return {
    activeValue,
    setActiveValue
  };
}
const viewTypeMap = {
  date: "month",
  datetime: "month",
  week: "month",
  month: "year",
  quarter: "year",
  year: "year"
};
function useRangeActiveValue(dateConfig, mergedProps, panelValue, isSelecting) {
  var _a, _b;
  const { set, get: get2 } = dateConfig;
  const now2 = dateConfig.now();
  const viewType = computed(() => viewTypeMap[mergedProps.value.type]);
  const viewSpan = computed(() => mergedProps.value.type === "year" ? 12 : 1);
  const fromPanelValue = computed(() => {
    var _a2;
    return (_a2 = panelValue.value) == null ? void 0 : _a2[0];
  });
  const toPanelValue = computed(() => {
    var _a2;
    return (_a2 = panelValue.value) == null ? void 0 : _a2[1];
  });
  const checkActiveDateValid = (from, to) => {
    if (!from || !to) {
      return false;
    }
    const fromViewValue = get2(from, viewType.value);
    const toViewValue = get2(to, viewType.value);
    return mergedProps.value.type === "year" ? fromViewValue < toViewValue - viewSpan.value : (() => {
      const fromViewYearValue = get2(from, "year");
      const toViewYearValue = get2(to, "year");
      if (fromViewYearValue > toViewYearValue) {
        return false;
      }
      return fromViewYearValue < toViewYearValue || fromViewValue < toViewValue;
    })();
  };
  const calcValidActiveDate = (from, to, type) => {
    const getViewDate = (value) => set(value, get2(value, viewType.value) + (type === "from" ? -viewSpan.value : viewSpan.value), viewType.value);
    if (!from) {
      return type === "from" ? now2 : getViewDate(now2);
    }
    if (!to) {
      return type === "from" ? from : getViewDate(from);
    }
    const valid = checkActiveDateValid(from, to);
    if (type === "from") {
      return valid ? from : getViewDate(to);
    }
    return valid ? to : getViewDate(from);
  };
  const initActiveDate = () => {
    var _a2, _b2, _c;
    if (isSelecting.value) {
      return;
    }
    const fromValue = (_b2 = (_a2 = panelValue.value) == null ? void 0 : _a2[0]) != null ? _b2 : now2;
    const toValue = (_c = panelValue.value) == null ? void 0 : _c[1];
    const valueAlreadyInView = [fromValue, toValue].every((value) => {
      if (!value) {
        return true;
      }
      const yearValue = get2(value, "year");
      if (viewTypeMap[mergedProps.value.type] === "year") {
        return [fromActiveValue, toActiveValue].map((activeDate) => get2(activeDate.value, "year")).includes(yearValue);
      }
      const monthValue = get2(value, "month");
      return [fromActiveValue, toActiveValue].some(
        (activeDate) => yearValue === get2(activeDate.value, "year") && monthValue === get2(activeDate.value, "month")
      );
    });
    if (valueAlreadyInView && checkActiveDateValid(fromActiveValue.value, toActiveValue.value)) {
      return;
    }
    setActiveValue([fromValue, calcValidActiveDate(fromValue, toValue, "to")]);
  };
  const [activeValue, setActiveValue] = useControlledProp(mergedProps, "activeValue", [
    (_a = fromPanelValue.value) != null ? _a : now2,
    calcValidActiveDate((_b = fromPanelValue.value) != null ? _b : now2, toPanelValue.value, "to")
  ]);
  const fromActiveValue = computed(() => activeValue.value[0]);
  const toActiveValue = computed(() => activeValue.value[1]);
  watch([panelValue, () => mergedProps.value.visible, () => mergedProps.value.type], initActiveDate);
  const handleFromActiveValueUpdate = (value) => {
    setActiveValue([value, calcValidActiveDate(value, toActiveValue.value, "to")]);
  };
  const handleToActiveValueUpdate = (value) => {
    setActiveValue([calcValidActiveDate(fromActiveValue.value, value, "from"), value]);
  };
  return {
    fromActiveValue,
    toActiveValue,
    setFromActiveValue: handleFromActiveValueUpdate,
    setToActiveValue: handleToActiveValueUpdate
  };
}
const datePickerCommonProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  cellTooltip: Function,
  open: {
    type: Boolean,
    default: void 0
  },
  allowInput: {
    type: [Boolean, String],
    default: void 0
  },
  autofocus: {
    type: Boolean,
    default: false
  },
  borderless: {
    type: Boolean,
    default: void 0
  },
  clearable: {
    type: Boolean,
    default: void 0
  },
  clearIcon: String,
  disabled: {
    type: Boolean,
    default: false
  },
  disabledDate: Function,
  format: String,
  dateFormat: String,
  timeFormat: String,
  overlayClassName: String,
  overlayContainer: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  overlayTabindex: { type: Number, default: void 0 },
  overlayRender: Function,
  readonly: {
    type: Boolean,
    default: false
  },
  size: String,
  status: String,
  suffix: String,
  type: {
    type: String,
    default: "date"
  },
  "onUpdate:open": [Function, Array],
  onClear: [Function, Array],
  onFocus: [Function, Array],
  onBlur: [Function, Array]
};
const datePickerProps = {
  ...datePickerCommonProps,
  value: [String, Date, Number],
  footer: { type: [Boolean, Array, Object], default: false },
  placeholder: String,
  timePanelOptions: Object,
  onChange: [Function, Array],
  onInput: [Function, Array],
  "onUpdate:value": [Function, Array]
};
const dateRangePickerProps = {
  ...datePickerCommonProps,
  value: Array,
  footer: { type: [Boolean, Array, Object], default: true },
  placeholder: Array,
  separator: [String, Object],
  shortcuts: [Array, Object],
  timePanelOptions: [Object, Array],
  onChange: [Function, Array],
  onInput: [Function, Array],
  onSelect: [Function, Array],
  "onUpdate:value": [Function, Array]
};
const datePanelProps = {
  activeValue: Date,
  cellTooltip: Function,
  disabledDate: Function,
  value: Date,
  type: {
    type: String,
    default: void 0
  },
  timePanelOptions: {
    type: Object,
    default: void 0
  },
  visible: {
    type: [String, Boolean],
    default: void 0
  },
  onChange: [Function, Array],
  "onUpdate:activeValue": [Function, Array]
};
const dateRangePanelProps = {
  activeValue: Array,
  cellTooltip: Function,
  disabledDate: Function,
  value: Array,
  type: {
    type: String,
    default: void 0
  },
  timePanelOptions: {
    type: Array,
    default: void 0
  },
  visible: {
    type: [String, Boolean],
    default: void 0
  },
  onChange: [Function, Array],
  onSelect: [Function, Array],
  "onUpdate:activeValue": [Function, Array]
};
function convertPickerTypeToConfigType(type) {
  return type === "datetime" ? "date" : type;
}
const oneDayDuration = 24 * 60 * 60 * 1e3;
function getPresetRangeShortcutValue(dateConfig, presetShortcut) {
  const { now: now2, startOf, endOf } = dateConfig;
  switch (presetShortcut) {
    case "today":
    default:
      return () => {
        const currentDate = now2();
        return [startOf(currentDate, "date"), endOf(currentDate, "date")];
      };
    case "yesterday": {
      return () => {
        const currentDate = now2();
        const yesterday = new Date(currentDate.valueOf() - oneDayDuration);
        return [startOf(yesterday, "date"), endOf(yesterday, "date")];
      };
    }
    case "last24h": {
      return () => {
        const currentDate = now2();
        const currentHour = endOf(currentDate, "hour");
        return [new Date(currentHour.valueOf() - oneDayDuration), currentHour];
      };
    }
    case "last7d": {
      return () => {
        const currentDate = now2();
        const endOfToday = endOf(currentDate, "date");
        return [new Date(endOfToday.valueOf() - oneDayDuration * 7), endOfToday];
      };
    }
    case "last30d": {
      return () => {
        const currentDate = now2();
        const endOfToday = endOf(currentDate, "date");
        return [new Date(endOfToday.valueOf() - oneDayDuration * 30), endOfToday];
      };
    }
    case "last180d": {
      return () => {
        const currentDate = now2();
        const endOfToday = endOf(currentDate, "date");
        return [new Date(endOfToday.valueOf() - oneDayDuration * 180), endOfToday];
      };
    }
  }
}
function extractShortcutValue(shortcut) {
  const value = shortcut.value;
  if (!value) {
    return;
  }
  return isFunction(value) ? value() : value;
}
var DatePanel = /* @__PURE__ */ defineComponent({
  name: "IxDatePanel",
  props: datePanelProps,
  setup(props, {
    slots
  }) {
    const inherittedProps = inject(datePickerPanelPropsToken, null);
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("datePicker");
    const {
      registerToken: registerTimePickerToken
    } = useThemeToken("timePicker");
    registerToken(getThemeTokens$x);
    registerTimePickerToken(getThemeTokens$w);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-date-picker-panel`);
    const dateConfig = useDateConfig();
    const mergedProps = computed(() => {
      var _a;
      if (!inherittedProps) {
        return props;
      }
      const res = {};
      Object.keys(props).forEach((key) => {
        var _a2;
        res[key] = (_a2 = props[key]) != null ? _a2 : inherittedProps.value[key];
      });
      res.type = (_a = res.type) != null ? _a : "date";
      return res;
    });
    const {
      activeValue,
      setActiveValue
    } = useActiveValue(dateConfig, mergedProps);
    function handleChange(value) {
      callEmit(mergedProps.value.onChange, value);
    }
    function handleDatePanelChange(value) {
      handleChange(mergedProps.value.value ? applyDateTime(dateConfig, mergedProps.value.value, value, ["hour", "minute", "second", "millisecond"]) : value);
    }
    function handleTimePanelChange(value) {
      handleChange(mergedProps.value.value ? applyDateTime(dateConfig, mergedProps.value.value, value, ["year", "month", "date"]) : value);
    }
    const handleDatePanelCellClick = (value) => {
      handleDatePanelChange(value);
    };
    return () => {
      const _props = mergedProps.value;
      const datePanelType = convertPickerTypeToConfigType(_props.type);
      const datePanelProps2 = {
        cellTooltip: _props.cellTooltip,
        disabledDate: _props.disabledDate,
        type: datePanelType,
        value: _props.value,
        visible: _props.type === "datetime" ? _props.visible === "datePanel" : !!_props.visible,
        activeDate: activeValue.value,
        onCellClick: handleDatePanelCellClick,
        "onUpdate:activeDate": setActiveValue
      };
      const _timePanelProps = {
        ..._props.timePanelOptions,
        activeValue: activeValue.value,
        value: _props.value,
        visible: _props.type === "datetime" ? _props.visible === "timePanel" : false,
        onChange: handleTimePanelChange,
        "onUpdate:activeValue": setActiveValue
      };
      return createVNode("div", {
        "class": [mergedPrefixCls.value, globalHashId.value, hashId.value]
      }, [withDirectives(createVNode(\u0275DatePanel, datePanelProps2, slots), [[vShow, _props.visible !== "timePanel"]]), _props.type === "datetime" && withDirectives(createVNode(\u0275TimePanel, _timePanelProps, null), [[vShow, _props.visible === "timePanel"]])]);
    };
  }
});
var Content$2 = /* @__PURE__ */ defineComponent({
  setup(_, {
    slots
  }) {
    const context = inject(datePickerToken);
    const {
      props,
      mergedPrefixCls
    } = context;
    return () => {
      if (slots.overlay) {
        return slots.overlay();
      }
      const children = [createVNode(PickerOverlayInputs, null, slots), createVNode(DatePanel, null, slots), createVNode(PickerOverlayFooter, null, slots)];
      return props.overlayRender ? props.overlayRender(children) : createVNode("div", {
        "class": `${mergedPrefixCls.value}-overlay-content`
      }, [children]);
    };
  }
});
var Trigger = /* @__PURE__ */ defineComponent({
  inheritAttrs: false,
  setup(_, {
    expose,
    slots
  }) {
    const context = inject(datePickerToken);
    const {
      accessor,
      props,
      locale: locale2,
      controlContext: {
        inputValue,
        handleInput: _handleInput
      },
      mergedPrefixCls,
      formatRef,
      inputEnableStatus,
      inputRef
    } = context;
    const triggerInputRef = ref();
    const placeholder = computed(() => {
      var _a;
      return (_a = props.placeholder) != null ? _a : locale2.datePicker[`${props.type}Placeholder`];
    });
    const inputSize = computed(() => Math.max(10, formatRef.value.length) + 2);
    const focus = () => {
      var _a;
      (_a = (inputEnableStatus.value.allowInput === "overlay" ? triggerInputRef : inputRef).value) == null ? void 0 : _a.focus();
    };
    expose({
      focus
    });
    const handleInput = (evt) => {
      _handleInput(evt);
      callEmit(props.onInput, evt);
    };
    return () => {
      var _a, _b;
      return createVNode("div", {
        "class": `${mergedPrefixCls.value}-input`
      }, [(_b = (_a = slots.triggerContent) == null ? void 0 : _a.call(slots, {
        inputValue: inputValue.value,
        placeholder: placeholder.value,
        readonly: props.readonly || inputEnableStatus.value.enableInput === false,
        disabled: accessor.disabled,
        handleInput
      })) != null ? _b : createVNode("input", {
        "ref": inputEnableStatus.value.allowInput === "overlay" ? triggerInputRef : inputRef,
        "class": `${mergedPrefixCls.value}-input-inner`,
        "autocomplete": "off",
        "disabled": accessor.disabled,
        "placeholder": placeholder.value,
        "readonly": props.readonly || inputEnableStatus.value.enableInput === false,
        "size": inputSize.value,
        "value": inputValue.value,
        "onInput": handleInput
      }, null)]);
    };
  }
});
var DatePicker = /* @__PURE__ */ defineComponent({
  name: "IxDatePicker",
  inheritAttrs: false,
  props: datePickerProps,
  setup(props, {
    attrs,
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const locale2 = useGlobalConfig("locale");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("datePicker");
    registerToken(getThemeTokens$x);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-date-picker`);
    const config = useGlobalConfig("datePicker");
    const dateConfig = useDateConfig();
    const triggerRef = ref();
    const {
      elementRef: inputRef,
      focus,
      blur
    } = useFormElement();
    expose({
      focus,
      blur
    });
    const {
      overlayOpened,
      overlayVisible,
      onAfterLeave,
      setOverlayOpened
    } = useOverlayState$1(props);
    const inputEnableStatus = useInputEnableStatus$1(props, config);
    const formatContext = useFormat(props, config);
    const pickerStateContext = usePickerState$1(props, config, dateConfig, formatContext.formatRef);
    const {
      accessor,
      focused,
      handleFocus,
      handleBlur,
      handleChange
    } = pickerStateContext;
    const controlContext = useControl(dateConfig, formatContext, inputEnableStatus, toRef(accessor, "value"), handleChange);
    const handleKeyDown = useKeyboardEvents$1(overlayOpened, setOverlayOpened);
    const context = {
      props,
      slots,
      common,
      locale: locale2,
      config,
      mergedPrefixCls,
      dateConfig,
      inputRef,
      inputEnableStatus,
      overlayOpened,
      overlayVisible,
      onAfterLeave,
      setOverlayOpened,
      handleKeyDown,
      controlContext,
      ...formatContext,
      ...pickerStateContext,
      handleFocus,
      handleBlur
    };
    const triggerProps2 = useTriggerProps$1(context);
    const datePanelProps2 = usePickerPanelProps(context);
    provide(datePickerToken, context);
    provide(datePickerPanelPropsToken, datePanelProps2);
    watch(overlayOpened, (opened) => {
      var _a;
      if (opened) {
        setTimeout(() => {
          var _a2;
          (_a2 = inputRef.value) == null ? void 0 : _a2.focus();
        });
      } else {
        controlContext.init(true);
        if (focused.value) {
          (_a = triggerRef.value) == null ? void 0 : _a.focus();
        }
      }
    });
    const renderTrigger2 = () => createVNode(Trigger, {
      "ref": triggerRef
    }, slots);
    const renderContent2 = () => createVNode(Content$2, null, slots);
    const overlayClass = computed(() => normalizeClass([`${mergedPrefixCls.value}-overlay`, globalHashId.value, hashId.value, props.overlayClassName]));
    return () => createVNode(IxControlTrigger, mergeProps(triggerProps2.value, {
      "class": `${mergedPrefixCls.value} ${globalHashId.value} ${hashId.value}`,
      "overlayClassName": overlayClass.value
    }, attrs), {
      default: renderTrigger2,
      overlay: renderContent2,
      suffix: slots.suffix,
      clearIcon: slots.clearIcon
    });
  }
});
function useRangeControl(dateConfig, formatContext, inputEnableStatus, valueRef, typeRef) {
  const { formatRef, hourEnabled, secondEnabled, minuteEnabled } = formatContext;
  const convertedValue = computed(
    () => convertArray(valueRef.value).map((v) => convertToDate$1(dateConfig, v, formatRef.value))
  );
  const [buffer, setBuffer] = useState(convertedValue.value);
  const [bufferUpdated, setBufferUpdated] = useState(false);
  const handleBufferUpdate = (values) => {
    setBuffer(sortRangeValue$1(dateConfig, getRangeValue(dateConfig, values, formatRef.value), "date"));
    setBufferUpdated(true);
  };
  const [visiblePanel, setVisiblePanel] = useState("datePanel");
  const handleVisiblePanelUpdate = (value) => {
    visiblePanel.value !== value && setVisiblePanel(value);
    fromControl.visiblePanel.value !== value && fromControl.setVisiblePanel(value);
    toControl.visiblePanel.value !== value && toControl.setVisiblePanel(value);
  };
  const rangeValueRef = computed(() => convertArray(buffer.value));
  const fromDateRef = computed(() => rangeValueRef.value[0]);
  const toDateRef = computed(() => rangeValueRef.value[1]);
  watch([valueRef, formatRef], ([value]) => {
    handleBufferUpdate(value);
  });
  const getValidBufferValue = (value, isFrom) => {
    var _a, _b, _c, _d;
    if (isFrom) {
      return compareDateTime(dateConfig, value, (_a = buffer.value) == null ? void 0 : _a[1], "date") > 0 ? [value, value] : [value, (_b = buffer.value) == null ? void 0 : _b[1]];
    }
    return compareDateTime(dateConfig, value, (_c = buffer.value) == null ? void 0 : _c[0], "date") < 0 ? [value, value] : [(_d = buffer.value) == null ? void 0 : _d[0], value];
  };
  const getAdjustedBufferValue = (value, isFrom) => {
    const adjustType = secondEnabled.value ? "second" : minuteEnabled.value ? "minute" : hourEnabled.value ? "hour" : convertPickerTypeToConfigType(typeRef.value);
    return adjustRangeValue(dateConfig, getValidBufferValue(value, isFrom), convertedValue.value, adjustType);
  };
  const fromControl = useControl(dateConfig, formatContext, inputEnableStatus, fromDateRef, (value) => {
    setBuffer(getAdjustedBufferValue(value, true));
    setBufferUpdated(true);
  });
  const toControl = useControl(dateConfig, formatContext, inputEnableStatus, toDateRef, (value) => {
    setBuffer(getAdjustedBufferValue(value, false));
    setBufferUpdated(true);
  });
  watch(fromControl.visiblePanel, handleVisiblePanelUpdate);
  watch(toControl.visiblePanel, handleVisiblePanelUpdate);
  const init = (force = false) => {
    handleBufferUpdate(valueRef.value);
    setBufferUpdated(false);
    fromControl.init(force);
    toControl.init(force);
  };
  return {
    buffer,
    bufferUpdated,
    visiblePanel,
    setVisiblePanel: handleVisiblePanelUpdate,
    fromControl,
    toControl,
    init,
    handlePanelChange: handleBufferUpdate
  };
}
function getRangeValue(dateConfig, values, format2) {
  return convertArray(values).map((v) => convertToDate$1(dateConfig, v, format2));
}
function useRangePickerPanelProps(context) {
  const {
    props,
    hourEnabled,
    minuteEnabled,
    secondEnabled,
    use12Hours,
    rangeControlContext: { buffer, visiblePanel, handlePanelChange },
    overlayVisible
  } = context;
  const timePanelProps2 = useRangeTimePanelProps(props, hourEnabled, minuteEnabled, secondEnabled, use12Hours);
  const datePanelProps2 = computed(() => {
    return {
      value: buffer.value,
      cellTooltip: props.cellTooltip,
      disabledDate: props.disabledDate,
      type: props.type,
      timePanelOptions: timePanelProps2.value,
      visible: overlayVisible.value && visiblePanel.value,
      onChange: handlePanelChange,
      onSelect: props.onSelect
    };
  });
  return datePanelProps2;
}
var RangePickerOverlayFooter = /* @__PURE__ */ defineComponent({
  name: "IxDateRangePickerFooter",
  setup(_, {
    slots
  }) {
    const {
      locale: locale2,
      mergedPrefixCls,
      props,
      rangeControlContext: {
        buffer,
        bufferUpdated
      },
      handleChange,
      setOverlayOpened
    } = inject(dateRangePickerToken);
    const handleConfirm = () => {
      if (bufferUpdated.value) {
        handleChange(buffer.value);
      }
      setOverlayOpened(false);
    };
    return () => createVNode(\u0275Footer, {
      "class": `${mergedPrefixCls.value}-overlay-footer`,
      "footer": props.footer,
      "okText": locale2.dateRangePicker.okText,
      "okButton": {
        size: "xs",
        mode: "primary"
      },
      "cancelVisible": false,
      "ok": handleConfirm
    }, slots);
  }
});
var RangePickerOverlayInputs = /* @__PURE__ */ defineComponent({
  name: "IxDateRangePickerOverlayInputs",
  setup(_, {
    slots
  }) {
    const context = inject(dateRangePickerToken);
    const {
      dateFormatRef,
      timeFormatRef,
      rangeControlContext: {
        fromControl,
        toControl
      },
      mergedPrefixCls,
      inputEnableStatus,
      inputRef,
      handleKeyDown,
      renderSeparator
    } = context;
    const inputInstance = ref();
    onMounted(() => {
      var _a;
      if (inputEnableStatus.value.allowInput !== "overlay") {
        return;
      }
      inputRef.value = (_a = inputInstance.value) == null ? void 0 : _a.getInputElement();
    });
    const inputProps2 = useInputProps$1(context);
    const renderInputsSide = (prefixCls, isFrom) => {
      const {
        enableOverlayTimeInput
      } = inputEnableStatus.value;
      const {
        dateInputValue,
        timeInputValue,
        dateInputFocused,
        timeInputFocused,
        handleDateInput,
        handleTimeInput,
        handleDateInputClear,
        handleTimeInputClear,
        handleDateInputFocus,
        handleTimeInputFocus,
        handleDateInputBlur,
        handleTimeInputBlur
      } = isFrom ? fromControl : toControl;
      const _handleDateInputFocus = (evt) => {
        handleDateInputFocus();
        if (inputEnableStatus.value.allowInput === "overlay") {
          inputRef.value = evt.target;
        }
      };
      const _handleTimeInputFocus = (evt) => {
        handleTimeInputFocus();
        if (inputEnableStatus.value.allowInput === "overlay") {
          inputRef.value = evt.target;
        }
      };
      return createVNode("div", {
        "class": `${prefixCls}-side`
      }, [createVNode(\u0275Input, mergeProps({
        "ref": isFrom ? inputInstance : void 0
      }, inputProps2.value, {
        "class": `${prefixCls}-date-input`,
        "value": dateInputValue.value,
        "clearVisible": !!dateInputValue.value && !!inputEnableStatus.value.allowInput,
        "focused": dateInputFocused.value,
        "placeholder": dateFormatRef.value,
        "readonly": !inputEnableStatus.value.allowInput,
        "onInput": handleDateInput,
        "onFocus": _handleDateInputFocus,
        "onBlur": handleDateInputBlur,
        "onKeydown": handleKeyDown,
        "onClear": handleDateInputClear
      }), slots), enableOverlayTimeInput && createVNode(\u0275Input, mergeProps(inputProps2.value, {
        "class": `${prefixCls}-time-input`,
        "value": timeInputValue.value,
        "clearVisible": !!timeInputValue.value && !!inputEnableStatus.value.allowInput,
        "focused": timeInputFocused.value,
        "placeholder": timeFormatRef.value,
        "readonly": !inputEnableStatus.value.allowInput,
        "onInput": handleTimeInput,
        "onFocus": _handleTimeInputFocus,
        "onBlur": handleTimeInputBlur,
        "onKeydown": handleKeyDown,
        "onClear": handleTimeInputClear
      }), slots)]);
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-overlay`;
      const inputsCls = `${prefixCls}-inputs`;
      if (!inputEnableStatus.value.enableOverlayDateInput) {
        return null;
      }
      return createVNode("div", {
        "class": inputsCls
      }, [renderInputsSide(inputsCls, true), createVNode("div", {
        "class": `${prefixCls}-separator`
      }, [renderSeparator()]), renderInputsSide(inputsCls, false)]);
    };
  }
});
function useRangePanelState(mergedProps, dateConfig) {
  const [selectingDates, setSelectingDates] = useState(mergedProps.value.value);
  const [isSelecting, setIsSelecting] = useState(false);
  watch(
    () => mergedProps.value.visible,
    (visible) => {
      setIsSelecting(false);
      if (!visible) {
        callEmit(mergedProps.value.onSelect, mergedProps.value.value);
      }
    }
  );
  const panelValue = computed(() => {
    if (isSelecting.value) {
      return sortRangeValue$1(dateConfig, [...convertArray(selectingDates.value)], "date");
    }
    return convertArray(mergedProps.value.value);
  });
  const handleChange = (value) => {
    callEmit(mergedProps.value.onChange, value);
    callEmit(mergedProps.value.onSelect, value);
  };
  const handleDatePanelCellClick = (value) => {
    if (!isSelecting.value) {
      setIsSelecting(true);
      setSelectingDates([value, void 0]);
      callEmit(mergedProps.value.onSelect, [value, void 0]);
    } else {
      const propsValue = convertArray(mergedProps.value.value);
      const sortedValue = sortRangeValue$1(dateConfig, [selectingDates.value[0], value], "date");
      handleChange(
        adjustRangeValue(
          dateConfig,
          sortedValue,
          propsValue,
          convertPickerTypeToConfigType(mergedProps.value.type)
        )
      );
      setIsSelecting(false);
    }
  };
  const handleDatePanelCellMouseenter = (value) => {
    var _a;
    if (!isSelecting.value) {
      return;
    }
    setSelectingDates([(_a = selectingDates.value) == null ? void 0 : _a[0], value]);
  };
  return {
    panelValue,
    isSelecting,
    handleChange,
    handleDatePanelCellClick,
    handleDatePanelCellMouseenter
  };
}
var DateRangePanel = /* @__PURE__ */ defineComponent({
  name: "IxDateRangePanel",
  props: dateRangePanelProps,
  setup(props, {
    slots
  }) {
    const inherittedProps = inject(dateRangePickerPanelPropsToken, null);
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("datePicker");
    const {
      registerToken: registerTimePickerToken
    } = useThemeToken("timePicker");
    registerToken(getThemeTokens$x);
    registerTimePickerToken(getThemeTokens$w);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-date-range-picker-panel`);
    const dateConfig = useDateConfig();
    const mergedProps = computed(() => {
      var _a;
      if (!inherittedProps) {
        return props;
      }
      const res = {};
      Object.keys(props).forEach((key) => {
        var _a2;
        res[key] = (_a2 = props[key]) != null ? _a2 : inherittedProps.value[key];
      });
      res.type = (_a = res.type) != null ? _a : "date";
      return res;
    });
    const {
      handleChange,
      handleDatePanelCellClick,
      handleDatePanelCellMouseenter,
      panelValue,
      isSelecting
    } = useRangePanelState(mergedProps, dateConfig);
    const {
      fromActiveValue,
      toActiveValue,
      setFromActiveValue,
      setToActiveValue
    } = useRangeActiveValue(dateConfig, mergedProps, panelValue, isSelecting);
    const renderSide = (isFrom) => {
      var _a, _b;
      const _props = mergedProps.value;
      const timeValue = (_a = panelValue.value) == null ? void 0 : _a[isFrom ? 0 : 1];
      const datePanelType = convertPickerTypeToConfigType(_props.type);
      const activeValue = isFrom ? fromActiveValue.value : toActiveValue.value;
      const handleTimePanelChange = (value) => {
        var _a2, _b2;
        handleChange(isFrom ? [value, (_a2 = panelValue.value) == null ? void 0 : _a2[1]] : [(_b2 = panelValue.value) == null ? void 0 : _b2[0], value]);
      };
      const datePanelProps2 = {
        cellTooltip: _props.cellTooltip,
        disabledDate: _props.disabledDate,
        type: datePanelType,
        value: panelValue.value,
        visible: _props.type === "datetime" ? _props.visible === "datePanel" : !!_props.visible,
        activeDate: activeValue,
        onCellClick: handleDatePanelCellClick,
        onCellMouseenter: handleDatePanelCellMouseenter,
        "onUpdate:activeDate": isFrom ? setFromActiveValue : setToActiveValue
      };
      const _timePanelProps = {
        ...(_b = isArray(_props.timePanelOptions) ? _props.timePanelOptions[isFrom ? 0 : 1] : _props.timePanelOptions) != null ? _b : {},
        activeValue: timeValue != null ? timeValue : activeValue,
        value: timeValue,
        visible: _props.type === "datetime" ? _props.visible === "timePanel" : false,
        onChange: handleTimePanelChange,
        "onUpdate:activeValue": isFrom ? setFromActiveValue : setToActiveValue
      };
      return createVNode("div", {
        "class": `${mergedPrefixCls.value}-side`
      }, [withDirectives(createVNode(\u0275DatePanel, datePanelProps2, slots), [[vShow, _props.visible !== "timePanel"]]), _props.type === "datetime" && withDirectives(createVNode(\u0275TimePanel, _timePanelProps, null), [[vShow, _props.visible === "timePanel"]])]);
    };
    return () => {
      var _a, _b;
      const prefixCls = mergedPrefixCls.value;
      return createVNode("div", {
        "class": [prefixCls, globalHashId.value, hashId.value]
      }, [renderSide(true), (_b = (_a = slots.separator) == null ? void 0 : _a.call(slots)) != null ? _b : createVNode("div", {
        "class": `${prefixCls}-separator`
      }, null), renderSide(false)]);
    };
  }
});
const rangePickerPanelRenderer = (context) => {
  return [
    h(RangePickerOverlayInputs, null, context.slots),
    h(DateRangePanel),
    h(RangePickerOverlayFooter, null, context.slots)
  ];
};
function useRangeShortcuts(shortcutsProp, valueRef, visibleRef, presetPanelRenderer = rangePickerPanelRenderer) {
  const dateConfig = useDateConfig();
  const { dateRangePicker: dateRangePickerLocale } = useGlobalConfig("locale");
  const [selectedShortcut, setSelectedShortcut] = useState(void 0);
  const showShortcutPanel = computed(() => {
    var _a;
    if (isArray(shortcutsProp.value)) {
      return false;
    }
    return !!((_a = shortcutsProp.value) == null ? void 0 : _a.showPanel);
  });
  const shortcuts = computed(() => {
    var _a;
    if (!shortcutsProp.value) {
      return [];
    }
    let shortcuts2 = [];
    let showPanel = false;
    if (isArray(shortcutsProp.value)) {
      shortcuts2 = shortcutsProp.value;
      showPanel = false;
    } else {
      shortcuts2 = shortcutsProp.value.shortcuts;
      showPanel = (_a = shortcutsProp.value.showPanel) != null ? _a : showPanel;
    }
    return shortcuts2.map((shortcut) => {
      var _a2;
      if (isString(shortcut)) {
        return getResolvedPresetShortcutOption(
          dateConfig,
          shortcut,
          dateRangePickerLocale,
          showPanel,
          presetPanelRenderer
        );
      }
      const panelRenderer = (_a2 = shortcut.panelRenderer) != null ? _a2 : showPanel && shortcut.value ? rangePickerPanelRenderer : void 0;
      return {
        ...shortcut,
        confirmOnSelect: !panelRenderer ? true : shortcut.confirmOnSelect,
        panelRenderer
      };
    }).filter(Boolean);
  });
  const customShortcut = computed(() => shortcuts.value.find((s3) => s3.key === "custom"));
  const getSelectedShortcutByValue = () => {
    var _a;
    const value = valueRef.value;
    if (!value) {
      return;
    }
    return (_a = shortcuts.value.find(
      (shortcut) => shortcut.value && (value == null ? void 0 : value.every((v, i2) => {
        var _a2;
        return shortcut && ((_a2 = extractShortcutValue(shortcut)) == null ? void 0 : _a2[i2].valueOf()) === (v == null ? void 0 : v.valueOf());
      }))
    )) != null ? _a : customShortcut.value;
  };
  watch(
    valueRef,
    () => {
      const selectedShortcutByValue = getSelectedShortcutByValue();
      if ((selectedShortcutByValue == null ? void 0 : selectedShortcutByValue.value) || selectedShortcut.value) {
        setSelectedShortcut(selectedShortcutByValue);
      }
    },
    {
      flush: "pre",
      immediate: true
    }
  );
  watch(
    visibleRef,
    (visible) => {
      var _a;
      if (visible) {
        return;
      }
      const selectedShortcutByValue = getSelectedShortcutByValue();
      if (((_a = selectedShortcut.value) == null ? void 0 : _a.key) !== (selectedShortcutByValue == null ? void 0 : selectedShortcutByValue.key)) {
        setSelectedShortcut(selectedShortcutByValue);
      }
    },
    { flush: "pre" }
  );
  return {
    shortcuts,
    selectedShortcut,
    showShortcutPanel,
    setSelectedShortcut
  };
}
function getResolvedPresetShortcutOption(dateConfig, presetShortcut, locales, showPanel, presetPanelRenderer) {
  if (presetShortcut === "custom") {
    return {
      key: "custom",
      label: locales.shortcuts["custom"],
      panelRenderer: presetPanelRenderer
    };
  }
  const value = getPresetRangeShortcutValue(dateConfig, presetShortcut);
  if (!value) {
    return;
  }
  return {
    key: presetShortcut,
    value,
    label: locales.shortcuts[presetShortcut],
    confirmOnSelect: !showPanel,
    selectedLabel: locales.shortcuts[presetShortcut],
    panelRenderer: showPanel ? presetPanelRenderer : void 0
  };
}
var RangeShortcuts = /* @__PURE__ */ defineComponent({
  props: {
    prefixCls: String,
    selectedShortcut: [String, Number, Symbol],
    shortcuts: Array,
    onChange: Function
  },
  setup(props) {
    return () => {
      var _a;
      const prefixCls = `${props.prefixCls}-shortcuts`;
      const handleShortcutClick = (evt, shortcut) => {
        var _a2, _b;
        (_a2 = shortcut.onClick) == null ? void 0 : _a2.call(shortcut, evt);
        (_b = props.onChange) == null ? void 0 : _b.call(props, shortcut);
      };
      return createVNode("ul", {
        "class": prefixCls
      }, [(_a = props.shortcuts) == null ? void 0 : _a.map((shortcut) => createVNode("li", {
        "key": shortcut.key,
        "class": [`${prefixCls}-item`, props.selectedShortcut === shortcut.key ? `${prefixCls}-item-selected` : void 0],
        "onClick": (evt) => handleShortcutClick(evt, shortcut)
      }, [createVNode("span", {
        "class": `${prefixCls}-item-label`
      }, [shortcut.label])]))]);
    };
  }
});
var RangeContent = /* @__PURE__ */ defineComponent({
  setup(_, {
    slots
  }) {
    const context = inject(dateRangePickerToken);
    const {
      props,
      mergedPrefixCls,
      shortcuts,
      selectedShortcut,
      showShortcutPanel,
      setSelectedShortcut,
      rangeControlContext: {
        buffer,
        bufferUpdated,
        handlePanelChange
      },
      handleChange,
      setOverlayOpened
    } = context;
    const handleShortcutChange = (shortcut) => {
      setSelectedShortcut(shortcut);
      if (!shortcut.value) {
        return;
      }
      if (shortcut.confirmOnSelect) {
        handleChange(extractShortcutValue(shortcut));
        setOverlayOpened(false);
      } else {
        handlePanelChange(extractShortcutValue(shortcut));
      }
    };
    const shortcutOk = () => {
      if (bufferUpdated.value) {
        handleChange(buffer.value);
      }
      setOverlayOpened(false);
    };
    const shorcutCancel = () => {
      setOverlayOpened(false);
    };
    return () => {
      var _a, _b, _c;
      if (slots.overlay) {
        return slots.overlay();
      }
      let children;
      const contentClasses = computed(() => {
        const prefixCls = `${mergedPrefixCls.value}-overlay-content`;
        return {
          [prefixCls]: true,
          [`${prefixCls}-with-shortcuts`]: !!shortcuts.value.length
        };
      });
      const shortcutPanelRenderContext = {
        slots,
        setBuffer: handlePanelChange,
        setValue: handleChange,
        ok: shortcutOk,
        cancel: shorcutCancel
      };
      if (shortcuts.value.length) {
        children = [createVNode(RangeShortcuts, {
          "class": {
            [`${mergedPrefixCls.value}-shortcuts-with-panel`]: showShortcutPanel.value || !!((_a = selectedShortcut.value) == null ? void 0 : _a.panelRenderer)
          },
          "prefixCls": mergedPrefixCls.value,
          "shortcuts": shortcuts.value,
          "selectedShortcut": (_b = selectedShortcut.value) == null ? void 0 : _b.key,
          "onChange": handleShortcutChange
        }, null), ((_c = selectedShortcut.value) == null ? void 0 : _c.panelRenderer) ? createVNode("div", {
          "class": `${mergedPrefixCls.value}-shortcuts-panel`
        }, [selectedShortcut.value.panelRenderer(shortcutPanelRenderContext)]) : showShortcutPanel.value ? createVNode("div", {
          "class": `${mergedPrefixCls.value}-shortcuts-panel`
        }, [createVNode(RangePickerOverlayInputs, null, slots), createVNode(DateRangePanel, null, null), createVNode(RangePickerOverlayFooter, null, slots)]) : void 0];
      } else {
        children = [createVNode(RangePickerOverlayInputs, null, slots), createVNode(DateRangePanel, null, null), createVNode(RangePickerOverlayFooter, null, slots)];
      }
      return props.overlayRender ? props.overlayRender(children) : createVNode("div", {
        "class": contentClasses.value
      }, [children]);
    };
  }
});
var RangeTrigger = /* @__PURE__ */ defineComponent({
  inheritAttrs: false,
  setup(_, {
    expose,
    slots
  }) {
    const context = inject(dateRangePickerToken);
    const {
      accessor,
      props,
      locale: locale2,
      rangeControlContext: {
        fromControl,
        toControl
      },
      mergedPrefixCls,
      formatRef,
      inputRef,
      inputEnableStatus,
      selectedShortcut,
      renderSeparator
    } = context;
    const triggerInputRef = ref();
    const triggerToInputRef = ref();
    const triggerRef = ref();
    const placeholders = computed(() => {
      var _a, _b, _c, _d;
      return [(_b = (_a = props.placeholder) == null ? void 0 : _a[0]) != null ? _b : locale2.dateRangePicker[`${props.type}Placeholder`][0], (_d = (_c = props.placeholder) == null ? void 0 : _c[1]) != null ? _d : locale2.dateRangePicker[`${props.type}Placeholder`][1]];
    });
    const inputSize = computed(() => Math.max(10, formatRef.value.length) + 2);
    const handleFromInput = (evt) => {
      fromControl.handleInput(evt);
      callEmit(props.onInput, true, evt);
    };
    const handleToInput = (evt) => {
      toControl.handleInput(evt);
      callEmit(props.onInput, false, evt);
    };
    const focus = () => {
      var _a;
      const inputEl = (inputEnableStatus.value.allowInput === "overlay" ? triggerInputRef : inputRef).value;
      if (inputEl) {
        inputEl.focus();
      } else {
        (_a = triggerRef.value) == null ? void 0 : _a.focus();
      }
    };
    expose({
      focus
    });
    watch(() => {
      var _a;
      return (_a = selectedShortcut.value) == null ? void 0 : _a.selectedLabel;
    }, (label) => {
      var _a;
      if (!label) {
        return;
      }
      if (document.activeElement === triggerInputRef.value || document.activeElement === triggerToInputRef.value || document.activeElement === inputRef.value) {
        (_a = triggerRef.value) == null ? void 0 : _a.focus();
      }
    });
    const renderSide = (isFrom) => {
      const prefixCls = mergedPrefixCls.value;
      const {
        inputValue
      } = isFrom ? fromControl : toControl;
      const placeholder = placeholders.value[isFrom ? 0 : 1];
      const handleInput = isFrom ? handleFromInput : handleToInput;
      return createVNode("input", {
        "ref": isFrom ? inputEnableStatus.value.allowInput === "overlay" ? triggerInputRef : inputRef : triggerToInputRef,
        "class": `${prefixCls}-input-inner`,
        "autocomplete": "off",
        "disabled": accessor.disabled,
        "placeholder": placeholder,
        "readonly": props.readonly || inputEnableStatus.value.enableInput === false,
        "size": inputSize.value,
        "value": inputValue.value,
        "onInput": handleInput
      }, null);
    };
    return () => {
      var _a, _b, _c, _d;
      return createVNode("div", {
        "ref": triggerRef,
        "class": `${mergedPrefixCls.value}-input`,
        "tabindex": -1
      }, [(_d = (_c = (_a = slots.triggerContent) == null ? void 0 : _a.call(slots, {
        selectedShortcut: selectedShortcut.value,
        inputValue: [fromControl.inputValue.value, toControl.inputValue.value],
        placeholder: placeholders.value,
        readonly: props.readonly || inputEnableStatus.value.enableInput === false,
        disabled: accessor.disabled,
        handleFromInput,
        handleToInput
      })) != null ? _c : (_b = selectedShortcut.value) == null ? void 0 : _b.selectedLabel) != null ? _d : [renderSide(true), createVNode("span", {
        "class": `${mergedPrefixCls.value}-input-separator`
      }, [renderSeparator()]), renderSide(false)]]);
    };
  }
});
var DateRangePicker = /* @__PURE__ */ defineComponent({
  name: "IxDateRangePicker",
  inheritAttrs: false,
  props: dateRangePickerProps,
  setup(props, {
    attrs,
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const locale2 = useGlobalConfig("locale");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("datePicker");
    registerToken(getThemeTokens$x);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-date-range-picker`);
    const config = useGlobalConfig("datePicker");
    const dateConfig = useDateConfig();
    const triggerRef = ref();
    const {
      elementRef: inputRef,
      focus,
      blur
    } = useFormElement();
    expose({
      focus,
      blur
    });
    const {
      overlayOpened,
      overlayVisible,
      onAfterLeave,
      setOverlayOpened
    } = useOverlayState$1(props);
    const inputEnableStatus = useInputEnableStatus$1(props, config);
    const formatContext = useFormat(props, config);
    const pickerStateContext = usePickerState$1(props, config, dateConfig, formatContext.formatRef);
    const {
      accessor,
      convertedValue,
      focused,
      handleFocus,
      handleBlur,
      handleChange
    } = pickerStateContext;
    const rangeControlContext = useRangeControl(dateConfig, formatContext, inputEnableStatus, toRef(accessor, "value"), toRef(props, "type"));
    const rangeShortcutsContext = useRangeShortcuts(computed(() => props.shortcuts), convertedValue, overlayOpened);
    const handleKeyDown = useRangeKeyboardEvents$1(rangeControlContext, overlayOpened, setOverlayOpened, handleChange);
    const renderSeparator = () => {
      var _a, _b, _c;
      return (_c = (_b = (_a = slots.separator) == null ? void 0 : _a.call(slots)) != null ? _b : props.separator) != null ? _c : locale2.dateRangePicker.separator;
    };
    const context = {
      props,
      slots,
      common,
      locale: locale2,
      config,
      mergedPrefixCls,
      dateConfig,
      inputRef,
      inputEnableStatus,
      overlayOpened,
      overlayVisible,
      onAfterLeave,
      setOverlayOpened,
      rangeControlContext,
      renderSeparator,
      handleKeyDown,
      ...formatContext,
      ...pickerStateContext,
      ...rangeShortcutsContext,
      handleFocus,
      handleBlur
    };
    const {
      shortcuts,
      selectedShortcut,
      showShortcutPanel
    } = rangeShortcutsContext;
    const triggerProps2 = useTriggerProps$1(context);
    const dateRangePanelProps2 = useRangePickerPanelProps(context);
    const dateRangePanelSlots = {
      cell: slots.cell,
      separator: inputEnableStatus.value.enableOverlayDateInput ? () => createVNode("div", {
        "class": `${mergedPrefixCls.value}-overlay-separator`
      }, null) : void 0
    };
    provide(dateRangePickerToken, context);
    provide(dateRangePickerPanelPropsToken, dateRangePanelProps2);
    provide(dateRangePickerPanelSlotsToken, dateRangePanelSlots);
    watch(overlayOpened, (opened) => {
      var _a;
      if (opened) {
        setTimeout(() => {
          var _a2;
          if (!focused.value) {
            (_a2 = inputRef.value) == null ? void 0 : _a2.focus();
          }
        });
      } else {
        rangeControlContext.init(true);
        if (focused.value) {
          (_a = triggerRef.value) == null ? void 0 : _a.focus();
        }
      }
    });
    const renderTrigger2 = () => createVNode(RangeTrigger, {
      "ref": triggerRef
    }, slots);
    const renderContent2 = () => createVNode(RangeContent, null, slots);
    const overlayClass = computed(() => normalizeClass([`${mergedPrefixCls.value}-overlay`, globalHashId.value, hashId.value, props.overlayClassName]));
    return () => {
      var _a;
      return createVNode(IxControlTrigger, mergeProps(triggerProps2.value, {
        "class": `${mergedPrefixCls.value} ${globalHashId.value} ${hashId.value}`,
        "overlayClassName": overlayClass.value,
        "overlayMatchWidth": !!shortcuts.value.length && !showShortcutPanel.value && !((_a = selectedShortcut.value) == null ? void 0 : _a.panelRenderer)
      }, attrs), {
        default: renderTrigger2,
        overlay: renderContent2,
        suffix: slots.suffix,
        clearIcon: slots.clearIcon
      });
    };
  }
});
const IxDatePicker = DatePicker;
const IxDatePanel = DatePanel;
const IxDateRangePicker = DateRangePicker;
const IxDateRangePanel = DateRangePanel;
const descToken = Symbol("descToken");
const descProps = {
  col: {
    type: [Number, String, Object],
    default: void 0
  },
  colonless: { type: Boolean, default: void 0 },
  header: { type: [String, Object] },
  labelAlign: String,
  labelWidth: { type: [String, Number], default: void 0 },
  layout: String,
  size: String
};
const descItemProps = {
  col: {
    type: [Number, String, Object],
    default: 1
  },
  colonless: { type: Boolean, default: void 0 },
  label: { type: [String, Number], default: void 0 },
  labelAlign: { type: String, default: void 0 },
  labelWidth: { type: [String, Number], default: void 0 }
};
function getDefaultThemeTokens$v(tokens2) {
  const { colorTextInfo, heightSm, heightMd, heightLg, fontSizeSm } = tokens2;
  return {
    itemHeightSm: heightSm,
    itemHeightMd: heightMd,
    itemHeightLg: heightLg,
    fontSizeSm,
    fontSizeMd: fontSizeSm,
    fontSizeLg: fontSizeSm,
    labelColor: colorTextInfo
  };
}
const getThemeTokens$v = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$v(tokens2) : getDefaultThemeTokens$v(tokens2);
};
var Desc = /* @__PURE__ */ defineComponent({
  name: "IxDesc",
  props: descProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("desc");
    registerToken(getThemeTokens$v);
    const config = useGlobalConfig("desc");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-desc`);
    const mergedCol = computed(() => {
      var _a;
      return (_a = props.col) != null ? _a : config.col;
    });
    const mergedColonless = computed(() => {
      var _a;
      return (_a = props.colonless) != null ? _a : config.colonless;
    });
    const mergedLabelAlign = computed(() => {
      var _a;
      return (_a = props.labelAlign) != null ? _a : config.labelAlign;
    });
    const mergedLabelWidth = computed(() => props.labelWidth);
    const mergedSize = computed(() => {
      var _a;
      return (_a = props.size) != null ? _a : config.size;
    });
    provide(descToken, {
      mergedPrefixCls,
      mergedCol,
      mergedColonless,
      mergedLabelAlign,
      mergedLabelWidth
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      const {
        layout = config.layout
      } = props;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-${mergedSize.value}`]: true,
        [`${prefixCls}-vertical`]: layout === "vertical"
      });
    });
    const headerClasses = computed(() => `${mergedPrefixCls.value}-header`);
    return () => {
      return createVNode(IxRow, {
        "class": classes.value
      }, {
        default: () => [createVNode("div", {
          "class": headerClasses.value
        }, [createVNode(\u0275Header, {
          "header": props.header,
          "size": mergedSize.value === "lg" ? "md" : "sm"
        }, {
          header: slots.header,
          closeIcon: slots.suffix
        })]), slots.default && slots.default()]
      });
    };
  }
});
var DescItem = /* @__PURE__ */ defineComponent({
  name: "IxDescItem",
  props: descItemProps,
  setup(props, {
    slots
  }) {
    const descContext = inject(descToken);
    if (!descContext) {
      return;
    }
    const {
      mergedPrefixCls,
      mergedCol,
      mergedColonless,
      mergedLabelAlign,
      mergedLabelWidth
    } = descContext;
    const mergedColSpan = useMergedColSpan(props, mergedCol);
    const labelClasses = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-item-label`;
      const {
        colonless = mergedColonless.value,
        labelAlign = mergedLabelAlign.value
      } = props;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-colon`]: !colonless,
        [`${prefixCls}-start`]: labelAlign === "start"
      });
    });
    const labelStyle = computed(() => {
      var _a;
      const labelWidth = convertCssPixel((_a = props.labelWidth) != null ? _a : mergedLabelWidth.value);
      return labelWidth ? `width: ${labelWidth}` : void 0;
    });
    return () => {
      const labelNode = convertStringVNode(slots, props, "label");
      return createVNode(IxCol, {
        "class": `${mergedPrefixCls.value}-item`,
        "span": mergedColSpan.value
      }, {
        default: () => [labelNode && createVNode("div", {
          "class": labelClasses.value
        }, [createVNode("label", {
          "style": labelStyle.value
        }, [labelNode])]), createVNode("div", {
          "class": `${mergedPrefixCls.value}-content`
        }, [createVNode("span", null, [slots.default && slots.default()])])]
      });
    };
  }
});
const defaultSelfCol = 1;
const defaultParentCol = 3;
const defaultRowSpan = 24;
function useMergedColSpan(props, mergedCol) {
  const breakpoints = useSharedBreakpoints();
  return computed(() => {
    let selfCol = props.col;
    let parentCol = mergedCol.value;
    const currBreakpoint = BREAKPOINTS_KEYS.find((key) => breakpoints[key]);
    selfCol = convertNumber(isObject(selfCol) ? selfCol[currBreakpoint] : selfCol, defaultSelfCol);
    parentCol = convertNumber(isObject(parentCol) ? parentCol[currBreakpoint] : parentCol, defaultParentCol);
    return defaultRowSpan / parentCol * selfCol;
  });
}
const IxDesc = Desc;
const IxDescItem = DescItem;
const dividerProps = {
  dashed: {
    type: Boolean,
    default: void 0
  },
  label: String,
  labelPlacement: String,
  plain: {
    type: Boolean,
    default: void 0
  },
  size: String,
  vertical: {
    type: Boolean,
    default: void 0
  }
};
function getDefaultThemeTokens$u(tokens2) {
  const {
    lineWidth,
    colorBorder,
    fontSizeSm,
    fontSizeMd,
    fontSizeLg,
    marginSizeXs,
    marginSizeSm,
    marginSizeMd,
    marginSizeLg,
    marginSizeXl
  } = tokens2;
  return {
    lineWidth,
    lineColor: colorBorder,
    fontSizeSm,
    fontSizeMd,
    fontSizeLg,
    marginVerticalSm: marginSizeMd,
    marginVerticalMd: marginSizeLg,
    marginVerticalLg: marginSizeXl,
    marginHorizontalSm: marginSizeXs,
    marginHorizontalMd: marginSizeSm,
    marginHorizontalLg: marginSizeMd
  };
}
const getThemeTokens$u = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$u(tokens2) : getDefaultThemeTokens$u(tokens2);
};
var Divider = /* @__PURE__ */ defineComponent({
  name: "IxDivider",
  props: dividerProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("divider");
    registerToken(getThemeTokens$u);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-divider`);
    const config = useGlobalConfig("divider");
    const classes = computed(() => {
      const {
        dashed = config.dashed,
        label,
        labelPlacement = config.labelPlacement,
        plain = config.plain,
        size = config.size,
        vertical
      } = props;
      const withLabel = !!label || !!slots.default;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [`${prefixCls}`]: true,
        [`${prefixCls}-${size}`]: true,
        [`${prefixCls}-dashed`]: dashed,
        [`${prefixCls}-horizontal`]: !vertical,
        [`${prefixCls}-vertical`]: vertical,
        [`${prefixCls}-plain`]: withLabel && plain,
        [`${prefixCls}-with-label`]: withLabel,
        [`${prefixCls}-with-label-${labelPlacement}`]: withLabel
      });
    });
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const labelNode = convertStringVNode(slots.default, props.label);
      return createVNode("div", {
        "class": classes.value
      }, [labelNode && createVNode("span", {
        "class": `${prefixCls}-label`
      }, [labelNode])]);
    };
  }
});
const IxDivider = Divider;
const maskProps = {
  mask: { type: Boolean, default: true },
  transitionName: String,
  visible: { type: Boolean, default: true },
  zIndex: Number
};
var Mask$1 = /* @__PURE__ */ defineComponent({
  name: "\u0275Mask",
  props: maskProps,
  setup(props) {
    const common = useGlobalConfig("common");
    const {
      globalHashId
    } = useThemeToken();
    const mergedPrefixCls = computed(() => `${common.prefixCls}-mask`);
    return () => {
      const {
        mask,
        transitionName,
        visible,
        zIndex
      } = props;
      if (!mask) {
        return null;
      }
      return createVNode(Transition, {
        "appear": true,
        "name": transitionName != null ? transitionName : `${common.prefixCls}-fade`
      }, {
        default: () => [withDirectives(createVNode("div", {
          "class": [mergedPrefixCls.value, globalHashId.value],
          "style": {
            zIndex
          }
        }, null), [[vShow, visible]])]
      });
    };
  }
});
const \u0275Mask = Mask$1;
const drawerToken = Symbol("drawerToken");
const DRAWER_TOKEN = Symbol("DRAWER_TOKEN");
const DRAWER_PROVIDER_TOKEN = Symbol("DRAWER_PROVIDER_TOKEN");
const drawerTransitionMap = {
  top: "move-up",
  bottom: "move-down",
  start: "move-start",
  end: "move-end"
};
const horizontalPlacement = ["start", "end"];
var DrawerWrapper = /* @__PURE__ */ defineComponent({
  inheritAttrs: false,
  setup(_, {
    attrs
  }) {
    const {
      globalHashId,
      hashId
    } = useThemeToken("drawer");
    const {
      props,
      slots,
      common,
      config,
      mergedPrefixCls,
      drawerElRef,
      visible,
      delayedLoaded,
      animatedVisible,
      isAnimating,
      mergedVisible,
      currentZIndex,
      levelAction,
      distance
    } = inject(drawerToken);
    const {
      close
    } = inject(DRAWER_TOKEN);
    const {
      closable,
      closeIcon,
      closeOnEsc,
      mask,
      maskClosable
    } = useConfig$1(props, config);
    const transitionName = computed(() => `${common.prefixCls}-${drawerTransitionMap[props.placement]}`);
    const isHorizontal = computed(() => horizontalPlacement.includes(props.placement));
    const placementStyle = computed(() => {
      const {
        width,
        height,
        offset,
        placement
      } = props;
      const horizontal = isHorizontal.value;
      const offsetPixel = convertCssPixel(offset);
      let offsetObj;
      if (horizontal) {
        const transformPlacement = placement === "start" ? "left" : "right";
        offsetObj = {
          top: offsetPixel,
          [transformPlacement]: 0
        };
      } else {
        offsetObj = {
          left: offsetPixel,
          [placement]: 0
        };
      }
      return {
        width: convertCssPixel(width || (horizontal ? config.width : "100%")),
        height: convertCssPixel(height || (horizontal ? "100%" : config.height)),
        ...offsetObj
      };
    });
    const transformStyle = computed(() => {
      const {
        placement
      } = props;
      const horizontal = isHorizontal.value;
      let transform;
      if (horizontal) {
        transform = distance.value > 0 ? `translateX(${placement === "start" ? distance.value : -distance.value}px)` : void 0;
      } else {
        transform = distance.value > 0 ? `translateY(${placement === "top" ? distance.value : -distance.value}px)` : void 0;
      }
      return transform;
    });
    const wrapperClasses = computed(() => {
      const action = levelAction.value;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [`${prefixCls}-wrapper`]: true,
        [`${prefixCls}-${props.placement}`]: true,
        [`${prefixCls}-opened`]: animatedVisible.value,
        [`${prefixCls}-${action}`]: !!action,
        [`${prefixCls}-with-mask`]: mask.value
      });
    });
    const wrapperStyle = computed(() => {
      const placement = mask.value ? void 0 : placementStyle.value;
      return {
        zIndex: currentZIndex.value,
        transform: transformStyle.value,
        ...placement
      };
    });
    const contentStyle = computed(() => {
      return mask.value ? placementStyle.value : void 0;
    });
    const wrapperRef = ref();
    const sentinelStartRef = ref();
    const sentinelEndRef = ref();
    const {
      onWrapperClick,
      onWrapperKeydown,
      onContentMousedown,
      onContentMouseup
    } = useEvent$1(close, mask, maskClosable, closeOnEsc, sentinelStartRef, sentinelEndRef);
    const {
      onEnter,
      onAfterEnter,
      onAfterLeave
    } = useEvents$4(props, wrapperRef, animatedVisible, isAnimating);
    onMounted(() => {
      watchVisibleChange$1(props, wrapperRef, sentinelStartRef, mask);
    });
    return () => {
      const prefixCls = mergedPrefixCls.value;
      return withDirectives(createVNode("div", {
        "ref": wrapperRef,
        "class": wrapperClasses.value,
        "style": wrapperStyle.value,
        "tabindex": -1,
        "onClick": onWrapperClick,
        "onKeydown": onWrapperKeydown
      }, [createVNode(Transition, {
        "name": props.animatable ? transitionName.value : void 0,
        "appear": true,
        "onEnter": onEnter,
        "onAfterEnter": onAfterEnter,
        "onAfterLeave": onAfterLeave
      }, {
        default: () => {
          var _a;
          return [delayedLoaded.value && withDirectives(createVNode("div", mergeProps({
            "ref": drawerElRef,
            "role": "document",
            "class": prefixCls,
            "style": contentStyle.value,
            "onMousedown": onContentMousedown,
            "onMouseup": onContentMouseup
          }, attrs), [createVNode("div", {
            "ref": sentinelStartRef,
            "tabindex": 0,
            "class": `${prefixCls}-sentinel`,
            "aria-hidden": true
          }, null), createVNode("div", {
            "class": `${prefixCls}-content`
          }, [createVNode(\u0275Header, {
            "closable": closable.value,
            "closeIcon": closeIcon.value,
            "header": props.header,
            "onClose": close
          }, slots), createVNode("div", {
            "class": `${prefixCls}-body`
          }, [(_a = slots.default) == null ? void 0 : _a.call(slots)]), createVNode(\u0275Footer, {
            "class": `${prefixCls}-footer`,
            "footer": props.footer
          }, slots)]), createVNode("div", {
            "ref": sentinelEndRef,
            "tabindex": 0,
            "class": `${prefixCls}-sentinel`,
            "aria-hidden": true
          }, null)]), [[vShow, visible.value]])];
        }
      })]), [[vShow, mergedVisible.value]]);
    };
  }
});
function useConfig$1(props, config) {
  const closable = computed(() => {
    var _a;
    return (_a = props.closable) != null ? _a : config.closable;
  });
  const closeIcon = computed(() => {
    var _a;
    return (_a = props.closeIcon) != null ? _a : config.closeIcon;
  });
  const closeOnEsc = computed(() => {
    var _a;
    return (_a = props.closeOnEsc) != null ? _a : config.closeOnEsc;
  });
  const mask = computed(() => {
    var _a;
    return (_a = props.mask) != null ? _a : config.mask;
  });
  const maskClosable = computed(() => {
    var _a;
    return (_a = props.maskClosable) != null ? _a : config.maskClosable;
  });
  return {
    closable,
    closeIcon,
    closeOnEsc,
    mask,
    maskClosable
  };
}
function watchVisibleChange$1(props, wrapperRef, sentinelStartRef, mask) {
  let lastOutSideActiveElement = null;
  watch(() => props.visible, (visible) => {
    var _a, _b;
    if (visible) {
      const wrapperElement = wrapperRef.value;
      const activeElement = document.activeElement;
      if (wrapperElement && !wrapperElement.contains(activeElement)) {
        lastOutSideActiveElement = activeElement;
        (_a = sentinelStartRef.value) == null ? void 0 : _a.focus();
      }
    } else {
      if (mask.value) {
        (_b = lastOutSideActiveElement == null ? void 0 : lastOutSideActiveElement.focus) == null ? void 0 : _b.call(lastOutSideActiveElement);
        lastOutSideActiveElement = null;
      }
    }
  }, {
    immediate: true
  });
}
function useEvent$1(close, mask, maskClosable, closeOnEsc, sentinelStartRef, sentinelEndRef) {
  let timeId;
  let mouseDown = false;
  const clearTimer = () => {
    if (timeId) {
      clearTimeout(timeId);
      timeId = void 0;
    }
  };
  const onWrapperClick = (evt) => {
    if (evt.target === evt.currentTarget && !mouseDown && mask.value && maskClosable.value) {
      close(evt);
    }
  };
  const onWrapperKeydown = (evt) => {
    if (closeOnEsc.value && evt.code === "Escape") {
      evt.stopPropagation();
      close(evt);
      return;
    }
    if (evt.code === "Tab") {
      const activeElement = document.activeElement;
      const sentinelStartElement = sentinelStartRef.value;
      const sentinelEndElement = sentinelEndRef.value;
      if (evt.shiftKey) {
        if (activeElement === sentinelStartElement) {
          sentinelEndElement == null ? void 0 : sentinelEndElement.focus();
        }
      } else if (activeElement === sentinelEndElement) {
        sentinelStartElement == null ? void 0 : sentinelStartElement.focus();
      }
    }
  };
  const onContentMousedown = () => {
    clearTimer();
    mouseDown = true;
  };
  const onContentMouseup = () => {
    if (mouseDown) {
      timeId = setTimeout(() => mouseDown = false);
    }
  };
  onBeforeUnmount(() => clearTimer());
  return {
    onContentMousedown,
    onContentMouseup,
    onWrapperClick,
    onWrapperKeydown
  };
}
function useEvents$4(props, wrapperRef, animatedVisible, isAnimating) {
  let lastOutSideActiveElement = null;
  const onEnter = () => {
    const wrapperElement = wrapperRef.value;
    const activeElement = document.activeElement;
    if (wrapperElement && !wrapperElement.contains(activeElement)) {
      lastOutSideActiveElement = activeElement;
    }
  };
  const onAfterEnter = () => {
    const wrapperElement = wrapperRef.value;
    const activeElement = document.activeElement;
    if (wrapperElement && !wrapperElement.contains(activeElement)) {
      wrapperElement.focus();
    }
    callEmit(props.onAfterOpen);
    animatedVisible.value = true;
    isAnimating.value = false;
  };
  const onAfterLeave = () => {
    if (lastOutSideActiveElement && isFunction(lastOutSideActiveElement.focus)) {
      const wrapperElement = wrapperRef.value;
      const activeElement = document.activeElement;
      if (!activeElement || activeElement === document.body || activeElement === wrapperElement || wrapperElement && wrapperElement.contains(activeElement)) {
        lastOutSideActiveElement.focus();
      }
    }
    callEmit(props.onAfterClose);
    animatedVisible.value = false;
    isAnimating.value = false;
  };
  return {
    onEnter,
    onAfterEnter,
    onAfterLeave
  };
}
const drawerProps = {
  visible: {
    type: Boolean,
    default: void 0
  },
  animatable: {
    type: Boolean,
    default: true
  },
  closable: {
    type: Boolean,
    default: void 0
  },
  closeIcon: [String, Object, Function],
  closeOnDeactivated: {
    type: Boolean,
    default: true
  },
  closeOnEsc: {
    type: Boolean,
    default: void 0
  },
  container: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  destroyOnHide: {
    type: Boolean,
    default: false
  },
  footer: [Array, Object, Function],
  header: [String, Object],
  height: [String, Number],
  mask: {
    type: Boolean,
    default: void 0
  },
  maskClosable: {
    type: Boolean,
    default: void 0
  },
  offset: {
    type: [String, Number],
    default: 0
  },
  placement: {
    type: String,
    default: "end"
  },
  distance: {
    type: Number,
    default: void 0
  },
  scrollStrategy: Object,
  width: [String, Number],
  zIndex: Number,
  "onUpdate:visible": [Function, Array],
  onAfterOpen: [Function, Array],
  onAfterClose: [Function, Array],
  onBeforeClose: [Function, Array],
  onClose: [Function, Array]
};
function getDefaultThemeTokens$t(tokens2) {
  const { overlayBorderWidth, overlayBorderType, overlayBorderColor } = tokens2;
  return {
    boxShadowStart: `6px 0 16px -8px rgba(0, 0, 0, 0.08), 9px 0 28px 0 rgba(0, 0, 0, 0.05), 12px 0 48px 16px rgba(0, 0, 0, 0.03)`,
    boxShadowEnd: `-6px 0 16px -8px rgba(0, 0, 0, 0.08), -9px 0 28px 0 rgba(0, 0, 0, 0.05), -12px 0 48px 16px rgba(0, 0, 0, 0.03)`,
    boxShadowTop: `0 -6px 16px -8px rgba(0, 0, 0, 0.08), 0 -9px 28px 0 rgba(0, 0, 0, 0.05), 0 -12px 48px 16px rgba(0, 0, 0, 0.03)`,
    borderWidth: overlayBorderWidth,
    borderType: overlayBorderType,
    borderColor: overlayBorderColor
  };
}
const getThemeTokens$t = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$t(tokens2) : getDefaultThemeTokens$t(tokens2);
};
var Drawer = /* @__PURE__ */ defineComponent({
  name: "IxDrawer",
  inheritAttrs: false,
  props: drawerProps,
  setup(props, {
    slots,
    expose,
    attrs
  }) {
    const common = useGlobalConfig("common");
    const {
      registerToken
    } = useThemeToken("drawer");
    registerToken(getThemeTokens$t);
    const config = useGlobalConfig("drawer");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-drawer`);
    const mergedPortalTarget = usePortalTarget(props, config, common, mergedPrefixCls);
    const mask = computed(() => {
      var _a;
      return (_a = props.mask) != null ? _a : config.mask;
    });
    const mergedDistance = computed(() => {
      var _a;
      return (_a = props.distance) != null ? _a : config.distance;
    });
    const {
      loaded,
      delayedLoaded,
      visible,
      setVisible,
      animatedVisible,
      isAnimating,
      mergedVisible
    } = useVisible$3(props);
    const currentZIndex = useZIndex(toRef(props, "zIndex"), toRef(common, "overlayZIndex"), visible);
    const drawerElRef = ref();
    const {
      open,
      close
    } = useTrigger$2(props, setVisible);
    const {
      levelAction,
      distance,
      push,
      pull
    } = useLevel(props, visible, mergedDistance, drawerElRef);
    provide(drawerToken, {
      props,
      slots,
      common,
      config,
      mergedPrefixCls,
      drawerElRef,
      visible,
      delayedLoaded,
      animatedVisible,
      isAnimating,
      mergedVisible,
      currentZIndex,
      levelAction,
      distance,
      push,
      pull
    });
    const apis = {
      open,
      close
    };
    provide(DRAWER_TOKEN, apis);
    expose(apis);
    useScrollStrategy$1(props, mask, mergedVisible);
    return () => {
      if (!mergedVisible.value && props.destroyOnHide) {
        return null;
      }
      return createVNode(CdkPortal, {
        "target": mergedPortalTarget.value,
        "load": loaded.value
      }, {
        default: () => [createVNode(\u0275Mask, {
          "class": `${mergedPrefixCls.value}-mask`,
          "mask": mask.value,
          "visible": visible.value,
          "zIndex": currentZIndex.value
        }, null), createVNode(DrawerWrapper, attrs, null)]
      });
    };
  }
});
function useVisible$3(props) {
  const [visible, setVisible] = useControlledProp(props, "visible", false);
  const loaded = ref(false);
  const delayedLoaded = ref(false);
  const delayedVisible = ref(false);
  const isAnimating = ref(false);
  const animatedVisible = ref(false);
  watch(visible, (v) => {
    if (v && !loaded.value) {
      loaded.value = true;
      nextTick(() => {
        delayedLoaded.value = true;
        delayedVisible.value = true;
      });
    } else {
      delayedVisible.value = v;
    }
    isAnimating.value = true;
  }, {
    immediate: true
  });
  const mergedVisible = computed(() => visible.value || (isAnimating.value ? animatedVisible.value : visible.value));
  onDeactivated(() => {
    if (mergedVisible.value && props.closeOnDeactivated) {
      setVisible(false);
    }
  });
  return {
    loaded,
    delayedLoaded,
    visible: delayedVisible,
    setVisible,
    animatedVisible,
    isAnimating,
    mergedVisible
  };
}
function useScrollStrategy$1(props, mask, mergedVisible) {
  let scrollStrategy;
  onMounted(() => {
    watch([mask, mergedVisible], ([maskValue, visible]) => {
      var _a;
      if (!maskValue || !visible) {
        scrollStrategy == null ? void 0 : scrollStrategy.disable();
        return;
      }
      if (!scrollStrategy) {
        scrollStrategy = (_a = props.scrollStrategy) != null ? _a : new BlockScrollStrategy();
      }
      scrollStrategy.enable();
    }, {
      immediate: true
    });
  });
  onBeforeUnmount(() => scrollStrategy == null ? void 0 : scrollStrategy.disable());
}
function useTrigger$2(props, setVisible) {
  const open = () => setVisible(true);
  const close = async (evt) => {
    const result = await callEmit(props.onBeforeClose, evt);
    if (result === false) {
      return;
    }
    setVisible(false);
    callEmit(props.onClose, evt);
  };
  return {
    open,
    close
  };
}
function useLevel(props, visible, mergedDistance, drawerElRef) {
  const parentContext = inject(drawerToken, null);
  const level = ref(0);
  const distance = ref(0);
  const levelAction = ref();
  const drawerSize = ref(0);
  const sizeAttrName = computed(() => ["top", "bottom"].includes(props.placement) ? "height" : "width");
  let sizeUpdateCb;
  useResizeObserver(drawerElRef, ({
    contentRect
  }) => {
    var _a;
    drawerSize.value = (_a = contentRect[sizeAttrName.value]) != null ? _a : 0;
    sizeUpdateCb == null ? void 0 : sizeUpdateCb();
  });
  const onSizeUpdate = (cb) => {
    sizeUpdateCb = () => {
      cb();
      sizeUpdateCb = void 0;
    };
  };
  const updateDistance = (childSize) => {
    const minDisatance = Math.min(drawerSize.value, mergedDistance.value);
    if (!drawerSize.value || !childSize || drawerSize.value - childSize >= minDisatance) {
      distance.value = 0;
    } else {
      distance.value = minDisatance - (drawerSize.value - childSize);
    }
  };
  const push = (childSize) => {
    level.value++;
    updateDistance(childSize);
    pushParent();
  };
  const pull = (childSize) => {
    level.value--;
    updateDistance(childSize);
    pullParent();
  };
  const pushParent = () => {
    if ((parentContext == null ? void 0 : parentContext.props.placement) !== props.placement) {
      return;
    }
    parentContext == null ? void 0 : parentContext.push(drawerSize.value + distance.value);
  };
  const pullParent = () => {
    if ((parentContext == null ? void 0 : parentContext.props.placement) !== props.placement) {
      return;
    }
    parentContext == null ? void 0 : parentContext.pull(visible.value ? drawerSize.value + distance.value : 0);
  };
  watch(visible, (value) => {
    if (value) {
      onSizeUpdate(pushParent);
    } else {
      pullParent();
      levelAction.value = void 0;
    }
  });
  watch(level, (currLevel, prevLevel) => {
    levelAction.value = currLevel > prevLevel ? "push" : "pull";
  });
  onMounted(() => {
    if (visible.value) {
      pushParent();
    }
  });
  onBeforeUnmount(() => {
    if (visible.value) {
      pullParent();
    }
  });
  return {
    levelAction,
    distance,
    push,
    pull
  };
}
var DrawerProvider = /* @__PURE__ */ defineComponent({
  name: "IxDrawerProvider",
  setup(_, {
    expose,
    slots
  }) {
    const {
      drawers,
      setDrawerRef,
      open,
      update,
      destroy,
      destroyAll
    } = useDrawer$1();
    const apis = {
      open,
      update,
      destroy,
      destroyAll
    };
    provide(DRAWER_PROVIDER_TOKEN, apis);
    expose(apis);
    return () => {
      var _a;
      const children = drawers.value.map((item) => {
        const {
          key,
          visible = true,
          destroyOnHide,
          onDestroy,
          content,
          contentProps,
          ...rest
        } = item;
        const setRef = (instance) => setDrawerRef(key, instance);
        const onUpdateVisible = (visible2) => update(key, {
          visible: visible2
        });
        const onAfterClose = destroyOnHide ? () => destroy(key) : void 0;
        const mergedProps = {
          key,
          visible,
          ref: setRef,
          "onUpdate:visible": onUpdateVisible,
          onAfterClose
        };
        const contentNode = isFunction(content) ? content() : isVNode(content) ? cloneVNode(content, contentProps, true) : content;
        return createVNode(Drawer, mergeProps(mergedProps, rest), {
          default: () => [contentNode]
        });
      });
      return createVNode(Fragment, null, [(_a = slots.default) == null ? void 0 : _a.call(slots), children]);
    };
  }
});
function useDrawer$1() {
  const drawers = shallowRef([]);
  const drawerRefMap = /* @__PURE__ */ new Map();
  const setDrawerRef = (key, instance) => {
    const ref2 = drawerRefMap.get(key);
    if (instance) {
      if (ref2 && !ref2.open) {
        ref2.open = instance.open;
        ref2.close = instance.close;
      }
    } else {
      if (ref2) {
        drawerRefMap.delete(key);
        ref2.open = NoopFunction;
        ref2.close = NoopFunction;
      }
    }
  };
  const getCurrIndex = (key) => {
    return drawers.value.findIndex((message) => message.key === key);
  };
  const add = (item) => {
    var _a;
    const currIndex = item.key ? getCurrIndex(item.key) : -1;
    const tempDrawers = [...drawers.value];
    if (currIndex !== -1) {
      tempDrawers.splice(currIndex, 1, item);
      drawers.value = tempDrawers;
      return item.key;
    }
    item.key = (_a = item.key) != null ? _a : uniqueId("ix-drawer");
    tempDrawers.push(item);
    drawers.value = tempDrawers;
    return item.key;
  };
  const update = (key, item) => {
    const currIndex = getCurrIndex(key);
    if (currIndex !== -1) {
      const tempDrawers = [...drawers.value];
      const newItem = {
        ...drawers.value[currIndex],
        ...item
      };
      tempDrawers.splice(currIndex, 1, newItem);
      drawers.value = tempDrawers;
    }
  };
  const destroy = (key) => {
    const keys2 = convertArray(key);
    keys2.forEach((key2) => {
      const currIndex = getCurrIndex(key2);
      if (currIndex !== -1) {
        const tempDrawers = [...drawers.value];
        const item = tempDrawers.splice(currIndex, 1);
        drawers.value = tempDrawers;
        callEmit(item[0].onDestroy, key2);
      }
    });
  };
  const destroyAll = () => {
    drawers.value = [];
  };
  const open = (options) => {
    const key = add(options);
    const drawerRef = {
      key,
      update: (options2) => update(key, options2),
      destroy: () => destroy(key)
    };
    drawerRefMap.set(key, drawerRef);
    return drawerRef;
  };
  return {
    drawers,
    setDrawerRef,
    open,
    update,
    destroy,
    destroyAll
  };
}
const useDrawer = () => {
  const drawerProviderRef = inject(DRAWER_PROVIDER_TOKEN, null);
  if (drawerProviderRef === null) {
    return throwError("components/drawer", "<IxDrawerProvider> not found.");
  }
  return drawerProviderRef;
};
const IxDrawer = Drawer;
const IxDrawerProvider = DrawerProvider;
const dropdownToken = Symbol("dropdownToken");
const dropdownProps = {
  visible: {
    type: Boolean,
    default: void 0
  },
  autoAdjust: {
    type: Boolean,
    default: void 0
  },
  destroyOnHide: {
    type: Boolean,
    default: void 0
  },
  disabled: {
    type: Boolean,
    default: false
  },
  hideOnClick: {
    type: Boolean,
    default: true
  },
  offset: Array,
  overlayContainer: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  placement: overlayPlacementDef,
  showArrow: {
    type: Boolean,
    default: void 0
  },
  trigger: overlayTriggerDef,
  "onUpdate:visible": [Function, Array]
};
function getDefaultThemeTokens$s(tokens2) {
  const { paddingSizeXs } = tokens2;
  return {
    minWidth: 128,
    menuContainerPadding: `${paddingSizeXs}px 0`
  };
}
const getThemeTokens$s = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$s(tokens2) : getDefaultThemeTokens$s(tokens2);
};
const defaultDelay = [0, 100];
var Dropdown = /* @__PURE__ */ defineComponent({
  name: "IxDropdown",
  props: dropdownProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("dropdown");
    registerToken(getThemeTokens$s);
    const config = useGlobalConfig("dropdown");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-dropdown`);
    const [visibility, setVisibility] = useControlledProp(props, "visible", false);
    provide(dropdownToken, {
      hideOnClick: toRef(props, "hideOnClick"),
      setVisibility
    });
    return () => {
      var _a, _b, _c, _d, _e;
      const {
        trigger = config.trigger,
        placement = config.placement
      } = props;
      const overlayProps2 = {
        class: [mergedPrefixCls.value, globalHashId.value, hashId.value],
        autoAdjust: (_a = props.autoAdjust) != null ? _a : config.autoAdjust,
        clickOutside: trigger === "click" || trigger === "contextmenu",
        container: (_b = props.overlayContainer) != null ? _b : config.overlayContainer,
        containerFallback: `.${mergedPrefixCls.value}-overlay-container`,
        delay: defaultDelay,
        destroyOnHide: (_c = props.destroyOnHide) != null ? _c : config.destroyOnHide,
        disabled: props.disabled,
        offset: (_d = props.offset) != null ? _d : config.offset,
        placement,
        showArrow: (_e = props.showArrow) != null ? _e : config.showArrow,
        transitionName: `${common.prefixCls}-slide-auto`,
        trigger,
        visible: visibility.value,
        ["onUpdate:visible"]: setVisibility
      };
      return createVNode(\u0275Overlay, overlayProps2, {
        default: slots.default,
        content: slots.overlay
      });
    };
  }
});
const IxDropdown = Dropdown;
const debounceTime = 10;
const defaultScale = 1;
const defaultRotate = 0;
const defaultScaleStep = 0.2;
const defaultRotateStep = 90;
function useOprList(goHandle, rotateHandle, scaleHandle, setVisible, scaleDisabled, switchDisabled, switchVisible) {
  const goNext = () => goHandle("next");
  const goPrevious = () => goHandle("previous");
  const rotateLeft = () => rotateHandle("left");
  const rotateRight = () => rotateHandle("right");
  const zoomOut = () => scaleHandle("out");
  const zoomIn = () => scaleHandle("in");
  const close = () => setVisible(false);
  return computed(() => [
    {
      key: "goPrevious",
      icon: "left",
      opr: goPrevious,
      disabled: switchDisabled.value.previous,
      visible: switchVisible.value
    },
    { key: "goNext", icon: "right", opr: goNext, disabled: switchDisabled.value.next, visible: switchVisible.value },
    { key: "rotateLeft", icon: "rotate-left", opr: rotateLeft, visible: true },
    { key: "rotateRight", icon: "rotate-right", opr: rotateRight, visible: true },
    { key: "zoomOut", icon: "zoom-out", opr: zoomOut, disabled: scaleDisabled.value.out, visible: true },
    { key: "zoomIn", icon: "zoom-in", opr: zoomIn, disabled: scaleDisabled.value.in, visible: true },
    { key: "close", icon: "close", opr: close, visible: true }
  ]);
}
function useImgStyleOpr(zoom) {
  const scale = ref(defaultScale);
  const rotate = ref(defaultRotate);
  const rotateFactor = {
    left: -1,
    right: 1
  };
  const scaleFactor = {
    in: 1,
    out: -1
  };
  const initScale = computed(() => {
    const [zoomOut, zoomIn] = zoom.value;
    if (zoomOut > defaultScale) {
      return zoomOut;
    }
    if (zoomIn < defaultScale) {
      return zoomIn;
    }
    return defaultScale;
  });
  watchEffect(() => scale.value = initScale.value);
  const scaleDisabled = computed(() => {
    const [zoomOut, zoomIn] = zoom.value;
    return {
      in: scale.value >= zoomIn,
      out: scale.value <= zoomOut
    };
  });
  const transformStyle = computed(() => ({ transform: `scale(${scale.value}) rotate(${rotate.value}deg)` }));
  const rotateHandle = debounce((direction = "left", rotateStep = defaultRotateStep) => {
    rotate.value = rotate.value + rotateStep * rotateFactor[direction];
  }, debounceTime);
  const scaleHandle = debounce((direction, scaleStep = defaultScaleStep) => {
    if (scaleDisabled.value[direction]) {
      return;
    }
    scale.value = scale.value + scaleStep * scaleFactor[direction];
  }, debounceTime);
  const resetTransform = () => {
    scale.value = initScale.value;
    rotate.value = defaultRotate;
  };
  return {
    transformStyle,
    scaleDisabled,
    rotateHandle,
    scaleHandle,
    resetTransform
  };
}
function useImgSwitch(props, loop) {
  const [activeIndex, setIndex] = useControlledProp(props, "activeIndex", 0);
  const switchDisabled = computed(() => ({
    previous: !loop.value && activeIndex.value === 0,
    next: !loop.value && activeIndex.value === props.images.length - 1
  }));
  const switchVisible = computed(() => props.images.length > 1);
  const goHandle = debounce((direction = "next") => {
    if (direction === "next") {
      if (switchDisabled.value.next || switchDisabled.value.previous) {
        return;
      }
      setIndex(activeIndex.value >= props.images.length - 1 ? 0 : activeIndex.value + 1);
      return;
    }
    setIndex(activeIndex.value <= 0 ? props.images.length - 1 : activeIndex.value - 1);
  }, debounceTime);
  return {
    activeIndex,
    switchDisabled,
    switchVisible,
    goHandle
  };
}
const OprIcon = (props) => {
  const {
    disabled,
    icon,
    prefixCls,
    opr
  } = props;
  const key = useKey$1();
  const classes = computed(() => normalizeClass({
    [`${prefixCls}-opr-item`]: true,
    [`${prefixCls}-opr-item-disabled`]: disabled
  }));
  return createVNode(IxIcon, {
    "class": classes.value,
    "name": icon,
    "onClick": opr,
    "key": key
  }, null);
};
const imageViewerProps = {
  visible: {
    type: Boolean,
    default: void 0
  },
  activeIndex: Number,
  container: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  draggable: { type: Boolean, default: void 0 },
  images: {
    type: Array,
    default: () => []
  },
  zoom: {
    type: Array,
    validator: (val) => val.length === 2
  },
  loop: {
    type: Boolean,
    default: void 0
  },
  maskClosable: {
    type: Boolean,
    default: void 0
  },
  zIndex: Number,
  "onUpdate:visible": [Function, Array],
  "onUpdate:activeIndex": [Function, Array]
};
const imageProps = {
  src: {
    type: String,
    required: true
  },
  preview: {
    type: Boolean,
    default: void 0
  },
  imageViewer: Object,
  onLoad: [Function, Array],
  onError: [Function, Array]
};
function getDefaultThemeTokens$r(tokens2) {
  const { colorWhite, fontSizeXl } = tokens2;
  return {
    minWidth: 96,
    minHeight: 96,
    objectFit: "contain",
    previewBgColor: `rgba(0, 0, 0, 0.5)`,
    previewIconColor: colorWhite,
    previewIconSize: fontSizeXl,
    viewerBgColor: `rgba(0, 0, 0, 0.45)`,
    viewerOprColor: colorWhite,
    viewerOprColorDisabled: `rgba(255, 255, 255, 0.35)`,
    viewerOprHeight: 48,
    viewerOprMarginBottom: 48,
    viewerOprFontSize: fontSizeXl,
    viewerOprBgColor: `rgba(0, 0, 0, 0.1)`,
    viewerOprItemMargin: `0 24px`
  };
}
const getThemeTokens$r = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$r(tokens2) : getDefaultThemeTokens$r(tokens2);
};
const mousewheelEventName = isFirefox ? "DOMMouseScroll" : "mousewheel";
var ImageViewer = /* @__PURE__ */ defineComponent({
  name: "IxImageViewer",
  props: imageViewerProps,
  setup(props) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("image");
    registerToken(getThemeTokens$r);
    const config = useGlobalConfig("imageViewer");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-image-viewer`);
    const mergedPortalTarget = usePortalTarget(props, config, common, mergedPrefixCls);
    const mergedDraggable = computed(() => {
      var _a;
      return (_a = props.draggable) != null ? _a : config.draggable;
    });
    const [visible, setVisible] = useControlledProp(props, "visible", false);
    const currentZIndex = useZIndex(toRef(props, "zIndex"), toRef(common, "overlayZIndex"), visible);
    const zoom = computed(() => {
      var _a;
      return (_a = props.zoom) != null ? _a : config.zoom;
    });
    const loop = computed(() => {
      var _a;
      return (_a = props.loop) != null ? _a : config.loop;
    });
    const maskClosable = computed(() => {
      var _a;
      return (_a = props.maskClosable) != null ? _a : config.maskClosable;
    });
    const {
      transformStyle,
      scaleDisabled,
      rotateHandle,
      scaleHandle,
      resetTransform
    } = useImgStyleOpr(zoom);
    const {
      activeIndex,
      switchDisabled,
      switchVisible,
      goHandle
    } = useImgSwitch(props, loop);
    const onClickLayer = () => maskClosable.value && setVisible(false);
    const oprList = useOprList(goHandle, rotateHandle, scaleHandle, setVisible, scaleDisabled, switchDisabled, switchVisible);
    const {
      onWheelScroll,
      onKeydown
    } = getImageEvent(visible, setVisible, scaleHandle, goHandle);
    onMounted(() => {
      window.addEventListener(mousewheelEventName, onWheelScroll, {
        passive: false,
        capture: false
      });
      window.addEventListener("keydown", onKeydown, false);
    });
    onBeforeUnmount(() => {
      window.removeEventListener(mousewheelEventName, onWheelScroll);
      window.removeEventListener("keydown", onKeydown);
    });
    watch([visible, activeIndex], ([visible$$]) => {
      visible$$ && resetTransform();
    });
    const style = computed(() => `z-index: ${currentZIndex.value}`);
    const renderImg = () => {
      const prefixCls = mergedPrefixCls.value;
      const curImgSrc = props.images[activeIndex.value];
      return createVNode("img", {
        "draggable": "false",
        "onClick": (evt) => evt.stopImmediatePropagation(),
        "class": `${prefixCls}-preview-img`,
        "src": curImgSrc,
        "style": transformStyle.value
      }, null);
    };
    return () => {
      const prefixCls = mergedPrefixCls.value;
      return createVNode(CdkPortal, {
        "target": mergedPortalTarget.value,
        "load": visible.value
      }, {
        default: () => [createVNode(Transition, {
          "name": `${common.prefixCls}-zoom`,
          "appear": true
        }, {
          default: () => [visible.value && createVNode("div", {
            "class": [prefixCls, globalHashId.value, hashId.value],
            "style": style.value
          }, [createVNode("div", {
            "class": `${prefixCls}-opr`
          }, [oprList.value.filter((item) => item.visible).map((item) => {
            const oprIconProps = {
              ...item,
              prefixCls
            };
            return createVNode(OprIcon, oprIconProps, null);
          })]), createVNode("div", {
            "class": `${prefixCls}-preview`,
            "onClick": onClickLayer
          }, [mergedDraggable.value ? createVNode(CdkDndMovable, {
            "mode": "immediate"
          }, {
            default: () => [renderImg()]
          }) : renderImg()])])]
        })]
      });
    };
  }
});
function getImageEvent(visible, setVisible, scaleHandle, goHandle) {
  const onWheelScroll = (e2) => {
    var _a;
    if (!visible.value) {
      return;
    }
    const event = e2;
    event.preventDefault();
    const delta = (_a = event.wheelDelta) != null ? _a : -event.detail;
    if (delta > 0) {
      scaleHandle("in", 0.2);
    } else {
      scaleHandle("out", 0.2);
    }
  };
  const keyHandle = {
    ArrowUp: () => scaleHandle("in", 0.2),
    ArrowDown: () => scaleHandle("out", 0.2),
    ArrowLeft: () => goHandle("previous"),
    ArrowRight: () => goHandle("next"),
    Escape: () => setVisible(false)
  };
  const onKeydown = (e2) => {
    if (!visible.value) {
      return;
    }
    e2.preventDefault();
    if (e2.code in keyHandle) {
      keyHandle[e2.code]();
    }
  };
  return {
    onWheelScroll,
    onKeydown
  };
}
var Image$1 = /* @__PURE__ */ defineComponent({
  name: "IxImage",
  inheritAttrs: false,
  props: imageProps,
  setup(props, {
    attrs,
    slots
  }) {
    const {
      class: className,
      style,
      ...rest
    } = attrs;
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("image");
    registerToken(getThemeTokens$r);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-image`);
    const config = useGlobalConfig("image");
    const preview = usePreview(props, config);
    const {
      status,
      setFailed,
      setLoaded
    } = useStatus(props);
    const [viewerVisible, setVisible] = useViewerVisible();
    const {
      outerClasses,
      overLayerClasses,
      imageClasses
    } = useClasses$1(mergedPrefixCls, globalHashId, hashId, className, status, preview);
    return () => {
      var _a;
      const imageViewerProps2 = {
        visible: viewerVisible.value,
        "onUpdate:visible": setVisible,
        images: [props.src],
        ...(_a = props.imageViewer) != null ? _a : {}
      };
      return createVNode("div", {
        "class": outerClasses.value,
        "style": style
      }, [createVNode("div", {
        "class": overLayerClasses.value
      }, [renderPreviewIcon(props, slots, mergedPrefixCls, status, preview, setVisible), renderPlaceholder(slots, mergedPrefixCls, status), renderFallback(slots, mergedPrefixCls, status), createVNode(ImageViewer, imageViewerProps2, null)]), createVNode("img", mergeProps(rest, {
        "src": props.src,
        "class": imageClasses.value,
        "onLoad": setLoaded,
        "onError": setFailed
      }), null)]);
    };
  }
});
function renderPreviewIcon(props, slots, mergedPrefixCls, status, preview, setVisible) {
  var _a, _b;
  return status.value === "loaded" && preview.value && createVNode("span", {
    "class": `${mergedPrefixCls.value}-preview-wrapper`,
    "onClick": () => setVisible(true)
  }, [(_b = (_a = slots.previewIcon) == null ? void 0 : _a.call(slots)) != null ? _b : createVNode(IxIcon, {
    "class": `${mergedPrefixCls.value}-preview-icon`,
    "name": "zoom-in"
  }, null)]);
}
function renderPlaceholder(slots, mergedPrefixCls, status) {
  var _a, _b;
  return status.value === "loading" && ((_b = (_a = slots.placeholder) == null ? void 0 : _a.call(slots)) != null ? _b : createVNode(IxIcon, {
    "class": `${mergedPrefixCls.value}-placeholder`,
    "name": "loading"
  }, null));
}
function renderFallback(slots, mergedPrefixCls, status) {
  var _a, _b;
  return status.value === "failed" && ((_b = (_a = slots.fallback) == null ? void 0 : _a.call(slots)) != null ? _b : createVNode(IxIcon, {
    "class": `${mergedPrefixCls.value}-fallback`,
    "name": "file-image"
  }, null));
}
function useViewerVisible() {
  const viewerVisible = ref(false);
  const setVisible = (visible) => {
    viewerVisible.value = visible;
  };
  return [viewerVisible, setVisible];
}
function useClasses$1(mergedPrefixCls, globalHashId, hashId, className, status, preview) {
  const outerClasses = computed(() => normalizeClass([mergedPrefixCls.value, globalHashId.value, hashId.value, className, `${mergedPrefixCls.value}-${status.value}`, {
    [`${mergedPrefixCls.value}-preview`]: preview.value
  }]));
  const overLayerClasses = computed(() => normalizeClass(`${mergedPrefixCls.value}-layer`));
  const imageClasses = computed(() => normalizeClass([`${mergedPrefixCls.value}-inner`, {
    [`${mergedPrefixCls.value}-inner-hidden`]: status.value !== "loaded"
  }]));
  return {
    outerClasses,
    overLayerClasses,
    imageClasses
  };
}
function usePreview(props, config) {
  return computed(() => {
    var _a;
    return (_a = props.preview) != null ? _a : config.preview;
  });
}
function useStatus(props) {
  const status = ref("loading");
  const setLoaded = (e2) => {
    status.value = "loaded";
    callEmit(props.onLoad, e2);
  };
  const setFailed = (e2) => {
    status.value = "failed";
    callEmit(props.onError, e2);
  };
  watch(() => props.src, () => {
    status.value = "loading";
  }, {
    immediate: true
  });
  return {
    status,
    setLoaded,
    setFailed
  };
}
const IxImage = Image$1;
const IxImageViewer = ImageViewer;
const layoutProps = {
  fixed: { type: [Boolean, Object], default: false },
  floatSider: { type: Boolean, default: false }
};
const layoutHeaderProps = {};
const layoutContentProps = {};
const layoutFooterProps = {};
const layoutSiderProps = {
  collapsed: { type: Boolean, default: void 0 },
  breakpoint: String,
  pointer: { type: Boolean, default: false },
  pointerDelay: { type: [Number, Array], default: () => [0, 100] },
  "onUpdate:collapsed": [Function, Array]
};
const layoutSiderTriggerProps = {
  icon: {
    type: [String, Array],
    default: void 0
  }
};
function getDefaultThemeTokens$q() {
  return {
    siderWidth: 224,
    siderCollapsedWidth: 44
  };
}
const getThemeTokens$q = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$q() : getDefaultThemeTokens$q();
};
var Layout = /* @__PURE__ */ defineComponent({
  name: "IxLayout",
  props: layoutProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("layout");
    registerToken(getThemeTokens$q);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-layout`);
    const mergedFixed = computed(() => {
      const {
        fixed
      } = props;
      if (isObject(fixed)) {
        const {
          header = false,
          sider = false
        } = fixed;
        return {
          header,
          sider
        };
      }
      return {
        header: fixed,
        sider: fixed
      };
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      const {
        header,
        sider
      } = mergedFixed.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-fixed-header`]: header,
        [`${prefixCls}-fixed-sider`]: sider,
        [`${prefixCls}-float-sider`]: props.floatSider
      });
    });
    return () => {
      var _a;
      return createVNode("section", {
        "class": classes.value
      }, [(_a = slots.default) == null ? void 0 : _a.call(slots)]);
    };
  }
});
var LayoutContent = /* @__PURE__ */ defineComponent({
  name: "IxLayoutContent",
  props: layoutContentProps,
  setup(_, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId
    } = useThemeToken("layout");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-layout-content`);
    return () => {
      var _a;
      const prefixCls = mergedPrefixCls.value;
      return createVNode("main", {
        "class": [prefixCls, globalHashId.value, hashId.value]
      }, [(_a = slots.default) == null ? void 0 : _a.call(slots)]);
    };
  }
});
var LayoutFooter = /* @__PURE__ */ defineComponent({
  name: "IxLayoutFooter",
  props: layoutFooterProps,
  setup(_, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId
    } = useThemeToken("layout");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-layout-footer`);
    return () => {
      var _a;
      const prefixCls = mergedPrefixCls.value;
      return createVNode("footer", {
        "class": [prefixCls, globalHashId.value, hashId.value]
      }, [(_a = slots.default) == null ? void 0 : _a.call(slots)]);
    };
  }
});
var LayoutHeader = /* @__PURE__ */ defineComponent({
  name: "IxLayoutHeader",
  props: layoutHeaderProps,
  setup(_, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId
    } = useThemeToken("layout");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-layout-header`);
    return () => {
      var _a;
      const prefixCls = mergedPrefixCls.value;
      return createVNode("header", {
        "class": [prefixCls, globalHashId.value, hashId.value]
      }, [(_a = slots.default) == null ? void 0 : _a.call(slots)]);
    };
  }
});
const layoutSiderToken = Symbol("layoutSider");
var LayoutSider = /* @__PURE__ */ defineComponent({
  name: "IxLayoutSider",
  props: layoutSiderProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId
    } = useThemeToken("layout");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-layout-sider`);
    const [collapsed, setCollapsed] = useControlledProp(props, "collapsed", false);
    provide(layoutSiderToken, {
      mergedPrefixCls,
      collapsed,
      setCollapsed
    });
    const breakpointIndex = computed(() => {
      const {
        breakpoint
      } = props;
      return breakpoint ? BREAKPOINTS_KEYS.indexOf(breakpoint) : -1;
    });
    const useBreakpoint = computed(() => breakpointIndex.value > -1);
    const breakpoints = useSharedBreakpoints();
    let stopBreakpoints;
    watch(useBreakpoint, (breakpoint) => {
      stopBreakpoints == null ? void 0 : stopBreakpoints();
      if (breakpoint) {
        stopBreakpoints = watchEffect(() => {
          const currBreakpointIndex = BREAKPOINTS_KEYS.findIndex((key) => breakpoints[key]);
          setCollapsed(currBreakpointIndex <= breakpointIndex.value, "breakpoint");
        });
      }
    }, {
      immediate: true
    });
    let timer;
    const setCollapsedWithDelay = (collapsed2) => {
      const {
        pointerDelay
      } = props;
      const [showDelay, hideDelay] = Array.isArray(pointerDelay) ? pointerDelay : [pointerDelay, pointerDelay];
      if (timer) {
        clearTimeout(timer);
      }
      timer = setTimeout(() => {
        setCollapsed(collapsed2, "pointer");
        timer = void 0;
      }, collapsed2 ? showDelay : hideDelay);
    };
    const pointerEvents = computed(() => {
      if (!props.pointer) {
        return void 0;
      }
      return {
        onPointerenter: () => setCollapsedWithDelay(false),
        onPointerleave: () => setCollapsedWithDelay(true)
      };
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-collapsed`]: collapsed.value
      });
    });
    return () => {
      var _a;
      return createVNode("aside", mergeProps({
        "class": classes.value
      }, pointerEvents.value), [(_a = slots.default) == null ? void 0 : _a.call(slots)]);
    };
  }
});
var LayoutSiderTrigger = /* @__PURE__ */ defineComponent({
  name: "IxLayoutSiderTrigger",
  props: layoutSiderTriggerProps,
  setup(props, {
    slots
  }) {
    const {
      mergedPrefixCls,
      collapsed,
      setCollapsed
    } = inject(layoutSiderToken);
    const {
      globalHashId,
      hashId
    } = useThemeToken("layout");
    const mergedIcon = computed(() => {
      const {
        icon
      } = props;
      const [fold = "menu-fold", unfold = "menu-unfold"] = Array.isArray(icon) ? icon : [icon, icon];
      return collapsed.value ? fold : unfold;
    });
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-trigger`;
      return {
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-collapsed`]: collapsed.value
      };
    });
    const handleClick = () => {
      setCollapsed(!collapsed.value, "trigger");
    };
    return () => {
      var _a;
      let iconNode;
      if (slots.icon) {
        iconNode = slots.icon({
          collapsed: collapsed.value
        });
      } else {
        const iconValue = mergedIcon.value;
        iconNode = isString(iconValue) ? createVNode(IxIcon, {
          "name": iconValue
        }, null) : iconValue;
      }
      return createVNode("div", {
        "class": classes.value
      }, [createVNode("span", null, [(_a = slots.default) == null ? void 0 : _a.call(slots)]), createVNode(IxButton, {
        "mode": "text",
        "onClick": handleClick
      }, {
        icon: () => iconNode
      })]);
    };
  }
});
const IxLayout = Layout;
const IxLayoutContent = LayoutContent;
const IxLayoutFooter = LayoutFooter;
const IxLayoutHeader = LayoutHeader;
const IxLayoutSider = LayoutSider;
const IxLayoutSiderTrigger = LayoutSiderTrigger;
const listToken = Symbol("list");
const listProps = {
  header: String,
  footer: String,
  empty: { type: [String, Object], default: "default" },
  borderless: {
    type: Boolean,
    default: void 0
  },
  loading: {
    type: [Boolean, Object],
    default: false
  },
  size: String,
  grid: Object
};
const listItemProps = {
  title: String,
  content: String,
  extra: String
};
var ListItem$1 = /* @__PURE__ */ defineComponent({
  name: "IxListItem",
  props: listItemProps,
  setup(props, {
    slots
  }) {
    const {
      props: listProps2,
      mergedPrefixCls
    } = inject(listToken);
    const classPrefix = computed(() => `${mergedPrefixCls.value}-item`);
    const getGrid = (grid, dim) => {
      const v = grid[dim];
      if (typeof v === "number") {
        return Math.floor(24 / v);
      }
      return void 0;
    };
    const useGrid = (grid) => {
      const defaultSpan = getGrid(grid, "column");
      return {
        xs: getGrid(grid, "xs") || defaultSpan,
        sm: getGrid(grid, "sm") || defaultSpan,
        md: getGrid(grid, "md") || defaultSpan,
        ld: getGrid(grid, "lg") || defaultSpan,
        xl: getGrid(grid, "xl") || defaultSpan
      };
    };
    return () => {
      var _a, _b, _c, _d, _e;
      const grid = listProps2.grid && useGrid(listProps2.grid);
      const title = (_b = props.title) != null ? _b : (_a = slots.title) == null ? void 0 : _a.call(slots);
      const content = (_d = props.content) != null ? _d : (_c = slots.default) == null ? void 0 : _c.call(slots);
      const extra = (_e = slots.extra) == null ? void 0 : _e.call(slots);
      const renderContent2 = createVNode(Fragment, null, [title && createVNode("div", {
        "class": `${classPrefix.value}-title`
      }, [title]), createVNode("div", {
        "class": `${classPrefix.value}-content`
      }, [content]), extra && createVNode("div", {
        "class": `${classPrefix.value}-extra`
      }, [extra])]);
      return grid ? createVNode(IxCol, grid, {
        default: () => [renderContent2]
      }) : createVNode("div", {
        "class": `${classPrefix.value}`
      }, [renderContent2]);
    };
  }
});
var List = /* @__PURE__ */ defineComponent({
  name: "IxList",
  props: listProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId
    } = useThemeToken();
    const mergedPrefixCls = computed(() => `${common.prefixCls}-list`);
    const listConfig = useGlobalConfig("list");
    provide(listToken, {
      props,
      mergedPrefixCls
    });
    const loadingProp = computed(() => {
      if (typeof props.loading === "boolean") {
        return {
          spinning: props.loading
        };
      }
      return props.loading;
    });
    const classes = computed(() => {
      var _a, _b;
      const prefixCls = mergedPrefixCls.value;
      const borderless = (_a = props.borderless) != null ? _a : listConfig.borderless;
      const size = (_b = props.size) != null ? _b : listConfig.size;
      return normalizeClass({
        [globalHashId.value]: !globalHashId.value,
        [`${prefixCls}`]: true,
        [`${prefixCls}-split`]: true,
        [`${prefixCls}-${size}`]: true,
        [`${prefixCls}-border`]: !borderless
      });
    });
    return () => {
      var _a, _b, _c, _d;
      const header = (_b = props.header) != null ? _b : (_a = slots.header) == null ? void 0 : _a.call(slots);
      const footer = (_d = props.footer) != null ? _d : (_c = slots.footer) == null ? void 0 : _c.call(slots);
      const children = slots.default ? slots.default() : [];
      const content = getFirstValidNode(children) ? children : createVNode(\u0275Empty, {
        "empty": props.empty
      }, slots);
      const renderContent2 = () => {
        if (props.grid) {
          return createVNode(IxRow, {
            "gutter": props.grid.gutter
          }, {
            default: () => [content]
          });
        }
        return createVNode("div", null, [content]);
      };
      return createVNode("div", {
        "class": classes.value
      }, [header && createVNode("div", {
        "class": `${mergedPrefixCls.value}-header`
      }, [header]), createVNode(IxSpin, loadingProp.value, {
        default: () => [renderContent2()]
      }), footer && createVNode("div", {
        "class": `${mergedPrefixCls.value}-footer`
      }, [footer])]);
    };
  }
});
const IxListItem = ListItem$1;
const IxList = List;
const LOADING_BAR_PROVIDER_TOKEN = Symbol("LOADING_BAR_PROVIDER_TOKEN");
const loadingBarProviderProps = {
  container: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  mask: {
    type: Boolean,
    default: false
  }
};
function getDefaultThemeTokens$p(tokens2) {
  const { colorPrimary } = tokens2;
  return {
    height: 2,
    loadingColor: colorPrimary
  };
}
const getThemeTokens$p = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$p(tokens2) : getDefaultThemeTokens$p(tokens2);
};
var LoadingBarProvider = /* @__PURE__ */ defineComponent({
  name: "IxLoadingBarProvider",
  inheritAttrs: false,
  props: loadingBarProviderProps,
  setup(props, {
    slots,
    expose
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("loadingBar");
    registerToken(getThemeTokens$p);
    const config = useGlobalConfig("loadingBar");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-loading-bar`);
    const mergedPortalTarget = usePortalTarget(props, config, common, mergedPrefixCls);
    const {
      start,
      finish,
      error,
      status,
      visible,
      progress,
      mask
    } = useLoadingBarProvider(props, config);
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [`${prefixCls}`]: true,
        [`${prefixCls}--${status.value}`]: !!status.value
      });
    });
    const apis = {
      start,
      finish,
      error
    };
    provide(LOADING_BAR_PROVIDER_TOKEN, apis);
    expose(apis);
    return () => {
      var _a;
      return createVNode(Fragment, null, [(_a = slots.default) == null ? void 0 : _a.call(slots), createVNode(CdkPortal, {
        "target": mergedPortalTarget.value
      }, {
        default: () => [createVNode(\u0275Mask, {
          "class": `${mergedPrefixCls.value}-mask`,
          "mask": mask.value,
          "visible": visible.value
        }, null), createVNode(Transition, {
          "appear": true,
          "name": `${common.prefixCls}-move-up`
        }, {
          default: () => [withDirectives(createVNode("div", {
            "class": classes.value,
            "style": {
              maxWidth: `${progress.value}%`
            }
          }, null), [[vShow, visible.value]])]
        })]
      })]);
    };
  }
});
const useLoadingBarProvider = (props, config) => {
  const {
    loading: loadingConfig,
    error: errorConfig,
    finish: finishConfig
  } = config.animation;
  const maskEnable = computed(() => {
    var _a;
    return (_a = props.mask) != null ? _a : config.mask;
  });
  const animation = (callback) => {
    let start2 = 0;
    return async function(t2) {
      if (start2 === 0) {
        start2 = t2;
      }
      callback(t2 - start2);
    };
  };
  const visible = ref(false);
  const status = ref("finish");
  const mask = ref(false);
  const progress = ref(0);
  let raf;
  const start = (options) => {
    var _a;
    raf && cancelRAF(raf);
    progress.value = 0;
    status.value = "loading";
    visible.value = true;
    mask.value = (_a = options == null ? void 0 : options.mask) != null ? _a : maskEnable.value;
    const animationFn = animation((elapsed) => {
      if (elapsed < loadingConfig.duration) {
        progress.value = elapsed / loadingConfig.duration * loadingConfig.progress;
        raf = rAF(animationFn);
      } else {
        cancelRAF(raf);
        progress.value = loadingConfig.progress;
      }
    });
    raf = rAF(animationFn);
  };
  const error = () => {
    raf && cancelRAF(raf);
    progress.value = 0;
    status.value = "error";
    visible.value = true;
    mask.value = maskEnable.value;
    const animationFn = animation(async (elapsed) => {
      if (elapsed < errorConfig.duration) {
        progress.value = elapsed / errorConfig.duration * errorConfig.progress;
        raf = rAF(animationFn);
      } else {
        cancelRAF(raf);
        progress.value = errorConfig.progress;
        await nextTick();
        visible.value = false;
      }
    });
    raf = rAF(animationFn);
  };
  const finish = () => {
    if (status.value !== "loading") {
      return;
    }
    raf && cancelRAF(raf);
    const loadingProgress = Math.min(progress.value, loadingConfig.progress);
    const animationFn = animation(async (elapsed) => {
      if (elapsed < finishConfig.duration) {
        progress.value = loadingProgress + elapsed / finishConfig.duration * (finishConfig.progress - loadingProgress);
        raf = rAF(animationFn);
      } else {
        cancelRAF(raf);
        progress.value = finishConfig.progress;
        await nextTick();
        mask.value = maskEnable.value;
        visible.value = false;
        status.value = "finish";
      }
    });
    raf = rAF(animationFn);
  };
  return {
    start,
    error,
    finish,
    status,
    visible,
    progress,
    mask
  };
};
const useLoadingBar = () => {
  const providerRef = inject(LOADING_BAR_PROVIDER_TOKEN, null);
  if (providerRef === null) {
    return throwError("cbomponents/loading-bar", "<IxLoadingBarProvider> not found.");
  }
  return providerRef;
};
const IxLoadingBarProvider = LoadingBarProvider;
const itemKey = "__IDUX_MENU_ITEM";
const MenuItem$1 = () => {
};
MenuItem$1.displayName = "IxMenuItem";
MenuItem$1[itemKey] = true;
const itemGroupKey = "__IDUX_MENU_ITEM_GROUP";
const MenuGroupItem = () => {
};
MenuGroupItem.displayName = "IxMenuItemGroup";
MenuGroupItem[itemGroupKey] = true;
const subKey = "__IDUX_MENU_SUB";
const MenuSub$1 = () => {
};
MenuSub$1.displayName = "IxMenuSub";
MenuSub$1[subKey] = true;
const dividerKey = "__IDUX_MENU_DIVIDER";
const MenuDivider$1 = () => {
};
MenuDivider$1.displayName = "IxMenuDivider";
MenuDivider$1[dividerKey] = true;
function useDataSource$2(props, slots) {
  return computed(() => {
    var _a;
    const { dataSource } = props;
    if (dataSource) {
      return dataSource;
    } else {
      return convertDataSource((_a = slots.default) == null ? void 0 : _a.call(slots));
    }
  });
}
const filterKeys = [itemKey, itemGroupKey, subKey, dividerKey];
function convertDataSource(nodes) {
  const dataSource = [];
  flattenNode(nodes, { key: filterKeys }).forEach((node) => {
    var _a, _b, _c, _d;
    const type = node.type;
    const slots = (_a = node.children) != null ? _a : {};
    const props = (_b = node.props) != null ? _b : {};
    let data;
    if (type[itemKey]) {
      const { key, disabled, icon, label } = props;
      const { icon: customIcon, label: customLabel, default: customLabel2 } = slots;
      data = {
        key,
        disabled: disabled || disabled === "",
        icon,
        label,
        customIcon,
        customLabel: customLabel != null ? customLabel : customLabel2
      };
    } else if (type[itemGroupKey]) {
      const { key, children, icon, label } = props;
      const { icon: customIcon, label: customLabel } = slots;
      data = {
        type: "itemGroup",
        key,
        children: children != null ? children : convertDataSource((_c = slots.default) == null ? void 0 : _c.call(slots)),
        icon,
        label,
        customIcon,
        customLabel
      };
    } else if (type[subKey]) {
      const { key, children, disabled, icon, label, suffix } = props;
      const { icon: customIcon, label: customLabel, suffix: customSuffix } = slots;
      data = {
        type: "sub",
        key,
        children: children != null ? children : convertDataSource((_d = slots.default) == null ? void 0 : _d.call(slots)),
        disabled: disabled || disabled === "",
        icon,
        label,
        suffix,
        customIcon,
        customLabel,
        customSuffix
      };
    } else {
      const { key } = props;
      data = { type: "divider", key };
    }
    dataSource.push(data);
  });
  return dataSource;
}
function useExpanded$1(props) {
  const [expandedKeys, setExpandedKeys] = useControlledProp(props, "expandedKeys", () => []);
  const handleExpand = (key, expanded) => {
    const index = expandedKeys.value.indexOf(key);
    if (expanded) {
      index === -1 && setExpandedKeys([...expandedKeys.value, key]);
    } else {
      if (index > -1) {
        const tempKeys = [...expandedKeys.value];
        tempKeys.splice(index, 1);
        setExpandedKeys(tempKeys);
      }
    }
  };
  let cachedExpandedKeys = [];
  watch(
    () => props.collapsed,
    (collapsed) => {
      if (collapsed) {
        cachedExpandedKeys = [...expandedKeys.value];
        setExpandedKeys([]);
      } else {
        setExpandedKeys(cachedExpandedKeys);
        cachedExpandedKeys = [];
      }
    }
  );
  return { expandedKeys, handleExpand };
}
function useSelected(props, dropdownContext) {
  const [selectedKeys, setSelectedKeys] = useControlledProp(props, "selectedKeys", () => []);
  const handleSelected = (key) => {
    if (dropdownContext) {
      const { hideOnClick, setVisibility } = dropdownContext;
      hideOnClick.value && setVisibility(false);
    }
    if (!props.selectable) {
      return;
    }
    const index = selectedKeys.value.indexOf(key);
    if (index > -1) {
      if (props.multiple) {
        const tempKeys = [...selectedKeys.value];
        tempKeys.splice(index, 1);
        setSelectedKeys(tempKeys);
      }
    } else {
      setSelectedKeys(props.multiple ? [...selectedKeys.value, key] : [key]);
    }
  };
  return { selectedKeys, handleSelected };
}
const menuToken = Symbol("menuToken");
const menuSubToken = Symbol("menuSubToken");
const menuItemGroupToken = Symbol("menuItemGroupToken");
const MenuDivider = (props) => {
  const {
    props: menuProps2,
    mergedPrefixCls
  } = inject(menuToken);
  const customAdditional = menuProps2.customAdditional ? menuProps2.customAdditional({
    data: props.data,
    index: props.index
  }) : void 0;
  return createVNode("li", mergeProps({
    "class": `${mergedPrefixCls.value}-divider`
  }, customAdditional), null);
};
MenuDivider.displayName = "MenuDivider";
const usePaddingLeft = (menuProps2, mode, indent, level, grouped) => {
  return computed(() => {
    if (mode.value !== "inline" || menuProps2.collapsed) {
      return void 0;
    }
    const groupedLeft = grouped ? 8 : 0;
    return `${indent.value * level + groupedLeft}px`;
  });
};
const menuProps = {
  expandedKeys: Array,
  selectedKeys: Array,
  collapsed: {
    type: Boolean,
    default: false
  },
  customAdditional: { type: Function, default: void 0 },
  dataSource: Array,
  getKey: {
    type: [String, Function],
    default: void 0
  },
  indent: Number,
  mode: {
    type: String,
    default: "vertical"
  },
  multiple: {
    type: Boolean,
    default: false
  },
  overlayClassName: String,
  overlayContainer: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  overlayDelay: {
    type: [Number, Array],
    default: () => [0, 100]
  },
  selectable: {
    type: Boolean,
    default: true
  },
  theme: String,
  "onUpdate:expandedKeys": [Function, Array],
  "onUpdate:selectedKeys": [Function, Array],
  onClick: [Function, Array]
};
const menuItemProps = {
  data: {
    type: Object,
    required: true
  },
  index: { type: Number, required: true }
};
const menuItemGroupProps = {
  data: {
    type: Object,
    required: true
  },
  index: { type: Number, required: true }
};
const menuSubProps = {
  data: {
    type: Object,
    required: true
  },
  index: { type: Number, required: true }
};
var MenuItem = /* @__PURE__ */ defineComponent({
  name: "MenuItem",
  props: menuItemProps,
  setup(props) {
    const key = useKey$1();
    const {
      props: menuProps2,
      slots: menuSlots,
      mergedPrefixCls,
      indent,
      selectedKeys,
      handleSelected,
      handleClick
    } = inject(menuToken);
    const menuSubContext = inject(menuSubToken, null);
    const menuItemGroupContext = inject(menuItemGroupToken, false);
    const level = menuSubContext ? menuSubContext.level + 1 : 1;
    const isSelected = computed(() => selectedKeys.value.includes(key));
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [`${prefixCls}-item`]: true,
        [`${prefixCls}-level-${level}`]: true,
        [`${prefixCls}-item-disabled`]: props.data.disabled,
        [`${prefixCls}-item-selected`]: isSelected.value
      });
    });
    const mode = computed(() => menuProps2.mode);
    const paddingLeft = usePaddingLeft(menuProps2, mode, indent, level, menuItemGroupContext);
    const style = computed(() => {
      return {
        paddingLeft: paddingLeft.value
      };
    });
    const onClick = (evt) => {
      handleSelected(key);
      handleClick(key, "item", evt);
      menuSubContext == null ? void 0 : menuSubContext.handleItemClick();
    };
    return () => {
      const {
        disabled,
        icon,
        label,
        customIcon,
        customLabel,
        customSuffix
      } = props.data;
      const iconRender = customIcon != null ? customIcon : "itemIcon";
      const iconSlot = isString(iconRender) ? menuSlots[iconRender] : iconRender;
      const labelRender = customLabel != null ? customLabel : "itemLabel";
      const labelSlot = isString(labelRender) ? menuSlots[labelRender] : labelRender;
      const suffixRender = customSuffix != null ? customSuffix : "itemSuffix";
      const suffixSlot = isString(suffixRender) ? menuSlots[suffixRender] : suffixRender;
      const slotProps = iconSlot || labelSlot ? {
        ...props.data,
        selected: isSelected.value
      } : void 0;
      const iconNode = coverIcon(iconSlot, slotProps, icon);
      const labelNode = labelSlot ? labelSlot(slotProps) : label;
      const customAdditional = menuProps2.customAdditional ? menuProps2.customAdditional({
        data: props.data,
        index: props.index
      }) : void 0;
      const suffixNode = coverIcon(suffixSlot, slotProps, props.data.suffix);
      return createVNode("li", mergeProps({
        "class": classes.value,
        "style": style.value,
        "aria-label": label,
        "aria-selected": isSelected.value,
        "role": "menuitem",
        "onClick": disabled ? void 0 : onClick
      }, customAdditional), [iconNode, createVNode("span", null, [labelNode]), suffixNode && createVNode("span", {
        "class": `${mergedPrefixCls.value}-item-suffix`
      }, [suffixNode])]);
    };
  }
});
var MenuItemGroup = /* @__PURE__ */ defineComponent({
  name: "MenuItemGroup",
  props: menuItemGroupProps,
  setup(props) {
    const key = useKey$1();
    provide(menuItemGroupToken, true);
    const {
      props: menuProps2,
      slots: menuSlots,
      mergedPrefixCls,
      mergedGetKey,
      indent,
      handleClick
    } = inject(menuToken);
    const menuSubContext = inject(menuSubToken, null);
    const menuItemGroupContext = inject(menuItemGroupToken, null);
    const level = menuSubContext ? menuSubContext.level + 1 : 1;
    const mode = computed(() => menuProps2.mode);
    const paddingLeft = usePaddingLeft(menuProps2, mode, indent, level, !!menuItemGroupContext);
    const labelStyle = computed(() => ({
      paddingLeft: paddingLeft.value
    }));
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [`${prefixCls}-item-group`]: true,
        [`${prefixCls}-level-${level}`]: true
      });
    });
    const onClick = (evt) => {
      handleClick(key, "itemGroup", evt);
    };
    return () => {
      const {
        icon,
        label,
        children,
        customIcon,
        customLabel
      } = props.data;
      const iconRender = customIcon != null ? customIcon : "itemGroupIcon";
      const iconSlot = isString(iconRender) ? menuSlots[iconRender] : iconRender;
      const labelRender = customLabel != null ? customLabel : "itemGroupLabel";
      const labelSlot = isString(labelRender) ? menuSlots[labelRender] : labelRender;
      const slotProps = props.data;
      const iconNode = coverIcon(iconSlot, slotProps, icon);
      const labelNode = labelSlot ? labelSlot(slotProps) : label;
      const prefixCls = `${mergedPrefixCls.value}-item-group`;
      const customAdditional = menuProps2.customAdditional ? menuProps2.customAdditional({
        data: props.data,
        index: props.index
      }) : void 0;
      return createVNode("li", mergeProps({
        "class": classes.value,
        "aria-label": label
      }, customAdditional), [createVNode("div", {
        "class": `${prefixCls}-label`,
        "style": labelStyle.value,
        "onClick": onClick
      }, [iconNode, createVNode("span", null, [labelNode])]), createVNode("ul", {
        "class": `${prefixCls}-content`
      }, [coverChildren(children, mergedGetKey.value)])]);
    };
  }
});
var InlineContent = /* @__PURE__ */ defineComponent({
  name: "MenuSubInlineContent",
  setup() {
    const {
      mergedPrefixCls,
      mergedGetKey
    } = inject(menuToken);
    const {
      props,
      isExpanded
    } = inject(menuSubToken);
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [`${prefixCls}-inline`]: true
      });
    });
    return () => {
      return createVNode(\u0275CollapseTransition, {
        "appear": true
      }, {
        default: () => [withDirectives(createVNode("ul", {
          "class": classes.value
        }, [coverChildren(props.data.children, mergedGetKey.value)]), [[vShow, isExpanded.value]])]
      });
    };
  }
});
var Label = /* @__PURE__ */ defineComponent({
  name: "MenuSubLabel",
  setup() {
    const {
      slots: menuSlots,
      config,
      mergedPrefixCls,
      handleClick
    } = inject(menuToken);
    const {
      props,
      key,
      isExpanded,
      isSelected,
      changeExpanded,
      handleMouseEvent,
      mode,
      paddingLeft
    } = inject(menuSubToken);
    const mergedSuffix = computed(() => {
      const {
        suffix
      } = props.data;
      if (suffix) {
        return suffix;
      }
      return mode.value !== "horizontal" ? config.suffix : void 0;
    });
    const rotate = computed(() => {
      if (mode.value === "inline") {
        return isExpanded.value ? -90 : 90;
      }
      return 0;
    });
    const events2 = computed(() => {
      if (props.data.disabled) {
        return void 0;
      }
      if (mode.value === "inline") {
        return {
          onClick: (evt) => {
            handleClick(key, "sub", evt);
            changeExpanded(!isExpanded.value);
          }
        };
      } else {
        return {
          onClick: (evt) => handleClick(key, "sub", evt),
          onMouseenter: () => handleMouseEvent(true),
          onMouseleave: () => handleMouseEvent(false)
        };
      }
    });
    const style = computed(() => {
      return {
        paddingLeft: paddingLeft.value
      };
    });
    return () => {
      const {
        icon,
        label,
        customIcon,
        customLabel,
        customSuffix
      } = props.data;
      const iconRender = customIcon != null ? customIcon : "subIcon";
      const iconSlot = isString(iconRender) ? menuSlots[iconRender] : iconRender;
      const labelRender = customLabel != null ? customLabel : "subLabel";
      const labelSlot = isString(labelRender) ? menuSlots[labelRender] : labelRender;
      const suffixRender = customSuffix != null ? customSuffix : "subSuffix";
      const suffixSlot = isString(suffixRender) ? menuSlots[suffixRender] : suffixRender;
      const slotProps = iconSlot || labelSlot || suffixSlot ? {
        ...props.data,
        expanded: isExpanded.value,
        selected: isSelected.value
      } : void 0;
      const iconNode = coverIcon(iconSlot, slotProps, icon);
      const labelNode = labelSlot ? labelSlot(slotProps) : label;
      const suffixNode = coverIcon(suffixSlot, slotProps, mergedSuffix.value, rotate.value);
      const prefixCls = `${mergedPrefixCls.value}-sub-label`;
      return createVNode("div", mergeProps({
        "class": prefixCls,
        "style": style.value
      }, events2.value), [iconNode, createVNode("span", null, [labelNode]), suffixNode && createVNode("span", {
        "class": `${prefixCls}-suffix`
      }, [suffixNode])]);
    };
  }
});
var OverlayContent = /* @__PURE__ */ defineComponent({
  name: "MenuSubOverlayContent",
  setup() {
    const {
      mergedPrefixCls,
      theme,
      mergedGetKey
    } = inject(menuToken);
    const {
      props,
      isExpanded,
      handleMouseEvent
    } = inject(menuSubToken);
    const dropdownContext = inject(dropdownToken, null);
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-dropdown`]: !!dropdownContext,
        [`${prefixCls}-vertical`]: true,
        [`${prefixCls}-${theme.value}`]: true
      });
    });
    const events2 = computed(() => {
      if (props.data.disabled || !isExpanded.value) {
        return void 0;
      }
      return {
        onMouseenter: () => handleMouseEvent(true),
        onMouseleave: () => handleMouseEvent(false)
      };
    });
    return () => createVNode("ul", mergeProps({
      "class": classes.value
    }, events2.value), [coverChildren(props.data.children, mergedGetKey.value)]);
  }
});
var MenuSub = /* @__PURE__ */ defineComponent({
  name: "MenuSub",
  props: menuSubProps,
  setup(props) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId
    } = useThemeToken("menu");
    const {
      props: menuProps2,
      config,
      mergedPrefixCls,
      indent,
      selectedKeys,
      expandedKeys,
      handleExpand
    } = inject(menuToken);
    const menuSubContext = inject(menuSubToken, null);
    const menuItemGroupContext = inject(menuItemGroupToken, false);
    const key = useKey$1();
    const mode = useMode(menuProps2, menuSubContext);
    const level = menuSubContext ? menuSubContext.level + 1 : 1;
    const paddingLeft = usePaddingLeft(menuProps2, mode, indent, level, menuItemGroupContext);
    const isSelected = computed(() => getState(props.data.children, selectedKeys.value));
    const {
      isExpanded,
      changeExpanded,
      handleMouseEvent
    } = useExpanded(props, key, expandedKeys, handleExpand, mode);
    const handleItemClick = () => {
      if (!props.data.disabled && mode.value !== "inline" && !menuProps2.multiple) {
        handleMouseEvent(false);
        handleExpand(key, false);
      }
    };
    provide(menuSubToken, {
      props,
      key,
      isExpanded,
      isSelected,
      mode,
      level,
      paddingLeft,
      changeExpanded,
      handleMouseEvent,
      handleItemClick
    });
    const placement = computed(() => mode.value === "vertical" ? "rightStart" : "bottomStart");
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [`${prefixCls}-sub`]: true,
        [`${prefixCls}-level-${level}`]: true,
        [`${prefixCls}-sub-disabled`]: props.data.disabled,
        [`${prefixCls}-sub-expanded`]: isExpanded.value,
        [`${prefixCls}-sub-selected`]: isSelected.value
      });
    });
    const overlayClasses = computed(() => {
      const {
        overlayClassName
      } = menuProps2;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [`${mergedPrefixCls.value}-overlay`]: true,
        [overlayClassName || ""]: !!overlayClassName
      });
    });
    const offset = computed(() => {
      var _a;
      return (_a = props.data.offset) != null ? _a : config.offset;
    });
    return () => {
      var _a;
      const {
        disabled
      } = props.data;
      const isInline = mode.value === "inline";
      let children;
      if (isInline) {
        children = [createVNode(Label, null, null), createVNode(InlineContent, null, null)];
      } else {
        const trigger = () => createVNode(Label, null, null);
        const content = () => createVNode(OverlayContent, null, null);
        children = createVNode(\u0275Overlay, {
          "class": overlayClasses.value,
          "autoAdjust": true,
          "container": (_a = menuProps2.overlayContainer) != null ? _a : config.overlayContainer,
          "containerFallback": `.${mergedPrefixCls.value}-overlay-container`,
          "destroyOnHide": false,
          "delay": menuProps2.overlayDelay,
          "disabled": disabled,
          "offset": offset.value,
          "placement": placement.value,
          "transitionName": `${common.prefixCls}-slide-up`,
          "trigger": "manual",
          "visible": isExpanded.value
        }, {
          default: trigger,
          content
        });
      }
      const customAdditional = menuProps2.customAdditional ? menuProps2.customAdditional({
        data: props.data,
        index: props.index
      }) : void 0;
      return createVNode("li", mergeProps({
        "class": classes.value,
        "aria-expanded": isExpanded.value,
        "aria-haspopup": !isInline,
        "role": "menuitem"
      }, customAdditional), [children]);
    };
  }
});
function useMode(menuProps2, menuSubContext) {
  const defaultMode = menuProps2.mode !== "inline" && !!menuSubContext ? "vertical" : menuProps2.mode;
  const [mode, setMode] = useState(defaultMode);
  watch(() => menuProps2.mode, (mode2) => {
    nextTick(() => setMode(mode2 !== "inline" && !!menuSubContext ? "vertical" : mode2));
  });
  return mode;
}
function useExpanded(props, key, expandedKeys, handleExpand, mode) {
  const isHover = ref(false);
  const isExpanded = computed(() => {
    if (mode.value === "inline") {
      return expandedKeys.value.includes(key);
    }
    return isHover.value && expandedKeys.value.includes(key) || childExpanded.value;
  });
  const changeExpanded = (expanded) => handleExpand(key, expanded);
  const childExpanded = computed(() => getState(props.data.children, expandedKeys.value));
  const handleMouseEvent = debounce((value) => isHover.value = value, 100);
  watch([mode, childExpanded, isHover], ([currMode, currChildExpanded, currIsHover]) => {
    if (currMode !== "inline") {
      changeExpanded(currChildExpanded || currIsHover);
    }
  });
  return {
    isExpanded,
    changeExpanded,
    handleMouseEvent
  };
}
function getState(children, selectedKeys) {
  if (!children || children.length === 0) {
    return false;
  }
  return children.some((item) => {
    return item.key && selectedKeys.includes(item.key) || "children" in item && getState(item.children, selectedKeys);
  });
}
function coverChildren(data, getKetFn) {
  if (!data || data.length === 0) {
    return [];
  }
  const nodes = [];
  data.forEach((item, index) => {
    const {
      type
    } = item;
    const key = getKetFn(item);
    if (!type || type === "item") {
      nodes.push(createVNode(MenuItem, {
        "key": key,
        "index": index,
        "data": item
      }, null));
    } else if (type === "sub") {
      nodes.push(createVNode(MenuSub, {
        "key": key,
        "index": index,
        "data": item
      }, null));
    } else if (type === "itemGroup") {
      nodes.push(createVNode(MenuItemGroup, {
        "key": key,
        "index": index,
        "data": item
      }, null));
    } else if (type === "divider") {
      nodes.push(createVNode(MenuDivider, {
        "key": key,
        "index": index,
        "data": item
      }, null));
    } else
      ;
  });
  return nodes;
}
function coverIcon(slot, slotProps, iconOrName, rotate) {
  if (slot) {
    return slot(slotProps);
  }
  return isString(iconOrName) ? createVNode(IxIcon, {
    "name": iconOrName,
    "rotate": rotate
  }, null) : iconOrName;
}
function getDefaultThemeTokens$o(tokens2, algorithms) {
  const { getGreyColors: getGreyColors2 } = algorithms;
  const {
    heightMd,
    heightLg,
    fontSizeSm,
    fontSizeMd,
    fontWeightHeader,
    colorText,
    colorTextInfo,
    colorTextInverse,
    colorTextInverseDisabled,
    colorPrimary,
    colorPrimaryText,
    colorTextDisabled,
    colorContainerBg,
    colorContainerBgHover,
    colorContainerBgActive,
    colorBgInverse
  } = tokens2;
  const greyColors = getGreyColors2();
  return {
    borderRadius: 0,
    height: heightMd,
    heightLevel1: heightLg,
    fontSize: fontSizeSm,
    fontSizeLevel1: fontSizeMd,
    overlayMinWidth: 128,
    collapsedWidth: 44,
    itemColor: colorText,
    itemColorHover: colorText,
    itemColorActive: colorPrimaryText,
    itemColorDisabled: colorTextDisabled,
    itemGroupColor: colorTextInfo,
    itemBg: colorContainerBg,
    itemBgHover: colorContainerBgHover,
    itemBgActive: colorContainerBgActive,
    itemBgDisabled: colorContainerBg,
    itemGroupBg: colorContainerBg,
    horizontalItemColorHover: colorText,
    horizontalItemColorActive: colorPrimaryText,
    horizontalItemBgHover: colorContainerBgHover,
    horizontalItemBgActive: colorContainerBgActive,
    darkItemColor: colorTextInverse,
    darkItemColorHover: colorTextInverse,
    darkItemColorActive: colorTextInverse,
    darkItemColorDisabled: colorTextInverseDisabled,
    darkItemGroupColor: colorTextInfo,
    darkItemFontWeightActive: fontWeightHeader,
    darkItemBg: colorBgInverse,
    darkItemBgHover: greyColors.d50,
    darkItemBgActive: colorPrimary,
    darkItemBgDisabled: colorBgInverse,
    darkItemGroupBg: colorBgInverse,
    darkHorizontalItemColorHover: colorTextInverse,
    darkHorizontalItemColorActive: colorTextInverse,
    darkHorizontalItemBgHover: greyColors.d50,
    darkHorizontalItemBgActive: greyColors.d30
  };
}
function getDarkThemeTokens$1(tokens2, algorithms) {
  const defaultTokens = getDefaultThemeTokens$o(tokens2, algorithms);
  return {
    ...defaultTokens,
    darkItemColor: defaultTokens.itemColor,
    darkItemColorHover: defaultTokens.itemColorHover,
    darkItemColorActive: defaultTokens.itemColorActive,
    darkItemColorDisabled: defaultTokens.itemColorDisabled,
    darkItemGroupColor: defaultTokens.itemGroupColor,
    darkItemFontWeightActive: defaultTokens.darkItemFontWeightActive,
    darkItemBg: defaultTokens.itemBg,
    darkItemBgHover: defaultTokens.itemBgHover,
    darkItemBgActive: defaultTokens.itemBgActive,
    darkItemBgDisabled: defaultTokens.itemBgDisabled,
    darkItemGroupBg: defaultTokens.itemGroupBg,
    darkHorizontalItemColorHover: defaultTokens.horizontalItemColorHover,
    darkHorizontalItemColorActive: defaultTokens.horizontalItemColorActive,
    darkHorizontalItemBgHover: defaultTokens.horizontalItemBgHover,
    darkHorizontalItemBgActive: defaultTokens.horizontalItemBgActive
  };
}
const getThemeTokens$o = (tokens2, presetTheme, algorithms) => {
  return presetTheme === "default" ? getDefaultThemeTokens$o(tokens2, algorithms) : getDarkThemeTokens$1(tokens2, algorithms);
};
var Menu = /* @__PURE__ */ defineComponent({
  name: "IxMenu",
  props: menuProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("menu");
    registerToken(getThemeTokens$o);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-menu`);
    const config = useGlobalConfig("menu");
    const mergedGetKey = useGetKey(props, config);
    const indent = computed(() => {
      var _a;
      return (_a = props.indent) != null ? _a : config.indent;
    });
    const mode = computed(() => props.mode);
    const theme = computed(() => {
      var _a;
      return (_a = props.theme) != null ? _a : config.theme;
    });
    const dropdownContext = inject(dropdownToken, null);
    const {
      expandedKeys,
      handleExpand
    } = useExpanded$1(props);
    const {
      selectedKeys,
      handleSelected
    } = useSelected(props, dropdownContext);
    const handleClick = (key, type, evt) => {
      callEmit(props.onClick, {
        key,
        type,
        event: evt
      });
    };
    provide(menuToken, {
      props,
      slots,
      config,
      mergedPrefixCls,
      mergedGetKey,
      indent,
      theme,
      expandedKeys,
      handleExpand,
      selectedKeys,
      handleSelected,
      handleClick
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-${theme.value}`]: true,
        [`${prefixCls}-${mode.value}`]: true,
        [`${prefixCls}-collapsed`]: props.collapsed,
        [`${prefixCls}-dropdown`]: !!dropdownContext
      });
    });
    const dateSource = useDataSource$2(props, slots);
    return () => {
      return createVNode("ul", {
        "class": classes.value
      }, [coverChildren(dateSource.value, mergedGetKey.value)]);
    };
  }
});
const IxMenu = Menu;
const IxMenuDivider = MenuDivider$1;
const IxMenuItem = MenuItem$1;
const IxMenuItemGroup = MenuGroupItem;
const IxMenuSub = MenuSub$1;
const messageProps = {
  visible: {
    type: Boolean,
    default: void 0
  },
  destroyOnHover: {
    type: Boolean,
    default: void 0
  },
  duration: Number,
  icon: [String, Object, Function],
  type: {
    type: String,
    default: "info"
  },
  "onUpdate:visible": [Function, Array],
  onClose: [Function, Array]
};
const messageProviderProps = {
  container: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  maxCount: Number,
  top: [String, Number]
};
function getDefaultThemeTokens$n(tokens2) {
  const {
    marginSizeSm,
    fontSizeMd,
    paddingSizeLg,
    paddingSizeSm,
    colorContainerBg,
    borderRadiusMd,
    overlayBorderWidth,
    overlayBorderType,
    overlayBorderColor
  } = tokens2;
  return {
    margin: marginSizeSm,
    fontSize: fontSizeMd,
    borderWidth: overlayBorderWidth,
    borderType: overlayBorderType,
    borderColor: overlayBorderColor,
    contentMinWidth: 128,
    contentMaxWidth: 480,
    contentPaddingVertical: paddingSizeSm,
    contentPaddingHorizontal: paddingSizeLg,
    bgColor: colorContainerBg,
    borderRadius: borderRadiusMd,
    iconMarginRight: marginSizeSm,
    wrapperTop: `15%`
  };
}
const transforms$2 = {
  wrapperTop: (value) => numUnitTransform(value, "px")
};
const getThemeTokens$n = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$n(tokens2) : getDefaultThemeTokens$n(tokens2);
};
var Message = /* @__PURE__ */ defineComponent({
  name: "IxMessage",
  props: messageProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("message");
    registerToken(getThemeTokens$n, transforms$2);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-message`);
    const config = useGlobalConfig("message");
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return [prefixCls, globalHashId.value, hashId.value, `${prefixCls}-${props.type}`];
    });
    const mergedIcon = computed(() => {
      const {
        icon,
        type
      } = props;
      return icon != null ? icon : config.icon[type];
    });
    const {
      visible,
      onMouseEnter,
      onMouseLeave
    } = useEvents$3(props, config);
    return () => {
      var _a;
      const icon = mergedIcon.value;
      const iconNode = convertIconVNode(slots.icon, icon);
      const prefixCls = mergedPrefixCls.value;
      return withDirectives(createVNode("div", {
        "class": classes.value,
        "onMouseenter": onMouseEnter,
        "onMouseleave": onMouseLeave
      }, [createVNode("div", {
        "class": `${prefixCls}-content`
      }, [createVNode("span", {
        "class": `${prefixCls}-content-icon`
      }, [iconNode]), createVNode("span", {
        "class": `${prefixCls}-content-text`
      }, [(_a = slots.default) == null ? void 0 : _a.call(slots)])])]), [[vShow, visible.value]]);
    };
  }
});
const useEvents$3 = (props, config) => {
  const duration = computed(() => {
    var _a;
    return (_a = props.duration) != null ? _a : config.duration;
  });
  const destroyOnHover = computed(() => {
    var _a;
    return (_a = props.destroyOnHover) != null ? _a : config.destroyOnHover;
  });
  const autoClose = computed(() => duration.value > 0);
  const [visible, setVisible] = useControlledProp(props, "visible", false);
  let timer = null;
  const startTimer = () => {
    timer = setTimeout(() => close(), duration.value);
  };
  const clearTimer = () => {
    if (timer) {
      clearTimeout(timer);
      timer = null;
    }
  };
  const close = () => {
    clearTimer();
    setVisible(false);
    callEmit(props.onClose);
  };
  const onMouseEnter = () => {
    if (autoClose.value && !destroyOnHover.value) {
      clearTimer();
    }
  };
  const onMouseLeave = () => {
    if (autoClose.value && !destroyOnHover.value) {
      startTimer();
    }
  };
  onMounted(() => {
    watchEffect(() => {
      clearTimer();
      if (visible.value && autoClose.value) {
        startTimer();
      }
    });
  });
  onBeforeUnmount(() => clearTimer());
  return {
    visible,
    onMouseEnter,
    onMouseLeave
  };
};
const MESSAGE_PROVIDER_TOKEN = Symbol("MESSAGE_PROVIDER_TOKEN");
var MessageProvider = /* @__PURE__ */ defineComponent({
  name: "IxMessageProvider",
  inheritAttrs: false,
  props: messageProviderProps,
  setup(props, {
    expose,
    slots,
    attrs
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("message");
    registerToken(getThemeTokens$n, transforms$2);
    const config = useGlobalConfig("message");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-message`);
    const mergedPortalTarget = usePortalTarget(props, config, common, mergedPrefixCls);
    const style = computed(() => {
      var _a;
      return {
        top: convertCssPixel((_a = props.top) != null ? _a : config.top)
      };
    });
    const maxCount = computed(() => {
      var _a;
      return (_a = props.maxCount) != null ? _a : config.maxCount;
    });
    const {
      messages,
      loadContainer,
      open,
      info,
      success,
      warning,
      error,
      loading,
      update,
      destroy,
      destroyAll
    } = useMessage$1(maxCount);
    const apis = {
      open,
      info,
      success,
      warning,
      error,
      loading,
      update,
      destroy,
      destroyAll
    };
    provide(MESSAGE_PROVIDER_TOKEN, apis);
    expose(apis);
    return () => {
      var _a;
      const child = messages.value.map((item) => {
        const {
          key,
          content,
          visible = true,
          onDestroy,
          ...restProps
        } = item;
        const onClose = () => destroy(key);
        const mergedProps = {
          key,
          visible,
          onClose
        };
        const contentNode = convertStringVNode(void 0, content);
        return createVNode(Message, mergeProps(mergedProps, restProps), {
          default: () => [contentNode]
        });
      });
      return createVNode(Fragment, null, [(_a = slots.default) == null ? void 0 : _a.call(slots), createVNode(CdkPortal, {
        "target": mergedPortalTarget.value,
        "load": loadContainer.value
      }, {
        default: () => [createVNode(TransitionGroup, mergeProps({
          "tag": "div",
          "appear": true,
          "name": `${common.prefixCls}-move-up`,
          "class": [`${mergedPrefixCls.value}-wrapper`, globalHashId.value, hashId.value],
          "style": style.value
        }, attrs), {
          default: () => [child]
        })]
      })]);
    };
  }
});
const useMessage$1 = (maxCount) => {
  const messages = ref([]);
  const getCurrIndex = (key) => {
    return messages.value.findIndex((message) => message.key === key);
  };
  const add = (item) => {
    var _a;
    const currIndex = item.key ? getCurrIndex(item.key) : -1;
    if (currIndex !== -1) {
      messages.value.splice(currIndex, 1, item);
      return item.key;
    }
    if (messages.value.length >= maxCount.value) {
      messages.value = messages.value.slice(-maxCount.value + 1);
    }
    const key = (_a = item.key) != null ? _a : uniqueId("ix-message");
    messages.value.push({
      ...item,
      key
    });
    return key;
  };
  const update = (key, item) => {
    const currIndex = getCurrIndex(key);
    if (currIndex !== -1) {
      const newItem = {
        ...messages.value[currIndex],
        ...item
      };
      messages.value.splice(currIndex, 1, newItem);
    }
  };
  const destroy = (key) => {
    const keys2 = convertArray(key);
    keys2.forEach((key2) => {
      const currIndex = getCurrIndex(key2);
      if (currIndex !== -1) {
        const item = messages.value.splice(currIndex, 1);
        callEmit(item[0].onDestroy, key2);
      }
    });
  };
  const destroyAll = () => {
    messages.value = [];
  };
  const loadContainer = ref(false);
  const open = (options) => {
    const key = add(options);
    const ref2 = {
      key,
      update: (options2) => update(key, options2),
      destroy: () => destroy(key)
    };
    if (!loadContainer.value) {
      loadContainer.value = true;
    }
    return ref2;
  };
  const messageTypes = ["info", "success", "warning", "error", "loading"];
  const [info, success, warning, error, loading] = messageTypes.map((type) => {
    return (content, options) => open({
      ...options,
      content,
      type
    });
  });
  return {
    messages,
    loadContainer,
    open,
    info,
    success,
    warning,
    error,
    loading,
    update,
    destroy,
    destroyAll
  };
};
const useMessage = () => {
  const modalProviderRef = inject(MESSAGE_PROVIDER_TOKEN, null);
  if (modalProviderRef === null) {
    return throwError("components/message", "<IxMessageProvider> not found.");
  }
  return modalProviderRef;
};
const IxMessage = Message;
const IxMessageProvider = MessageProvider;
const modalToken = Symbol("modalToken");
const MODAL_TOKEN = Symbol("MODAL_TOKEN");
const MODAL_PROVIDER_TOKEN = Symbol("MODAL_PROVIDER_TOKEN");
const defaultIconTypes = {
  default: "",
  confirm: "exclamation-circle-filled",
  info: "info-circle-filled",
  success: "check-circle-filled",
  warning: "exclamation-circle-filled",
  error: "close-circle-filled"
};
var ModalBody = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      props,
      slots,
      config,
      mergedPrefixCls,
      mergedSpin,
      mergedSpinWithFullModal
    } = inject(modalToken);
    const isDefault = computed(() => props.type === "default");
    const iconName = computed(() => {
      var _a, _b;
      const {
        icon,
        type
      } = props;
      return (_b = icon != null ? icon : (_a = config.icon) == null ? void 0 : _a[type]) != null ? _b : defaultIconTypes[type];
    });
    return () => {
      var _a, _b;
      const prefixCls = `${mergedPrefixCls.value}-body`;
      const defaultNode = (_b = (_a = slots.default) == null ? void 0 : _a.call(slots)) != null ? _b : props.__content_node;
      let bodyNode;
      if (isDefault.value) {
        bodyNode = createVNode("div", {
          "class": prefixCls
        }, [defaultNode]);
      } else {
        const classes = `${prefixCls} ${prefixCls}-${props.type}`;
        const iconNode = renderIcon$4(prefixCls, slots.icon, iconName.value);
        const titleNode = renderTitle(prefixCls, slots.title, props.title);
        bodyNode = createVNode("div", {
          "class": classes
        }, [iconNode, createVNode("div", {
          "class": [`${prefixCls}-content`, defaultNode ? "" : `${prefixCls}-content-only-title`]
        }, [titleNode, defaultNode])]);
      }
      const spinProps2 = mergedSpin.value;
      if (!mergedSpinWithFullModal.value && spinProps2) {
        const spinSlots = {
          default: slots.spinContent,
          icon: slots.spinIcon
        };
        return createVNode(IxSpin, spinProps2, {
          default: () => [bodyNode],
          ...spinSlots
        });
      }
      return bodyNode;
    };
  }
});
const renderIcon$4 = (prefixCls, iconSlot, icon) => {
  if (!iconSlot && !icon) {
    return null;
  }
  let children;
  if (iconSlot) {
    children = iconSlot();
  } else if (isFunction(icon)) {
    children = icon();
  } else {
    children = isString(icon) ? createVNode(IxIcon, {
      "name": icon
    }, null) : icon;
  }
  return createVNode("div", {
    "class": `${prefixCls}-icon`
  }, [children]);
};
const renderTitle = (prefixCls, titleSlot, title) => {
  if (!titleSlot && !title) {
    return null;
  }
  let children;
  if (titleSlot) {
    children = titleSlot();
  } else if (isFunction(title)) {
    children = title();
  } else {
    children = title;
  }
  return createVNode("div", {
    "class": `${prefixCls}-title`
  }, [children]);
};
var ModalWrapper = /* @__PURE__ */ defineComponent({
  inheritAttrs: false,
  setup(_, {
    attrs
  }) {
    const {
      globalHashId,
      hashId
    } = useThemeToken("modal");
    const {
      props,
      slots,
      common,
      locale: locale2,
      config,
      mergedPrefixCls,
      visible,
      animatedVisible,
      mergedVisible,
      mergedSpin,
      mergedSpinWithFullModal,
      cancelLoading,
      okLoading,
      currentZIndex
    } = inject(modalToken);
    const {
      close,
      cancel,
      ok
    } = inject(MODAL_TOKEN);
    const {
      animatable,
      centered,
      closable,
      closeIcon,
      closeOnEsc,
      width,
      mask,
      maskClosable
    } = useConfig(props, config);
    const cancelVisible = computed(() => props.type === "default" || props.type === "confirm");
    const cancelText = computed(() => {
      var _a;
      return (_a = props.cancelText) != null ? _a : locale2.modal.cancelText;
    });
    const okText = computed(() => {
      if (props.okText) {
        return props.okText;
      }
      return cancelVisible.value ? locale2.modal.okText : locale2.modal.justOkText;
    });
    const placementStyle = computed(() => {
      const top = centered.value ? 0 : convertCssPixel(props.offset);
      return {
        top,
        width: width.value
      };
    });
    const wrapperClasses = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return {
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [`${prefixCls}-wrapper`]: true,
        [`${prefixCls}-centered`]: centered.value,
        [`${prefixCls}-draggable`]: !!props.draggable,
        [`${prefixCls}-with-mask`]: mask.value
      };
    });
    const wrapperStyle = computed(() => {
      return {
        zIndex: currentZIndex.value
      };
    });
    const modalTransformOrigin = ref();
    const contentStyle = computed(() => {
      return {
        transformOrigin: modalTransformOrigin.value,
        ...placementStyle.value
      };
    });
    const wrapperRef = ref();
    const modalRef = ref();
    const headerRef = ref();
    const sentinelStartRef = ref();
    const sentinelEndRef = ref();
    const movableRef = ref();
    const {
      onWrapperClick,
      onWrapperKeydown,
      onContentMousedown,
      onContentMouseup
    } = useEvent(props, close, mask, maskClosable, closeOnEsc, sentinelStartRef, sentinelEndRef);
    const {
      onEnter,
      onAfterEnter,
      onAfterLeave
    } = useEvents$2(props, wrapperRef, modalRef, animatedVisible, modalTransformOrigin);
    const handleOk = (evt) => {
      if (visible.value) {
        ok(evt);
      }
    };
    const handleCancel = (evt) => {
      if (visible.value) {
        cancel(evt);
      }
    };
    onMounted(() => watchVisibleChange(props, wrapperRef, sentinelStartRef, movableRef, mask));
    const renderContent2 = () => {
      const prefixCls = mergedPrefixCls.value;
      const okButton = {
        size: "md",
        ...props.okButton
      };
      const cancelButton = {
        size: "md",
        ...props.cancelButton
      };
      const headerSlots = {
        header: slots.header,
        closeIcon: slots.closeIcon
      };
      const spinSlots = {
        default: slots.spinContent,
        icon: slots.spinIcon
      };
      const spinProps2 = mergedSpin.value;
      const children = [createVNode(\u0275Header, {
        "ref": headerRef,
        "class": `${prefixCls}-header`,
        "closable": closable.value,
        "closeIcon": closeIcon.value,
        "header": props.header,
        "size": props.header ? "md" : "sm",
        "onClose": close
      }, headerSlots), createVNode(ModalBody, null, null), createVNode(\u0275Footer, {
        "class": `${prefixCls}-footer`,
        "cancel": handleCancel,
        "cancelButton": cancelButton,
        "cancelLoading": cancelLoading.value,
        "cancelText": cancelText.value,
        "cancelVisible": cancelVisible.value,
        "disabled": spinProps2 == null ? void 0 : spinProps2.spinning,
        "footer": props.footer,
        "ok": handleOk,
        "okButton": okButton,
        "okLoading": okLoading.value,
        "okText": okText.value
      }, slots)];
      const contentNode = props.draggable ? createVNode(CdkDndMovable, {
        "ref": movableRef,
        "class": `${prefixCls}-content`,
        "dragHandle": headerRef.value,
        "boundary": wrapperRef.value,
        "mode": "immediate"
      }, {
        default: () => [children]
      }) : createVNode("div", {
        "class": `${prefixCls}-content`
      }, [children]);
      if (mergedSpinWithFullModal.value && spinProps2) {
        return createVNode(IxSpin, spinProps2, {
          default: () => [contentNode],
          ...spinSlots
        });
      }
      return contentNode;
    };
    return () => {
      const prefixCls = mergedPrefixCls.value;
      return withDirectives(createVNode("div", {
        "ref": wrapperRef,
        "class": wrapperClasses.value,
        "style": wrapperStyle.value,
        "tabindex": -1,
        "onClick": onWrapperClick,
        "onKeydown": onWrapperKeydown
      }, [createVNode(Transition, {
        "name": animatable.value ? `${common.prefixCls}-zoom` : void 0,
        "appear": true,
        "onEnter": onEnter,
        "onAfterEnter": onAfterEnter,
        "onAfterLeave": onAfterLeave
      }, {
        default: () => [withDirectives(createVNode("div", mergeProps({
          "ref": modalRef,
          "role": "document",
          "class": prefixCls,
          "style": contentStyle.value,
          "onMousedown": onContentMousedown,
          "onMouseup": onContentMouseup
        }, attrs), [createVNode("div", {
          "ref": sentinelStartRef,
          "tabindex": 0,
          "class": `${prefixCls}-sentinel`,
          "aria-hidden": true
        }, null), renderContent2(), createVNode("div", {
          "ref": sentinelEndRef,
          "tabindex": 0,
          "class": `${prefixCls}-sentinel`,
          "aria-hidden": true
        }, null)]), [[vShow, visible.value]])]
      })]), [[vShow, mergedVisible.value]]);
    };
  }
});
function useConfig(props, config) {
  const animatable = computed(() => {
    var _a;
    return (_a = props.animatable) != null ? _a : config.animatable;
  });
  const centered = computed(() => {
    var _a;
    return (_a = props.centered) != null ? _a : config.centered;
  });
  const closable = computed(() => {
    var _a;
    return (_a = props.closable) != null ? _a : config.closable;
  });
  const closeIcon = computed(() => {
    var _a;
    return (_a = props.closeIcon) != null ? _a : config.closeIcon;
  });
  const closeOnEsc = computed(() => {
    var _a;
    return (_a = props.closeOnEsc) != null ? _a : config.closeOnEsc;
  });
  const mask = computed(() => {
    var _a;
    return (_a = props.mask) != null ? _a : config.mask;
  });
  const maskClosable = computed(() => {
    var _a;
    return (_a = props.maskClosable) != null ? _a : config.maskClosable;
  });
  const width = computed(() => {
    const {
      width: width2 = config.width
    } = props;
    if (width2) {
      return convertCssPixel(width2);
    } else {
      return props.type === "default" ? "480px" : "400px";
    }
  });
  return {
    animatable,
    centered,
    closable,
    closeIcon,
    closeOnEsc,
    width,
    mask,
    maskClosable
  };
}
function watchVisibleChange(props, wrapperRef, sentinelStartRef, movableRef, mask) {
  let lastOutSideActiveElement = null;
  watch(() => props.visible, (visible) => {
    var _a, _b, _c;
    if (visible) {
      const wrapperElement = wrapperRef.value;
      const activeElement = document.activeElement;
      if (wrapperElement && !wrapperElement.contains(activeElement)) {
        lastOutSideActiveElement = activeElement;
        (_a = sentinelStartRef.value) == null ? void 0 : _a.focus();
      }
      (_b = movableRef.value) == null ? void 0 : _b.init();
    } else {
      if (mask.value) {
        (_c = lastOutSideActiveElement == null ? void 0 : lastOutSideActiveElement.focus) == null ? void 0 : _c.call(lastOutSideActiveElement);
        lastOutSideActiveElement = null;
      }
    }
  }, {
    immediate: true
  });
}
function useEvent(props, close, mask, maskClosable, closeOnEsc, sentinelStartRef, sentinelEndRef) {
  let timeId;
  let mouseDown = false;
  const clearTimer = () => {
    if (timeId) {
      clearTimeout(timeId);
      timeId = void 0;
    }
  };
  const onWrapperClick = (evt) => {
    if (evt.target === evt.currentTarget && (!mouseDown || props.draggable) && mask.value && maskClosable.value) {
      close(evt);
    }
  };
  const onWrapperKeydown = (evt) => {
    if (closeOnEsc.value && evt.code === "Escape") {
      evt.stopPropagation();
      close(evt);
      return;
    }
    if (evt.code === "Tab") {
      const activeElement = document.activeElement;
      const sentinelStartElement = sentinelStartRef.value;
      const sentinelEndElement = sentinelEndRef.value;
      if (evt.shiftKey) {
        if (activeElement === sentinelStartElement) {
          sentinelEndElement == null ? void 0 : sentinelEndElement.focus();
        }
      } else if (activeElement === sentinelEndElement) {
        sentinelStartElement == null ? void 0 : sentinelStartElement.focus();
      }
    }
  };
  const onContentMousedown = () => {
    clearTimer();
    mouseDown = true;
  };
  const onContentMouseup = () => {
    if (mouseDown) {
      timeId = setTimeout(() => mouseDown = false);
    }
  };
  onBeforeUnmount(() => clearTimer());
  return {
    onWrapperClick,
    onWrapperKeydown,
    onContentMousedown,
    onContentMouseup
  };
}
function useEvents$2(props, wrapperRef, modalRef, animatedVisible, modalTransformOrigin) {
  let lastOutSideActiveElement = null;
  const onEnter = () => {
    const wrapperElement = wrapperRef.value;
    const activeElement = document.activeElement;
    if (wrapperElement && !wrapperElement.contains(activeElement)) {
      lastOutSideActiveElement = activeElement;
    }
    if (!modalTransformOrigin.value && lastOutSideActiveElement) {
      const modalElement = modalRef.value;
      const previouslyDOMRect = lastOutSideActiveElement.getBoundingClientRect();
      const lastPosition = getOffset(lastOutSideActiveElement);
      const x2 = lastPosition.left + previouslyDOMRect.width / 2;
      const y3 = lastPosition.top + previouslyDOMRect.height / 2;
      modalTransformOrigin.value = `${x2 - modalElement.offsetLeft}px ${y3 - modalElement.offsetTop}px`;
    }
  };
  const onAfterEnter = () => {
    const wrapperElement = wrapperRef.value;
    const activeElement = document.activeElement;
    if (wrapperElement && !wrapperElement.contains(activeElement)) {
      wrapperElement.focus();
    }
    callEmit(props.onAfterOpen);
    animatedVisible.value = true;
  };
  const onAfterLeave = () => {
    if (lastOutSideActiveElement && isFunction(lastOutSideActiveElement.focus)) {
      const wrapperElement = wrapperRef.value;
      const activeElement = document.activeElement;
      if (!activeElement || activeElement === document.body || activeElement === wrapperElement || wrapperElement && wrapperElement.contains(activeElement)) {
        lastOutSideActiveElement.focus();
      }
    }
    callEmit(props.onAfterClose);
    animatedVisible.value = false;
  };
  return {
    onEnter,
    onAfterEnter,
    onAfterLeave
  };
}
const modalProps = {
  visible: {
    type: Boolean,
    default: void 0
  },
  cancelButton: Object,
  cancelText: String,
  centered: {
    type: Boolean,
    default: void 0
  },
  closable: {
    type: Boolean,
    default: void 0
  },
  closeIcon: [String, Object, Function],
  closeOnDeactivated: {
    type: Boolean,
    default: true
  },
  closeOnEsc: {
    type: Boolean,
    default: void 0
  },
  container: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  destroyOnHide: {
    type: Boolean,
    default: false
  },
  draggable: { type: Boolean, default: false },
  footer: {
    type: [Boolean, Array, Object, Function],
    default: true
  },
  header: [String, Object],
  icon: [String, Object, Function],
  mask: {
    type: Boolean,
    default: void 0
  },
  maskClosable: {
    type: Boolean,
    default: void 0
  },
  animatable: {
    type: Boolean,
    default: void 0
  },
  offset: {
    type: [String, Number],
    default: 128
  },
  okButton: Object,
  okText: String,
  scrollStrategy: Object,
  spin: { type: [Boolean, Object], default: void 0 },
  spinWithFullModal: { type: Boolean, default: void 0 },
  title: [String, Object, Function],
  type: {
    type: String,
    default: "default"
  },
  width: [String, Number],
  zIndex: Number,
  "onUpdate:visible": [Function, Array],
  onAfterOpen: [Function, Array],
  onAfterClose: [Function, Array],
  onBeforeClose: [Function, Array],
  onClose: [Function, Array],
  onCancel: [Function, Array],
  onOk: [Function, Array],
  __content_node: [String, Object]
};
function getDefaultThemeTokens$m(tokens2) {
  const { fontSizeMd, fontWeightMd, colorTextTitle, colorTextInfo } = tokens2;
  return {
    titleFontSize: fontSizeMd,
    titleFontWeight: fontWeightMd,
    titleColor: colorTextTitle,
    titleWordBreak: "break-word",
    contentColor: colorTextInfo,
    iconSize: 40
  };
}
const getThemeTokens$m = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$m(tokens2) : getDefaultThemeTokens$m(tokens2);
};
var Modal = /* @__PURE__ */ defineComponent({
  name: "IxModal",
  inheritAttrs: false,
  props: modalProps,
  setup(props, {
    slots,
    expose,
    attrs
  }) {
    const common = useGlobalConfig("common");
    const {
      registerToken
    } = useThemeToken("modal");
    registerToken(getThemeTokens$m);
    const locale2 = useGlobalConfig("locale");
    const config = useGlobalConfig("modal");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-modal`);
    const mergedPortalTarget = usePortalTarget(props, config, common, mergedPrefixCls);
    const mergedSpin = computed(() => convertSpinProps$1(props.spin));
    const mergedSpinWithFullModal = computed(() => {
      var _a;
      return (_a = props.spinWithFullModal) != null ? _a : config.spinWithFullModal;
    });
    const mask = computed(() => {
      var _a;
      return (_a = props.mask) != null ? _a : config.mask;
    });
    const {
      visible,
      setVisible,
      animatedVisible,
      mergedVisible
    } = useVisible$2(props);
    const currentZIndex = useZIndex(toRef(props, "zIndex"), toRef(common, "overlayZIndex"), visible);
    const {
      cancelLoading,
      okLoading,
      open,
      close,
      cancel,
      ok
    } = useTrigger$1(props, setVisible);
    provide(modalToken, {
      props,
      slots,
      common,
      locale: locale2,
      config,
      mergedPrefixCls,
      mergedSpin,
      mergedSpinWithFullModal,
      visible,
      animatedVisible,
      mergedVisible,
      cancelLoading,
      okLoading,
      currentZIndex
    });
    const apis = {
      open,
      close,
      cancel,
      ok
    };
    provide(MODAL_TOKEN, apis);
    expose(apis);
    useScrollStrategy(props, mask, mergedVisible);
    return () => {
      if (!mergedVisible.value && props.destroyOnHide) {
        return null;
      }
      return createVNode(CdkPortal, {
        "target": mergedPortalTarget.value,
        "load": visible.value
      }, {
        default: () => [createVNode(\u0275Mask, {
          "class": `${mergedPrefixCls.value}-mask`,
          "mask": mask.value,
          "visible": visible.value,
          "zIndex": currentZIndex.value
        }, null), createVNode(ModalWrapper, attrs, null)]
      });
    };
  }
});
function useVisible$2(props) {
  const [visible, setVisible] = useControlledProp(props, "visible", false);
  const animatedVisible = ref();
  const mergedVisible = computed(() => {
    const currVisible = visible.value;
    const currAnimatedVisible = animatedVisible.value;
    if (currAnimatedVisible === void 0 || currVisible) {
      return currVisible;
    }
    return currAnimatedVisible;
  });
  onDeactivated(() => {
    if (mergedVisible.value && props.closeOnDeactivated) {
      setVisible(false);
    }
  });
  return {
    visible,
    setVisible,
    animatedVisible,
    mergedVisible
  };
}
function useScrollStrategy(props, mask, mergedVisible) {
  let scrollStrategy;
  onMounted(() => {
    watch([mask, mergedVisible], ([maskValue, visible]) => {
      var _a;
      if (!maskValue || !visible) {
        scrollStrategy == null ? void 0 : scrollStrategy.disable();
        return;
      }
      if (!scrollStrategy) {
        scrollStrategy = (_a = props.scrollStrategy) != null ? _a : new BlockScrollStrategy();
      }
      scrollStrategy.enable();
    }, {
      immediate: true
    });
  });
  onBeforeUnmount(() => scrollStrategy == null ? void 0 : scrollStrategy.disable());
}
function useTrigger$1(props, setVisible) {
  const open = () => setVisible(true);
  const hide = (result) => {
    result !== false && setVisible(false);
  };
  const close = async (evt) => {
    const result = await callEmit(props.onBeforeClose, evt);
    hide(result);
    result !== false && callEmit(props.onClose, evt);
  };
  const cancelLoading = ref(false);
  const cancel = async (evt) => {
    let result = callEmit(props.onCancel, evt);
    if (isPromise(result)) {
      cancelLoading.value = true;
      result = await result;
      hide(result);
      cancelLoading.value = false;
      return;
    }
    hide(result);
  };
  const okLoading = ref(false);
  const ok = async (evt) => {
    let result = callEmit(props.onOk, evt);
    if (isPromise(result)) {
      okLoading.value = true;
      result = await result;
      hide(result);
      okLoading.value = false;
      return;
    }
    hide(result);
  };
  return {
    cancelLoading,
    okLoading,
    open,
    close,
    cancel,
    ok
  };
}
function convertSpinProps$1(spin) {
  return isBoolean(spin) ? {
    spinning: spin
  } : spin;
}
var ModalProvider = /* @__PURE__ */ defineComponent({
  name: "IxModalProvider",
  setup(_, {
    expose,
    slots
  }) {
    const {
      modals,
      setModalRef,
      open,
      confirm,
      info,
      success,
      warning,
      error,
      update,
      destroy,
      destroyAll
    } = useModal$1();
    const apis = {
      open,
      confirm,
      info,
      success,
      warning,
      error,
      update,
      destroy,
      destroyAll
    };
    provide(MODAL_PROVIDER_TOKEN, apis);
    expose(apis);
    return () => {
      var _a;
      const children = modals.value.map((item) => {
        const {
          key,
          visible = true,
          destroyOnHide,
          onDestroy,
          content,
          contentProps,
          ...restProps
        } = item;
        const setRef = (instance) => setModalRef(key, instance);
        const onUpdateVisible = (visible2) => update(key, {
          visible: visible2
        });
        const onAfterClose = destroyOnHide ? () => destroy(key) : void 0;
        const mergedProps = {
          key,
          visible,
          ref: setRef,
          "onUpdate:visible": onUpdateVisible,
          onAfterClose
        };
        const contentNode = isFunction(content) ? content() : isVNode(content) ? cloneVNode(content, contentProps, true) : content;
        return createVNode(Modal, mergeProps(mergedProps, restProps, {
          "__content_node": contentNode
        }), null);
      });
      return createVNode(Fragment, null, [(_a = slots.default) == null ? void 0 : _a.call(slots), children]);
    };
  }
});
function useModal$1() {
  const modals = shallowRef([]);
  const modalRefMap = /* @__PURE__ */ new Map();
  const setModalRef = (key, instance) => {
    const ref2 = modalRefMap.get(key);
    if (instance) {
      if (ref2 && !ref2.open) {
        ref2.open = instance.open;
        ref2.close = instance.close;
        ref2.cancel = instance.cancel;
        ref2.ok = instance.ok;
      }
    } else {
      if (ref2) {
        modalRefMap.delete(key);
        ref2.open = NoopFunction;
        ref2.close = NoopFunction;
        ref2.cancel = NoopFunction;
        ref2.ok = NoopFunction;
      }
    }
  };
  const getCurrIndex = (key) => {
    return modals.value.findIndex((message) => message.key === key);
  };
  const add = (item) => {
    var _a;
    const currIndex = item.key ? getCurrIndex(item.key) : -1;
    const tempModals = [...modals.value];
    if (currIndex !== -1) {
      tempModals.splice(currIndex, 1, item);
      modals.value = tempModals;
      return item.key;
    }
    item.key = (_a = item.key) != null ? _a : uniqueId("ix-modal");
    tempModals.push(item);
    modals.value = tempModals;
    return item.key;
  };
  const update = (key, item) => {
    const currIndex = getCurrIndex(key);
    if (currIndex !== -1) {
      const tempModals = [...modals.value];
      const newItem = {
        ...modals.value[currIndex],
        ...item
      };
      tempModals.splice(currIndex, 1, newItem);
      modals.value = tempModals;
    }
  };
  const destroy = (key) => {
    const keys2 = convertArray(key);
    keys2.forEach((key2) => {
      const currIndex = getCurrIndex(key2);
      if (currIndex !== -1) {
        const tempModals = [...modals.value];
        const item = tempModals.splice(currIndex, 1);
        modals.value = tempModals;
        callEmit(item[0].onDestroy, key2);
      }
    });
  };
  const destroyAll = () => {
    modals.value = [];
  };
  const open = (options) => {
    const key = add(options);
    const modalRef = {
      key,
      update: (options2) => update(key, options2),
      destroy: () => destroy(key)
    };
    modalRefMap.set(key, modalRef);
    return modalRef;
  };
  const modalTypes = ["confirm", "info", "success", "warning", "error"];
  const [confirm, info, success, warning, error] = modalTypes.map((type) => {
    return (options) => open({
      ...options,
      type
    });
  });
  return {
    modals,
    setModalRef,
    open,
    confirm,
    info,
    success,
    warning,
    error,
    update,
    destroy,
    destroyAll
  };
}
const useModal = () => {
  const modalProviderRef = inject(MODAL_PROVIDER_TOKEN, null);
  if (modalProviderRef === null) {
    return throwError("components/modal", "<IxModalProvider> not found.");
  }
  return modalProviderRef;
};
const IxModal = Modal;
const IxModalProvider = ModalProvider;
const notificationType = ["info", "success", "warning", "error"];
const notificationPlacement = ["topStart", "topEnd", "bottomStart", "bottomEnd"];
const notificationProps = {
  visible: {
    type: Boolean,
    default: void 0
  },
  destroyOnHover: {
    type: Boolean,
    default: void 0
  },
  duration: Number,
  icon: [String, Object, Function],
  closeIcon: [String, Object, Function],
  type: String,
  title: [String, Object, Function],
  content: [String, Object, Function],
  footer: [String, Array, Object],
  placement: String,
  "onUpdate:visible": [Function, Array],
  onClose: [Function, Array]
};
const notificationProviderProps = {
  container: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  maxCount: Number,
  offset: [String, Number, Array]
};
function getDefaultThemeTokens$l(tokens2) {
  const {
    paddingSizeSm,
    paddingSizeLg,
    marginSizeXs,
    marginSizeSm,
    marginSizeLg,
    fontSizeMd,
    fontSizeSm,
    colorContainerBg,
    colorTextInfo,
    borderRadiusSm,
    overlayBorderWidth,
    overlayBorderType,
    overlayBorderColor
  } = tokens2;
  return {
    padding: `${paddingSizeSm}px ${paddingSizeSm}px ${paddingSizeSm}px ${paddingSizeLg}px`,
    margin: `0 0 ${marginSizeSm}px 0`,
    width: 384,
    maxWidth: `calc(100vw - 48px)`,
    borderWidth: overlayBorderWidth,
    borderType: overlayBorderType,
    borderColor: overlayBorderColor,
    fontSize: fontSizeMd,
    bgColor: colorContainerBg,
    borderRadius: borderRadiusSm,
    iconMargin: `${marginSizeXs}px ${marginSizeSm}px`,
    iconWrapperWidth: 44,
    titleFontSize: fontSizeMd,
    titleLineHeight: fontSizeMd + 10,
    titleMargin: `0 24px 8px 0`,
    contentFontSize: fontSizeSm,
    contentColor: colorTextInfo,
    contentMargin: `0 ${marginSizeLg}px 0 0`,
    closeIconTop: marginSizeSm,
    closeIconRight: marginSizeSm,
    footerMargin: `${marginSizeSm}px 0 0 0`
  };
}
const transforms$1 = {
  closeIconTop: (value) => numUnitTransform(value, "px"),
  closeIconRight: (value) => numUnitTransform(value, "px")
};
const getThemeTokens$l = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$l(tokens2) : getDefaultThemeTokens$l(tokens2);
};
const defaultCloseIcon = "close";
const defaultIcon = {
  success: "check-circle-filled",
  error: "close-circle-filled",
  info: "info-circle-filled",
  warning: "exclamation-circle-filled"
};
var Notification = /* @__PURE__ */ defineComponent({
  name: "IxNotification",
  props: notificationProps,
  setup(props, {
    slots
  }) {
    const commonCfg = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("notification");
    registerToken(getThemeTokens$l, transforms$1);
    const comPrefix = computed(() => `${commonCfg.prefixCls}-notification`);
    const config = useGlobalConfig("notification");
    const wrapCls = useClasses(props, comPrefix, globalHashId, hashId);
    const icon = useIcon$2(props, config);
    const closeIcon = useCloseIcon(props, config);
    const {
      visible,
      close,
      onMouseEnter,
      onMouseLeave
    } = useVisible$1(props, config);
    return () => {
      const iconNode = convertIconVNode(void 0, icon.value);
      const closeIconNode = convertIconVNode(void 0, closeIcon.value);
      const titleNode = convertStringVNode(slots, props, "title");
      const contentNode = convertStringVNode(slots.default, props.content);
      const footerNode = getFooterNode(slots, props.footer, {
        visible: visible.value,
        close
      });
      let mainCls = `${comPrefix.value}-main`;
      if (contentNode) {
        mainCls += ` ${comPrefix.value}-main-with-content`;
      }
      return withDirectives(createVNode("div", null, [createVNode("div", {
        "class": wrapCls.value,
        "onMouseenter": onMouseEnter,
        "onMouseleave": onMouseLeave
      }, [withDirectives(createVNode("div", {
        "class": `${comPrefix.value}-icon`
      }, [iconNode]), [[vShow, icon.value]]), createVNode("span", {
        "class": `${comPrefix.value}-close-icon`,
        "onClick": close
      }, [closeIconNode]), createVNode("div", {
        "class": mainCls
      }, [createVNode("div", {
        "class": `${comPrefix.value}-title`
      }, [titleNode]), contentNode && createVNode("div", {
        "class": `${comPrefix.value}-content`
      }, [contentNode])]), createVNode("div", {
        "class": `${comPrefix.value}-footer`
      }, [footerNode && createVNode("div", {
        "class": `${comPrefix.value}-footer`
      }, [footerNode])])])]), [[vShow, visible.value]]);
    };
  }
});
function useClasses(props, comPrefix, globalHashId, hashId) {
  return computed(() => [comPrefix.value, globalHashId.value, hashId.value, {
    [`${comPrefix.value}-${props.type}`]: props.type
  }]);
}
function useIcon$2(props, config) {
  return computed(() => {
    var _a;
    const iconMap2 = {
      ...defaultIcon,
      ...config.icon
    };
    return (_a = props.icon) != null ? _a : props.type && iconMap2[props.type];
  });
}
function useCloseIcon(props, config) {
  return computed(() => {
    var _a, _b;
    return (_b = (_a = props.closeIcon) != null ? _a : config.closeIcon) != null ? _b : defaultCloseIcon;
  });
}
function useVisible$1(props, config) {
  const duration = computed(() => {
    var _a;
    return (_a = props.duration) != null ? _a : config.duration;
  });
  const destroyOnHover = computed(() => {
    var _a;
    return (_a = props.destroyOnHover) != null ? _a : config.destroyOnHover;
  });
  const autoClose = computed(() => duration.value > 0);
  const [visible, setVisible] = useControlledProp(props, "visible", false);
  let timer = null;
  const startTimer = () => {
    timer = setTimeout(() => close(), duration.value);
  };
  const clearTimer = () => {
    if (timer) {
      clearTimeout(timer);
      timer = null;
    }
  };
  const close = () => {
    clearTimer();
    setVisible(false);
    callEmit(props.onClose);
  };
  const onMouseEnter = () => {
    if (autoClose.value && !destroyOnHover.value) {
      clearTimer();
    }
  };
  const onMouseLeave = () => {
    if (autoClose.value && !destroyOnHover.value) {
      startTimer();
    }
  };
  onMounted(() => {
    watchEffect(() => {
      clearTimer();
      if (visible.value && autoClose.value) {
        startTimer();
      }
    });
  });
  onBeforeUnmount(() => clearTimer());
  return {
    visible,
    close,
    onMouseEnter,
    onMouseLeave
  };
}
function getFooterNode(slots, footer, params) {
  if (slots.footer) {
    return slots.footer(params);
  }
  if (!footer) {
    return "";
  }
  if (isFunction(footer)) {
    return footer(params);
  }
  if (isArray(footer)) {
    const footerButtons = footer.map((item) => {
      const {
        text,
        ...rest
      } = item;
      return createVNode(IxButton, rest, {
        default: () => [text]
      });
    });
    return createVNode(IxSpace, null, {
      default: () => [footerButtons]
    });
  }
  return footer;
}
const NOTIFICATION_PROVIDER_TOKEN = Symbol("NOTIFICATION_PROVIDER_TOKEN");
const groupPositions = {
  topStart: ["top", "left"],
  topEnd: ["top", "right"],
  bottomStart: ["bottom", "left"],
  bottomEnd: ["bottom", "right"]
};
var NotificationProvider = /* @__PURE__ */ defineComponent({
  name: "IxNotificationProvider",
  inheritAttrs: false,
  props: notificationProviderProps,
  setup(props, {
    slots,
    expose
  }) {
    const commonCfg = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("notification");
    registerToken(getThemeTokens$l, transforms$1);
    const config = useGlobalConfig("notification");
    const mergedPrefixCls = computed(() => `${commonCfg.prefixCls}-notification`);
    const mergedPortalTarget = usePortalTarget(props, config, commonCfg, mergedPrefixCls);
    const maxCount = computed(() => {
      var _a;
      return (_a = props.maxCount) != null ? _a : config.maxCount;
    });
    const {
      notifications,
      loadContainer,
      open,
      info,
      success,
      warning,
      error,
      update,
      destroy,
      destroyAll
    } = useNotification$1(maxCount);
    const apis = {
      open,
      info,
      success,
      warning,
      error,
      update,
      destroy,
      destroyAll
    };
    const placementNotifications = usePlacementNotifications(props, config, notifications);
    provide(NOTIFICATION_PROVIDER_TOKEN, apis);
    expose(apis);
    return () => {
      var _a;
      const getChild = (notifications2) => {
        return notifications2.map((item) => {
          const {
            key,
            visible = true,
            content,
            contentProps,
            ...restProps
          } = item;
          const onClose = () => destroy(key);
          const mergedProps = {
            key,
            visible,
            onClose
          };
          const contentNode = isVNode(content) ? cloneVNode(content, contentProps, true) : content;
          return createVNode(Notification, mergeProps(mergedProps, restProps), {
            default: () => [contentNode]
          });
        });
      };
      const placementGroup = Object.entries(placementNotifications.value).map(([key, notificationsRecord]) => {
        const placement = key;
        const child = getChild(notificationsRecord);
        const moveName = getMoveName(placement, commonCfg);
        const position = getGroupPosition(props, config, placement);
        return createVNode(TransitionGroup, {
          "key": placement,
          "tag": "div",
          "appear": true,
          "name": moveName,
          "class": [`${mergedPrefixCls.value}-wrapper`, `${mergedPrefixCls.value}-wrapper-${placement}`, globalHashId.value, hashId.value],
          "style": position
        }, {
          default: () => [child]
        });
      });
      return createVNode(Fragment, null, [(_a = slots.default) == null ? void 0 : _a.call(slots), createVNode(CdkPortal, {
        "target": mergedPortalTarget.value,
        "load": loadContainer.value
      }, {
        default: () => [placementGroup]
      })]);
    };
  }
});
function usePlacementNotifications(props, config, notifications) {
  return computed(() => {
    const initValue = getPlacementInitValue(() => []);
    const {
      destroyOnHover,
      duration,
      closeIcon,
      placement
    } = config;
    if (notifications.value.length === 0) {
      return initValue;
    }
    return notifications.value.reduce((acc, item) => {
      const notificationProps2 = getRealObj({
        destroyOnHover,
        duration,
        closeIcon,
        placement,
        ...item
      });
      const curPlacement = notificationProps2.placement;
      acc[curPlacement].push(notificationProps2);
      return acc;
    }, initValue);
  });
}
function useNotification$1(maxCount) {
  const notifications = ref([]);
  const getCurrIndex = (key) => {
    return notifications.value.findIndex((notification) => notification.key === key);
  };
  const add = (item) => {
    var _a;
    const currIndex = item.key ? getCurrIndex(item.key) : -1;
    if (currIndex !== -1) {
      notifications.value.splice(currIndex, 1, item);
      return item.key;
    }
    if (notifications.value.length >= maxCount.value) {
      notifications.value = notifications.value.slice(-maxCount.value + 1);
    }
    const key = (_a = item.key) != null ? _a : uniqueId("ix-notification");
    notifications.value.push({
      ...item,
      key
    });
    return key;
  };
  const update = (key, item) => {
    const currIndex = getCurrIndex(key);
    if (currIndex !== -1) {
      const newItem = {
        ...notifications.value[currIndex],
        ...item
      };
      notifications.value.splice(currIndex, 1, newItem);
    }
  };
  const destroy = (key) => {
    const keys2 = convertArray(key);
    keys2.forEach((key2) => {
      const currIndex = getCurrIndex(key2);
      if (currIndex !== -1) {
        const item = notifications.value.splice(currIndex, 1);
        callEmit(item[0].onDestroy, key2);
      }
    });
  };
  const destroyAll = () => {
    notifications.value = [];
  };
  const loadContainer = ref(false);
  const open = (options) => {
    const key = add(options);
    const ref2 = {
      key,
      update: (options2) => update(key, options2),
      destroy: () => destroy(key)
    };
    if (!loadContainer.value) {
      loadContainer.value = true;
    }
    return ref2;
  };
  const [info, success, warning, error] = notificationType.map((type) => (options) => open({
    ...options,
    type
  }));
  return {
    notifications,
    loadContainer,
    open,
    info,
    success,
    warning,
    error,
    update,
    destroy,
    destroyAll
  };
}
function getGroupPosition(props, config, placement) {
  var _a;
  const realPlacement = placement != null ? placement : config.placement;
  const realOffset = (_a = props.offset) != null ? _a : config.offset;
  return getPosition(realOffset, realPlacement);
}
function getPosition(offset, placement) {
  const offsets = isArray(offset) ? offset : [offset, offset];
  const [verticalOffset, horizontalOffset] = offsets.map(convertCssPixel);
  const [verticalPosition, horizontalPosition] = groupPositions[placement];
  return {
    [verticalPosition]: verticalOffset,
    [horizontalPosition]: horizontalOffset
  };
}
function getMoveName(placement, commonCfg) {
  const prefixCls = commonCfg.prefixCls;
  const moveNameMap = {
    topEnd: `${prefixCls}-move-end`,
    bottomEnd: `${prefixCls}-move-end`,
    topStart: `${prefixCls}-move-start`,
    bottomStart: `${prefixCls}-move-start`
  };
  return moveNameMap[placement];
}
function getRealObj(obj) {
  return pickBy(obj, (val) => !isUndefined(val));
}
function getPlacementInitValue(initValueFn) {
  return notificationPlacement.reduce((acc, item) => {
    const cloneValue = initValueFn();
    return {
      ...acc,
      [item]: cloneValue
    };
  }, {});
}
const useNotification = () => {
  const notificationProviderRef = inject(NOTIFICATION_PROVIDER_TOKEN, null);
  if (notificationProviderRef === null) {
    return throwError("components/notification", "<IxNotificationProvider> not found.");
  }
  return notificationProviderRef;
};
const IxNotification = Notification;
const IxNotificationProvider = NotificationProvider;
const popconfirmToken = Symbol("popconfirmToken");
var PopconfirmContent = /* @__PURE__ */ defineComponent({
  name: "IxPopconfirmContent",
  setup(_, {
    slots
  }) {
    const {
      props,
      locale: locale2,
      mergedPrefixCls,
      cancelLoading,
      okLoading,
      cancel,
      ok
    } = inject(popconfirmToken);
    const cancelText = computed(() => {
      var _a;
      return (_a = props.cancelText) != null ? _a : locale2.popconfirm.cancelText;
    });
    const okText = computed(() => {
      var _a;
      return (_a = props.okText) != null ? _a : locale2.popconfirm.okText;
    });
    const cancelButton = computed(() => {
      return {
        size: "xs",
        ...props.cancelButton
      };
    });
    const okButton = computed(() => {
      return {
        size: "xs",
        ...props.okButton
      };
    });
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const iconNode = slots.icon ? slots.icon() : props.icon ? createVNode(IxIcon, {
        "name": props.icon
      }, null) : void 0;
      const titleNode = slots.title ? slots.title() : props.title;
      const contentNode = slots.content ? slots.content() : props.content;
      const classes = normalizeClass({
        [`${prefixCls}-wrapper`]: true,
        [`${prefixCls}-with-icon`]: !!iconNode,
        [`${prefixCls}-with-content`]: !!contentNode
      });
      return createVNode("div", {
        "class": classes
      }, [(iconNode || titleNode) && createVNode("div", {
        "class": `${prefixCls}-title`
      }, [iconNode, createVNode("span", null, [titleNode])]), contentNode && createVNode("div", {
        "class": `${prefixCls}-content`
      }, [contentNode]), createVNode(\u0275Footer, {
        "class": `${prefixCls}-footer`,
        "cancel": cancel,
        "cancelButton": cancelButton.value,
        "cancelLoading": cancelLoading.value,
        "cancelText": cancelText.value,
        "footer": props.footer,
        "ok": ok,
        "okButton": okButton.value,
        "okLoading": okLoading.value,
        "okText": okText.value
      }, slots)]);
    };
  }
});
const popconfirmProps = {
  ...tooltipProps,
  cancelButton: Object,
  cancelText: String,
  okButton: Object,
  okText: String,
  content: String,
  icon: {
    type: String,
    default: "exclamation-circle-filled"
  },
  footer: {
    type: [Boolean, Array, Object],
    default: true
  },
  "onUpdate:visible": [Function, Array],
  onCancel: [Function, Array],
  onOk: [Function, Array]
};
function getDefaultThemeTokens$k(tokens2) {
  const { fontSizeSm, fontSizeHeaderSm, colorText, colorWarningBg } = tokens2;
  return {
    fontSize: fontSizeSm,
    titleFontSize: fontSizeHeaderSm,
    color: colorText,
    iconColor: colorWarningBg,
    minWidth: 240
  };
}
const getThemeTokens$k = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$k(tokens2) : getDefaultThemeTokens$k(tokens2);
};
var Popconfirm = /* @__PURE__ */ defineComponent({
  name: "IxPopconfirm",
  props: popconfirmProps,
  setup(props, {
    slots,
    expose
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("popconfirm");
    registerToken(getThemeTokens$k);
    const locale2 = useGlobalConfig("locale");
    const config = useGlobalConfig("popconfirm");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-popconfirm`);
    const {
      overlayRef,
      updatePopper,
      visible,
      setVisible,
      overlayProps: overlayProps2
    } = useTooltipOverlay(props, config, mergedPrefixCls);
    const {
      cancelLoading,
      okLoading,
      cancel,
      ok
    } = useTrigger(props, setVisible);
    provide(popconfirmToken, {
      props,
      locale: locale2,
      mergedPrefixCls,
      visible,
      cancelLoading,
      okLoading,
      cancel,
      ok
    });
    expose({
      updatePopper,
      cancel,
      ok
    });
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const {
        default: defaultSlot,
        ...restSlots
      } = slots;
      return createVNode(\u0275Overlay, mergeProps({
        "ref": overlayRef,
        "class": [prefixCls, globalHashId.value, hashId.value],
        "transitionName": `${common.prefixCls}-fade`
      }, overlayProps2.value), {
        default: defaultSlot,
        content: () => createVNode(PopconfirmContent, null, restSlots)
      });
    };
  }
});
function useTrigger(props, setVisible) {
  const cancelLoading = ref(false);
  const cancel = async (evt) => {
    let result = callEmit(props.onCancel, evt);
    if (isPromise(result)) {
      cancelLoading.value = true;
      result = await result;
      cancelLoading.value = false;
    }
    if (result === false) {
      return;
    }
    setVisible(false);
  };
  const okLoading = ref(false);
  const ok = async (evt) => {
    let result = callEmit(props.onOk, evt);
    if (isPromise(result)) {
      okLoading.value = true;
      result = await result;
      okLoading.value = false;
    }
    if (result === false) {
      return;
    }
    setVisible(false);
  };
  return {
    cancelLoading,
    okLoading,
    cancel,
    ok
  };
}
const IxPopconfirm = Popconfirm;
const popoverProps = {
  ...tooltipProps,
  closable: {
    type: Boolean,
    default: false
  },
  closeIcon: [String, Object],
  header: [String, Object],
  content: String,
  showArrow: { type: Boolean, default: void 0 }
};
function getDefaultThemeTokens$j(tokens2) {
  const { fontSizeSm, colorTextInfo } = tokens2;
  return {
    fontSize: fontSizeSm,
    color: colorTextInfo,
    minWidth: 240
  };
}
const getThemeTokens$j = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$j(tokens2) : getDefaultThemeTokens$j(tokens2);
};
var Popover = /* @__PURE__ */ defineComponent({
  name: "IxPopover",
  props: popoverProps,
  setup(props, {
    slots,
    expose
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("popover");
    registerToken(getThemeTokens$j);
    const config = useGlobalConfig("popover");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-popover`);
    const {
      overlayRef,
      updatePopper,
      overlayProps: overlayProps2,
      setVisible
    } = useTooltipOverlay(props, config, mergedPrefixCls);
    expose({
      updatePopper
    });
    const closeIcon = computed(() => {
      var _a;
      return (_a = props.closeIcon) != null ? _a : config.closeIcon;
    });
    return () => {
      const prefixCls = mergedPrefixCls.value;
      return createVNode(\u0275Overlay, mergeProps({
        "ref": overlayRef,
        "class": [prefixCls, globalHashId.value, hashId.value]
      }, overlayProps2.value, {
        "transitionName": `${common.prefixCls}-fade`
      }), {
        default: slots.default,
        content: () => renderContent(props, slots, closeIcon, setVisible, prefixCls)
      });
    };
  }
});
const renderContent = (props, slots, closeIcon, setVisibility, prefixCls) => {
  var _a;
  if (!(slots.header || props.header || slots.content || props.content)) {
    return null;
  }
  const children = [];
  if (slots.header || props.header) {
    children.push(createVNode(\u0275Header, {
      "size": "sm",
      "closable": props.closable,
      "closeIcon": closeIcon.value,
      "header": (_a = props.header) != null ? _a : props.title,
      "onClose": () => setVisibility(false)
    }, {
      header: slots.header
    }));
  }
  if (slots.content || props.content) {
    children.push(createVNode("div", {
      "class": `${prefixCls}-content`
    }, [slots.content ? slots.content() : props.content]));
  }
  return createVNode("div", {
    "class": `${prefixCls}-wrapper`
  }, [children]);
};
const IxPopover = Popover;
const progressContext = Symbol("progressContext");
const fullPercent = 100;
function convertPercent(percent) {
  if (!percent || percent < 0) {
    return 0;
  }
  if (percent > fullPercent) {
    return fullPercent;
  }
  return percent;
}
const sortGradient = (gradients) => {
  const tempArr = [];
  Object.keys(gradients).forEach((key) => {
    const formattedKey = parseFloat(key.replace(/%/g, ""));
    if (!isNaN(formattedKey)) {
      tempArr.push({
        key: formattedKey,
        value: gradients[key]
      });
    }
  });
  return tempArr.sort((a3, b2) => a3.key - b2.key);
};
const handleGradient = (strokeColor, element) => {
  const {
    from = element ? getComputedStyle(element).getPropertyValue("--ix-color-primary") : "#1c6eff",
    to = element ? getComputedStyle(element).getPropertyValue("--ix-color-primary") : "#1c6eff",
    direction = "to right",
    ...rest
  } = strokeColor;
  if (Object.keys(rest).length !== 0) {
    const sortedGradients = sortGradient(rest).map(({ key, value }) => `${value} ${key}%`).join(", ");
    return `linear-gradient(${direction}, ${sortedGradients})`;
  }
  return `linear-gradient(${direction}, ${from}, ${to})`;
};
const handleCircleGradient = (strokeColor) => {
  return sortGradient(strokeColor).map(({ key, value }) => ({ offset: `${key}%`, color: value }));
};
var ProgressInfo = /* @__PURE__ */ defineComponent({
  setup(_, {
    slots
  }) {
    const {
      props,
      config,
      mergedPrefixCls,
      status,
      percent,
      successPercent
    } = inject(progressContext);
    const formatFn = computed(() => {
      var _a;
      return (_a = props.format) != null ? _a : config.format;
    });
    const formattedText = computed(() => formatFn.value(percent.value, successPercent.value));
    const showSuccessIcon = computed(() => status.value === "success" || status.value === "normal" && percent.value === fullPercent);
    const showExceptionIcon = computed(() => status.value === "exception");
    const showFormat = computed(() => isFunction(props.format) || !(showSuccessIcon.value || showExceptionIcon.value));
    const mergedIconSuccess = computed(() => {
      var _a, _b;
      return (_b = (_a = props.icons) == null ? void 0 : _a.success) != null ? _b : config.icon.success;
    });
    const mergedIconException = computed(() => {
      var _a, _b;
      return (_b = (_a = props.icons) == null ? void 0 : _a.exception) != null ? _b : config.icon.exception;
    });
    const renderInfo = () => {
      if (showFormat.value) {
        return formattedText.value;
      }
      const prefixCls = mergedPrefixCls.value;
      if (showSuccessIcon.value && mergedIconSuccess.value) {
        return renderIcon$3(mergedIconSuccess.value, `${prefixCls}-success-icon`);
      }
      if (showExceptionIcon.value && mergedIconException.value) {
        return renderIcon$3(mergedIconException.value, `${prefixCls}-exception-icon`);
      }
      return null;
    };
    return () => {
      var _a;
      if (props.hideInfo) {
        return null;
      }
      const slot = (_a = slots.format) != null ? _a : slots.default;
      return createVNode("div", {
        "class": `${mergedPrefixCls.value}-info`
      }, [slot ? slot({
        percent: percent.value,
        successPercent: successPercent.value
      }) : renderInfo()]);
    };
  }
});
function renderIcon$3(icon, cls) {
  if (isString(icon)) {
    return createVNode(IxIcon, {
      "class": cls,
      "name": icon
    }, null);
  }
  return icon;
}
const defaultStrokeWidth = 6;
var Circle = /* @__PURE__ */ defineComponent({
  name: "IxProgressCircle",
  setup(_, {
    slots
  }) {
    const {
      props,
      mergedPrefixCls,
      mergedStrokeLinecap,
      percent,
      successPercent
    } = inject(progressContext);
    const circleMergedPrefixCls = computed(() => `${mergedPrefixCls.value}-circle`);
    const strokeWidth = computed(() => convertNumber(props.strokeWidth, defaultStrokeWidth));
    const isGradient = computed(() => isObject(props.strokeColor));
    const linearGradientId = computed(() => `${mergedPrefixCls.value}-gradient-${uniqueId()}`);
    const calcSharedProperties = computed(() => {
      var _a, _b;
      const isCircle = props.type === "circle";
      const radius = 50 - strokeWidth.value / 2;
      return {
        isGradient: isGradient.value,
        percent: percent.value,
        linearGradientId: linearGradientId.value,
        radius,
        gapPosition: (_a = props.gapPosition) != null ? _a : isCircle ? "top" : "bottom",
        len: Math.PI * 2 * radius,
        gapDegree: convertNumber((_b = props.gapDegree) != null ? _b : isCircle ? 0 : 75)
      };
    });
    const circleGradient = computed(() => {
      return isGradient.value ? handleCircleGradient(props.strokeColor) : [];
    });
    const pathString = usePathString(calcSharedProperties);
    const trailPathStyle = useTrailPathStyle(calcSharedProperties);
    const strokePath = useCirclePath(calcSharedProperties, circleMergedPrefixCls, props, percent, successPercent);
    const trailPathAttr = computed(() => ({
      stroke: props.trailColor,
      "fill-opacity": "0",
      "stroke-linecap": mergedStrokeLinecap.value,
      "stroke-width": strokeWidth.value,
      d: pathString.value
    }));
    const strokePathAttr = computed(() => ({
      "fill-opacity": "0",
      "stroke-linecap": mergedStrokeLinecap.value,
      "stroke-width": percent.value ? strokeWidth.value : 0,
      d: pathString.value
    }));
    const circleClasses = computed(() => {
      const prefixCls = circleMergedPrefixCls.value;
      return {
        [prefixCls]: true,
        [`${prefixCls}-gradient`]: isGradient.value
      };
    });
    const circleStyle = computed(() => ({
      width: props.width && `${props.width}px`,
      height: props.width && `${props.width}px`,
      fontSize: props.width && `${convertNumber(props.width) * 0.15 + 6}px`
    }));
    const renderDefs = () => {
      if (!isGradient.value) {
        return null;
      }
      return createVNode("defs", null, [createVNode("linearGradient", {
        "id": linearGradientId.value,
        "x1": "100%",
        "y1": "0%",
        "x2": "0%",
        "y2": "0%"
      }, [circleGradient.value.map((gradient) => createVNode("stop", {
        "offset": gradient.offset,
        "stop-color": gradient.color
      }, null))])]);
    };
    const renderStrokePath = () => strokePath.value.map((p) => createVNode("path", mergeProps({
      "class": [`${circleMergedPrefixCls.value}-path`, ...p.strokeClasses],
      "style": p.strokePathStyle,
      "stroke": p.stroke
    }, strokePathAttr.value), null));
    return () => createVNode("div", {
      "class": circleClasses.value,
      "style": circleStyle.value
    }, [createVNode("svg", {
      "viewBox": "0 0 100 100"
    }, [renderDefs(), createVNode("path", mergeProps({
      "class": `${circleMergedPrefixCls.value}-trail`,
      "style": trailPathStyle.value
    }, trailPathAttr.value), null), renderStrokePath()]), createVNode(ProgressInfo, null, slots)]);
  }
});
function usePathString(calcSharedProperties) {
  return computed(() => {
    const {
      radius,
      gapPosition
    } = calcSharedProperties.value;
    let beginPositionX = 0;
    let beginPositionY = -radius;
    let endPositionX = 0;
    let endPositionY = radius * -2;
    switch (gapPosition) {
      case "left":
        beginPositionX = -radius;
        beginPositionY = 0;
        endPositionX = radius * 2;
        endPositionY = 0;
        break;
      case "right":
        beginPositionX = radius;
        beginPositionY = 0;
        endPositionX = radius * -2;
        endPositionY = 0;
        break;
      case "bottom":
        beginPositionY = radius;
        endPositionY = radius * 2;
        break;
    }
    return `M 50,50 m ${beginPositionX},${beginPositionY}
       a ${radius},${radius} 0 1 1 ${endPositionX},${-endPositionY}
       a ${radius},${radius} 0 1 1 ${-endPositionX},${endPositionY}`;
  });
}
function useTrailPathStyle(calcSharedProperties) {
  return computed(() => {
    const {
      len,
      gapDegree
    } = calcSharedProperties.value;
    return {
      strokeDasharray: `${len - gapDegree}px ${len}px`,
      strokeDashoffset: `-${gapDegree / 2}px`,
      transition: "stroke-dashoffset .3s ease 0s, stroke-dasharray .3s ease 0s, stroke .3s"
    };
  });
}
function useCirclePath(calcSharedProperties, circleMergedPrefixCls, props, percent, successPercent) {
  return computed(() => {
    var _a;
    const {
      gapDegree,
      len,
      isGradient,
      linearGradientId
    } = calcSharedProperties.value;
    const strokeProgress = successPercent.value > 0 ? [successPercent.value, percent.value] : [percent.value];
    const successColor = (_a = props.success) == null ? void 0 : _a.strokeColor;
    return strokeProgress.map((value, index) => {
      const hasSuccessPercent = strokeProgress.length > 1 && index === 0;
      return {
        stroke: isGradient && !hasSuccessPercent ? `url(#${linearGradientId})` : void 0,
        strokeClasses: [!isGradient && hasSuccessPercent ? `${circleMergedPrefixCls.value}-success` : "", isGradient ? "" : `${circleMergedPrefixCls.value}-bg`],
        strokePathStyle: {
          stroke: !isGradient ? hasSuccessPercent ? successColor : props.strokeColor : void 0,
          transition: "stroke-dashoffset .3s ease 0s, stroke-dasharray .3s ease 0s, stroke .3s, stroke-width .06s ease .3s",
          strokeDasharray: `${value / 100 * (len - gapDegree)}px ${len}px`,
          strokeDashoffset: `-${gapDegree / 2}px`
        }
      };
    }).reverse();
  });
}
var Line = /* @__PURE__ */ defineComponent({
  name: "IxProgressLine",
  setup(_, {
    slots
  }) {
    const {
      props,
      mergedPrefixCls,
      mergedSize,
      mergedStrokeLinecap,
      percent,
      successPercent
    } = inject(progressContext);
    const lineMergedPrefixCls = computed(() => `${mergedPrefixCls.value}-line`);
    const elementRef = ref();
    const classes = computed(() => {
      const prefixCls = lineMergedPrefixCls.value;
      return {
        [prefixCls]: true,
        [`${prefixCls}-${mergedSize.value}`]: true,
        [`${prefixCls}-round`]: mergedStrokeLinecap.value === "round"
      };
    });
    const innerStyle = computed(() => ({
      background: props.trailColor
    }));
    const successStyle = computed(() => {
      var _a;
      return {
        height: `${props.strokeWidth}px`,
        width: `${successPercent.value}%`,
        background: (_a = props.success) == null ? void 0 : _a.strokeColor
      };
    });
    const bgStyle = computed(() => ({
      height: `${props.strokeWidth}px`,
      width: `${percent.value}%`,
      background: isObject(props.strokeColor) ? handleGradient(props.strokeColor, elementRef.value) : props.strokeColor
    }));
    return () => {
      const prefixCls = lineMergedPrefixCls.value;
      return createVNode("div", {
        "ref": elementRef,
        "class": classes.value
      }, [createVNode("div", {
        "class": `${prefixCls}-outer`
      }, [createVNode("div", {
        "class": `${prefixCls}-inner`,
        "style": innerStyle.value
      }, [!!successPercent.value && createVNode("div", {
        "class": `${prefixCls}-success-bg`,
        "style": successStyle.value
      }, null), createVNode("div", {
        "class": `${prefixCls}-bg`,
        "style": bgStyle.value
      }, null)])]), createVNode(ProgressInfo, null, slots)]);
    };
  }
});
const progressStatus = ["normal", "success", "exception", "active"];
const progressProps = {
  type: {
    type: String,
    default: "line"
  },
  format: Function,
  percent: {
    type: Number,
    default: 0
  },
  status: String,
  hideInfo: {
    type: Boolean,
    default: false
  },
  success: Object,
  trailColor: String,
  strokeColor: [String, Object],
  strokeLinecap: String,
  strokeWidth: Number,
  gapDegree: Number,
  gapPosition: String,
  width: {
    type: Number,
    default: 132
  },
  size: String,
  icons: Object
};
function getDefaultThemeTokens$i(tokens2) {
  const { colorEmphasizedContainerBg, fontSizeSm, fontSizeMd, fontSize2xl, paddingSizeSm } = tokens2;
  return {
    trailBgColor: colorEmphasizedContainerBg,
    textWidth: 36,
    borderRadius: 100,
    lineSizeSm: 2,
    lineSizeMd: 6,
    lineSizeLg: 8,
    lineFontSizeSm: fontSizeSm,
    lineFontSizeMd: fontSizeSm,
    lineFontSizeLg: fontSizeMd,
    lineTextPadding: `0 0 0 ${paddingSizeSm}px`,
    circleWidth: 120,
    circleFontSize: fontSize2xl
  };
}
const getThemeTokens$i = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$i(tokens2) : getDefaultThemeTokens$i(tokens2);
};
var Progress = /* @__PURE__ */ defineComponent({
  name: "IxProgress",
  props: progressProps,
  setup(props, {
    slots
  }) {
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("progress");
    registerToken(getThemeTokens$i);
    const config = useGlobalConfig("progress");
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-progress`);
    const percent = computed(() => convertPercent(props.percent));
    const successPercent = computed(() => {
      var _a;
      return convertPercent((_a = props.success) == null ? void 0 : _a.percent);
    });
    const mergedSize = computed(() => {
      var _a;
      return (_a = props.size) != null ? _a : config.size;
    });
    const mergedStrokeLinecap = computed(() => {
      var _a;
      return (_a = props.strokeLinecap) != null ? _a : config.strokeLinecap;
    });
    const status = computed(() => {
      var _a;
      if (!progressStatus.includes(props.status) && (percent.value >= fullPercent || successPercent.value >= fullPercent)) {
        return "success";
      }
      return (_a = props.status) != null ? _a : "normal";
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return {
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-${status.value}`]: !!status.value
      };
    });
    provide(progressContext, {
      props,
      config,
      mergedPrefixCls,
      mergedSize,
      mergedStrokeLinecap,
      percent,
      successPercent,
      status
    });
    return () => {
      const ProgressComponent = props.type === "line" ? Line : Circle;
      return createVNode(ProgressComponent, {
        "class": classes.value
      }, slots);
    };
  }
});
const IxProgress = Progress;
const radioGroupToken = Symbol("radioGroupToken");
const radioProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  checked: { type: Boolean, default: void 0 },
  autofocus: { type: Boolean, default: false },
  buttoned: { type: Boolean, default: void 0 },
  disabled: { type: Boolean, default: void 0 },
  label: { type: String, default: void 0 },
  mode: { type: String, default: void 0 },
  size: { type: String, default: void 0 },
  value: { type: null, default: void 0 },
  waveless: { type: Boolean, default: false },
  "onUpdate:checked": { type: [Function, Array] },
  onChange: { type: [Function, Array] },
  onBlur: { type: [Function, Array] },
  onFocus: { type: [Function, Array] }
};
const radioGroupProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  value: { type: null, default: void 0 },
  buttoned: { type: Boolean, default: false },
  dataSource: { type: Array },
  disabled: { type: Boolean, default: false },
  gap: { type: [Number, String], default: void 0 },
  name: { type: String, default: void 0 },
  mode: { type: String, default: void 0 },
  size: { type: String, default: "md" },
  "onUpdate:value": { type: [Function, Array] },
  onChange: { type: [Function, Array] }
};
function getDefaultThemeTokens$h(tokens2) {
  const { paddingSizeXs, controlBorderRadiusSm, colorInfoContainerBg, colorBorderSecondary } = tokens2;
  return {
    labelPadding: `0 ${paddingSizeXs}px`,
    fieldsetBorderRadius: controlBorderRadiusSm,
    fieldsetBgColor: colorInfoContainerBg,
    fieldsetBorderColor: colorBorderSecondary
  };
}
const getThemeTokens$h = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$h(tokens2) : getDefaultThemeTokens$h(tokens2);
};
const buttonSizeMap = {
  sm: "xs",
  md: "sm",
  lg: "md"
};
var Radio = /* @__PURE__ */ defineComponent({
  name: "IxRadio",
  inheritAttrs: false,
  props: radioProps,
  setup(props, {
    attrs,
    expose,
    slots
  }) {
    const key = useKey$1();
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("radio");
    const {
      hashId: buttonHashId,
      registerToken: registerButtonTokens
    } = useThemeToken("button");
    registerToken(getThemeTokens$h);
    registerButtonTokens(getThemeTokens$P);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-radio`);
    const config = useGlobalConfig("radio");
    const {
      elementRef,
      focus,
      blur
    } = useFormElement();
    const waveRef = ref();
    expose({
      focus,
      blur
    });
    const formContext = inject(FORM_TOKEN, null);
    const radioGroup = inject(radioGroupToken, null);
    const mergedName = computed(() => {
      var _a;
      return (_a = attrs.name) != null ? _a : radioGroup == null ? void 0 : radioGroup.props.name;
    });
    const mergedValue = computed(() => {
      const {
        value
      } = props;
      if (!isNil(value)) {
        return value;
      }
      return radioGroup ? key : void 0;
    });
    const isButtoned = computed(() => {
      var _a;
      return (_a = props.buttoned) != null ? _a : radioGroup == null ? void 0 : radioGroup.props.buttoned;
    });
    const size = computed(() => {
      var _a, _b, _c;
      return (_c = (_b = (_a = props.size) != null ? _a : radioGroup == null ? void 0 : radioGroup.props.size) != null ? _b : formContext == null ? void 0 : formContext.size.value) != null ? _c : config.size;
    });
    const mergedWaveless = computed(() => {
      var _a;
      return (_a = props.waveless) != null ? _a : config.waveless;
    });
    const mode = computed(() => {
      var _a, _b;
      return (_b = (_a = props.mode) != null ? _a : radioGroup == null ? void 0 : radioGroup.props.mode) != null ? _b : "default";
    });
    const {
      isChecked,
      isDisabled,
      isFocused,
      handleChange,
      handleBlur,
      handleFocus
    } = useRadio(props, radioGroup, elementRef, mergedValue, waveRef, mergedWaveless);
    const classes = computed(() => {
      const buttoned = isButtoned.value;
      const checked = isChecked.value;
      const isPrimary = buttoned && checked && mode.value === "primary";
      const prefixCls = mergedPrefixCls.value;
      const commonPrefixCls = common.prefixCls;
      const classes2 = {
        [globalHashId.value]: !!globalHashId.value,
        [buttonHashId.value]: !!buttonHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-checked`]: isChecked.value,
        [`${prefixCls}-disabled`]: isDisabled.value,
        [`${prefixCls}-focused`]: isFocused.value,
        [`${prefixCls}-${size.value}`]: buttoned,
        [`${commonPrefixCls}-button`]: buttoned,
        [`${commonPrefixCls}-button-default`]: buttoned && !isPrimary,
        [`${commonPrefixCls}-button-primary`]: isPrimary,
        [`${commonPrefixCls}-button-disabled`]: buttoned && isDisabled.value,
        [`${commonPrefixCls}-button-${buttonSizeMap[size.value]}`]: buttoned
      };
      return normalizeClass([classes2, attrs.class]);
    });
    return () => {
      const {
        autofocus,
        label
      } = props;
      const {
        class: className,
        style,
        type,
        tabindex,
        ...restAttrs
      } = attrs;
      const prefixCls = mergedPrefixCls.value;
      const labelNode = convertStringVNode(slots.default, label);
      return createVNode("label", {
        "class": classes.value,
        "style": style,
        "role": "radio",
        "aria-checked": isChecked.value,
        "aria-disabled": isDisabled.value
      }, [createVNode("span", {
        "class": `${prefixCls}-input`
      }, [createVNode("input", mergeProps({
        "ref": elementRef,
        "type": "radio",
        "class": `${prefixCls}-input-inner`,
        "aria-hidden": true,
        "autofocus": autofocus,
        "checked": isChecked.value,
        "disabled": isDisabled.value,
        "name": mergedName.value,
        "value": mergedValue.value,
        "onChange": handleChange,
        "onBlur": handleBlur,
        "onFocus": handleFocus
      }, restAttrs), null), !isButtoned.value && createVNode("span", {
        "class": `${prefixCls}-input-box`,
        "tabindex": tabindex
      }, [!mergedWaveless.value && createVNode(\u0275Wave, {
        "ref": waveRef
      }, null)])]), isButtoned.value && !mergedWaveless.value && createVNode(\u0275Wave, {
        "ref": waveRef
      }, null), labelNode && createVNode("span", {
        "class": `${prefixCls}-label`
      }, [labelNode])]);
    };
  }
});
const useRadio = (props, radioGroup, elementRef, mergedValue, waveRef, mergedWaveless) => {
  let isChecked;
  let isDisabled;
  const isFocused = ref(false);
  let handleChange;
  let handleBlur;
  const handleFocus = (evt) => {
    isFocused.value = true;
    callEmit(props.onFocus, evt);
  };
  if (radioGroup) {
    const {
      accessor,
      props: groupProps
    } = radioGroup;
    isChecked = computed(() => accessor.value === mergedValue.value);
    isDisabled = computed(() => accessor.disabled || !!props.disabled);
    handleBlur = (evt) => {
      isFocused.value = false;
      accessor.markAsBlurred();
      callEmit(props.onBlur, evt);
    };
    handleChange = (evt) => {
      var _a;
      if (elementRef.value) {
        const checked = evt.target.checked;
        const value = mergedValue.value;
        const oldValue = accessor.value;
        accessor.setValue(value);
        elementRef.value.checked = false;
        callEmit(props.onChange, checked, !checked);
        callEmit(groupProps.onChange, value, oldValue);
        !mergedWaveless.value && ((_a = waveRef.value) == null ? void 0 : _a.play());
      }
    };
  } else {
    const {
      accessor,
      control
    } = useAccessorAndControl({
      valueKey: "checked"
    });
    useFormItemRegister(control);
    isChecked = computed(() => !!accessor.value);
    isDisabled = computed(() => accessor.disabled);
    handleBlur = (evt) => {
      isFocused.value = false;
      accessor.markAsBlurred();
      callEmit(props.onBlur, evt);
    };
    handleChange = (evt) => {
      var _a;
      if (elementRef.value) {
        const checked = evt.target.checked;
        accessor.setValue(checked);
        elementRef.value.checked = false;
        callEmit(props.onChange, checked, !checked);
        !mergedWaveless.value && ((_a = waveRef.value) == null ? void 0 : _a.play());
      }
    };
  }
  return {
    isChecked,
    isDisabled,
    isFocused,
    handleChange,
    handleBlur,
    handleFocus
  };
};
var RadioGroup = /* @__PURE__ */ defineComponent({
  name: "IxRadioGroup",
  inheritAttrs: false,
  props: radioGroupProps,
  setup(props, {
    attrs,
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId
    } = useThemeToken("radio");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-radio-group`);
    const {
      accessor,
      control
    } = useAccessorAndControl();
    useFormItemRegister(control);
    provide(radioGroupToken, {
      props,
      accessor
    });
    const mergedGap = computed(() => {
      var _a;
      return (_a = props.gap) != null ? _a : props.buttoned ? 0 : 8;
    });
    const elementRef = shallowRef();
    const calcArrowOffset = () => {
      const element = elementRef.value;
      if (!element) {
        return;
      }
      const checkedCls = `.${common.prefixCls}-radio-checked`;
      const checkedRadio = element.querySelector(checkedCls);
      if (checkedRadio) {
        element.style.setProperty("--ix-radio-group-fieldset-arrow-offset", `${checkedRadio.offsetLeft}px`);
      }
    };
    onMounted(() => calcArrowOffset());
    onUpdated(() => calcArrowOffset());
    const classes = computed(() => {
      const {
        buttoned
      } = props;
      const gap = mergedGap.value;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [prefixCls]: true,
        [`${common.prefixCls}-button-group`]: buttoned,
        [`${common.prefixCls}-button-group-compact`]: buttoned && (!gap || gap === "0" || gap === "0px")
      });
    });
    return () => {
      const {
        dataSource
      } = props;
      const prefixCls = mergedPrefixCls.value;
      const {
        class: className,
        style,
        ...restAttrs
      } = attrs;
      let children;
      if (dataSource) {
        children = dataSource.map((item) => {
          const {
            key,
            value
          } = item;
          return createVNode(Radio, mergeProps(item, {
            "key": key != null ? key : value,
            "value": value != null ? value : key
          }), null);
        });
      } else {
        children = slots.default ? slots.default() : void 0;
      }
      const radioGroupNode = createVNode(IxSpace, mergeProps({
        "class": slots.fieldset ? classes.value : normalizeClass([classes.value, className]),
        "style": slots.fieldset ? void 0 : style,
        "size": mergedGap.value
      }, restAttrs), {
        default: () => [children]
      });
      if (slots.fieldset) {
        const value = accessor.value;
        return createVNode("div", {
          "ref": elementRef,
          "class": [`${prefixCls}-wrapper`, globalHashId.value, hashId.value],
          "style": style
        }, [radioGroupNode, createVNode("div", {
          "class": normalizeClass([`${prefixCls}-fieldset`, isNil(value) ? `${prefixCls}-fieldset-hidden` : ""])
        }, [slots.fieldset({
          value
        })])]);
      }
      return radioGroupNode;
    };
  }
});
const IxRadio = Radio;
const IxRadioGroup = RadioGroup;
const rateProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  value: [Number, String],
  allowHalf: {
    type: Boolean,
    default: void 0
  },
  clearable: {
    type: Boolean,
    default: void 0
  },
  count: [Number, String],
  disabled: {
    type: Boolean,
    default: false
  },
  icon: String,
  tooltips: {
    type: Array,
    default: () => []
  },
  size: String,
  color: {
    type: String,
    default: void 0
  },
  "onUpdate:value": [Function, Array],
  onChange: [Function, Array],
  onBlur: [Function, Array],
  onFocus: [Function, Array],
  onKeyDown: [Function, Array]
};
const rateItemProps = {
  count: {
    type: Number,
    required: true
  },
  disabled: {
    type: Boolean,
    required: true
  },
  focused: {
    type: Boolean,
    required: true
  },
  index: {
    type: Number,
    required: true
  },
  prefixCls: {
    type: String,
    required: true
  },
  tooltip: String,
  value: {
    type: Number,
    required: true
  },
  color: String,
  onClick: {
    type: Function,
    required: true
  },
  onMouseMove: {
    type: Function,
    required: true
  }
};
var RateItem = /* @__PURE__ */ defineComponent({
  props: rateItemProps,
  setup(props, {
    slots
  }) {
    const liRef = ref();
    const handleClick = (evt) => props.onClick(evt, liRef.value, props.index);
    const handleKeyDown = (evt) => {
      if (evt.code === "Enter") {
        handleClick(evt);
      }
    };
    const handleMouseMove = (evt) => props.onMouseMove(evt, liRef.value, props.index);
    const classes = computed(() => {
      const {
        focused,
        index,
        prefixCls,
        value
      } = props;
      const itemValue = index + 1;
      const isHalf = value + 0.5 >= itemValue && value < itemValue;
      const isFull = !isHalf && itemValue <= value;
      const isZero = !isFull && !isHalf;
      return {
        [prefixCls]: true,
        [`${prefixCls}-focused`]: focused && (isHalf || value === itemValue || index === 0 && value === 0),
        [`${prefixCls}-full`]: isFull,
        [`${prefixCls}-half`]: isHalf,
        [`${prefixCls}-zero`]: isZero
      };
    });
    return () => {
      const {
        count,
        disabled,
        index,
        prefixCls,
        tooltip,
        value,
        color
      } = props;
      const iconNode = slots.default();
      const itemNode = createVNode("li", {
        "ref": liRef,
        "class": classes.value,
        "style": `color: ${color}`
      }, [createVNode("span", {
        "aria-checked": value > index,
        "aria-posinset": index + 1,
        "aria-setsize": count,
        "role": "radio",
        "tabindex": disabled ? -1 : 0,
        "onClick": disabled ? void 0 : handleClick,
        "onKeydown": disabled ? void 0 : handleKeyDown,
        "onMousemove": disabled ? void 0 : handleMouseMove
      }, [createVNode("span", {
        "class": `${prefixCls}-first`
      }, [iconNode]), createVNode("span", {
        "class": `${prefixCls}-second`
      }, [iconNode])])]);
      return tooltip ? createVNode(IxTooltip, {
        "title": tooltip
      }, {
        default: () => [itemNode]
      }) : itemNode;
    };
  }
});
function getDefaultThemeTokens$g(tokens2, algorithms) {
  const { getColorPalette: getColorPalette2, getBaseColors: getBaseColors2 } = algorithms;
  const { marginSizeSm } = tokens2;
  const activeColor = getColorPalette2(getBaseColors2().brown).l10;
  return {
    activeColor,
    sizeSm: 14,
    sizeMd: 20,
    sizeLg: 28,
    itemMarginRight: marginSizeSm,
    itemScaleHover: 1.1,
    itemOutlineFocus: `1px dashed ${activeColor}`
  };
}
const getThemeTokens$g = (tokens2, presetTheme, algorithms) => {
  return presetTheme === "default" ? getDefaultThemeTokens$g(tokens2, algorithms) : getDefaultThemeTokens$g(tokens2, algorithms);
};
var Rate = /* @__PURE__ */ defineComponent({
  name: "IxRate",
  props: rateProps,
  setup(props, {
    attrs,
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("rate");
    registerToken(getThemeTokens$g);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-rate`);
    const config = useGlobalConfig("rate");
    const mergedSize = useFormSize(props, config);
    const {
      elementRef,
      focus,
      blur
    } = useFormElement();
    expose({
      focus,
      blur
    });
    const {
      accessor,
      control
    } = useAccessorAndControl();
    useFormItemRegister(control);
    const countRef = computed(() => {
      var _a;
      return convertNumber((_a = props.count) != null ? _a : config.count);
    });
    const iconRef = computed(() => {
      var _a;
      return (_a = props.icon) != null ? _a : config.icon;
    });
    const allowHalfRef = computed(() => {
      var _a;
      return (_a = props.allowHalf) != null ? _a : config.allowHalf;
    });
    const clearableRef = computed(() => {
      var _a;
      return (_a = props.clearable) != null ? _a : config.clearable;
    });
    const isDisabled = computed(() => accessor.disabled);
    const isFocused = ref(false);
    const hoverValue = ref();
    const changeValue = (value) => {
      accessor.setValue(value);
      callEmit(props.onChange, value);
    };
    const calcValue = (evt, element, index) => {
      let value = index + 1;
      if (allowHalfRef.value) {
        if (evt.offsetX < element.clientWidth / 2) {
          value -= 0.5;
        }
      }
      return value;
    };
    const handleItemClick = (evt, element, index) => {
      const currValue = accessor.value;
      const newValue = calcValue(evt, element, index);
      const isClear = clearableRef.value && currValue === newValue;
      changeValue(isClear ? 0 : newValue);
    };
    const handleItemMouseMove = (evt, element, index) => {
      const newValue = calcValue(evt, element, index);
      hoverValue.value = newValue;
    };
    const handleFocus = (evt) => {
      isFocused.value = true;
      callEmit(props.onFocus, evt);
    };
    const handleBlur = (evt) => {
      isFocused.value = false;
      accessor.markAsBlurred();
      callEmit(props.onBlur, evt);
    };
    const handleKeyDown = (evt) => {
      const currValue = accessor.value;
      const currCount = countRef.value;
      const currAllowHalf = allowHalfRef.value;
      const eventCode = evt.code;
      switch (eventCode) {
        case "ArrowRight":
        case "ArrowUp":
          {
            if (currValue < currCount) {
              changeValue(currValue + (currAllowHalf ? 0.5 : 1));
              evt.preventDefault();
            }
          }
          break;
        case "ArrowLeft":
        case "ArrowDown":
          if (currValue > 0) {
            changeValue(currValue - (currAllowHalf ? 0.5 : 1));
            evt.preventDefault();
          }
          break;
      }
    };
    const handleMouseLeave = () => {
      hoverValue.value = void 0;
    };
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-disabled`]: isDisabled.value,
        [`${prefixCls}-focused`]: isFocused.value,
        [`${prefixCls}-${mergedSize.value}`]: true
      });
    });
    return () => {
      var _a;
      const count = countRef.value;
      const disabled = isDisabled.value;
      const focused = isFocused.value;
      const itemValue = convertNumber((_a = hoverValue.value) != null ? _a : accessor.value);
      const itemPrefixCls = `${mergedPrefixCls.value}-item`;
      const {
        tooltips,
        color
      } = props;
      const children = [];
      for (let index = 0; index < count; index++) {
        children.push(createVNode(RateItem, {
          "key": index,
          "count": count,
          "disabled": disabled,
          "focused": focused,
          "index": index,
          "prefixCls": itemPrefixCls,
          "tooltip": tooltips[index],
          "color": color,
          "value": itemValue,
          "onClick": handleItemClick,
          "onMouseMove": handleItemMouseMove
        }, {
          default: () => {
            var _a2, _b;
            return [(_b = (_a2 = slots.icon) == null ? void 0 : _a2.call(slots, {
              disabled,
              focused,
              index
            })) != null ? _b : createVNode(IxIcon, {
              "name": iconRef.value
            }, null)];
          }
        }));
      }
      return createVNode("ul", {
        "ref": elementRef,
        "class": classes.value,
        "tabindex": disabled ? -1 : attrs.tabindex,
        "onFocus": disabled ? void 0 : handleFocus,
        "onBlur": disabled ? void 0 : handleBlur,
        "onKeydown": disabled ? void 0 : handleKeyDown,
        "onMouseleave": disabled ? void 0 : handleMouseLeave,
        "role": "radiogroup"
      }, [children]);
    };
  }
});
const IxRate = Rate;
const resultProps = {
  icon: [String, Object],
  status: String,
  subtitle: String,
  title: String
};
function getDefaultThemeTokens$f(tokens2) {
  const { marginSizeXs, marginSizeXl, fontSizeHeaderLg, fontSizeSm } = tokens2;
  return {
    padding: `48px 32px`,
    iconSize: 48,
    titleFontSize: fontSizeHeaderLg,
    titleLineHeight: 32,
    subtitleFontSize: fontSizeSm,
    subtitleLineHeight: 18,
    subtitleMarginTop: marginSizeXs,
    extraMarginTop: marginSizeXl,
    contentMarginTop: marginSizeXl,
    contentPadding: `24px 40px`
  };
}
const getThemeTokens$f = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$f(tokens2) : getDefaultThemeTokens$f(tokens2);
};
const defaultIconMap = {
  success: "check-circle-filled",
  error: "close-circle-filled",
  info: "info-circle-filled",
  warning: "exclamation-circle-filled"
};
var Result = /* @__PURE__ */ defineComponent({
  name: "IxResult",
  components: {
    IxIcon
  },
  props: resultProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("result");
    registerToken(getThemeTokens$f);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-result`);
    const resultConfig = useGlobalConfig("result");
    const className = useClassName(props, mergedPrefixCls, globalHashId, hashId, resultConfig);
    const currentIcon = useIcon$1(props, resultConfig);
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const {
        title,
        subtitle
      } = props;
      return createVNode("div", {
        "class": className.value
      }, [renderIcon$2(prefixCls, slots.icon, currentIcon.value), renderSlottedNode(`${prefixCls}-title`, slots.title, title), renderSlottedNode(`${prefixCls}-subtitle`, slots.subtitle, subtitle), renderSlottedNode(`${prefixCls}-extra`, slots.extra), renderSlottedNode(`${prefixCls}-content`, slots.default)]);
    };
  }
});
function renderSlottedNode(cls, slot, defaultContent) {
  if (!slot && !defaultContent) {
    return null;
  }
  const content = slot ? slot() : defaultContent;
  return content ? createVNode("div", {
    "class": cls
  }, [content]) : null;
}
function renderIcon$2(prefixCls, iconSlot, icon) {
  const content = isString(icon) ? createVNode(IxIcon, {
    "name": icon
  }, null) : icon;
  return renderSlottedNode(`${prefixCls}-icon`, iconSlot, content);
}
function useClassName(props, mergedPrefixCls, globalHashId, hashId, config) {
  return computed(() => {
    var _a;
    const prefixCls = mergedPrefixCls.value;
    const status = (_a = props.status) != null ? _a : config.status;
    return {
      [globalHashId.value]: !!globalHashId.value,
      [hashId.value]: !!hashId.value,
      [prefixCls]: true,
      [`${prefixCls}-${status}`]: !!status
    };
  });
}
function useIcon$1(props, config) {
  return computed(() => {
    var _a, _b, _c, _d;
    const status = (_a = props.status) != null ? _a : config.status;
    return (_d = (_c = props.icon) != null ? _c : (_b = config.icon) == null ? void 0 : _b[status]) != null ? _d : defaultIconMap[status];
  });
}
const IxResult = Result;
const skeletonProps = {
  animated: {
    type: Boolean,
    default: void 0
  },
  loading: {
    type: Boolean,
    default: true
  },
  type: {
    type: String,
    default: "text"
  },
  width: [String, Number],
  height: [String, Number],
  repeat: {
    type: Number,
    default: 1
  }
};
function getDefaultThemeTokens$e(tokens2, algorithms) {
  const { getGreyColors: getGreyColors2 } = algorithms;
  const { marginSizeSm, marginSizeXs } = tokens2;
  const greyColors = getGreyColors2();
  return {
    marginBottom: marginSizeSm,
    loaderMarginBottom: marginSizeXs,
    startColor: greyColors.l40,
    endColor: greyColors.l30
  };
}
const getThemeTokens$e = (tokens2, presetTheme, algorithms) => {
  return presetTheme === "default" ? getDefaultThemeTokens$e(tokens2, algorithms) : getDefaultThemeTokens$e(tokens2, algorithms);
};
var Skeleton = /* @__PURE__ */ defineComponent({
  name: "IxSkeleton",
  inheritAttrs: false,
  props: skeletonProps,
  setup(props, {
    slots,
    attrs
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("skeleton");
    registerToken(getThemeTokens$e);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-skeleton`);
    const config = useGlobalConfig("skeleton");
    const loaderClass = computed(() => {
      var _a;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [`${prefixCls}-loader`]: true,
        [`${prefixCls}-${props.type}`]: true,
        [`${prefixCls}-animated`]: (_a = props.animated) != null ? _a : config.animated
      });
    });
    const loaderStyle = computed(() => {
      const {
        width,
        height,
        type
      } = props;
      if (type === "circle") {
        const size = convertCssPixel(width || height);
        return {
          width: size,
          height: size
        };
      }
      return {
        width: convertCssPixel(width),
        height: convertCssPixel(height)
      };
    });
    return () => {
      var _a;
      if (!props.loading) {
        return (_a = slots.default) == null ? void 0 : _a.call(slots);
      }
      const prefixCls = mergedPrefixCls.value;
      const loader = createVNode("div", {
        "class": loaderClass.value,
        "style": loaderStyle.value
      }, null);
      const loaderList = Array.from({
        length: props.repeat
      }).map(() => loader);
      return createVNode("div", mergeProps({
        "class": [prefixCls, globalHashId.value, hashId.value]
      }, attrs), [loaderList]);
    };
  }
});
const IxSkeleton = Skeleton;
const sliderStartDirection = {
  ltr: "left",
  rtl: "right",
  btt: "bottom",
  ttb: "top"
};
const sliderToken = Symbol("sliderToken");
const sliderProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  value: { type: [Number, Array], default: void 0 },
  disabled: { type: Boolean, default: false },
  dots: { type: Boolean, default: false },
  keyboard: { type: Boolean, default: true },
  marks: {
    type: Object,
    default: void 0
  },
  max: { type: Number, default: 100 },
  min: { type: Number, default: 0 },
  range: { type: Boolean, default: false },
  reverse: { type: Boolean, default: false },
  step: { type: Number, default: 1 },
  tooltipFormatter: { type: Function, default: void 0 },
  tooltipPlacement: { type: String, default: void 0 },
  tooltipVisible: { type: Boolean, default: void 0 },
  vertical: { type: Boolean, default: false },
  "onUpdate:value": [Function, Array],
  onChange: [Function, Array],
  onFocus: [Function, Array],
  onBlur: [Function, Array]
};
const sliderThumbProps = {
  value: { type: Number, default: void 0 },
  onFocus: [Function, Array],
  onBlur: [Function, Array]
};
const sliderMarksProps = {
  onClickMark: [Function, Array]
};
var IxSliderMarks = /* @__PURE__ */ defineComponent({
  name: "IxSliderMarks",
  props: sliderMarksProps,
  setup(props) {
    const {
      values,
      marks,
      max,
      min,
      prefixCls,
      range,
      reverse,
      vertical
    } = inject(sliderToken);
    const mergedPrefixCls = computed(() => `${prefixCls.value}-mark`);
    return () => {
      return createVNode("div", {
        "class": mergedPrefixCls.value
      }, [renderMarks(props, values.value, marks.value, max.value, min.value, mergedPrefixCls.value, range.value, reverse.value, vertical.value)]);
    };
  }
});
function renderMarks(props, values, marks, max, min, prefixCls, range, reverse, vertical) {
  if (isUndefined(marks)) {
    return;
  }
  const width = max - min;
  return Object.keys(marks).map(parseFloat).sort((a3, b2) => a3 - b2).map((offset) => {
    const markValue = marks[offset];
    const isObj = isPlainObject(markValue);
    let markLabel = void 0;
    if (isString(markValue) || isVNode(markValue)) {
      markLabel = markValue;
    } else if (isFunction(markValue)) {
      markLabel = markValue();
    } else if (isObj) {
      markLabel = markValue.label;
    }
    if (isUndefined(markLabel)) {
      return null;
    }
    const isActived = range ? !(offset < values[0] || offset > values[1]) : offset <= values[0];
    const classes = {
      [`${prefixCls}-label`]: true,
      [`${prefixCls}-label-active`]: isActived
    };
    const style = vertical ? {
      marginBottom: "-50%",
      [reverse ? sliderStartDirection.ttb : sliderStartDirection.btt]: `${(offset - min) / width * 100}%`
    } : {
      transform: `translateX(${reverse ? `50%` : `-50%`})`,
      [reverse ? sliderStartDirection.rtl : sliderStartDirection.ltr]: `${(offset - min) / width * 100}%`
    };
    const markStyle = isObj ? normalizeStyle([style, markValue == null ? void 0 : markValue.style]) : style;
    const handleMarkClick = (evt) => callEmit(props.onClickMark, evt, offset);
    return createVNode("span", {
      "key": offset,
      "class": classes,
      "style": markStyle,
      "onMousedown": handleMarkClick,
      "onTouchstart": handleMarkClick
    }, [markLabel]);
  });
}
var IxSliderSteps = /* @__PURE__ */ defineComponent({
  name: "IxSliderSteps",
  setup() {
    const {
      values,
      dots,
      marks,
      max,
      min,
      prefixCls,
      range,
      reverse,
      step,
      vertical
    } = inject(sliderToken);
    return () => {
      return createVNode("div", {
        "class": `${prefixCls.value}-step`
      }, [renderDots(values.value, dots.value, marks.value, max.value, min.value, prefixCls.value, range.value, reverse.value, step.value, vertical.value)]);
    };
  }
});
function renderDots(values, dots, marks, max, min, prefixCls, range, reverse, step, vertical) {
  const width = max - min;
  return getOffsets(dots, marks, max, min, step).map((offset) => {
    const pos = `${Math.abs(offset - min) / width * 100}%`;
    const isActived = range ? !(offset < values[0] || offset > values[1]) : offset <= values[0];
    const style = vertical ? {
      [reverse ? sliderStartDirection.ttb : sliderStartDirection.btt]: pos
    } : {
      [reverse ? sliderStartDirection.rtl : sliderStartDirection.ltr]: pos
    };
    const classes = {
      [`${prefixCls}-dot`]: true,
      [`${prefixCls}-dot-active`]: isActived,
      [`${prefixCls}-dot-reverse`]: reverse
    };
    return createVNode("span", {
      "key": offset,
      "class": classes,
      "style": style
    }, null);
  });
}
function getOffsets(dots, marks, max, min, step) {
  const points = Object.keys(marks != null ? marks : {}).map(parseFloat).sort((a3, b2) => a3 - b2);
  if (dots && step) {
    for (let i2 = min; i2 <= max; i2 += step) {
      if (points.indexOf(i2) === -1) {
        points.push(i2);
      }
    }
  }
  return points;
}
var IxSliderThumb = /* @__PURE__ */ defineComponent({
  name: "IxSliderThumb",
  inheritAttrs: false,
  props: sliderThumbProps,
  setup(props, {
    attrs,
    expose
  }) {
    var _a;
    const {
      disabled,
      dragging,
      prefixCls,
      tooltipVisible,
      tooltipPlacement,
      tooltipFormatter
    } = inject(sliderToken);
    const mergedTooltipVisible = ref((_a = tooltipVisible.value) != null ? _a : false);
    const isHovering = ref(false);
    const tooltipRef = ref(null);
    const thumbRef = ref(null);
    const mergedPrefixCls = computed(() => `${prefixCls.value}-thumb`);
    const showTooltip = () => tooltipVisible.value !== false && (mergedTooltipVisible.value = true);
    const hideTooltip = () => tooltipVisible.value !== true && (mergedTooltipVisible.value = false);
    onUpdated(() => {
      var _a2;
      return mergedTooltipVisible.value && ((_a2 = tooltipRef.value) == null ? void 0 : _a2.updatePopper());
    });
    function handleMouseEnter() {
      isHovering.value = true;
      showTooltip();
    }
    function handleMouseLeave() {
      isHovering.value = false;
      if (!dragging.value) {
        hideTooltip();
      }
    }
    function handleFocus(evt) {
      showTooltip();
      if (!dragging.value) {
        callEmit(props.onFocus, evt);
      }
    }
    function handleBlur(evt) {
      hideTooltip();
      if (!dragging.value) {
        callEmit(props.onBlur, evt);
      }
    }
    expose({
      tooltipRef,
      thumbRef,
      isHovering,
      showTooltip,
      hideTooltip
    });
    return () => {
      return createVNode(IxTooltip, {
        "ref": tooltipRef,
        "visible": mergedTooltipVisible.value,
        "placement": tooltipPlacement.value,
        "trigger": "manual",
        "onMouseenter": handleMouseEnter,
        "onMouseleave": handleMouseLeave
      }, {
        default: () => [createVNode("div", mergeProps(attrs, {
          "ref": thumbRef,
          "class": mergedPrefixCls.value,
          "onMouseenter": handleMouseEnter,
          "onMouseleave": handleMouseLeave,
          "onFocus": disabled.value ? NoopFunction : handleFocus,
          "onBlur": disabled.value ? NoopFunction : handleBlur
        }), null)],
        title: () => isFunction(tooltipFormatter.value) ? tooltipFormatter.value(props.value) : createVNode("span", null, [props.value])
      });
    };
  }
});
function useSlider(props) {
  const { elementRef, focus, blur } = useFormElement();
  const { accessor, control } = useAccessorAndControl();
  useFormItemRegister(control);
  const valuesRef = ref([props.min, props.min]);
  const thumbListRef = ref([]);
  const activeIndex = ref(-1);
  const railRef = ref(null);
  const isDragging = ref(false);
  const isDisabled = computed(() => accessor.disabled);
  const precision = computed(() => {
    const precisions = [props.min, props.max, props.step].map((num) => {
      const decimal = `${num}`.split(".")[1];
      return decimal ? decimal.length : 0;
    });
    return Math.max(...precisions);
  });
  const stepPrecision = computed(() => {
    const decimal = `${props.step}`.split(".")[1];
    return decimal ? decimal.length : 0;
  });
  const direction = computed(() => {
    if (props.vertical) {
      return props.reverse ? sliderStartDirection.ttb : sliderStartDirection.btt;
    }
    return props.reverse ? sliderStartDirection.rtl : sliderStartDirection.ltr;
  });
  function setThumbRefs(index) {
    return (el) => {
      if (index === 0) {
        elementRef.value = el == null ? void 0 : el.thumbRef;
      }
      thumbListRef.value[index] = el;
    };
  }
  function handleMouseDown(evt) {
    var _a, _b;
    const index = thumbListRef.value.findIndex((v) => (v == null ? void 0 : v.thumbRef) === evt.target);
    if (index !== -1) {
      evt.preventDefault();
      activeIndex.value = index;
      (_b = (_a = thumbListRef.value[index]) == null ? void 0 : _a.thumbRef) == null ? void 0 : _b.focus();
      startDragging();
    } else {
      const newValue = calcValueByMouseEvent(evt);
      setActiveIndex(newValue);
      updateModelValue(newValue);
    }
  }
  function handleKeyDown(evt) {
    if (props.keyboard) {
      const index = thumbListRef.value.findIndex((v) => (v == null ? void 0 : v.thumbRef) === evt.target);
      if (index !== -1) {
        let value = null;
        if (evt.code === "ArrowUp" || evt.code === "ArrowRight") {
          activeIndex.value = index;
          value = incValueByActiveIndex(1);
        } else if (evt.code === "ArrowDown" || evt.code === "ArrowLeft") {
          activeIndex.value = index;
          value = incValueByActiveIndex(-1);
        }
        if (value !== null) {
          evt.preventDefault();
          updateModelValue(value);
          checkAcross(value);
        }
      }
    }
  }
  function handleMarkClick(evt, newValue) {
    evt.stopPropagation();
    setActiveIndex(newValue);
    updateModelValue(newValue);
  }
  function startDragging() {
    if (!isDragging.value) {
      isDragging.value = true;
      on(window, "mousemove", handleMouseMove);
      on(window, "touchmove", handleMouseMove);
      on(window, "mouseup", handleMouseUpOnDocument);
      on(window, "touchend", handleMouseUpOnDocument);
      on(window, "contextmenu", handleMouseUpOnDocument);
    }
  }
  function stopDragging() {
    if (isDragging.value) {
      const activeThumbRef = thumbListRef.value[activeIndex.value];
      isDragging.value = false;
      activeIndex.value = -1;
      if (!(activeThumbRef == null ? void 0 : activeThumbRef.isHovering)) {
        nextTick(() => activeThumbRef == null ? void 0 : activeThumbRef.hideTooltip());
      }
      off(window, "mousemove", handleMouseMove);
      off(window, "touchmove", handleMouseMove);
      off(window, "mouseup", handleMouseUpOnDocument);
      off(window, "touchend", handleMouseUpOnDocument);
      off(window, "contextmenu", handleMouseUpOnDocument);
    }
  }
  function handleMouseMove(evt) {
    if (!isDragging.value) {
      stopDragging();
      return;
    }
    const newValue = calcValueByMouseEvent(evt);
    updateModelValue(newValue);
    checkAcross(newValue);
  }
  function handleMouseUpOnDocument() {
    stopDragging();
  }
  function handleMouseUp() {
    var _a, _b;
    const { value: index } = activeIndex;
    if (index !== -1) {
      (_b = (_a = thumbListRef.value[index]) == null ? void 0 : _a.thumbRef) == null ? void 0 : _b.focus();
    }
  }
  function updateModelValue(newValue) {
    const { value: index } = activeIndex;
    if (valuesRef.value[index] !== newValue) {
      const newValues = valuesRef.value.slice();
      newValues[index] = newValue;
      const oldVal = toRaw(accessor.value);
      const modelValue = props.range ? newValues : newValues[0];
      accessor.setValue(modelValue);
      callEmit(props.onChange, modelValue, oldVal);
      nextTick(() => setValues());
    }
  }
  function setActiveIndex(newValue) {
    const { value: oldValues } = valuesRef;
    activeIndex.value = props.range ? Math.abs(oldValues[0] - newValue) < Math.abs(oldValues[1] - newValue) ? 0 : 1 : 0;
  }
  function checkAcross(value) {
    var _a, _b;
    if (props.range) {
      const { value: thumbValues } = valuesRef;
      let newIndex = activeIndex.value;
      if (value > thumbValues[1]) {
        newIndex = 1;
      } else if (value < thumbValues[0]) {
        newIndex = 0;
      }
      if (newIndex !== activeIndex.value) {
        activeIndex.value = newIndex;
        (_b = (_a = thumbListRef.value[activeIndex.value]) == null ? void 0 : _a.thumbRef) == null ? void 0 : _b.focus();
      }
    }
  }
  function calcValueByMouseEvent(evt) {
    const client = getMouseClientXY(evt);
    const railRect = railRef.value.getBoundingClientRect();
    let percentage;
    if (props.vertical) {
      percentage = (railRect.bottom - client.clientY) / railRect.height;
    } else {
      percentage = (client.clientX - railRect.left) / railRect.width;
    }
    if (props.reverse) {
      percentage = 1 - percentage;
    }
    return calcValueByStep(percentage * (props.max - props.min) + props.min);
  }
  function calcValueByStep(value) {
    var _a, _b;
    value = Math.max(props.min, Math.min(props.max, value));
    const marks = (_a = props.marks) != null ? _a : {};
    const points = Object.keys(marks).map(parseFloat);
    if (props.step !== null) {
      const convertNum = Math.pow(10, precision.value);
      const totalSteps = Math.floor((props.max * convertNum - props.min * convertNum) / (props.step * convertNum));
      const steps = Math.min((value - props.min) / props.step, totalSteps);
      const closestStepValue = Math.round(steps) * props.step + props.min;
      points.push(parseFloat(closestStepValue.toFixed(precision.value)));
    }
    const diffs = points.map((point) => Math.abs(value - point));
    const index = diffs.indexOf(Math.min(...diffs));
    return (_b = points[index]) != null ? _b : props.min;
  }
  function incValueByActiveIndex(flag) {
    if (props.step !== null) {
      const step = flag < 0 ? -props.step : +props.step;
      const currValue = valuesRef.value[activeIndex.value];
      return Math.max(props.min, Math.min(props.max, parseFloat((currValue + step).toFixed(stepPrecision.value))));
    }
    return props.min;
  }
  watch(
    () => accessor.value,
    (val, oldVal) => {
      if (isDragging.value || Array.isArray(val) && Array.isArray(oldVal) && val.every((v, i2) => v === oldVal[i2])) {
        return;
      }
      setValues();
    },
    { immediate: true }
  );
  watch(
    () => [props.max, props.min, props.range, props.step],
    () => {
      setValues();
    }
  );
  function setValues() {
    var _a, _b;
    if (props.min > props.max) {
      return;
    }
    const { value: modelValue = 0 } = accessor;
    let val;
    if (props.range) {
      if (!Array.isArray(modelValue)) {
        return;
      }
      val = [(_a = modelValue[0]) != null ? _a : props.min, (_b = modelValue[1]) != null ? _b : props.min];
    } else {
      if (!isNumeric(modelValue)) {
        return;
      }
      val = [modelValue];
    }
    valuesRef.value = val.map((num) => {
      if (!isNumeric(num)) {
        return props.min;
      }
      return calcValueByStep(num);
    }).sort((a3, b2) => a3 - b2);
  }
  return {
    valuesRef,
    thumbListRef,
    railRef,
    direction,
    isDisabled,
    isDragging,
    focus,
    blur,
    setThumbRefs,
    handleMouseDown,
    handleMouseUp,
    handleKeyDown,
    handleMarkClick
  };
}
function getDefaultThemeTokens$d(tokens2) {
  const { colorPrimary, lineType, colorText, colorTextPlaceholder, colorContainerBgDisabled, colorSeparator } = tokens2;
  const baseColors = getBaseColors$1();
  return {
    railSize: 2,
    markLabelColor: colorTextPlaceholder,
    markLabelColorActive: colorText,
    dotBgColor: colorSeparator,
    dotBgColorDisabled: colorContainerBgDisabled,
    dotBgColorActive: colorPrimary,
    railBgColor: colorSeparator,
    railBgColorHover: colorSeparator,
    trackBgColor: colorPrimary,
    trackBgColorHover: colorPrimary,
    trackBgColorDisabled: colorContainerBgDisabled,
    thumbBgColor: baseColors.white,
    thumbBorderColor: colorPrimary,
    thumbBorderColorHover: colorPrimary,
    thumbBorderColorDisabled: colorContainerBgDisabled,
    thumbBorderWidth: 2,
    thumbBorderType: lineType,
    thumbBorderColorFocus: colorPrimary,
    thumbBoxShadowFocus: `0 0 0 5px ${getAlphaColor(colorPrimary, 0.12)}`,
    thumbSize: 10
  };
}
const getThemeTokens$d = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$d(tokens2) : getDefaultThemeTokens$d(tokens2);
};
var Slider = /* @__PURE__ */ defineComponent({
  name: "IxSlider",
  props: sliderProps,
  setup(props, {
    expose
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("slider");
    registerToken(getThemeTokens$d);
    const {
      direction,
      isDisabled,
      isDragging,
      valuesRef,
      railRef,
      setThumbRefs,
      handleMouseDown,
      handleMouseUp,
      handleKeyDown,
      handleMarkClick,
      focus,
      blur
    } = useSlider(props);
    const {
      trackStyle
    } = useTrack(props, valuesRef, direction);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-slider`);
    const thumbs = computed(() => valuesRef.value.slice(0, props.range ? 2 : 1));
    const thumbTransformOfStyle = computed(() => {
      if (props.vertical) {
        return props.reverse ? `translateY(-50%)` : `translateY(50%)`;
      }
      return props.reverse ? `translateX(50%)` : `translateX(-50%)`;
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return {
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-disabled`]: isDisabled.value,
        [`${prefixCls}-vertical`]: props.vertical,
        [`${prefixCls}-with-marks`]: !isUndefined(props.marks)
      };
    });
    provide(sliderToken, {
      ...toRefs(props),
      direction,
      dragging: isDragging,
      values: valuesRef,
      disabled: isDisabled,
      prefixCls: mergedPrefixCls
    });
    expose({
      focus,
      blur
    });
    return () => {
      return createVNode("div", {
        "class": classes.value,
        "onMousedown": isDisabled.value ? NoopFunction : handleMouseDown,
        "onTouchstart": isDisabled.value ? NoopFunction : handleMouseDown,
        "onMouseup": isDisabled.value ? NoopFunction : handleMouseUp,
        "onKeydown": isDisabled.value ? NoopFunction : handleKeyDown
      }, [createVNode("div", {
        "ref": railRef,
        "class": `${mergedPrefixCls.value}-rail`
      }, null), createVNode("div", {
        "class": `${mergedPrefixCls.value}-track`,
        "style": trackStyle.value
      }, null), createVNode(IxSliderSteps, null, null), thumbs.value.map((val, index) => {
        const position = (val - props.min) / (props.max - props.min) * 100;
        return createVNode(IxSliderThumb, {
          "ref": setThumbRefs(index),
          "value": val,
          "role": "slider",
          "tabindex": isDisabled.value ? -1 : 0,
          "aria-label": "Slider",
          "aria-valuemin": props.min,
          "aria-valuemax": props.max,
          "aria-valuenow": val,
          "aria-readonly": isDisabled.value,
          "aria-orientation": props.vertical ? "vertical" : "horizontal",
          "onFocus": props.onFocus,
          "onBlur": props.onBlur,
          "style": {
            transform: thumbTransformOfStyle.value,
            [direction.value]: `${position}%`
          }
        }, null);
      }), createVNode(IxSliderMarks, {
        "onClickMark": isDisabled.value ? NoopFunction : handleMarkClick
      }, null)]);
    };
  }
});
function useTrack(props, values, direction) {
  const maxValue = computed(() => Math.max(...values.value));
  const minValue = computed(() => Math.min(...values.value));
  const trackStyle = computed(() => {
    return {
      [direction.value]: props.range ? `${(minValue.value - props.min) / (props.max - props.min) * 100}%` : "0%",
      [props.vertical ? "height" : "width"]: props.range ? `${(maxValue.value - minValue.value) / (props.max - props.min) * 100}%` : `${(+values.value[0] - props.min) / (props.max - props.min) * 100}%`
    };
  });
  return {
    trackStyle
  };
}
const IxSlider = Slider;
const statisticProps = {
  formatter: Function,
  precision: Number,
  prefix: String,
  suffix: String,
  title: String,
  value: {
    type: [String, Number],
    default: ""
  }
};
function getDefaultThemeTokens$c(tokens2) {
  const { fontSizeMd, fontSize2xl, fontSize3xl, colorTextTitle } = tokens2;
  return {
    fontSizeSm: fontSizeMd,
    fontSizeMd,
    fontSizeLg: fontSize2xl,
    fontSizeXl: fontSize3xl,
    color: colorTextTitle
  };
}
const getThemeTokens$c = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$c(tokens2) : getDefaultThemeTokens$c(tokens2);
};
var Statistic = /* @__PURE__ */ defineComponent({
  name: "IxStatistic",
  props: statisticProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("statistic");
    registerToken(getThemeTokens$c);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-statistic`);
    const statisticConfig = useGlobalConfig("statistic");
    const formatedValue = useFomat(props, statisticConfig);
    return () => {
      var _a, _b, _c, _d, _e, _f, _g, _h;
      const prefixCls = mergedPrefixCls.value;
      const {
        title,
        prefix,
        suffix
      } = props;
      const titleNode = (title != null ? title : slots.title) && createVNode("div", {
        "class": `${prefixCls}-title`
      }, [(_b = (_a = slots.title) == null ? void 0 : _a.call(slots)) != null ? _b : title]);
      const prefixNode = (prefix != null ? prefix : slots.prefix) && createVNode("span", {
        "class": `${prefixCls}-content-prefix`
      }, [(_d = (_c = slots.prefix) == null ? void 0 : _c.call(slots)) != null ? _d : prefix]);
      const suffixNode = (suffix != null ? suffix : slots.suffix) && createVNode("span", {
        "class": `${prefixCls}-content-suffix`
      }, [(_f = (_e = slots.suffix) == null ? void 0 : _e.call(slots)) != null ? _f : suffix]);
      return createVNode("div", {
        "class": [prefixCls, globalHashId.value, hashId.value]
      }, [titleNode, createVNode("div", {
        "class": `${prefixCls}-content`
      }, [prefixNode, createVNode("span", {
        "class": `${prefixCls}-content-value`
      }, [(_h = (_g = slots.default) == null ? void 0 : _g.call(slots)) != null ? _h : createVNode(Fragment, null, [createVNode("span", {
        "class": `${prefixCls}-content-value-int`
      }, [formatedValue.value.int || formatedValue.value.value]), formatedValue.value.decimal && createVNode("span", {
        "class": `${prefixCls}-content-value-decimal`
      }, [createTextVNode(" "), formatedValue.value.decimal, createTextVNode(" ")])])]), suffixNode])]);
    };
  }
});
const useFomat = (props, config) => {
  return computed(() => {
    const precision = props.precision || config.precision;
    const formatter = props.formatter || config.formatter;
    return formatter(props.value, precision);
  });
};
const IxStatistic = Statistic;
const stepperToken = Symbol("stepperToken");
const stepperItemKey = Symbol("IDUX_STEPPER_ITEM_KEY");
const stepperProps = {
  activeKey: [String, Number, Symbol],
  clickable: {
    type: Boolean,
    default: void 0
  },
  labelPlacement: String,
  percent: {
    type: Number,
    validator: (value) => value >= 0 && value <= 100
  },
  size: String,
  status: {
    type: String,
    default: "process"
  },
  vertical: {
    type: Boolean,
    default: false
  },
  dot: {
    type: Boolean,
    default: false
  },
  "onUpdate:activeKey": [Function, Array]
};
const stepperItemProps = {
  description: String,
  disabled: {
    type: Boolean,
    default: false
  },
  icon: String,
  title: String,
  status: String
};
function getDefaultThemeTokens$b(tokens2) {
  const { heightSm, heightMd, marginSizeSm, fontSizeSm, fontSizeMd, fontSizeLg, fontSizeHeaderSm, fontSizeHeaderMd } = tokens2;
  return {
    iconSizeSm: heightSm,
    iconSizeMd: heightMd,
    iconFontSizeSm: fontSizeMd,
    iconFontSizeMd: fontSizeLg,
    iconBorderWidthSm: 2,
    iconBorderWidthMd: 2,
    iconMarginSm: `0 ${marginSizeSm}px 0 0`,
    iconMarginMd: `0 ${marginSizeSm}px 0 0`,
    titleFontSizeSm: fontSizeHeaderSm,
    titleFontSizeMd: fontSizeHeaderMd,
    descriptionFontSizeSm: fontSizeSm,
    descriptionFontSizeMd: fontSizeMd,
    contentMinHeightSm: 60,
    contentMinHeightMd: 80,
    lineType: "dashed"
  };
}
const getThemeTokens$b = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$b(tokens2) : getDefaultThemeTokens$b(tokens2);
};
var Stepper = /* @__PURE__ */ defineComponent({
  name: "IxStepper",
  props: stepperProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("stepper");
    registerToken(getThemeTokens$b);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-stepper`);
    const config = useGlobalConfig("stepper");
    const size = computed(() => {
      var _a;
      return (_a = props.size) != null ? _a : config.size;
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      const {
        labelPlacement = config.labelPlacement,
        percent,
        vertical
      } = props;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-label-${labelPlacement}`]: true,
        [`${prefixCls}-${size.value}`]: true,
        [`${prefixCls}-vertical`]: vertical,
        [`${prefixCls}-with-percent`]: percent != null
      });
    });
    const [activeKey, setActiveKey] = useControlledProp(props, "activeKey");
    provide(stepperToken, {
      props: reactive({
        ...toRefs(props),
        size
      }),
      slots,
      activeKey,
      setActiveKey
    });
    return () => {
      var _a;
      const children = flattenNode((_a = slots.default) == null ? void 0 : _a.call(slots), {
        key: stepperItemKey
      }).map((item, index) => {
        if (item.key == null) {
          item.key = index + 1;
        }
        return item;
      });
      return createVNode("div", {
        "class": classes.value
      }, [children]);
    };
  }
});
var StepperItem = /* @__PURE__ */ defineComponent({
  name: "IxStepperItem",
  props: stepperItemProps,
  [stepperItemKey]: true,
  setup(props, {
    slots
  }) {
    const key = useKey$1();
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-stepper-item`);
    const {
      props: parentProps,
      activeKey,
      setActiveKey
    } = inject(stepperToken);
    const isActive = computed(() => activeKey.value === key);
    const status = computed(() => {
      if (props.status) {
        return props.status;
      }
      if (isActive.value) {
        return parentProps.status;
      }
      const currActiveKey = activeKey.value;
      if (!currActiveKey || isSymbol(currActiveKey) || isSymbol(key)) {
        return "wait";
      }
      return currActiveKey > key ? "finish" : "wait";
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      const {
        disabled,
        icon
      } = props;
      const {
        dot
      } = parentProps;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-${status.value}`]: true,
        [`${prefixCls}-active`]: isActive.value,
        [`${prefixCls}-clickable`]: parentProps.clickable && !disabled,
        [`${prefixCls}-disabled`]: disabled,
        [`${prefixCls}-with-icon`]: icon || !!slots.icon,
        [`${prefixCls}-dot`]: dot
      });
    });
    const onClick = () => {
      if (isActive.value) {
        return;
      }
      setActiveKey(key);
    };
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const clickable = parentProps.clickable && !props.disabled;
      const {
        dot
      } = parentProps;
      const iconNode = renderIcon$1(props, slots, parentProps, status, key);
      const titleNode = convertStringVNode(slots, props, "title");
      const descriptionNode = convertStringVNode(slots, props, "description");
      return createVNode("div", {
        "class": classes.value,
        "role": clickable ? "button" : void 0,
        "tabindex": clickable ? 0 : void 0,
        "onClick": clickable ? onClick : void 0
      }, [createVNode("div", {
        "class": `${prefixCls}-tail`
      }, null), createVNode("div", {
        "class": `${prefixCls}-icon`
      }, [dot ? "" : iconNode]), createVNode("div", {
        "class": `${prefixCls}-content`
      }, [createVNode("div", {
        "class": `${prefixCls}-title`
      }, [titleNode]), descriptionNode && createVNode("div", {
        "class": `${prefixCls}-description`
      }, [descriptionNode])])]);
    };
  }
});
const statusIcons = {
  finish: "check-filled",
  error: "exclamation"
};
function renderIcon$1(props, slots, parentProps, status, key) {
  const currStatus = status.value;
  let node;
  if (slots.icon) {
    node = slots.icon({
      key,
      status: currStatus
    });
  } else {
    const {
      icon = statusIcons[currStatus]
    } = props;
    if (icon) {
      node = createVNode(IxIcon, {
        "name": icon
      }, null);
    } else {
      node = createVNode("span", null, [key]);
    }
  }
  if (currStatus === "process" && parentProps.percent != null) {
    const width = parentProps.size === "sm" ? 32 : 40;
    return [createVNode(IxProgress, {
      "type": "circle",
      "percent": parentProps.percent,
      "width": width,
      "strokeWidth": 4,
      "format": NoopFunction
    }, null), node];
  }
  return node;
}
const IxStepper = Stepper;
const IxStepperItem = StepperItem;
const switchProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  checked: { type: Boolean, default: void 0 },
  autofocus: { type: Boolean, default: false },
  disabled: { type: Boolean, default: false },
  labels: { type: Array, default: () => [] },
  loading: { type: Boolean, default: false },
  size: String,
  "onUpdate:checked": [Function, Array],
  onChange: [Function, Array],
  onBlur: [Function, Array],
  onFocus: [Function, Array]
};
function getDefaultThemeTokens$a(tokens2, algorithms) {
  const { getColorPalette: getColorPalette2 } = algorithms;
  const { colorWhite, controlHeightXs, controlHeightSm, controlHeightMd, paddingSize2Xs, colorPrimary } = tokens2;
  const primaryColorPalette = getColorPalette2(colorPrimary);
  return {
    activeDisabledColor: primaryColorPalette.l30,
    heightSm: controlHeightXs,
    heightMd: controlHeightSm,
    heightLg: controlHeightMd,
    handleSizeSm: 12,
    handleSizeMd: 20,
    handleSizeLg: 28,
    iconFontSizeSm: 9,
    iconFontSizeMd: 14,
    iconFontSizeLg: 14,
    handlePadding: paddingSize2Xs,
    handleBgColor: colorWhite,
    handleBoxShadow: `none`
  };
}
const getThemeTokens$a = (tokens2, presetTheme, algorithms) => {
  return presetTheme === "default" ? getDefaultThemeTokens$a(tokens2, algorithms) : getDefaultThemeTokens$a(tokens2, algorithms);
};
var Switch = /* @__PURE__ */ defineComponent({
  name: "IxSwitch",
  props: switchProps,
  setup(props, {
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const config = useGlobalConfig("switch");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("switch");
    registerToken(getThemeTokens$a);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-switch`);
    const mergedSize = useFormSize(props, config);
    const {
      elementRef,
      focus,
      blur
    } = useFormElement();
    expose({
      focus,
      blur
    });
    const {
      accessor,
      control
    } = useAccessorAndControl({
      valueKey: "checked"
    });
    useFormItemRegister(control);
    const isChecked = computed(() => accessor.value);
    const isDisabled = computed(() => accessor.disabled);
    const handleClick = () => {
      if (isDisabled.value || props.loading) {
        return;
      }
      const oldValue = accessor.value;
      const newValue = !oldValue;
      accessor.setValue(newValue);
      callEmit(props.onChange, newValue, oldValue);
    };
    const handleFocus = (evt) => {
      callEmit(props.onFocus, evt);
    };
    const handleBlur = (evt) => {
      accessor.markAsBlurred();
      callEmit(props.onBlur, evt);
    };
    const classes = computed(() => {
      const {
        loading
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-checked`]: isChecked.value,
        [`${prefixCls}-disabled`]: isDisabled.value,
        [`${prefixCls}-loading`]: loading,
        [`${prefixCls}-${mergedSize.value}`]: true
      });
    });
    onMounted(() => props.autofocus && focus());
    return () => {
      var _a, _b;
      const checked = isChecked.value;
      const label = (_b = (_a = slots.label) == null ? void 0 : _a.call(slots, {
        checked
      })) != null ? _b : props.labels[checked ? 0 : 1];
      const prefixCls = mergedPrefixCls.value;
      return createVNode("button", {
        "ref": elementRef,
        "type": "button",
        "class": classes.value,
        "onClick": handleClick,
        "onFocus": handleFocus,
        "onBlur": handleBlur
      }, [props.loading && createVNode("span", {
        "class": `${prefixCls}-loading-icon`
      }, [createVNode(IxIcon, {
        "name": "loading"
      }, null)]), createVNode("span", {
        "class": `${prefixCls}-label`
      }, [label])]);
    };
  }
});
const IxSwitch = Switch;
function useColumnOffsets(fixedColumns, columnWidthsMap, columnCount) {
  const columnOffsets = computed(() => {
    const { fixedStartColumns, fixedEndColumns, fixedColumnIndexMap } = fixedColumns.value;
    return calculateOffsets(
      fixedStartColumns,
      fixedEndColumns.filter((column) => column.type !== "scroll-bar"),
      fixedColumnIndexMap,
      columnWidthsMap.value,
      columnCount.value - 1
    );
  });
  const columnOffsetsWithScrollBar = computed(() => {
    const { fixedStartColumns, fixedEndColumns, fixedColumnIndexMap } = fixedColumns.value;
    return calculateOffsets(
      fixedStartColumns,
      fixedEndColumns,
      fixedColumnIndexMap,
      columnWidthsMap.value,
      columnCount.value
    );
  });
  return { columnOffsets, columnOffsetsWithScrollBar };
}
function calculateOffsets(startColumns, endColumns, columnIndexMap, columnWidthsMap, columnCount) {
  var _a, _b, _c, _d, _e, _f;
  const startOffsets = {};
  const endOffsets = {};
  let startOffset = 0;
  let endOffset = 0;
  for (let index = 0; index < startColumns.length; index++) {
    const column = startColumns[index];
    const width = (_b = (_a = columnWidthsMap[column.key]) != null ? _a : column.width) != null ? _b : 0;
    startOffsets[column.key] = { index: (_c = columnIndexMap[column.key]) != null ? _c : index, offset: startOffset };
    startOffset += width;
  }
  for (let index = 0; index < endColumns.length; index++) {
    const column = endColumns[endColumns.length - index - 1];
    const width = (_e = (_d = columnWidthsMap[column.key]) != null ? _d : column.width) != null ? _e : 0;
    endOffsets[column.key] = { index: (_f = columnIndexMap[column.key]) != null ? _f : columnCount - index - 1, offset: endOffset };
    endOffset += width;
  }
  return {
    starts: startOffsets,
    ends: endOffsets
  };
}
function useColumnWidthMeasure(flattedColumns) {
  const measuredColumnWidthMap = ref({});
  const changeColumnWidth = (key, width) => {
    if (width === false) {
      delete measuredColumnWidthMap.value[key];
    } else {
      measuredColumnWidthMap.value[key] = width;
    }
  };
  watch(flattedColumns, (columns) => {
    const columnKeySet = new Set(columns.map((column) => column.key));
    Object.keys(measuredColumnWidthMap).forEach((key) => {
      if (!columnKeySet.has(key)) {
        delete measuredColumnWidthMap.value[key];
      }
    });
  });
  return {
    measuredColumnWidthMap,
    changeColumnWidth
  };
}
const tableColumnKey = Symbol("IxTableColumn");
const TableColumn = () => {
};
TableColumn.displayName = "IxTableColumn";
TableColumn[tableColumnKey] = true;
function getColTitle(ellipsis, children, title) {
  if (!ellipsis || isObject(ellipsis) && ellipsis.title === false) {
    return void 0;
  }
  if (isString(children) || isNumber(children)) {
    return children;
  }
  const textNode = flattenNode(children).find((node) => node.type === Text$1);
  if (textNode) {
    return textNode.children;
  }
  return title;
}
function getColumnKey(column) {
  if ("key" in column) {
    return column.key;
  }
  if ("dataKey" in column) {
    return convertArray(column.dataKey).join("-");
  }
  if ("type" in column) {
    return `__IDUX_table_column_key_${column.type}`;
  }
  return uniqueId("__IDUX_table_column_key_");
}
function modifyVirtualData(renderedRow, renderedCols, flattedColumns, flattedData, fixedStartColumns, fixedEndColumns, includeScrollBar = false) {
  const filterColumns = (columns) => columns.filter((column) => column.type !== "scroll-bar");
  const startColumns = includeScrollBar ? fixedStartColumns : filterColumns(fixedStartColumns);
  const endColumns = includeScrollBar ? fixedEndColumns : filterColumns(fixedEndColumns);
  if (!startColumns.length && !endColumns.length) {
    return;
  }
  const rowIndex = flattedData.findIndex((data) => data.rowKey === renderedRow.rowKey);
  const getAppendedColumn = (column) => {
    if (renderedCols.findIndex((col) => col.key === column.key) > -1) {
      return;
    }
    const index = flattedColumns.findIndex((col) => col.key === column.key);
    let poolKey;
    if (isString(column.key)) {
      poolKey = `fix-${rowIndex}-${column.key}`;
    } else {
      poolKey = `fix-${rowIndex}-${index}`;
    }
    return {
      data: column,
      index,
      poolKey
    };
  };
  return {
    start: startColumns.map(getAppendedColumn).filter(Boolean),
    end: endColumns.map(getAppendedColumn).filter(Boolean)
  };
}
function useColumns(props, slots, config, scrollBarSizeOnFixedHolder) {
  const mergedColumns = computed(() => {
    var _a;
    const { columns } = props;
    return mergeColumns(columns && columns.length > 0 ? columns : convertColumns((_a = slots.default) == null ? void 0 : _a.call(slots)), config);
  });
  const { flattedColumns, scrollBarColumn, flattedColumnsWithScrollBar } = useFlattedColumns(
    mergedColumns,
    scrollBarSizeOnFixedHolder
  );
  const { fixedColumns, fixedColumnKeys } = useFixedColumns(flattedColumnsWithScrollBar);
  const hasEllipsis = computed(
    () => !!props.ellipsis || flattedColumns.value.some((column) => column.ellipsis)
  );
  const hasFixed = computed(() => flattedColumns.value.some((column) => column.fixed));
  const mergedRows = computed(() => mergeRows(mergedColumns.value, scrollBarColumn.value));
  return {
    flattedColumns,
    scrollBarColumn,
    flattedColumnsWithScrollBar,
    fixedColumns,
    fixedColumnKeys,
    hasEllipsis,
    hasFixed,
    mergedRows
  };
}
function mergeColumns(columns, config) {
  return columns.map((column) => convertColumn(column, config));
}
function convertColumns(nodes) {
  const columns = [];
  flattenNode(nodes, { key: tableColumnKey }).forEach((node, index) => {
    const { props, children } = node;
    const { key = index, editable, ellipsis, ...newColumn } = props || {};
    newColumn.key = key;
    newColumn.editable = editable || editable === "";
    newColumn.ellipsis = ellipsis || ellipsis === "";
    const { default: defaultSlot, cell, title, expand, icon } = children || {};
    if (defaultSlot) {
      newColumn.children = convertColumns(defaultSlot());
    }
    if (cell) {
      newColumn.customCell = cell;
    }
    if (title) {
      newColumn.customTitle = title;
    }
    if (expand) {
      newColumn.customExpand = expand;
    }
    if (icon) {
      newColumn.customIcon = icon;
    }
    columns.push(newColumn);
  });
  return columns;
}
function resolveColumnAlign(align) {
  if (isString(align)) {
    return { title: align, cell: align };
  }
  return align;
}
function convertColumn(column, config) {
  var _a, _b;
  const { columnBase, columnExpandable, columnSelectable, columnIndexable } = config;
  const { align = columnBase.align } = column;
  const key = getColumnKey(column);
  if ("type" in column) {
    const { type } = column;
    if (type === "expandable") {
      const { showLine = columnExpandable.showLine, icon = columnExpandable.icon } = column;
      return { ...column, key, align: resolveColumnAlign(align), icon, showLine };
    }
    if (type === "selectable") {
      const { multiple = true, showIndex = columnSelectable.showIndex } = column;
      return { ...column, key, align: resolveColumnAlign(align), multiple, showIndex };
    }
    if (type === "indexable") {
      const align2 = (_b = (_a = column.align) != null ? _a : columnIndexable.align) != null ? _b : columnBase.align;
      return { ...columnIndexable, ...column, align: resolveColumnAlign(align2), key };
    }
    return { ...column, key, align: resolveColumnAlign(align) };
  } else {
    const { sortable, filterable, children } = column;
    const newColumn = { ...column, key, align: resolveColumnAlign(align) };
    if (sortable) {
      newColumn.sortable = { ...columnBase.sortable, ...sortable };
    }
    if (filterable) {
      newColumn.filterable = { ...columnBase.filterable, ...filterable };
    }
    if (children == null ? void 0 : children.length) {
      newColumn.children = mergeColumns(children, config);
    }
    return newColumn;
  }
}
function useFlattedColumns(mergedColumns, scrollBarSizeOnFixedHolder) {
  const flattedColumns = computed(() => flatColumns(mergedColumns.value));
  const scrollBarColumn = computed(() => {
    const scrollBarSize = scrollBarSizeOnFixedHolder.value;
    const columns = flattedColumns.value;
    if (scrollBarSize === 0 || columns.length === 0) {
      return void 0;
    }
    const lastColumn = columns[columns.length - 1];
    return {
      key: "__IDUX_table_column_key_scroll-bar",
      type: "scroll-bar",
      fixed: lastColumn && lastColumn.fixed,
      width: scrollBarSize
    };
  });
  const flattedColumnsWithScrollBar = computed(() => {
    const columns = flattedColumns.value;
    const scrollBar = scrollBarColumn.value;
    return scrollBar ? [...columns, scrollBar] : columns;
  });
  return { flattedColumns, scrollBarColumn, flattedColumnsWithScrollBar };
}
function flatColumns(columns) {
  const result = [];
  columns.forEach((column) => {
    const { fixed, children: subColumns } = column;
    if (subColumns == null ? void 0 : subColumns.length) {
      let subFlattedColumns = flatColumns(subColumns);
      if (fixed) {
        subFlattedColumns = subFlattedColumns.map((item) => ({ fixed, ...item }));
      }
      result.push(...subFlattedColumns);
    } else {
      result.push(column);
    }
  });
  return result;
}
function useFixedColumns(flattedColumnsWithScrollBar) {
  const fixedColumns = computed(() => {
    const fixedStartColumns = [];
    const fixedEndColumns = [];
    const fixedColumnIndexMap = {};
    flattedColumnsWithScrollBar.value.forEach((column, index) => {
      const { key, fixed } = column;
      if (fixed === "start") {
        fixedStartColumns.push(column);
        fixedColumnIndexMap[key] = index;
      } else if (fixed === "end") {
        fixedEndColumns.push(column);
        fixedColumnIndexMap[key] = index;
      }
    });
    return { fixedStartColumns, fixedEndColumns, fixedColumnIndexMap };
  });
  const fixedColumnKeys = computed(() => {
    var _a, _b;
    const { fixedStartColumns, fixedEndColumns } = fixedColumns.value;
    return { lastStartKey: (_a = fixedStartColumns[fixedStartColumns.length - 1]) == null ? void 0 : _a.key, firstEndKey: (_b = fixedEndColumns[0]) == null ? void 0 : _b.key };
  });
  return { fixedColumns, fixedColumnKeys };
}
function mergeRows(mergedColumns, scrollBarColumn) {
  const rows = [];
  const offsetIndexMap = {};
  function calculateColSpans(columns, colIndex, rowIndex) {
    var _a;
    (_a = rows[rowIndex]) != null ? _a : rows[rowIndex] = [];
    let colStart = colIndex;
    const titleColSpans = columns.map((column) => {
      var _a2;
      let titleColSpan = (_a2 = column.titleColSpan) != null ? _a2 : 1;
      let hasChildren = false;
      const subColumns = column.children;
      if (subColumns == null ? void 0 : subColumns.length) {
        hasChildren = true;
        const subColumnSpans = calculateColSpans(subColumns, colStart, rowIndex + 1);
        if (isNil(column.titleColSpan)) {
          titleColSpan = subColumnSpans.reduce((total, count) => total + count);
        }
      }
      const colEnd = colStart + titleColSpan - 1;
      rows[rowIndex].push({ ...column, titleColSpan, colStart, colEnd, hasChildren });
      offsetIndexMap[column.key] = { colStart, colEnd };
      colStart += titleColSpan;
      return titleColSpan;
    });
    return titleColSpans;
  }
  const rootColumns = scrollBarColumn ? [...mergedColumns, scrollBarColumn] : mergedColumns;
  calculateColSpans(rootColumns, 0, 0);
  const rowCount = rows.length;
  rows.forEach((columns, rowIndex) => {
    columns.forEach((col) => {
      if (!col.hasChildren) {
        col.titleRowSpan = rowCount - rowIndex;
      }
    });
  });
  return { rows, offsetIndexMap };
}
function useDataSource$1(props, mergedChildrenKey, mergedGetKey, activeSorters, activeFilters, expandedRowKeys, mergedPagination) {
  const mergedData = computed(() => {
    const childrenKey = mergedChildrenKey.value;
    const getKey = mergedGetKey.value;
    return props.dataSource.map(
      (record, idx) => convertMergeData(record, getKey, childrenKey, idx, props.dataSource.length)
    );
  });
  const mergedContext = computed(() => {
    const dataKeyMap = /* @__PURE__ */ new Map();
    const parentKeyMap2 = /* @__PURE__ */ new Map();
    const depthMap2 = /* @__PURE__ */ new Map();
    traverseTree(mergedData.value, "children", (item, parents) => {
      var _a;
      dataKeyMap.set(item.rowKey, item);
      parentKeyMap2.set(item.rowKey, (_a = parents[0]) == null ? void 0 : _a.rowKey);
      depthMap2.set(item.rowKey, parents.length);
    });
    return { dataKeyMap, parentKeyMap: parentKeyMap2, depthMap: depthMap2 };
  });
  const mergedMap = computed(() => mergedContext.value.dataKeyMap);
  const parentKeyMap = computed(() => mergedContext.value.parentKeyMap);
  const depthMap = computed(() => mergedContext.value.depthMap);
  const filteredData = computed(() => filterData(mergedData.value, activeFilters.value, expandedRowKeys.value));
  const sortedData = computed(() => sortData(filteredData.value, activeSorters.value, expandedRowKeys.value));
  const paginatedData = computed(() => {
    const pagination = mergedPagination.value;
    const data = sortedData.value;
    if (pagination === null || !pagination.pageSize) {
      return data;
    } else {
      const { total } = pagination;
      if (total && data.length < total) {
        return data;
      }
      const pageSize = pagination.pageSize;
      const startIndex = (pagination.pageIndex - 1) * pageSize;
      return data.slice(startIndex, startIndex + pageSize);
    }
  });
  const paginatedMap = computed(() => {
    const map = /* @__PURE__ */ new Map();
    traverseTree(paginatedData.value, "children", (item) => {
      map.set(item.rowKey, item);
    });
    return map;
  });
  const flattedData = computed(() => {
    const expandedKeys = expandedRowKeys.value;
    if (expandedKeys.length > 0) {
      return flatData(paginatedData.value, expandedKeys, 0);
    }
    return paginatedData.value;
  });
  const isTreeData = computed(() => mergedData.value.some((data) => {
    var _a;
    return (_a = data.children) == null ? void 0 : _a.length;
  }));
  return {
    isTreeData,
    filteredData,
    flattedData,
    mergedData,
    mergedMap,
    paginatedData,
    paginatedMap,
    parentKeyMap,
    depthMap
  };
}
function convertMergeData(record, getRowKey, childrenKey, index, total, parents) {
  var _a;
  const rowKey = getRowKey(record);
  const result = {
    record,
    rowKey,
    parentKey: parents == null ? void 0 : parents[0].rowKey,
    showLineIndentIndexList: (_a = [...parents != null ? parents : []].reverse()) == null ? void 0 : _a.reduce((res, parent, index2) => {
      if (parent.hasNextSibling) {
        res.push(index2);
      }
      return res;
    }, []),
    hasPrevSibling: index > 0,
    hasNextSibling: index < total - 1
  };
  const subData = record[childrenKey];
  if (subData) {
    result.children = subData.map(
      (subRecord, idx) => convertMergeData(subRecord, getRowKey, childrenKey, idx, subData.length, [result, ...parents != null ? parents : []])
    );
  }
  return result;
}
function sortData(mergedData, activeSorters, expandedRowKeys) {
  const sorters = activeSorters.filter((item) => item.sorter);
  const sorterLength = sorters.length;
  if (sorterLength === 0) {
    return mergedData;
  }
  const tempData = mergedData.slice();
  tempData.forEach((item) => {
    if (expandedRowKeys.includes(item.rowKey) && item.children && item.children.length > 0) {
      item.children = sortData(item.children, activeSorters, expandedRowKeys);
    }
  });
  return tempData.sort((curr, next) => {
    for (let index = 0; index < sorterLength; index++) {
      const { orderBy, sorter } = sorters[index];
      const sorterResult = sorter(curr.record, next.record);
      if (sorterResult !== 0) {
        return orderBy === "ascend" ? sorterResult : -sorterResult;
      }
    }
    return 0;
  });
}
function filterData(mergedData, activeFilters, expandedRowKeys) {
  const filters = activeFilters.filter((item) => item.filter);
  if (filters.length === 0) {
    return mergedData;
  }
  return mergedData.map((item) => {
    const valid = filters.every(({ filter, filterBy }) => filter(filterBy, item.record));
    const { rowKey, children } = item;
    const isExpanded = expandedRowKeys.includes(rowKey);
    let newItem = item;
    if (isExpanded && children && children.length) {
      const newChildren = filterData(children, activeFilters, expandedRowKeys);
      if (newChildren.length !== children.length) {
        newItem = { ...item, children: newChildren };
      }
    }
    return valid || isExpanded && newItem.children && newItem.children.length ? newItem : null;
  }).filter((item) => item !== null);
}
function flatData(mergedData, expandedRowKeys, level) {
  return mergedData.reduce((result, item) => {
    const { children, parentKey, record, rowKey, hasPrevSibling, hasNextSibling, showLineIndentIndexList } = item;
    const expanded = expandedRowKeys.includes(rowKey);
    result.push({
      children,
      parentKey,
      record,
      rowKey,
      level,
      expanded,
      hasPrevSibling,
      hasNextSibling,
      showLineIndentIndexList
    });
    if (expanded && item.children) {
      const childrenFlatData = flatData(item.children, expandedRowKeys, level + 1);
      result.push(...childrenFlatData);
    }
    return result;
  }, []);
}
function useExpandable$2(props, flattedColumns) {
  const expandable = computed(
    () => flattedColumns.value.find((column) => "type" in column && column.type === "expandable")
  );
  const [expandedRowKeys, setExpandedRowKeys] = useControlledProp(props, "expandedRowKeys", () => []);
  const handleExpandChange = (key, record) => {
    const { onChange, onExpand } = expandable.value || {};
    const tempKeys = [...expandedRowKeys.value];
    const index = tempKeys.indexOf(key);
    const expanded = index >= 0;
    if (expanded) {
      tempKeys.splice(index, 1);
    } else {
      tempKeys.push(key);
    }
    callEmit(onExpand, !expanded, record);
    setExpandedRowKeys(tempKeys);
    callEmit(onChange, tempKeys);
  };
  const checkExpandDisabled = (data) => {
    if (!expandable.value) {
      return true;
    }
    const { disabled, customExpand } = expandable.value;
    const { record } = data;
    if (disabled == null ? void 0 : disabled(record)) {
      return true;
    }
    return !(customExpand || data.children && data.children.length > 0);
  };
  return { expandable, expandedRowKeys, setExpandedRowKeys, checkExpandDisabled, handleExpandChange };
}
function useFilterable(flattedColumns) {
  const filterableColumns = computed(() => flattedColumns.value.filter((column) => column.filterable));
  const activeFilterByMap = reactive({});
  const activeFilters = ref([]);
  watch(
    filterableColumns,
    (currColumns, prevColumns) => {
      currColumns.forEach((currColumn) => {
        const { key, filterable } = currColumn;
        const currFilterBy = filterable.filterBy;
        if (currFilterBy || activeFilterByMap[key] === void 0) {
          activeFilterByMap[key] = currFilterBy || [];
          return;
        }
        const prevColumn = prevColumns ? prevColumns.find((column) => column.key === key) : void 0;
        const prevFilterBy = prevColumn == null ? void 0 : prevColumn.filterable.filterBy;
        if (prevFilterBy) {
          activeFilterByMap[key] = [];
        }
      });
      activeFilters.value = getActiveFilters(currColumns, activeFilterByMap);
    },
    { immediate: true }
  );
  const handleFilter = (activeKey, activeFilterable, filterBy) => {
    const { onChange } = activeFilterable;
    activeFilterByMap[activeKey] = filterBy;
    activeFilters.value = getActiveFilters(filterableColumns.value, activeFilterByMap);
    callEmit(onChange, filterBy, activeFilters.value);
  };
  return {
    activeFilters,
    activeFilterByMap,
    handleFilter
  };
}
function getActiveFilters(filterableColumns, activeFilterByMap) {
  return filterableColumns.map((column) => {
    const { key, filterable } = column;
    const { filter, filterBy = activeFilterByMap[key] } = filterable;
    return { key, filter, filterBy };
  }).filter((item) => item.filter && item.filterBy.length > 0);
}
function usePagination$1(props, config, mergedSize) {
  var _a, _b, _c, _d, _e;
  const paginationConfig = useGlobalConfig("pagination");
  const tempPagination = computed(() => {
    const { pagination } = props;
    if (pagination === false) {
      return null;
    }
    return pagination === true ? {} : pagination;
  });
  const tempIndex = ref((_b = (_a = tempPagination.value) == null ? void 0 : _a.pageIndex) != null ? _b : 1);
  const tempSize = ref(
    (_e = (_d = (_c = tempPagination.value) == null ? void 0 : _c.pageSize) != null ? _d : config.pagination.pageSize) != null ? _e : paginationConfig.pageSize
  );
  const handlePageChange = (pageIndex, pageSize) => {
    var _a2;
    tempIndex.value = pageIndex;
    tempSize.value = pageSize;
    callEmit((_a2 = tempPagination.value) == null ? void 0 : _a2.onChange, pageIndex, pageSize);
  };
  const mergedPagination = computed(() => {
    var _a2, _b2;
    const pagination = tempPagination.value;
    if (pagination === null) {
      return null;
    }
    return {
      ...config.pagination,
      size: mergedSize.value,
      ...pagination,
      pageIndex: (_a2 = pagination.pageIndex) != null ? _a2 : tempIndex.value,
      pageSize: (_b2 = pagination.pageSize) != null ? _b2 : tempSize.value,
      onChange: handlePageChange
    };
  });
  return { mergedPagination };
}
function useScroll(props, { setStickyScrollLeft }) {
  const virtualScrollRef = ref();
  const headerVirtualScrollRef = ref();
  const scrollHeadRef = ref();
  const scrollBodyRef = ref();
  const scrollContentRef = ref();
  const scrollFootRef = ref();
  watch(
    virtualScrollRef,
    (instance) => {
      if (instance) {
        scrollBodyRef.value = instance.getHolderElement();
      }
    },
    {
      immediate: true
    }
  );
  watch(
    headerVirtualScrollRef,
    (instance) => {
      if (instance) {
        scrollHeadRef.value = instance.getHolderElement();
        scrollHeadRef.value.style.overflow = "hidden";
      }
    },
    {
      immediate: true
    }
  );
  const resizeMark = useTableResized(scrollBodyRef, scrollContentRef);
  const { handleScroll, pingedStart, pingedEnd } = useScrollRef(
    props,
    virtualScrollRef,
    headerVirtualScrollRef,
    scrollHeadRef,
    scrollBodyRef,
    scrollFootRef,
    resizeMark,
    setStickyScrollLeft
  );
  const { scrollHorizontalOverflowed, scrollVerticalOverflowed } = useScrollOverflowed(scrollBodyRef, resizeMark);
  const scrollWidth = computed(() => {
    var _a;
    return convertCssPixel((_a = props.scroll) == null ? void 0 : _a.width);
  });
  const scrollHeight = computed(() => {
    var _a;
    return convertCssPixel((_a = props.scroll) == null ? void 0 : _a.height);
  });
  const scrollBarSize = computed(() => getScrollBarSize(convertElement(scrollBodyRef)));
  const scrollBarSizeOnFixedHolder = computed(() => scrollVerticalOverflowed.value ? scrollBarSize.value : 0);
  const mergedPingedStart = computed(() => pingedStart.value && scrollHorizontalOverflowed.value);
  const mergedPingedEnd = computed(() => pingedEnd.value && scrollHorizontalOverflowed.value);
  const scrollTo = (options) => {
    var _a;
    if (props.virtual) {
      (_a = virtualScrollRef.value) == null ? void 0 : _a.scrollTo(options);
    } else {
      if (typeof options === "number") {
        scrollToTop({ target: convertElement(scrollBodyRef), top: options, duration: 200 });
      }
    }
  };
  return {
    virtualScrollRef,
    headerVirtualScrollRef,
    scrollHeadRef,
    scrollBodyRef,
    scrollContentRef,
    scrollFootRef,
    handleScroll,
    scrollTo,
    pingedStart: mergedPingedStart,
    pingedEnd: mergedPingedEnd,
    scrollWidth,
    scrollHeight,
    scrollBarSize,
    scrollBarSizeOnFixedHolder,
    scrollHorizontalOverflowed,
    scrollVerticalOverflowed
  };
}
function useScrollRef(props, virtualScrollRef, headerVirtualScrollRef, scrollHeadRef, scrollBodyRef, scrollFootRef, resizeMark, setStickyScrollLeft) {
  const pingedStart = ref(false);
  const pingedEnd = ref(false);
  let timeout;
  const clearTimer = () => {
    if (timeout) {
      clearTimeout(timeout);
      timeout = void 0;
    }
  };
  onBeforeUnmount(() => clearTimer());
  const lockedScrollTargetRef = ref();
  const lockScrollTarget = (target) => {
    lockedScrollTargetRef.value = target;
    clearTimer();
    timeout = setTimeout(() => {
      lockedScrollTargetRef.value = void 0;
      timeout = void 0;
    }, 100);
  };
  const forceScroll = (scrollLeft, target) => {
    if (!target) {
      return;
    }
    if (target.scrollLeft !== scrollLeft) {
      target.scrollLeft = scrollLeft;
    }
  };
  const forceVirtualScroll = (scrollLeft, target) => {
    if (!target) {
      return;
    }
    target.scrollTo({ left: scrollLeft });
  };
  const changeStickyScrollLeft = (scrollLeft) => {
    const scrollBodyElement = convertElement(scrollBodyRef);
    if (!scrollBodyElement) {
      return;
    }
    const { clientWidth, scrollWidth } = scrollBodyElement;
    setStickyScrollLeft(scrollLeft / scrollWidth * clientWidth || 0);
  };
  const handleScroll = (evt, scrollLeft) => {
    const currentTarget = evt == null ? void 0 : evt.currentTarget;
    const mergedScrollLeft = scrollLeft != null ? scrollLeft : currentTarget.scrollLeft;
    const lockedTarget = lockedScrollTargetRef.value;
    if (!lockedTarget || lockedTarget === currentTarget) {
      lockScrollTarget(currentTarget);
      headerVirtualScrollRef.value ? forceVirtualScroll(mergedScrollLeft, headerVirtualScrollRef.value) : forceScroll(mergedScrollLeft, scrollHeadRef.value);
      virtualScrollRef.value ? forceVirtualScroll(mergedScrollLeft, virtualScrollRef.value) : forceScroll(mergedScrollLeft, convertElement(scrollBodyRef));
      forceScroll(mergedScrollLeft, scrollFootRef.value);
      changeStickyScrollLeft(mergedScrollLeft);
    }
    if (currentTarget) {
      const { scrollWidth, clientWidth } = currentTarget;
      pingedStart.value = mergedScrollLeft > 1;
      pingedEnd.value = scrollWidth - clientWidth - mergedScrollLeft > 1;
    }
    if ((evt == null ? void 0 : evt.type) === "scroll") {
      callEmit(props.onScroll, evt);
    }
  };
  watch(resizeMark, () => {
    const currentTarget = convertElement(scrollBodyRef);
    if (currentTarget) {
      handleScroll({ currentTarget });
    }
  });
  return { handleScroll, pingedStart, pingedEnd };
}
function useScrollOverflowed(scrollBodyRef, resizeMark) {
  const scrollHorizontalOverflowed = ref(false);
  const scrollVerticalOverflowed = ref(false);
  const calcScrollOverflowed = () => {
    const bodyEl = convertElement(scrollBodyRef.value);
    if (!bodyEl) {
      scrollHorizontalOverflowed.value = false;
      scrollVerticalOverflowed.value = false;
    } else {
      scrollHorizontalOverflowed.value = bodyEl.scrollWidth > bodyEl.clientWidth;
      scrollVerticalOverflowed.value = bodyEl.scrollHeight > bodyEl.clientHeight;
    }
  };
  watch(resizeMark, calcScrollOverflowed);
  return {
    scrollHorizontalOverflowed,
    scrollVerticalOverflowed
  };
}
function useTableResized(scrollBodyRef, scrollContentRef) {
  const resizeMark = ref(false);
  const handleResize = () => {
    resizeMark.value = !resizeMark.value;
  };
  let stopResizeObservers = [];
  const stopHandler = () => stopResizeObservers.forEach((stop) => stop());
  onMounted(() => {
    stopResizeObservers = [
      useResizeObserver(scrollBodyRef, handleResize),
      useResizeObserver(scrollContentRef, handleResize)
    ];
  });
  onBeforeUnmount(() => stopHandler());
  return resizeMark;
}
function useScrollOnChange(props, config, mergedPagination, activeSorters, activeFilters, scrollTo) {
  const mergedScrollToTopOnChange = computed(() => {
    var _a;
    return (_a = props.scrollToTopOnChange) != null ? _a : config.scrollToTopOnChange;
  });
  let watchStopHandlers = [];
  const startOnChangeWatch = () => {
    watchStopHandlers = [
      watch([() => {
        var _a;
        return (_a = mergedPagination.value) == null ? void 0 : _a.pageIndex;
      }, () => {
        var _a;
        return (_a = mergedPagination.value) == null ? void 0 : _a.pageSize;
      }], () => scrollTo(0)),
      watch([activeFilters, activeSorters], ([currentFilters, currentSorters], [formerFilter, formerSorters]) => {
        if (!compareFilters(currentFilters, formerFilter) || !compareSorters(currentSorters, formerSorters)) {
          scrollTo(0);
        }
      })
    ];
  };
  const stopOnChangeWatch = () => {
    watchStopHandlers.forEach((stop) => stop());
  };
  watch(
    mergedScrollToTopOnChange,
    (scrollToTopOnChange) => {
      stopOnChangeWatch();
      if (scrollToTopOnChange) {
        startOnChangeWatch();
      }
    },
    { immediate: true }
  );
}
function compareFilters(currentFilters, formerFilters) {
  return currentFilters.length === formerFilters.length && currentFilters.every((filter) => {
    const formerFilter = formerFilters.find((f) => f.key === filter.key);
    if (!formerFilter) {
      return false;
    }
    return filter.filter === formerFilter.filter && filter.filterBy.length === formerFilter.filterBy.length && filter.filterBy.every((value) => formerFilter.filterBy.includes(value));
  });
}
function compareSorters(currentSorters, formerSorters) {
  return currentSorters.length === formerSorters.length && currentSorters.every((sorter) => {
    const formerSorter = formerSorters.find((s3) => s3.key === sorter.key);
    if (!formerSorter) {
      return false;
    }
    return sorter.sorter === formerSorter.sorter && sorter.orderBy === formerSorter.orderBy && sorter.multiple === formerSorter.multiple;
  });
}
function useSelectable$1(props, locale2, flattedColumns, { mergedData, mergedMap, paginatedMap, parentKeyMap, depthMap }) {
  const selectable = computed(
    () => flattedColumns.value.find((column) => "type" in column && column.type === "selectable")
  );
  const [selectedRowKeys, setSelectedRowKeys] = useControlledProp(props, "selectedRowKeys", () => []);
  const resolverContext = computed(() => {
    return {
      data: mergedData.value,
      dataMap: mergedMap.value,
      parentKeyMap: parentKeyMap.value,
      depthMap: depthMap.value
    };
  });
  const childrenKey = ref("children");
  const getKey = ref((item) => item.rowKey);
  const cascaderStrategy = computed(() => {
    var _a;
    return ((_a = selectable.value) == null ? void 0 : _a.multiple) ? props.cascaderStrategy : "off";
  });
  const isDisabled = computed(() => {
    var _a;
    const disabled = (_a = selectable.value) == null ? void 0 : _a.disabled;
    return (data) => !!(disabled == null ? void 0 : disabled(data.record));
  });
  const checkStateContext = useTreeCheckState(
    selectedRowKeys,
    resolverContext,
    childrenKey,
    getKey,
    cascaderStrategy,
    isDisabled
  );
  const { checkStateResolver, isCheckDisabled, isChecked, isIndeterminate, toggle, getDataByKeys } = checkStateContext;
  const currentPageRowKeys = computed(() => {
    const enabledRowKeys = [];
    const disabledRowKeys = [];
    paginatedMap.value.forEach((_, key) => {
      if (isCheckDisabled(key)) {
        disabledRowKeys.push(key);
      } else {
        enabledRowKeys.push(key);
      }
    });
    return { enabledRowKeys, disabledRowKeys };
  });
  const currentPageAllSelectState = computed(() => {
    let checked = !!paginatedMap.value.size;
    let allSelected = !!paginatedMap.value.size;
    let someSelected = false;
    for (const key of paginatedMap.value.keys()) {
      if (isChecked(key) || isIndeterminate(key)) {
        someSelected = true;
      } else {
        allSelected = false;
        if (!isCheckDisabled(key)) {
          checked = false;
        }
      }
    }
    if (!allSelected && !someSelected) {
      checked = false;
    }
    return { checked, allSelected, someSelected };
  });
  const currentPageAllSelected = computed(() => currentPageAllSelectState.value.checked);
  const currentPageSomeSelected = computed(
    () => !currentPageAllSelectState.value.allSelected && currentPageAllSelectState.value.someSelected
  );
  const emitChange = (tempRowKeys) => {
    setSelectedRowKeys(tempRowKeys);
    const { onChange } = selectable.value || {};
    if (onChange) {
      const selectedRecords = getDataByKeys(tempRowKeys).map((data) => data.record);
      callEmit(onChange, tempRowKeys, selectedRecords);
    }
  };
  const handleSelectChange = (key, record) => {
    const dataMap = mergedMap.value;
    const currData = dataMap.get(key);
    if (!currData) {
      return;
    }
    const { multiple, onSelect } = selectable.value || {};
    let tempRowKeys = [...selectedRowKeys.value];
    let _checked;
    if (multiple) {
      const { checked, checkedKeys } = toggle(currData);
      _checked = checked;
      tempRowKeys = checkedKeys;
    } else {
      _checked = !isChecked(key);
      tempRowKeys = _checked ? [key] : [];
    }
    callEmit(onSelect, _checked, record);
    emitChange(tempRowKeys);
  };
  const handleHeadSelectChange = () => {
    let newSelectedKeys;
    if (currentPageAllSelected.value) {
      const removedKeys = [];
      paginatedMap.value.forEach((_, key) => {
        if (isCheckDisabled(key)) {
          return;
        }
        if (isChecked(key)) {
          removedKeys.push(key);
        }
      });
      newSelectedKeys = checkStateResolver.removeKeys(selectedRowKeys.value, removedKeys);
    } else {
      const appendedKeys = [];
      paginatedMap.value.forEach((_, key) => {
        if (isCheckDisabled(key)) {
          return;
        }
        if (!isChecked(key)) {
          appendedKeys.push(key);
        }
      });
      newSelectedKeys = checkStateResolver.appendKeys(selectedRowKeys.value, appendedKeys);
    }
    emitChange(newSelectedKeys);
  };
  const mergedSelectableMenus = useMergedMenus(selectable, locale2);
  const handleSelectableMenuClick = useMenuClickHandle(
    selectable,
    checkStateContext,
    mergedMap,
    paginatedMap,
    selectedRowKeys,
    emitChange
  );
  return {
    selectable,
    selectedRowKeys,
    isChecked,
    isIndeterminate,
    isCheckDisabled,
    currentPageRowKeys,
    currentPageAllSelected,
    currentPageSomeSelected,
    handleSelectChange,
    handleHeadSelectChange,
    mergedSelectableMenus,
    handleSelectableMenuClick
  };
}
const allMenuItemKey = Symbol("IDUX_TABLE_KEY_selectable-all");
const invertMenuItemKey = Symbol("IDUX_TABLE_KEY_selectable-invert");
const noneMenuItemKey = Symbol("IDUX_TABLE_KEY_selectable-none");
const pageInvertMenuItemKey = Symbol("IDUX_TABLE_KEY_selectable-pageInvert");
function useMergedMenus(selectable, locale2) {
  return computed(() => {
    const { menus } = selectable.value || {};
    if (!menus || menus.length === 0) {
      return [];
    }
    const { selectAll, selectInvert, selectNone, selectPageInvert } = locale2.table;
    return menus.map((item) => {
      if (isString(item)) {
        if (item === "all") {
          return { type: "item", key: allMenuItemKey, label: selectAll };
        }
        if (item === "invert") {
          return { type: "item", key: invertMenuItemKey, label: selectInvert };
        }
        if (item === "none") {
          return { type: "item", key: noneMenuItemKey, label: selectNone };
        }
        if (item === "pageInvert") {
          return { type: "item", key: pageInvertMenuItemKey, label: selectPageInvert };
        }
        return { type: "item", key: item, label: item };
      }
      return item;
    });
  });
}
function useMenuClickHandle(selectable, checkStateContext, mergedMap, paginatedMap, selectedRowKeys, emitChange) {
  const { checkDisabledKeySet, checkStateResolver, getAllCheckedKeys, isChecked, isCheckDisabled } = checkStateContext;
  const handleSelectAll = () => {
    const { onSelectAll } = selectable.value || {};
    const newSelectedKeys = getAllCheckedKeys([...checkDisabledKeySet.value].filter((key) => !isChecked(key)));
    callEmit(onSelectAll, newSelectedKeys);
    emitChange(newSelectedKeys);
  };
  const handleSelectInvert = () => {
    const { onSelectInvert } = selectable.value || {};
    const appendedKeys = [];
    const removedKeys = [];
    mergedMap.value.forEach((_, key) => {
      if (isCheckDisabled(key)) {
        return;
      }
      if (isChecked(key)) {
        removedKeys.push(key);
      } else {
        appendedKeys.push(key);
      }
    });
    const newSelectedKeys = checkStateResolver.removeKeys(
      checkStateResolver.appendKeys(selectedRowKeys.value, appendedKeys),
      removedKeys
    );
    emitChange(newSelectedKeys);
    callEmit(onSelectInvert, newSelectedKeys);
  };
  const handleSelectNone = () => {
    const { onSelectNone } = selectable.value || {};
    callEmit(onSelectNone);
    emitChange([]);
  };
  const handleSelectPageInvert = () => {
    const { onSelectPageInvert } = selectable.value || {};
    const appendedKeys = [];
    const removedKeys = [];
    paginatedMap.value.forEach((_, key) => {
      if (isCheckDisabled(key)) {
        return;
      }
      if (isChecked(key)) {
        removedKeys.push(key);
      } else {
        appendedKeys.push(key);
      }
    });
    const newSelectedKeys = checkStateResolver.removeKeys(
      checkStateResolver.appendKeys(selectedRowKeys.value, appendedKeys),
      removedKeys
    );
    emitChange(newSelectedKeys);
    callEmit(onSelectPageInvert, newSelectedKeys);
  };
  const menuClickHandles = /* @__PURE__ */ new Map([
    [allMenuItemKey, handleSelectAll],
    [invertMenuItemKey, handleSelectInvert],
    [noneMenuItemKey, handleSelectNone],
    [pageInvertMenuItemKey, handleSelectPageInvert]
  ]);
  return (options) => {
    const key = options.key;
    if (isSymbol(key) && menuClickHandles.has(key)) {
      const handle = menuClickHandles.get(key);
      handle();
      return;
    }
    const { onMenuClick } = selectable.value || {};
    if (!onMenuClick) {
      return;
    }
    const tempRowKeys = [];
    paginatedMap.value.forEach((_, key2) => {
      if (isCheckDisabled(key2)) {
        return;
      }
      tempRowKeys.push(key2);
    });
    callEmit(onMenuClick, options, tempRowKeys);
  };
}
function useSortable(flattedColumns) {
  const sortableColumns = computed(() => flattedColumns.value.filter((column) => column.sortable));
  const multipleEnabled = computed(() => sortableColumns.value.some((column) => column.sortable.multiple !== void 0));
  const activeOrderByMap = reactive({});
  const activeSorters = ref([]);
  watch(
    sortableColumns,
    (currColumns, prevColumns) => {
      currColumns.forEach((currColumn) => {
        const { key, sortable } = currColumn;
        const currOrderBy = sortable.orderBy;
        if (currOrderBy || activeOrderByMap[key] === void 0) {
          activeOrderByMap[key] = currOrderBy;
          return;
        }
        const prevColumn = prevColumns ? prevColumns.find((column) => column.key === key) : void 0;
        const prevOrderBy = prevColumn == null ? void 0 : prevColumn.sortable.orderBy;
        if (prevOrderBy) {
          activeOrderByMap[key] = void 0;
        }
      });
      activeSorters.value = getActiveSorters(currColumns, activeOrderByMap);
    },
    { immediate: true }
  );
  const handleSort = (activeKey, activeSortable) => {
    const { orders, onChange } = activeSortable;
    const currOrderBy = activeOrderByMap[activeKey];
    const nextOrderBy = currOrderBy ? getNextOrderBy(orders, currOrderBy) : getNextOrderBy(orders);
    if (multipleEnabled.value) {
      activeOrderByMap[activeKey] = nextOrderBy;
    } else {
      Object.keys(activeOrderByMap).forEach((key) => {
        if (activeKey === key) {
          activeOrderByMap[key] = nextOrderBy;
        } else {
          activeOrderByMap[key] = void 0;
        }
      });
    }
    activeSorters.value = getActiveSorters(sortableColumns.value, activeOrderByMap);
    callEmit(onChange, nextOrderBy, activeSorters.value);
  };
  return { activeSorters, activeOrderByMap, handleSort };
}
function getNextOrderBy(orders, currOrderBy) {
  if (!currOrderBy) {
    return orders[0];
  }
  return orders[orders.indexOf(currOrderBy) + 1];
}
function getActiveSorters(sortableColumns, activeOrderByMap) {
  return sortableColumns.map((column) => {
    const { key, sortable } = column;
    const { multiple = 0, orderBy = activeOrderByMap[key], sorter } = sortable;
    return { key, multiple, orderBy, sorter };
  }).filter((item) => item.orderBy).sort((c1, c2) => c2.multiple - c1.multiple);
}
function useSticky(props) {
  const isSticky2 = computed(() => !!props.sticky);
  const mergedSticky = computed(() => {
    const { sticky } = props;
    const {
      offsetTop = 0,
      offsetBottom = 0,
      offsetScroll = 0,
      container = window
    } = isPlainObject(sticky) ? sticky : {};
    return {
      offsetTop,
      offsetBottom,
      offsetScroll,
      container
    };
  });
  const [stickyScrollLeft, setStickyScrollLeft] = useState(0);
  return { isSticky: isSticky2, mergedSticky, stickyScrollLeft, setStickyScrollLeft };
}
function useTableLayout(props, { hasEllipsis, hasFixed }, { scrollWidth, scrollHeight }, isSticky2, mergedVirtual, mergedAutoHeight) {
  return computed(() => {
    if (props.tableLayout) {
      return props.tableLayout;
    }
    if (scrollWidth.value && hasFixed.value) {
      return scrollWidth.value === "max-content" ? "auto" : "fixed";
    }
    if (scrollHeight.value || mergedAutoHeight.value || isSticky2.value || hasEllipsis.value || mergedVirtual.value.horizontal || mergedVirtual.value.vertical) {
      return "fixed";
    }
    return "auto";
  });
}
const TABLE_TOKEN = Symbol("TABLE_TOKEN");
const tableBodyToken = Symbol("tableBodyToken");
const tableBodyRowToken = Symbol("tableBodyRowToken");
var ColGroup = /* @__PURE__ */ defineComponent({
  props: {
    isFixedHolder: Boolean,
    columns: Array
  },
  setup(props) {
    const {
      flattedColumns,
      flattedColumnsWithScrollBar,
      measuredColumnWidthMap,
      mergedSelectableMenus,
      mergedPrefixCls
    } = inject(TABLE_TOKEN);
    const resolvedColumns = computed(() => {
      const {
        isFixedHolder,
        columns
      } = props;
      if (!columns) {
        return isFixedHolder ? flattedColumnsWithScrollBar.value : flattedColumns.value;
      }
      return columns;
    });
    return () => {
      if (resolvedColumns.value.every((column) => !column.width && !column.type)) {
        return;
      }
      const prefixCls = mergedPrefixCls.value;
      const children = resolvedColumns.value.map((column) => {
        var _a;
        const {
          key,
          type
        } = column;
        const mergedWidth = props.isFixedHolder ? (_a = measuredColumnWidthMap.value[key]) != null ? _a : column.width : column.width;
        const className = type ? normalizeClass({
          [`${prefixCls}-col-${type}`]: true,
          [`${prefixCls}-col-with-dropdown`]: type === "selectable" && mergedSelectableMenus.value.length > 0
        }) : void 0;
        const style = {
          width: convertCssPixel(mergedWidth),
          minWidth: convertCssPixel(column.minWidth),
          maxWidth: convertCssPixel(column.maxWidth)
        };
        return createVNode("col", {
          "key": key,
          "class": className,
          "style": style
        }, null);
      });
      return createVNode("colgroup", null, [children]);
    };
  }
});
const tableProps = {
  expandedRowKeys: { type: Array, default: void 0 },
  selectedRowKeys: { type: Array, default: void 0 },
  autoHeight: { type: Boolean, default: void 0 },
  borderless: { type: Boolean, default: void 0 },
  childrenKey: { type: String, default: void 0 },
  cascaderStrategy: { type: String, default: "all" },
  columns: { type: Array, default: () => [] },
  customAdditional: { type: Object, default: void 0 },
  customTag: { type: Object, default: void 0 },
  dataSource: { type: Array, default: () => [] },
  ellipsis: { type: [Boolean, Object], default: false },
  empty: { type: [String, Object], default: "default" },
  emptyCell: {
    type: [String, Function],
    default: void 0
  },
  getKey: { type: [String, Function], default: void 0 },
  header: { type: [String, Object], default: void 0 },
  headless: { type: Boolean, default: void 0 },
  insetShadow: { type: Boolean, default: void 0 },
  pagination: { type: [Boolean, Object], default: true },
  scroll: { type: Object, default: void 0 },
  size: { type: String, default: void 0 },
  spin: { type: [Boolean, Object], default: void 0 },
  sticky: { type: [Boolean, Object], default: void 0 },
  scrollToTopOnChange: { type: Boolean, default: void 0 },
  tableLayout: { type: String, default: void 0 },
  virtual: { type: Boolean, default: false },
  virtualScrollMode: { type: String, default: void 0 },
  virtualHorizontal: { type: Boolean, default: false },
  virtualItemHeight: { type: Number, default: void 0 },
  virtualColWidth: { type: Number, default: void 0 },
  virtualBufferSize: { type: Number, default: void 0 },
  virtualBufferOffset: { type: Number, default: void 0 },
  "onUpdate:expandedRowKeys": [Function, Array],
  "onUpdate:selectedRowKeys": [Function, Array],
  onScroll: [Function, Array],
  onScrolledChange: [Function, Array],
  onScrolledBottom: [Function, Array]
};
const tableHeadRowProps = {
  columns: { type: Array, required: true }
};
const tableHeadCellProps = {
  column: { type: Object, required: true }
};
const tableBodyRowProps = {
  expanded: { type: Boolean, default: void 0 },
  rowIndex: { type: Number, required: true },
  level: { type: Number, default: void 0 },
  hasPrevSibling: { type: Boolean, default: void 0 },
  hasNextSibling: { type: Boolean, default: void 0 },
  showLineIndentIndexList: { type: Array, default: () => [] },
  hasChildren: { type: Boolean, default: void 0 },
  record: { type: Object, required: true },
  rowData: { type: Object, required: true },
  rowKey: { type: [String, Number, Symbol], required: true }
};
const tableBodyCellProps = {
  column: { type: Object, required: true },
  isLast: { type: Boolean, required: true },
  colSpan: Number,
  rowSpan: Number
};
const tableMeasureCellProps = {
  cellKey: { type: [String, Number, Symbol], required: true },
  changeColumnWidth: { type: Function, required: true }
};
const tableFilterableTriggerProps = {
  activeFilterBy: { type: Array, required: true },
  filterable: { type: Object, required: true },
  onUpdateFilterBy: { type: Function, required: true }
};
const tableSortableTriggerProps = {
  activeOrderBy: { type: String, default: void 0 },
  sortable: { type: Object, required: true }
};
var FilterableTrigger = /* @__PURE__ */ defineComponent({
  props: tableFilterableTriggerProps,
  setup(props) {
    const {
      slots,
      config,
      locale: locale2,
      mergedPrefixCls
    } = inject(TABLE_TOKEN);
    const multiple = computed(() => {
      var _a;
      return (_a = props.filterable.multiple) != null ? _a : config.columnBase.filterable.multiple;
    });
    const footer = computed(() => {
      var _a;
      return (_a = props.filterable.footer) != null ? _a : config.columnBase.filterable.footer;
    });
    const initSelectedKeys = props.activeFilterBy;
    const [selectedKeys, setSelectedKeys] = useState(() => initSelectedKeys);
    watch(() => props.activeFilterBy, (keys2) => setSelectedKeys(keys2));
    const [visible, setVisible] = useState(false);
    const onUpdateVisible = (value) => {
      setVisible(value);
      if (!value) {
        props.onUpdateFilterBy(selectedKeys.value);
      }
    };
    const handleConfirm = () => {
      setVisible(false);
      props.onUpdateFilterBy(selectedKeys.value);
    };
    const handleReset = () => {
      setSelectedKeys(initSelectedKeys);
    };
    const customLabel = (item) => {
      const prefixCls = `${mergedPrefixCls.value}-filterable-menu-label`;
      const Node = multiple.value ? IxCheckbox : IxRadio;
      return createVNode("span", {
        "class": prefixCls
      }, [createVNode(Node, {
        "checked": item.selected,
        "disabled": item.disabled
      }, null), createVNode("span", {
        "class": `${prefixCls}-content`
      }, [item.label])]);
    };
    const renderOverlay = () => {
      const children = [];
      const {
        customMenu,
        menus
      } = props.filterable;
      if (isFunction(customMenu)) {
        children.push(customMenu({
          selectedKeys: selectedKeys.value,
          setSelectedKeys
        }));
      } else if (isString(customMenu) && slots[customMenu]) {
        children.push(slots[customMenu]({
          selectedKeys: selectedKeys.value,
          setSelectedKeys
        }));
      } else {
        children.push(renderMenu(menus, multiple, selectedKeys, setSelectedKeys, customLabel));
      }
      if (footer.value) {
        children.push(renderFooter$1(locale2, mergedPrefixCls, handleConfirm, handleReset));
      }
      return children;
    };
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-filterable-trigger`;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-active`]: props.activeFilterBy.length > 0
      });
    });
    const renderTrigger2 = () => {
      const {
        customTrigger
      } = props.filterable;
      if (isFunction(customTrigger)) {
        return customTrigger();
      }
      if (isString(customTrigger) && slots[customTrigger]) {
        return slots[customTrigger]();
      }
      return createVNode("span", {
        "class": classes.value,
        "onClick": (evt) => evt.stopPropagation()
      }, [createVNode(IxIcon, {
        "name": "filter-filled"
      }, null)]);
    };
    return () => {
      const dropdownProps2 = {
        visible: visible.value,
        hideOnClick: !footer.value,
        placement: "bottomEnd",
        trigger: "click",
        "onUpdate:visible": onUpdateVisible
      };
      return createVNode(IxDropdown, dropdownProps2, {
        default: renderTrigger2,
        overlay: renderOverlay
      });
    };
  }
});
const renderMenu = (menus, multiple, selectedKeys, setSelectedKeys, customLabel) => {
  const menuProps2 = {
    dataSource: menus,
    multiple: multiple.value,
    selectable: true,
    selectedKeys: selectedKeys.value,
    "onUpdate:selectedKeys": setSelectedKeys
  };
  const slots = {
    itemLabel: customLabel
  };
  return createVNode(IxMenu, menuProps2, slots);
};
const renderFooter$1 = (locale2, mergedPrefixCls, handleConfirm, handleReset) => {
  const {
    filterConfirm,
    filterReset
  } = locale2.table;
  return createVNode("div", {
    "class": `${mergedPrefixCls.value}-filterable-trigger-footer`
  }, [createVNode(IxButton, {
    "mode": "primary",
    "size": "xs",
    "onClick": handleConfirm
  }, {
    default: () => [filterConfirm]
  }), createVNode(IxButton, {
    "size": "xs",
    "onClick": handleReset
  }, {
    default: () => [filterReset]
  })]);
};
var SelectableTrigger = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      mergedPrefixCls,
      paginatedMap,
      selectable,
      currentPageRowKeys,
      currentPageAllSelected,
      currentPageSomeSelected,
      handleHeadSelectChange,
      mergedSelectableMenus,
      handleSelectableMenuClick
    } = inject(TABLE_TOKEN);
    const disabled = computed(() => {
      const dataCount = paginatedMap.value.size;
      return dataCount === 0 || dataCount === currentPageRowKeys.value.disabledRowKeys.length;
    });
    const [visible, setVisible] = useState(false);
    const dropdownProps2 = {
      "onUpdate:visible": setVisible,
      trigger: "click"
    };
    const renderOverlay = () => createVNode(IxMenu, {
      "dataSource": mergedSelectableMenus.value,
      "onClick": handleSelectableMenuClick
    }, null);
    const renderTrigger2 = () => createVNode(IxIcon, {
      "class": `${mergedPrefixCls.value}-selectable-trigger`,
      "name": "down",
      "rotate": visible.value ? 180 : 0
    }, null);
    const renderDropDown = () => {
      if (mergedSelectableMenus.value.length === 0) {
        return;
      }
      return createVNode(IxDropdown, dropdownProps2, {
        default: renderTrigger2,
        overlay: renderOverlay
      });
    };
    return () => {
      const {
        multiple
      } = selectable.value;
      if (!multiple) {
        return;
      }
      return createVNode("span", {
        "class": `${mergedPrefixCls.value}-cell-triggers`
      }, [createVNode(IxCheckbox, {
        "checked": currentPageAllSelected.value,
        "indeterminate": currentPageSomeSelected.value,
        "disabled": disabled.value,
        "onChange": handleHeadSelectChange
      }, null), renderDropDown()]);
    };
  }
});
var SortableTrigger = /* @__PURE__ */ defineComponent({
  props: tableSortableTriggerProps,
  setup(props) {
    const {
      locale: locale2,
      mergedPrefixCls
    } = inject(TABLE_TOKEN);
    return () => {
      const {
        activeOrderBy,
        sortable
      } = props;
      const {
        orders,
        nextTooltip
      } = sortable;
      const title = nextTooltip && getNextTooltipTitle(locale2.table, orders, activeOrderBy);
      const sortableTriggerNode = renderSortTrigger(mergedPrefixCls, orders, activeOrderBy);
      return title ? createVNode(IxTooltip, {
        "title": title
      }, {
        default: () => [sortableTriggerNode]
      }) : sortableTriggerNode;
    };
  }
});
function getNextTooltipTitle(locale2, orders, activeOrderBy) {
  const nextOrderBy = activeOrderBy ? orders[orders.indexOf(activeOrderBy) + 1] : orders[0];
  const {
    sortCancel,
    sortAsc,
    sortDesc
  } = locale2;
  if (!nextOrderBy) {
    return sortCancel;
  }
  return nextOrderBy === "ascend" ? sortAsc : sortDesc;
}
function renderSortTrigger(mergedPrefixCls, orders, activeOrderBy) {
  const prefixCls = mergedPrefixCls.value;
  const activeClassName = `${prefixCls}-sortable-trigger-active`;
  const upNode = orders.includes("ascend") && createVNode(IxIcon, {
    "name": "caret-up-filled",
    "class": activeOrderBy === "ascend" ? activeClassName : void 0
  }, null);
  const downNode = orders.includes("descend") && createVNode(IxIcon, {
    "name": "caret-down-filled",
    "class": activeOrderBy === "descend" ? activeClassName : void 0
  }, null);
  return createVNode("span", {
    "class": `${prefixCls}-sortable-trigger`
  }, [upNode, downNode]);
}
var HeadCell = /* @__PURE__ */ defineComponent({
  props: tableHeadCellProps,
  setup(props) {
    const {
      props: tableProps2,
      slots,
      mergedPrefixCls,
      fixedColumnKeys,
      columnOffsetsWithScrollBar,
      isSticky: isSticky2,
      handleSort,
      activeOrderByMap,
      activeFilterByMap,
      mergedRows,
      handleFilter
    } = inject(TABLE_TOKEN);
    const mergedEllipsis = computed(() => {
      const {
        type,
        ellipsis
      } = props.column;
      const _ellipsis = type ? ellipsis : ellipsis != null ? ellipsis : tableProps2.ellipsis;
      return isObject(_ellipsis) && _ellipsis.head === false ? void 0 : _ellipsis;
    });
    const classes = computed(() => {
      const {
        type,
        align,
        fixed,
        hasChildren,
        key,
        sortable,
        filterable
      } = props.column;
      const prefixCls = mergedPrefixCls.value;
      let classes2 = {
        [`${prefixCls}-cell`]: true,
        [`${prefixCls}-cell-${type}`]: !!type,
        [`${prefixCls}-cell-filterable`]: !!filterable,
        [`${prefixCls}-cell-sortable`]: !!sortable,
        [`${prefixCls}-cell-align-center`]: hasChildren || (align == null ? void 0 : align.title) === "center",
        [`${prefixCls}-cell-align-end`]: !hasChildren && (align == null ? void 0 : align.title) === "end",
        [`${prefixCls}-cell-ellipsis`]: !!mergedEllipsis.value
      };
      if (fixed) {
        const {
          lastStartKey,
          firstEndKey
        } = fixedColumnKeys.value;
        classes2 = {
          ...classes2,
          [`${prefixCls}-fix-start`]: fixed === "start",
          [`${prefixCls}-fix-start-last`]: lastStartKey === key,
          [`${prefixCls}-fix-end`]: fixed === "end",
          [`${prefixCls}-fix-end-first`]: firstEndKey === key,
          [`${prefixCls}-fix-sticky`]: isSticky2.value
        };
      }
      return normalizeClass(classes2);
    });
    const style = computed(() => {
      var _a, _b;
      const {
        key,
        fixed
      } = props.column;
      const {
        offsetIndexMap
      } = mergedRows.value;
      if (!fixed) {
        return;
      }
      const {
        starts,
        ends
      } = columnOffsetsWithScrollBar.value;
      const offsets = Object.values(fixed === "start" ? starts : ends);
      const offsetIndex = (_a = offsetIndexMap[key]) == null ? void 0 : _a[fixed === "start" ? "colStart" : "colEnd"];
      if (isNil(offsetIndex)) {
        return {};
      }
      const fixedOffset = convertCssPixel((_b = offsets.find((offset) => offset.index === offsetIndex)) == null ? void 0 : _b.offset);
      return {
        position: "sticky",
        left: fixed === "start" ? fixedOffset : void 0,
        right: fixed === "end" ? fixedOffset : void 0
      };
    });
    const activeSortOrderBy = computed(() => activeOrderByMap[props.column.key]);
    const activeFilterBy = computed(() => activeFilterByMap[props.column.key] || NoopArray);
    const onUpdateFilterBy = (filterBy) => {
      const {
        key,
        filterable
      } = props.column;
      handleFilter(key, filterable, filterBy);
    };
    const onClick = () => {
      const {
        key,
        sortable
      } = props.column;
      if (sortable) {
        handleSort(key, sortable);
      }
    };
    return () => {
      var _a, _b, _c;
      const {
        column
      } = props;
      const {
        type,
        titleColSpan,
        titleRowSpan
      } = column;
      if (type === "scroll-bar") {
        return createVNode("th", {
          "class": classes.value,
          "style": style.value,
          "colspan": titleColSpan === 1 ? void 0 : titleColSpan,
          "rowspan": titleRowSpan === 1 ? void 0 : titleRowSpan,
          "onClick": onClick
        }, null);
      }
      const prefixCls = mergedPrefixCls.value;
      let _title;
      let children;
      if (type === "selectable") {
        children = createVNode(SelectableTrigger, null, null);
      } else {
        const {
          title,
          customTitle,
          sortable,
          filterable
        } = column;
        const ellipsis = mergedEllipsis.value;
        children = renderChildren$1(title, customTitle, slots);
        _title = getColTitle(ellipsis, children, title);
        const iconTriggers = renderTrigger(sortable, activeSortOrderBy, filterable, activeFilterBy, onUpdateFilterBy);
        if (iconTriggers.length > 0) {
          children = createVNode("span", {
            "class": `${prefixCls}-cell-triggers`
          }, [createVNode("span", {
            "class": `${prefixCls}-cell-title`
          }, [children]), iconTriggers]);
        } else if (ellipsis) {
          children = createVNode("span", {
            "class": `${prefixCls}-cell-title`
          }, [children]);
        }
      }
      const customAdditionalFn = (_a = tableProps2.customAdditional) == null ? void 0 : _a.headCell;
      const customAdditional = customAdditionalFn ? customAdditionalFn({
        column
      }) : void 0;
      const Tag2 = (_c = (_b = tableProps2.customTag) == null ? void 0 : _b.headCell) != null ? _c : "th";
      return createVNode(Tag2, mergeProps({
        "class": classes.value,
        "style": style.value,
        "colSpan": titleColSpan === 1 ? void 0 : titleColSpan,
        "rowSpan": titleRowSpan === 1 ? void 0 : titleRowSpan,
        "title": _title
      }, customAdditional, {
        "onClick": onClick
      }), {
        default: () => [children]
      });
    };
  }
});
function renderChildren$1(title, customTitle, slots) {
  let children = title;
  if (isFunction(customTitle)) {
    children = customTitle({
      title
    });
  } else if (isString(customTitle) && slots[customTitle]) {
    children = slots[customTitle]({
      title
    });
  }
  return children;
}
function renderTrigger(sortable, activeSortOrderBy, filterable, activeFilterBy, onUpdateFilterBy) {
  const children = [];
  sortable && children.push(createVNode(SortableTrigger, {
    "activeOrderBy": activeSortOrderBy.value,
    "sortable": sortable
  }, null));
  if (filterable) {
    children.push(createVNode(FilterableTrigger, {
      "activeFilterBy": activeFilterBy.value,
      "filterable": filterable,
      "onUpdateFilterBy": onUpdateFilterBy
    }, null));
  }
  return children;
}
function renderHeaderCells(columns) {
  return columns.map((column) => renderHeaderCell(column)).filter(Boolean);
}
function renderHeaderCell(column) {
  if (column.titleColSpan === 0) {
    return;
  }
  return createVNode(HeadCell, {
    "key": column.key,
    "column": column
  }, null);
}
var HeaderRow = /* @__PURE__ */ defineComponent({
  props: tableHeadRowProps,
  setup(props, {
    slots
  }) {
    const {
      props: tableProps2,
      mergedPrefixCls
    } = inject(TABLE_TOKEN);
    return () => {
      var _a, _b, _c;
      const {
        columns
      } = props;
      const customAdditionalFn = (_a = tableProps2.customAdditional) == null ? void 0 : _a.headRow;
      const customAdditional = customAdditionalFn ? customAdditionalFn({
        columns
      }) : void 0;
      const Tag2 = (_c = (_b = tableProps2.customTag) == null ? void 0 : _b.headRow) != null ? _c : "tr";
      return createVNode(Tag2, mergeProps({
        "class": `${mergedPrefixCls.value}-row`
      }, customAdditional), {
        default: () => {
          var _a2;
          return [(_a2 = slots.default) == null ? void 0 : _a2.call(slots)];
        }
      });
    };
  }
});
function renderHeaderRow(columns, index, headerCells) {
  return createVNode(HeaderRow, {
    "columns": columns,
    "key": index
  }, {
    default: () => [headerCells]
  });
}
var Head = /* @__PURE__ */ defineComponent({
  setup(_, {
    slots
  }) {
    const {
      props: tableProps2,
      mergedRows,
      mergedPrefixCls
    } = inject(TABLE_TOKEN);
    return () => {
      var _a, _b, _c;
      let children;
      const {
        rows
      } = mergedRows.value;
      const customAdditionalFn = (_a = tableProps2.customAdditional) == null ? void 0 : _a.head;
      const customAdditional = customAdditionalFn ? customAdditionalFn({
        rows
      }) : void 0;
      const Tag2 = (_c = (_b = tableProps2.customTag) == null ? void 0 : _b.head) != null ? _c : "thead";
      if (slots.default) {
        children = slots.default();
      } else {
        children = rows.map((columns, rowIndex) => {
          const cells = renderHeaderCells(columns);
          return renderHeaderRow(columns, rowIndex, cells);
        });
      }
      return createVNode(Tag2, mergeProps({
        "class": `${mergedPrefixCls.value}-thead`
      }, customAdditional), {
        default: () => [children]
      });
    };
  }
});
var FixedHolder = /* @__PURE__ */ defineComponent({
  props: {
    offsetTop: {
      type: Number,
      default: void 0
    },
    offsetBottom: {
      type: Number,
      default: void 0
    }
  },
  setup(props) {
    const {
      props: tableProps2,
      mergedPrefixCls,
      mergedVirtual,
      mergedVirtualColWidth,
      getVirtualColWidth,
      headerVirtualScrollRef,
      handleScroll,
      scrollHeadRef,
      scrollWidth,
      flattedData,
      flattedColumns,
      fixedColumns,
      mergedRows,
      isSticky: isSticky2
    } = inject(TABLE_TOKEN);
    useScrollEvents(scrollHeadRef, handleScroll);
    const isMaxContent = computed(() => scrollWidth.value === "max-content");
    const hasData = computed(() => flattedData.value.length > 0);
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return {
        [`${prefixCls}-fixed-holder`]: true,
        [`${prefixCls}-sticky-holder`]: isSticky2.value
      };
    });
    const style = computed(() => {
      const sticky = isSticky2.value;
      const {
        offsetTop,
        offsetBottom
      } = props;
      return {
        overflow: "hidden",
        top: sticky ? convertCssPixel(offsetTop) : void 0,
        bottom: sticky ? convertCssPixel(offsetBottom) : void 0
      };
    });
    const virtualData = computed(() => {
      if (!mergedVirtual.value.horizontal) {
        return [];
      }
      return mergedRows.value.rows.map((columns, rowIdx) => {
        return {
          key: rowIdx,
          data: columns
        };
      });
    });
    return () => {
      const showColGroup = hasData.value || !isMaxContent.value;
      if (mergedVirtual.value.horizontal) {
        const contentRender = (children, {
          renderedData
        }) => {
          let flattedColumns2 = [];
          if (showColGroup) {
            const columns = [];
            renderedData.forEach((row) => {
              columns.push(...row.data);
            });
            flattedColumns2 = flatColumns(columns);
          }
          return createVNode("table", {
            "style": {
              tableLayout: "fixed"
            }
          }, [showColGroup && createVNode(ColGroup, {
            "columns": flattedColumns2,
            "isFixedHolder": true
          }, null), createVNode(Head, null, {
            default: () => [children]
          })]);
        };
        const rowRender = ({
          item,
          index,
          children
        }) => renderHeaderRow(item.data, index, children);
        const colRneder = ({
          item
        }) => renderHeaderCell(item);
        const colModifier = (renderedRow, renderedCols) => {
          const {
            fixedStartColumns,
            fixedEndColumns
          } = fixedColumns.value;
          return modifyVirtualData(renderedRow, renderedCols, flattedColumns.value, flattedData.value, fixedStartColumns, fixedEndColumns, true);
        };
        const {
          virtualBufferSize,
          virtualBufferOffset
        } = tableProps2;
        return createVNode("div", {
          "class": classes.value,
          "style": style.value
        }, [createVNode(CdkVirtualScroll, {
          "ref": headerVirtualScrollRef,
          "dataSource": virtualData.value,
          "colModifier": colModifier,
          "getKey": "key",
          "height": 0,
          "width": "100%",
          "colWidth": mergedVirtualColWidth.value,
          "getColWidth": getVirtualColWidth,
          "rowRender": rowRender,
          "colRender": colRneder,
          "contentRender": contentRender,
          "virtual": {
            horizontal: true,
            vertical: false
          },
          "bufferSize": virtualBufferSize,
          "bufferOffset": virtualBufferOffset
        }, null)]);
      }
      return createVNode("div", {
        "class": classes.value,
        "style": style.value,
        "ref": scrollHeadRef
      }, [createVNode("table", {
        "style": {
          tableLayout: "fixed"
        }
      }, [showColGroup && createVNode(ColGroup, {
        "isFixedHolder": true
      }, null), createVNode(Head, null, null)])]);
    };
  }
});
function useScrollEvents(scrollHeadRef, handleScroll) {
  const onWheel = (evt) => {
    if (!evt.shiftKey) {
      return;
    }
    const delta = evt.deltaY;
    const currentTarget = evt.currentTarget;
    if (delta) {
      const scrollLeft = currentTarget.scrollLeft + delta;
      handleScroll(evt, scrollLeft);
    }
  };
  const bindWheelEvt = (el) => {
    on(el, "wheel", onWheel, {
      passive: true
    });
  };
  const unbindWheelEvt = (el) => {
    off(el, "wheel", onWheel);
  };
  onMounted(() => {
    watch(scrollHeadRef, (scrollHead, oldScrollHead) => {
      unbindWheelEvt(oldScrollHead);
      bindWheelEvt(scrollHead);
    }, {
      immediate: true
    });
  });
  onBeforeUnmount(() => unbindWheelEvt(scrollHeadRef.value));
}
var StickyScroll = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      mergedPrefixCls,
      scrollBodyRef,
      handleScroll,
      mergedSticky,
      stickyScrollLeft,
      setStickyScrollLeft
    } = inject(TABLE_TOKEN);
    const isShow = ref(false);
    const isActive = ref(false);
    const delta = ref(0);
    const bodyClientWidth = ref(0);
    const bodyScrollWidth = ref(0);
    const scrollBarWidth = computed(() => {
      const clientWidth = bodyClientWidth.value;
      const scrollWidth = bodyScrollWidth.value;
      return scrollWidth && clientWidth * (clientWidth / scrollWidth);
    });
    watchEffect(() => {
      const scrollBodyElement = convertElement(scrollBodyRef);
      if (!scrollBodyElement) {
        return;
      }
      if (isShow.value) {
        const {
          clientWidth,
          scrollWidth,
          scrollLeft
        } = scrollBodyElement;
        setStickyScrollLeft(scrollLeft / scrollWidth * clientWidth);
        bodyClientWidth.value = clientWidth;
        bodyScrollWidth.value = scrollWidth;
      }
    });
    const style = computed(() => {
      return {
        height: getScrollBarSize(),
        width: bodyClientWidth.value,
        bottom: mergedSticky.value.offsetScroll
      };
    });
    const thumbClasses = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return {
        [`${prefixCls}-sticky-scrollbar-thumb`]: true,
        [`${prefixCls}-sticky-scrollbar-thumb-active`]: isActive.value
      };
    });
    const thumbStyle = computed(() => {
      return {
        width: `${scrollBarWidth.value}px`,
        transform: `translate3d(${stickyScrollLeft.value}px, 0, 0)`
      };
    });
    const handleMouseUp = () => isActive.value = false;
    const handleMouseDown = (evt) => {
      delta.value = evt.pageX - stickyScrollLeft.value;
      isActive.value = true;
      evt.preventDefault();
    };
    const handleMouseMove = (evt) => {
      if (!isActive.value) {
        return;
      }
      const {
        buttons
      } = evt || window.event;
      if (buttons === 0) {
        isActive.value = false;
        return;
      }
      let left = evt.pageX - delta.value;
      if (left <= 0) {
        left = 0;
      }
      const clientWidth = bodyClientWidth.value;
      const scrollWidth = bodyScrollWidth.value;
      const barWidth = scrollBarWidth.value;
      if (left + barWidth >= clientWidth) {
        left = clientWidth - barWidth;
      }
      const scrollLeft = left / clientWidth * (scrollWidth + 2);
      handleScroll(evt, scrollLeft);
    };
    const handleContainerScroll = () => {
      const scrollBodyElement = convertElement(scrollBodyRef);
      const offsetTop = getOffset(scrollBodyElement).top;
      const offsetBottom = offsetTop + scrollBodyElement.offsetHeight;
      const {
        container,
        offsetScroll
      } = mergedSticky.value;
      const offsetClient = container === window ? document.documentElement.scrollTop + window.innerHeight : getOffset(container).top + container.clientHeight;
      if (offsetBottom - getScrollBarSize() <= offsetClient || offsetTop >= offsetClient - offsetScroll) {
        isShow.value = false;
      } else {
        isShow.value = true;
      }
    };
    onMounted(() => {
      on(document.body, "mouseup", handleMouseUp);
      on(document.body, "mousemove", handleMouseMove);
      on(window, "resize", handleContainerScroll);
      watch(() => mergedSticky.value.container, (currContainer, oldContainer) => {
        off(oldContainer, "scroll", handleContainerScroll);
        on(currContainer, "scroll", handleContainerScroll);
      }, {
        immediate: true
      });
      handleContainerScroll();
    });
    onBeforeUnmount(() => {
      off(document.body, "mouseup", handleMouseUp);
      off(document.body, "mousemove", handleMouseMove);
      off(window, "resize", handleContainerScroll);
      off(mergedSticky.value.container, "scroll", handleContainerScroll);
    });
    return () => {
      if (!scrollBodyRef.value || !isShow.value || bodyScrollWidth.value <= bodyClientWidth.value || !scrollBarWidth.value) {
        return null;
      }
      return createVNode("div", {
        "class": `${mergedPrefixCls.value}-sticky-scrollbar`,
        "style": style.value
      }, [createVNode("div", {
        "class": thumbClasses.value,
        "style": thumbStyle.value,
        "onMousedown": handleMouseDown
      }, null)]);
    };
  }
});
var Body$1 = /* @__PURE__ */ defineComponent({
  setup(_, {
    slots
  }) {
    const {
      props,
      mergedPrefixCls
    } = inject(TABLE_TOKEN);
    return () => {
      var _a, _b;
      const Tag2 = (_b = (_a = props.customTag) == null ? void 0 : _a.body) != null ? _b : "tbody";
      return createVNode(Tag2, {
        "class": `${mergedPrefixCls.value}-tbody`
      }, {
        default: () => {
          var _a2;
          return [(_a2 = slots.default) == null ? void 0 : _a2.call(slots)];
        }
      });
    };
  }
});
var BodyRowSingle = /* @__PURE__ */ defineComponent({
  props: {
    columns: Array,
    isEmpty: Boolean
  },
  setup(props, {
    slots
  }) {
    const {
      clientWidth,
      mergedPrefixCls,
      hasFixed,
      scrollHorizontalOverflowed,
      scrollBarColumn
    } = inject(TABLE_TOKEN);
    const columnCount = computed(() => {
      var _a, _b;
      return (_b = (_a = props.columns) == null ? void 0 : _a.length) != null ? _b : 1;
    });
    return () => {
      let children = slots.default();
      if (props.isEmpty ? scrollHorizontalOverflowed.value : hasFixed.value) {
        const scrollBar = scrollBarColumn.value;
        children = createVNode("div", {
          "class": `${mergedPrefixCls.value}-fixed-row`,
          "style": {
            width: convertCssPixel(clientWidth.value - (scrollBar ? scrollBar.width : 0)),
            position: "sticky",
            left: 0,
            overflow: "hidden"
          }
        }, [children]);
      }
      return createVNode("tr", null, [createVNode("td", {
        "colspan": columnCount.value
      }, [children])]);
    };
  }
});
var MeasureCell = /* @__PURE__ */ defineComponent({
  props: tableMeasureCellProps,
  setup(props) {
    const cellRef = ref();
    const handleResize = (evt) => {
      const {
        contentRect: {
          width
        }
      } = evt;
      props.changeColumnWidth(props.cellKey, width);
    };
    useResizeObserver(cellRef, handleResize);
    onBeforeUnmount(() => {
      props.changeColumnWidth(props.cellKey, false);
    });
    return () => createVNode("td", {
      "ref": cellRef,
      "style": {
        padding: 0,
        border: 0,
        height: 0
      }
    }, [createVNode("div", {
      "style": {
        height: 0,
        overflow: "hidden"
      }
    }, [createTextVNode("\xA0")])]);
  }
});
var MeasureRow = /* @__PURE__ */ defineComponent({
  props: {
    columns: Array
  },
  setup(props) {
    const {
      mergedPrefixCls
    } = inject(TABLE_TOKEN);
    const {
      changeColumnWidth
    } = inject(tableBodyToken);
    return () => {
      var _a;
      const children = (_a = props.columns) == null ? void 0 : _a.map((column) => {
        const {
          key
        } = column;
        const cellProps = {
          key,
          cellKey: key,
          changeColumnWidth
        };
        return createVNode(MeasureCell, cellProps, null);
      });
      return createVNode("tr", {
        "class": `${mergedPrefixCls.value}-measure-row`,
        "style": {
          fontSize: 0,
          height: 0
        },
        "aria-hidden": true
      }, [children]);
    };
  }
});
var BodyCell = /* @__PURE__ */ defineComponent({
  props: tableBodyCellProps,
  setup(props) {
    const {
      props: tableProps2,
      slots,
      config,
      mergedPrefixCls,
      mergedEmptyCell,
      activeOrderByMap,
      fixedColumnKeys,
      columnOffsets,
      isSticky: isSticky2,
      isTreeData,
      expandable,
      selectable,
      mergedPagination
    } = inject(TABLE_TOKEN);
    const rowContext = inject(tableBodyRowToken);
    const rowProps2 = rowContext.props;
    const activeSortOrderBy = computed(() => activeOrderByMap[props.column.key]);
    const dataValue = useDataValue(rowContext, props);
    const isFixStartLast = computed(() => fixedColumnKeys.value.lastStartKey === props.column.key);
    const isFixEndFirst = computed(() => fixedColumnKeys.value.firstEndKey === props.column.key);
    const mergedEllipsis = computed(() => {
      const {
        type,
        ellipsis
      } = props.column;
      return type ? ellipsis : ellipsis != null ? ellipsis : tableProps2.ellipsis;
    });
    const classes = computed(() => {
      const {
        fixed,
        align,
        type
      } = props.column;
      const prefixCls = mergedPrefixCls.value;
      let classes2 = {
        [`${prefixCls}-cell`]: true,
        [`${prefixCls}-cell-sorted`]: !!activeSortOrderBy.value,
        [`${prefixCls}-cell-align-${align.cell}`]: !!align && align.cell != "start",
        [`${prefixCls}-cell-ellipsis`]: !!mergedEllipsis.value,
        [`${prefixCls}-cell-${type}`]: !!type,
        [`${prefixCls}-cell-last`]: !!props.isLast
      };
      if (fixed) {
        classes2 = {
          ...classes2,
          [`${prefixCls}-fix-start`]: fixed === "start",
          [`${prefixCls}-fix-start-last`]: isFixStartLast.value,
          [`${prefixCls}-fix-end`]: fixed === "end",
          [`${prefixCls}-fix-end-first`]: isFixEndFirst.value,
          [`${prefixCls}-fix-sticky`]: isSticky2.value
        };
      }
      return normalizeClass(classes2);
    });
    const style = computed(() => {
      var _a;
      const {
        fixed
      } = props.column;
      if (!fixed) {
        return;
      }
      const {
        starts,
        ends
      } = columnOffsets.value;
      const offsets = fixed === "start" ? starts : ends;
      const fixedOffset = convertCssPixel((_a = offsets[props.column.key]) == null ? void 0 : _a.offset);
      if (isNil(fixedOffset)) {
        return {};
      }
      return {
        position: "sticky",
        left: fixed === "start" ? fixedOffset : void 0,
        right: fixed === "end" ? fixedOffset : void 0
      };
    });
    return () => {
      var _a, _b, _c;
      const {
        column
      } = props;
      const prefixCls = mergedPrefixCls.value;
      const {
        type
      } = column;
      let children;
      let title;
      if (type === "selectable") {
        children = renderSelectableChildren(rowContext, slots, selectable, config, mergedPagination, prefixCls);
      } else if (type === "indexable") {
        children = renderIndexableChildren(rowContext, slots, column, mergedPagination, prefixCls);
      } else {
        const text = dataValue.value;
        children = renderChildren(rowContext, props, slots, text);
        title = getColTitle(mergedEllipsis.value, children, text);
        if (!type && (isNil(children) || children === "")) {
          const emptyCellRender = slots.emptyCell || mergedEmptyCell.value;
          children = isFunction(emptyCellRender) ? emptyCellRender({
            column,
            record: rowProps2.record,
            rowIndex: rowProps2.rowIndex
          }) : emptyCellRender;
        }
      }
      if (props.column.fixed && mergedEllipsis.value && (isFixStartLast.value || isFixEndFirst.value)) {
        children = createVNode("span", {
          "class": `${prefixCls}-cell-content`
        }, [children]);
      }
      const customAdditionalFn = (_a = tableProps2.customAdditional) == null ? void 0 : _a.bodyCell;
      const customAdditional = customAdditionalFn ? customAdditionalFn({
        column,
        record: rowProps2.record,
        rowIndex: rowProps2.rowIndex
      }) : void 0;
      const Tag2 = (_c = (_b = tableProps2.customTag) == null ? void 0 : _b.bodyCell) != null ? _c : "td";
      const contentNode = type === "expandable" ? createVNode("div", {
        "class": `${prefixCls}-expandable-wrapper`
      }, [renderExpandableChildren(rowContext, slots, expandable, isTreeData, prefixCls), !isEmptyNode(children) && createVNode("span", {
        "class": `${prefixCls}-expandable-trigger-gap`
      }, null), children]) : children;
      return createVNode(Tag2, mergeProps({
        "class": classes.value,
        "style": style.value,
        "title": title,
        "colSpan": props.colSpan,
        "rowSpan": props.rowSpan
      }, customAdditional), {
        default: () => [contentNode]
      });
    };
  }
});
function useDataValue(context, props) {
  return computed(() => {
    const {
      props: {
        record
      }
    } = context;
    const {
      column
    } = props;
    const dataKeys = convertArray(column.dataKey);
    if (dataKeys.length <= 0) {
      return void 0;
    }
    let value = record;
    for (let index = 0; index < dataKeys.length; index++) {
      if (!value) {
        break;
      }
      const key = dataKeys[index];
      value = value[key];
    }
    return value;
  });
}
function renderChildren(context, props, slots, value) {
  const {
    props: {
      record,
      rowIndex
    }
  } = context;
  const {
    column
  } = props;
  const {
    customCell
  } = column;
  const cellRender = isString(customCell) ? slots[customCell] : customCell;
  return cellRender ? cellRender({
    value,
    record,
    rowIndex
  }) : value;
}
function renderExpandableChildren(context, slots, expandable, isTreeData, prefixCls) {
  var _a;
  const {
    icon,
    customIcon,
    indent,
    showLine
  } = expandable.value;
  const {
    props: {
      record,
      expanded,
      level = 0,
      hasPrevSibling,
      hasNextSibling,
      showLineIndentIndexList
    },
    expandDisabled,
    handleExpend
  } = context;
  const hasParent = level > 0;
  const mergedShowLine = isTreeData.value && showLine && indent;
  let iconNode;
  const iconRender = (_a = isString(customIcon) ? slots[customIcon] : customIcon) != null ? _a : icon;
  if (isFunction(iconRender)) {
    iconNode = iconRender({
      expanded: !!expanded,
      record
    });
  } else {
    iconNode = isString(iconRender) ? createVNode(IxIcon, {
      "name": iconRender,
      "rotate": expanded ? 90 : 0
    }, null) : iconRender;
  }
  const indentStyle = indent ? `width: ${convertCssPixel(indent)}` : void 0;
  const triggerCls = {
    [`${prefixCls}-expandable-trigger`]: true,
    [`${prefixCls}-expandable-trigger-show-line`]: mergedShowLine,
    [`${prefixCls}-expandable-trigger-disabled`]: expandDisabled.value
  };
  const indents = [];
  if (indent) {
    for (let i2 = 0; i2 < level; i2++) {
      indents.push(createVNode("div", {
        "class": {
          [`${prefixCls}-expandable-indent`]: true,
          [`${prefixCls}-expandable-indent-show-line`]: mergedShowLine && showLineIndentIndexList.includes(i2)
        },
        "style": indentStyle
      }, null));
    }
  }
  const handleClick = (evt) => {
    evt.preventDefault();
    evt.stopImmediatePropagation();
    if (!expandDisabled.value) {
      handleExpend();
    }
  };
  return [...indents, createVNode("span", {
    "class": triggerCls,
    "style": indentStyle
  }, [createVNode("button", {
    "class": `${prefixCls}-expandable-trigger-button`,
    "type": "button",
    "onClick": handleClick
  }, [iconNode]), mergedShowLine && [createVNode("span", {
    "class": `${prefixCls}-expandable-trigger-line-right`
  }, null), (hasPrevSibling || hasParent) && createVNode("span", {
    "class": `${prefixCls}-expandable-trigger-line-top`
  }, null), hasNextSibling && createVNode("span", {
    "class": `${prefixCls}-expandable-trigger-line-bottom`
  }, null)]])].filter(Boolean);
}
function renderSelectableChildren(rowContext, slots, selectable, config, mergedPagination, prefixCls) {
  const {
    props: {
      record,
      rowIndex
    },
    isSelected,
    isIndeterminate,
    selectDisabled,
    isHover,
    handleSelect: onChange
  } = rowContext;
  const {
    showIndex,
    multiple,
    customCell
  } = selectable.value;
  const onClick = (evt) => {
    evt.stopPropagation();
    if (!multiple && isSelected.value && !selectDisabled.value && onChange) {
      onChange();
    }
  };
  if (!isSelected.value && !isHover.value && showIndex) {
    return renderIndexableChildren(rowContext, slots, config.columnIndexable, mergedPagination, prefixCls);
  }
  const customRender = isString(customCell) ? slots[customCell] : customCell;
  if (multiple) {
    const checkboxProps2 = {
      checked: isSelected.value,
      disabled: selectDisabled.value,
      indeterminate: isIndeterminate.value,
      onChange,
      onClick
    };
    return customRender ? customRender({
      ...checkboxProps2,
      record,
      rowIndex
    }) : createVNode(IxCheckbox, checkboxProps2, null);
  } else {
    const radioProps2 = {
      checked: isSelected.value,
      disabled: selectDisabled.value,
      onChange,
      onClick
    };
    return customRender ? customRender({
      ...radioProps2,
      record,
      rowIndex
    }) : createVNode(IxRadio, radioProps2, null);
  }
}
function renderIndexableChildren(context, slots, indexable, mergedPagination, prefixCls) {
  const {
    props: {
      record,
      rowIndex
    },
    selectDisabled
  } = context;
  const {
    customCell
  } = indexable;
  const {
    pageIndex = 1,
    pageSize = 0
  } = mergedPagination.value || {};
  const customRender = isString(customCell) ? slots[customCell] : customCell;
  if (!customRender) {
    return void 0;
  }
  const classes = [`${prefixCls}-indexable-label`, selectDisabled.value && `${prefixCls}-indexable-label-disabled`];
  return createVNode("span", {
    "class": classes
  }, [customRender({
    record,
    rowIndex,
    pageIndex,
    pageSize
  })]);
}
function renderBodyCells(columns, record, rowIndex) {
  const children = [];
  columns.forEach((column, colIndex) => {
    const cell = renderBodyCell(column, record, rowIndex, colIndex === columns.length - 1);
    if (cell) {
      children.push(cell);
    }
  });
  return children;
}
function renderBodyCell(column, record, rowIndex, isLast) {
  const {
    colSpan: getColSpan,
    rowSpan: getRowSpan
  } = column;
  const colSpan = getColSpan == null ? void 0 : getColSpan(record, rowIndex);
  const rowSpan = getRowSpan == null ? void 0 : getRowSpan(record, rowIndex);
  if (colSpan === 0 || rowSpan === 0) {
    return;
  }
  const colProps2 = {
    key: column.key,
    colSpan: colSpan === 1 ? void 0 : colSpan,
    rowSpan: rowSpan === 1 ? void 0 : rowSpan,
    isLast,
    column
  };
  return createVNode(BodyCell, colProps2, null);
}
var BodyRow = /* @__PURE__ */ defineComponent({
  props: tableBodyRowProps,
  setup(props, {
    slots
  }) {
    const {
      props: tableProps2,
      mergedPrefixCls,
      expandable,
      isChecked,
      isIndeterminate,
      isCheckDisabled,
      handleExpandChange,
      checkExpandDisabled,
      selectable,
      handleSelectChange
    } = inject(TABLE_TOKEN);
    const {
      expandDisabled,
      handleExpend,
      selectDisabled,
      handleSelect,
      isHover,
      attrs
    } = useEvents$1(props, expandable, checkExpandDisabled, handleExpandChange, selectable, handleSelectChange, isCheckDisabled);
    const _isSelected = computed(() => isChecked(props.rowKey));
    const _isIndeterminate = computed(() => isIndeterminate(props.rowKey));
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-row`;
      const {
        level,
        expanded
      } = props;
      return normalizeClass({
        [`${prefixCls}`]: true,
        [`${prefixCls}-level-${level}`]: !!level,
        [`${prefixCls}-selected`]: _isSelected.value,
        [`${prefixCls}-expanded`]: expanded
      });
    });
    provide(tableBodyRowToken, {
      props,
      expandDisabled,
      handleExpend,
      isSelected: _isSelected,
      isIndeterminate: _isIndeterminate,
      selectDisabled,
      handleSelect,
      isHover
    });
    return () => {
      var _a, _b, _c;
      const customAdditionalFn = (_a = tableProps2.customAdditional) == null ? void 0 : _a.bodyRow;
      const customAdditional = customAdditionalFn ? customAdditionalFn({
        record: props.record,
        rowIndex: props.rowIndex
      }) : void 0;
      const Tag2 = (_c = (_b = tableProps2.customTag) == null ? void 0 : _b.bodyRow) != null ? _c : "tr";
      return createVNode(Tag2, mergeProps({
        "class": classes.value
      }, attrs.value, customAdditional), {
        default: () => {
          var _a2;
          return [(_a2 = slots.default) == null ? void 0 : _a2.call(slots)];
        }
      });
    };
  }
});
function useEvents$1(props, expandable, checkExpandDisabled, handleExpandChange, selectable, handleSelectChange, isCheckDisabled) {
  const expandDisabled = computed(() => checkExpandDisabled(props.rowData));
  const expendTrigger = computed(() => {
    var _a;
    return (_a = expandable.value) == null ? void 0 : _a.trigger;
  });
  const handleExpend = () => {
    const {
      rowKey,
      record
    } = props;
    handleExpandChange(rowKey, record);
  };
  const selectDisabled = computed(() => isCheckDisabled(props.rowKey));
  const selectTrigger = computed(() => {
    var _a;
    return (_a = selectable.value) == null ? void 0 : _a.trigger;
  });
  const showIndex = computed(() => {
    var _a;
    return (_a = selectable.value) == null ? void 0 : _a.showIndex;
  });
  const isHover = ref(false);
  const handleSelect = () => {
    const {
      rowKey,
      record
    } = props;
    handleSelectChange(rowKey, record);
  };
  const handleClick = () => {
    expendTrigger.value === "click" && handleExpend();
    selectTrigger.value === "click" && handleSelect();
  };
  const handleDblclick = () => {
    expendTrigger.value === "dblclick" && handleExpend();
    selectTrigger.value === "dblclick" && handleSelect();
  };
  const handleMouseenter = () => isHover.value = true;
  const handleMouseleave = () => isHover.value = false;
  const attrs = computed(() => {
    const _expandDisabled = expandDisabled.value;
    const _expendTrigger = expendTrigger.value;
    const _selectDisabled = selectDisabled.value;
    const _selectTrigger = selectTrigger.value;
    const clickEnabled = !_expandDisabled && _expendTrigger === "click" || !_selectDisabled && _selectTrigger === "click";
    const dblclickEnabled = !_expandDisabled && _expendTrigger === "dblclick" || !_selectDisabled && _selectTrigger === "dblclick";
    const mouseEnabled = !_selectDisabled && showIndex.value;
    let cursor = "";
    if (clickEnabled || dblclickEnabled) {
      cursor = "pointer";
    } else if (_expandDisabled && _expendTrigger || _selectDisabled && _selectTrigger) {
      cursor = "not-allowed";
    }
    return {
      style: cursor ? `cursor: ${cursor}` : void 0,
      onClick: clickEnabled ? handleClick : void 0,
      onDblclick: dblclickEnabled ? handleDblclick : void 0,
      onMouseenter: mouseEnabled ? handleMouseenter : void 0,
      onMouseleave: mouseEnabled ? handleMouseleave : void 0
    };
  });
  return {
    expandDisabled,
    handleExpend,
    selectDisabled,
    handleSelect,
    isHover,
    attrs
  };
}
function renderBodyRow(item, columns, rowIndex, slots, expandable, prefixCls, cols) {
  const {
    children,
    expanded,
    level,
    hasPrevSibling,
    hasNextSibling,
    showLineIndentIndexList,
    record,
    rowKey
  } = item;
  const rowProps2 = {
    key: rowKey,
    expanded,
    level,
    hasPrevSibling,
    hasNextSibling,
    showLineIndentIndexList,
    hasChildren: !!(children == null ? void 0 : children.length),
    record,
    rowData: item,
    rowIndex,
    rowKey
  };
  const rowNode = createVNode(BodyRow, rowProps2, {
    default: () => [cols]
  });
  const expandedNode = expanded && renderExpandedContext(rowProps2, slots, columns, expandable, prefixCls);
  return expandedNode ? [rowNode, expandedNode] : rowNode;
}
function renderExpandedContext(props, slots, columns, expandable, prefixCls) {
  const {
    customExpand
  } = expandable || {};
  const {
    record,
    rowIndex
  } = props;
  let expandedContext;
  if (isFunction(customExpand)) {
    expandedContext = customExpand({
      record,
      rowIndex
    });
  } else if (isString(customExpand) && slots[customExpand]) {
    expandedContext = slots[customExpand]({
      record,
      rowIndex
    });
  }
  return expandedContext && createVNode(BodyRowSingle, {
    "class": `${prefixCls}-expanded-row`,
    "columns": columns
  }, {
    default: () => [expandedContext]
  });
}
var MainTable = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      props,
      slots,
      clientWidth,
      setClientWidth,
      expandable,
      mergedPrefixCls,
      mergedInsetShadow,
      mergedVirtual,
      mergedVirtualItemHeight,
      mergedVirtualColWidth,
      mergedAutoHeight,
      changeColumnWidth,
      flattedData,
      flattedColumns,
      fixedColumns,
      getVirtualColWidth,
      isSticky: isSticky2,
      mergedSticky,
      virtualScrollRef,
      scrollBodyRef,
      scrollContentRef,
      handleScroll,
      pingedStart,
      pingedEnd,
      scrollWidth,
      scrollHeight,
      scrollHorizontalOverflowed,
      scrollVerticalOverflowed,
      hasFixed,
      tableLayout
    } = inject(TABLE_TOKEN);
    const mainTableRef = ref();
    const showMeasure = computed(() => mergedAutoHeight.value || !!scrollWidth.value || isSticky2.value || mergedVirtual.value.horizontal);
    const _changeColumnWidth = (key, width) => {
      if (isVisibleElement(mainTableRef.value)) {
        changeColumnWidth(key, width);
      }
    };
    provide(tableBodyToken, {
      changeColumnWidth: _changeColumnWidth
    });
    const triggerScroll = () => {
      const currentTarget = convertElement(scrollBodyRef);
      if (currentTarget) {
        handleScroll({
          currentTarget
        });
      }
    };
    const handleWrapperResize = (evt) => {
      const {
        offsetWidth
      } = evt.target;
      if (offsetWidth !== clientWidth.value) {
        setClientWidth(offsetWidth);
      }
    };
    onMounted(() => {
      triggerScroll();
      watch([() => props.dataSource, scrollWidth], ([, width]) => {
        if (width) {
          triggerScroll();
        }
      });
      onResize(mainTableRef.value, handleWrapperResize);
    });
    onBeforeUnmount(() => offResize(mainTableRef.value, handleWrapperResize));
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [`${prefixCls}-container`]: true,
        [`${prefixCls}-ping-start`]: pingedStart.value,
        [`${prefixCls}-ping-end`]: pingedEnd.value,
        [`${prefixCls}-fixed-layout`]: tableLayout.value === "fixed",
        [`${prefixCls}-fixed-column`]: hasFixed.value,
        [`${prefixCls}-inset-shadow`]: mergedInsetShadow.value,
        [`${prefixCls}-scroll-horizontal`]: scrollHorizontalOverflowed.value,
        [`${prefixCls}-scroll-vertical`]: scrollVerticalOverflowed.value
      });
    });
    const contentStyle = computed(() => {
      var _a;
      const height = scrollHeight.value;
      const overflowX = mergedVirtual.value.horizontal ? "hidden" : "auto";
      const overflowY = mergedVirtual.value.vertical ? "hidden" : "auto";
      const fullHeight = (_a = props.scroll) == null ? void 0 : _a.fullHeight;
      return {
        overflowX,
        overflowY,
        [fullHeight ? "height" : "maxHeight"]: height
      };
    });
    const tableStyle = computed(() => {
      return {
        tableLayout: tableLayout.value,
        width: scrollWidth.value,
        minWidth: scrollWidth.value ? "100%" : void 0
      };
    });
    const handleScrolledChange = (startIndex, endIndex, visibleData) => {
      callEmit(props.onScrolledChange, startIndex, endIndex, visibleData.map((item) => item.record));
    };
    const virtualData = computed(() => {
      if (!mergedVirtual.value.vertical && !mergedVirtual.value.horizontal) {
        return [];
      }
      return flattedData.value.map((data) => {
        return {
          ...data,
          data: flattedColumns.value
        };
      });
    });
    const renderMeasureRow = (columns) => {
      if (!showMeasure.value || !columns) {
        return;
      }
      return createVNode(MeasureRow, {
        "columns": columns
      }, null);
    };
    const renderAlert = (columns) => {
      var _a;
      const alertNodes = (_a = slots.alert) == null ? void 0 : _a.call(slots);
      if (isEmptyNode(alertNodes)) {
        return;
      }
      return createVNode(BodyRowSingle, {
        "class": `${mergedPrefixCls.value}-alert-row`,
        "columns": columns
      }, {
        default: () => [alertNodes]
      });
    };
    const renderEmpty = (columns) => {
      if (flattedData.value.length > 0) {
        return;
      }
      return createVNode(BodyRowSingle, {
        "class": `${mergedPrefixCls.value}-empty-row`,
        "columns": columns,
        "isEmpty": true
      }, {
        default: () => [createVNode(\u0275Empty, {
          "empty": props.empty
        }, slots)]
      });
    };
    const _renderBody = (columns, data, children) => {
      let contentNodes;
      if (children) {
        contentNodes = children;
      } else if (data == null ? void 0 : data.length) {
        const rows = [];
        data.forEach((item, rowIndex) => {
          const cells = renderBodyCells(columns != null ? columns : [], item.record, rowIndex);
          rows.push(...convertArray(renderBodyRow(item, columns, rowIndex, slots, expandable.value, mergedPrefixCls.value, cells)));
        });
        contentNodes = rows;
      }
      return createVNode(Body$1, null, {
        default: () => [renderAlert(columns), renderMeasureRow(columns), renderEmpty(columns), contentNodes]
      });
    };
    const renderBody2 = () => _renderBody(flattedColumns.value, flattedData.value);
    const renderVirtualBody = (columns, children) => _renderBody(columns, void 0, children);
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const autoHeight = mergedAutoHeight.value;
      const virtual = mergedVirtual.value;
      const children = slots.default ? slots.default() : [];
      if (autoHeight || scrollHeight.value || isSticky2.value || virtual.horizontal) {
        const {
          offsetTop
        } = mergedSticky.value;
        if (!props.headless) {
          children.push(createVNode(FixedHolder, {
            "offsetTop": offsetTop
          }, null));
        }
        if (virtual.vertical && (props.scroll || autoHeight) || !virtual.vertical && virtual.horizontal) {
          const rowRender = ({
            item,
            index,
            children: children2
          }) => renderBodyRow(item, item.data, index, slots, expandable.value, prefixCls, children2);
          const colRender = ({
            row,
            item,
            index,
            rowIndex
          }) => renderBodyCell(item, row.record, rowIndex, index === row.data.length - 1);
          const contentRender = (children2, {
            renderedData
          }) => {
            var _a;
            const columns = flattedData.value.length ? (_a = renderedData[0]) == null ? void 0 : _a.data : flattedColumns.value;
            return createVNode("table", {
              "ref": scrollContentRef,
              "class": `${prefixCls}-table`,
              "style": tableStyle.value
            }, [columns ? createVNode(ColGroup, {
              "columns": columns
            }, null) : void 0, renderVirtualBody(columns, children2), false]);
          };
          const colModifier = (renderedRow, renderedCols) => {
            const {
              fixedStartColumns,
              fixedEndColumns
            } = fixedColumns.value;
            return modifyVirtualData(renderedRow, renderedCols, flattedColumns.value, flattedData.value, fixedStartColumns, fixedEndColumns, false);
          };
          const {
            scroll,
            onScrolledBottom
          } = props;
          children.push(createVNode(CdkVirtualScroll, {
            "ref": virtualScrollRef,
            "class": `${prefixCls}-body-virtual-scroll`,
            "dataSource": virtualData.value,
            "colModifier": colModifier,
            "fullHeight": scroll == null ? void 0 : scroll.fullHeight,
            "getKey": (item) => {
              var _a;
              return (_a = item.rowKey) != null ? _a : item.key;
            },
            "height": mergedAutoHeight.value ? "100%" : scroll == null ? void 0 : scroll.height,
            "width": "100%",
            "rowHeight": mergedVirtualItemHeight.value,
            "colWidth": mergedVirtualColWidth.value,
            "getColWidth": getVirtualColWidth,
            "rowRender": rowRender,
            "colRender": colRender,
            "contentRender": contentRender,
            "virtual": mergedVirtual.value,
            "scrollMode": props.virtualScrollMode,
            "bufferSize": props.virtualBufferSize,
            "bufferOffset": props.virtualBufferOffset,
            "onScroll": handleScroll,
            "onScrolledBottom": onScrolledBottom,
            "onScrolledChange": handleScrolledChange
          }, null));
        } else {
          children.push(createVNode("div", {
            "ref": scrollBodyRef,
            "class": `${prefixCls}-content`,
            "style": contentStyle.value,
            "onScroll": handleScroll
          }, [createVNode("table", {
            "ref": scrollContentRef,
            "class": `${prefixCls}-table`,
            "style": tableStyle.value
          }, [createVNode(ColGroup, null, null), renderBody2(), false])]));
        }
        if (isSticky2.value) {
          children.push(createVNode(StickyScroll, null, null));
        }
      } else {
        children.push(createVNode("div", {
          "ref": scrollBodyRef,
          "class": `${prefixCls}-content`,
          "style": contentStyle.value,
          "onScroll": handleScroll
        }, [createVNode("table", {
          "ref": scrollContentRef,
          "class": `${prefixCls}-table`,
          "style": tableStyle.value
        }, [createVNode(ColGroup, null, null), !props.headless && createVNode(Head, null, null), renderBody2(), false])]));
      }
      return createVNode("div", {
        "ref": mainTableRef,
        "class": classes.value
      }, [children]);
    };
  }
});
function renderFooter(slots, prefixCls) {
  if (!slots.footer) {
    return null;
  }
  return createVNode("div", {
    "class": `${prefixCls}-footer`
  }, [slots.footer()]);
}
function renderPagination(slots, mergedPagination, filteredData, visible, prefixCls) {
  var _a, _b;
  let top = null;
  let bottom = null;
  if (mergedPagination !== null) {
    const {
      position
    } = mergedPagination;
    const [vertical, horizontal] = kebabCase(position).split("-");
    const className = `${prefixCls}-pagination ${prefixCls}-pagination-${horizontal}`;
    const node = (_b = (_a = slots.pagination) == null ? void 0 : _a.call(slots, {
      total: filteredData.length,
      ...mergedPagination
    })) != null ? _b : withDirectives(createVNode(IxPagination, mergeProps({
      "class": className,
      "total": filteredData.length
    }, mergedPagination), null), [[vShow, visible]]);
    top = vertical === "top" ? node : null;
    bottom = vertical === "bottom" ? node : null;
  }
  return [top, bottom];
}
function getDefaultThemeTokens$9(tokens2, algorithms) {
  const { getGreyColors: getGreyColors2 } = algorithms;
  const greyColors = getGreyColors2();
  const {
    fontSizeSm,
    heightMd,
    paddingSizeSm,
    paddingSizeMd,
    paddingSizeLg,
    colorTextTitleSecondary,
    colorEmphasizedContainerBg,
    colorBorder,
    colorIconInfo,
    colorPrimary,
    colorContainerBg,
    colorContainerBgHover,
    colorInfoContainerBg
  } = tokens2;
  return {
    fontSizeSm,
    fontSizeMd: fontSizeSm,
    fontSizeLg: fontSizeSm,
    headRowHeightSm: heightMd,
    headRowHeightMd: heightMd,
    headRowHeightLg: heightMd,
    cellPaddingHorizontalSm: paddingSizeSm,
    cellPaddingHorizontalMd: paddingSizeMd,
    cellPaddingHorizontalLg: paddingSizeLg,
    cellPaddingVerticalSm: 6,
    cellPaddingVerticalMd: 10,
    cellPaddingVerticalLg: 18,
    headColor: colorTextTitleSecondary,
    headBgColor: colorEmphasizedContainerBg,
    headSeparatorColor: colorBorder,
    headIconColor: colorIconInfo,
    headIconColorActive: colorPrimary,
    headIconBgColorHover: getGreyColors2().l30,
    insetShadowStart: `inset 10px 0 8px -8px ${getAlphaColor(greyColors.d50, 0.12)}`,
    insetShadowEnd: `inset -10px 0 8px -8px ${getAlphaColor(greyColors.d50, 0.12)}`,
    bodyRowBgColorHover: colorContainerBgHover,
    bodyRowBgColorSelected: colorContainerBg,
    bodyRowBgColorExpanded: colorInfoContainerBg,
    bodyRowBgColorTreeExpanded: colorInfoContainerBg,
    bodyCellVerticalAlign: "middle",
    expandableIconColor: colorIconInfo
  };
}
function getDarkThemeTokens(tokens2, algorithms) {
  const { getGreyColors: getGreyColors2 } = algorithms;
  const greyColors = getGreyColors2();
  const defaultTokens = getDefaultThemeTokens$9(tokens2, algorithms);
  return {
    ...defaultTokens,
    insetShadowStart: `inset 10px 0 8px -8px ${greyColors.l50}`,
    insetShadowEnd: `inset -10px 0 8px -8px ${greyColors.l50}`
  };
}
const getThemeTokens$9 = (tokens2, presetTheme, algorithms) => {
  return presetTheme === "default" ? getDefaultThemeTokens$9(tokens2, algorithms) : getDarkThemeTokens(tokens2, algorithms);
};
const virtualItemHeight = {
  sm: 32,
  md: 40,
  lg: 56
};
const virtualColWidth = 150;
var Table = /* @__PURE__ */ defineComponent({
  name: "IxTable",
  props: tableProps,
  setup(props, {
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("table");
    registerToken(getThemeTokens$9);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-table`);
    const locale2 = useGlobalConfig("locale");
    const config = useGlobalConfig("table");
    const [clientWidth, setClientWidth] = useState(0);
    const mergedAutoHeight = computed(() => {
      var _a;
      return (_a = props.autoHeight) != null ? _a : config.autoHeight;
    });
    const mergedChildrenKey = computed(() => {
      var _a;
      return (_a = props.childrenKey) != null ? _a : config.childrenKey;
    });
    const mergedGetKey = useGetKey(props, config);
    const mergedEmptyCell = computed(() => {
      var _a;
      return (_a = props.emptyCell) != null ? _a : config.emptyCell;
    });
    const mergedInsetShadow = computed(() => {
      var _a;
      return (_a = props.insetShadow) != null ? _a : config.insetShadow;
    });
    const mergedSize = computed(() => {
      var _a;
      return (_a = props.size) != null ? _a : config.size;
    });
    const mergedVirtual = computed(() => {
      return {
        horizontal: props.virtualHorizontal,
        vertical: props.virtual
      };
    });
    const mergedVirtualItemHeight = computed(() => {
      var _a;
      return (_a = props.virtualItemHeight) != null ? _a : virtualItemHeight[mergedSize.value];
    });
    const mergedVirtualColWidth = computed(() => {
      var _a;
      return (_a = props.virtualColWidth) != null ? _a : virtualColWidth;
    });
    const {
      mergedPagination
    } = usePagination$1(props, config, mergedSize);
    const stickyContext = useSticky(props);
    const scrollContext = useScroll(props, stickyContext);
    const columnsContext = useColumns(props, slots, config, scrollContext.scrollBarSizeOnFixedHolder);
    const {
      flattedColumns,
      flattedColumnsWithScrollBar,
      fixedColumns
    } = columnsContext;
    const columnMeasureContext = useColumnWidthMeasure(flattedColumns);
    const {
      measuredColumnWidthMap
    } = columnMeasureContext;
    const columnCount = computed(() => flattedColumnsWithScrollBar.value.length);
    const columnOffsetsContext = useColumnOffsets(fixedColumns, measuredColumnWidthMap, columnCount);
    const sortableContext = useSortable(flattedColumns);
    const filterableContext = useFilterable(flattedColumns);
    const expandableContext = useExpandable$2(props, flattedColumns);
    const tableLayout = useTableLayout(props, columnsContext, scrollContext, stickyContext.isSticky, mergedVirtual, mergedAutoHeight);
    const {
      activeSorters
    } = sortableContext;
    const {
      activeFilters
    } = filterableContext;
    const columnMap = /* @__PURE__ */ new Map();
    const initColumnMap = () => {
      columnMap.clear();
      flattedColumns.value.forEach((col) => {
        columnMap.set(col.key, col);
      });
    };
    watch(flattedColumns, () => {
      initColumnMap();
    }, {
      immediate: true
    });
    const dataContext = useDataSource$1(props, mergedChildrenKey, mergedGetKey, activeSorters, activeFilters, expandableContext.expandedRowKeys, mergedPagination);
    const selectableContext = useSelectable$1(props, locale2, columnsContext.flattedColumns, dataContext);
    useScrollOnChange(props, config, mergedPagination, activeSorters, activeFilters, scrollContext.scrollTo);
    const getVirtualColWidth = (rowKey, colKey) => {
      var _a, _b;
      return (_b = measuredColumnWidthMap.value[colKey]) != null ? _b : (_a = columnMap.get(colKey)) == null ? void 0 : _a.width;
    };
    const context = {
      props,
      slots,
      config,
      locale: locale2,
      clientWidth,
      setClientWidth,
      mergedPrefixCls,
      mergedEmptyCell,
      mergedInsetShadow,
      mergedVirtual,
      mergedVirtualItemHeight,
      mergedVirtualColWidth,
      mergedAutoHeight,
      getVirtualColWidth,
      ...columnsContext,
      ...columnMeasureContext,
      ...columnOffsetsContext,
      ...scrollContext,
      ...sortableContext,
      ...filterableContext,
      ...stickyContext,
      tableLayout,
      mergedPagination,
      ...expandableContext,
      ...dataContext,
      ...selectableContext
    };
    provide(TABLE_TOKEN, context);
    expose({
      scrollTo: scrollContext.scrollTo
    });
    const {
      flattedData,
      filteredData
    } = dataContext;
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      const {
        borderless = config.borderless,
        scroll
      } = props;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-auto-height`]: mergedAutoHeight.value,
        [`${prefixCls}-borderless`]: borderless,
        [`${prefixCls}-empty`]: flattedData.value.length === 0,
        [`${prefixCls}-full-height`]: scroll == null ? void 0 : scroll.fullHeight,
        [`${prefixCls}-${mergedSize.value}`]: true
      });
    });
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const header = createVNode(\u0275Header, {
        "header": props.header
      }, slots);
      const footer = renderFooter(slots, prefixCls);
      const [paginationTop, paginationBottom] = renderPagination(slots, mergedPagination.value, filteredData.value, flattedData.value.length > 0, prefixCls);
      const children = [header];
      const restChildren = [paginationTop, createVNode(MainTable, null, null), footer, paginationBottom].filter(Boolean);
      const spinProps2 = convertSpinProps(props.spin);
      if (spinProps2) {
        children.push(createVNode(IxSpin, spinProps2, {
          default: () => [restChildren]
        }));
      } else {
        children.push(...restChildren);
      }
      return createVNode("div", {
        "class": classes.value
      }, [children]);
    };
  }
});
function convertSpinProps(spin) {
  return isBoolean(spin) ? {
    spinning: spin
  } : spin;
}
const IxTable = Table;
const IxTableColumn = TableColumn;
const tabKey = Symbol("IxTab");
const Tab = () => {
};
Tab.displayName = "IxTab";
Tab[tabKey] = true;
function useDataSource(props, slots) {
  return computed(() => {
    var _a, _b;
    return (_b = props.dataSource) != null ? _b : convertData((_a = slots.default) == null ? void 0 : _a.call(slots));
  });
}
function convertData(nodes) {
  const convertedData = [];
  flattenNode(nodes, { key: tabKey }).forEach((node) => {
    var _a, _b;
    const props = (_a = node.props) != null ? _a : {};
    const slots = (_b = node.children) != null ? _b : {};
    const { key = uniqueId("__IDUX_TAB_"), closable, content, disabled, forceRender, title, ...rest } = props;
    const { title: customTitle, default: customContent } = slots;
    const option = {
      key,
      content,
      closable: closable === "" || closable,
      disabled: disabled === "" || disabled,
      forceRender: forceRender === "" || forceRender,
      title,
      customTitle,
      customContent,
      ...rest
    };
    convertedData.push(option);
  });
  return convertedData;
}
const tabsToken = Symbol("tabsToken");
var AddBtn = /* @__PURE__ */ defineComponent({
  setup(_, {
    slots
  }) {
    const {
      props,
      mergedPrefixCls
    } = inject(tabsToken);
    const handleAdd = () => {
      callEmit(props.onAdd);
    };
    return () => {
      var _a, _b;
      const prefixCls = mergedPrefixCls.value;
      return createVNode("span", {
        "class": `${prefixCls}-nav-add-btn`,
        "onClick": handleAdd
      }, [(_b = (_a = slots.addIcon) == null ? void 0 : _a.call(slots)) != null ? _b : createVNode(IxIcon, {
        "name": "plus"
      }, null)]);
    };
  }
});
const tabsProps = {
  selectedKey: { type: [Number, String, Symbol], default: void 0 },
  allTabsPanelOpen: { type: Boolean, default: void 0 },
  addable: { type: Boolean, default: false },
  closable: { type: Boolean, default: false },
  dataSource: { type: Array, default: void 0 },
  dndSortable: { type: [Boolean, Object], default: false },
  forceRender: { type: Boolean, default: false },
  mode: { type: String, default: "default" },
  placement: { type: String, default: "top" },
  size: { type: String, default: void 0 },
  showAllTabsPanel: { type: Boolean, default: void 0 },
  type: { type: String, default: "card" },
  "onUpdate:selectedKey": [Function, Array],
  "onUpdate:allTabsPanelOpen": [Function, Array],
  onAdd: [Function, Array],
  onClose: [Function, Array],
  onTabClick: [Function, Array],
  onBeforeLeave: [Function, Array],
  onDndSortReorder: [Function, Array],
  onDndSortChange: [Function, Array]
};
const tabNavProps = {
  closable: { type: Boolean, default: void 0 },
  disabled: { type: Boolean, default: void 0 },
  selected: { type: Boolean, default: void 0 },
  title: { type: String, default: void 0 },
  onSelected: { type: Function, required: true }
};
const tabPaneProps = {
  content: { type: String, default: void 0 },
  forceRender: { type: Boolean, default: void 0 },
  selected: { type: Boolean, default: void 0 }
};
const moreSelectPaneProps = {
  dataSource: { type: Array, default: () => [] },
  visible: { type: Boolean, default: false },
  onSortReorder: Function,
  _virtualScrollHeight: { type: Number, default: 186 },
  _onDragStart: Function,
  _onDrop: Function
};
var MoreSelectPane = /* @__PURE__ */ defineComponent({
  props: moreSelectPaneProps,
  setup(props, {
    slots
  }) {
    const {
      props: tabsProps2,
      mergedPrefixCls,
      mergedDndSortable,
      selectedKey,
      handleTabClose,
      setSelectedKey
    } = inject(tabsToken);
    const [searchValue, setSearchValue] = useState("");
    const searchInputRef = shallowRef();
    const filteredDataSource = computed(() => {
      return props.dataSource.filter((data) => {
        return String(data.label).indexOf(searchValue.value) !== -1;
      });
    });
    const handleInput = (evt) => {
      const inputValue = evt.target.value;
      setSearchValue(inputValue);
    };
    const handleClear = () => {
      setSearchValue("");
    };
    const handleClose = (evt, key, disabled) => {
      if (!disabled) {
        evt.stopPropagation();
        handleTabClose(key);
      }
    };
    const handleSelectChange = (data) => {
      setSelectedKey(data.key);
    };
    const handleSortReorder = (reorderInfo) => {
      if (!props.onSortReorder) {
        return;
      }
      if (filteredDataSource.value.length === props.dataSource.length) {
        props.onSortReorder(reorderInfo);
      } else {
        const {
          sourceIndex,
          targetIndex,
          ...rest
        } = reorderInfo;
        const sourceKey = filteredDataSource.value[sourceIndex].key;
        const targetKey = filteredDataSource.value[targetIndex].key;
        const mergedSourceIndex = props.dataSource.findIndex((data) => data.key === sourceKey);
        const mergedTargetIndex = props.dataSource.findIndex((data) => data.key === targetKey);
        props.onSortReorder({
          sourceIndex: mergedSourceIndex,
          targetIndex: mergedTargetIndex,
          ...rest
        });
      }
    };
    const optionLabelRender = (data) => {
      var _a, _b;
      const {
        key,
        label,
        disabled,
        customTitle
      } = data;
      const titleSlot = (_b = (_a = isString(customTitle) ? slots[customTitle] : customTitle) != null ? _a : slots.allTabsPanelLabel) != null ? _b : slots.title;
      return createVNode(IxRow, null, {
        default: () => [createVNode(IxCol, {
          "flex": "auto"
        }, {
          default: () => {
            var _a2;
            return [(_a2 = titleSlot == null ? void 0 : titleSlot({
              key,
              disabled,
              selected: false,
              title: label,
              overflowed: true
            })) != null ? _a2 : label];
          }
        }), tabsProps2.closable && createVNode(IxCol, {
          "flex": "none"
        }, {
          default: () => [createVNode(IxIcon, {
            "class": `${mergedPrefixCls.value}-nav-close-icon`,
            "name": "close",
            "onClick": (evt) => handleClose(evt, key, disabled)
          }, null)]
        })]
      });
    };
    watch(() => props.visible, (visible) => {
      if (visible) {
        setSearchValue("");
        setTimeout(() => {
          var _a, _b;
          (_b = (_a = searchInputRef.value) == null ? void 0 : _a.focus) == null ? void 0 : _b.call(_a);
        });
      }
    }, {
      flush: "post",
      immediate: true
    });
    return () => {
      return createVNode("div", null, [createVNode(IxInput, {
        "autofocus": true,
        "ref": searchInputRef,
        "size": "sm",
        "suffix": "search",
        "clearable": true,
        "value": searchValue.value,
        "onInput": handleInput,
        "onClear": handleClear
      }, null), createVNode(IxSelectPanel, {
        "selectedKeys": !isNil(selectedKey.value) ? [selectedKey.value] : void 0,
        "dataSource": filteredDataSource.value,
        "dndSortable": mergedDndSortable.value,
        "onDndSortReorder": handleSortReorder,
        "onOptionClick": handleSelectChange,
        "_virtualScrollHeight": props._virtualScrollHeight,
        "_onDragStart": props._onDragStart,
        "_onDrop": props._onDrop
      }, {
        optionLabel: optionLabelRender
      })]);
    };
  }
});
function getMarginSize(el, isHorizontal) {
  const style = window.getComputedStyle(el);
  if (isHorizontal) {
    const marginLeft = parseFloat(style.marginLeft) || 0;
    const marginRight = parseFloat(style.marginRight) || 0;
    return marginLeft + marginRight;
  } else {
    const marginTop = parseFloat(style.marginTop) || 0;
    const marginBottom = parseFloat(style.marginBottom) || 0;
    return marginTop + marginBottom;
  }
}
var TabNav = /* @__PURE__ */ defineComponent({
  name: "IxTabNav",
  props: tabNavProps,
  setup(props, {
    slots
  }) {
    const key = useKey$1();
    const {
      props: tabsProps2,
      mergedPrefixCls,
      handleTabClick,
      handleTabClose,
      navAttrs,
      isHorizontal
    } = inject(tabsToken);
    const prefixCls = computed(() => `${mergedPrefixCls.value}-nav-tab`);
    const mergedClosable = computed(() => {
      var _a;
      return (_a = props.closable) != null ? _a : tabsProps2.closable;
    });
    const sizeProp = computed(() => isHorizontal.value ? "offsetWidth" : "offsetHeight");
    const offsetProp = computed(() => isHorizontal.value ? "offsetLeft" : "offsetTop");
    const elementRef = shallowRef();
    const setNavAttr = (el) => {
      let attr = void 0;
      if (el) {
        attr = {
          size: el[sizeProp.value] + getMarginSize(el, isHorizontal.value),
          offset: el[offsetProp.value]
        };
      }
      navAttrs.value[key] = attr;
    };
    onMounted(() => setNavAttr(convertElement(elementRef.value)));
    onUpdated(() => setNavAttr(convertElement(elementRef.value)));
    onBeforeUnmount(() => setNavAttr(void 0));
    const classes = computed(() => {
      const {
        disabled,
        selected
      } = props;
      return normalizeClass({
        [`${prefixCls.value}`]: true,
        [`${prefixCls.value}-disabled`]: disabled,
        [`${prefixCls.value}-selected`]: selected
      });
    });
    watchEffect(() => {
      const element = convertElement(elementRef.value);
      if (element && props.selected) {
        props.onSelected(element);
      }
    });
    const handleClick = (evt) => {
      if (!props.disabled) {
        handleTabClick(key, evt);
      }
    };
    const handleClose = (evt) => {
      if (!props.disabled) {
        evt.stopPropagation();
        handleTabClose(key);
      }
    };
    return () => {
      const titleNode = slots.title ? slots.title({
        key,
        disabled: props.disabled,
        selected: props.selected,
        title: props.title,
        overflowed: false
      }) : props.title;
      const contentNodes = [createVNode("span", {
        "class": `${prefixCls.value}-label`
      }, [titleNode]), mergedClosable.value && createVNode("span", {
        "class": `${mergedPrefixCls.value}-nav-close-icon`,
        "onClick": handleClose
      }, [createVNode(IxIcon, {
        "name": "close"
      }, null)])];
      return tabsProps2.dndSortable ? createVNode(CdkDndSortableItem, {
        "ref": elementRef,
        "class": classes.value,
        "onClick": handleClick,
        "itemKey": key,
        "canDrag": !props.disabled
      }, {
        default: () => [contentNodes]
      }) : createVNode("div", {
        "ref": elementRef,
        "class": classes.value,
        "onClick": handleClick
      }, [contentNodes]);
    };
  }
});
function useNavListScroll(navListRef, navListInnerRef, isHorizontal, selectedNavSize, selectedNavOffset, navAttrs, closedKeys) {
  const [navListSize, setNavListSize] = useState(0);
  const [hasScroll, setHasScroll] = useState(false);
  const calcHasScroll = () => {
    if (!navListRef.value) {
      setHasScroll(false);
      return;
    }
    const { scrollWidth, scrollHeight, clientWidth, clientHeight } = navListRef.value;
    setHasScroll(isHorizontal.value ? scrollWidth > clientWidth : scrollHeight > clientHeight);
  };
  const {
    init,
    destroy,
    update,
    syncScroll,
    scrollLeft,
    scrollTop,
    scrolledLeft,
    scrolledRight,
    scrolledTop,
    scrolledBottom
  } = useScroll$2(navListRef, { updateOnResize: false, simulatedScroll: true });
  useResizeObserver(navListRef, (entry) => {
    nextTick(() => {
      const target = entry.target;
      setNavListSize(target[isHorizontal.value ? "offsetWidth" : "offsetHeight"]);
      update();
      calcHasScroll();
    });
  });
  useResizeObserver(navListInnerRef, () => {
    nextTick(() => {
      update();
      calcHasScroll();
    });
  });
  const scrollOffset = computed(() => isHorizontal.value ? scrollLeft.value : scrollTop.value);
  const scrolledStart = computed(() => isHorizontal.value ? scrolledLeft.value : scrolledTop.value);
  const scrolledEnd = computed(() => isHorizontal.value ? scrolledRight.value : scrolledBottom.value);
  const offsetSequence = computed(
    () => Object.values(navAttrs.value).map((attr) => attr == null ? void 0 : attr.offset).filter((offset) => !isNil(offset)).sort((v1, v2) => v1 - v2)
  );
  const findPageOffset = (offset, pre2 = false) => {
    const offsets = offsetSequence.value;
    let index = -1;
    for (let i2 = pre2 ? offsets.length - 1 : 0; pre2 ? i2 >= -1 : i2 <= offsets.length; pre2 ? i2-- : i2++) {
      const currentOffset = offsets[i2];
      index = i2;
      if (!isNil(currentOffset) && (pre2 ? currentOffset <= offset : currentOffset >= offset)) {
        break;
      }
    }
    if (index !== 0 && index !== offsets.length - 1) {
      index = pre2 ? index + 1 : index - 1;
    }
    index = Math.min(Math.max(index, 0), offsets.length - 1);
    return index === 0 ? 0 : index === offsets.length - 1 ? Number.MAX_SAFE_INTEGER : offsets[index];
  };
  const setScrollOffset = (offset) => {
    syncScroll(
      {
        [isHorizontal.value ? "left" : "top"]: offset
      },
      true
    );
  };
  const syncNavListScrollBySelectedNav = () => {
    if (!hasScroll.value) {
      return;
    }
    const _wrapperSize = navListSize.value;
    const _selectedNavSize = selectedNavSize.value;
    const _scrollOffset = scrollOffset.value;
    const _selectedNavOffset = selectedNavOffset.value;
    if (_selectedNavOffset === offsetSequence.value[offsetSequence.value.length - 1]) {
      setScrollOffset(Number.MAX_SAFE_INTEGER);
      return;
    }
    const selectedNavOffsetFromList = _selectedNavOffset - (_wrapperSize + _scrollOffset);
    const isAfterView = selectedNavOffsetFromList > -_selectedNavSize;
    const isBeforeView = selectedNavOffsetFromList < -_wrapperSize;
    if (isAfterView) {
      setScrollOffset(selectedNavOffsetFromList + _scrollOffset + _selectedNavSize);
    } else if (isBeforeView) {
      setScrollOffset(_selectedNavOffset);
    }
  };
  watch([selectedNavSize, selectedNavOffset], syncNavListScrollBySelectedNav, { flush: "post" });
  watch(closedKeys, (cur, old) => {
    const curSet = new Set(cur);
    const oldSet = new Set(old);
    const closeTabKey = [...curSet].find((item) => !oldSet.has(item));
    if (closeTabKey !== void 0) {
      const closeTabAttr = navAttrs.value[closeTabKey] || { size: 0, offset: 0 };
      const { size: closeTabSize, offset: closeTabOffset } = closeTabAttr;
      let nextTabOffset = 0;
      for (const attr of Object.values(navAttrs)) {
        if (!attr) {
          continue;
        }
        const { offset } = attr;
        if (offset > closeTabOffset) {
          nextTabOffset = offset;
          break;
        }
      }
      const diffOffset = scrollOffset.value - (nextTabOffset ? nextTabOffset - closeTabOffset : closeTabSize);
      setScrollOffset(diffOffset > 0 ? diffOffset : 0);
    }
  });
  onMounted(init);
  onBeforeUnmount(destroy);
  const pre = () => {
    const preOffset = Math.max(scrollOffset.value - navListSize.value, 0);
    const _offset = findPageOffset(preOffset, true);
    if (!isNil(_offset)) {
      setScrollOffset(_offset);
    }
  };
  const next = () => {
    const nextOffset = scrollOffset.value + navListSize.value;
    const _offset = findPageOffset(nextOffset, false);
    if (!isNil(_offset)) {
      setScrollOffset(_offset);
    }
  };
  return {
    scrollOffset,
    hasScroll,
    scrolledStart,
    scrolledEnd,
    pre,
    next
  };
}
function useSelectedNav(props, selectedNavRef, isHorizontal, closedKeys, navAttrs) {
  const [selectedNavSize, setSelectedNavSize] = useState(0);
  const [selectedNavOffset, setSelectedNavOffset] = useState(0);
  useResizeObserver(selectedNavRef, (entry) => {
    nextTick(() => {
      const target = entry.target;
      setSelectedNavSize(target[isHorizontal.value ? "offsetWidth" : "offsetHeight"]);
    });
  });
  const updateSelectedNavOffset = () => {
    nextTick(() => {
      const target = selectedNavRef.value;
      if (target) {
        setSelectedNavOffset(target[isHorizontal.value ? "offsetLeft" : "offsetTop"]);
      }
    });
  };
  onMounted(() => {
    watch([() => props.dataSource, closedKeys, selectedNavRef], updateSelectedNavOffset, { immediate: true });
    watch(navAttrs, updateSelectedNavOffset, { deep: true });
  });
  return {
    selectedNavSize,
    selectedNavOffset
  };
}
var TabNavWrapper = /* @__PURE__ */ defineComponent({
  props: {
    selectedKey: {
      type: [Number, String, Symbol]
    }
  },
  setup(props, {
    slots
  }) {
    const {
      common,
      props: tabsProps2,
      config,
      locale: locale2,
      mergedPrefixCls,
      mergedDataSource,
      mergedDndSortable,
      allTabsPanelVisible,
      isHorizontal,
      closedKeys,
      navAttrs,
      setAllTabsPanelVisible
    } = inject(tabsToken);
    const navListRef = shallowRef();
    const navListInnerRef = shallowRef();
    const operationsRef = shallowRef();
    const selectedNavRef = shallowRef();
    const {
      selectedNavSize,
      selectedNavOffset
    } = useSelectedNav(tabsProps2, selectedNavRef, isHorizontal, closedKeys, navAttrs);
    const {
      hasScroll,
      scrolledStart,
      scrolledEnd,
      pre,
      next
    } = useNavListScroll(navListRef, navListInnerRef, isHorizontal, selectedNavSize, selectedNavOffset, navAttrs, closedKeys);
    const autoScrollListRef = computed(() => {
      if (!mergedDndSortable.value) {
        return;
      }
      return mergedDndSortable.value.autoScroll ? navListRef.value : void 0;
    });
    useDndAutoScroll(autoScrollListRef, {
      canScroll: true,
      allowedAxis: "horizontal"
    });
    const showAllTabs = computed(() => {
      var _a;
      return hasScroll.value && ((_a = tabsProps2.showAllTabsPanel) != null ? _a : config.showAllTabsPanel);
    });
    const allNavDataSource = computed(() => {
      const currClosedKeys = closedKeys.value;
      return mergedDataSource.value.filter((data) => !currClosedKeys.includes(data.key));
    });
    const moreNavDataSource = computed(() => {
      return allNavDataSource.value.map((item) => ({
        key: item.key,
        label: item.title,
        disabled: item.disabled,
        customTitle: item.customTitle
      }));
    });
    watch(hasScroll, (_hasScroll) => {
      if (!_hasScroll) {
        setAllTabsPanelVisible(false);
      }
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [`${prefixCls}-nav-wrapper`]: true,
        [`${prefixCls}-nav-wrapper-has-scroll`]: hasScroll.value
      });
    });
    const navBarStyle = computed(() => {
      const size = convertCssPixel(selectedNavSize.value);
      const offset = convertCssPixel(selectedNavOffset.value);
      if (isHorizontal.value) {
        return {
          width: size,
          left: offset
        };
      } else {
        return {
          height: size,
          top: offset
        };
      }
    });
    const popoverPlacement = computed(() => {
      const {
        placement
      } = tabsProps2;
      switch (placement) {
        case "top":
          return "bottomEnd";
        case "bottom":
          return "topStart";
        case "start":
          return "rightEnd";
        case "end":
          return "leftEnd";
        default:
          return "bottomStart";
      }
    });
    let popoverHideDelayTmr;
    let popoverLockTmr;
    let popoverLocked = false;
    watch(allNavDataSource, () => {
      clearTimeout(popoverLockTmr);
      popoverLocked = true;
      popoverLockTmr = setTimeout(() => {
        popoverLocked = false;
      }, 50);
    });
    const handleSelectedNavChange = (element) => {
      selectedNavRef.value = element;
    };
    const handleMouseenter = () => {
      clearTimeout(popoverHideDelayTmr);
      setAllTabsPanelVisible(true);
    };
    const handleMouseleave = () => {
      if (popoverLocked) {
        return;
      }
      clearTimeout(popoverHideDelayTmr);
      popoverHideDelayTmr = setTimeout(() => {
        setAllTabsPanelVisible(false);
      }, 100);
    };
    const handleDragStart = () => {
      popoverLocked = true;
    };
    const handleDrop = (args) => {
      const {
        data
      } = args;
      popoverLocked = false;
      if (!data) {
        handleMouseleave();
      }
    };
    const handleSortReorder = (reorderInfo) => {
      callEmit(tabsProps2.onDndSortReorder, reorderInfo);
    };
    const handleNavListSortChange = (newData, oldData) => {
      callEmit(tabsProps2.onDndSortChange, newData, oldData);
    };
    const handleSelectPanelSortReorder = (reorderInfo) => {
      const {
        sourceIndex,
        targetIndex,
        ...rest
      } = reorderInfo;
      const sourceKey = moreNavDataSource.value[sourceIndex].key;
      const targetKey = moreNavDataSource.value[targetIndex].key;
      const oldData = toRaw(mergedDataSource.value);
      const mergedSourceIndex = oldData.findIndex((data) => data.key === sourceKey);
      const mergedTargetIndex = oldData.findIndex((data) => data.key === targetKey);
      const mergedReorderInfo = {
        sourceIndex: mergedSourceIndex,
        targetIndex: mergedTargetIndex,
        ...rest
      };
      const newData = reorderList(oldData, mergedReorderInfo);
      callEmit(tabsProps2.onDndSortReorder, mergedReorderInfo);
      callEmit(tabsProps2.onDndSortChange, newData, oldData);
    };
    const renderContent2 = () => {
      const prefixCls = mergedPrefixCls.value;
      const {
        selectedKey
      } = props;
      const {
        addable,
        type
      } = tabsProps2;
      const contentNodes = createVNode("div", {
        "ref": navListRef,
        "class": `${prefixCls}-nav-list`
      }, [createVNode("div", {
        "ref": navListInnerRef,
        "class": `${prefixCls}-nav-list-inner`
      }, [allNavDataSource.value.map((data) => {
        const {
          key,
          content,
          customContent,
          customTitle = "title",
          ...navProps
        } = data;
        const titleSlot = isString(customTitle) ? slots[customTitle] : customTitle;
        return createVNode(TabNav, mergeProps(navProps, {
          "onSelected": handleSelectedNavChange,
          "key": key,
          "selected": selectedKey === key
        }), {
          title: titleSlot
        });
      }), addable && !hasScroll.value && createVNode(AddBtn, null, slots), isHorizontal.value && hasScroll.value && createVNode("div", {
        "class": `${prefixCls}-nav-list-gap-filler`
      }, null), type === "line" && createVNode("div", {
        "class": `${prefixCls}-nav-bar`,
        "style": navBarStyle.value
      }, null)])]);
      return mergedDndSortable.value ? createVNode(CdkDndSortable, {
        "dataSource": mergedDataSource.value,
        "direction": "horizontal",
        "onSortReorder": handleSortReorder,
        "onSortChange": handleNavListSortChange
      }, {
        default: () => [contentNodes]
      }) : contentNodes;
    };
    return () => {
      const {
        addable,
        type
      } = tabsProps2;
      const prefixCls = mergedPrefixCls.value;
      return createVNode("div", {
        "class": classes.value
      }, [createVNode("div", {
        "class": `${prefixCls}-nav`
      }, [createVNode(Transition, {
        "appear": true,
        "name": `${common}-fade`
      }, {
        default: () => [hasScroll.value && !scrolledStart.value && createVNode("button", {
          "class": `${prefixCls}-nav-pre-btn`,
          "onClick": pre
        }, [createVNode("span", {
          "class": `${prefixCls}-nav-btn-trigger`
        }, [createVNode(IxIcon, {
          "name": isHorizontal.value ? "left" : "up"
        }, null)])])]
      }), renderContent2(), createVNode(Transition, {
        "appear": true,
        "name": `${common}-fade`
      }, {
        default: () => [hasScroll.value && !scrolledEnd.value && createVNode("button", {
          "class": `${prefixCls}-nav-next-btn`,
          "onClick": next
        }, [createVNode("span", {
          "class": `${prefixCls}-nav-btn-trigger`
        }, [createVNode(IxIcon, {
          "name": isHorizontal.value ? "right" : "down"
        }, null)])])]
      })]), createVNode("div", {
        "ref": operationsRef,
        "class": [`${prefixCls}-nav-operations`, !hasScroll.value && `${prefixCls}-nav-operations-hidden`]
      }, [showAllTabs.value && createVNode("span", {
        "class": `${prefixCls}-nav-operations-item`
      }, [createVNode(IxPopover, {
        "trigger": "manual",
        "placement": popoverPlacement.value,
        "showArrow": false,
        "visible": allTabsPanelVisible.value,
        "props": {
          "onUpdate:visible": setAllTabsPanelVisible
        },
        "class": `${prefixCls}-nav-operations-popover`,
        "onMouseenter": handleMouseenter,
        "onMouseleave": handleMouseleave
      }, {
        default: () => [createVNode(IxButton, {
          "icon": "more",
          "mode": "text",
          "shape": isHorizontal.value ? void 0 : "square",
          "onMouseenter": handleMouseenter,
          "onMouseleave": handleMouseleave
        }, {
          default: () => [isHorizontal.value ? locale2.allTabs : ""]
        })],
        content: () => {
          return createVNode(MoreSelectPane, {
            "visible": allTabsPanelVisible.value,
            "dataSource": moreNavDataSource.value,
            "onSortReorder": handleSelectPanelSortReorder,
            "_onDragStart": handleDragStart,
            "_onDrop": handleDrop
          }, slots);
        }
      })]), addable && createVNode("span", {
        "class": `${prefixCls}-nav-operations-item`
      }, [createVNode(AddBtn, null, slots)])]), type !== "segment" && createVNode("div", {
        "class": `${prefixCls}-nav-border`
      }, null)]);
    };
  }
});
var TabPane = /* @__PURE__ */ defineComponent({
  name: "IxTabPane",
  props: tabPaneProps,
  setup(props, {
    slots
  }) {
    const key = useKey$1();
    const {
      props: tabsProps2,
      mergedPrefixCls
    } = inject(tabsToken);
    const mergedForceRender = computed(() => {
      var _a;
      return (_a = props.forceRender) != null ? _a : tabsProps2.forceRender;
    });
    let rendered = false;
    return () => {
      if (!(rendered || props.selected || mergedForceRender.value)) {
        return null;
      }
      rendered = true;
      const contentNode = slots.content ? slots.content({
        key,
        content: props.content,
        selected: props.selected
      }) : props.content;
      return withDirectives(createVNode("div", {
        "class": `${mergedPrefixCls.value}-pane`
      }, [contentNode]), [[vShow, props.selected]]);
    };
  }
});
function getDefaultThemeTokens$8(tokens2) {
  const { fontSizeSm, fontSizeMd, paddingSizeLg, heightMd, heightLg, borderRadiusSm } = tokens2;
  return {
    navFontSizeMd: fontSizeSm,
    navFontSizeLg: fontSizeMd,
    navTabPadding: `0 ${paddingSizeLg}px`,
    navTabMinWidth: 72,
    navTabHeight: heightLg,
    navBarHeight: 2,
    segmentNavHeight: heightMd,
    borderRadius: borderRadiusSm,
    panelPaddingSize: paddingSizeLg
  };
}
const getThemeTokens$8 = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$8(tokens2) : getDefaultThemeTokens$8(tokens2);
};
var Tabs = /* @__PURE__ */ defineComponent({
  name: "IxTabs",
  props: tabsProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const locale2 = useGlobalConfig("locale");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("tabs");
    registerToken(getThemeTokens$8);
    const config = useGlobalConfig("tabs");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-tabs`);
    const mergedSize = computed(() => {
      var _a;
      return (_a = props.size) != null ? _a : config.size;
    });
    const mergedDndSortable = computed(() => {
      var _a, _b;
      const dndSortable = props.dndSortable;
      if (!dndSortable) {
        return false;
      }
      if (dndSortable === true) {
        return {
          autoScroll: true,
          dragHandle: false
        };
      }
      return {
        autoScroll: (_a = dndSortable.autoScroll) != null ? _a : true,
        dragHandle: (_b = dndSortable.dragHandle) != null ? _b : false
      };
    });
    const mergedDataSource = useDataSource(props, slots);
    const horizontalPlacement2 = ["top", "bottom"];
    const isHorizontal = computed(() => horizontalPlacement2.includes(props.placement));
    const [selectedKey, setSelectedKey] = useControlledProp(props, "selectedKey");
    const [allTabsPanelVisible, setAllTabsPanelVisible] = useControlledProp(props, "allTabsPanelOpen", false);
    const [closedKeys, setClosedKeys] = useState([]);
    const navAttrs = ref({});
    const handleTabClick = async (key, evt) => {
      const result = await callEmit(props.onBeforeLeave, key, selectedKey.value);
      if (result !== false) {
        setSelectedKey(key);
        callEmit(props.onTabClick, key, evt);
      }
    };
    const handleTabClose = async (key) => {
      const result = await callEmit(props.onClose, key);
      if (result !== false) {
        const currSelectedKey = selectedKey.value;
        const currClosedKeys = closedKeys.value;
        if (key === selectedKey.value) {
          setSelectedKey(getNextSelectedKey(mergedDataSource.value, currClosedKeys, currSelectedKey));
        }
        setClosedKeys([...currClosedKeys, key]);
      }
    };
    provide(tabsToken, {
      common,
      config,
      props,
      locale: locale2.tabs,
      mergedPrefixCls,
      mergedDataSource,
      mergedDndSortable,
      allTabsPanelVisible,
      isHorizontal,
      closedKeys,
      navAttrs,
      selectedKey,
      handleTabClick,
      handleTabClose,
      setSelectedKey,
      setAllTabsPanelVisible
    });
    const classes = computed(() => {
      const {
        type,
        placement,
        mode
      } = props;
      const prefixCls = mergedPrefixCls.value;
      const size = mergedSize.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-${size}`]: true,
        [`${prefixCls}-${type}`]: true,
        [`${prefixCls}-nav-${placement}`]: placement === "top" || type === "line",
        [`${prefixCls}-nav-${mode}`]: type === "segment"
      });
    });
    return () => {
      var _a;
      const dataSource = mergedDataSource.value;
      const currClosedKeys = closedKeys.value;
      const currSelectedKey = (_a = selectedKey.value) != null ? _a : getNextSelectedKey(dataSource, currClosedKeys);
      return createVNode("div", {
        "class": classes.value
      }, [createVNode(TabNavWrapper, {
        "selectedKey": currSelectedKey
      }, slots), createVNode("div", {
        "class": `${mergedPrefixCls.value}-pane-wrapper`
      }, [dataSource.map((data) => {
        const {
          key,
          content,
          forceRender,
          customContent = "content"
        } = data;
        const contentSlot = isString(customContent) ? slots[customContent] : customContent;
        return createVNode(TabPane, {
          "key": key,
          "content": content,
          "forceRender": forceRender,
          "selected": key === currSelectedKey
        }, {
          content: contentSlot
        });
      })])]);
    };
  }
});
function getNextSelectedKey(dataSource, closedKeys, currSelectedKey) {
  var _a;
  const isValidNext = (data) => !data.disabled && !closedKeys.includes(data.key);
  const currSelectedIndex = isNil(currSelectedKey) ? -1 : dataSource.findIndex((item) => item.key === currSelectedKey);
  if (currSelectedIndex === -1) {
    return (_a = dataSource.find(isValidNext)) == null ? void 0 : _a.key;
  }
  for (let index = currSelectedIndex + 1; index < dataSource.length; index++) {
    const data = dataSource[index];
    if (isValidNext(data)) {
      return data.key;
    }
  }
  for (let index = currSelectedIndex - 1; index > 0; index--) {
    const data = dataSource[index];
    if (isValidNext(data)) {
      return data.key;
    }
  }
  return;
}
const IxTabs = Tabs;
const IxTab = Tab;
const tagToken = Symbol("tag");
const tagProps = {
  bordered: { type: Boolean, default: void 0 },
  filled: { type: Boolean, default: void 0 },
  icon: String,
  number: Number,
  shape: String,
  status: { type: String, default: "normal" }
};
const tagGroupProps = {
  activeKeys: {
    type: Array,
    default: () => []
  },
  bordered: { type: Boolean, default: void 0 },
  clickable: {
    type: Boolean,
    default: false
  },
  closable: {
    type: Boolean,
    default: false
  },
  closeIcon: {
    type: String,
    default: "close"
  },
  filled: { type: Boolean, default: void 0 },
  dataSource: Array,
  gap: [Number, String],
  wrap: { type: Boolean, default: void 0 },
  shape: String,
  "onUpdate:activeKeys": [Function, Array],
  onClick: [Function, Array],
  onClose: [Function, Array]
};
function getDefaultThemeTokens$7(tokens2, algrithms) {
  const {
    lineWidth,
    borderRadiusSm,
    tagCompColorAlpha,
    colorContainerBg,
    colorTextInfo,
    colorSuccessBg,
    colorInfoBg,
    colorWarningBg,
    colorRiskBg,
    colorErrorBg,
    colorFatalBg
  } = tokens2;
  const { getGreyColors: getGreyColors2 } = algrithms;
  const greyColors = getGreyColors2();
  return {
    bgColorNormal: getAlphaColor(colorTextInfo, tagCompColorAlpha, colorContainerBg),
    bgColorFilled: greyColors.base,
    borderWidth: lineWidth,
    borderRadius: borderRadiusSm,
    minWidthRect: 40,
    minWidthRound: 48,
    minWidthNumeric: 64,
    successBgColor: getAlphaColor(colorSuccessBg, tagCompColorAlpha, colorContainerBg),
    infoBgColor: getAlphaColor(colorInfoBg, tagCompColorAlpha, colorContainerBg),
    warningBgColor: getAlphaColor(colorWarningBg, tagCompColorAlpha, colorContainerBg),
    riskBgColor: getAlphaColor(colorRiskBg, tagCompColorAlpha, colorContainerBg),
    errorBgColor: getAlphaColor(colorErrorBg, tagCompColorAlpha, colorContainerBg),
    fatalBgColor: getAlphaColor(colorFatalBg, tagCompColorAlpha, colorContainerBg)
  };
}
const getThemeTokens$7 = (tokens2, presetTheme, algrithms) => {
  return presetTheme === "default" ? getDefaultThemeTokens$7(tokens2, algrithms) : getDefaultThemeTokens$7(tokens2, algrithms);
};
var Tag = /* @__PURE__ */ defineComponent({
  name: "IxTag",
  props: tagProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("tag");
    registerToken(getThemeTokens$7);
    const config = useGlobalConfig("tag");
    const key = useKey$1();
    const {
      props: groupProps,
      mergedClosedKeys,
      handleTagClick,
      handleTagClose
    } = inject(tagToken, {});
    const mergedPrefixCls = computed(() => `${common.prefixCls}-tag`);
    const handleClick = (evt) => {
      if (groupProps == null ? void 0 : groupProps.clickable) {
        handleTagClick == null ? void 0 : handleTagClick(key, evt);
      }
    };
    const handleClose = (evt) => {
      if (groupProps == null ? void 0 : groupProps.closable) {
        evt.stopPropagation();
        handleTagClose == null ? void 0 : handleTagClose(key);
      }
    };
    const classes = computed(() => {
      const {
        shape = (groupProps == null ? void 0 : groupProps.shape) || config.shape,
        bordered = groupProps == null ? void 0 : groupProps.bordered,
        filled = groupProps == null ? void 0 : groupProps.filled,
        number,
        status
      } = props;
      const prefixCls = mergedPrefixCls.value;
      const isNumeric2 = !isNil(number);
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [`${prefixCls}`]: true,
        [`${prefixCls}-${status}`]: true,
        [`${prefixCls}-${shape}`]: !isNumeric2 && shape,
        [`${prefixCls}-bordered`]: bordered,
        [`${prefixCls}-filled`]: filled,
        [`${prefixCls}-numeric`]: isNumeric2
      });
    });
    return () => {
      var _a;
      if (mergedClosedKeys == null ? void 0 : mergedClosedKeys.value.includes(key)) {
        return null;
      }
      const prefixCls = mergedPrefixCls.value;
      const {
        icon,
        number
      } = props;
      const {
        closable,
        closeIcon
      } = groupProps || {};
      const icoNode = slots.icon ? slots.icon() : icon && createVNode(IxIcon, {
        "name": icon
      }, null);
      let suffixNode = slots.suffix ? slots.suffix() : closable && createVNode(IxIcon, {
        "name": closeIcon
      }, null);
      if (closable) {
        suffixNode = createVNode("span", {
          "class": `${prefixCls}-close-icon`,
          "onClick": handleClose
        }, [suffixNode]);
      }
      return createVNode("span", {
        "class": classes.value,
        "onClick": handleClick
      }, [renderNumericPrefix(prefixCls, number), icoNode, createVNode("span", {
        "class": `${prefixCls}-content`
      }, [(_a = slots.default) == null ? void 0 : _a.call(slots)]), suffixNode]);
    };
  }
});
function renderNumericPrefix(prefixCls, number) {
  if (isNil(number)) {
    return null;
  }
  return createVNode("span", {
    "class": `${prefixCls}-numeric-prefix`
  }, [number > 9 ? "9+" : number]);
}
var TagGroup = /* @__PURE__ */ defineComponent({
  name: "IxTagGroup",
  props: tagGroupProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const config = useGlobalConfig("tagGroup");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-tag-group`);
    const mergedGap = computed(() => {
      var _a;
      return (_a = props.gap) != null ? _a : config.gap;
    });
    const mergedWrap = computed(() => {
      var _a;
      return (_a = props.wrap) != null ? _a : config.wrap;
    });
    const [mergedActiveKeys, setActiveKeys] = useControlledProp(props, "activeKeys", () => []);
    const [mergedClosedKeys, setClosedKeys] = useState([]);
    const handleTagClick = (key, evt) => {
      callEmit(props.onClick, key, evt);
      const activeKeys = [...mergedActiveKeys.value];
      const targetIndex = activeKeys.findIndex((currentKey) => currentKey === key);
      targetIndex === -1 ? activeKeys.push(key) : activeKeys.splice(targetIndex, 1);
      setActiveKeys(activeKeys);
    };
    const handleTagClose = async (key) => {
      const result = await callEmit(props.onClose, key);
      if (result !== false) {
        const activeKeys = mergedActiveKeys.value;
        const targetIndex = activeKeys.findIndex((currentKey) => currentKey === key);
        if (targetIndex !== -1) {
          const tempActiveKeys = [...activeKeys];
          tempActiveKeys.splice(targetIndex, 1);
          setActiveKeys(tempActiveKeys);
        }
        setClosedKeys([...mergedClosedKeys.value, key]);
      }
    };
    provide(tagToken, {
      props,
      mergedActiveKeys,
      mergedClosedKeys,
      handleTagClick,
      handleTagClose
    });
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      const gap = mergedGap.value;
      return {
        [prefixCls]: true,
        [`${prefixCls}-clickable`]: props.clickable,
        [`${prefixCls}-compact`]: !gap || gap === "0"
      };
    });
    return () => {
      return createVNode(IxSpace, {
        "class": classes.value,
        "size": mergedGap.value,
        "wrap": mergedWrap.value
      }, {
        default: () => {
          var _a, _b;
          return [((_a = props.dataSource) == null ? void 0 : _a.map((data, index) => {
            const {
              key = index,
              label,
              ...reset
            } = data;
            return createVNode(Tag, mergeProps(reset, {
              "key": key
            }), {
              default: () => [label],
              suffix: slots.closeIcon
            });
          })) || ((_b = slots.default) == null ? void 0 : _b.call(slots))];
        }
      });
    };
  }
});
const IxTag = Tag;
const IxTagGroup = TagGroup;
function useCopyTooltip(props) {
  const { text } = useGlobalConfig("locale");
  const copyTooltip = computed(() => {
    const { copyTooltip: copyTooltip2 } = props;
    if (!copyTooltip2) {
      return;
    }
    if (isArray(copyTooltip2)) {
      return text.copyText.map((title, idx) => {
        const tooltip = copyTooltip2[idx];
        return isString(tooltip) ? { title: tooltip } : { title, ...tooltip };
      });
    }
    if (isObject(copyTooltip2)) {
      return text.copyText.map((title) => ({ title, ...copyTooltip2 }));
    }
    return text.copyText.map((title) => ({ title }));
  });
  return copyTooltip;
}
function useCopyable(props, config) {
  const copyIcon = computed(() => {
    var _a;
    return (_a = props.copyIcon) != null ? _a : config.copyIcon;
  });
  const [copied, setCopied] = useState(false);
  const { copy: _copy } = useClipboard();
  const copy = throttle((text) => {
    if (!text || copied.value) {
      return;
    }
    _copy(text).then((success) => {
      if (success) {
        setCopied(true);
        setTimeout(() => setCopied(false), 3e3);
      }
      callEmit(props.onCopy, success, text);
    });
  }, 300);
  const copyIconRenderer = ({ copied: _copied }) => {
    if (!copyIcon.value) {
      return;
    }
    if (isString(copyIcon.value)) {
      return h(IxIcon, { name: copyIcon.value });
    }
    if (isFunction(copyIcon.value)) {
      return copyIcon.value({ copied: _copied });
    }
    if (isArray(copyIcon.value)) {
      return h(IxIcon, { name: _copied ? copyIcon.value[1] : copyIcon.value[0] });
    }
  };
  return {
    copied,
    copy,
    copyIconRenderer
  };
}
function getNodeLength(node) {
  if (isString(node.children)) {
    return node.children.length;
  }
  return 1;
}
function getNodesLength(nodes) {
  if (!nodes) {
    return 0;
  }
  let count = 0;
  nodes.forEach((node) => {
    count += getNodeLength(node);
  });
  return count;
}
function sliceNode(node, start, end) {
  if (isString(node.children)) {
    return { ...node, children: node.children.slice(start, end) };
  }
  return node;
}
function sliceNodes(nodes, start, end) {
  if (!nodes) {
    return;
  }
  let currentIdx = 0;
  let currentNodeIdx = 0;
  const res = [];
  while (currentIdx < end && currentNodeIdx < nodes.length) {
    const currentNode = nodes[currentNodeIdx];
    const nodeLen = getNodeLength(currentNode);
    if (currentIdx < start) {
      if (currentIdx + nodeLen > start) {
        res.push(sliceNode(currentNode, start - currentIdx));
      }
    } else if (currentIdx + nodeLen <= end) {
      res.push(currentNode);
    } else {
      res.push(sliceNode(currentNode, 0, end - currentIdx));
    }
    currentIdx += nodeLen;
    currentNodeIdx++;
  }
  return res;
}
function useEllipsis(props, expandable, contentRef, innerRef, measureRef, rowMeasureRef) {
  const [contentNodesLength, setContentNodesLength] = useState(0);
  const [lastRenderIndex, setLastRenderIndex] = useState(0);
  const [measureLastRenderIndex, setMeasureLastRenderIndex] = useState(0);
  const [contentWidth, setContentWidth] = useState(0);
  const [isEllipsis, setIsEllipsis] = useState(false);
  const [measureStatus, setMeasureStatus] = useState("none");
  let currentWalk;
  const rows = computed(() => {
    const { ellipsis, lineClamp } = props;
    if (ellipsis === true) {
      return 1;
    }
    if (ellipsis && isNumber(ellipsis.rows)) {
      return ellipsis.rows;
    }
    if (lineClamp) {
      Logger.warn("components/text", "The `lineClamp` prop is deprecated, use `ellipsis` instead");
      const parsedRows = toInteger$1(lineClamp);
      return isNaN$1(parsedRows) ? 0 : parsedRows;
    }
    return 0;
  });
  const isSimple = computed(() => rows.value === 1 && !expandable.value);
  const onRender = (nodes) => {
    setContentNodesLength(getNodesLength(nodes));
  };
  const onMeasureRender = () => {
    if (measureStatus.value !== "none") {
      currentWalk == null ? void 0 : currentWalk();
    }
  };
  const renderClampedContent = (nodes, measure = false) => !measure ? sliceNodes(nodes, 0, lastRenderIndex.value) : measureStatus.value === "preparing" ? nodes : sliceNodes(nodes, 0, measureLastRenderIndex.value);
  const calculate = () => {
    let maxHeight = 0;
    let rowHeight = 0;
    let start = 0;
    let end = contentNodesLength.value;
    setMeasureLastRenderIndex(end);
    currentWalk = void 0;
    const next = (index) => {
      index && setMeasureLastRenderIndex(index);
      currentWalk = () => {
        nextTick(walk);
      };
    };
    const walk = () => {
      var _a, _b, _c, _d, _e, _f;
      const measureHeight = (_b = (_a = measureRef.value) == null ? void 0 : _a.offsetHeight) != null ? _b : 0;
      const conentHeight = (_d = (_c = contentRef.value) == null ? void 0 : _c.offsetHeight) != null ? _d : 0;
      if (measureStatus.value === "preparing") {
        if (!rowMeasureRef.value) {
          return;
        }
        rowHeight = (_f = (_e = rowMeasureRef.value) == null ? void 0 : _e.offsetHeight) != null ? _f : 0;
        maxHeight = rows.value * rowHeight;
        if (conentHeight <= maxHeight || measureHeight <= maxHeight) {
          setIsEllipsis(false);
          setLastRenderIndex(contentNodesLength.value);
          currentWalk = void 0;
          setMeasureStatus("none");
        } else {
          setMeasureStatus("measuring");
          next(Math.ceil(contentNodesLength.value / 2));
        }
      } else {
        if (measureHeight <= maxHeight) {
          start = measureLastRenderIndex.value;
        } else {
          end = measureLastRenderIndex.value;
        }
        if (start === end || start === end - 1) {
          if (measureHeight > maxHeight) {
            next(measureLastRenderIndex.value - 1);
          } else {
            currentWalk = void 0;
            setIsEllipsis(true);
            setLastRenderIndex(measureLastRenderIndex.value);
            setMeasureStatus("none");
          }
        } else {
          next(Math.ceil((start + end) / 2));
        }
      }
    };
    setMeasureStatus("preparing");
    next();
  };
  const startCalculate = () => {
    if (!contentNodesLength.value || !contentWidth.value) {
      return;
    }
    if (!rows.value) {
      setIsEllipsis(false);
      return;
    }
    if (isSimple.value) {
      setIsEllipsis(!!innerRef.value && innerRef.value.scrollWidth > innerRef.value.clientWidth);
      return;
    }
    calculate();
  };
  onMounted(() => {
    watch([contentNodesLength, rows], startCalculate, {
      flush: "post",
      immediate: true
    });
    useResizeObserver(contentRef, () => {
      var _a, _b;
      if (measureStatus.value !== "none") {
        return;
      }
      const width = (_b = (_a = contentRef.value) == null ? void 0 : _a.offsetWidth) != null ? _b : 0;
      if (width !== contentWidth.value) {
        setContentWidth(width);
        startCalculate();
      }
    });
  });
  return {
    isEllipsis,
    isSimple,
    measureStatus,
    onRender,
    onMeasureRender,
    renderClampedContent
  };
}
function useExpandable$1(props, config) {
  const [expanded, setExpanded] = useControlledProp(props, "expanded", false);
  const expandable = computed(() => {
    const _expandable = isObject(props.ellipsis) ? props.ellipsis.expandable : void 0;
    if (isBoolean(_expandable)) {
      return _expandable;
    }
    if (isBoolean(props.expandable)) {
      Logger.warn("components/text", "The `expandable` prop is deprecated, use `ellipsis` instead");
      return props.expandable;
    }
    return false;
  });
  const expandIcon = computed(() => {
    var _a;
    return (_a = props.expandIcon) != null ? _a : config.expandIcon;
  });
  const expandIconRenderer2 = computed(() => {
    if (!expandIcon.value) {
      return;
    }
    return ({ expanded: _expanded }) => {
      if (isString(expandIcon.value)) {
        return h(IxIcon, { name: expandIcon.value });
      }
      if (isFunction(expandIcon.value)) {
        return expandIcon.value({ expanded: _expanded });
      }
      if (isArray(expandIcon.value)) {
        return h(IxIcon, { name: _expanded ? expandIcon.value[1] : expandIcon.value[0] });
      }
    };
  });
  return {
    expandIconRenderer: expandIconRenderer2,
    expanded,
    expandable,
    setExpanded
  };
}
const textProps = {
  copyable: { type: Boolean, default: false },
  copyIcon: {
    type: [String, Function, Array],
    default: void 0
  },
  copyTooltip: {
    type: [Boolean, Array, Object],
    default: true
  },
  expanded: { type: Boolean, default: void 0 },
  expandable: { type: Boolean, default: void 0 },
  expandIcon: {
    type: [String, Function, Array],
    default: void 0
  },
  ellipsis: { type: [Boolean, Object], default: void 0 },
  lineClamp: { type: [String, Number], default: void 0 },
  tag: { type: [String, Object], default: "span" },
  tooltip: { type: [Boolean, String, Object], default: true },
  onCopy: [Function, Array],
  "onUpdate:expanded": [Function, Array]
};
const measureElementStyle = {
  display: "block",
  position: "absolute",
  visibility: "hidden",
  top: "-100px",
  left: "-100px"
};
const rowMeasureElementStyle = {
  ...measureElementStyle,
  wordBreak: "keep-all",
  whiteSpace: "nowrap"
};
var Text = /* @__PURE__ */ defineComponent({
  name: "IxText",
  props: textProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId
    } = useThemeToken();
    const config = useGlobalConfig("text");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-text`);
    const contentRef = shallowRef();
    const innerRef = shallowRef();
    const measureRef = shallowRef();
    const rowMeasureRef = shallowRef();
    const {
      expanded,
      expandable,
      setExpanded,
      expandIconRenderer: expandIconRenderer2
    } = useExpandable$1(props, config);
    const {
      copied,
      copy,
      copyIconRenderer
    } = useCopyable(props, config);
    const copyTooltip = useCopyTooltip(props);
    const {
      isSimple,
      isEllipsis,
      measureStatus,
      onRender,
      onMeasureRender,
      renderClampedContent
    } = useEllipsis(props, expandable, contentRef, innerRef, measureRef, rowMeasureRef);
    const toggleExpanded = () => {
      const nextExpanded = !expanded.value;
      setExpanded(nextExpanded);
    };
    const renderEllipsisNode = () => {
      var _a, _b;
      return createVNode("span", {
        "class": `${mergedPrefixCls.value}-ellipsis`
      }, [(_b = (_a = slots.ellipsis) == null ? void 0 : _a.call(slots)) != null ? _b : "..."]);
    };
    const renderCopyNode = () => {
      var _a;
      if (!props.copyable) {
        return;
      }
      const node = createVNode("span", {
        "class": `${mergedPrefixCls.value}-copy-icon`,
        "onClick": () => copy(getStringBySlot(slots.default))
      }, [((_a = slots.copyIcon) != null ? _a : copyIconRenderer)({
        copied: copied.value
      })]);
      if (!copyTooltip.value) {
        return node;
      }
      return createVNode(IxTooltip, copied.value ? copyTooltip.value[1] : copyTooltip.value[0], {
        default: () => [node]
      });
    };
    const renderMeasureElement = (nodes) => {
      const {
        tag: Tag2
      } = props;
      return createVNode(Tag2, {
        "ref": measureRef,
        "class": `${mergedPrefixCls.value}-inner`,
        "style": measureElementStyle
      }, {
        default: () => {
          var _a;
          return [renderClampedContent(nodes, true), renderEllipsisNode(), (_a = slots.suffix) == null ? void 0 : _a.call(slots), renderCopyNode()];
        }
      });
    };
    const renderRowMeasureElement = () => {
      const {
        tag: Tag2
      } = props;
      return createVNode(Tag2, {
        "ref": rowMeasureRef,
        "class": `${mergedPrefixCls.value}-inner`,
        "style": rowMeasureElementStyle
      }, {
        default: () => [createTextVNode("lg")]
      });
    };
    return () => {
      var _a, _b, _c;
      const {
        tag: Tag2,
        tooltip
      } = props;
      const prefixCls = mergedPrefixCls.value;
      const isNative = tooltip === "native";
      const titleSlot = slots.title || slots.default;
      const hasExpandIcon = !!slots.expandIcon || !!expandIconRenderer2.value;
      const expandNode = expandable.value && hasExpandIcon ? createVNode("div", {
        "class": `${prefixCls}-expand-icon`,
        "onClick": toggleExpanded
      }, [((_a = slots.expandIcon) != null ? _a : expandIconRenderer2.value)({
        expanded: expanded.value
      })]) : void 0;
      const contentNodes = flattenNode((_b = slots.default) == null ? void 0 : _b.call(slots));
      let node = createVNode(Tag2, {
        "ref": innerRef,
        "class": `${prefixCls}-inner`,
        "title": isNative && isEllipsis.value ? getStringBySlot(titleSlot) : void 0,
        "onClick": expandable.value && !hasExpandIcon ? toggleExpanded : void 0
      }, {
        default: () => [!isSimple.value && isEllipsis.value && !expanded.value && measureStatus.value === "none" ? renderClampedContent(contentNodes) : contentNodes, !isSimple.value && isEllipsis.value && !expanded.value && renderEllipsisNode()]
      });
      if (isEllipsis.value && !expanded.value && tooltip && !isNative) {
        const tooltipProps2 = isObject(tooltip) ? tooltip : {};
        const _node = function() {
          return node;
        }();
        node = createVNode(IxTooltip, tooltipProps2, {
          default: () => [_node],
          title: titleSlot
        });
      }
      const classes = normalizeClass({
        [globalHashId.value]: globalHashId.value,
        [prefixCls]: true,
        [`${prefixCls}-simple`]: isSimple.value,
        [`${prefixCls}-ellipsis`]: isEllipsis.value,
        [`${prefixCls}-expandable`]: expandable.value,
        [`${prefixCls}-has-expand-icon`]: hasExpandIcon
      });
      onRender(contentNodes);
      if (measureStatus.value !== "none") {
        onMeasureRender();
      }
      return createVNode("div", {
        "ref": contentRef,
        "class": classes
      }, [node, (_c = slots.suffix) == null ? void 0 : _c.call(slots), renderCopyNode(), isEllipsis.value && expandNode, measureStatus.value !== "none" && renderMeasureElement(contentNodes), measureStatus.value === "preparing" && renderRowMeasureElement()]);
    };
  }
});
function getStringBySlot(slot) {
  const validNode = getFirstValidNode(slot == null ? void 0 : slot());
  if (!validNode) {
    return "";
  }
  const {
    children
  } = validNode;
  if (isString(children)) {
    return children;
  }
  return "";
}
const IxText = Text;
function getBoxSizingData(node) {
  const data = getBoxSizingData$1(node);
  const { paddingBottom, paddingTop, borderBottom, borderTop } = data;
  return {
    ...data,
    paddingSize: paddingTop + paddingBottom,
    borderSize: borderTop + borderBottom
  };
}
const HIDDEN_TEXTAREA_STYLE = {
  height: "0",
  "min-height": "0",
  "max-height": "none",
  visibility: "hidden",
  overflow: "hidden",
  transition: "none"
};
function measureTextarea(textarea, measureFn, cache = true) {
  let clonedTextarea;
  const _textarea = textarea;
  if (_textarea.__cdk_measure_textarea) {
    clonedTextarea = _textarea.__cdk_measure_textarea;
  } else {
    clonedTextarea = textarea.cloneNode(false);
    cache && (_textarea.__cdk_measure_textarea = clonedTextarea);
  }
  Object.keys(HIDDEN_TEXTAREA_STYLE).forEach((key) => {
    clonedTextarea.style.setProperty(key, HIDDEN_TEXTAREA_STYLE[key], "important");
  });
  textarea.parentNode.appendChild(clonedTextarea);
  const measureRes = measureFn(clonedTextarea);
  if (clonedTextarea.parentNode) {
    clonedTextarea.parentNode.removeChild(clonedTextarea);
  }
  return measureRes;
}
function useLineHeight(textareaRef) {
  let lineHeight = 0;
  return customRef((track, trigger) => {
    watch(textareaRef, () => {
      lineHeight = calcTextareaLineHeight(textareaRef.value);
      trigger();
    });
    return {
      get() {
        if (!textareaRef.value) {
          return 0;
        }
        const value = lineHeight || (lineHeight = calcTextareaLineHeight(textareaRef.value));
        track();
        return value;
      },
      set() {
      }
    };
  });
}
function calcTextareaLineHeight(textarea) {
  if (!textarea) {
    return 0;
  }
  if (!textarea.parentNode) {
    return 0;
  }
  return measureTextarea(
    textarea,
    (el) => {
      const rows = el.rows;
      const { paddingSize } = getBoxSizingData(el);
      el.rows = 1;
      el.value = "x";
      const lineHeight = el.scrollHeight - paddingSize;
      el.rows = rows;
      return lineHeight > 0 ? lineHeight : 0;
    },
    false
  );
}
const isAutoRowsObject = (value) => {
  return isObject(value) && (isNumber(value.minRows) || isNumber(value.maxRows));
};
function useAutoRows(textareaRef, autoRows) {
  let previousValue;
  let previousMinRows;
  let initialHeight;
  let isFunctioning = false;
  let currentOverflow;
  let cachedPlaceholderHeight;
  const enabled = computed(() => isAutoRowsObject(autoRows.value) || isBoolean(autoRows.value) && !!autoRows.value);
  const minRows = computed(() => isAutoRowsObject(autoRows.value) ? autoRows.value.minRows : void 0);
  const maxRows = computed(() => isAutoRowsObject(autoRows.value) ? autoRows.value.maxRows : void 0);
  const cachedLineHeight = useLineHeight(textareaRef);
  const boxSizingData = computed(() => {
    if (!textareaRef.value) {
      return { paddingSize: 0, borderSize: 0, boxSizing: "" };
    }
    return getBoxSizingData(textareaRef.value);
  });
  function getTextareaScrollHeight() {
    return measureTextarea(textareaRef.value, (textarea) => {
      textarea.value = textareaRef.value.value;
      void textarea.scrollHeight;
      return getHeightByScrollHeight(textarea.scrollHeight, boxSizingData.value);
    });
  }
  function getTextareaPlaceholderHeight() {
    if (!textareaRef.value) {
      return 0;
    }
    const textarea = textareaRef.value;
    if (!textarea.placeholder) {
      return 0;
    }
    if (!cachedPlaceholderHeight) {
      measureTextarea(textareaRef.value, (textarea2) => {
        textarea2.style.height = "";
        textarea2.value = textarea2.placeholder;
        void textarea2.scrollHeight;
        cachedPlaceholderHeight = getHeightByScrollHeight(textarea2.scrollHeight, boxSizingData.value);
      });
    }
    return cachedPlaceholderHeight;
  }
  function resizeToFitContent(force = false) {
    if (!enabled.value) {
      return;
    }
    if (!cachedLineHeight.value) {
      return;
    }
    const textarea = textareaRef.value;
    const value = textarea.value;
    if (!force && minRows.value === previousMinRows && value === previousValue) {
      return;
    }
    textarea.style.lineHeight = `${cachedLineHeight.value}px`;
    const height = Math.max(getTextareaScrollHeight(), getTextareaPlaceholderHeight());
    textarea.style.height = `${height}px`;
    currentOverflow = currentOverflow != null ? currentOverflow : textarea.style.overflow;
    textarea.style.overflow = "hidden";
    nextTick(
      () => rAF(() => {
        scrollToCaretPosition(textarea);
        textarea.style.overflow = currentOverflow != null ? currentOverflow : "";
        currentOverflow = void 0;
      })
    );
    previousValue = value;
    previousMinRows = minRows.value;
  }
  function setMinHeight() {
    if (!textareaRef.value) {
      return;
    }
    const contentHeight = minRows.value && cachedLineHeight.value ? minRows.value * cachedLineHeight.value : null;
    const minHeight = contentHeight ? `${getHeightByContentHeight(contentHeight, boxSizingData.value)}px` : "";
    textareaRef.value.style.minHeight = minHeight;
  }
  function setMaxHeight() {
    if (!textareaRef.value) {
      return;
    }
    const contentHeight = maxRows.value && cachedLineHeight.value ? maxRows.value * cachedLineHeight.value : null;
    const maxHeight = contentHeight ? `${getHeightByContentHeight(contentHeight, boxSizingData.value)}px` : "";
    textareaRef.value.style.maxHeight = maxHeight;
  }
  function scrollToCaretPosition(textarea) {
    const { selectionStart, selectionEnd } = textarea;
    if (isFunctioning && document.activeElement === textarea) {
      textarea.setSelectionRange(selectionStart, selectionEnd);
    }
  }
  function reset() {
    if (initialHeight !== void 0) {
      textareaRef.value && (textareaRef.value.style.height = initialHeight);
    }
  }
  let stopWatch;
  const onResize2 = throttle(() => {
    cachedPlaceholderHeight = void 0;
    resizeToFitContent(true);
  }, 16);
  onMounted(() => {
    const watchStopHandlers = [
      watch(
        textareaRef,
        () => {
          textareaRef.value && (initialHeight = textareaRef.value.style.height);
        },
        { immediate: true }
      ),
      watch(
        autoRows,
        () => {
          enabled.value ? resizeToFitContent(true) : reset();
        },
        { immediate: true }
      ),
      watch(
        minRows,
        () => {
          setMinHeight();
        },
        { immediate: true }
      ),
      watch(
        maxRows,
        () => {
          setMaxHeight();
        },
        { immediate: true }
      )
    ];
    const stopResizeObserver = useResizeObserver(textareaRef, onResize2);
    stopWatch = () => {
      watchStopHandlers.forEach((stop) => stop());
      stopResizeObserver();
    };
    isFunctioning = true;
  });
  onUnmounted(() => {
    stopWatch == null ? void 0 : stopWatch();
    isFunctioning = false;
  });
  return {
    resizeToFitContent,
    lineHeight: cachedLineHeight,
    boxSizingData
  };
}
function getHeightByScrollHeight(scrollHeight, sizingData) {
  const { borderSize, paddingSize, boxSizing } = sizingData;
  if (boxSizing === "border-box") {
    return scrollHeight + borderSize;
  }
  return scrollHeight - paddingSize;
}
function getHeightByContentHeight(contentHeight, sizingData) {
  const { borderSize, paddingSize, boxSizing } = sizingData;
  if (boxSizing === "border-box") {
    return contentHeight + borderSize + paddingSize;
  }
  return contentHeight + paddingSize;
}
const textareaProps = {
  ...inputCommonProps,
  autoRows: { type: [Boolean, Object], default: void 0 },
  computeCount: { type: Function, default: void 0 },
  maxCount: { type: [Number, String], default: void 0 },
  resize: { type: String, default: void 0 },
  showCount: { type: Boolean, default: void 0 }
};
function getDefaultThemeTokens$6(tokens2) {
  const { colorTextPlaceholder } = tokens2;
  return {
    countBottom: 1,
    countRight: 8,
    countOpacity: 0.9,
    countColor: colorTextPlaceholder
  };
}
const transforms = {
  countBottom: (value) => numUnitTransform(value, "px"),
  countRight: (value) => numUnitTransform(value, "px")
};
const getThemeTokens$6 = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$6(tokens2) : getDefaultThemeTokens$6(tokens2);
};
var Textarea = /* @__PURE__ */ defineComponent({
  name: "IxTextarea",
  inheritAttrs: false,
  props: textareaProps,
  setup(props, {
    slots,
    expose,
    attrs
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("textarea");
    registerToken(getThemeTokens$6, transforms);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-textarea`);
    const config = useGlobalConfig("textarea");
    const {
      elementRef,
      accessor,
      mergedSize,
      mergedStatus,
      clearable,
      clearIcon,
      clearVisible,
      isFocused,
      isComposing,
      focus,
      blur,
      handleInput,
      handleCompositionStart,
      handleCompositionEnd,
      handleClear,
      syncValue
    } = useInput(props, config);
    expose({
      focus,
      blur
    });
    const classes = computed(() => {
      const {
        showCount = config.showCount
      } = props;
      const status = mergedStatus.value;
      const prefixCls = mergedPrefixCls.value;
      const classes2 = {
        [globalHashId.value]: globalHashId.value,
        [hashId.value]: hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-${mergedSize.value}`]: true,
        [`${prefixCls}-${status}`]: !!status,
        [`${prefixCls}-clearable`]: clearable.value,
        [`${prefixCls}-disabled`]: accessor.disabled,
        [`${prefixCls}-focused`]: isFocused.value,
        [`${prefixCls}-with-count`]: showCount
      };
      return normalizeClass([classes2, attrs.class]);
    });
    const dataCount = useDataCount(props, config, accessor);
    const autoRows = computed(() => {
      var _a;
      return (_a = props.autoRows) != null ? _a : config.autoRows;
    });
    const resize = computed(() => {
      var _a;
      const resize2 = (_a = props.resize) != null ? _a : config.resize;
      if (autoRows.value) {
        return resize2 === "horizontal" ? "horizontal" : "none";
      } else {
        return resize2;
      }
    });
    const textareaStyle = computed(() => ({
      resize: resize.value
    }));
    const {
      resizeToFitContent
    } = useAutoRows(elementRef, autoRows);
    onMounted(() => {
      syncValue();
      watch(() => accessor.value, resizeToFitContent, {
        immediate: true
      });
    });
    const _handleInput = (evt) => {
      handleInput(evt);
      if (isComposing.value) {
        resizeToFitContent();
      }
    };
    return () => {
      const {
        class: className,
        style,
        ...rest
      } = attrs;
      const prefixCls = mergedPrefixCls.value;
      return createVNode("span", {
        "class": classes.value,
        "style": style,
        "data-count": dataCount.value
      }, [createVNode("textarea", mergeProps(rest, {
        "ref": elementRef,
        "class": `${prefixCls}-inner`,
        "style": textareaStyle.value,
        "disabled": accessor.disabled,
        "readonly": props.readonly,
        "onInput": _handleInput,
        "onCompositionstart": handleCompositionStart,
        "onCompositionend": handleCompositionEnd
      }), null), clearable.value && createVNode("span", {
        "class": normalizeClass([`${prefixCls}-clear`, clearVisible.value ? "visible" : ""]),
        "onClick": handleClear
      }, [slots.clearIcon ? slots.clearIcon() : createVNode(IxIcon, {
        "name": clearIcon.value
      }, null)])]);
    };
  }
});
function useDataCount(props, config, accessor) {
  return computed(() => {
    var _a, _b, _c, _d;
    const showCount = (_a = props.showCount) != null ? _a : config.showCount;
    const computeCount = (_b = props.computeCount) != null ? _b : config.computeCount;
    const maxCount = (_c = props.maxCount) != null ? _c : config.maxCount;
    let dataCount = "";
    if (showCount) {
      const value = (_d = accessor.value) != null ? _d : "";
      dataCount = value.length;
      if (computeCount) {
        dataCount = computeCount(value);
      } else if (maxCount) {
        dataCount += " / " + maxCount;
      }
    }
    return dataCount;
  });
}
const IxTextarea = Textarea;
const timelineToken = Symbol("timelineToken");
const timelineItemKey = Symbol("IDUX_TIMELINE_ITEM_KEY");
const timelineProps = {
  pending: {
    type: [String, Boolean],
    default: false
  },
  pendingDot: String,
  reverse: {
    type: Boolean,
    default: false
  },
  placement: {
    type: String,
    default: "end"
  },
  labelPlacement: {
    type: String,
    default: "bottom"
  },
  both: {
    type: Boolean,
    default: true
  }
};
const timelineItemProps = {
  color: {
    type: String,
    default: "primary"
  },
  dot: String,
  label: String,
  placement: String
};
var TimelineItem = /* @__PURE__ */ defineComponent({
  name: "IxTimelineItem",
  props: timelineItemProps,
  [timelineItemKey]: true,
  setup(props, {
    slots
  }) {
    const {
      props: parentProps,
      mergedPrefixCls
    } = inject(timelineToken);
    const {
      vnode
    } = getCurrentInstance();
    const itemPlacement = computed(() => {
      const {
        placement: parentPlacement
      } = parentProps;
      const {
        placement
      } = props;
      const index = vnode.index;
      let _placement;
      if (parentPlacement === "alternate") {
        _placement = placement ? placement : index % 2 ? "start" : "end";
      } else {
        _placement = parentPlacement;
      }
      return _placement;
    });
    const isPresetOrStatusColor = computed(() => isPresetColor(props.color) || isStatusColor(props.color));
    const isTopLabel = computed(() => parentProps.labelPlacement === "top");
    const dotStyle = computed(() => {
      const {
        color
      } = props;
      if (isPresetOrStatusColor.value) {
        return {};
      }
      return {
        color,
        "border-color": color
      };
    });
    const dotInnerStyle = computed(() => isPresetOrStatusColor.value ? {} : {
      "background-color": props.color
    });
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-item`;
      const placement = itemPlacement.value;
      return normalizeClass({
        [`${prefixCls}`]: true,
        [`${prefixCls}-${placement}`]: true
      });
    });
    const isCustomDot = computed(() => hasSlot(slots, "dot") || !!props.dot);
    const dotClass = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-item-head`;
      const {
        color
      } = props;
      return normalizeClass({
        [`${prefixCls}-dot`]: true,
        [`${prefixCls}-dot-custom`]: isCustomDot.value,
        [`${prefixCls}-dot-${color}`]: isPresetOrStatusColor.value
      });
    });
    return () => {
      const {
        label,
        dot
      } = props;
      const prefixCls = `${mergedPrefixCls.value}-item`;
      const dotNode = convertStringVNode(slots.dot, dot);
      const labelNode = convertStringVNode(slots.label, label);
      return createVNode("li", {
        "class": classes.value
      }, [createVNode("div", {
        "class": `${prefixCls}-head`
      }, [createVNode("div", {
        "class": `${prefixCls}-head-line`
      }, null), createVNode("div", {
        "class": dotClass.value,
        "style": dotStyle.value
      }, [dotNode, !isCustomDot.value && createVNode("div", {
        "class": `${prefixCls}-head-dot-inner`,
        "style": dotInnerStyle.value
      }, null)])]), isTopLabel.value ? createVNode("div", {
        "class": `${prefixCls}-content ${prefixCls}-content-top`
      }, [labelNode && createVNode("div", {
        "class": `${prefixCls}-content-label`
      }, [labelNode]), slots.default && createVNode("div", {
        "class": `${prefixCls}-content-desc`
      }, [slots.default()])]) : createVNode("div", {
        "class": `${prefixCls}-content`
      }, [slots.default && createVNode("div", {
        "class": `${prefixCls}-content-desc`
      }, [slots.default()]), labelNode && createVNode("div", {
        "class": `${prefixCls}-content-label`
      }, [labelNode])])]);
    };
  }
});
function getDefaultThemeTokens$5(tokens2) {
  const { fontSizeSm, marginSizeSm, marginSizeLg, colorSeparator } = tokens2;
  return {
    fontSize: fontSizeSm,
    dotSize: 12,
    dotBorderWidth: 2,
    contentLabelMarginTop: marginSizeSm,
    lineWidth: 2,
    lineBgColor: colorSeparator,
    pendingItemContentMinWidth: 40,
    contentMarginBottom: marginSizeLg
  };
}
const getThemeTokens$5 = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$5(tokens2) : getDefaultThemeTokens$5(tokens2);
};
var Timeline = /* @__PURE__ */ defineComponent({
  name: "IxTimeline",
  props: timelineProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("timeline");
    registerToken(getThemeTokens$5);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-timeline`);
    const hasPendingNode = computed(() => props.pending !== false || hasSlot(slots, "pending"));
    const classes = computed(() => {
      const {
        placement,
        reverse,
        both
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [`${prefixCls}`]: true,
        [`${prefixCls}-${placement}`]: true,
        [`${prefixCls}-reverse`]: reverse,
        [`${prefixCls}-not-both`]: !both,
        [`${prefixCls}-pending`]: hasPendingNode.value
      });
    });
    provide(timelineToken, {
      props,
      mergedPrefixCls
    });
    return () => {
      const itemNodes = useItems(slots, props, hasPendingNode, mergedPrefixCls);
      return createVNode("ul", {
        "class": classes.value
      }, [itemNodes.value]);
    };
  }
});
function convertItemNodes(itemNodes) {
  return flattenNode(itemNodes, {
    key: timelineItemKey
  }).map((node, index) => {
    node.index = index;
    return node;
  });
}
function useItems(slots, props, hasPendingNode, mergedPrefixCls) {
  return computed(() => {
    var _a, _b;
    const {
      pending,
      pendingDot,
      reverse
    } = props;
    const defaultSlots = ((_a = slots == null ? void 0 : slots.default) == null ? void 0 : _a.call(slots)) || [];
    let pendingNode = null;
    if (hasPendingNode.value) {
      const pendingDotNode = ((_b = slots == null ? void 0 : slots.pendingDot) == null ? void 0 : _b.call(slots)) || pendingDot || createVNode(IxIcon, {
        "name": "loading"
      }, null);
      pendingNode = createVNode(TimelineItem, {
        "class": `${mergedPrefixCls.value}-item-pending`
      }, {
        default: () => [convertStringVNode(slots.pending, isBoolean(pending) ? "" : pending)],
        dot: () => pendingDotNode
      });
    }
    const timelineItemNodes = reverse ? [pendingNode, ...defaultSlots.reverse()] : [...defaultSlots, pendingNode];
    return convertItemNodes(timelineItemNodes.filter(Boolean));
  });
}
const IxTimeline = Timeline;
const IxTimelineItem = TimelineItem;
const tourToken = Symbol("tourToken");
var Mask = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      globalHashId,
      hashId
    } = useThemeToken("tour");
    const {
      mergedPrefixCls,
      mergedProps,
      maskPath,
      maskOutlinePath,
      maskAttrs,
      maskClass,
      maskStyle,
      maskOutlineStyle,
      activeStep
    } = inject(tourToken);
    const classes = computed(() => {
      var _a;
      const prefixCls = `${mergedPrefixCls.value}-mask`;
      const {
        animatable
      } = mergedProps.value;
      return normalizeClass([prefixCls, globalHashId.value, hashId.value, maskClass.value, animatable ? `${prefixCls}-animatable` : void 0, ((_a = activeStep.value) == null ? void 0 : _a.targetDisabled) ? `${prefixCls}-target-disabled` : void 0]);
    });
    return () => {
      return createVNode("svg", mergeProps({
        "class": classes.value,
        "style": maskStyle.value
      }, maskAttrs.value), [createVNode("path", {
        "class": `${mergedPrefixCls.value}-mask-target`,
        "d": maskPath.value
      }, null), maskOutlinePath.value && createVNode("path", {
        "class": `${mergedPrefixCls.value}-mask-outline`,
        "style": maskOutlineStyle.value,
        "d": maskOutlinePath.value
      }, null)]);
    };
  }
});
var Panel = /* @__PURE__ */ defineComponent({
  setup(_, {
    slots
  }) {
    const {
      mergedPrefixCls,
      mergedProps,
      activeStep,
      activeIndex,
      goTo,
      finish,
      isCurrentMax,
      setVisible,
      onStepChange
    } = inject(tourToken);
    const [renderData, setRenderData] = useState(void 0);
    const updateRenderData = () => {
      setRenderData({
        step: activeStep.value,
        activeIndex: activeIndex.value,
        isCurrentMax: isCurrentMax.value
      });
    };
    onMounted(updateRenderData);
    onStepChange(updateRenderData);
    const handleClose = () => {
      setVisible(false);
      callEmit(mergedProps.value.onClose);
    };
    const renderHeader2 = () => {
      var _a;
      const {
        step: {
          title = void 0
        } = {},
        activeIndex: activeIndex2 = 0
      } = (_a = renderData.value) != null ? _a : {};
      const {
        closable
      } = mergedProps.value;
      if (!title && !slots.title && !slots.header && !closable) {
        return;
      }
      return createVNode(\u0275Header, {
        "size": "sm",
        "closable": closable,
        "closeIcon": "close",
        "header": title,
        "onClose": handleClose
      }, {
        header: slots.header,
        title: slots.title ? () => slots.title({
          activeIndex: activeIndex2,
          title
        }) : void 0
      });
    };
    const renderDescription = (prefixCls) => {
      var _a;
      const {
        step: {
          description = void 0
        } = {},
        activeIndex: activeIndex2 = 0
      } = (_a = renderData.value) != null ? _a : {};
      const children = slots.description ? slots.description({
        activeIndex: activeIndex2,
        description
      }) : description;
      return !isEmptyNode(children) ? createVNode("div", {
        "class": `${prefixCls}-description`
      }, [children]) : void 0;
    };
    const renderIndicators = (prefixCls) => {
      var _a, _b, _c;
      const total = (_b = (_a = mergedProps.value.steps) == null ? void 0 : _a.length) != null ? _b : 0;
      const {
        activeIndex: activeIndex2 = 0
      } = (_c = renderData.value) != null ? _c : {};
      return createVNode("div", {
        "class": `${prefixCls}-indicators`
      }, [slots.indicators ? slots.indicators({
        activeIndex: activeIndex2,
        total
      }) : `${activeIndex2 + 1} / ${total}`]);
    };
    const _goTo = (offset) => {
      var _a;
      if (!((_a = renderData.value) == null ? void 0 : _a.step)) {
        return;
      }
      goTo(renderData.value.step.index + offset);
    };
    const next = () => {
      _goTo(1);
    };
    const prev = () => {
      _goTo(-1);
    };
    const renderButtons = (prefixCls) => {
      var _a;
      if (!((_a = renderData.value) == null ? void 0 : _a.step)) {
        return;
      }
      const {
        step: {
          nextButton,
          nextButtonText,
          prevButton,
          prevButtonText
        },
        activeIndex: activeIndex2,
        isCurrentMax: isCurrentMax2
      } = renderData.value;
      return createVNode("div", {
        "class": `${prefixCls}-buttons`
      }, [activeIndex2 > 0 && prevButton && createVNode(IxButton, mergeProps({
        "class": `${prefixCls}-button`
      }, prevButton, {
        "onClick": prev
      }), {
        default: () => [prevButtonText]
      }), nextButton && createVNode(IxButton, mergeProps({
        "class": `${prefixCls}-button`
      }, nextButton, {
        "onClick": isCurrentMax2 ? finish : next
      }), {
        default: () => [nextButtonText]
      })]);
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-panel`;
      const header = renderHeader2();
      const innerCls = [`${prefixCls}-inner`, header ? void 0 : `${prefixCls}-inner-no-header`];
      return createVNode("div", {
        "class": prefixCls,
        "onClick": (evt) => evt.stopImmediatePropagation()
      }, [header, createVNode("div", {
        "class": innerCls
      }, [renderDescription(prefixCls), createVNode("div", {
        "class": `${prefixCls}-footer`
      }, [renderIndicators(prefixCls), renderButtons(prefixCls)])])]);
    };
  }
});
function useActiveState(props, visibleContext) {
  const { visible, setVisible } = visibleContext;
  const [activeIndex, _setActiveIndex] = useControlledProp(props, "activeIndex", 0);
  const maxIndex = computed(() => {
    var _a;
    if (!((_a = props.steps) == null ? void 0 : _a.length)) {
      return 0;
    }
    return props.steps.length - 1;
  });
  const isCurrentMax = computed(() => activeIndex.value >= maxIndex.value);
  const setActiveIndex = (index) => {
    if (index === activeIndex.value) {
      return;
    }
    const prevCurrent = activeIndex.value;
    _setActiveIndex(index);
    callEmit(props.onChange, index, prevCurrent);
  };
  const goTo = (step) => {
    const resolvedStep = Math.min(Math.max(step, 0), maxIndex.value);
    setActiveIndex(resolvedStep);
  };
  const finish = () => {
    setVisible(false);
    callEmit(props.onFinish);
  };
  watch(
    visible,
    (v) => {
      if (!v) {
        setActiveIndex(0);
      }
    },
    {
      flush: "post"
    }
  );
  return {
    isCurrentMax,
    activeIndex,
    setActiveIndex,
    goTo,
    finish
  };
}
function useActiveStep(mergedProps, activeIndex, isCurrentMax, locale2) {
  const [activeStep, setActiveStep] = useState(void 0);
  let destructions = [];
  const destroySteps = () => {
    destructions.forEach((destory) => destory());
    destructions = [];
  };
  const getActiveStep = async (index) => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _i;
    const props = mergedProps.value;
    const step = (_a = props.steps) == null ? void 0 : _a[index];
    if (!step) {
      return;
    }
    if (step.beforeEnter) {
      await step.beforeEnter();
    }
    const gap = (_b = step.gap) != null ? _b : props.gap;
    const mergedGap = merge({ ...props.gap }, isNumber(gap) ? { offset: gap } : gap);
    const target = async () => {
      var _a2, _b2;
      if (!step.target) {
        return null;
      }
      if (isString(step.target)) {
        return document.querySelector(step.target);
      }
      if (isFunction(step.target)) {
        return (_a2 = convertElement(await step.target())) != null ? _a2 : null;
      }
      return (_b2 = convertElement(step.target)) != null ? _b2 : null;
    };
    const nextButton = step.nextButton === false ? null : {
      size: "xs",
      mode: "primary",
      ...step.nextButton === true ? {} : step.nextButton
    };
    const prevButton = step.prevButton === false ? null : {
      size: "xs",
      ...step.prevButton === true ? {} : step.prevButton
    };
    return {
      ...step,
      index,
      target,
      targetDisabled: (_c = step.targetDisabled) != null ? _c : props.targetDisabled,
      gap: mergedGap,
      mask: (_d = step.mask) != null ? _d : props.mask,
      placement: (_e = step.placement) != null ? _e : props.placement,
      showArrow: (_f = step.showArrow) != null ? _f : props.showArrow,
      nextButton,
      prevButton,
      nextButtonText: (_g = step.nextButtonText) != null ? _g : isCurrentMax.value ? locale2.finishText : locale2.nextText,
      prevButtonText: (_h = step.prevButtonText) != null ? _h : locale2.prevText,
      scrollIntoViewOptions: (_i = step.scrollIntoViewOptions) != null ? _i : props.scrollIntoViewOptions
    };
  };
  const pushCurrentUpdate = async (index) => {
    if (index < 0) {
      setActiveStep(void 0);
      return;
    }
    const promise = getActiveStep(index);
    destructions.push(async () => {
      var _a;
      const step2 = await promise;
      (_a = step2 == null ? void 0 : step2.afterLeave) == null ? void 0 : _a.call(step2);
    });
    const step = await promise;
    if (activeIndex.value === index) {
      setActiveStep(step);
    }
  };
  watch(
    [activeIndex, () => mergedProps.value.steps, mergedProps],
    ([current]) => {
      destroySteps();
      pushCurrentUpdate(current);
    },
    { immediate: true, flush: "post", deep: true }
  );
  return activeStep;
}
function isInViewPort(element) {
  const viewWidth = window.innerWidth || document.documentElement.clientWidth;
  const viewHeight = window.innerHeight || document.documentElement.clientHeight;
  const { top, right, bottom, left } = element.getBoundingClientRect();
  return top >= 0 && left >= 0 && right <= viewWidth && bottom <= viewHeight;
}
function isInBox(x2, y3, box) {
  return x2 > box.x && y3 > box.y && x2 < box.x + box.width && y3 < box.y + box.height;
}
function easeInOutQuad(elapsed, initialValue, amountOfChange, duration) {
  if ((elapsed /= duration / 2) < 1) {
    return amountOfChange / 2 * elapsed * elapsed + initialValue;
  }
  return -amountOfChange / 2 * (--elapsed * (elapsed - 2) - 1) + initialValue;
}
function useCloseTrigger(mergedProps, positionInfo, visible, setVisible) {
  let delayedVisible = visible.value;
  let delayTmr;
  watch(visible, (v) => {
    delayTmr && clearTimeout(delayTmr);
    delayTmr = setTimeout(() => {
      delayedVisible = v;
    }, 100);
  });
  useEventListener(window, "keydown", (evt) => {
    if (mergedProps.value.closeOnEsc && evt.code === "Escape") {
      setVisible(false);
      callEmit(mergedProps.value.onClose);
    }
  });
  useEventListener(window, "click", (evt) => {
    if (!positionInfo.value || !delayedVisible) {
      return;
    }
    if (mergedProps.value.closeOnClick && !isInBox(evt.clientX, evt.clientY, positionInfo.value)) {
      setVisible(false);
      callEmit(mergedProps.value.onClose);
    }
  });
}
const animateDuration = 200;
function useMask(mergedProps, activeStep, activeIndex, positionInfo, visible, currentZIndex) {
  const [maskPath, setMaskPath] = useState("");
  const [maskOutlinePath, setMaskOutlinePath] = useState(void 0);
  const updateMask = (positionInfo2) => {
    if (positionInfo2 === false) {
      setMaskPath("");
      setMaskOutlinePath(void 0);
    } else {
      setMaskPath(getMaskPath(positionInfo2));
      setMaskOutlinePath(getMaskOutlinePath(positionInfo2));
    }
  };
  const [isAnimating, setIsAnimating] = useState(false);
  const animateCbs = /* @__PURE__ */ new Set();
  const maskAttrs = computed(() => positionInfo.value ? getMaskAttrs() : {});
  const maskStyle = computed(() => {
    var _a;
    const { mask } = (_a = activeStep.value) != null ? _a : {};
    return normalizeStyle({
      fill: isBoolean(mask) ? void 0 : mask == null ? void 0 : mask.color,
      width: convertCssPixel(window.innerWidth),
      height: convertCssPixel(window.innerHeight),
      zIndex: currentZIndex.value
    });
  });
  const maskOutlineStyle = computed(() => {
    var _a;
    const { mask } = (_a = activeStep.value) != null ? _a : {};
    return normalizeStyle({
      fill: isBoolean(mask) ? void 0 : mask == null ? void 0 : mask.outlineColor
    });
  });
  const maskClass = computed(() => {
    var _a;
    const { mask } = (_a = activeStep.value) != null ? _a : {};
    return isBoolean(mask) ? void 0 : mask == null ? void 0 : mask.class;
  });
  const onAnimateEnd = (cb) => {
    animateCbs.add(cb);
  };
  const runAnimateCbs = () => {
    animateCbs.forEach((cb) => cb());
  };
  onUnmounted(() => {
    animateCbs.clear();
  });
  let rAFHandle;
  const cancelAnimate = () => {
    cancelRAF(rAFHandle);
    setIsAnimating(false);
  };
  const animate = (from, to) => {
    const start = Date.now();
    setIsAnimating(true);
    const tick = () => {
      const elapsed = Date.now() - start;
      const currentTickPos = {
        containerWidth: to.containerWidth,
        containerHeight: to.containerHeight,
        containerX: to.containerX,
        containerY: to.containerY,
        x: easeInOutQuad(elapsed, from.x, to.x - from.x, animateDuration),
        y: easeInOutQuad(elapsed, from.y, to.y - from.y, animateDuration),
        width: easeInOutQuad(elapsed, from.width, to.width - from.width, animateDuration),
        height: easeInOutQuad(elapsed, from.height, to.height - from.height, animateDuration),
        radius: easeInOutQuad(elapsed, from.radius, to.radius - from.radius, animateDuration),
        outline: to.outline
      };
      updateMask(currentTickPos);
      if (elapsed < animateDuration) {
        rAFHandle = rAF(tick);
      } else {
        updateMask(to);
        setIsAnimating(false);
        runAnimateCbs();
      }
    };
    rAFHandle = rAF(tick);
  };
  let _tempIndex = activeIndex.value;
  watch(
    positionInfo,
    (pos, prePos) => {
      var _a;
      if (!visible.value) {
        _tempIndex = activeIndex.value;
        return;
      }
      if (!((_a = activeStep.value) == null ? void 0 : _a.mask)) {
        cancelAnimate();
        updateMask(false);
      } else if (!mergedProps.value.animatable || (pos == null ? void 0 : pos.origin) !== "index" || !prePos || !pos) {
        updateMask(pos);
        if (mergedProps.value.animatable && (isAnimating.value || activeIndex.value !== _tempIndex)) {
          runAnimateCbs();
        }
        cancelAnimate();
      } else {
        cancelAnimate();
        animate(prePos, pos);
      }
      _tempIndex = activeIndex.value;
    },
    {
      flush: "post"
    }
  );
  return {
    maskPath,
    maskOutlinePath,
    maskAttrs,
    maskStyle,
    maskOutlineStyle,
    maskClass,
    isAnimating,
    onAnimateEnd
  };
}
function arch(h4, v, radius) {
  return `a${radius},${radius} 0 0 1 ${h4 * radius},${v * radius}`;
}
function drawRect(x2, y3, width, height, radius = 0) {
  const limitedRadius = Math.min(radius, width / 2, height / 2);
  const normalizedRadius = Math.floor(Math.max(limitedRadius, 0));
  const boxX = x2 + normalizedRadius;
  const boxY = y3;
  const boxWidth = width - normalizedRadius * 2;
  const boxHeight = height - normalizedRadius * 2;
  return `M${boxX},${boxY} h${boxWidth} ${arch(1, 1, normalizedRadius)} v${boxHeight} ${arch(-1, 1, normalizedRadius)} h-${boxWidth} ${arch(
    -1,
    -1,
    normalizedRadius
  )} v-${boxHeight} ${arch(1, -1, normalizedRadius)} z`;
}
function getMaskPath(positionInfo) {
  if (!positionInfo) {
    return drawRect(0, 0, window.innerWidth, window.innerHeight, 0);
  }
  const { containerX, containerY, containerWidth, containerHeight, x: x2, y: y3, width, height, radius } = positionInfo;
  return `${drawRect(containerX, containerY, containerWidth, containerHeight)}${drawRect(x2, y3, width, height, radius)}`;
}
function getMaskOutlinePath(positionInfo) {
  if (!positionInfo || !positionInfo.outline) {
    return;
  }
  const { x: x2, y: y3, width, height, radius, outline } = positionInfo;
  return `${drawRect(x2 - 1, y3 - 1, width + 2, height + 2, radius)}${drawRect(x2 + outline, y3 + outline, width - outline * 2, height - outline * 2, radius)}`;
}
function getMaskAttrs() {
  return {
    viewBox: `0 0 ${window.innerWidth} ${window.innerHeight}`,
    version: "1.1",
    preserveAspectRatio: "xMinYMin slice"
  };
}
function useMergedProps(props, config) {
  return computed(() => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _i;
    const propGap = props.gap ? isNumber(props.gap) ? { offset: props.gap } : { ...props.gap } : void 0;
    return {
      ...props,
      animatable: (_a = props.animatable) != null ? _a : config.animatable,
      gap: propGap ? merge({ ...config.gap }, propGap) : config.gap,
      offset: (_b = props.offset) != null ? _b : config.offset,
      overlayContainer: (_c = props.overlayContainer) != null ? _c : config.overlayContainer,
      placement: (_d = props.placement) != null ? _d : config.placement,
      showArrow: (_e = props.showArrow) != null ? _e : config.showArrow,
      scrollIntoViewOptions: (_f = props.scrollIntoViewOptions) != null ? _f : config.scrollIntoViewOptions,
      closeOnClick: (_g = props.closeOnClick) != null ? _g : config.closeOnClick,
      closeOnEsc: (_h = props.closeOnEsc) != null ? _h : config.closeOnEsc,
      closable: (_i = props.closable) != null ? _i : config.closable
    };
  });
}
function useOverlayProps(componentCommonConfig, containerFallback, mergedProps, activeStep, isStepChanging, visible, currentZIndex, onStepChange) {
  const currentActiveStep = ref(activeStep.value);
  onStepChange(() => {
    currentActiveStep.value = activeStep.value;
  });
  return computed(() => {
    var _a;
    const { animatable, overlayContainer, offset } = mergedProps.value;
    const { placement = "bottomStart", showArrow } = (_a = currentActiveStep.value) != null ? _a : {};
    return {
      visible: visible.value && !!currentActiveStep.value && !isStepChanging.value,
      container: overlayContainer,
      containerFallback: containerFallback.value,
      trigger: "manual",
      placement,
      showArrow,
      delay: 0,
      transitionName: animatable ? `${componentCommonConfig.prefixCls}-fade-fast` : void 0,
      offset,
      zIndex: currentZIndex.value
    };
  });
}
const transitionDuration = 200;
function useStepChange(mergedProps, activeIndex, activeStep, visible, onAnimateEnd) {
  const stepChangeCbs = /* @__PURE__ */ new Set();
  const [isStepChanging, _setIsStepChanging] = useState(false);
  let transitionTmr;
  const locks = {
    stepChange: false,
    animate: false
  };
  const isLocked = () => locks.stepChange || locks.animate;
  const lock = () => {
    locks.stepChange = true;
    locks.animate = true;
    setIsStepChanging(true);
  };
  const unlock = (lock2) => {
    const locked = isLocked();
    locks[lock2] = false;
    if (locked && !locks.animate && !locks.stepChange) {
      setIsStepChanging(false);
    }
  };
  const unlockAll = () => {
    unlock("animate");
    unlock("stepChange");
  };
  const setIsStepChanging = (changing) => {
    if (isStepChanging.value === changing) {
      return;
    }
    _setIsStepChanging(changing);
    if (!changing) {
      runStepChangeCbs();
    }
  };
  const onStepChange = (cb) => {
    stepChangeCbs.add(cb);
  };
  const runStepChangeCbs = () => {
    stepChangeCbs.forEach((cb) => cb());
  };
  onAnimateEnd(() => {
    var _a;
    if (mergedProps.value.animatable && ((_a = activeStep.value) == null ? void 0 : _a.mask)) {
      unlock("animate");
    }
  });
  watch(
    activeIndex,
    (current, pre) => {
      if (current !== pre) {
        transitionTmr && clearTimeout(transitionTmr);
        lock();
      }
    },
    {
      flush: "pre"
    }
  );
  watch(
    activeStep,
    (step, preStep) => {
      if (!isLocked()) {
        runStepChangeCbs();
        return;
      }
      if (step && !preStep) {
        unlockAll();
        return;
      }
      if (!mergedProps.value.animatable || !(step == null ? void 0 : step.mask) || !visible.value) {
        unlock("animate");
      }
      transitionTmr && clearTimeout(transitionTmr);
      transitionTmr = setTimeout(
        () => {
          unlock("stepChange");
        },
        mergedProps.value.animatable ? transitionDuration : 0
      );
    },
    {
      immediate: true,
      flush: "post"
    }
  );
  onUnmounted(() => {
    stepChangeCbs.clear();
  });
  return {
    isStepChanging,
    onStepChange
  };
}
function useTarget(mergedProps, activeStep, visible) {
  const targetRef = shallowRef(null);
  const [positionInfo, setPositionInfo] = useState(null);
  let scrollIntoViewTarget = null;
  const updateTarget = async () => {
    var _a, _b;
    targetRef.value = (_b = await ((_a = activeStep.value) == null ? void 0 : _a.target())) != null ? _b : null;
  };
  const getContainerPos = () => {
    var _a;
    const mask = (_a = activeStep.value) == null ? void 0 : _a.mask;
    if (isBoolean(mask) || !mask || !mask.container || mask.container === "viewport") {
      return {
        containerX: 0,
        containerY: 0,
        containerWidth: window.innerWidth,
        containerHeight: window.innerHeight
      };
    }
    const { x: x2, y: y3, width, height } = mask.container;
    return {
      containerX: x2,
      containerY: y3,
      containerWidth: width,
      containerHeight: height
    };
  };
  const getTargetPositionInfo = () => {
    var _a, _b;
    const targetEl = targetRef.value;
    const { offset = 0, radius = 0, outline = 0 } = (_b = (_a = activeStep.value) == null ? void 0 : _a.gap) != null ? _b : {};
    if (!targetEl) {
      return {
        x: window.innerWidth / 2,
        y: window.innerHeight / 2,
        width: 0,
        height: 0,
        radius,
        outline
      };
    }
    let { x: x2, y: y3, width, height } = targetEl.getBoundingClientRect();
    const mergedOffset = offset + (outline ? outline + 1 : 0);
    if (mergedOffset) {
      x2 -= mergedOffset;
      y3 -= mergedOffset;
      width += mergedOffset * 2;
      height += mergedOffset * 2;
    }
    return {
      x: x2,
      y: y3,
      width,
      height,
      radius,
      outline
    };
  };
  const updatePopsition = (scrollIntoView = false, origin = "index") => {
    const targetEl = targetRef.value;
    const positionInfo2 = {
      ...getContainerPos(),
      ...getTargetPositionInfo(),
      origin
    };
    if (!targetEl) {
      setPositionInfo(positionInfo2);
      return;
    }
    if (isInViewPort(targetEl)) {
      scrollIntoViewTarget = null;
    } else if (scrollIntoView && targetEl !== scrollIntoViewTarget) {
      scrollIntoViewTarget = targetEl;
      targetEl.scrollIntoView(mergedProps.value.scrollIntoViewOptions);
      return;
    }
    setPositionInfo(positionInfo2);
  };
  let stopResizeLisiten;
  let stopScrollLisiten;
  onMounted(() => {
    watch([() => {
      var _a;
      return (_a = activeStep.value) == null ? void 0 : _a.target;
    }, visible], updateTarget, { immediate: true });
    watch(
      [targetRef, activeStep],
      ([target], [preTarget]) => updatePopsition(true, target !== preTarget ? "index" : "step-update"),
      { flush: "post", immediate: true }
    );
    watch(visible, () => updatePopsition(true, "visible"));
    watch(
      visible,
      (v) => {
        if (v) {
          stopResizeLisiten = useEventListener(window, "resize", () => updatePopsition(false, "resize"));
          stopScrollLisiten = useEventListener(window, "scroll", () => updatePopsition(false, "scroll"));
        } else {
          stopResizeLisiten == null ? void 0 : stopResizeLisiten();
          stopScrollLisiten == null ? void 0 : stopScrollLisiten();
        }
      },
      { immediate: true }
    );
  });
  onUnmounted(() => {
    stopResizeLisiten == null ? void 0 : stopResizeLisiten();
    stopScrollLisiten == null ? void 0 : stopScrollLisiten();
  });
  return {
    targetRef,
    positionInfo
  };
}
function useVisible(props) {
  const [visible, setVisible] = useControlledProp(props, "visible", false);
  return {
    visible,
    setVisible
  };
}
const tourProps = {
  activeIndex: {
    type: Number,
    default: void 0
  },
  visible: {
    type: Boolean,
    default: void 0
  },
  closable: {
    type: Boolean,
    default: void 0
  },
  closeOnClick: {
    type: Boolean,
    default: void 0
  },
  closeOnEsc: {
    type: Boolean,
    default: void 0
  },
  animatable: {
    type: Boolean,
    default: void 0
  },
  gap: [Number, Object],
  mask: {
    type: [Boolean, Object],
    default: true
  },
  offset: Array,
  overlayContainer: {
    type: [String, HTMLElement],
    default: void 0
  },
  placement: overlayPlacementDef,
  steps: Array,
  showArrow: {
    type: Boolean,
    default: void 0
  },
  scrollIntoViewOptions: {
    type: [Boolean, Object]
  },
  targetDisabled: {
    type: Boolean,
    default: false
  },
  zIndex: Number,
  onChange: [Function, Array],
  onClose: [Function, Array],
  onFinish: [Function, Array],
  "onUpdate:activeIndex": [Function, Array],
  "onUpdate:visible": [Function, Array]
};
function getDefaultThemeTokens$4(tokens2) {
  const {
    colorPrimary,
    colorText,
    colorTextInfo,
    colorContainerBg,
    borderRadiusMd,
    fontSizeSm,
    marginSizeXs,
    paddingSizeLg
  } = tokens2;
  return {
    bgColor: colorContainerBg,
    descriptionColor: colorText,
    indicatorsColor: colorTextInfo,
    outlineColor: colorPrimary,
    borderRadius: borderRadiusMd,
    minWidth: 250,
    paddingTop: paddingSizeLg,
    paddingLeft: paddingSizeLg,
    paddingRight: paddingSizeLg,
    paddingBottom: paddingSizeLg,
    descriptionFontSize: fontSizeSm,
    indicatorsFontSize: fontSizeSm,
    footerBtnGap: marginSizeXs
  };
}
const getThemeTokens$4 = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$4(tokens2) : getDefaultThemeTokens$4(tokens2);
};
var Tour = /* @__PURE__ */ defineComponent({
  name: "IxTour",
  inheritAttrs: false,
  props: tourProps,
  setup(props, {
    slots,
    attrs
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("tour");
    registerToken(getThemeTokens$4);
    const config = useGlobalConfig("tour");
    const locale2 = useGlobalConfig("locale");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-tour`);
    const mergedProps = useMergedProps(props, config);
    const visibleContext = useVisible(props);
    const activeStateContext = useActiveState(props, visibleContext);
    const {
      visible,
      setVisible
    } = visibleContext;
    const {
      activeIndex,
      isCurrentMax
    } = activeStateContext;
    const activeStep = useActiveStep(mergedProps, activeIndex, isCurrentMax, locale2.tour);
    const {
      positionInfo
    } = useTarget(mergedProps, activeStep, visible);
    const currentZIndex = useZIndex(toRef(props, "zIndex"), toRef(common, "overlayZIndex"), visible);
    const maskContext = useMask(mergedProps, activeStep, activeIndex, positionInfo, visible, currentZIndex);
    const {
      onAnimateEnd
    } = maskContext;
    useCloseTrigger(mergedProps, positionInfo, visible, setVisible);
    const stepChangeContext = useStepChange(mergedProps, activeIndex, activeStep, visible, onAnimateEnd);
    const {
      isStepChanging,
      onStepChange
    } = stepChangeContext;
    const mergedContainerFallback = computed(() => `.${mergedPrefixCls.value}-overlay-container`);
    const mergedContainer = computed(() => {
      var _a;
      return (_a = mergedProps.value.overlayContainer) != null ? _a : mergedContainerFallback.value;
    });
    const overlayProps2 = useOverlayProps(common, mergedContainerFallback, mergedProps, activeStep, isStepChanging, visible, currentZIndex, onStepChange);
    const placeholderStyle = computed(() => {
      if (!positionInfo.value) {
        return;
      }
      const {
        x: x2,
        y: y3,
        width,
        height
      } = positionInfo.value;
      return {
        top: convertCssPixel(y3),
        left: convertCssPixel(x2),
        width: convertCssPixel(width),
        height: convertCssPixel(height)
      };
    });
    provide(tourToken, {
      mergedPrefixCls,
      mergedProps,
      locale: locale2.tour,
      activeStep,
      ...activeStateContext,
      ...maskContext,
      ...visibleContext,
      ...stepChangeContext
    });
    return () => {
      const prefixCls = mergedPrefixCls.value;
      const overlaySlots = {
        default: () => createVNode("div", {
          "class": `${prefixCls}-placeholder`,
          "style": placeholderStyle.value
        }, null),
        content: () => createVNode(Panel, null, slots)
      };
      return createVNode(Fragment, null, [createVNode(CdkPortal, {
        "target": mergedContainer.value,
        "load": visible.value
      }, {
        default: () => [createVNode(Transition, {
          "name": mergedProps.value.animatable ? `${common.prefixCls}-fade-fast` : void 0
        }, {
          default: () => {
            var _a;
            return [withDirectives(createVNode(Mask, null, null), [[vShow, visible.value && !!((_a = activeStep.value) == null ? void 0 : _a.mask)]])];
          }
        })]
      }), createVNode(\u0275Overlay, mergeProps({
        "class": [`${prefixCls}-overlay`, globalHashId.value, hashId.value]
      }, overlayProps2.value, attrs), overlaySlots)]);
    };
  }
});
const IxTour = Tour;
const transferContext = Symbol("transferContext");
const transferListContext = Symbol("transferListContext");
const TRANSFER_SOURCE_TOKEN = Symbol("TRANSFER_SOURCE_TOKEN");
const TRANSFER_TARGET_TOKEN = Symbol("TRANSFER_TARGET_TOKEN");
const TRANSFER_OPERATIONS_TOKEN = Symbol("TRANSFER_OPERATIONS_TOKEN");
function convertToSlotParams(obj) {
  const params = {};
  Object.keys(obj).forEach((key) => {
    params[key] = unref(obj[key]);
  });
  return params;
}
var TransferOperations = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      slots,
      props: transferProps2,
      mergedPrefixCls
    } = inject(transferContext);
    const transferOperationsContext = inject(TRANSFER_OPERATIONS_TOKEN);
    const {
      appendDisabled,
      removeDisabled,
      triggerAppend,
      triggerRemove
    } = transferOperationsContext;
    const handleTransferRightClick = () => {
      triggerAppend();
    };
    const handleTransferLeftClick = () => {
      triggerRemove();
    };
    const renderBtn = (prefixCls, icon, disabled, onClick) => {
      if (isString(icon)) {
        return createVNode(IxButton, {
          "class": `${prefixCls}-btn`,
          "icon": icon,
          "disabled": disabled,
          "onClick": onClick
        }, null);
      }
      return withDirectives(createVNode(IxButton, {
        "class": `${prefixCls}-btn`,
        "disabled": disabled,
        "onClick": onClick
      }, null), [[resolveDirective("slos"), {
        icon: () => icon
      }]]);
    };
    const renderOperations = (prefixCls) => {
      if (slots.operations) {
        return slots.operations(convertToSlotParams(transferOperationsContext));
      }
      if (transferProps2.mode === "immediate") {
        return;
      }
      return createVNode("div", {
        "class": `${prefixCls}-inner`
      }, [renderBtn(prefixCls, "double-right", appendDisabled.value, handleTransferRightClick), renderBtn(prefixCls, "double-left", removeDisabled.value, handleTransferLeftClick)]);
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-operations`;
      return createVNode("div", {
        "class": prefixCls
      }, [renderOperations(prefixCls)]);
    };
  }
});
function usePagination(props) {
  const paginationConfig = useGlobalConfig("pagination");
  return {
    sourcePagination: createPagination(props, paginationConfig, true),
    targetPagination: createPagination(props, paginationConfig, false)
  };
}
function createPagination(props, paginationConfig, isSource) {
  const pageIndex = ref();
  const pageSize = ref();
  const tempPagination = computed(() => {
    const pagination = props.pagination;
    if (!pagination) {
      return null;
    }
    if (pagination === true) {
      return {};
    }
    const idx = isSource ? 0 : 1;
    const pageIndex2 = convertArray(pagination.pageIndex);
    const pageSize2 = convertArray(pagination.pageSize);
    const total = convertArray(pagination.total);
    return {
      pageIndex: pageIndex2 == null ? void 0 : pageIndex2[idx],
      pageSize: pageSize2 == null ? void 0 : pageSize2[idx],
      disabled: props.disabled || pagination.disabled,
      total: total == null ? void 0 : total[idx],
      onChange: (pageIndex3, pageSize3) => {
        var _a;
        return (_a = pagination.onChange) == null ? void 0 : _a.call(pagination, isSource, pageIndex3, pageSize3);
      }
    };
  });
  watchEffect(() => {
    var _a, _b;
    const pagination = tempPagination.value;
    pageIndex.value = (_a = pagination == null ? void 0 : pagination.pageIndex) != null ? _a : 1;
    pageSize.value = (_b = pagination == null ? void 0 : pagination.pageSize) != null ? _b : paginationConfig.pageSize;
  });
  const handlePageIndexChange = (index) => {
    pageIndex.value = index;
  };
  return computed(() => {
    const pagination = tempPagination.value;
    if (pagination === null) {
      return;
    }
    return {
      simple: true,
      showTotal: false,
      showQuickJumper: true,
      ...pagination,
      pageIndex: pageIndex.value,
      pageSize: pageSize.value,
      "onUpdate:pageIndex": handlePageIndexChange
    };
  });
}
function useSearchPlaceholder(props, locales) {
  return {
    source: computed(() => getPlaceholder(props, locales, true)),
    target: computed(() => getPlaceholder(props, locales, false))
  };
}
function getPlaceholder(props, locales, isSource) {
  var _a;
  const defaultPlaceholder = locales.searchPlaceholder[isSource ? 0 : 1];
  const searchPlaceholder = isString(props.searchPlaceholder) ? props.searchPlaceholder : (_a = props.searchPlaceholder) == null ? void 0 : _a[isSource ? 0 : 1];
  return searchPlaceholder != null ? searchPlaceholder : defaultPlaceholder;
}
function useSearchable$1(props, config) {
  return {
    source: computed(() => getSearchable(props, config, true)),
    target: computed(() => getSearchable(props, config, false))
  };
}
function getSearchable(props, config, isSource) {
  var _a;
  const searchable = (_a = props.searchable) != null ? _a : config.searchable;
  if (!searchable || isBoolean(searchable)) {
    return !!searchable;
  }
  return isSource ? searchable.source : searchable.target;
}
function useTransferBindings(props, transferDataContext, transferOperationsContext, transferSelectStateContext, transferPaginationContext, showSelectAll, sourceSearchable, sourceSearchPlaceholder, targetSearchable, targetSearchPlaceholder) {
  const {
    dataSource,
    sourceData,
    targetData,
    targetKeySet,
    dataKeyMap,
    disabledKeys,
    disabledSourceKeys,
    disabledTargetKeys,
    filteredDataSource,
    filteredSourceData,
    filteredTargetData,
    paginatedDataSource,
    paginatedSourceData,
    paginatedTargetData,
    sourceSearchValue,
    setSourceSearchValue,
    targetSearchValue,
    setTargetSearchValue,
    getKey
  } = transferDataContext;
  const {
    sourceSelectedKeys,
    targetSelectedKeys,
    sourceSelectedKeySet,
    targetSelectedKeySet,
    sourceSelectAllStatus,
    targetSelectAllStatus,
    sourceSelectAllDisabled,
    targetSelectAllDisabled,
    handleSourceSelectChange,
    handleTargetSelectChange,
    handleSourceSelectAll,
    handleTargetSelectAll
  } = transferSelectStateContext;
  const { triggerAppend, triggerRemove } = transferOperationsContext;
  const commonBindings = {
    dataSource,
    dataKeyMap,
    disabledDataSourceKeys: disabledKeys,
    filteredDataSource,
    paginatedDataSource,
    targetKeySet,
    showSelectAll,
    triggerAppend,
    triggerRemove,
    getKey
  };
  return {
    sourceBindings: {
      data: sourceData,
      filteredData: filteredSourceData,
      paginatedData: paginatedSourceData,
      pagination: transferPaginationContext.sourcePagination,
      disabledKeys: disabledSourceKeys,
      selectedKeys: sourceSelectedKeys,
      selectedKeySet: sourceSelectedKeySet,
      selectAllDisabled: sourceSelectAllDisabled,
      selectAllStatus: sourceSelectAllStatus,
      searchable: sourceSearchable,
      searchPlaceholder: sourceSearchPlaceholder,
      selectAll: handleSourceSelectAll,
      handleSelectChange: handleSourceSelectChange,
      searchValue: sourceSearchValue,
      handleSearchChange: (searchValue) => {
        setSourceSearchValue(searchValue);
        callEmit(props.onSearch, true, searchValue);
      },
      ...commonBindings
    },
    targetBindings: {
      data: targetData,
      filteredData: filteredTargetData,
      paginatedData: paginatedTargetData,
      pagination: transferPaginationContext.targetPagination,
      disabledKeys: disabledTargetKeys,
      selectedKeys: targetSelectedKeys,
      selectedKeySet: targetSelectedKeySet,
      selectAllDisabled: targetSelectAllDisabled,
      selectAllStatus: targetSelectAllStatus,
      searchable: targetSearchable,
      searchPlaceholder: targetSearchPlaceholder,
      selectAll: handleTargetSelectAll,
      handleSelectChange: handleTargetSelectChange,
      searchValue: targetSearchValue,
      handleSearchChange: (searchValue) => {
        setTargetSearchValue(searchValue);
        callEmit(props.onSearch, false, searchValue);
      },
      ...commonBindings
    }
  };
}
function useTransferData(props, config, transferDataStrategy, transferPaginationContext) {
  const _getKey = useGetKey(props, config);
  const getKey = computed(() => {
    const getKeyFn = _getKey.value;
    return (data) => {
      var _a;
      return (_a = getKeyFn(data)) != null ? _a : data.key;
    };
  });
  const dataSource = computed(() => props.dataSource);
  const dataKeyMap = computed(() => transferDataStrategy.value.genDataKeyMap(dataSource.value, getKey.value));
  const [targetKeys, setTargetKeys] = useControlledProp(props, "value", () => []);
  const [sourceSearchValue, setSourceSearchValue] = useControlledProp(props, "sourceSearchValue", "");
  const [targetSearchValue, setTargetSearchValue] = useControlledProp(props, "targetSearchValue", "");
  const targetKeySet = computed(() => new Set(targetKeys.value));
  const handleChange = (keys2) => {
    const oldKeys = targetKeys.value;
    setTargetKeys(keys2);
    callEmit(props.onChange, keys2, oldKeys);
  };
  const separatedData = computed(
    () => transferDataStrategy.value.separateDataSource(dataSource.value, dataKeyMap.value, targetKeySet.value, getKey.value)
  );
  const sourceData = computed(() => separatedData.value.sourceData);
  const targetData = computed(() => separatedData.value.targetData);
  const sourceDataKeys = computed(() => transferDataStrategy.value.genDataKeys(sourceData.value, getKey.value));
  const targetDataKeys = computed(() => transferDataStrategy.value.genDataKeys(targetData.value, getKey.value));
  const filteredDataSource = computed(
    () => transferDataStrategy.value.dataFilter(
      dataSource.value,
      sourceSearchValue.value,
      (item, searchValue) => !props.searchFn || props.searchFn(true, item, searchValue)
    )
  );
  const filteredSourceData = computed(
    () => transferDataStrategy.value.dataFilter(
      sourceData.value,
      sourceSearchValue.value,
      (item, searchValue) => !props.searchFn || props.searchFn(true, item, searchValue)
    )
  );
  const filteredTargetData = computed(
    () => transferDataStrategy.value.dataFilter(
      targetData.value,
      targetSearchValue.value,
      (item, searchValue) => !props.searchFn || props.searchFn(false, item, searchValue)
    )
  );
  const paginatedDataSource = computed(
    () => getPaginatedData(filteredDataSource.value, transferPaginationContext.sourcePagination.value)
  );
  const paginatedSourceData = computed(
    () => getPaginatedData(filteredSourceData.value, transferPaginationContext.sourcePagination.value)
  );
  const paginatedTargetData = computed(
    () => getPaginatedData(filteredTargetData.value, transferPaginationContext.targetPagination.value)
  );
  const changeTargetKeys = (removedKeys, appendedKeys) => {
    let newKeys = targetKeys.value;
    if (removedKeys.length > 0) {
      newKeys = transferDataStrategy.value.remove(removedKeys, newKeys, getKey.value);
    }
    if (appendedKeys.length > 0) {
      newKeys = transferDataStrategy.value.append(appendedKeys, newKeys, getKey.value);
    }
    handleChange(newKeys);
  };
  const clear = () => {
    handleChange(Array.from(disabledTargetKeys.value));
  };
  const disabledKeys = computed(() => transferDataStrategy.value.genDisabledKeys(dataSource.value, getKey.value));
  const disabledTargetKeys = computed(() => {
    const _disabledKeys = disabledKeys.value;
    const keys2 = transferDataStrategy.value.genDisabledKeys(targetData.value, getKey.value);
    targetKeySet.value.forEach((key) => {
      if (_disabledKeys.has(key)) {
        keys2.add(key);
      }
    });
    return keys2;
  });
  const disabledSourceKeys = computed(() => transferDataStrategy.value.genDisabledKeys(sourceData.value, getKey.value));
  return {
    dataSource,
    dataKeyMap,
    sourceData,
    targetData,
    sourceDataKeys,
    targetDataKeys,
    filteredDataSource,
    filteredSourceData,
    filteredTargetData,
    paginatedDataSource,
    paginatedSourceData,
    paginatedTargetData,
    targetKeys,
    targetKeySet,
    changeTargetKeys,
    clear,
    getKey,
    disabledKeys,
    disabledSourceKeys,
    disabledTargetKeys,
    sourceSearchValue,
    setSourceSearchValue,
    targetSearchValue,
    setTargetSearchValue
  };
}
function getPaginatedData(data, pagination) {
  if (!pagination || !pagination.pageSize) {
    return data;
  }
  const { total } = pagination;
  if (total && data.length < total) {
    return data;
  }
  const pageSize = pagination.pageSize;
  const startIndex = (pagination.pageIndex - 1) * pageSize;
  return data.slice(startIndex, startIndex + pageSize);
}
function createDefaultStrategies(defaultTargetData) {
  const cachedDataKeyMap = /* @__PURE__ */ new Map();
  onUnmounted(() => {
    cachedDataKeyMap.clear();
  });
  const genDataKeys = (data, getKey) => {
    return new Set(data.map((data2) => getKey(data2)));
  };
  return {
    genDataKeys,
    genDataKeyMap: (dataSource, getKey) => {
      const dataKeyMap = /* @__PURE__ */ new Map();
      dataSource.forEach((item) => {
        dataKeyMap.set(getKey(item), item);
      });
      return dataKeyMap;
    },
    genDisabledKeys: (data, getKey) => {
      const keys2 = /* @__PURE__ */ new Set();
      data.forEach((item) => {
        if (item.disabled) {
          keys2.add(getKey(item));
        }
      });
      return keys2;
    },
    getAllSelectedKeys: (selected, data, selectedKeySet, disabledkeySet, getKey) => {
      let tempKeys;
      if (!selected) {
        tempKeys = /* @__PURE__ */ new Set();
        disabledkeySet.forEach((key) => {
          selectedKeySet.has(key) && tempKeys.add(key);
        });
      } else {
        tempKeys = genDataKeys(data, getKey);
        disabledkeySet.forEach((key) => {
          !selectedKeySet.has(key) && tempKeys.delete(key);
        });
      }
      return Array.from(tempKeys);
    },
    separateDataSource: (dataSource, dataKeyMap, selectedKeySet, getKey) => {
      const sourceData = dataSource.filter((data) => !selectedKeySet.has(getKey(data)));
      const targetData = [];
      selectedKeySet.forEach((key) => {
        var _a, _b;
        const data = (_b = (_a = dataKeyMap.get(key)) != null ? _a : cachedDataKeyMap.get(key)) != null ? _b : defaultTargetData == null ? void 0 : defaultTargetData.find((data2) => getKey(data2) === key);
        if (data && !cachedDataKeyMap.has(key)) {
          cachedDataKeyMap.set(key, data);
        }
        targetData.push(data != null ? data : { key });
      });
      for (const cachedKey of cachedDataKeyMap.keys()) {
        if (!selectedKeySet.has(cachedKey)) {
          cachedDataKeyMap.delete(cachedKey);
        }
      }
      return {
        sourceData,
        targetData
      };
    },
    dataFilter: (data, searchValue, searchFn) => {
      if (!searchValue) {
        return data;
      }
      return data.filter((item) => searchFn(item, searchValue));
    },
    append: (keys2, selectedKeySet) => {
      const newKeys = new Set(selectedKeySet);
      keys2.forEach((key) => {
        newKeys.add(key);
      });
      return Array.from(newKeys);
    },
    remove: (keys2, selectedKeySet) => {
      const newKeys = new Set(selectedKeySet);
      keys2.forEach((key) => {
        newKeys.delete(key);
      });
      return Array.from(newKeys);
    }
  };
}
function useTransferDataStrategies(props) {
  var _a;
  const defaultStrategy = createDefaultStrategies((_a = props.defaultTargetData) != null ? _a : []);
  const strategy = computed(() => {
    return props.dataStrategy ? { ...defaultStrategy, ...props.dataStrategy } : defaultStrategy;
  });
  return strategy;
}
function useTransferOperations(props, transferDataContext, transferSelectStateContext) {
  const {
    dataKeyMap,
    sourceData,
    targetData,
    disabledSourceKeys,
    disabledTargetKeys,
    changeTargetKeys,
    clear,
    getKey
  } = transferDataContext;
  const { sourceSelectedKeys, targetSelectedKeys } = transferSelectStateContext;
  const appendDisabled = computed(() => props.disabled || sourceSelectedKeys.value.length <= 0);
  const removeDisabled = computed(() => props.disabled || targetSelectedKeys.value.length <= 0);
  const appendAllDisabled = computed(
    () => props.disabled || sourceData.value.every((item) => disabledSourceKeys.value.has(getKey.value(item)))
  );
  const clearDisabled = computed(
    () => props.disabled || targetData.value.every((item) => disabledTargetKeys.value.has(getKey.value(item)))
  );
  const triggerAppend = (keys2) => {
    if (!keys2 && appendDisabled.value || keys2 && props.disabled) {
      return;
    }
    changeTargetKeys(
      [],
      (keys2 != null ? keys2 : Array.from(sourceSelectedKeys.value)).filter((key) => !disabledSourceKeys.value.has(key))
    );
  };
  const triggerRemove = (keys2) => {
    if (!keys2 && removeDisabled.value || keys2 && props.disabled) {
      return;
    }
    changeTargetKeys(
      (keys2 != null ? keys2 : Array.from(targetSelectedKeys.value)).filter((key) => !disabledTargetKeys.value.has(key)),
      []
    );
  };
  const triggerAppendAll = () => {
    if (appendAllDisabled.value) {
      return;
    }
    changeTargetKeys(
      [],
      Array.from(dataKeyMap.value.keys()).filter((key) => !disabledSourceKeys.value.has(key))
    );
  };
  const triggerClear = () => {
    if (clearDisabled.value) {
      return;
    }
    clear();
    callEmit(props.onClear);
  };
  return {
    appendDisabled,
    removeDisabled,
    appendAllDisabled,
    clearDisabled,
    triggerAppend,
    triggerRemove,
    triggerAppendAll,
    triggerClear
  };
}
function useTransferSelectState(props, transferDataContext, transferDataStrategy) {
  const [sourceSelectedKeys, setSourceSelectedKeys] = useControlledProp(props, "sourceSelectedKeys", () => []);
  const [targetSelectedKeys, setTargetSelectedKeys] = useControlledProp(props, "targetSelectedKeys", () => []);
  const sourceSelectedKeySet = computed(() => new Set(sourceSelectedKeys.value));
  const targetSelectedKeySet = computed(() => new Set(targetSelectedKeys.value));
  const {
    dataKeyMap,
    dataSource,
    sourceData,
    targetData,
    sourceDataKeys,
    targetDataKeys,
    targetKeySet,
    disabledKeys,
    disabledSourceKeys,
    disabledTargetKeys,
    getKey
  } = transferDataContext;
  const sourceCheckableDataCount = computed(() => {
    const sourceDataCount = props.mode === "immediate" ? dataKeyMap.value.size : sourceDataKeys.value.size;
    const disabledCount = props.mode === "immediate" ? disabledKeys.value.size : disabledSourceKeys.value.size;
    return sourceDataCount - disabledCount;
  });
  const targetCheckableDataCount = computed(() => targetDataKeys.value.size - disabledTargetKeys.value.size);
  const getAllSelectedStatus = (isSource) => {
    const allSelectedKeys = transferDataStrategy.value.getAllSelectedKeys(
      true,
      isSource ? props.mode === "immediate" ? dataSource.value : sourceData.value : targetData.value,
      /* @__PURE__ */ new Set(),
      /* @__PURE__ */ new Set(),
      getKey.value
    );
    const selectedkeyCount = (isSource ? sourceSelectedKeys : targetSelectedKeys).value.length;
    const selectedKeySet = isSource ? sourceSelectedKeySet.value : targetSelectedKeySet.value;
    return {
      checked: selectedkeyCount > 0,
      indeterminate: (allSelectedKeys.length !== selectedkeyCount || allSelectedKeys.some((key) => !selectedKeySet.has(key))) && selectedkeyCount > 0
    };
  };
  const sourceSelectAllStatus = computed(() => getAllSelectedStatus(true));
  const targetSelectAllStatus = computed(() => getAllSelectedStatus(false));
  let transferBySelectionChangeLocked = false;
  watch(sourceSelectedKeySet, (currentCheckedKeys, originalCheckedKeys) => {
    if (props.mode === "immediate") {
      if (transferBySelectionChangeLocked) {
        return;
      }
      transferBySelectionChange(originalCheckedKeys, currentCheckedKeys, transferDataContext);
    }
  });
  watch(
    [sourceCheckableDataCount, dataKeyMap, disabledKeys, targetKeySet],
    (_, [, , , prevSelectedKeys]) => {
      const tempKeys = new Set(sourceSelectedKeys.value);
      const deletedKeys = /* @__PURE__ */ new Set();
      const addedKeys = /* @__PURE__ */ new Set();
      const addKey2 = (key) => {
        if (!tempKeys.has(key)) {
          tempKeys.add(key);
          addedKeys.add(key);
          deletedKeys.delete(key);
        }
      };
      const deleteKey = (key) => {
        if (tempKeys.has(key)) {
          tempKeys.delete(key);
          deletedKeys.add(key);
          addedKeys.delete(key);
        }
      };
      sourceSelectedKeys.value.forEach((key) => {
        if (!dataKeyMap.value.has(key) || disabledKeys.value.has(key)) {
          deleteKey(key);
          return;
        }
        if (props.mode === "default" && targetKeySet.value.has(key)) {
          deleteKey(key);
        }
      });
      if (props.mode === "immediate") {
        targetKeySet.value.forEach((key) => {
          if (dataKeyMap.value.has(key)) {
            addKey2(key);
          }
        });
        prevSelectedKeys == null ? void 0 : prevSelectedKeys.forEach((key) => {
          if (!targetKeySet.value.has(key)) {
            deleteKey(key);
          }
        });
      }
      if (addedKeys.size > 0 || deletedKeys.size > 0) {
        setSourceSelectedKeys(Array.from(tempKeys));
        transferBySelectionChangeLocked = true;
        nextTick(() => {
          transferBySelectionChangeLocked = false;
        });
      }
    },
    { immediate: true, flush: "post" }
  );
  watch(
    [targetCheckableDataCount, targetDataKeys, disabledTargetKeys],
    () => {
      const tempKeys = new Set(targetSelectedKeys.value);
      targetSelectedKeys.value.forEach((key) => {
        if (!targetDataKeys.value.has(key) || disabledTargetKeys.value.has(key)) {
          tempKeys.delete(key);
        }
      });
      setTargetSelectedKeys(Array.from(tempKeys));
    },
    { immediate: true, flush: "post" }
  );
  const handleSourceSelectChange = (keys2) => {
    if (props.disabled) {
      return;
    }
    setSourceSelectedKeys(isArray(keys2) ? keys2 : Array.from(keys2));
  };
  const handleTargetSelectChange = (keys2) => {
    if (props.disabled) {
      return;
    }
    setTargetSelectedKeys(isArray(keys2) ? keys2 : Array.from(keys2));
  };
  const handleSelectAll = (selected = true, isSource = true) => {
    if (props.disabled) {
      return;
    }
    const data = isSource ? props.mode === "default" ? sourceData.value : dataSource.value : targetData.value;
    const _disabledKeys = isSource ? props.mode === "default" ? disabledSourceKeys : disabledKeys : disabledTargetKeys;
    const selectedKeySet = isSource ? sourceSelectedKeySet : targetSelectedKeySet;
    const setSelectedKeys = isSource ? setSourceSelectedKeys : setTargetSelectedKeys;
    setSelectedKeys(
      transferDataStrategy.value.getAllSelectedKeys(
        selected,
        data,
        selectedKeySet.value,
        _disabledKeys.value,
        getKey.value
      )
    );
    callEmit(props.onSelectAll, isSource, selected);
  };
  const sourceSelectAllDisabled = computed(() => props.disabled || sourceCheckableDataCount.value <= 0);
  const targetSelectAllDisabled = computed(() => props.disabled || targetCheckableDataCount.value <= 0);
  return {
    sourceSelectedKeys,
    targetSelectedKeys,
    sourceSelectedKeySet,
    targetSelectedKeySet,
    handleSourceSelectChange,
    handleTargetSelectChange,
    sourceSelectAllStatus,
    targetSelectAllStatus,
    handleSourceSelectAll: (selected) => handleSelectAll(selected, true),
    handleTargetSelectAll: (selected) => handleSelectAll(selected, false),
    sourceSelectAllDisabled,
    targetSelectAllDisabled,
    setSourceSelectedKeys,
    setTargetSelectedKeys
  };
}
function transferBySelectionChange(originalCheckedKeys, currentCheckedKeys, transferDataContext) {
  const { changeTargetKeys } = transferDataContext;
  const appendedKeys = [];
  const removedKeys = [];
  for (const key of originalCheckedKeys.values()) {
    if (!currentCheckedKeys.has(key)) {
      removedKeys.push(key);
    }
  }
  for (const key of currentCheckedKeys.values()) {
    if (!originalCheckedKeys.has(key)) {
      appendedKeys.push(key);
    }
  }
  changeTargetKeys(removedKeys, appendedKeys);
}
const transferProps = {
  value: Array,
  sourceSelectedKeys: Array,
  targetSelectedKeys: Array,
  sourceSearchValue: String,
  targetSearchValue: String,
  clearable: {
    type: Boolean,
    default: void 0
  },
  clearIcon: String,
  customAdditional: { type: Function, default: void 0 },
  dataSource: {
    type: Array,
    default: () => []
  },
  dataStrategy: Object,
  defaultTargetData: Array,
  disabled: {
    type: Boolean,
    default: false
  },
  empty: { type: [String, Object], default: "simple" },
  getKey: [String, Function],
  mode: {
    type: String,
    default: "default"
  },
  pagination: {
    type: [Boolean, Object],
    default: void 0
  },
  scroll: Object,
  searchable: {
    type: [Boolean, Object],
    default: void 0
  },
  searchFn: Function,
  searchPlaceholder: [String, Array],
  spin: {
    type: [Boolean, Object],
    default: void 0
  },
  showSelectAll: { type: Boolean, default: void 0 },
  virtual: { type: Boolean, default: false },
  virtualScrollMode: { type: String, default: void 0 },
  virtualItemHeight: { type: Number, default: void 0 },
  "onUpdate:value": [Function, Array],
  "onUpdate:sourceSelectedKeys": [Function, Array],
  "onUpdate:targetSelectedKeys": [Function, Array],
  "onUpdate:sourceSearchValue": [Function, Array],
  "onUpdate:targetSearchValue": [Function, Array],
  onChange: [Function, Array],
  onSearch: [Function, Array],
  onSelectAll: [Function, Array],
  onClear: [Function, Array],
  onScroll: [Function, Array],
  onScrolledChange: [Function, Array],
  onScrolledBottom: [Function, Array]
};
const transferContentProps = {
  isSource: {
    type: Boolean,
    required: true
  }
};
const transferBodyProps = transferContentProps;
const transferHeaderProps = transferContentProps;
const transferFooterProps = transferContentProps;
const transferListProps = {
  dataSource: Array,
  checkable: {
    type: Boolean,
    default: true
  },
  removable: {
    type: Boolean,
    default: false
  },
  checked: Function,
  customAdditional: { type: Function, default: void 0 },
  disabled: Function,
  getKey: Function,
  labelKey: String,
  scroll: Object,
  virtual: { type: Boolean, default: false },
  virtualScrollMode: { type: String, default: void 0 },
  virtualItemHeight: { type: Number, default: 32 },
  onCheckChange: [Function, Array],
  onRemove: [Function, Array],
  onScroll: [Function, Array],
  onScrolledChange: [Function, Array],
  onScrolledBottom: [Function, Array]
};
const transferListItemProps = {
  checked: {
    type: Boolean,
    default: false
  },
  checkable: {
    type: Boolean,
    default: true
  },
  removable: {
    type: Boolean,
    default: false
  },
  disabled: {
    type: Boolean,
    default: false
  },
  label: String,
  value: {
    type: [String, Number, Symbol],
    required: true
  },
  onCheckChange: [Function, Array],
  onRemove: [Function, Array]
};
var ListItem = /* @__PURE__ */ defineComponent({
  props: transferListItemProps,
  setup(props, {
    slots
  }) {
    const {
      mergedPrefixCls
    } = inject(transferListContext);
    const onCheckChange = (value) => {
      callEmit(props.onCheckChange, !!value);
    };
    const onRemove = () => {
      callEmit(props.onRemove);
    };
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-item`;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-disabled`]: props.disabled
      });
    });
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-item`;
      const children = [];
      if (props.checkable) {
        children.push(createVNode(IxCheckbox, {
          "class": `${prefixCls}-checkbox`,
          "label": props.label,
          "value": props.value,
          "checked": props.checked,
          "disabled": props.disabled,
          "onChange": onCheckChange
        }, slots));
      } else {
        const labelNode = convertStringVNode(slots.default, props.label);
        children.push(createVNode("label", {
          "class": `${prefixCls}-label`
        }, [labelNode]));
      }
      if (props.removable && !props.disabled) {
        children.push(createVNode("div", {
          "class": `${prefixCls}-close-icon`,
          "onClick": onRemove
        }, [createVNode(IxIcon, {
          "name": "close"
        }, null)]));
      }
      return createVNode("li", {
        "class": classes.value
      }, [children]);
    };
  }
});
var TransferList$1 = /* @__PURE__ */ defineComponent({
  name: "IxTransferList",
  props: transferListProps,
  setup(props, {
    slots,
    expose
  }) {
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-transfer-list`);
    const labelKey = computed(() => {
      var _a;
      return (_a = props.labelKey) != null ? _a : "label";
    });
    const virtualScrollRef = ref();
    provide(transferListContext, {
      mergedPrefixCls
    });
    const transferListApi = {
      scrollTo: (option) => {
        var _a;
        return (_a = virtualScrollRef.value) == null ? void 0 : _a.scrollTo(option);
      }
    };
    expose(transferListApi);
    const getKey = (item) => {
      var _a, _b;
      return (_b = (_a = props.getKey) == null ? void 0 : _a.call(props, item)) != null ? _b : item.key;
    };
    const handleScroll = (evt) => {
      callEmit(props.onScroll, evt);
    };
    const handleScrolledBottom = () => {
      callEmit(props.onScrolledBottom);
    };
    const handleScrolledChange = (startIndex, endIndex, visibleData) => {
      callEmit(props.onScrolledChange, startIndex, endIndex, visibleData);
    };
    const renderListItem = ({
      item,
      index
    }) => {
      var _a, _b;
      const key = getKey(item);
      const onCheckChange = (checked) => {
        callEmit(props.onCheckChange, item, checked);
      };
      const onRemove = () => {
        callEmit(props.onRemove, item);
      };
      const customAdditional = props.customAdditional ? props.customAdditional({
        data: item,
        index
      }) : void 0;
      return createVNode(ListItem, mergeProps({
        "key": key,
        "value": key,
        "label": item[labelKey.value],
        "checked": !!((_a = props.checked) == null ? void 0 : _a.call(props, item)),
        "disabled": !!((_b = props.disabled) == null ? void 0 : _b.call(props, item)),
        "checkable": props.checkable,
        "removable": props.removable,
        "onCheckChange": onCheckChange,
        "onRemove": onRemove
      }, customAdditional), {
        default: slots.label && (() => {
          var _a2;
          return (_a2 = slots.label) == null ? void 0 : _a2.call(slots, item);
        })
      });
    };
    const renderBody2 = () => {
      var _a;
      const {
        dataSource,
        virtual,
        virtualItemHeight: virtualItemHeight2,
        virtualScrollMode,
        scroll
      } = props;
      const data = dataSource != null ? dataSource : [];
      if (data.length <= 0) {
        return;
      }
      if (virtual) {
        return createVNode(CdkVirtualScroll, {
          "class": mergedPrefixCls.value + "-content",
          "ref": virtualScrollRef,
          "dataSource": data,
          "fullHeight": !!(scroll == null ? void 0 : scroll.fullHeight),
          "getKey": getKey,
          "height": (_a = scroll == null ? void 0 : scroll.height) != null ? _a : "100%",
          "rowHeight": virtualItemHeight2,
          "rowRender": renderListItem,
          "virtual": true,
          "scrollMode": virtualScrollMode,
          "onScroll": handleScroll,
          "onScrolledBottom": handleScrolledBottom,
          "onScrolledChange": handleScrolledChange
        }, null);
      }
      return createVNode("ul", {
        "class": `${mergedPrefixCls.value}-inner`
      }, [data.map((item, index) => renderListItem({
        item,
        index
      }))]);
    };
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-virtual`]: !!props.virtual
      });
    });
    const style = computed(() => {
      const scroll = props.scroll;
      return scroll && normalizeStyle({
        [scroll.fullHeight ? "height" : "maxHeight"]: convertCssPixel(scroll.height)
      });
    });
    return () => {
      return createVNode("div", {
        "class": classes.value,
        "style": style.value,
        "onScroll": handleScroll
      }, [renderBody2()]);
    };
  }
});
var Body = /* @__PURE__ */ defineComponent({
  props: transferBodyProps,
  setup(props) {
    const {
      props: transferProps2,
      slots,
      mergedPrefixCls,
      sourceTransferListRef,
      targetTransferListRef,
      getKey
    } = inject(transferContext);
    const transferBindings = props.isSource ? inject(TRANSFER_SOURCE_TOKEN) : inject(TRANSFER_TARGET_TOKEN);
    const {
      paginatedDataSource,
      paginatedData,
      selectedKeySet,
      disabledDataSourceKeys,
      disabledKeys,
      handleSelectChange
    } = transferBindings;
    const {
      triggerRemove
    } = inject(TRANSFER_OPERATIONS_TOKEN);
    const transferListRef = props.isSource ? sourceTransferListRef : targetTransferListRef;
    const handleScroll = (evt) => {
      callEmit(transferProps2.onScroll, props.isSource, evt);
    };
    const handleScrolledBottom = () => {
      callEmit(transferProps2.onScrolledBottom, props.isSource);
    };
    const handleScrolledChange = (startIndex, endIndex, visibleData) => {
      callEmit(transferProps2.onScrolledChange, props.isSource, startIndex, endIndex, visibleData);
    };
    const checkListData = computed(() => props.isSource && transferProps2.mode === "immediate" ? paginatedDataSource.value : paginatedData.value);
    const checkListDisabledKeys = computed(() => props.isSource && transferProps2.mode === "immediate" ? disabledDataSourceKeys.value : disabledKeys.value);
    const defaultBodyRenderer = (prefixCls) => {
      const data = props.isSource && transferProps2.mode === "immediate" ? paginatedDataSource.value : paginatedData.value;
      if (data.length <= 0) {
        return createVNode("div", {
          "class": `${prefixCls}-empty-wrapper`
        }, [createVNode(\u0275Empty, {
          "empty": transferProps2.empty
        }, slots)]);
      }
      const onCheckChange = (item, checked) => {
        const key = getKey.value(item);
        const _checkedKeys = new Set(selectedKeySet.value);
        checked ? _checkedKeys.add(key) : _checkedKeys.delete(key);
        handleSelectChange(_checkedKeys);
      };
      const onRemove = (item) => {
        const key = getKey.value(item);
        triggerRemove([key]);
      };
      const listSlots = {
        label: slots.label && ((item) => {
          var _a;
          return (_a = slots.label) == null ? void 0 : _a.call(slots, {
            item,
            isSource: props.isSource
          });
        })
      };
      return createVNode(TransferList$1, {
        "ref": transferListRef,
        "dataSource": checkListData.value,
        "getKey": getKey.value,
        "checked": (item) => selectedKeySet.value.has(getKey.value(item)),
        "disabled": (item) => transferProps2.disabled || checkListDisabledKeys.value.has(getKey.value(item)),
        "checkable": props.isSource || transferProps2.mode === "default",
        "removable": !props.isSource && transferProps2.mode === "immediate",
        "virtual": transferProps2.virtual,
        "virtualItemHeight": transferProps2.virtualItemHeight,
        "virtualScrollMode": transferProps2.virtualScrollMode,
        "scroll": transferProps2.scroll,
        "onCheckChange": onCheckChange,
        "onRemove": onRemove,
        "onScroll": handleScroll,
        "onScrolledChange": handleScrolledChange,
        "onScrolledBottom": handleScrolledBottom
      }, listSlots);
    };
    const renderBody2 = (prefixCls) => {
      if (slots.default) {
        return slots.default({
          ...convertToSlotParams(transferBindings),
          isSource: props.isSource
        });
      }
      return defaultBodyRenderer(prefixCls);
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-body`;
      return createVNode("div", {
        "class": `${mergedPrefixCls.value}-body`
      }, [renderBody2(prefixCls)]);
    };
  }
});
var Footer = /* @__PURE__ */ defineComponent({
  props: transferFooterProps,
  setup(props) {
    const {
      slots,
      props: transferProps2,
      mergedPrefixCls
    } = inject(transferContext);
    const transferBindings = props.isSource ? inject(TRANSFER_SOURCE_TOKEN) : inject(TRANSFER_TARGET_TOKEN);
    const {
      pagination,
      filteredData,
      filteredDataSource
    } = transferBindings;
    const renderFooter2 = (prefixCls) => {
      var _a, _b;
      if (slots.footer) {
        return slots.footer({
          ...convertToSlotParams(transferBindings),
          isSource: props.isSource
        });
      }
      if (!pagination.value) {
        return;
      }
      const total = (_b = (_a = pagination.value) == null ? void 0 : _a.total) != null ? _b : props.isSource && transferProps2.mode === "immediate" ? filteredDataSource.value.length : filteredData.value.length;
      return createVNode("div", {
        "class": `${prefixCls}-inner`
      }, [createVNode(IxPagination, mergeProps({
        "class": `${prefixCls}-pagination`
      }, pagination.value, {
        "total": total
      }), null)]);
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-footer`;
      const children = renderFooter2(prefixCls);
      if (!children || isArray(children) && children.length <= 0) {
        return;
      }
      return createVNode("div", {
        "class": prefixCls
      }, [children]);
    };
  }
});
var Header = /* @__PURE__ */ defineComponent({
  props: transferHeaderProps,
  setup(props) {
    const {
      props: transferProps2,
      slots,
      config,
      locale: locale2,
      mergedPrefixCls
    } = inject(transferContext);
    const transferBindings = props.isSource ? inject(TRANSFER_SOURCE_TOKEN) : inject(TRANSFER_TARGET_TOKEN);
    const {
      clearDisabled,
      triggerClear
    } = inject(TRANSFER_OPERATIONS_TOKEN);
    const {
      showSelectAll,
      data,
      selectAllDisabled,
      selectAllStatus,
      searchable,
      searchPlaceholder,
      searchValue,
      handleSearchChange,
      selectAll
    } = transferBindings;
    const [searchInputValue, setSearchInputValue] = useState("");
    const inputRef = ref();
    const syncValue = () => {
      var _a;
      const element = (_a = inputRef.value) == null ? void 0 : _a.getInputElement();
      if (element && element.value !== searchValue.value) {
        element.value = searchValue.value;
      }
      if (searchInputValue.value !== searchValue.value) {
        setSearchInputValue(searchValue.value);
      }
    };
    onMounted(() => {
      syncValue();
    });
    watch(searchValue, () => {
      syncValue();
    });
    const triggerSearch = () => {
      handleSearchChange(searchInputValue.value);
    };
    const handleInput = (evt) => {
      const value = evt.target.value;
      setSearchInputValue(value);
      if (!value) {
        triggerSearch();
      }
    };
    const handleKeyDown = withKeys(() => {
      triggerSearch();
    }, ["enter"]);
    const handleCheckChange = (value) => {
      selectAll(!!value);
    };
    const renderCheckAll = (prefixCls) => {
      if (!showSelectAll.value || !props.isSource && transferProps2.mode === "immediate") {
        return;
      }
      return createVNode(IxCheckbox, {
        "class": `${prefixCls}-check-all`,
        "checked": selectAllStatus.value.checked,
        "indeterminate": selectAllStatus.value.indeterminate,
        "disabled": selectAllDisabled.value,
        "onChange": handleCheckChange
      }, null);
    };
    const renderLabel2 = (prefixCls) => {
      let children;
      if (slots.headerLabel) {
        children = slots.headerLabel({
          data: data.value,
          isSource: props.isSource
        });
      } else {
        children = `${props.isSource ? locale2.toSelect : locale2.selected} (${data.value.length})`;
      }
      return createVNode("span", {
        "class": `${prefixCls}-label`
      }, [children]);
    };
    const renderInput = (prefixCls) => {
      if (!searchable.value) {
        return;
      }
      const inputSlots = {
        suffix: () => createVNode(IxIcon, {
          "class": `${prefixCls}-search-icon`,
          "name": "search",
          "onClick": triggerSearch
        }, null)
      };
      return createVNode(\u0275Input, {
        "ref": inputRef,
        "class": `${prefixCls}-search-input`,
        "disabled": transferProps2.disabled,
        "type": "text",
        "size": "sm",
        "placeholder": searchPlaceholder.value,
        "onInput": handleInput,
        "onKeydown": handleKeyDown
      }, inputSlots);
    };
    const renderClearIcon = (prefixCls) => {
      var _a, _b;
      if (props.isSource || !((_a = transferProps2.clearable) != null ? _a : config.clearable)) {
        return;
      }
      const classes = normalizeClass({
        [`${prefixCls}-clear-icon`]: true,
        [`${prefixCls}-clear-icon-disabled`]: clearDisabled.value
      });
      return createVNode("span", {
        "class": classes,
        "onClick": triggerClear
      }, [slots.clearIcon ? slots.clearIcon() : createVNode(IxIcon, {
        "name": (_b = transferProps2.clearIcon) != null ? _b : config.clearIcon
      }, null)]);
    };
    const renderSuffix = (prefixCls) => {
      var _a;
      const suffix = (_a = slots.headerSuffix) == null ? void 0 : _a.call(slots, {
        isSource: props.isSource
      });
      if (isEmptyNode(suffix)) {
        return;
      }
      return createVNode("span", {
        "class": `${prefixCls}-suffix`
      }, [suffix]);
    };
    const renderHeader2 = (prefixCls) => {
      if (slots.header) {
        return slots.header({
          ...convertToSlotParams(transferBindings),
          isSource: props.isSource
        });
      }
      return createVNode("div", {
        "class": `${prefixCls}-inner`
      }, [renderCheckAll(prefixCls), renderLabel2(prefixCls), renderInput(prefixCls), renderClearIcon(prefixCls), renderSuffix(prefixCls)]);
    };
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-header`;
      const children = renderHeader2(prefixCls);
      if (isEmptyNode(children)) {
        return;
      }
      return createVNode("div", {
        "class": prefixCls
      }, [children]);
    };
  }
});
var TransferList = /* @__PURE__ */ defineComponent({
  props: transferContentProps,
  setup(props) {
    const {
      props: transferProps2,
      mergedPrefixCls
    } = inject(transferContext);
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-content`;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-${props.isSource ? "source" : "target"}`]: true,
        [`${prefixCls}-disabled`]: transferProps2.disabled
      });
    });
    const style = computed(() => {
      var _a;
      const scrollWidth = (_a = transferProps2.scroll) == null ? void 0 : _a.width;
      let width;
      if (isObject(scrollWidth)) {
        width = props.isSource ? scrollWidth.source : scrollWidth.target;
      } else {
        width = scrollWidth;
      }
      if (!width) {
        return;
      }
      return normalizeStyle({
        width: convertCssPixel(width)
      });
    });
    const spinProps2 = computed(() => {
      if (isNil(transferProps2.spin)) {
        return;
      }
      if (isBoolean(transferProps2.spin)) {
        return {
          spinning: !!transferProps2.spin
        };
      }
      return {
        spinning: props.isSource ? transferProps2.spin.source : transferProps2.spin.target
      };
    });
    return () => {
      const children = [createVNode(Header, {
        "isSource": props.isSource
      }, null), createVNode(Body, {
        "isSource": props.isSource
      }, null), createVNode(Footer, {
        "isSource": props.isSource
      }, null)];
      return createVNode("div", {
        "class": classes.value,
        "style": style.value
      }, [spinProps2.value ? createVNode(IxSpin, spinProps2.value, {
        default: () => [children]
      }) : children]);
    };
  }
});
function getDefaultThemeTokens$3(tokens2) {
  const { heightLg, heightMd, marginSizeMd, marginSizeSm, paddingSizeSm, paddingSizeMd } = tokens2;
  return {
    height: 290,
    contentWidth: 260,
    headerHeight: heightLg,
    suffixMarginLeft: marginSizeMd,
    footerHeight: heightLg,
    contentPadding: `0 ${paddingSizeSm}px 0 ${paddingSizeMd}px`,
    oprMinWidth: 4,
    oprPadding: paddingSizeSm,
    oprButtonWidth: 24,
    oprButtonHeight: 32,
    oprButtonGap: marginSizeSm,
    searchWidth: 110,
    listItemMinHeight: heightMd,
    closeIconPadding: `0 ${paddingSizeMd}px`
  };
}
const getThemeTokens$3 = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$3(tokens2) : getDefaultThemeTokens$3(tokens2);
};
var Transfer = /* @__PURE__ */ defineComponent({
  name: "IxTransfer",
  props: transferProps,
  setup(props, {
    slots,
    expose
  }) {
    const common = useGlobalConfig("common");
    const config = useGlobalConfig("transfer");
    const locale2 = useGlobalConfig("locale").transfer;
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("transfer");
    registerToken(getThemeTokens$3);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-transfer`);
    const showSelectAll = computed(() => {
      var _a;
      return (_a = props.showSelectAll) != null ? _a : config.showSelectAll;
    });
    const {
      source: sourceSearchable,
      target: targetSearchable
    } = useSearchable$1(props, config);
    const {
      source: sourcePlaceholder,
      target: targetPlaceholder
    } = useSearchPlaceholder(props, locale2);
    const transferDataStrategies = useTransferDataStrategies(props);
    const transferPaginationContext = usePagination(props);
    const transferDataContext = useTransferData(props, config, transferDataStrategies, transferPaginationContext);
    const transferSelectStateContext = useTransferSelectState(props, transferDataContext, transferDataStrategies);
    const transferOperationsContext = useTransferOperations(props, transferDataContext, transferSelectStateContext);
    const {
      sourceBindings,
      targetBindings
    } = useTransferBindings(props, transferDataContext, transferOperationsContext, transferSelectStateContext, transferPaginationContext, showSelectAll, sourceSearchable, sourcePlaceholder, targetSearchable, targetPlaceholder);
    const sourceTransferListRef = ref();
    const targetTransferListRef = ref();
    const transferApi = {
      scrollTo: (isSource, ...params) => {
        var _a;
        return (_a = (isSource ? sourceTransferListRef : targetTransferListRef).value) == null ? void 0 : _a.scrollTo(...params);
      }
    };
    expose(transferApi);
    provide(transferContext, {
      props,
      slots,
      locale: locale2,
      config,
      mergedPrefixCls,
      sourceTransferListRef,
      targetTransferListRef,
      showSelectAll,
      getKey: transferDataContext.getKey
    });
    provide(TRANSFER_SOURCE_TOKEN, sourceBindings);
    provide(TRANSFER_TARGET_TOKEN, targetBindings);
    provide(TRANSFER_OPERATIONS_TOKEN, transferOperationsContext);
    const classes = computed(() => {
      var _a;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-fit-content`]: !!((_a = props.scroll) == null ? void 0 : _a.height)
      });
    });
    return () => createVNode("div", {
      "class": classes.value
    }, [createVNode(TransferList, {
      "isSource": true
    }, null), createVNode(TransferOperations, null, null), createVNode(TransferList, {
      "isSource": false
    }, null)]);
  }
});
const IxTransfer = Transfer;
const IxTransferList = TransferList$1;
function callChange(mergedNodeMap, newKeys, onChange) {
  if (onChange) {
    const selectedNodes = [];
    const nodeMap = mergedNodeMap.value;
    newKeys.forEach((key) => {
      const currNode = nodeMap.get(key);
      currNode && selectedNodes.push(currNode.rawNode);
    });
    callEmit(onChange, newKeys, selectedNodes);
  }
}
function getChildrenKeys(currNode, disabledKeys) {
  const keys2 = [];
  const { children } = currNode || {};
  children && children.forEach((item) => {
    {
      keys2.push(item.key);
    }
    keys2.push(...getChildrenKeys(item));
  });
  return keys2;
}
function getParentKeys(nodeMap, currNode, disabledKeys) {
  const keys2 = [];
  while (currNode && !isNil(currNode.parentKey)) {
    const { parentKey } = currNode;
    {
      keys2.push(parentKey);
    }
    currNode = nodeMap.get(parentKey);
  }
  return keys2;
}
function useCheckable(props, mergedNodes, mergedNodeMap, parentKeyMap, depthMap) {
  const [checkedKeys, setCheckedKeys] = useControlledProp(props, "checkedKeys", () => []);
  const resolverContext = computed(() => {
    return {
      data: mergedNodes.value,
      dataMap: mergedNodeMap.value,
      parentKeyMap: parentKeyMap.value,
      depthMap: depthMap.value
    };
  });
  const childrenKey = ref("children");
  const getKey = ref((item) => item.key);
  const cascaderStrategy = computed(() => props.cascaderStrategy);
  const isDisabled = ref((data) => !!data.checkDisabled);
  const { checkStateResolver, isChecked, isIndeterminate, toggle } = useTreeCheckState(
    checkedKeys,
    resolverContext,
    childrenKey,
    getKey,
    cascaderStrategy,
    isDisabled
  );
  const handleCheck = (node) => {
    const { checked, checkedKeys: newCheckedKeys } = toggle(node);
    if (node.checkDisabled) {
      return;
    }
    handleChange(checked, node.rawNode, newCheckedKeys);
  };
  const handleChange = (checked, rawNode, newKeys) => {
    const { onCheck, onCheckedChange } = props;
    callEmit(onCheck, checked, rawNode);
    setCheckedKeys(newKeys);
    callChange(mergedNodeMap, newKeys, onCheckedChange);
  };
  watch(cascaderStrategy, () => {
    const newCheckedKeys = checkStateResolver.appendKeys([], checkedKeys.value);
    setCheckedKeys(newCheckedKeys);
    callChange(mergedNodeMap, newCheckedKeys, props.onCheckedChange);
  });
  return {
    checkedKeys,
    isChecked,
    isIndeterminate,
    handleCheck
  };
}
function useMergeNodes$1(props, mergedChildrenKey, mergedGetKey, mergedLabelKey) {
  const loadedNodes = ref({});
  const setLoadedNodes = (key, nodes) => {
    loadedNodes.value[key] = nodes;
  };
  const getLoadedNodes = (key) => {
    return loadedNodes.value[key];
  };
  const context = computed(() => {
    const dataKeyMap = /* @__PURE__ */ new Map();
    const parentKeyMap2 = /* @__PURE__ */ new Map();
    const depthMap2 = /* @__PURE__ */ new Map();
    const mergedNodes2 = convertMergeNodes$1(
      props.dataSource,
      getLoadedNodes,
      {
        props,
        childrenKey: mergedChildrenKey.value,
        getKey: mergedGetKey.value,
        labelKey: mergedLabelKey.value,
        parentKey: void 0,
        parentLevel: -1,
        parentsDisabled: []
      },
      {
        dataKeyMap,
        parentKeyMap: parentKeyMap2,
        depthMap: depthMap2
      }
    );
    return {
      mergedNodes: mergedNodes2,
      dataKeyMap,
      parentKeyMap: parentKeyMap2,
      depthMap: depthMap2
    };
  });
  const mergedNodes = computed(() => context.value.mergedNodes);
  const mergedNodeMap = computed(() => context.value.dataKeyMap);
  const parentKeyMap = computed(() => context.value.parentKeyMap);
  const depthMap = computed(() => context.value.depthMap);
  return { mergedNodes, mergedNodeMap, parentKeyMap, depthMap, setLoadedNodes };
}
function useFlattedNodes(mergedNodes, { expandedKeys }, props, searchedKeys) {
  const flattenedContext = computed(() => {
    const { searchValue } = props;
    const expandedKeysMap = new Map(expandedKeys.value.map((item, index) => [item, index]));
    const searchedKeysMap = new Map(searchedKeys.value.map((item, index) => [item, index]));
    const flattenedNodeMap2 = /* @__PURE__ */ new Map();
    if (searchValue && !searchedKeysMap.size) {
      return {
        flattedNodes: [],
        flattenedNodeMap: flattenedNodeMap2
      };
    }
    if (expandedKeysMap.size || searchedKeysMap.size) {
      const nodes = flatNode(mergedNodes.value, expandedKeysMap, searchedKeysMap, flattenedNodeMap2);
      return {
        flattedNodes: nodes,
        flattenedNodeMap: flattenedNodeMap2
      };
    }
    return {
      flattedNodes: mergedNodes.value.map((item) => {
        const node = { ...item, expanded: false, level: 0 };
        flattenedNodeMap2.set(node.key, node);
        return node;
      }),
      flattenedNodeMap: flattenedNodeMap2
    };
  });
  const flattedNodes = computed(() => flattenedContext.value.flattedNodes);
  const flattenedNodeMap = computed(() => flattenedContext.value.flattenedNodeMap);
  return {
    flattedNodes,
    flattenedNodeMap
  };
}
function convertMergeNodes$1(nodes, getLoadedNodes, options, maps) {
  const { props, childrenKey, getKey, labelKey, parentKey, parentLevel, parentsDisabled } = options;
  const { cascaderStrategy, disabled, loadChildren } = props;
  const { dataKeyMap, parentKeyMap, depthMap } = maps;
  const hasLoad = !!loadChildren;
  return nodes.map((node, index) => {
    var _a, _b, _c;
    const key = getKey(node);
    const nodeDisabled = convertDisabled$1(node, disabled);
    const subNodes = (_a = node[childrenKey]) != null ? _a : getLoadedNodes(key);
    const label = node[labelKey];
    const level = parentLevel + 1;
    const children = subNodes && convertMergeNodes$1(
      subNodes,
      getLoadedNodes,
      {
        props,
        childrenKey,
        getKey,
        labelKey,
        parentKey: key,
        parentLevel: level,
        parentsDisabled: [nodeDisabled, ...parentsDisabled != null ? parentsDisabled : []]
      },
      maps
    );
    const mergedDisabled = mergeDisabled(
      nodeDisabled,
      parentsDisabled != null ? parentsDisabled : [],
      (_b = children == null ? void 0 : children.map((child) => ({
        check: child.checkDisabled,
        drag: child.dragDisabled,
        drop: child.dropDisabled,
        select: child.selectDisabled
      }))) != null ? _b : [],
      cascaderStrategy !== "off"
    );
    const mergedNode = {
      label,
      key,
      children,
      isFirst: index === 0,
      isLeaf: (_c = node.isLeaf) != null ? _c : !((subNodes == null ? void 0 : subNodes.length) || hasLoad),
      isLast: index === nodes.length - 1,
      parentKey,
      expanded: false,
      level,
      rawNode: node,
      checkDisabled: mergedDisabled.check,
      dragDisabled: mergedDisabled.drag,
      dropDisabled: mergedDisabled.drop,
      selectDisabled: mergedDisabled.select
    };
    dataKeyMap.set(key, mergedNode);
    parentKeyMap.set(key, parentKey);
    depthMap.set(key, level);
    return mergedNode;
  });
}
function convertDisabled$1(node, disabled) {
  const nodeDisabled = node.disabled || {};
  if (nodeDisabled === true) {
    return { check: true, drag: true, drop: true, select: true };
  }
  let { check, drag, drop, select } = nodeDisabled;
  if (disabled) {
    const treeDisabled = disabled(node) || {};
    if (treeDisabled === true) {
      return { check: true, drag: true, drop: true, select: true };
    }
    check = check || treeDisabled.check;
    drag = drag || treeDisabled.drag;
    drop = drop || treeDisabled.drop;
    select = select || treeDisabled.select;
  }
  return { check, drag, drop, select };
}
function mergeDisabled(nodeDisabled, parentsDisabled, childrenDisabled, cascade) {
  const _mergeDisabled = (name) => {
    return nodeDisabled[name] || cascade && (parentsDisabled.some((disabled) => !!disabled[name]) || !!childrenDisabled.length && childrenDisabled.every((disabled) => !!disabled[name]));
  };
  return {
    check: _mergeDisabled("check"),
    drag: _mergeDisabled("drag"),
    drop: _mergeDisabled("drop"),
    select: _mergeDisabled("select")
  };
}
function hiddenIrrelevantNodes(mergedNodes = [], searchedKeysMap) {
  const result = [];
  const mergedNodesLength = mergedNodes.length;
  mergedNodes.forEach((node, index) => {
    node.isFirst = index === 0;
    node.isLast = index === mergedNodesLength - 1;
    if (searchedKeysMap.has(node.key) || searchedKeysMap.size == 0) {
      node.hidden = false;
      result.push(node);
    } else {
      node.hidden = true;
    }
    const obj = hiddenIrrelevantNodes(node.children, searchedKeysMap);
    if (obj.length > 0) {
      node.hidden = false;
      result.push(node);
    }
  });
  if (result.length) {
    result[0].isFirst = true;
    result[result.length - 1].isLast = true;
  }
  return result;
}
function flatNode(mergedNodes, expandedKeysMap, searchedKeysMap, nodeMap) {
  const flattedNodes = [];
  const stack = [];
  hiddenIrrelevantNodes(mergedNodes, searchedKeysMap);
  mergedNodes.forEach((node) => {
    stack.push({ ...node });
    while (stack.length) {
      const _node = stack.pop();
      if (_node) {
        const { children, key, hidden } = _node;
        const expanded = expandedKeysMap.has(key);
        _node.expanded = expanded;
        !hidden && flattedNodes.push(_node);
        nodeMap.set(_node.key, _node);
        if (children && expanded) {
          for (let i2 = children.length; i2 > 0; i2--) {
            !children[i2 - 1].hidden && stack.push(children[i2 - 1]);
          }
        }
      }
    }
  });
  return flattedNodes;
}
function useDragDrop(props, config, { expandedKeys, setExpandedKeys }) {
  const draggableIcon = computed(() => {
    var _a;
    return (_a = props.draggableIcon) != null ? _a : config.draggableIcon;
  });
  const dragNodeRef = ref();
  const dragChildrenKeys = ref();
  const dropNodeRef = ref();
  const dropParentKey = ref();
  const dropType = ref();
  let dragTimer;
  const clearTimer = () => {
    if (dragTimer) {
      clearTimeout(dragTimer);
      dragTimer = void 0;
    }
  };
  onBeforeUnmount(() => clearTimer());
  const cleanDragState = () => {
    if (!isNil(dragNodeRef.value)) {
      dragNodeRef.value = void 0;
      dragChildrenKeys.value = void 0;
    }
  };
  const cleanDropState = () => {
    if (!isNil(dropNodeRef.value)) {
      dropNodeRef.value = void 0;
      dropParentKey.value = void 0;
      dropType.value = void 0;
    }
  };
  const getDragDropOptions = (evt, node) => {
    var _a, _b;
    return {
      evt,
      node: node.rawNode,
      dragNode: (_a = dragNodeRef.value) == null ? void 0 : _a.rawNode,
      dropNode: (_b = dropNodeRef.value) == null ? void 0 : _b.rawNode,
      dropType: dropType.value
    };
  };
  const handleWindowDragend = (evt) => {
    handleDragend(evt, void 0);
    window.removeEventListener("dragend", handleWindowDragend);
  };
  const handleDragstart = (evt, node) => {
    dragNodeRef.value = node;
    dragChildrenKeys.value = getChildrenKeys(node);
    delKey(node.key, expandedKeys.value, setExpandedKeys);
    window.addEventListener("dragend", handleWindowDragend);
    callEmit(props.onDragstart, getDragDropOptions(evt, node));
  };
  const handleDragend = (evt, node) => {
    if (node) {
      callEmit(props.onDragend, getDragDropOptions(evt, node));
    }
    cleanDragState();
    cleanDropState();
  };
  const handleDragenter = async (evt, node) => {
    const dragNode = dragNodeRef.value;
    if (dragNode) {
      clearTimer();
      if (dragNode.key !== node.key) {
        dragTimer = setTimeout(() => {
          var _a;
          if (dragNodeRef.value && ((_a = node.children) == null ? void 0 : _a.length)) {
            addKey(node.key, expandedKeys.value, setExpandedKeys);
          }
          dragTimer = void 0;
        }, 1e3);
      }
      const type = await calcDropType(node, dragNode, dragChildrenKeys.value, evt, props.droppable);
      if (type) {
        dropNodeRef.value = node;
        dropParentKey.value = type !== "inside" ? node.parentKey : void 0;
        dropType.value = type;
      } else {
        cleanDropState();
      }
    }
    callEmit(props.onDragenter, getDragDropOptions(evt, node));
  };
  const handleDragover = async (evt, node) => {
    const dragNode = dragNodeRef.value;
    if (dragNode) {
      const type = await calcDropType(node, dragNode, dragChildrenKeys.value, evt, props.droppable);
      if (type) {
        dropNodeRef.value = node;
        dropParentKey.value = type !== "inside" ? node.parentKey : void 0;
        dropType.value = type;
      } else {
        cleanDropState();
      }
    }
    callEmit(props.onDragover, getDragDropOptions(evt, node));
  };
  const handleDragleave = (evt, node) => {
    const dropNode = dropNodeRef.value;
    if ((dropNode == null ? void 0 : dropNode.key) === node.key && !evt.currentTarget.contains(evt.relatedTarget)) {
      cleanDropState();
    }
    callEmit(props.onDragleave, getDragDropOptions(evt, node));
  };
  const handleDrop = (evt, node) => {
    if (!dropType.value) {
      cleanDropState();
    }
    callEmit(props.onDrop, getDragDropOptions(evt, node));
    cleanDragState();
    cleanDropState();
  };
  return {
    draggableIcon,
    dragKey: computed(() => {
      var _a;
      return (_a = dragNodeRef.value) == null ? void 0 : _a.key;
    }),
    dropKey: computed(() => {
      var _a;
      return (_a = dropNodeRef.value) == null ? void 0 : _a.key;
    }),
    dropParentKey,
    dropType,
    handleDragstart,
    handleDragend,
    handleDragenter,
    handleDragover,
    handleDragleave,
    handleDrop
  };
}
function addKey(key, keys2, setKeys) {
  const index = keys2.indexOf(key);
  if (index === -1) {
    setKeys([...keys2, key]);
  }
}
function delKey(key, keys2, setKeys) {
  const index = keys2.indexOf(key);
  if (index !== -1) {
    const tempKeys = [...keys2];
    tempKeys.splice(index, 1);
    setKeys(tempKeys);
  }
}
async function calcDropType(dropNode, dragNode, dragChildrenKeys, evt, droppable) {
  const { key: dropKey, children: dropChildren = [] } = dropNode;
  if (dragNode.key === dropKey || dragChildrenKeys && dragChildrenKeys.includes(dropKey)) {
    return false;
  }
  const { clientY } = evt;
  const { top, height } = evt.target.getBoundingClientRect();
  const isTopHalf = clientY < top + height / 2;
  let dropType;
  if (droppable) {
    const dropOptions = { evt, isTopHalf, dragNode: dragNode.rawNode, dropNode: dropNode.rawNode };
    dropType = await droppable(dropOptions);
  }
  if (dropType === void 0 || dropType === true) {
    if (dropChildren.length > 0) {
      dropType = "inside";
    } else if (isTopHalf) {
      dropType = "before";
    } else {
      dropType = "after";
    }
  }
  return dropType;
}
function useEvents(props, mergedNodeMap, flattedNodes, { expandedKeys, handleExpand }, { activeKey, handleSelect }) {
  const focused = ref(false);
  const handleFocus = (evt) => {
    focused.value = true;
    callEmit(props.onFocus, evt);
  };
  const handleBlur = (evt) => {
    focused.value = true;
    callEmit(props.onBlur, evt);
  };
  const handleKeydown = (evt) => {
    switch (evt.code) {
      case "ArrowUp":
      case "ArrowDown":
        evt.preventDefault();
    }
    callEmit(props.onKeydown, evt);
  };
  const handleKeyup = (evt) => {
    const eventCode = evt.code;
    const _activeKey = activeKey.value;
    const _flattedNodes = flattedNodes.value;
    const nodeSize = _flattedNodes.length;
    if (_activeKey === void 0) {
      if (["ArrowDown", "ArrowUp", "ArrowLeft", "ArrowRight"].includes(eventCode)) {
        changeActiveKey(activeKey, _flattedNodes, 0, nodeSize);
      }
    } else {
      const _flattedNodes2 = flattedNodes.value;
      const currIndex = _flattedNodes2.findIndex((node) => node.key === _activeKey);
      if (currIndex === -1) {
        return;
      }
      switch (eventCode) {
        case "Enter":
        case "NumpadEnter":
          handleSelect(_activeKey);
          break;
        case "ArrowDown":
          changeActiveKey(activeKey, _flattedNodes2, currIndex + 1, nodeSize);
          break;
        case "ArrowUp":
          changeActiveKey(activeKey, _flattedNodes2, currIndex - 1, 0, true);
          break;
        case "ArrowLeft":
          {
            const { rawNode, key, parentKey } = _flattedNodes2[currIndex];
            if (rawNode.isLeaf || !expandedKeys.value.includes(key)) {
              const parentNode = parentKey ? mergedNodeMap.value.get(parentKey) : void 0;
              if (parentNode) {
                activeKey.value = parentNode.key;
              }
            } else {
              handleExpand(key, rawNode);
            }
          }
          break;
        case "ArrowRight":
          {
            const { rawNode, key } = _flattedNodes2[currIndex];
            if (!expandedKeys.value.includes(key)) {
              handleExpand(key, rawNode);
            } else {
              for (let index = currIndex + 1; index < nodeSize; index++) {
                const currNode = _flattedNodes2[index];
                activeKey.value = currNode.key;
                break;
              }
            }
          }
          break;
      }
    }
    callEmit(props.onKeyup, evt);
  };
  return {
    focused,
    handleFocus,
    handleBlur,
    handleKeydown,
    handleKeyup
  };
}
function changeActiveKey(activeKey, flattedNodes, start, end, isUp = false) {
  let index = start;
  while (isUp ? index >= end : index < end) {
    const currNode = flattedNodes[index];
    if (!currNode.selectDisabled) {
      activeKey.value = currNode.key;
      return;
    } else {
      isUp ? index-- : index++;
    }
  }
}
function useExpandable(props, config, mergedChildrenKey, mergedNodeMap, searchedKeys, setLoadedNodes) {
  const expandIcon = computed(() => {
    var _a;
    return (_a = props.expandIcon) != null ? _a : config.expandIcon;
  });
  const [expandedKeys, setExpandedKeys] = useControlledProp(props, "expandedKeys", () => []);
  const [loadedKeys, setLoadedKeys] = useControlledProp(props, "loadedKeys", () => []);
  const loadingKeys = ref([]);
  const expandIconRenderer2 = ({ key, expanded, node }) => {
    if (isString(expandIcon.value)) {
      return h(IxIcon, { name: expandIcon.value, rotate: expanded ? 90 : 0 });
    }
    if (isFunction(expandIcon.value)) {
      return expandIcon.value({ key, expanded, node });
    }
    if (isArray(expandIcon.value)) {
      return h(IxIcon, { name: expanded ? expandIcon.value[0] : expandIcon.value[1] });
    }
  };
  const setExpandWithSearch = (searchedKeys2) => {
    if (!searchedKeys2 || searchedKeys2.length <= 0) {
      return;
    }
    const { onExpandedChange } = props;
    const nodeMap = mergedNodeMap.value;
    const keySet = new Set(expandedKeys.value);
    searchedKeys2.forEach((key) => {
      getParentKeys(nodeMap, nodeMap.get(key)).forEach((parentKey) => keySet.add(parentKey));
    });
    const newKeys = [...keySet];
    setExpandedKeys(newKeys);
    callChange(mergedNodeMap, newKeys, onExpandedChange);
  };
  watch(searchedKeys, setExpandWithSearch);
  const handleExpand = async (key, rawNode) => {
    var _a;
    const { loadChildren } = props;
    if (loadingKeys.value.includes(key)) {
      return;
    }
    const childrenKey = mergedChildrenKey.value;
    if (!((_a = rawNode == null ? void 0 : rawNode[childrenKey]) == null ? void 0 : _a.length)) {
      if (!loadChildren || loadingKeys.value.includes(key) || loadedKeys.value.includes(key)) {
        return;
      }
      loadingKeys.value.push(key);
      const childrenNodes = await loadChildren(rawNode);
      loadingKeys.value.splice(loadingKeys.value.indexOf(key), 1);
      const nodeMap = mergedNodeMap.value;
      const currNode = nodeMap.get(key);
      if (childrenNodes == null ? void 0 : childrenNodes.length) {
        setLoadedNodes(key, childrenNodes);
        currNode.rawNode[childrenKey] = childrenNodes;
        const newLoadedKeys = [...loadedKeys.value, key];
        setLoadedKeys(newLoadedKeys);
        callEmit(props.onLoaded, newLoadedKeys, rawNode);
      } else {
        return;
      }
    }
    const index = expandedKeys.value.indexOf(key);
    const expanded = index >= 0;
    const tempKeys = [...expandedKeys.value];
    expanded ? tempKeys.splice(index, 1) : tempKeys.push(key);
    handleChange(expanded, rawNode, tempKeys);
  };
  const handleChange = (expanded, rawNode, newKeys) => {
    const { onExpand, onExpandedChange } = props;
    callEmit(onExpand, !expanded, rawNode);
    setExpandedKeys(newKeys);
    callChange(mergedNodeMap, newKeys, onExpandedChange);
  };
  const expandAll = () => {
    const expandAllKeys = [];
    const expendedAllNodes = [];
    mergedNodeMap.value.forEach((node) => {
      if (!node.isLeaf) {
        expandAllKeys.push(node.key);
        expendedAllNodes.push(node.rawNode);
      }
    });
    callEmit(props.onExpandedChange, expandAllKeys, expendedAllNodes);
    setExpandedKeys(expandAllKeys);
  };
  const collapseAll = () => {
    callEmit(props.onExpandedChange, [], []);
    setExpandedKeys([]);
  };
  if (searchedKeys.value.length) {
    setExpandWithSearch(searchedKeys.value);
  }
  return { expandIconRenderer: expandIconRenderer2, expandedKeys, setExpandedKeys, expandAll, collapseAll, handleExpand, loadingKeys };
}
function useSearchable(props, mergedNodeMap, mergedLabelKey) {
  const mergedSearchFn = useSearchFn(props, mergedLabelKey);
  const searchedKeys = computed(() => {
    const { searchValue } = props;
    if (!searchValue) {
      return NoopArray;
    }
    const searchFn = mergedSearchFn.value;
    const keys2 = [];
    mergedNodeMap.value.forEach((node) => {
      if (searchFn(node.rawNode, searchValue)) {
        keys2.push(node.key);
      }
    });
    return keys2;
  });
  return { searchedKeys };
}
function useSearchFn(props, mergedLabelKey) {
  return computed(() => {
    var _a;
    return (_a = props.searchFn) != null ? _a : getDefaultSearchFn(mergedLabelKey.value);
  });
}
function getDefaultSearchFn(labelKey) {
  return (data, searchValue) => {
    const label = data[labelKey];
    return label ? label.toLowerCase().includes(searchValue.toLowerCase()) : false;
  };
}
function useSelectable(props, mergedNodeMap) {
  const [selectedKeys, setSelectedKeys] = useControlledProp(props, "selectedKeys", () => []);
  const isMultiple = computed(() => props.selectable === "multiple");
  const activeKey = ref();
  watchEffect(() => {
    const currKeys = selectedKeys.value;
    const keySize = currKeys.length;
    activeKey.value = keySize > 0 ? currKeys[keySize - 1] : void 0;
  });
  const activeNode = computed(() => {
    const currKey = activeKey.value;
    return currKey !== void 0 ? mergedNodeMap.value.get(currKey) : void 0;
  });
  const handleSelect = (key) => {
    const nodeMap = mergedNodeMap.value;
    const currNode = nodeMap.get(key);
    if (!currNode) {
      return;
    }
    const index = selectedKeys.value.indexOf(key);
    const selected = index > -1;
    let tempKeys = [...selectedKeys.value];
    if (isMultiple.value) {
      selected ? tempKeys.splice(index, 1) : tempKeys.push(key);
    } else {
      tempKeys = selected ? [] : [key];
    }
    handleChange(selected, currNode.rawNode, tempKeys);
  };
  const handleChange = (selected, rawNode, newKeys) => {
    var _a;
    const { onSelect, onSelectedChange } = props;
    const realSelected = newKeys.includes((_a = rawNode.key) != null ? _a : "") ? true : !selected;
    callEmit(onSelect, realSelected, rawNode);
    setSelectedKeys(newKeys);
    callChange(mergedNodeMap, newKeys, onSelectedChange);
  };
  return { activeKey, activeNode, selectedKeys, handleSelect };
}
const treeToken = Symbol("treeToken");
const treeProps = {
  autoHeight: {
    type: Boolean,
    default: void 0
  },
  checkedKeys: Array,
  expandedKeys: Array,
  indeterminateKeys: Array,
  loadedKeys: Array,
  selectedKeys: Array,
  blocked: {
    type: Boolean,
    default: void 0
  },
  cascaderStrategy: { type: String, default: "off" },
  checkable: {
    type: Boolean,
    default: false
  },
  childrenKey: String,
  checkOnClick: {
    type: Boolean,
    default: false
  },
  customAdditional: { type: Function, default: void 0 },
  dataSource: {
    type: Array,
    default: () => []
  },
  disabled: Function,
  draggable: {
    type: Boolean,
    default: false
  },
  draggableIcon: { type: String, default: void 0 },
  droppable: Function,
  empty: { type: [String, Object], default: "simple" },
  expandIcon: {
    type: [String, Function, Array],
    default: void 0
  },
  getKey: { type: [String, Function], default: void 0 },
  height: Number,
  labelKey: String,
  leafLineIcon: String,
  loadChildren: Function,
  searchFn: Function,
  searchValue: String,
  selectable: {
    type: [Boolean, String],
    default: true
  },
  showLine: { type: Boolean, default: void 0 },
  virtual: { type: Boolean, default: false },
  virtualScrollMode: { type: String, default: void 0 },
  virtualItemHeight: { type: Number, default: 32 },
  "onUpdate:checkedKeys": [Function, Array],
  "onUpdate:expandedKeys": [Function, Array],
  "onUpdate:loadedKeys": [Function, Array],
  "onUpdate:selectedKeys": [Function, Array],
  onCheck: [Function, Array],
  onCheckedChange: [Function, Array],
  onDragstart: [Function, Array],
  onDragend: [Function, Array],
  onDragenter: [Function, Array],
  onDragleave: [Function, Array],
  onDragover: [Function, Array],
  onDrop: [Function, Array],
  onExpand: [Function, Array],
  onExpandedChange: [Function, Array],
  onLoaded: [Function, Array],
  onSelect: [Function, Array],
  onSelectedChange: [Function, Array],
  onFocus: [Function, Array],
  onBlur: [Function, Array],
  onKeydown: [Function, Array],
  onKeyup: [Function, Array],
  onNodeClick: [Function, Array],
  onNodeContextmenu: [Function, Array],
  onScroll: [Function, Array],
  onScrolledChange: [Function, Array],
  onScrolledBottom: [Function, Array]
};
const treeNodeProps = {
  node: {
    type: Object,
    required: true
  },
  isLeaf: {
    type: Boolean,
    required: true
  },
  isFirst: {
    type: Boolean,
    required: true
  },
  isLast: {
    type: Boolean,
    required: true
  },
  label: String,
  level: {
    type: Number,
    required: true
  },
  rawNode: {
    type: Object,
    required: true
  },
  expanded: {
    type: Boolean,
    required: true
  },
  children: Array,
  parentKey: [String, Number, Symbol],
  checkDisabled: {
    type: Boolean,
    default: void 0
  },
  dragDisabled: {
    type: Boolean,
    default: void 0
  },
  dropDisabled: {
    type: Boolean,
    default: void 0
  },
  selectDisabled: {
    type: Boolean,
    default: void 0
  }
};
const treeNodeCheckboxProps = {
  node: {
    type: Object,
    required: true
  },
  checkDisabled: {
    type: Boolean,
    default: void 0
  }
};
const treeNodeExpandProps = {
  expanded: {
    type: Boolean,
    required: true
  },
  hasTopLine: {
    type: Boolean,
    default: void 0
  },
  hasBottomLine: {
    type: Boolean,
    default: void 0
  },
  isLeaf: {
    type: Boolean,
    default: void 0
  },
  nodeKey: {
    type: [String, Number, Symbol],
    required: true
  },
  rawNode: {
    type: Object,
    required: true
  }
};
const treeNodeContentProps = {
  disabled: {
    type: Boolean,
    default: void 0
  },
  node: {
    type: Object,
    required: true
  },
  nodeKey: {
    type: [String, Number, Symbol],
    required: true
  },
  label: String,
  selected: {
    type: Boolean,
    default: void 0
  }
};
var Checkbox = /* @__PURE__ */ defineComponent({
  props: treeNodeCheckboxProps,
  setup(props) {
    const {
      mergedPrefixCls,
      isChecked: _isChecked,
      isIndeterminate: _isIndeterminate,
      handleCheck
    } = inject(treeToken);
    const isChecked = computed(() => {
      return _isChecked(props.node.key);
    });
    const isIndeterminate = computed(() => _isIndeterminate(props.node.key));
    const onChange = () => handleCheck(props.node);
    return () => createVNode(IxCheckbox, {
      "class": `${mergedPrefixCls.value}-node-checkbox`,
      "checked": isChecked.value,
      "disabled": props.checkDisabled,
      "indeterminate": isIndeterminate.value,
      "onChange": onChange
    }, null);
  }
});
var Content$1 = /* @__PURE__ */ defineComponent({
  props: treeNodeContentProps,
  setup(props, {
    slots
  }) {
    const {
      props: treeProps2,
      mergedPrefixCls,
      mergedCheckOnClick,
      handleSelect,
      handleCheck,
      searchedKeys
    } = inject(treeToken);
    const searched = computed(() => searchedKeys.value.includes(props.nodeKey));
    const onClick = (evt) => {
      if (!props.disabled) {
        handleSelect(props.nodeKey);
        mergedCheckOnClick.value && handleCheck(props.node);
      }
      callEmit(treeProps2.onNodeClick, evt, props.node.rawNode);
    };
    const onContextmenu = (evt) => {
      callEmit(treeProps2.onNodeContextmenu, evt, props.node.rawNode);
    };
    return () => {
      var _a, _b;
      const {
        nodeKey,
        label,
        node,
        selected
      } = props;
      const {
        rawNode
      } = node;
      const {
        prefix,
        suffix
      } = rawNode;
      const iconProps2 = {
        key: nodeKey,
        selected,
        node: rawNode
      };
      const prefixIcon = ((_a = slots.prefix) == null ? void 0 : _a.call(slots, iconProps2)) || prefix && createVNode(IxIcon, {
        "name": prefix
      }, null);
      const suffixIcon = ((_b = slots.suffix) == null ? void 0 : _b.call(slots, iconProps2)) || suffix && createVNode(IxIcon, {
        "name": suffix
      }, null);
      const prefixCls = `${mergedPrefixCls.value}-node-content`;
      return createVNode("span", {
        "class": prefixCls,
        "onClick": onClick,
        "onContextmenu": onContextmenu
      }, [prefixIcon && createVNode("span", {
        "class": `${prefixCls}-prefix`
      }, [prefixIcon]), createVNode("span", {
        "class": `${prefixCls}-label`
      }, [renderLabel(slots.label, label, rawNode, treeProps2.searchValue, searched.value, prefixCls)]), suffixIcon && createVNode("span", {
        "class": `${prefixCls}-suffix`
      }, [suffixIcon])]);
    };
  }
});
function renderLabel(labelSlot, label, node, searchValue, searched, prefixCls) {
  if (labelSlot) {
    return labelSlot({
      node,
      searchValue,
      searched
    });
  }
  if (searched && label && searchValue) {
    const startIndex = label.toUpperCase().indexOf(searchValue.toUpperCase());
    if (startIndex > -1) {
      const endIndex = startIndex + searchValue.length;
      const beforeLabel = label.substring(0, startIndex);
      const afterLabel = label.substring(endIndex);
      const highlightLabel = createVNode("span", {
        "class": `${prefixCls}-label-highlight`
      }, [label.substring(startIndex, endIndex)]);
      return [beforeLabel, highlightLabel, afterLabel];
    }
  }
  return label;
}
var Expand = /* @__PURE__ */ defineComponent({
  props: treeNodeExpandProps,
  setup(props, {
    slots
  }) {
    const {
      mergedPrefixCls,
      expandIconRenderer: expandIconRenderer2,
      loadingKeys,
      handleExpand
    } = inject(treeToken);
    const isLoading = computed(() => loadingKeys.value.includes(props.nodeKey));
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-node-expand`;
      return normalizeClass({
        [prefixCls]: true,
        [`${prefixCls}-noop`]: props.isLeaf
      });
    });
    const onClick = (evt) => {
      handleExpand(props.nodeKey, props.rawNode);
      evt.stopPropagation();
    };
    return () => {
      var _a, _b;
      const prefixCls = `${mergedPrefixCls.value}-node-expand`;
      let children;
      if (isLoading.value) {
        children = createVNode(IxIcon, {
          "name": "loading"
        }, null);
      } else if (!props.isLeaf) {
        const {
          expanded,
          nodeKey: key,
          rawNode: node
        } = props;
        children = (_b = (_a = slots.expandIcon) != null ? _a : expandIconRenderer2) == null ? void 0 : _b({
          key,
          expanded,
          node
        });
      }
      return createVNode("span", {
        "class": classes.value,
        "onClick": onClick
      }, [props.hasTopLine && createVNode("div", {
        "class": `${prefixCls}-top-line`
      }, null), children, props.hasBottomLine && createVNode("div", {
        "class": `${prefixCls}-bottom-line`
      }, null)]);
    };
  }
});
const Indent = ({
  level,
  noopIdentUnitArr,
  prefixCls
}) => {
  const children = [];
  for (let index = 0; index < level; index++) {
    children.push(createVNode("span", {
      "key": index,
      "class": noopIdentUnitArr.includes(index) ? `${prefixCls}-node-indent-noop-unit` : `${prefixCls}-node-indent-unit`
    }, null));
  }
  return createVNode("span", {
    "aria-hidden": true,
    "class": `${prefixCls}-node-indent`
  }, [children]);
};
var LeafLine = /* @__PURE__ */ defineComponent({
  setup(_, {
    slots
  }) {
    const {
      props,
      mergedPrefixCls
    } = inject(treeToken);
    return () => {
      const prefixCls = `${mergedPrefixCls.value}-node-leaf`;
      let children;
      if (slots.leafLineIcon) {
        children = slots.leafLineIcon();
      } else if (props.leafLineIcon) {
        children = createVNode(IxIcon, {
          "name": props.leafLineIcon
        }, null);
      } else {
        children = createVNode("span", {
          "class": `${prefixCls}-line`
        }, null);
      }
      return createVNode("span", {
        "class": prefixCls
      }, [children]);
    };
  }
});
var TreeNode = /* @__PURE__ */ defineComponent({
  props: treeNodeProps,
  setup(props, {
    slots
  }) {
    const {
      props: treeProps2,
      flattenedNodeMap,
      mergedPrefixCls,
      mergedShowLine,
      activeKey,
      selectedKeys,
      draggableIcon,
      dragKey,
      dropKey,
      dropParentKey,
      dropType,
      handleDragstart,
      handleDragend,
      handleDragenter,
      handleDragover,
      handleDragleave,
      handleDrop
    } = inject(treeToken);
    const nodeKey = computed(() => props.node.key);
    const isActive = computed(() => activeKey.value === nodeKey.value);
    const isLast = computed(() => mergedShowLine.value && props.isLast);
    const hasTopLine = computed(() => mergedShowLine.value && !props.isLeaf && (!props.isFirst || props.level !== 0));
    const hasBottomLine = computed(() => mergedShowLine.value && !props.isLeaf && !props.isLast);
    const selected = computed(() => selectedKeys.value.includes(nodeKey.value));
    const disabled = computed(() => props.selectDisabled || !treeProps2.selectable);
    const dragging = computed(() => dragKey.value === nodeKey.value);
    const dropping = computed(() => dropKey.value === nodeKey.value);
    const dropParent = computed(() => dropParentKey.value === nodeKey.value);
    const dropBefore = computed(() => dropping.value && dropType.value === "before");
    const dropInside = computed(() => dropping.value && dropType.value === "inside");
    const dropAfter = computed(() => dropping.value && dropType.value === "after");
    const classes = computed(() => {
      const prefixCls = `${mergedPrefixCls.value}-node`;
      return {
        [prefixCls]: true,
        [`${prefixCls}-active`]: isActive.value,
        [`${prefixCls}-last`]: isLast.value,
        [`${prefixCls}-disabled`]: disabled.value,
        [`${prefixCls}-selected`]: selected.value,
        [`${prefixCls}-expanded`]: props.expanded,
        [`${prefixCls}-dragging`]: dragging.value,
        [`${prefixCls}-dropping`]: dropping.value,
        [`${prefixCls}-drop-parent`]: dropParent.value,
        [`${prefixCls}-drop-before`]: dropBefore.value,
        [`${prefixCls}-drop-inside`]: dropInside.value,
        [`${prefixCls}-drop-after`]: dropAfter.value
      };
    });
    const onDragstart = (evt) => {
      var _a;
      evt.stopPropagation();
      handleDragstart(evt, props.node);
      (_a = evt.dataTransfer) == null ? void 0 : _a.setData("text/plain", "");
    };
    const onDragend = (evt) => {
      evt.stopPropagation();
      handleDragend(evt, props.node);
    };
    const onDragenter = (evt) => {
      evt.preventDefault();
      evt.stopPropagation();
      handleDragenter(evt, props.node);
    };
    const onDragover = (evt) => {
      evt.preventDefault();
      evt.stopPropagation();
      handleDragover(evt, props.node);
    };
    const onDragleave = (evt) => {
      evt.stopPropagation();
      handleDragleave(evt, props.node);
    };
    const onDrop = (evt) => {
      evt.stopPropagation();
      handleDrop(evt, props.node);
    };
    return () => {
      var _a, _b;
      const nodeMap = flattenedNodeMap.value;
      const {
        isLeaf,
        label,
        level,
        rawNode,
        expanded,
        checkDisabled,
        dragDisabled,
        dropDisabled,
        node
      } = props;
      const {
        checkable,
        draggable
      } = treeProps2;
      const mergedDraggable = draggable && !dragDisabled;
      const draggableIconNode = (_b = (_a = slots.draggableIcon) == null ? void 0 : _a.call(slots)) != null ? _b : createVNode(IxIcon, {
        "name": draggableIcon.value
      }, null);
      const currNode = nodeMap.get(nodeKey.value);
      const noopIdentUnitArr = [];
      if (mergedShowLine.value) {
        getParentKeys(nodeMap, currNode).reverse().forEach((parentKey, index) => {
          var _a2;
          if ((_a2 = nodeMap.get(parentKey)) == null ? void 0 : _a2.isLast) {
            noopIdentUnitArr.push(index);
          }
        });
      }
      const customAdditional = treeProps2.customAdditional ? treeProps2.customAdditional({
        node: rawNode,
        level
      }) : void 0;
      return createVNode("div", mergeProps({
        "class": classes.value,
        "aria-grabbed": dragging.value || void 0,
        "aria-label": label,
        "aria-selected": selected.value,
        "draggable": mergedDraggable || void 0,
        "title": label,
        "onDragstart": mergedDraggable ? onDragstart : void 0,
        "onDragend": mergedDraggable ? onDragend : void 0,
        "onDragenter": mergedDraggable ? onDragenter : void 0,
        "onDragover": mergedDraggable ? onDragover : void 0,
        "onDragleave": mergedDraggable ? onDragleave : void 0,
        "onDrop": mergedDraggable && !dropDisabled ? onDrop : void 0
      }, customAdditional), [createVNode(Indent, {
        "level": level,
        "noopIdentUnitArr": noopIdentUnitArr,
        "prefixCls": mergedPrefixCls.value
      }, null), mergedDraggable ? createVNode("span", {
        "class": `${mergedPrefixCls.value}-node-draggable-icon`
      }, [draggableIconNode]) : draggable && createVNode("span", {
        "class": `${mergedPrefixCls.value}-node-draggable-icon-noop`
      }, null), isLeaf && mergedShowLine.value ? createVNode(LeafLine, null, slots) : createVNode(Expand, {
        "expanded": expanded,
        "hasTopLine": hasTopLine.value,
        "hasBottomLine": hasBottomLine.value,
        "isLeaf": isLeaf,
        "nodeKey": nodeKey.value,
        "rawNode": rawNode
      }, slots), checkable && createVNode(Checkbox, {
        "checkDisabled": checkDisabled,
        "node": node
      }, null), createVNode(Content$1, {
        "disabled": disabled.value,
        "node": node,
        "nodeKey": nodeKey.value,
        "label": label,
        "selected": selected.value
      }, slots)]);
    };
  }
});
function getDefaultThemeTokens$2(tokens2) {
  const {
    heightMd,
    heightSm,
    marginSizeXs,
    colorPrimaryHover,
    colorPrimaryText,
    colorContainerBgHover,
    colorContainerBg,
    colorIconInfo
  } = tokens2;
  const nodeIconWidth = heightSm;
  return {
    dropLineWidth: 2,
    dropLineColor: colorPrimaryHover,
    bgColor: colorContainerBg,
    nodeBgColorHover: colorContainerBgHover,
    nodeBgColorSelected: colorContainerBg,
    nodeColorSelected: colorPrimaryText,
    nodePaddingHorizontal: marginSizeXs,
    nodePaddingVertical: `0px`,
    nodeContentHeight: heightMd,
    nodeContentLabelHighlightColor: colorPrimaryText,
    nodeContentPrefixMarginRight: marginSizeXs,
    nodeCheckboxMarginRight: marginSizeXs,
    nodeIconWidth,
    expandIconColor: colorIconInfo
  };
}
const getThemeTokens$2 = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$2(tokens2) : getDefaultThemeTokens$2(tokens2);
};
const hiddenStyle = {
  width: 0,
  height: 0,
  display: "flex",
  overflow: "hidden",
  opacity: 0,
  border: 0,
  padding: 0,
  margin: 0
};
var Tree = /* @__PURE__ */ defineComponent({
  name: "IxTree",
  props: treeProps,
  setup(props, {
    attrs,
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("tree");
    registerToken(getThemeTokens$2);
    const mergedPrefixCls = computed(() => `${common.prefixCls}-tree`);
    const config = useGlobalConfig("tree");
    const autoHeight = computed(() => {
      var _a;
      return (_a = props.autoHeight) != null ? _a : config.autoHeight;
    });
    const mergedChildrenKey = computed(() => {
      var _a;
      return (_a = props.childrenKey) != null ? _a : config.childrenKey;
    });
    const mergedGetKey = useGetKey(props, config);
    const mergedLabelKey = computed(() => {
      var _a;
      return (_a = props.labelKey) != null ? _a : config.labelKey;
    });
    const mergedShowLine = computed(() => {
      var _a;
      return (_a = props.showLine) != null ? _a : config.showLine;
    });
    const mergedBlocked = computed(() => {
      var _a;
      return (_a = props.blocked) != null ? _a : config.blocked;
    });
    const mergedCheckOnClick = computed(() => props.checkable && props.checkOnClick);
    const {
      mergedNodes,
      mergedNodeMap,
      parentKeyMap,
      depthMap,
      setLoadedNodes
    } = useMergeNodes$1(props, mergedChildrenKey, mergedGetKey, mergedLabelKey);
    const {
      searchedKeys
    } = useSearchable(props, mergedNodeMap, mergedLabelKey);
    const expandableContext = useExpandable(props, config, mergedChildrenKey, mergedNodeMap, searchedKeys, setLoadedNodes);
    const {
      flattedNodes,
      flattenedNodeMap
    } = useFlattedNodes(mergedNodes, expandableContext, props, searchedKeys);
    const checkableContext = useCheckable(props, mergedNodes, mergedNodeMap, parentKeyMap, depthMap);
    const dragDropContext = useDragDrop(props, config, expandableContext);
    const selectableContext = useSelectable(props, mergedNodeMap);
    const {
      handleCheck
    } = checkableContext;
    provide(treeToken, {
      props,
      config,
      flattedNodes,
      flattenedNodeMap,
      mergedPrefixCls,
      mergedNodeMap,
      mergedGetKey,
      mergedShowLine,
      mergedCheckOnClick,
      searchedKeys,
      ...checkableContext,
      ...expandableContext,
      ...dragDropContext,
      ...selectableContext
    });
    const inputRef = ref();
    const virtualScrollRef = ref();
    const {
      activeKey
    } = selectableContext;
    const {
      focused,
      handleFocus,
      handleBlur,
      handleKeydown,
      handleKeyup
    } = useEvents(props, mergedNodeMap, flattedNodes, expandableContext, selectableContext);
    const classes = computed(() => {
      const prefixCls = mergedPrefixCls.value;
      return {
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [prefixCls]: true,
        [`${prefixCls}-active`]: !isNil(activeKey.value),
        [`${prefixCls}-blocked`]: mergedBlocked.value,
        [`${prefixCls}-virtual`]: props.virtual,
        [`${prefixCls}-auto-height`]: autoHeight.value,
        [`${prefixCls}-focused`]: focused.value,
        [`${prefixCls}-show-line`]: mergedShowLine.value,
        [`${prefixCls}-empty`]: !flattedNodes.value.length
      };
    });
    const accessibilityPath = computed(() => {
      var _a, _b;
      const _activeKey = activeKey.value;
      if (isNil(_activeKey)) {
        return "";
      }
      const nodeMap = mergedNodeMap.value;
      let path = String(_activeKey);
      let parentKey = (_a = nodeMap.get(_activeKey)) == null ? void 0 : _a.parentKey;
      while (parentKey) {
        path = `${String(parentKey)} > ${path}`;
        parentKey = (_b = nodeMap.get(parentKey)) == null ? void 0 : _b.parentKey;
      }
      return path;
    });
    const focus = (options) => {
      var _a;
      (_a = inputRef == null ? void 0 : inputRef.value) == null ? void 0 : _a.focus(options);
    };
    const blur = () => {
      var _a;
      (_a = inputRef == null ? void 0 : inputRef.value) == null ? void 0 : _a.blur();
    };
    const scrollTo = (option) => {
      var _a;
      (_a = virtualScrollRef.value) == null ? void 0 : _a.scrollTo(option);
    };
    const getNode = (key) => {
      var _a;
      return (_a = mergedNodeMap.value.get(key)) == null ? void 0 : _a.rawNode;
    };
    const _getFlattedNodes = () => {
      return flattedNodes.value;
    };
    const _handleCheck = (key) => {
      const node = mergedNodeMap.value.get(key);
      if (!node) {
        return;
      }
      handleCheck(node);
    };
    expose({
      focus,
      blur,
      expandAll: expandableContext.expandAll,
      collapseAll: expandableContext.collapseAll,
      scrollTo,
      getNode,
      _getFlattedNodes,
      _handleCheck
    });
    const handleScrolledChange = (startIndex, endIndex, visibleNodes) => {
      callEmit(props.onScrolledChange, startIndex, endIndex, visibleNodes.map((item) => item.rawNode));
    };
    return () => {
      var _a;
      const nodes = flattedNodes.value;
      let children;
      if (nodes.length > 0) {
        const rowRender = ({
          item
        }) => createVNode(TreeNode, mergeProps({
          "node": item
        }, item), slots);
        const {
          height,
          virtual,
          virtualItemHeight: virtualItemHeight2,
          virtualScrollMode,
          onScroll,
          onScrolledBottom
        } = props;
        children = virtual ? createVNode(CdkVirtualScroll, {
          "ref": virtualScrollRef,
          "class": `${mergedPrefixCls.value}-content`,
          "dataSource": nodes,
          "getKey": "key",
          "height": autoHeight.value ? "100%" : height,
          "rowHeight": virtualItemHeight2,
          "rowRender": rowRender,
          "virtual": true,
          "scrollMode": virtualScrollMode,
          "onScroll": onScroll,
          "onScrolledBottom": onScrolledBottom,
          "onScrolledChange": handleScrolledChange
        }, null) : createVNode("div", {
          "class": `${mergedPrefixCls.value}-content`,
          "style": normalizeStyle(autoHeight.value ? void 0 : {
            maxHeight: convertCssPixel(height)
          })
        }, [createVNode("div", {
          "class": `${mergedPrefixCls.value}-content-inner`
        }, [nodes.map((item) => createVNode(TreeNode, mergeProps({
          "node": item
        }, item), slots))])]);
      } else {
        children = createVNode(\u0275Empty, {
          "empty": props.empty
        }, slots);
      }
      return createVNode("div", {
        "class": classes.value,
        "role": "tree"
      }, [focused.value && createVNode("span", {
        "style": hiddenStyle,
        "aria-live": "assertive"
      }, [accessibilityPath.value]), createVNode("input", {
        "ref": inputRef,
        "style": hiddenStyle,
        "tabindex": (_a = attrs.tabIndex) != null ? _a : 0,
        "onFocus": handleFocus,
        "onBlur": handleBlur,
        "onKeydown": handleKeydown,
        "onKeyup": handleKeyup,
        "value": "",
        "aria-label": "for screen reader"
      }, null), children]);
    };
  }
});
const IxTree = Tree;
function useMergeNodes(props, mergedChildrenKey, mergedGetKey, mergedLabelKey) {
  const mergedNodeMap = computed(() => {
    const map = /* @__PURE__ */ new Map();
    const nodes = convertMergeNodes(
      props,
      props.dataSource,
      mergedChildrenKey.value,
      mergedGetKey.value,
      mergedLabelKey.value
    );
    convertMergedNodeMap(nodes, map);
    return map;
  });
  return { mergedNodeMap };
}
function convertMergeNodes(props, nodes, childrenKey, getKey, labelKey, parentKey) {
  const { treeDisabled, loadChildren } = props;
  return nodes.map(
    (option) => convertMergeNode(option, childrenKey, getKey, labelKey, treeDisabled, !!loadChildren, parentKey)
  );
}
function convertMergeNode(rawData, childrenKey, getKey, labelKey, disabled, hasLoad, parentKey) {
  var _a;
  const key = getKey(rawData);
  const { check, drag, drop, select } = convertDisabled(rawData, disabled);
  const subNodes = rawData[childrenKey];
  const label = rawData[labelKey];
  const children = subNodes == null ? void 0 : subNodes.map(
    (subNode) => convertMergeNode(subNode, childrenKey, getKey, labelKey, disabled, hasLoad, key)
  );
  return {
    children,
    label,
    key,
    isLeaf: (_a = rawData.isLeaf) != null ? _a : !((children == null ? void 0 : children.length) || hasLoad),
    parentKey,
    rawData,
    checkDisabled: check,
    dragDisabled: drag,
    dropDisabled: drop,
    selectDisabled: select
  };
}
function convertDisabled(option, disabled) {
  const optionDisabled = option.disabled;
  if (isBoolean(optionDisabled)) {
    return { check: optionDisabled, drag: optionDisabled, drop: optionDisabled, select: optionDisabled };
  } else {
    let { drag, drop, select } = optionDisabled != null ? optionDisabled : {};
    let check;
    if (disabled) {
      const treeDisabled = disabled(option);
      if (isBoolean(treeDisabled)) {
        check != null ? check : check = treeDisabled;
        drag != null ? drag : drag = treeDisabled;
        drop != null ? drop : drop = treeDisabled;
        select != null ? select : select = treeDisabled;
      } else {
        drag != null ? drag : drag = treeDisabled.drag;
        drop != null ? drop : drop = treeDisabled.drop;
        select != null ? select : select = treeDisabled.select;
        check != null ? check : check = treeDisabled.select;
      }
    }
    return { check, drag, drop, select };
  }
}
function convertMergedNodeMap(MergedNodes, map) {
  MergedNodes.forEach((item) => {
    const { key, children } = item;
    map.set(key, item);
    if (children) {
      convertMergedNodeMap(children, map);
    }
  });
}
function useSelectedState(props, accessor, treeRef, mergedNodeMap) {
  const selectedValue = computed(() => convertArray(accessor.value));
  const selectedNodes = computed(() => {
    const nodesMap = mergedNodeMap.value;
    return selectedValue.value.map((value) => nodesMap.get(value)).filter(Boolean);
  });
  const setValue = (value) => {
    const currValue = props.multiple ? value : value[0];
    const oldValue = toRaw(accessor.value);
    if (currValue !== oldValue) {
      accessor.setValue(currValue);
      callEmit(props.onChange, currValue, oldValue);
    }
  };
  const changeSelected = (value) => {
    if (!props.multiple && !value.length) {
      return;
    }
    setValue(value);
  };
  const handleRemove = (key) => {
    var _a;
    (_a = treeRef.value) == null ? void 0 : _a._handleCheck(key);
  };
  const handleClear = (evt) => {
    setValue([]);
    callEmit(props.onClear, evt);
  };
  return {
    selectedValue,
    selectedNodes,
    changeSelected,
    handleRemove,
    handleClear
  };
}
const treeSelectToken = Symbol("treeSelectToken");
var Content = /* @__PURE__ */ defineComponent({
  setup() {
    const {
      config,
      props,
      slots: treeSelectSlots,
      locale: locale2,
      mergedPrefixCls,
      mergedChildrenKey,
      mergedGetKey,
      mergedLabelKey,
      mergedNodeMap,
      inputValue,
      setInputValue,
      treeRef,
      expandedKeys,
      setExpandedKeys,
      selectedValue,
      changeSelected,
      handleNodeClick
    } = inject(treeSelectToken);
    const [loadedKeys, setLoadedKeys] = useControlledProp(props, "loadedKeys", () => []);
    const expandAllBtnStatus = ref(false);
    const mergedCheckable = computed(() => props.multiple && props.checkable);
    const mergedCascaderStrategy = computed(() => {
      if (!mergedCheckable.value) {
        return "off";
      }
      return props.cascaderStrategy;
    });
    const handleScrolledChange = (startIndex, endIndex, visibleNodes) => {
      const {
        onScrolledChange
      } = props;
      callEmit(onScrolledChange, startIndex, endIndex, visibleNodes.map((item) => item.rawData));
    };
    const handleClick = (evt) => {
      evt.stopPropagation();
    };
    const handleCheck = (checked, node) => {
      const {
        onCheck
      } = props;
      callEmit(onCheck, checked, node);
      handleNodeClick();
    };
    const handleSelect = (selected, node) => {
      var _a;
      const {
        onSelect
      } = props;
      if (!props.multiple && ((_a = selectedValue.value) == null ? void 0 : _a[0]) !== node.key) {
        callEmit(onSelect, selected, node);
      }
      handleNodeClick();
    };
    const handleExpand = (expanded, node) => {
      const {
        onExpand
      } = props;
      callEmit(onExpand, expanded, node);
    };
    const handleExpandedChange = (expendedKeys, expendedNodes) => {
      const {
        onExpandedChange
      } = props;
      callEmit(onExpandedChange, expendedKeys, expendedNodes);
      setExpandedKeys(expendedKeys);
    };
    const handleExpandAll = (evt) => {
      var _a, _b;
      const currStatus = expandAllBtnStatus.value;
      currStatus ? (_a = treeRef.value) == null ? void 0 : _a.expandAll() : (_b = treeRef.value) == null ? void 0 : _b.collapseAll();
      expandAllBtnStatus.value = !currStatus;
      evt.stopPropagation();
    };
    const onLoaded = async (loadedKeys2, node) => {
      const childrenKey = mergedChildrenKey.value;
      const labelKey = mergedLabelKey.value;
      const getKey = mergedGetKey.value;
      const childrenNodes = node[childrenKey];
      const key = getKey(node);
      const nodeMap = mergedNodeMap.value;
      const currNode = nodeMap.get(key);
      if (childrenNodes.length && currNode) {
        const mergedChildren = convertMergeNodes(props, childrenNodes, childrenKey, getKey, labelKey, key);
        convertMergedNodeMap(mergedChildren, nodeMap);
        currNode.rawData[childrenKey] = childrenNodes;
        currNode.children = mergedChildren;
        setLoadedKeys(loadedKeys2);
        callEmit(props.onLoaded, loadedKeys2, node);
      }
    };
    const mergedClearIcon = computed(() => {
      var _a;
      return (_a = props.clearIcon) != null ? _a : config.clearIcon;
    });
    const handleInput = (evt) => {
      const {
        value
      } = evt.target;
      setInputValue(value);
      props.searchable && callEmit(props.onSearch, value);
    };
    const handleClear = () => {
      setInputValue("");
      props.searchable && callEmit(props.onSearch, "");
    };
    return () => {
      const {
        customAdditional,
        dataSource,
        draggable,
        draggableIcon,
        empty,
        expandIcon,
        multiple,
        leafLineIcon,
        virtual,
        virtualItemHeight: virtualItemHeight2,
        searchable,
        showLine,
        searchPlaceholder,
        onDragstart,
        onDragend,
        onDragenter,
        onDragleave,
        onDragover,
        onDrop,
        onNodeClick,
        onNodeContextmenu,
        onScroll,
        onScrolledBottom,
        droppable,
        treeDisabled,
        loadChildren,
        searchFn,
        overlayRender,
        overlayHeight
      } = props;
      const prefixCls = mergedPrefixCls.value;
      const treeSlots = {
        label: treeSelectSlots.treeLabel,
        prefix: treeSelectSlots.treePrefix,
        suffix: treeSelectSlots.treeSuffix,
        leafLineIcon: treeSelectSlots.leafLineIcon,
        empty: treeSelectSlots.empty,
        expandIcon: treeSelectSlots.expandIcon,
        draggableIcon: treeSelectSlots.draggableIcon
      };
      const children = [createVNode(IxTree, {
        "ref": treeRef,
        "blocked": true,
        "checkOnClick": true,
        "checkedKeys": selectedValue.value,
        "customAdditional": customAdditional,
        "expandedKeys": expandedKeys.value,
        "loadedKeys": loadedKeys.value,
        "labelKey": mergedLabelKey.value,
        "checkable": mergedCheckable.value,
        "cascaderStrategy": mergedCascaderStrategy.value,
        "childrenKey": mergedChildrenKey.value,
        "dataSource": dataSource,
        "draggable": draggable,
        "draggableIcon": draggableIcon,
        "droppable": droppable,
        "disabled": treeDisabled,
        "empty": empty,
        "expandIcon": expandIcon,
        "getKey": mergedGetKey.value,
        "height": overlayHeight,
        "loadChildren": loadChildren,
        "leafLineIcon": leafLineIcon,
        "virtual": virtual,
        "virtualItemHeight": virtualItemHeight2,
        "selectable": multiple ? "multiple" : true,
        "selectedKeys": selectedValue.value,
        "searchValue": searchFn !== false ? inputValue.value : void 0,
        "searchFn": isFunction(searchFn) ? searchFn : void 0,
        "showLine": showLine,
        "onClick": handleClick,
        "onCheck": handleCheck,
        "onDragstart": onDragstart,
        "onDragend": onDragend,
        "onDragenter": onDragenter,
        "onDragleave": onDragleave,
        "onDragover": onDragover,
        "onDrop": onDrop,
        "onNodeClick": onNodeClick,
        "onNodeContextmenu": onNodeContextmenu,
        "onExpand": handleExpand,
        "onSelect": handleSelect,
        "onLoaded": onLoaded,
        "onCheckedChange": changeSelected,
        "onSelectedChange": !mergedCheckable.value ? changeSelected : NoopFunction,
        "onExpandedChange": handleExpandedChange,
        "onScroll": onScroll,
        "onScrolledBottom": onScrolledBottom,
        "onScrolledChange": handleScrolledChange
      }, treeSlots)];
      if (searchable === "overlay") {
        const value = inputValue.value;
        children.unshift(createVNode("div", {
          "class": `${prefixCls}-overlay-search-wrapper`
        }, [createVNode(IxButton, {
          "size": "xs",
          "shape": "square",
          "title": expandAllBtnStatus.value ? locale2.treeSelect.expandAll : locale2.treeSelect.collapseAll,
          "icon": expandAllBtnStatus.value ? "expand-all" : "collapse-all",
          "onClick": handleExpandAll
        }, null), createVNode(\u0275Input, {
          "clearable": true,
          "clearIcon": mergedClearIcon.value,
          "clearVisible": !!value,
          "size": "sm",
          "suffix": "search",
          "value": value,
          "placeholder": searchPlaceholder,
          "onClear": handleClear,
          "onInput": handleInput
        }, null)]));
      }
      return createVNode("div", {
        "tabindex": -1
      }, [overlayRender ? overlayRender(children) : children]);
    };
  }
});
const treeSelectProps = {
  control: {
    type: [String, Number, Object, Array],
    default: void 0
  },
  value: { type: null, default: void 0 },
  open: { type: Boolean, default: void 0 },
  expandedKeys: { type: Array, default: void 0 },
  loadedKeys: { type: Array, default: void 0 },
  autocomplete: { type: String, default: "off" },
  autofocus: { type: Boolean, default: false },
  borderless: { type: Boolean, default: void 0 },
  childrenKey: { type: String, default: void 0 },
  cascaderStrategy: { type: String, default: "off" },
  checkable: { type: Boolean, default: false },
  clearable: { type: Boolean, default: false },
  clearIcon: { type: String, default: void 0 },
  customAdditional: { type: Function, default: void 0 },
  dataSource: { type: Array, default: () => [] },
  disabled: { type: Boolean, default: false },
  draggable: { type: Boolean, default: false },
  draggableIcon: { type: String, default: void 0 },
  droppable: { type: Function, default: void 0 },
  empty: { type: [String, Object], default: "simple" },
  expandIcon: {
    type: [String, Function, Array],
    default: void 0
  },
  getKey: { type: [String, Function], default: void 0 },
  labelKey: { type: String, default: void 0 },
  leafLineIcon: { type: String, default: void 0 },
  loadChildren: {
    type: Function,
    default: void 0
  },
  maxLabel: { type: [Number, String], default: Number.MAX_SAFE_INTEGER },
  multiple: { type: Boolean, default: false },
  offset: Array,
  overlayClassName: { type: String, default: void 0 },
  overlayContainer: {
    type: [String, HTMLElement, Function],
    default: void 0
  },
  overlayTabindex: { type: Number, default: void 0 },
  overlayMatchWidth: { type: [Boolean, String], default: void 0 },
  overlayRender: { type: Function, default: void 0 },
  placeholder: { type: String, default: void 0 },
  readonly: { type: Boolean, default: false },
  searchable: { type: [Boolean, String], default: false },
  searchFn: {
    type: [Boolean, Function],
    default: true
  },
  searchPlaceholder: { type: String, default: void 0 },
  size: { type: String, default: void 0 },
  spin: { type: [Boolean, Object], default: void 0 },
  showLine: { type: Boolean, default: void 0 },
  status: String,
  suffix: { type: String, default: void 0 },
  treeDisabled: {
    type: Function,
    default: void 0
  },
  virtual: { type: Boolean, default: false },
  virtualItemHeight: { type: Number, default: 32 },
  "onUpdate:value": [Function, Array],
  "onUpdate:open": [Function, Array],
  "onUpdate:expandedKeys": [Function, Array],
  "onUpdate:loadedKeys": [Function, Array],
  onCheck: [Function, Array],
  onChange: [Function, Array],
  onClear: [Function, Array],
  onDragstart: [Function, Array],
  onDragend: [Function, Array],
  onDragenter: [Function, Array],
  onDragleave: [Function, Array],
  onDragover: [Function, Array],
  onDrop: [Function, Array],
  onFocus: [Function, Array],
  onBlur: [Function, Array],
  onExpand: [Function, Array],
  onExpandedChange: [Function, Array],
  onLoaded: [Function, Array],
  onNodeClick: [Function, Array],
  onNodeContextmenu: [Function, Array],
  onSearch: [Function, Array],
  onSelect: [Function, Array],
  onScroll: [Function, Array],
  onScrolledChange: [Function, Array],
  onScrolledBottom: [Function, Array],
  overlayHeight: { type: Number, default: 256 }
};
function getDefaultThemeTokens$1(tokens2) {
  const { fontSizeSm, heightMd, marginSizeSm, paddingSizeXs, paddingSizeSm, paddingSizeMd } = tokens2;
  return {
    optionFontSize: fontSizeSm,
    optionHeight: heightMd,
    optionPadding: `${paddingSizeSm}px ${paddingSizeMd}px`,
    optionMarginLeft: marginSizeSm,
    optionContainerPadding: `${paddingSizeXs}px 0`,
    optionContainerTreeNodePadding: `0 0 0 ${paddingSizeMd}px`,
    overlaySearchWrapperPadding: `${paddingSizeXs}px ${paddingSizeMd}px ${paddingSizeSm}px`
  };
}
const getThemeTokens$1 = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens$1(tokens2) : getDefaultThemeTokens$1(tokens2);
};
var TreeSelect = /* @__PURE__ */ defineComponent({
  name: "IxTreeSelect",
  inheritAttrs: false,
  props: treeSelectProps,
  setup(props, {
    attrs,
    expose,
    slots
  }) {
    const common = useGlobalConfig("common");
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("treeSelect");
    registerToken(getThemeTokens$1);
    const locale2 = useGlobalConfig("locale");
    const config = useGlobalConfig("treeSelect");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-tree-select`);
    const mergedChildrenKey = computed(() => {
      var _a;
      return (_a = props.childrenKey) != null ? _a : config.childrenKey;
    });
    const mergedGetKey = useGetKey(props, config);
    const mergedLabelKey = computed(() => {
      var _a;
      return (_a = props.labelKey) != null ? _a : config.labelKey;
    });
    const triggerRef = ref();
    const treeRef = ref();
    const [inputValue, setInputValue] = useState("");
    const focus = () => {
      var _a;
      return (_a = triggerRef.value) == null ? void 0 : _a.focus();
    };
    const blur = () => {
      var _a;
      return (_a = triggerRef.value) == null ? void 0 : _a.blur();
    };
    const clearInput = () => {
      var _a;
      props.searchable === "overlay" ? setInputValue("") : (_a = triggerRef.value) == null ? void 0 : _a.clearInput();
    };
    const [expandedKeys, setExpandedKeys] = useControlledProp(props, "expandedKeys", () => []);
    const {
      accessor,
      control
    } = useAccessorAndControl();
    useFormItemRegister(control);
    const mergedSize = useFormSize(props, config);
    const mergedStatus = useFormStatus(props, control);
    const {
      mergedNodeMap
    } = useMergeNodes(props, mergedChildrenKey, mergedGetKey, mergedLabelKey);
    const {
      selectedValue,
      selectedNodes,
      changeSelected,
      handleRemove,
      handleClear
    } = useSelectedState(props, accessor, treeRef, mergedNodeMap);
    const [overlayOpened, setOverlayOpened] = useControlledProp(props, "open", false);
    const scrollTo = (options) => {
      var _a;
      (_a = treeRef.value) == null ? void 0 : _a.scrollTo(options);
    };
    expose({
      focus,
      blur,
      collapseAll: () => {
        var _a;
        return (_a = treeRef.value) == null ? void 0 : _a.collapseAll();
      },
      expandAll: () => {
        var _a;
        return (_a = treeRef.value) == null ? void 0 : _a.expandAll();
      },
      scrollTo,
      getNode: (key) => {
        var _a;
        return treeRef.value ? treeRef.value.getNode(key) : (_a = mergedNodeMap.value.get(key)) == null ? void 0 : _a.rawData;
      }
    });
    watch(overlayOpened, (opened) => {
      opened && focus();
      clearInput();
    });
    const handleNodeClick = () => {
      if (!props.multiple) {
        setOverlayOpened(false);
      }
    };
    const handleFocus = (evt) => {
      callEmit(props.onFocus, evt);
    };
    const handleBlur = (evt) => {
      accessor.markAsBlurred();
      callEmit(props.onBlur, evt);
    };
    const handleItemRemove = (key) => {
      focus();
      handleRemove(key);
    };
    provide(treeSelectToken, {
      props,
      slots,
      config,
      locale: locale2,
      mergedPrefixCls,
      mergedChildrenKey,
      mergedGetKey,
      mergedLabelKey,
      expandedKeys,
      mergedNodeMap,
      inputValue,
      setInputValue,
      treeRef,
      accessor,
      setExpandedKeys,
      overlayOpened,
      setOverlayOpened,
      handleNodeClick,
      selectedValue,
      changeSelected
    });
    const overlayClasses = computed(() => {
      const {
        overlayClassName,
        multiple
      } = props;
      const prefixCls = mergedPrefixCls.value;
      return normalizeClass({
        [globalHashId.value]: !!globalHashId.value,
        [hashId.value]: !!hashId.value,
        [`${prefixCls}-overlay`]: true,
        [`${prefixCls}-overlay-multiple`]: multiple,
        [overlayClassName || ""]: !!overlayClassName
      });
    });
    const renderTrigger2 = ({
      focused,
      disabled,
      clearable,
      clearIcon,
      opened
    }) => [createVNode(IxSelector, mergeProps({
      "ref": triggerRef,
      "class": mergedPrefixCls.value,
      "allowInput": props.searchable === true ? "searchable" : false,
      "autocomplete": props.autocomplete,
      "autofocus": props.autofocus,
      "borderless": props.borderless,
      "clearable": clearable,
      "clearIcon": clearIcon,
      "dataSource": selectedNodes.value,
      "disabled": disabled,
      "focused": focused,
      "maxLabel": props.maxLabel,
      "multiple": props.multiple,
      "opened": opened,
      "placeholder": props.placeholder,
      "readonly": props.readonly,
      "size": mergedSize.value,
      "status": mergedStatus.value,
      "suffix": props.suffix,
      "onClear": handleClear,
      "onInputValueChange": setInputValue,
      "onItemRemove": handleItemRemove
    }, attrs), slots)];
    const renderLoading2 = (children) => {
      const {
        spin
      } = props;
      const spinProps2 = isBoolean(spin) ? {
        spinning: spin
      } : spin;
      return spinProps2 ? createVNode(IxSpin, spinProps2, {
        default: () => [children]
      }) : children;
    };
    const renderContent2 = () => renderLoading2(createVNode(Content, null, null));
    return () => {
      var _a, _b, _c, _d;
      const triggerProps2 = {
        autofocus: props.autofocus,
        clearable: props.clearable,
        clearIcon: props.clearIcon,
        disabled: accessor.disabled || props.readonly,
        overlayLazy: false,
        readonly: props.readonly,
        value: selectedValue.value,
        open: overlayOpened.value,
        offset: (_a = props.offset) != null ? _a : config.offset,
        overlayClassName: overlayClasses.value,
        overlayContainer: (_b = props.overlayContainer) != null ? _b : config.overlayContainer,
        overlayContainerFallback: `.${mergedPrefixCls.value}-overlay-container`,
        overlayTabindex: (_c = props.overlayTabindex) != null ? _c : config.overlayTabindex,
        overlayMatchWidth: (_d = props.overlayMatchWidth) != null ? _d : config.overlayMatchWidth,
        "onUpdate:open": setOverlayOpened,
        onFocus: handleFocus,
        onBlur: handleBlur
      };
      return createVNode(IxControlTrigger, triggerProps2, {
        trigger: renderTrigger2,
        overlay: renderContent2
      });
    };
  }
});
const IxTreeSelect = TreeSelect;
function createUploadFile(file, options = {}) {
  const key = uniqueId();
  return {
    key,
    name: file.name,
    raw: file,
    percent: 0,
    ...options
  };
}
function getTargetFile(file, files) {
  const matchKey = file.key !== void 0 ? "key" : "name";
  return files.find((item) => item[matchKey] === file[matchKey]);
}
function getTargetFileIndex(file, files) {
  const matchKey = file.key !== void 0 ? "key" : "name";
  return files.findIndex((item) => item[matchKey] === file[matchKey]);
}
function isImage(file) {
  return !!file.type && file.type.startsWith("image/");
}
function filterFilesByAccept(filesSelected, accept) {
  if (!accept || accept.length === 0) {
    return [filesSelected, []];
  }
  const isMatch = (file, type) => {
    const ext = `.${file.name.split(".").pop()}`.toLowerCase();
    const baseType = file.type.replace(/\/.*$/, "").toLowerCase();
    const _type = type.toLowerCase();
    if (_type.startsWith(".")) {
      return ext === _type;
    }
    if (/\/\*$/.test(_type)) {
      return baseType === _type.replace(/\/\*$/, "");
    }
    if (/^[^/]+\/[^/]+$/.test(_type)) {
      return file.type.toLowerCase() === _type;
    }
    return false;
  };
  const accepted = [];
  const filtered = [];
  filesSelected.forEach((file) => {
    if (accept.some((type) => isMatch(file, type))) {
      accepted.push(file);
    } else {
      filtered.push(file);
    }
  });
  return [accepted, filtered];
}
function filterFilesByMaxCount(filesSelected, curFilesCount, maxCount) {
  if (!maxCount) {
    return [filesSelected, []];
  }
  if (maxCount === 1) {
    return [filesSelected.slice(0, 1), filesSelected.slice(1)];
  }
  const remainder = maxCount - curFilesCount;
  if (remainder <= 0) {
    return [[], filesSelected];
  }
  if (remainder >= filesSelected.length) {
    return [filesSelected, []];
  }
  return [filesSelected.slice(0, remainder), filesSelected.slice(remainder)];
}
function useCmpClasses() {
  const commonPrefix = useGlobalConfig("common");
  return computed(() => `${commonPrefix.prefixCls}-upload`);
}
function useListClasses(props, type) {
  const cpmClasses = useCmpClasses();
  return computed(
    () => normalizeClass([
      `${cpmClasses.value}-list`,
      `${cpmClasses.value}-list-${type}`,
      { [`${cpmClasses.value}-list-disabled`]: props.disabled }
    ])
  );
}
function useIcon(props) {
  const uploadFilesConfig = useGlobalConfig("uploadFiles");
  return computed(() => {
    var _a;
    return (_a = props.icon) != null ? _a : uploadFilesConfig.icon;
  });
}
function useSelectorVisible(props, listType) {
  const outerSelector = computed(
    () => props.dragable || (isProxy(listType) ? listType.value !== "imageCard" : listType !== "imageCard")
  );
  const imageCardSelector = computed(() => !outerSelector.value);
  return [outerSelector, imageCardSelector];
}
function useThumb() {
  const revokeList = shallowRef([]);
  const getThumbNode = (file) => {
    if (!file.thumbUrl && file.raw && isImage(file.raw)) {
      file.thumbUrl = window.URL.createObjectURL(file.raw);
      revokeList.value.push(() => {
        window.URL.revokeObjectURL(file.thumbUrl);
        Reflect.deleteProperty(file, "thumbUrl");
      });
    }
    if (!file.thumbUrl) {
      return null;
    }
    return h("img", {
      src: file.thumbUrl,
      alt: file.name,
      style: { height: "100%", width: "100%" }
    });
  };
  const revokeAll = () => {
    revokeList.value.forEach((revokeFn) => revokeFn());
    revokeList.value = [];
  };
  return {
    revokeList,
    getThumbNode,
    revokeAll
  };
}
const uploadToken = Symbol("UploadToken");
var FileSelector = /* @__PURE__ */ defineComponent({
  name: "IxUploadSelector",
  setup(_, {
    slots
  }) {
    const {
      props: uploadProps2,
      selectFiles,
      onDrop,
      onDragOver,
      onDragLeave,
      isDraggingOver
    } = inject(uploadToken);
    const cpmClasses = useCmpClasses();
    const config = useGlobalConfig("upload");
    const dir = useDir(uploadProps2, config);
    const multiple = useMultiple(uploadProps2, config);
    const dragable = useDragable(uploadProps2, config);
    const fileInputRef = ref(null);
    const inputClasses = computed(() => `${cpmClasses.value}-input`);
    const selectorClasses = useSelectorClasses(uploadProps2, cpmClasses, dragable, isDraggingOver);
    const onClick = () => {
      if (uploadProps2.disabled || !fileInputRef.value) {
        return;
      }
      fileInputRef.value.value = "";
      fileInputRef.value.click();
    };
    const onFileChange = () => {
      var _a, _b;
      const files = Array.prototype.slice.call((_b = (_a = fileInputRef.value) == null ? void 0 : _a.files) != null ? _b : []);
      selectFiles(files);
    };
    return () => {
      var _a;
      return createVNode("div", {
        "class": selectorClasses.value,
        "onClick": onClick,
        "onDragover": onDragOver,
        "onDrop": onDrop,
        "onDragleave": onDragLeave
      }, [createVNode("input", mergeProps(dir.value, {
        "class": inputClasses.value,
        "type": "file",
        "ref": fileInputRef,
        "accept": uploadProps2.accept,
        "multiple": multiple.value,
        "onClick": (e2) => e2.stopPropagation(),
        "onChange": onFileChange
      }), null), (_a = slots.default) == null ? void 0 : _a.call(slots)]);
    };
  }
});
function useSelectorClasses(props, cpmClasses, dragable, dragOver) {
  return computed(() => normalizeClass({
    [`${cpmClasses.value}-selector`]: true,
    [`${cpmClasses.value}-selector-drag`]: dragable.value,
    [`${cpmClasses.value}-selector-disabled`]: props.disabled,
    [`${cpmClasses.value}-selector-dragover`]: dragOver.value
  }));
}
function useDir(props, config) {
  const directoryCfg = {
    directory: "directory",
    webkitdirectory: "webkitdirectory"
  };
  return computed(() => {
    var _a;
    return ((_a = props.directory) != null ? _a : config.directory) ? directoryCfg : {};
  });
}
function useMultiple(props, config) {
  return computed(() => {
    var _a;
    return (_a = props.multiple) != null ? _a : config.multiple;
  });
}
function useDragable(props, config) {
  return computed(() => {
    var _a;
    return (_a = props.dragable) != null ? _a : config.dragable;
  });
}
function useOperation(listProps2, context) {
  const { fileList, props: uploadProps2, abort: _abort, upload: upload2, setViewerVisible, updateFiles } = context;
  const abort = (file) => {
    _abort(file);
  };
  const retry = (file) => {
    if (uploadProps2.disabled) {
      return;
    }
    upload2(file);
    callEmit(listProps2.onRetry, file);
  };
  const download = (file) => {
    if (uploadProps2.disabled) {
      return;
    }
    callEmit(listProps2.onDownload, file);
  };
  const preview = (file) => {
    if (uploadProps2.disabled) {
      return;
    }
    if (!listProps2.onPreview && file.thumbUrl) {
      setViewerVisible(true, file.thumbUrl);
      return;
    }
    callEmit(listProps2.onPreview, file);
  };
  const remove = async (file) => {
    if (uploadProps2.disabled) {
      return;
    }
    const curFile = getTargetFile(file, fileList.value);
    if (!curFile) {
      return;
    }
    const allRemove = callEmit(listProps2.onRemove, curFile);
    if (allRemove === false) {
      return;
    }
    if (allRemove instanceof Promise) {
      const result = await allRemove;
      if (result === false) {
        return;
      }
    }
    if (curFile.status === "uploading") {
      abort(curFile);
    }
    const preFiles = [...fileList.value];
    preFiles.splice(getTargetFileIndex(curFile, fileList.value), 1);
    updateFiles(preFiles, true);
  };
  return {
    abort,
    retry,
    download,
    preview,
    remove
  };
}
const uploadProps = {
  files: {
    type: Array,
    default: () => []
  },
  accept: String,
  action: {
    type: [String, Function],
    default: void 0
  },
  dragable: {
    type: Boolean,
    default: void 0
  },
  directory: {
    type: Boolean,
    default: void 0
  },
  disabled: {
    type: Boolean,
    default: void 0
  },
  maxCount: Number,
  multiple: {
    type: Boolean,
    default: void 0
  },
  progress: Object,
  name: String,
  customRequest: Function,
  withCredentials: {
    type: Boolean,
    default: void 0
  },
  requestData: [Object, Function],
  requestHeaders: Object,
  requestMethod: String,
  "onUpdate:files": [Function, Array],
  onSelect: [Function, Array],
  onMaxCountExceeded: [Function, Array],
  onBeforeUpload: [Function, Array],
  onFileStatusChange: [Function, Array],
  onRequestChange: [Function, Array]
};
const uploadFilesProps = {
  type: String,
  icon: Object,
  onDownload: [Function, Array],
  onPreview: [Function, Array],
  onRemove: [Function, Array],
  onRetry: [Function, Array]
};
function getIconNode(icon) {
  if (!icon) {
    return null;
  }
  if (isString(icon)) {
    return h(IxIcon, { name: icon });
  }
  return icon;
}
function renderIcon(icon, props) {
  if (!icon) {
    return null;
  }
  return h("span", props, [getIconNode(icon)]);
}
function renderOprIcon(file, icons, cpmClasses, fileOperation, locale2) {
  const previewNode = renderIcon(icons.value.preview, {
    class: `${cpmClasses.value}-icon-opr ${cpmClasses.value}-icon-preview`,
    onClick: () => fileOperation.preview(file),
    title: locale2.upload.preview
  });
  const retryNode = renderIcon(icons.value.retry, {
    class: `${cpmClasses.value}-icon-opr ${cpmClasses.value}-icon-retry`,
    onClick: () => fileOperation.retry(file),
    title: locale2.upload.retry
  });
  const downloadNode = renderIcon(icons.value.download, {
    class: `${cpmClasses.value}-icon-opr ${cpmClasses.value}-icon-download`,
    onClick: () => fileOperation.download(file),
    title: locale2.upload.download
  });
  const removeNode = renderIcon(icons.value.remove, {
    class: `${cpmClasses.value}-icon-opr ${cpmClasses.value}-icon-remove`,
    onClick: () => fileOperation.remove(file),
    title: locale2.upload.remove
  });
  return {
    previewNode,
    retryNode,
    downloadNode,
    removeNode
  };
}
function showProgress(status, percent) {
  return status === "uploading" && isNumber(percent);
}
function showErrorTip(status, errorTip) {
  return status === "error" && !!errorTip;
}
function showRetry(status) {
  return status === "error";
}
function showDownload(status) {
  return status === "success";
}
function showPreview(status) {
  return status === "success";
}
var IxUploadImageCardList = /* @__PURE__ */ defineComponent({
  name: "IxUploadImageCardList",
  props: uploadFilesProps,
  setup(listProps2) {
    const uploadContext = inject(uploadToken);
    const {
      props: uploadProps2,
      locale: locale2,
      fileList
    } = uploadContext;
    const icons = useIcon(listProps2);
    const cpmClasses = useCmpClasses();
    const listClasses = useListClasses(uploadProps2, "imageCard");
    const [, imageCardVisible] = useSelectorVisible(uploadProps2, "imageCard");
    const showSelector = useShowSelector$1(uploadProps2, fileList, imageCardVisible);
    const {
      getThumbNode,
      revokeAll
    } = useThumb();
    const fileOperation = useOperation(listProps2, uploadContext);
    const selectorNode = renderSelector(cpmClasses);
    onBeforeUnmount(revokeAll);
    return () => createVNode("ul", {
      "class": listClasses.value
    }, [showSelector.value && selectorNode, fileList.value.map((file) => renderItem$2(uploadProps2, file, icons, cpmClasses, fileOperation, locale2, getThumbNode))]);
  }
});
function renderItem$2(uploadProps2, file, icons, cpmClasses, fileOperation, locale2, getThumbNode) {
  const fileClasses = normalizeClass({
    [`${cpmClasses.value}-file`]: true,
    [`${cpmClasses.value}-file-${file.status}`]: !!file.status
  });
  const uploadStatusNode = renderUploadStatus(uploadProps2, file, locale2, cpmClasses);
  const thumbNode = getThumbNode(file);
  const {
    retryNode,
    downloadNode,
    removeNode,
    previewNode
  } = renderOprIcon(file, icons, cpmClasses, fileOperation, locale2);
  return createVNode(IxTooltip, {
    "title": showErrorTip(file.status, file.errorTip) ? file.errorTip : ""
  }, {
    default: () => [createVNode("li", {
      "class": fileClasses
    }, [showUploadStatus(file.status) ? uploadStatusNode : thumbNode, createVNode("div", {
      "class": `${cpmClasses.value}-icon`
    }, [showPreview(file.status) && previewNode, showRetry(file.status) && retryNode, showDownload(file.status) && downloadNode, removeNode])])]
  });
}
function renderUploadStatus(uploadProps2, file, locale2, cpmClasses) {
  var _a;
  const statusTitle = {
    error: locale2.upload.error,
    uploading: locale2.upload.uploading
  };
  const curTitle = file.status && statusTitle[file.status];
  return createVNode("div", {
    "class": `${cpmClasses.value}-status`
  }, [curTitle && createVNode("div", {
    "class": `${cpmClasses.value}-status-title`
  }, [curTitle]), showProgress(file.status, file.percent) && createVNode(IxProgress, mergeProps({
    "class": `${cpmClasses.value}-progress`,
    "strokeColor": "#20CC94",
    "percent": file.percent,
    "strokeWidth": 3,
    "hide-info": true
  }, (_a = uploadProps2.progress) != null ? _a : {}), null)]);
}
function renderSelector(cpmClasses) {
  return createVNode(FileSelector, {
    "class": `${cpmClasses.value}-selector`
  }, {
    default: () => [createVNode(IxIcon, {
      "name": "plus"
    }, null)]
  });
}
function showUploadStatus(status) {
  return status && ["uploading", "error"].includes(status);
}
function useShowSelector$1(uploadProps2, files, imageCardVisible) {
  return computed(() => {
    const countLimit = !uploadProps2.maxCount || files.value.length < uploadProps2.maxCount;
    return countLimit && imageCardVisible.value;
  });
}
var IxUploadImageList = /* @__PURE__ */ defineComponent({
  name: "IxUploadImageList",
  props: uploadFilesProps,
  setup(listProps2) {
    const uploadContext = inject(uploadToken);
    const {
      props: uploadProps2,
      locale: locale2,
      fileList
    } = uploadContext;
    const icons = useIcon(listProps2);
    const cpmClasses = useCmpClasses();
    const listClasses = useListClasses(uploadProps2, "image");
    const {
      getThumbNode,
      revokeAll
    } = useThumb();
    const fileOperation = useOperation(listProps2, uploadContext);
    onBeforeUnmount(revokeAll);
    return () => fileList.value.length > 0 && createVNode("ul", {
      "class": listClasses.value
    }, [fileList.value.map((file) => renderItem$1(uploadProps2, file, icons, cpmClasses, fileOperation, locale2, getThumbNode))]);
  }
});
function renderItem$1(uploadProps2, file, icons, cpmClasses, fileOperation, locale2, getThumbNode) {
  var _a;
  const fileClasses = normalizeClass({
    [`${cpmClasses.value}-file`]: true,
    [`${cpmClasses.value}-file-${file.status}`]: !!file.status
  });
  const fileNameClasses = normalizeClass([`${cpmClasses.value}-name`, `${cpmClasses.value}-name-pointer`]);
  const errorTipNode = renderIcon("exclamation-circle", {
    class: `${cpmClasses.value}-icon-error`
  });
  const {
    retryNode,
    downloadNode,
    removeNode
  } = renderOprIcon(file, icons, cpmClasses, fileOperation, locale2);
  return createVNode("li", {
    "class": fileClasses
  }, [createVNode("div", {
    "class": `${cpmClasses.value}-thumb-info`
  }, [createVNode("span", {
    "class": `${cpmClasses.value}-thumb`
  }, [getThumbNode(file)]), createVNode("span", {
    "class": fileNameClasses,
    "onClick": () => showPreview(file.status) && fileOperation.preview(file),
    "title": file.name
  }, [file.name])]), createVNode("div", {
    "class": `${cpmClasses.value}-icon-wrap`
  }, [showErrorTip(file.status, file.errorTip) && createVNode(IxTooltip, {
    "title": file.errorTip
  }, {
    default: () => [errorTipNode]
  }), showRetry(file.status) && retryNode, showDownload(file.status) && downloadNode, removeNode]), showProgress(file.status, file.percent) && createVNode(IxProgress, mergeProps({
    "class": `${cpmClasses.value}-progress`,
    "percent": file.percent,
    "strokeColor": "#20CC94",
    "strokeWidth": 2,
    "hide-info": true
  }, (_a = uploadProps2.progress) != null ? _a : {}), null)]);
}
var IxUploadTextList = /* @__PURE__ */ defineComponent({
  name: "IxUploadTextList",
  props: uploadFilesProps,
  setup(listProps2) {
    const uploadContext = inject(uploadToken);
    const {
      props: uploadProps2,
      locale: locale2,
      fileList
    } = uploadContext;
    const icons = useIcon(listProps2);
    const cpmClasses = useCmpClasses();
    const listClasses = useListClasses(uploadProps2, "text");
    const fileOperation = useOperation(listProps2, uploadContext);
    return () => fileList.value.length > 0 && createVNode("ul", {
      "class": listClasses.value
    }, [fileList.value.map((file) => renderItem(uploadProps2, file, icons, cpmClasses, fileOperation, locale2))]);
  }
});
function renderItem(uploadProps2, file, icons, cpmClasses, fileOperation, locale2) {
  var _a;
  const fileClasses = normalizeClass({
    [`${cpmClasses.value}-file`]: true,
    [`${cpmClasses.value}-file-${file.status}`]: !!file.status
  });
  const fileNameClasses = normalizeClass([`${cpmClasses.value}-name`, `${cpmClasses.value}-name-pointer`]);
  const errorTipNode = renderIcon("exclamation-circle", {
    class: `${cpmClasses.value}-icon-error`
  });
  const {
    retryNode,
    downloadNode,
    removeNode
  } = renderOprIcon(file, icons, cpmClasses, fileOperation, locale2);
  return createVNode("li", {
    "class": fileClasses
  }, [createVNode("span", {
    "class": `${cpmClasses.value}-text-info`
  }, [renderIcon(icons.value.file, {
    class: `${cpmClasses.value}-icon-file`
  }), createVNode("span", {
    "class": fileNameClasses,
    "onClick": () => showPreview(file.status) && fileOperation.preview(file),
    "title": file.name
  }, [file.name])]), createVNode("span", {
    "class": `${cpmClasses.value}-icon-wrap`
  }, [showErrorTip(file.status, file.errorTip) && createVNode(IxTooltip, {
    "title": file.errorTip
  }, {
    default: () => [errorTipNode]
  }), showRetry(file.status) && retryNode, showDownload(file.status) && downloadNode, removeNode]), showProgress(file.status, file.percent) && createVNode(IxProgress, mergeProps({
    "class": `${cpmClasses.value}-progress`,
    "percent": file.percent,
    "strokeColor": "#20CC94",
    "strokeWidth": 2,
    "hide-info": true
  }, (_a = uploadProps2.progress) != null ? _a : {}), null)]);
}
const cpmMap = {
  text: IxUploadTextList,
  image: IxUploadImageList,
  imageCard: IxUploadImageCardList
};
var UploadFiles = /* @__PURE__ */ defineComponent({
  name: "IxUploadFiles",
  props: uploadFilesProps,
  setup(props) {
    const config = useGlobalConfig("uploadFiles");
    const listType = useListType(props, config);
    const {
      props: uploadProps2,
      setSelectorVisible
    } = inject(uploadToken);
    const [outerSelector] = useSelectorVisible(uploadProps2, listType);
    watchEffect(() => setSelectorVisible(outerSelector.value));
    return () => h(cpmMap[listType.value], {
      ...props
    });
  }
});
function useListType(props, config) {
  return computed(() => {
    var _a;
    return (_a = props.type) != null ? _a : config.type;
  });
}
function useDrag(props, selectFiles) {
  const isDraggingOver = ref(false);
  const allowDrag = computed(() => !!props.dragable && !props.disabled);
  function onDrop(e2) {
    var _a, _b;
    e2.preventDefault();
    if (!allowDrag.value) {
      return;
    }
    isDraggingOver.value = false;
    selectFiles(Array.prototype.slice.call((_b = (_a = e2.dataTransfer) == null ? void 0 : _a.files) != null ? _b : []));
  }
  function onDragOver(e2) {
    e2.preventDefault();
    if (!allowDrag.value) {
      return;
    }
    isDraggingOver.value = true;
  }
  function onDragLeave(e2) {
    e2.preventDefault();
    if (!allowDrag.value) {
      return;
    }
    isDraggingOver.value = false;
  }
  return {
    allowDrag,
    isDraggingOver,
    onDrop,
    onDragOver,
    onDragLeave
  };
}
function useFileSelect(props, filesDataContext) {
  const { fileList, updateFiles } = filesDataContext;
  const accept = computed(
    () => {
      var _a;
      return (_a = props.accept) == null ? void 0 : _a.split(",").map((type) => type.trim()).filter(Boolean);
    }
  );
  const maxCount = computed(() => {
    var _a;
    return (_a = props.maxCount) != null ? _a : 0;
  });
  const filterSelectFiles = (files) => {
    const [acceptedFiles, acceptFilteredFiles] = filterFilesByAccept(files, accept.value);
    const [countAllowdFiles, countFilteredFiles] = filterFilesByMaxCount(
      acceptedFiles,
      fileList.value.length,
      maxCount.value
    );
    const filteredFiles = [
      ...acceptFilteredFiles.map((file) => ({ file, reason: "acceptNotMatch" })),
      ...countFilteredFiles.map((file) => ({ file, reason: "maxCountExceeded" }))
    ];
    return [countAllowdFiles, filteredFiles];
  };
  const selecFiles = async (files) => {
    const [allowdFiles, filteredFiles] = filterSelectFiles(files);
    const onSelectResult = props.onSelect && await callEmit(props.onSelect, allowdFiles, filteredFiles);
    const resolvedAllowedFiles = isNil(onSelectResult) || onSelectResult === true ? allowdFiles : onSelectResult === false ? [] : isArray(onSelectResult) ? onSelectResult : [];
    const uploadFiles = resolvedAllowedFiles.map((file) => createUploadFile(file, { status: "selected" }));
    if (filteredFiles.filter((file) => file.reason === "maxCountExceeded").length > 0 || props.maxCount === 1 && fileList.value.length > 0) {
      callEmit(props.onMaxCountExceeded);
    }
    if (props.maxCount === 1) {
      updateFiles(uploadFiles, true);
    } else {
      updateFiles(uploadFiles);
    }
  };
  return selecFiles;
}
function useFilesData(props) {
  const [fileList, setFileList] = useControlledProp(props, "files");
  const updateFiles = (files, replace = false) => {
    const newFileList = replace ? files : [...fileList.value];
    const statusChangeFiles = [];
    files.forEach((file) => {
      const index = getTargetFileIndex(file, fileList.value);
      const oldFile = fileList.value[index];
      if (index > -1 && !oldFile) {
        return;
      }
      if ((oldFile == null ? void 0 : oldFile.status) !== file.status) {
        statusChangeFiles.push(file);
      }
      if (replace) {
        return;
      }
      if (index === -1) {
        newFileList.push(file);
      } else {
        newFileList.splice(index, 1, file);
      }
    });
    setFileList(toRaw(newFileList));
    statusChangeFiles.forEach((file) => {
      callEmit(props.onFileStatusChange, file);
    });
  };
  return {
    fileList,
    updateFiles
  };
}
function getErrorMsg(option, xhr) {
  var _a;
  const errorMap = (/* @__PURE__ */ new Map([])).set((option2, xhr2) => !!xhr2.response, `${((_a = xhr.response) == null ? void 0 : _a.error) || xhr.response}`).set((option2, xhr2) => !!xhr2.responseText, `${xhr.responseText}`).set((option2) => !option2.action, "action not found.").set(() => true, `fail to ${option.requestMethod} ${option.action} ${xhr.status}`);
  for (const [testFn, errorMsg] of errorMap) {
    if (testFn(option, xhr)) {
      return errorMsg;
    }
  }
  return "";
}
function getError(option, xhr) {
  const msg = getErrorMsg(option, xhr);
  const err = new Error(msg);
  err.status = xhr.status;
  err.method = option.requestMethod;
  err.url = option.action;
  return err;
}
function getBody(xhr) {
  const text = xhr.responseText || xhr.response;
  if (!text) {
    return text;
  }
  try {
    return JSON.parse(text);
  } catch (e2) {
    return text;
  }
}
function upload(option) {
  var _a;
  const xhr = new XMLHttpRequest();
  if (option.onProgress && xhr.upload) {
    xhr.upload.onprogress = function progress(e2) {
      if (e2.total > 0) {
        e2.percent = e2.loaded / e2.total * 100;
      }
      option.onProgress(e2);
    };
  }
  const formData = new FormData();
  if (option.requestData) {
    Object.keys(option.requestData).forEach((key) => {
      const value = option.requestData[key];
      if (Array.isArray(value)) {
        value.forEach((item) => {
          formData.append(`${key}[]`, item);
        });
        return;
      }
      formData.append(key, value);
    });
  }
  formData.append(option.name, option.file, option.file.name);
  xhr.onerror = function error() {
    var _a2;
    (_a2 = option.onError) == null ? void 0 : _a2.call(option, getError(option, xhr));
  };
  xhr.onload = function onload() {
    var _a2, _b;
    if (xhr.status < 200 || xhr.status >= 300) {
      return (_a2 = option.onError) == null ? void 0 : _a2.call(option, getError(option, xhr));
    }
    return (_b = option.onSuccess) == null ? void 0 : _b.call(option, getBody(xhr));
  };
  if (!option.action) {
    (_a = option.onError) == null ? void 0 : _a.call(option, getError(option, xhr));
    return null;
  }
  xhr.open(option.requestMethod, option.action, true);
  if (option.withCredentials && "withCredentials" in xhr) {
    xhr.withCredentials = true;
  }
  const headers = option.requestHeaders || {};
  if (headers["X-Requested-With"] !== null) {
    xhr.setRequestHeader("X-Requested-With", "XMLHttpRequest");
  }
  Object.keys(headers).forEach((h4) => {
    if (headers[h4] !== null) {
      xhr.setRequestHeader(h4, headers[h4]);
    }
  });
  xhr.send(formData);
  return {
    abort() {
      xhr.abort();
    }
  };
}
function useRequest(props, filesDataContext) {
  const fileUploading = ref([]);
  const aborts = /* @__PURE__ */ new Map([]);
  const config = useGlobalConfig("upload");
  const { fileList, updateFiles } = filesDataContext;
  const updateFileStatus = (file, status) => {
    updateFiles([{ ...file, status }]);
  };
  function abort(file) {
    var _a;
    (_a = aborts.get(file.key)) == null ? void 0 : _a();
    props.onRequestChange && callEmit(props.onRequestChange, {
      status: "abort",
      file: { ...file }
    });
    fileUploading.value.splice(getTargetFileIndex(file, fileUploading.value), 1);
    aborts.delete(file.key);
    const curFile = getTargetFile(file, fileList.value);
    if (curFile) {
      updateFileStatus(curFile, "abort");
    }
  }
  async function startUpload(file) {
    if (isUndefined(props.onBeforeUpload)) {
      await upload$1(file);
      return;
    }
    const before = callEmit(props.onBeforeUpload, file);
    if (before instanceof Promise) {
      try {
        const result = await before;
        if (result === true) {
          await upload$1(file);
          return;
        }
        if (typeof result === "object" && result) {
          await upload$1(result);
        }
      } catch (e2) {
        updateFileStatus(file, "error");
      }
    } else if (before === true) {
      await upload$1(file);
    } else if (typeof before === "object") {
      await upload$1(before);
    } else {
      updateFileStatus(file, "cancel");
    }
  }
  async function upload$1(file) {
    var _a, _b, _c, _d, _e, _f, _g;
    if (!file.raw) {
      file.error = new Error("file error");
      updateFileStatus(file, "error");
    }
    const action = await getAction(props, file);
    const requestData = await getRequestData(props, file);
    const requestOption = {
      file: file.raw,
      name: (_a = props.name) != null ? _a : config.name,
      withCredentials: (_b = props.withCredentials) != null ? _b : config.withCredentials,
      action,
      requestHeaders: (_c = props.requestHeaders) != null ? _c : {},
      requestMethod: (_d = props.requestMethod) != null ? _d : config.requestMethod,
      requestData,
      onProgress: (event) => _onProgress(event, file),
      onError: (error) => _onError(error, file),
      onSuccess: (res) => _onSuccess(res, file)
    };
    const uploadHttpRequest = (_f = (_e = props.customRequest) != null ? _e : config.customRequest) != null ? _f : upload;
    props.onRequestChange && callEmit(props.onRequestChange, {
      status: "loadstart",
      file: { ...file }
    });
    updateFileStatus(file, "uploading");
    file.percent = 0;
    const requestHandler = await uploadHttpRequest(requestOption);
    aborts.set(file.key, (_g = requestHandler == null ? void 0 : requestHandler.abort) != null ? _g : () => {
    });
    fileUploading.value.push(file);
  }
  function _onProgress(event, file) {
    var _a;
    const curFile = getTargetFile(file, fileList.value);
    if (!curFile) {
      return;
    }
    curFile.percent = (_a = event.percent) != null ? _a : 0;
    props.onRequestChange && callEmit(props.onRequestChange, {
      status: "progress",
      file: { ...curFile },
      event
    });
  }
  function _onError(error, file) {
    const curFile = getTargetFile(file, fileList.value);
    if (!curFile) {
      return;
    }
    fileUploading.value.splice(getTargetFileIndex(curFile, fileUploading.value), 1);
    curFile.error = error;
    props.onRequestChange && callEmit(props.onRequestChange, {
      file: { ...curFile },
      status: "error",
      error
    });
    updateFileStatus(curFile, "error");
  }
  function _onSuccess(res, file) {
    const curFile = getTargetFile(file, fileList.value);
    if (!curFile) {
      return;
    }
    curFile.response = res;
    props.onRequestChange && callEmit(props.onRequestChange, {
      status: "loadend",
      file: { ...curFile },
      response: res
    });
    updateFileStatus(curFile, "success");
    fileUploading.value.splice(getTargetFileIndex(curFile, fileUploading.value), 1);
  }
  return {
    fileUploading,
    abort,
    startUpload,
    upload: upload$1
  };
}
async function getAction(props, file) {
  return isFunction(props.action) ? await props.action(file) : props.action;
}
async function getRequestData(props, file) {
  var _a;
  return isFunction(props.requestData) ? await props.requestData(file) : (_a = props.requestData) != null ? _a : {};
}
function useUploadControl(fileList, uploadRequest) {
  const { startUpload, abort } = uploadRequest;
  const [proxyedFileList, setProxyedFileList] = useState([...fileList.value]);
  watch(
    fileList,
    (_fileList) => {
      setProxyedFileList([..._fileList]);
    },
    {
      deep: true
    }
  );
  watch(
    [proxyedFileList, () => proxyedFileList.value.length],
    ([currentFileList, currentLength], [preFileList, preLength]) => {
      if (currentLength === preLength && currentLength !== 1 && preLength !== 1) {
        return;
      }
      currentFileList.forEach((file) => {
        const preFile = getTargetFile(file, preFileList);
        if (!preFile && file.status === "selected") {
          startUpload(file);
        }
      });
      preFileList.forEach((file) => {
        const currentFile = getTargetFile(file, currentFileList);
        if (!currentFile && file.status === "uploading") {
          abort(file);
        }
      });
    }
  );
}
function getDefaultThemeTokens(tokens2) {
  const { controlLineWidth, colorBorder, colorPrimaryBorder } = tokens2;
  return {
    selectorDragableBorder: `${controlLineWidth}px dashed ${colorBorder}`,
    selectorDragableBorderDragover: `${controlLineWidth}px dashed ${colorPrimaryBorder}`,
    listNameMaxWidth: `calc(100% - 74px)`,
    listImgThumbWidth: 48,
    listImgThumbHeight: 48,
    listImgCardHeight: 96,
    listImgCardWidth: 96
  };
}
const getThemeTokens = (tokens2, presetTheme) => {
  return presetTheme === "default" ? getDefaultThemeTokens(tokens2) : getDefaultThemeTokens(tokens2);
};
var Upload = /* @__PURE__ */ defineComponent({
  name: "IxUpload",
  props: uploadProps,
  setup(props, {
    slots
  }) {
    const {
      globalHashId,
      hashId,
      registerToken
    } = useThemeToken("upload");
    registerToken(getThemeTokens);
    const locale2 = useGlobalConfig("locale");
    const cpmClasses = useCmpClasses();
    const [showSelector, setSelectorVisible] = useShowSelector();
    const filesDataContext = useFilesData(props);
    const selectFiles = useFileSelect(props, filesDataContext);
    const dragContext = useDrag(props, selectFiles);
    const uploadRequest = useRequest(props, filesDataContext);
    const {
      abort,
      upload: upload2
    } = uploadRequest;
    const {
      viewerVisible,
      images,
      setViewerVisible
    } = useImageViewer();
    useUploadControl(filesDataContext.fileList, uploadRequest);
    provide(uploadToken, {
      props,
      locale: locale2,
      selectFiles,
      setViewerVisible,
      setSelectorVisible,
      ...uploadRequest,
      ...filesDataContext,
      ...dragContext
    });
    return () => {
      var _a, _b;
      return createVNode("div", {
        "class": [cpmClasses.value, globalHashId.value, hashId.value]
      }, [showSelector.value && createVNode(FileSelector, null, {
        default: () => {
          var _a2;
          return [(_a2 = slots.default) == null ? void 0 : _a2.call(slots)];
        }
      }), (_a = slots.list) == null ? void 0 : _a.call(slots, {
        abort,
        upload: upload2
      }), createVNode(IxImageViewer, {
        "visible": viewerVisible.value,
        "onUpdate:visible": ($event) => viewerVisible.value = $event,
        "images": images.value
      }, null), createVNode("div", {
        "class": `${cpmClasses.value}-tip`
      }, [(_b = slots.tip) == null ? void 0 : _b.call(slots)])]);
    };
  }
});
function useShowSelector() {
  const showSelector = ref(true);
  function setSelectorVisible(isShow) {
    showSelector.value = isShow;
  }
  return [showSelector, setSelectorVisible];
}
function useImageViewer() {
  const viewerVisible = ref(false);
  const images = shallowRef([]);
  function setViewerVisible(visible, imageSrc) {
    images.value = visible && imageSrc ? [imageSrc] : [];
    viewerVisible.value = visible;
  }
  return {
    viewerVisible,
    images,
    setViewerVisible
  };
}
const IxUpload = Upload;
const IxUploadFiles = UploadFiles;
const version = "2.6.3";
function useAntiTamper(wrapper, el) {
  const options = {
    childList: true,
    subtree: true,
    attributeFilter: ["style", "class"],
    attributeOldValue: true
  };
  const observer = new MutationObserver((records) => {
    records.filter((record) => record.target === el || record.target === wrapper).forEach((record) => {
      if (record.type === "attributes") {
        reset(() => {
          el.setAttribute(record.attributeName, record.oldValue);
        });
      }
      if (record.type === "childList") {
        reset(() => {
          wrapper.appendChild(record.removedNodes[0]);
        });
      }
    });
  });
  observer.observe(wrapper, options);
  const reset = (resume = NoopFunction) => {
    requestAnimationFrame(() => {
      observer.disconnect();
      resume();
      observer.observe(wrapper, options);
    });
  };
  return {
    stop: () => observer.disconnect()
  };
}
function useCalcBase64(props, densityData) {
  const ratio = Math.max(window.devicePixelRatio || 1, 2);
  const rotate = computed(() => Math.PI / 180 * props.rotate);
  const base64Ref = ref("");
  watchEffect(() => {
    var _a;
    if (!props.disabled) {
      const canvas = document.createElement("canvas");
      const { gapHorizontal, gapVertical, width, height, offsetLeft, offsetTop, gapContent } = densityData.value;
      const canvasWidth = `${(gapHorizontal + width) * ratio}px`;
      const canvasHeight = `${(gapVertical + height) * ratio}px`;
      const canvasOffsetLeft = offsetLeft || gapHorizontal / 2;
      const canvasOffsetTop = offsetTop || gapVertical / 2;
      canvas.setAttribute("width", canvasWidth);
      canvas.setAttribute("height", canvasHeight);
      const ctx = canvas.getContext("2d");
      if (ctx) {
        ctx.translate(canvasOffsetLeft * ratio, canvasOffsetTop * ratio);
        ctx.rotate(rotate.value);
        ctx.globalAlpha = props.opacity;
        const markWidth = width * ratio;
        const markHeight = height * ratio;
        const content = props.content;
        if (props.type === "image") {
          const img = new Image();
          img.crossOrigin = "anonymous";
          img.referrerPolicy = "no-referrer";
          img.src = content;
          img.onload = () => {
            ctx.drawImage(img, 0, 0, markWidth, markHeight);
            base64Ref.value = canvas.toDataURL();
          };
        } else if (content) {
          ctx.fillStyle = props.fontColor;
          const markSize = props.fontSize * ratio;
          ctx.font = props.font.replace(/\d*\.?\d+px/, `${markSize}px/${markHeight}px`);
          if (isArray(content)) {
            content.forEach((str, index) => {
              ctx.fillText(str, 0, index * markSize + gapContent * index);
            });
          } else {
            ctx.fillText(content, 0, 0);
          }
          (_a = props.renderFn) == null ? void 0 : _a.call(props, ctx);
          base64Ref.value = canvas.toDataURL();
        }
      } else {
        console.error("The current browser does not support canvas.");
      }
    }
  });
  return base64Ref;
}
const watermarkProps = {
  type: { type: String, default: "text" },
  content: { type: [String, Array], default: void 0, required: true },
  rotate: { type: Number, default: -22 },
  zIndex: { type: Number, default: 11 },
  opacity: { type: Number, default: 1 },
  density: { type: String, default: "low" },
  disabled: { type: Boolean, default: false },
  width: { type: Number, default: 120 },
  height: { type: Number, default: 64 },
  fontColor: { type: String, default: "rgba(0,0,0,.15)" },
  fontSize: { type: Number, default: 16 },
  font: { type: String, default: "16px sans-serif" },
  strict: { type: Boolean, default: true },
  renderFn: Function,
  gapHorizontal: { type: Number, default: 212 },
  gapVertical: { type: Number, default: 222 },
  gapContent: { type: Number, default: 22 },
  offsetLeft: { type: Number, default: void 0 },
  offsetTop: { type: Number, default: void 0 }
};
function calcDensity(props) {
  let { density, gapHorizontal, gapVertical, width, height, offsetLeft, offsetTop, gapContent } = props;
  switch (density) {
    case "mid":
      width /= 2;
      height /= 2;
      gapVertical /= 1.5;
      gapHorizontal /= 1.5;
      gapContent /= 1.5;
      break;
    case "high":
      width /= 2;
      height /= 2;
      gapVertical /= 3;
      gapHorizontal /= 2.5;
      gapContent /= 2;
      break;
  }
  return {
    gapHorizontal,
    gapVertical,
    width,
    height,
    offsetLeft,
    offsetTop,
    gapContent
  };
}
var Watermark = /* @__PURE__ */ defineComponent({
  name: "IxWatermark",
  props: watermarkProps,
  setup(props, {
    slots
  }) {
    const common = useGlobalConfig("common");
    const mergedPrefixCls = computed(() => `${common.prefixCls}-watermark`);
    const densityData = computed(() => calcDensity(props));
    const backgroundSize = computed(() => `${densityData.value.gapHorizontal + densityData.value.width}px`);
    const wrapperRef = ref();
    const canvasRef = ref();
    const base64Ref = useCalcBase64(props, densityData);
    let antiTamper = void 0;
    watch([wrapperRef, canvasRef, () => props.strict, base64Ref], ([wrapperEl, canvasEl, strict, base64]) => {
      if (strict && wrapperEl && canvasEl && base64 !== "") {
        if (antiTamper) {
          antiTamper.stop();
        }
        antiTamper = useAntiTamper(wrapperEl, canvasEl);
      }
    }, {
      immediate: true,
      flush: "post"
    });
    const canvasStyle = computed(() => {
      return {
        zIndex: props.zIndex,
        backgroundSize: backgroundSize.value,
        backgroundImage: `url(${base64Ref.value})`,
        position: "absolute",
        top: 0,
        left: 0,
        width: "100%",
        height: "100%",
        pointerEvents: "none",
        backgroundRepeat: "repeat"
      };
    });
    return () => {
      var _a;
      const prefixCls = mergedPrefixCls.value;
      return createVNode("div", {
        "ref": wrapperRef,
        "class": prefixCls
      }, [(_a = slots.default) == null ? void 0 : _a.call(slots), createVNode("div", {
        "ref": canvasRef,
        "style": canvasStyle.value
      }, null)]);
    };
  }
});
const IxWatermark = Watermark;
const components = [
  IxAffix,
  IxAlert,
  IxAnchor,
  IxAnchorLink,
  IxAvatar,
  IxBackTop,
  IxBadge,
  IxBreadcrumb,
  IxBreadcrumbItem,
  IxButton,
  IxButtonGroup,
  IxCard,
  IxCardGrid,
  IxCarousel,
  IxCascader,
  IxCascaderPanel,
  IxComment,
  IxControlTrigger,
  IxControlTriggerOverlay,
  IxCheckbox,
  IxCheckboxGroup,
  IxCollapse,
  IxCollapsePanel,
  IxColorPicker,
  IxColorPickerTrigger,
  IxColorPickerPanel,
  IxColorPickerIndicator,
  IxColorPickerPresets,
  IxColorPickerPalette,
  IxColorPickerEditor,
  IxDatePicker,
  IxDatePanel,
  IxDateRangePicker,
  IxDateRangePanel,
  IxDesc,
  IxDescItem,
  IxDivider,
  IxDrawer,
  IxDrawerProvider,
  IxDropdown,
  IxEmpty,
  IxForm,
  IxFormItem,
  IxFormWrapper,
  IxCol,
  IxRow,
  IxHeader,
  IxIcon,
  IxImage,
  IxImageViewer,
  IxInput,
  IxInputNumber,
  IxLayout,
  IxLayoutContent,
  IxLayoutFooter,
  IxLayoutHeader,
  IxLayoutSider,
  IxLayoutSiderTrigger,
  IxList,
  IxListItem,
  IxLoadingBarProvider,
  IxMenu,
  IxMenuDivider,
  IxMenuItem,
  IxMenuItemGroup,
  IxMenuSub,
  IxMessage,
  IxMessageProvider,
  IxModal,
  IxModalProvider,
  IxNotification,
  IxNotificationProvider,
  IxPagination,
  IxPopconfirm,
  IxPopover,
  IxProgress,
  IxRadio,
  IxRadioGroup,
  IxRate,
  IxResult,
  IxSelect,
  IxSelectPanel,
  IxSelectOption,
  IxSelectOptionGroup,
  IxSelector,
  IxSkeleton,
  IxSlider,
  IxSpace,
  IxSpin,
  IxSpinProvider,
  IxStatistic,
  IxStepper,
  IxStepperItem,
  IxSwitch,
  IxTable,
  IxTableColumn,
  IxTab,
  IxTabs,
  IxTag,
  IxTagGroup,
  IxText,
  IxTextarea,
  IxThemeProvider,
  IxTimePicker,
  IxTimeRangePicker,
  IxTransfer,
  IxTransferList,
  IxTimeline,
  IxTimelineItem,
  IxTooltip,
  IxTour,
  IxTree,
  IxTreeSelect,
  IxUpload,
  IxUploadFiles,
  IxWatermark
];
const install = (app) => {
  components.forEach((component) => {
    var _a;
    app.component((_a = component.displayName) != null ? _a : component.name, component);
  });
};
const installer = { install, version };
export { Alert$1 as Alert, Apartment, ApplyAll, Appstore, AppstoreAdd, ArrowDown, ArrowLeft, ArrowRight, ArrowUp, Audit, BarChart, Bars, Blacklist, BookMark, Bookmark, Branch, Bug, BugFilled, Bulb, Calendar, Camera, Card$1 as Card, CaretDown, CaretDownFilled, CaretLeftFilled, CaretRightFilled, CaretUp, CaretUpFilled, Check, CheckCircle, CheckCircleFilled, CheckFilled, CheckingFilled, Clear, ClockCircle, Close, CloseCircle, CloseCircleFilled, CloseFilled, Cloud, CloudDownload, CloudServer, CloudSync, CloudUpload, Cluster, Code, Collapse$1 as Collapse, CollapseAll, Collect, Comment$1 as Comment, Control, Controlz, Copy, Copyright, CreditCard, CustomerService, Customization, DATE_CONFIG_TOKEN, DRAWER_PROVIDER_TOKEN, DRAWER_TOKEN, Dashboard, DataCenter, DataCenterStar, Database, Delete, DeliveredProcedure, Desktop, DesktopStar, DialogClose, Disconnect, Dislike, DislikeFilled, Dns, DotChart, DoubleLeft, DoubleRight, Down, DownCircle, Download, Edit, Ellipsis, EllipsisVertical, Empty$2 as Empty, Environment, Exception, Exclamation, ExclamationCircle, ExclamationCircleFilled, Exit, Expand$1 as Expand, ExpandAll, Export, Eye, EyeInvisible, FORM_ITEM_TOKEN, FORM_TOKEN, Favourite, File, FileAdd, FileAlert, FileDisabled, FileDone, FileExport, FileGif, FileImage, FileProtect, FileSearch, FileSync, FileText, FileZip, Filter, FilterFilled, FitToView, Folder, FolderAdd, FolderOpen, ForScreen, Forward, Fullscreen, FullscreenExit, Gif, Github, Gitlab, Global, GridCompact, GridLoose, GridMedium, Heart, Heat, History, Holder, Home, IDUX_ICON_DEPENDENCIES, Import, Info, InfoCircle, InfoCircleFilled, Insurance, Ip, IxAffix, IxAlert, IxAnchor, IxAnchorLink, IxAvatar, IxBackTop, IxBadge, IxBreadcrumb, IxBreadcrumbItem, IxButton, IxButtonGroup, IxCard, IxCardGrid, IxCarousel, IxCascader, IxCascaderPanel, IxCheckbox, IxCheckboxGroup, IxCol, IxCollapse, IxCollapsePanel, IxColorPicker, IxColorPickerEditor, IxColorPickerIndicator, IxColorPickerPalette, IxColorPickerPanel, IxColorPickerPresets, IxColorPickerTrigger, IxComment, IxControlTrigger, IxControlTriggerOverlay, IxDatePanel, IxDatePicker, PickerOverlayFooter as IxDatePickerOverlayFooter, PickerOverlayInputs as IxDatePickerOverlayInputs, IxDateRangePanel, IxDateRangePicker, RangePickerOverlayFooter as IxDateRangePickerOverlayFooter, RangePickerOverlayInputs as IxDateRangePickerOverlayInputs, IxDesc, IxDescItem, IxDivider, IxDrawer, IxDrawerProvider, IxDropdown, IxEmpty, IxForm, IxFormItem, IxFormWrapper, IxHeader, IxIcon, IxImage, IxImageViewer, IxInput, IxInputNumber, IxLayout, IxLayoutContent, IxLayoutFooter, IxLayoutHeader, IxLayoutSider, IxLayoutSiderTrigger, IxList, IxListItem, IxLoadingBarProvider, IxMenu, IxMenuDivider, IxMenuItem, IxMenuItemGroup, IxMenuSub, IxMessage, IxMessageProvider, IxModal, IxModalProvider, IxNotification, IxNotificationProvider, IxPagination, IxPopconfirm, IxPopover, IxProgress, IxRadio, IxRadioGroup, IxRate, IxResult, IxRow, IxSelect, IxSelectOption, IxSelectOptionGroup, IxSelectPanel, IxSelector, IxSkeleton, IxSlider, IxSpace, IxSpin, IxSpinProvider, IxStatistic, IxStepper, IxStepperItem, IxSwitch, IxTab, IxTable, IxTableColumn, IxTabs, IxTag, IxTagGroup, IxText, IxTextarea, IxThemeProvider, IxTimePicker, IxTimeRangePicker, IxTimeline, IxTimelineItem, IxTooltip, IxTour, IxTransfer, IxTransferList, IxTree, IxTreeSelect, IxUpload, IxUploadFiles, IxWatermark, Jumpz, Key, LOADING_BAR_PROVIDER_TOKEN, Layout$1 as Layout, LayoutCompact, LayoutLarge, LayoutLoose, LayoutMedium, Left, LeftCircle, LeftDouble, LeftFilled, Like, LikeFilled, LineChart, Link, List$1 as List, Loading$1 as Loading, Loading3Quarters, LoadingSplit, Location, Lock, Login, Logout, Loose, MESSAGE_PROVIDER_TOKEN, MODAL_PROVIDER_TOKEN, MODAL_TOKEN, Mail, Menu$1 as Menu, MenuFold, MenuUnfold, Minus, MinusCircle, MinusSquare, Mirror, Mobile, Monitor, More, Move, MoveFile, MoveFilez, MoveGroup, MoveList, NOTIFICATION_PROVIDER_TOKEN, Network, Normal, Notification$1 as Notification, PaperClip, Paste, Pause, PauseCircle, Phone, PieChart, Pin, Play, PlayCircle, Plus, PlusCircle, PlusSquare, Poweroff, Projection, Qrcode, Question, QuestionCircle, QuestionCircleFilled, Radar, RadarChart, Redo, Reload, Right, RightCircle, RightDouble, RightFilled, RingChart, Robot, Rollback, RotateLeft, RotateRight, SPIN_PROVIDER_TOKEN, Safety, Scan, ScanSecurity, ScanVirus, Search, SecurityAlert, SecurityScan, Select$1 as Select, Send, Server, ServerStar, Setting, Shopping, SortAscending, SortDescending, Sound, Star, StarFilled, Stop, Subscrib, Success, Swap, SwapVertical, Sync, TABLE_TOKEN, TRANSFER_OPERATIONS_TOKEN, TRANSFER_SOURCE_TOKEN, TRANSFER_TARGET_TOKEN, Tag$1 as Tag, Tags, Team, Thumbnail, Thunderbolt, Tool, Transmit, TreeExpand, TreeUnexpand, Uncollapse, Unlock, Up, UpCircle, Upload$1 as Upload, User, UserAdd, UserCircle, UserDelete, UserDisabled, Verify, VerticalAlignBottom, VerticalAlignCenter, VerticalAlignTop, ViewCard, ViewList, ViewThumbnail, Wait, Warning, Whitelist, Wifi, ZoomIn, ZoomOut, addIconDefinitions, adjustRangeValue, applyDateTime, compareDateTime, convertIconVNode, convertStringVNode, convertTarget, convertToDate$1 as convertToDate, createGlobalConfig, installer as default, defaultConfig, enUS, extractShortcutValue, fetchIconFormScript, getThemeTokens$K as getAlertThemeTokens, getAlphaColor, getThemeTokens$J as getAnchorThemeTokens, getThemeTokens$I as getAvatarThemeTokens, getThemeTokens$H as getBackTopThemeTokens, getThemeTokens$G as getBadgeThemeTokens, getBaseColors$1 as getBaseColors, getThemeTokens$F as getBreadcrumbThemeTokens, getThemeTokens$P as getButtonThemeTokens, getThemeTokens$D as getCardThemeTokens, getThemeTokens$C as getCarouselThemeTokens, getThemeTokens$B as getCascaderThemeTokens, getThemeTokens$N as getCheckboxThemeTokens, getThemeTokens$A as getCollapseThemeTokens, getColorPalette$1 as getColorPalette, getThemeTokens$z as getColorPickerThemeTokens, getThemeTokens$y as getCommentThemeTokens, getDarkColorPalette, getThemeTokens$x as getDatePickerThemeTokens, getThemeTokens$v as getDescThemeTokens, getThemeTokens$u as getDividerThemeTokens, getThemeTokens$t as getDrawerThemeTokens, getThemeTokens$s as getDropdownThemeTokens, getThemeTokens$Q as getEmptyThemeTokens, getThemeTokens$T as getFormThemeTokens, getGreyColors$2 as getGreyColors, getThemeTokens$E as getHeaderThemeTokens, getThemeTokens$r as getImageThemeTokens, getThemeTokens$q as getLayoutThemeTokens, getThemeTokens$p as getLoadingBarThemeTokens, getThemeTokens$o as getMenuThemeTokens, getThemeTokens$n as getMessageThemeTokens, getThemeTokens$m as getModalThemeTokens, getThemeTokens$l as getNotificationThemeTokens, getThemeTokens$L as getPaginationThemeTokens, getThemeTokens$k as getPopconfirmThemeTokens, getThemeTokens$j as getPopoverThemeTokens, getPresetAlgorithms, getPresetRangeShortcutValue, getThemeTokens$i as getProgressThemeTokens, getThemeTokens$h as getRadioThemeTokens, getThemeTokens$g as getRateThemeTokens, getThemeTokens$f as getResultThemeTokens, getThemeTokens$M as getSelectThemeTokens, getThemeTokens$e as getSkeletonThemeTokens, getThemeTokens$d as getSliderThemeTokens, getSolidColor, getThemeTokens$O as getSpaceThemeTokens, getThemeTokens$R as getSpinThemeTokens, getThemeTokens$c as getStatisticThemeTokens, getThemeTokens$b as getStepperThemeTokens, getThemeTokens$a as getSwitchThemeTokens, getThemeTokens$9 as getTableThemeTokens, getThemeTokens$8 as getTabsThemeTokens, getThemeTokens$7 as getTagThemeTokens, getThemeTokens$6 as getTextareaThemeTokens, getThemeTokens$U as getThemeTokens, getThemeTokens$w as getTimePickerThemeTokens, getThemeTokens$5 as getTimelineThemeTokens, getThemeTokens$S as getTooltipThemeTokens, getThemeTokens$4 as getTourThemeTokens, getThemeTokens$3 as getTransferThemeTokens, getTreeCheckStateResolverContext, getThemeTokens$1 as getTreeSelectThemeTokens, getThemeTokens$2 as getTreeThemeTokens, getThemeTokens as getUploadThemeTokens, install, isPresetColor, isSameDateTime, isStatusColor, numUnitTransform, presetColors, sortRangeValue$1 as sortRangeValue, statusColors, useDateConfig, useDrawer, useElementSize, useFormElement, useFormFocusMonitor, useFormItemRegister, useFormSize, useFormStatus, useGetDisabled, useGetKey, useGlobalConfig, useKey, useLoadingBar, useMergedCommonControlProps, useMessage, useModal, useNotification, useOverlayFocusMonitor, usePortalTarget, useSpin, useThemeToken, useTreeCheckState, useTreeCheckStateResolver, useZIndex, version, zhCN, dropdownToken as \u0275DropdownToken, getBoxSizingData as \u0275GetBoxSizingData, getColumnKey as \u0275GetColumnKey, inputCommonProps as \u0275InputCommonProps, measureTextarea as \u0275MeasureTextarea, RangeShortcuts as \u0275RangeShortcuts, tableProps as \u0275TableProps, tooltipProps as \u0275TooltipProps, useAutoRows as \u0275UseAutoRows, useInput as \u0275UseInput, useLineHeight as \u0275UseLineHeight, useOverlayState$2 as \u0275UseOverlayState, useRangeShortcuts as \u0275UseRangeShortcuts, useTooltipOverlay as \u0275UseTooltipOverlay };
